<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * Page meta options
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
 
/*
=================================================================================================================
wow_add_meta_boxes_to_page() - Add the meta boxes to all pages
=================================================================================================================
*/
function wow_add_meta_boxes_to_page(){
$woocommerce_meta = array();
global $wow_page_meta_box;


$menus = get_terms('nav_menu');

$menus_array = array(''	=> 'No');

foreach($menus as $menu){
 $menus_array[$menu->term_id]  = $menu->name;
} 

//woocommerce 
if( class_exists( 'WooCommerce' ) ){


	$woocommerce_meta =	array(
							'id' 		=> 'wow-woo-infobar',
							'class' 	=> 'wow-woo-infobar',
							'type' 		=> 'radio',
							'title' 	=> esc_html__('Infobar', 'infinito'),
							'desc' 		=> esc_html__('Show WooCommerce info bar on this page', 'infinito'),
							'options' 	=> array(
								''	=> 'No',
								'yes'	=> 'Yes',
							),
							'std'		=> '',
							'big_title' => esc_html__('WooCommerce', 'infinito'),		
						);
}

$wow_page_meta_box = array(
		'id' 		=> 'wow-page-options',
		'title' 	=> esc_html__('Page Options','infinito'),
		'page' 		=> 'page',
		'context' 	=> 'normal',
		'priority' 	=> 'default',
		'fields'	=> array(			
			
			//page padding on desktop
			array(
				'id'		=> 'desktop_padding_left_right',
				'class'		=> 'desktop_padding_left_right',
				'type'		=> 'input',
				'title'		=> esc_html__('Desktop - left / right', 'infinito'),
				'desc' 		=> '',
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'start',
				'big_title' => esc_html__('Page padding', 'infinito'),
				'desc' 		=> esc_html__('Left and right padding on desktop. I.e 10px', 'infinito'),
			),			
			array(
				'id'		=> 'desktop_padding_top_bottom',
				'class'		=> 'desktop_padding_top_bottom',
				'type'		=> 'input',
				'title'		=> esc_html__('Desktop - top / bottom', 'infinito'),
				'desc' 		=> '',
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
				'desc' 		=> esc_html__('Top and bottom padding on desktop. I.e 10px', 'infinito'),
			),			
			array(
				'id'		=> 'mobile_padding_left_right',
				'class'		=> 'mobile_padding_left_right',
				'type'		=> 'input',
				'title'		=> esc_html__('Mobile - left / right', 'infinito'),
				'desc' 		=> '',
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
				'desc' 		=> esc_html__('Left and right padding on mobile devices. I.e 10px', 'infinito'),
			),			
			array(
				'id'		=> 'mobile_padding_top_bottom',
				'class'		=> 'mobile_padding_top_bottom',
				'type'		=> 'input',
				'title'		=> esc_html__('Mobile - top / bottom', 'infinito'),
				'desc' 		=> '',
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'end',
				'desc' 		=> esc_html__('Top and bottom padding on mobile devices. I.e 10px', 'infinito'),
			),
			array(
				'id'		=> 'wow-page-body-color',
				'class'		=> 'wow-page-body',
				'type'		=> 'color',
				'title'		=> esc_html__('Background Color', 'infinito'),
				'desc' 		=> '',
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'start',
				'big_title' => esc_html__('Page background', 'infinito'),
			),	

			array(
				'id'		=> 'wow-page-body-bg-repeat',
				'class'		=> 'wow-page-body-bg-repeat',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Repeat', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
                        '' => 'Inherit',
                        'no-repeat' => 'No Repeat',
                        'repeat'    => 'Repeat All',
                        'repeat-x'  => 'Repeat Horizontally',
                        'repeat-y'  => 'Repeat Vertically',
				),
				'std'		=> '',
				'subsection' => false,
				
			),
			array(
				'id'		=> 'wow-page-body-bg-cover',
				'class'		=> 'wow-page-body-bg-cover',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Size', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
                        '' => 'Inherit',
                        'cover'   => 'Cover',
                        'contain' => 'Contain',
				),
				'std'		=> '',
				'subsection' => false,
				
			),	
			array(
				'id'		=> 'wow-page-body-bg-attachment',
				'class'		=> 'wow-page-body-bg-cover',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Attachment', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
                        '' => 'Inherit',
						'fixed'   => 'Fixed',
                        'scroll'  => 'Scroll',
				),
				'std'		=> '',
				'subsection' => false,
				
			),
			array(
				'id'		=> 'wow-page-body-bg-position',
				'class'		=> 'wow-page-body-bg-position',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Position', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
						''      => 'Inherit',
                        'left top'      => 'Left Top',
                        'left center'   => 'Left center',
                        'left bottom'   => 'Left Bottom',
                        'center top'    => 'Center Top',
                        'center center' => 'Center Center',
                        'center bottom' => 'Center Bottom',
                        'right top'     => 'Right Top',
                        'right center'  => 'Right center',
                        'right bottom'  => 'Right Bottom',
				),
				'std'		=> '',
				'subsection' => false,
				
			),	
			array(
				'id'		=> 'wow-page-body-image',
				'class'		=> 'wow-page-body-image',
				'type'		=> 'upload_img',
				'title'		=> esc_html__('Background Image', 'infinito'),
				'desc' 		=> esc_html__('Add a custom background image to this page','infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'end',
				
			),
			array(
				'id' 		=> 'wow-page-width',
				'class' 	=> 'wow-page-width',
				'type' 		=> 'radio_img',
				//'title' 	=> esc_html__('Page Width', 'infinito'),
				'desc' 		=> esc_html__('Select your desired page width', 'infinito'),
				'options' 	=> array(
					'full' 	=> array('title' => 'Full Width', 'img' => WOW_INFINITO_PLUGIN_URI.'/images/theme-options/layout/full_width_page.gif'),
					'container'	=> array('title' => 'Container', 'img' => WOW_INFINITO_PLUGIN_URI.'/images/theme-options/layout/container.gif'),
				),
				'std'		=> 'full',
				'big_title'		=> 'Page Width',
				'subsection' => "show",
			),			
			array(
				'id' 		=> 'wow-page-layout',
				'class' 	=> 'wow-page-layout',
				'type' 		=> 'radio_img',
				//'title' 	=> esc_html__('Page Layout', 'infinito'),
				'big_title' 	=> esc_html__('Page Layout', 'infinito'),
				'desc' 		=> esc_html__('Select your desired page layout.', 'infinito'),
				'options' 	=> array(
					'no-sidebar' 	=> array('title' => 'No Sidebar', 'img' => WOW_INFINITO_PLUGIN_URI.'/images/page-layout/full.gif'),
					'left-sidebar'	=> array('title' => 'Left Sidebar', 'img' => WOW_INFINITO_PLUGIN_URI.'/images/page-layout/left-sidebar.gif'),
					'right-sidebar' => array('title' => 'Right Sidebar', 'img' => WOW_INFINITO_PLUGIN_URI.'/images/page-layout/right-sidebar.gif'),
					'both-sidebars' => array('title' => 'Both Sidebars', 'img' => WOW_INFINITO_PLUGIN_URI.'/images/page-layout/both-sidebars.gif'),
				),
				'std'		=> 'no-sidebar',
			),		
			array(
				'id' 		=> 'wow-get-rev-sliders',
				'class' 	=> 'wow-get-rev-sliders',
				'type' 		=> 'select',
				'title' 	=> esc_html__('Revolution Slider', 'infinito'),
				'big_title' 	=> esc_html__('Header Position Under Slider', 'infinito'),
				'desc' 		=> sprintf( '%s<a target="_blank" href="admin.php?page=revslider">%s</a><br>%s<br>%s<br>%s', 
					esc_html__( 'Select one from available ', 'infinito' ), 
					esc_html__( 'Revolution Sliders', 'infinito' ),
					esc_html__( 'Use this slider when you want the header position "Under slider" ( Appearance > Theme Options > Header > Layout > Header Position > Under Slider ). ', 'infinito' ),
					esc_html__( 'Make sure there isn\'t other slider in the first section of the page, or it will show twice.', 'infinito' ),
					esc_html__( 'Please note that slider will only be displayed if this page is set to Homepage. Settings > Reading > Your homepage displays > A static page (select below) > Homepage', 'infinito' )	
				),
				'options' 	=> wow_get_rev_sliders(),
				'std'		=> '',
				'subsection' => 'start'
			),
			array(
				'id' 		=> 'wow-shortcode',
				'class' 	=> 'wow-shortcode',
				'type' 		=> 'input',
				'title' 	=> esc_html__('Custom slider shortcode', 'infinito'),
				'desc' 		=> esc_html__('You can add your custom slider shortcode if you do not want to use revolution slider. ', 'infinito'),			
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'end'
			),
			array(
				'id'		=> 'wow-full_page',
				'class'		=> 'wow-full_page',
				'type'		=> 'select',
				'options' 	=> array(
					''	=> 'No',
					'simple'	=> 'Yes - Without menu',
					'labels_menu'	=> 'Yes - With menu from labels',
					'main_menu'	=> 'Yes - Keep main menu',
				),
				'big_title'		=> esc_html__('Full page?', 'infinito'),
				'desc' 		=> sprintf( '%s<br>%s<br>%s<br>%s', 
					esc_html__( 'Every row from Visual Composer will be one slide( Full page )', 'infinito' ), 
					esc_html__( 'To add a label that will be used in navigation menu, look inside every Visual Composer row for the option "Label name" ( Full page tab > Label name ) ', 'infinito' ),
					esc_html__( 'To add a slide background/image go to Row Settings > Background', 'infinito' ),
					esc_html__( '*Note: Do not use Row Settings -> Row stretch, leave it Default as rows as already stratched and can lead to problems.', 'infinito' )
				),				
				'std'		=> '',
				'subsection' => 'start',
			),						
			array(
				'id'		=> 'wow-full_page-menu',
				'class'		=> 'wow-full_page-menu',
				'type'		=> 'select',
				'title'		=> esc_html__('Menu style', 'infinito'),
				'desc' 		=> esc_html__('Choose style of menu for full page', 'infinito'),
				'options' 	=> array(
					'overlay'	=> 'Overlay',
					'panel'	=> 'Side Panel',
				),
				'std'		=> 'overlay',
				'subsection' => false,
				
			),
			array(
				'id'		=> 'wow-full_page-parallax',
				'class'		=> 'wow-full_page-parallax',
				'type'		=> 'select',
				'title'		=> esc_html__('Parallax', 'infinito'),
				'desc' 		=> esc_html__('Enable/disable parallax for full page', 'infinito'),
				'options' 	=> array(
					'disable'	=> 'Disable',
					'enable'	=> 'Enable',
				),
				'std'		=> 'enable',
				'subsection' => false,
				
			),
			array(
				'id'		=> 'wow-full_page-footer',
				'class'		=> 'wow-full_page-footer',
				'type'		=> 'select',
				'desc' 		=> esc_html__('Show/hide footer', 'infinito'),
				'title'		=> esc_html__('Show footer', 'infinito'),
				'options' 	=> array(
					'no'	=> 'No',
					'yes'	=> 'Yes',
				),
				'std'		=> 'yes',
				'subsection' => false,
				
			),
			array(
				'id'		=> 'wow-full_page-menu-color',
				'class'		=> 'wow-full_page-color',
				'type'		=> 'color',
				'title'		=> esc_html__('Menu Text Color', 'infinito'),
				'desc' 		=> esc_html__('Text color for menu', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),			

			array(
				'id'		=> 'wow-full_page-menu-hcolor',
				'class'		=> 'wow-full_page-hcolor',
				'type'		=> 'color',
				'title'		=> esc_html__('Menu Hover Text Color', 'infinito'),
				'desc' 		=> esc_html__('Hover text color for menu', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),			
			array(
				'id'		=> 'wow-full_page-menu-bg',
				'class'		=> 'wow-full_page-bg',
				'type'		=> 'color',
				'title'		=> esc_html__('Overlay Background Color', 'infinito'),
				'desc' 		=> esc_html__('Choose overlay background color.', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),
			array(
				'id'		=> 'wow-full_page-label-color',
				'class'		=> 'wow-full_page-label-color',
				'type'		=> 'color',
				'title'		=> esc_html__('Label text color', 'infinito'),
				'desc' 		=> esc_html__('Text color of the label near the navigation bullets', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),			
			array(
				'id'		=> 'wow-full_page-label-bg',
				'class'		=> 'wow-full_page-label-bg',
				'type'		=> 'color',
				'title'		=> esc_html__('Label background', 'infinito'),
				'desc' 		=> esc_html__('Background of the label near the navigation bullets', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),			
			array(
				'id'		=> 'wow-full_page-trigger-color',
				'class'		=> 'wow-full_page-trigger-color',
				'type'		=> 'color',
				'title'		=> esc_html__('Trigger color', 'infinito'),
				'desc' 		=> esc_html__('This is the color for the menu trigger', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),
			array(
				'id' 		=> 'wow-full_page-menu-width',
				'class' 	=> 'wow-full_page-menu-width',
				'type' 		=> 'input',
				'title' 	=> esc_html__('Menu Width', 'infinito'),
				'desc' 		=> esc_html__('Enter width for menu. Works only for side panel menu. Enter in px. ( I.e 300px )', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),			
			array(
				'id' 		=> 'wow-full_page-font_size',
				'class' 	=> 'wow-full_page-fs',
				'type' 		=> 'input',
				'title' 	=> esc_html__('Menu Font Size', 'infinito'),
				'desc' 		=> esc_html__('One page menu font size. Usage: 25px, 3em, etc', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),
			array(
				'id' 		=> 'wow-full_page-lh',
				'class' 	=> 'wow-full_page-lh',
				'type' 		=> 'input',
				'title' 	=> esc_html__('Menu line height', 'infinito'),
				'desc' 		=> esc_html__('One page menu line-height. Usage: 25px, 3em, etc', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),			
			array(
				'id' 		=> 'wow-full_page-links-margin',
				'class' 	=> 'wow-full_page-links-margin',
				'type' 		=> 'input',
				'title' 	=> esc_html__('Links margin', 'infinito'),
				'desc' 		=> esc_html__('Add links margin. I.e ( 5px 0 5px 0 ). Enter 0px for no margin', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),			
			array(
				'id' 		=> 'wow-full_page-logo-trigger-margin',
				'class' 	=> 'wow-full_page-logo-trigger-margin',
				'type' 		=> 'input',
				'title' 	=> esc_html__('Logo and menu trigger margin top', 'infinito'),
				'desc' 		=> esc_html__('Add logo and menu trigger margin top. I.e ( 100px )', 'infinito'),
				'options' 	=> '',
				'std'		=> '60px',
				'subsection' => false,
			),			
			array(
				'id' 		=> 'wow-full_page-menu-logo-trigger-margin',
				'class' 	=> 'wow-full_page-menu-logo-trigger-margin',
				'type' 		=> 'input',
				'title' 	=> esc_html__('Right / left distance of logo and menu trigger', 'infinito'),
				'desc' 		=> esc_html__('Add right / left distance of logo and menu trigger I.e ( 50px )', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'end',
			),
			//different header layout
			array(
				'id' 		=> 'wow-header-layout',
				'class' 	=> 'wow-header-layout',
				'type' 		=> 'radio_img',
				'big_title' 	=> esc_html__('Header layout', 'infinito'),
				'desc' 		=> esc_html__('Change header layout for this page only.', 'infinito'),
				'options' 	=> array(
					'' 	=> array('title' => 'Theme Default', 'img' => WOW_INFINITO_PLUGIN_URI.'/images/page-layout/theme-default.gif'),
					'header-one' =>  array( 'title' => 'Horizontal logo left', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_01.gif' ) ,
					'header-one-a' =>  array( 'title' => 'Horizontal logo right', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_01a.gif' ) ,
					'header-two' =>  array( 'title' => 'Horizontal logo left with separators', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_02.gif' ) ,
					'header-two-a' =>  array( 'title' => 'Horizontal logo right with separators', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_02a.gif' ) ,
					'header-three' =>  array( 'title' => 'Horizontal logo left - menu bellow', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_03.gif' ) ,
					'header-four' =>  array( 'title' => 'Horizontal logo center - menu bellow', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_04.gif' ) ,
					'header-five' =>  array( 'title' => 'Horizontal logo right - menu bellow', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_05.gif' ) ,
					'header-five-a' =>  array( 'title' => 'Center logo - two menus', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_05_a.gif' ) ,							
					'header-seven' =>  array( 'title' => 'Vertical left - logo top', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_07.gif' ) ,
					'header-eight' =>  array( 'title' => 'Vertical left - logo bottom', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_08.gif' ) ,
					'header-nine' =>  array( 'title' => 'Vertical right - logo top', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_09.gif' ) ,
					'header-ten' =>  array( 'title' => 'Vertical right - logo bottom', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_10.gif' ) ,
					'header-eleven' =>  array( 'title' => 'Overlay', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_11.gif' ) ,				
				),
				'std'		=> '',
			),			
			//different page menu
			array(
				'id'		=> 'wow-different-menu',
				'class'		=> 'wow-different-menu',
				'type'		=> 'select',
				'big_title'		=> esc_html__('Other options', 'infinito'),
				'title'		=> esc_html__('Different menu?', 'infinito'),
				'desc' 		=> sprintf( '%s<br>%s<strong>%s</strong>', 
					esc_html__( 'Allows you to add a different menu on this page.', 'infinito' ), 
					esc_html__( '*Does not work with header layout - ', 'infinito' ),
					esc_html__( 'Center logo - two menus', 'infinito' )
				),
				'options' 	=> $menus_array,
				'std'		=> '',
				'subsection' => 'start',	
			),
			array(
				'id'		=> 'wow-disable-header',
				'class'		=> 'wow-disable-header',
				'type'		=> 'radio',
				'title'		=> esc_html__('Disable header?', 'infinito'),
				'desc' 		=> esc_html__('It will disable your header on this page only', 'infinito'),
				'options' 	=> array(
					''	=> 'No',
					'yes'	=> 'Yes',	
				),
				'std'		=> '',
				'subsection' => false,
			),	
			array(
				'id'		=> 'wow-disable-footer',
				'class'		=> 'wow-disable-footer',
				'type'		=> 'radio',
				'title'		=> esc_html__('Disable footer?', 'infinito'),
				'desc' 		=> esc_html__('It will disable your footer on this page only', 'infinito'),
				'options' 	=> array(
					''	=> 'No',
					'yes'	=> 'Yes',	
				),
				'std'		=> '',
				'subsection' => false,
				
			),	
			array(
				'id'		=> 'wow-abs-header',
				'class'		=> 'wow-abs-header',
				'type'		=> 'select',
				'title'		=> esc_html__('Absolute Header ?', 'infinito'),
				'desc' 		=> esc_html__('It will disable your sub-header background, and replace it with the background from the first row you add via Page Builder. Useful for when you want to add a nice background to your header what will also continue onto your page bellow header. Works only for horizontal header layouts.', 'infinito'),
				'options' 	=> array(
					''	=> 'No',
					'yes'	=> 'Yes',	
				),
				'std'		=> '',
				'subsection' => false,
				
			),
			array(
				'id' 		=> 'wow-abs-spacer',
				'class' 	=> 'wow-abs-spacer',
				'type' 		=> 'input',
				'title' 	=> esc_html__('Content padding top', 'infinito'),
				'desc' 		=> esc_html__('Enter content padding top in pixels. This field is mandatory when you select the Absolute Header option, otherwise the content will overlap the header / breadcrumb. I.e 500px ', 'infinito'),
				'options' 	=> '',
				'std'		=> '500px',
				'subsection' => 'end',
				'dependency' => true
			),
			array(
				'id'		=> 'wow-page-subheader-color',
				'class'		=> 'wow-page-subheader',
				'type'		=> 'color',
				'title'		=> esc_html__('Background Color', 'infinito'),
				'desc' 		=> '',
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'start',
				'big_title' => esc_html__('Sub-Header Options', 'infinito'),
			),	

			array(
				'id'		=> 'wow-page-subheader-bg-repeat',
				'class'		=> 'wow-page-subheader-bg-repeat',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Repeat', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
						'' => 'Inherit',
                        'no-repeat' => 'No Repeat',
                        'repeat'    => 'Repeat All',
                        'repeat-x'  => 'Repeat Horizontally',
                        'repeat-y'  => 'Repeat Vertically',
				),
				'std'		=> '',
				'subsection' => false,
				
			),
			array(
				'id'		=> 'wow-page-subheader-bg-cover',
				'class'		=> 'wow-page-subheader-bg-cover',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Size', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
                        '' => 'Inherit',
                        'cover'   => 'Cover',
                        'contain' => 'Contain',
				),
				'std'		=> '',
				'subsection' => false,
				
			),	
			array(
				'id'		=> 'wow-page-subheader-bg-attachment',
				'class'		=> 'wow-page-subheader-bg-cover',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Attachment', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
                        '' => 'Inherit',
						'fixed'   => 'Fixed',
                        'scroll'  => 'Scroll',
				),
				'std'		=> '',
				'subsection' => false,
				
			),
			array(
				'id'		=> 'wow-page-subheader-bg-position',
				'class'		=> 'wow-page-subheader-bg-position',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Position', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
						''      => 'Inherit',
                        'left top'      => 'Left Top',
                        'left center'   => 'Left center',
                        'left bottom'   => 'Left Bottom',
                        'center top'    => 'Center Top',
                        'center center' => 'Center Center',
                        'center bottom' => 'Center Bottom',
                        'right top'     => 'Right Top',
                        'right center'  => 'Right center',
                        'right bottom'  => 'Right Bottom',
				),
				'std'		=> '',
				'subsection' => false,
				
			),	
			array(
				'id'		=> 'wow-page-subheader-image',
				'class'		=> 'wow-page-subheader-image',
				'type'		=> 'upload_img',
				'title'		=> esc_html__('Background Image', 'infinito'),
				'desc' 		=> esc_html__('Add a custom background image to this page sub-header','infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'end',
				
			),
			array(
				'id'		=> 'wow-show-breadcumb',
				'class'		=> 'wow-show-breadcumb',
				'type'		=> 'radio',
				//'title'		=> esc_html__('Page title &amp; breadcrumb display ?', 'infinito'),
				'big_title'		=> esc_html__('Page title &amp; breadcrumb display ?', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
					''	=> 'Theme Default',
					'both'	=> 'Both (title and breadcrumb)',
					'breadcrumb'	=> 'Breadcrumb',
					'title'	=> 'Title',
					'none'	=> 'None',
					
				),
				'std'		=> '',
			),		
			
			//woocommerce options
			$woocommerce_meta,
			
			//seo options
			array(
				'id' 		=> 'wow-seo-title',
				'class' 	=> 'wow-seo',
				'type' 		=> 'textarea',
				'title' 	=> esc_html__('Title', 'infinito'),
				'desc' 		=> esc_html__('Enter the SEO title for this page', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'start',
				'big_title' => esc_html__('Seo', 'infinito'),
			),			
			
			array(
				'id' 		=> 'wow-seo-desc',
				'class' 	=> 'wow-seo-desc',
				'type' 		=> 'textarea',
				'title' 	=> esc_html__('Description', 'infinito'),
				'desc' 		=> esc_html__('Enter the SEO description for this page', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),			
			
			array(
				'id' 		=> 'wow-seo-keywords',
				'class' 	=> 'wow-seo-keywords',
				'type' 		=> 'textarea',
				'title' 	=> esc_html__('Keywords', 'infinito'),
				'desc' 		=> esc_html__('Enter the SEO keywords for this page separated by commas', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'end',
			),
			
			array(
				'id' 		=> 'wow-custom-css',
				'class' 	=> 'wow-custom-css',
				'type' 		=> 'textarea',
				'big_title' 	=> esc_html__('Custom CSS Code', 'infinito'),
				'desc' 		=> esc_html__('Add your custom css code here for this page', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
			),			
			
		),
);
	add_meta_box(
		$wow_page_meta_box['id'], 
		$wow_page_meta_box['title'], 
		'wow_page_show_meta_box', 
		$wow_page_meta_box['page'], 
		$wow_page_meta_box['context'], 
		$wow_page_meta_box['priority']
	);
}
add_action('admin_menu', 'wow_add_meta_boxes_to_page');


/*
=================================================================================================================
wow_page_show_meta_box() - Display meta boxes to all pages
=================================================================================================================
*/
function wow_page_show_meta_box($post_id) {
	
	global $wow_page_meta_box, $post , $admin_wow_custom_css;
	$post_id = $post->ID;

	// Use nonce for verification
	echo '<div id="wow-options-wrapper">';
		echo '<input type="hidden" name="wow_page_meta_nonce" value="'.esc_attr( wp_create_nonce(basename(__FILE__)) ). '" />';	
							
							//filter
							echo '<ul class="filter">';
								foreach ( $wow_page_meta_box['fields'] as $field ) {
									if ( !empty( $field['big_title'] ) && $field['big_title'] ) {
										echo '<li><a href="#" class="'.esc_attr( $field['class'] ).' filter-options">'.esc_attr($field['big_title']).'</a></li>';
									}
								}
								echo '<li><a href="#" class="show-all">'.esc_html__('Show all','infinito').'</a></li>';
							echo '</ul>';
							
							foreach ($wow_page_meta_box['fields'] as $field) {
								if( empty( $field ) ) { continue; }
								$dependency = isset( $field['dependency'] ) ? " dependent" : '';
								$class = $field['class'] ? 'class="'.esc_attr( $field['class'] ).'"' : '';
								$field['subsection'] = isset($field['subsection']) ? $field['subsection'] : 'show';
								
								if ( $field['subsection'] == 'show' )	{
									echo '<section '. $class .'>'; //$class escaped above
									echo ( !empty( $field['big_title'] ) && $field['big_title'] ) ? '<h2 class="big_title">' . esc_html( $field['big_title'] ) . '<a class="wow_meta_open" href="#">+</a></h2>' : '';
									echo '<div class="subsection'.esc_attr( $dependency ).'"  data-type="'.esc_attr( $field['type'] ).'">';
								}
								elseif( $field['subsection'] == 'start' ){
									echo '<section '. $class .'>';
									echo ( !empty( $field['big_title'] ) && $field['big_title'] ) ? '<h2 class="big_title pad15">' . esc_html( $field['big_title'] ) . ' <a class="wow_meta_open" href="#">+</a></h2></h2>' : '';
									echo '<div class="subsection'.esc_attr( $dependency ).'"  data-type="'.esc_attr( $field['type'] ).'">'; //$class escaped above
									if ( $field['class'] == 'desktop_padding_left_right' ){
										echo '<button id ="reset_padding">Reset all paddings</button>';
									}
								}								
								else{
									echo '<div class="subsection'.esc_attr( $dependency ).'"  data-type="'.esc_attr( $field['type'] ).'">';
								}

									echo ( !empty( $field['title'] ) && $field['title'] ) ? '<h2 class="title">' . esc_html( $field['title'] ) . ' </h2>' : '';
											$post_meta = get_post_meta($post_id, $field['id'], true);
											wow_html_fields($field['options'] , $field['type'] , $field['id'] , $post_meta, $field['class'], $field['std'],$field['subsection']); // no need to escape as all variables are properly escaped in the file functions/functions-theme.php - wow_html_fields()
											echo '<p class="desc">'.$field['desc'].'</p>'; //$field['desc'] properly escaped in the $wow_page_meta_box array above - escaped with esc_html__
								if ( $field['subsection'] == 'show' )	{
									echo '</div></section>';
								}
								elseif( $field['subsection'] == 'end' ){
									echo '</div></section>';
								}
								else{
									echo '</div>';
								}
							}
		echo '</div>';

}


/*
=================================================================================================================
wow_page_save_data() - Save all the post data with the options from meta boxes
=================================================================================================================
*/
function wow_page_save_data($post_id) {
	global $wow_page_meta_box;
	// verify nonce
	if( key_exists( 'wow_page_meta_nonce',$_POST ) ) {
		if ( ! wp_verify_nonce( $_POST['wow_page_meta_nonce'], basename(__FILE__) ) ) {
			return $post_id;
		}
	}
 
	// check autosave
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}
 
	// check the permissions
	if ( (key_exists('post_type', $_POST)) && ('page' == $_POST['post_type']) ) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	}
	if( !empty( $wow_page_meta_box['fields'] ) ) {
		// check and save the fields $wow_page_meta_box['fields']
		foreach ( (array)$wow_page_meta_box['fields'] as $field ) {
			
			if ( empty( $field['id'] ) ) { continue; }
			
			$old = get_post_meta($post_id, $field['id'], true);
			if( key_exists($field['id'], $_POST) ) {
				$new = $_POST[$field['id']];
			} else {
				continue;
			}
	 
			if ( isset($new) && $new != $old) {
				update_post_meta($post_id, $field['id'], $new);
			} elseif ('' == $new && $old) {
				delete_post_meta($post_id, $field['id'], $old);
			}
		}		
	}

}
add_action('save_post', 'wow_page_save_data');