<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * Product meta options
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */

/*
=================================================================================================================
wow_add_meta_boxes_to_post() - Add the meta boxes to post
=================================================================================================================
*/
function wow_add_meta_boxes_to_product(){
global $wow_product_meta_box;

$menus = get_terms('nav_menu');

$menus_array = array(''	=> 'No');

foreach($menus as $menu){
 $menus_array[$menu->term_id]  = $menu->name;
} 

$wow_product_meta_box = array(
		'id' 		=> 'wow-page-options',
		'title' 	=> esc_html__('Product Options','infinito'),
		'page'      => 'product',
		'context' 	=> 'normal',
		'priority' 	=> 'high',
		'fields'	=> array(
			array(
				'id' 		=> 'wow-related-prod',
				'class' 	=> 'wow-related-prod',
				'type' 		=> 'radio',
				'title' 	=> esc_html__('Show Related Products?', 'infinito'),
				'desc' 		=> sprintf('%s<a href="%s" target="_blank">%s</a>',
					esc_html__('It will display related products, if any. This will override the theme options settings for this product only. More info ','infinito'),
					esc_url('https://docs.woocommerce.com/document/related-products-up-sells-and-cross-sells/#section-3','infinito'),
					esc_html__('here','infinito')
				),
				'options' 	=> array(
					''	=> 'Theme default',
					'no'	=> 'No',
					'yes'	=> 'Yes',
				),
				'std'		=> '',
				'subsection' => 'start',
				'big_title' => esc_html__('Related & Up-Sells', 'infinito'),
			),		
			array(
				'id' 		=> 'wow-upsell-prod',
				'class' 	=> 'wow-upsell-prod',
				'type' 		=> 'radio',
				'title' 	=> esc_html__('Show Up-Sells Products?', 'infinito'),
				'desc' 		=> sprintf('%s<a href="%s" target="_blank">%s</a>',
					esc_html__('It will display up-sells products, if any. This will override the theme options settings for this product only. More info ','infinito'),
					esc_url('https://docs.woocommerce.com/document/related-products-up-sells-and-cross-sells/#section-3','infinito'),
					esc_html__('here','infinito')
				),
				'options' 	=> array(
					''	=> 'Theme default',
					'no'	=> 'No',
					'yes'	=> 'Yes',	
				),
				'std'		=> '',
				'subsection' => 'end',
				
			),
			//different header layout
			array(
				'id' 		=> 'wow-header-layout',
				'class' 	=> 'wow-header-layout',
				'type' 		=> 'radio_img',
				'big_title' 	=> esc_html__('Header layout', 'infinito'),
				'desc' 		=> esc_html__('Change header layout for this product only.', 'infinito'),
				'options' 	=> array(
					'' 	=> array('title' => 'Theme Default', 'img' => WOW_INFINITO_PLUGIN_URI.'/images/page-layout/theme-default.gif'),
					'header-one' =>  array( 'title' => 'Horizontal logo left', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_01.gif' ) ,
					'header-one-a' =>  array( 'title' => 'Horizontal logo right', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_01a.gif' ) ,
					'header-two' =>  array( 'title' => 'Horizontal logo left with separators', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_02.gif' ) ,
					'header-two-a' =>  array( 'title' => 'Horizontal logo right with separators', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_02a.gif' ) ,
					'header-three' =>  array( 'title' => 'Horizontal logo left - menu bellow', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_03.gif' ) ,
					'header-four' =>  array( 'title' => 'Horizontal logo center - menu bellow', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_04.gif' ) ,
					'header-five' =>  array( 'title' => 'Horizontal logo right - menu bellow', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_05.gif' ) ,
					'header-five-a' =>  array( 'title' => 'Center logo - two menus', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_05_a.gif' ) ,							
					'header-seven' =>  array( 'title' => 'Vertical left - logo top', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_07.gif' ) ,
					'header-eight' =>  array( 'title' => 'Vertical left - logo bottom', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_08.gif' ) ,
					'header-nine' =>  array( 'title' => 'Vertical right - logo top', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_09.gif' ) ,
					'header-ten' =>  array( 'title' => 'Vertical right - logo bottom', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_10.gif' ) ,
					'header-eleven' =>  array( 'title' => 'Overlay', 'img' => WOW_INFINITO_PLUGIN_URI . '/images/theme-options/headers/header_11.gif' ) ,				
				),
				'std'		=> '',
			),				
			//different page menu
			array(
				'id'		=> 'wow-different-menu',
				'class'		=> 'wow-different-menu',
				'type'		=> 'select',
				'big_title'		=> esc_html__('Other options', 'infinito'),
				'title'		=> esc_html__('Different menu?', 'infinito'),
				'desc' 		=> sprintf( '%s<br>%s<strong>%s</strong>', 
					esc_html__( 'Allows you to add a different menu on this product.', 'infinito' ), 
					esc_html__( '*Does not work with header layout - ', 'infinito' ),
					esc_html__( 'Center logo - two menus', 'infinito' )
				),
				'options' 	=> $menus_array,
				'std'		=> '',
				'subsection' => 'start',
				
			),
			array(
				'id'		=> 'wow-disable-header',
				'class'		=> 'wow-disable-header',
				'type'		=> 'radio',
				'title'		=> esc_html__('Disable header?', 'infinito'),
				'desc' 		=> esc_html__('It will disable your header on this product only', 'infinito'),
				'options' 	=> array(
					''	=> 'No',
					'yes'	=> 'Yes',	
				),
				'std'		=> '',
				'subsection' => false,
			),	
			array(
				'id'		=> 'wow-disable-footer',
				'class'		=> 'wow-disable-footer',
				'type'		=> 'radio',
				'title'		=> esc_html__('Disable footer?', 'infinito'),
				'desc' 		=> esc_html__('It will disable your footer on this product only', 'infinito'),
				'options' 	=> array(
					''	=> 'No',
					'yes'	=> 'Yes',	
				),
				'std'		=> '',
				'subsection' => 'end',
				
			),				
			array(
				'id'		=> 'wow-page-subheader-color',
				'class'		=> 'wow-page-subheader',
				'type'		=> 'color',
				'title'		=> esc_html__('Background Color', 'infinito'),
				'desc' 		=> '',
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'start',
				'big_title' => esc_html__('Sub-Header Options', 'infinito'),
			),	

			array(
				'id'		=> 'wow-page-subheader-bg-repeat',
				'class'		=> 'wow-page-subheader-bg-repeat',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Repeat', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
					''   => 'Inherit',                       
					'no-repeat' => 'No Repeat',
                    'repeat'    => 'Repeat All',
                    'repeat-x'  => 'Repeat Horizontally',
                    'repeat-y'  => 'Repeat Vertically',

				),
				'std'		=> '',
				'subsection' => false,
				
			),
			array(
				'id'		=> 'wow-page-subheader-bg-cover',
				'class'		=> 'wow-page-subheader-bg-cover',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Size', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
                        '' => 'Inherit',
                        'cover'   => 'Cover',
                        'contain' => 'Contain',
				),
				'std'		=> '',
				'subsection' => false,
				
			),	
			array(
				'id'		=> 'wow-page-subheader-bg-attachment',
				'class'		=> 'wow-page-subheader-bg-cover',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Attachment', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
                        '' => 'Inherit',
						'fixed'   => 'Fixed',
                        'scroll'  => 'Scroll',      
				),
				'std'		=> '',
				'subsection' => false,
				
			),
			array(
				'id'		=> 'wow-page-subheader-bg-position',
				'class'		=> 'wow-page-subheader-bg-position',
				'type'		=> 'select',
				'title'		=> esc_html__('Background Position', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
						''      => 'Inherit',
                        'left top'      => 'Left Top',
                        'left center'   => 'Left center',
                        'left bottom'   => 'Left Bottom',
                        'center top'    => 'Center Top',
                        'center center' => 'Center Center',
                        'center bottom' => 'Center Bottom',
                        'right top'     => 'Right Top',
                        'right center'  => 'Right center',
                        'right bottom'  => 'Right Bottom',
				),
				'std'		=> '',
				'subsection' => false,
				
			),	
			array(
				'id'		=> 'wow-page-subheader-image',
				'class'		=> 'wow-page-subheader-image',
				'type'		=> 'upload_img',
				'title'		=> esc_html__('Background Image', 'infinito'),
				'desc' 		=> 'Add a custom background image to this product sub-header',
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'end',
				
			),
			array(
				'id'		=> 'wow-show-breadcumb',
				'class'		=> 'wow-show-breadcumb',
				'type'		=> 'radio',
				'big_title'		=> esc_html__('Page title & breadcrumb display ?', 'infinito'),
				//'title'		=> esc_html__('Page title & breadcrumb display ?', 'infinito'),
				'desc' 		=> '',
				'options' 	=> array(
					''	=> 'Theme Default',
					'both'	=> 'Both (title and breadcrumb)',
					'breadcrumb'	=> 'Breadcrumb',
					'title'	=> 'Title',
					'none'	=> 'None',
					
				),
				'std'		=> '',
			),			
			array(
				'id' 		=> 'wow-seo-title',
				'class' 	=> 'wow-seo',
				'type' 		=> 'textarea',
				'title' 	=> esc_html__('Title', 'infinito'),
				'desc' 		=> esc_html__('Enter the SEO title for this page', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'start',
				'big_title' => esc_html__('Seo', 'infinito'),
			),			
			
			array(
				'id' 		=> 'wow-seo-desc',
				'class' 	=> 'wow-seo-desc',
				'type' 		=> 'textarea',
				'title' 	=> esc_html__('Description', 'infinito'),
				'desc' 		=> esc_html__('Enter the SEO description for this page', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => false,
			),			
			
			array(
				'id' 		=> 'wow-seo-keywords',
				'class' 	=> 'wow-seo-keywords',
				'type' 		=> 'textarea',
				'title' 	=> esc_html__('Keywords', 'infinito'),
				'desc' 		=> esc_html__('Enter the SEO keywords for this page separated by commas', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'end',
			),
			
			array(
				'id' 		=> 'wow-custom-css',
				'class' 	=> 'wow-custom-css',
				'type' 		=> 'textarea',
				'desc' 		=> esc_html__('Add your custom css code here for this page', 'infinito'),
				'options' 	=> '',
				'std'		=> '',
				'subsection' => 'show',
				'big_title' 	=> esc_html__('Custom CSS Code', 'infinito'),
			),			
		),
);
	add_meta_box(
		$wow_product_meta_box['id'], 
		$wow_product_meta_box['title'], 
		'wow_page_show_meta_box_product',
		$wow_product_meta_box['page'], 
		$wow_product_meta_box['context'], 
		$wow_product_meta_box['priority']
	);
}

add_action('admin_menu', 'wow_add_meta_boxes_to_product');

/*
=================================================================================================================
wow_page_show_meta_box_product() - Display meta boxes to all portfolio posts
=================================================================================================================
*/
function wow_page_show_meta_box_product($post_id) {
	
	global $wow_product_meta_box, $post;
	$post_id = $post->ID;

	// Use nonce for verification
	echo '<div id="wow-options-wrapper">';
		echo '<input type="hidden" name="wow_page_meta_nonce" value="'.esc_attr( wp_create_nonce(basename(__FILE__)) ).'" />';	
							
							//filter
							echo '<ul class="filter">';
								foreach ( $wow_product_meta_box['fields'] as $field ) {
									if ( !empty( $field['big_title'] ) && $field['big_title'] ) {
										echo '<li><a href="#" class="'.esc_attr( $field['class'] ).' filter-options">'.esc_attr($field['big_title']).'</a></li>';
									}
								}
								echo '<li><a href="#" class="show-all">'.esc_html__('Show all','infinito').'</a></li>';
							echo '</ul>';							
							
							foreach ($wow_product_meta_box['fields'] as $field) {
								if( empty( $field ) ) { continue; }
								$class = $field['class'] ? 'class="'.esc_attr( $field['class'] ).'"' : '';
								$field['subsection'] = isset($field['subsection']) ? $field['subsection'] : 'show';
								
								if ( $field['subsection'] == 'show' )	{
									echo '<section '. $class .'>'; //$class escaped above
									echo ( !empty( $field['big_title'] ) && $field['big_title'] ) ? '<h2 class="big_title">' . esc_html( $field['big_title'] ) . '<a class="wow_meta_open" href="#">+</a></h2>' : '';
									echo '<div class="subsection"  data-type="'.esc_attr( $field['type'] ).'">';
								}
								elseif( $field['subsection'] == 'start' ){
									echo '<section '. $class .'>';
									echo ( !empty( $field['big_title'] ) && $field['big_title'] ) ? '<h2 class="big_title pad15">' . esc_html( $field['big_title'] ) . ' <a class="wow_meta_open" href="#">+</a></h2></h2>' : '';
									echo '<div class="subsection"  data-type="'.esc_attr( $field['type'] ).'">'; //$class escaped above			
								}								
								else{
									echo '<div class="subsection"  data-type="'.esc_attr( $field['type'] ).'">';
								}

									echo ( !empty( $field['title'] ) && $field['title'] ) ? '<h2 class="title">' . esc_html( $field['title'] ) . ' </h2>' : '';
										$post_meta = get_post_meta($post_id, $field['id'], true);
										wow_html_fields($field['options'] , $field['type'] , $field['id'] , $post_meta, $field['class'], $field['std'],$field['subsection']); // no need to escape as all variables are properly escaped in the file functions/functions-theme.php - wow_html_fields() - create html fields
										echo '<p class="desc">'. $field['desc'] .'</p>' ;  //escaped in each array
								if ( $field['subsection'] == 'show' )	{
									echo '</div></section>';
								}
								elseif( $field['subsection'] == 'end' ){
									echo '</div></section>';
								}
								else{
									echo '</div>';
								}
							}
		echo '</div>';
}


/*
=================================================================================================================
wow_page_save_data_product() - Save all the portfolio data with the options from meta boxes
=================================================================================================================
*/
function wow_page_save_data_product($post_id) {
	global $wow_product_meta_box;
	// verify nonce
	if( key_exists( 'wow_page_meta_nonce',$_POST ) ) {
		if ( ! wp_verify_nonce( $_POST['wow_page_meta_nonce'], basename(__FILE__) ) ) {
			return $post_id;
		}
	}
 
	// check autosave
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}
 
	// check the permissions
	if ( (key_exists('post_type', $_POST)) && ('page' == $_POST['post_type']) ) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	}
	if( !empty( $wow_product_meta_box['fields'] ) ) {
		// check and save the fields $wow_product_meta_box['fields']
		foreach ( (array)$wow_product_meta_box['fields'] as $field ) {
			
			if ( empty( $field['id'] ) ) { continue; }
			
			$old = get_post_meta($post_id, $field['id'], true);
			if( key_exists($field['id'], $_POST) ) {
				$new = $_POST[$field['id']];
			} else {
				continue;
			}
	 
			if ( isset($new) && $new != $old) {
				update_post_meta($post_id, $field['id'], $new);
			} elseif ('' == $new && $old) {
				delete_post_meta($post_id, $field['id'], $old);
			}
		}
	}
}
add_action('save_post', 'wow_page_save_data_product');