<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/*
=================================================================================================================
wow_html_fields() - create html fields ( used in pages / posts / portfolio / products )
=================================================================================================================
*/
if ( !function_exists( 'wow_html_fields' ) ){
	function wow_html_fields( $data = '' , $type = 'select' , $id = '' , $value = '', $class='', $std = false , $section ){
		
		if (!empty($std) && empty($value)){
			$value = $std;
		}
		
		//if select radio image or radio simple field
		if( is_array( $data ) ){
			
			//select field
			if($type == 'select')
			{
				echo '<select name="'.esc_attr( $id ).'"  class="'.esc_attr( $class ).'" data-default="'.esc_attr( $std ).'" rows="6" >';
					foreach( $data as $key=>$element )
					{		
						echo '<option value="'.esc_attr( $key ).'" '.selected( $value, $key, false ).'>'.esc_html( $element ).'</option>';
						
					}
				echo '</select>';
			}
			
			//radio image
			elseif($type == 'radio_img'){
				echo '<fieldset name="'.esc_attr( $id ).'"  class="'.esc_attr( $class ).'"  data-default="'.esc_attr( $std ).'">';
					foreach($data as $key => $element){
						echo '<div class="wow-radio-item">';
							$selected = (checked($value, $key, false) != '')?' wow-radio-img-selected':'';
							echo '<label class="wow-radio-img'.esc_attr( $selected ).' wow-radio-img-'.esc_attr( $id ).'" for="'.esc_attr( $id ).'_'.array_search($key,array_keys($data)).'">';
								echo '<input type="radio" id="'.esc_attr($id).'_'.array_search($key,array_keys($data)).'" name="'.esc_attr( $id ). '" value="'.esc_attr( $key ).'" '.checked($value, $key, false).'/>';
								if (!empty($element['img'])) { 
									echo '<img src="'.esc_url( $element['img'] ).'" alt="'.esc_attr( $element['title'] ).'" />'; 
								}
								else{
									echo '<div class="radio_img_theme_default"></div>';
								}
								echo '<span class="description">'.esc_attr( $element['title'] ).'</span>';
							echo '</label>';
						echo '</div>';
					}
				echo '</select>';
			}

			//radio simple
			elseif ($type == 'radio'){
				echo '<div class="wow-radio-simple"  data-default="'.esc_attr( $std ).'">';
					foreach ($data as $key => $element){
						echo '<div><input type="radio" name="'.esc_attr( $id ).'" class="'.esc_attr( $class ).'" id="'.esc_attr( $id ).'" value="'.esc_attr( $key ).'" '.checked($value, $key, false).'/>'.esc_html( $element ).'</div>'; 
					}
				echo '</div>';
			}		

		}
		
			//input text
			elseif($type == 'input'){
					echo '<input type="text" name="'.esc_attr( $id ).'" value="'.esc_attr( $value ).'" class="'.esc_attr( $class ).'"  data-default="'.esc_attr( $std ).'" />';
			}		
			
			//textarea
			elseif($type == 'textarea'){
					echo '<textarea name="'.esc_attr($id).'" class="'.esc_attr( $class ).'"  data-default="'.esc_attr( $std ).'">'; 
						echo esc_textarea( $value );
					echo '</textarea>';
			}
			
			//image upload
			elseif($type == 'upload_img'){
				echo '<div class="wow-upload-field">';
					echo '<input type="text" name="'.esc_attr( $id ).'" value="'.esc_attr( $value ).'" class="'.esc_attr( $class ).'" />';
					echo ' <a href="javascript:void(0);" class="wow-opts-upload"><span></span>'. esc_html__('Browse', 'infinito') .'</a>';
					echo ' <a href="javascript:void(0);" class="wow-opts-upload-remove">'.esc_html__('Remove Upload', 'infinito').'</a>';
					echo '<div class="screenshot-holder">';
						echo '<img width="300" class="wow-opts-screenshot '.esc_attr( $class ).'" src="'.esc_url( $value ).'" />';
					echo '</div>';
					if( isset($data['desc']) && !empty($data['desc']) ){
						echo '<span class="description '.esc_attr( $class ).'">'. esc_html( $data['desc'] ) .'</span>';	
					}
				echo '</div>';
			}		
			
			//gallery upload
			elseif($type == 'upload_gallery'){
				
				echo '<div class="wow-gallery-upload-field">';
				echo '<input type="hidden" name="'.esc_attr( $id ).'[]" value="" class="wow-gallery-save '.esc_attr( $class ).'" />';
					
					echo '<div class="wow-gallery-images">';
				if( is_array($value) ){

						foreach($value as $key=>$val){
							
							if( !empty($val) ){
							
								$resized_img = aq_resize( $val, 200 , 200, true, true, true );
								
								$img = !empty( $resized_img ) ? $resized_img : $val;

								echo '<div class="screenshot-holder">';	
									echo '<div class="screenshot-holder-inner">';
										echo '<img src="'.esc_url( $img ).'" />';
									echo '</div>';
									echo '<a class="wow-gallery-upload-remove" href="#"><i class="wow-webapplication-close-line"></i></a>';
									echo '<input type="hidden" name="'.esc_attr( $id ).'[]" value="'. esc_attr( $val ).'" class="wow-gallery-save '.esc_attr( $class ).'" />';
								echo '</div>';
							}
							else{
								unset($value[$key]);
							}
						}
					
					
				}
				else{
					
						if( isset($data['desc']) && !empty($data['desc']) ){
							echo '<span class="description '.esc_attr( $class ).'">'. esc_html( $data['desc'] ) .'</span>';	
						}
				
				}	

					echo '</div>';
					echo '<a class="wow-gallery-upload wow-opts-upload" href="#"><i class="pe-7s-upload"></i> Add Image(s)</a>';

					
				echo '</div>';
			}
			
			//color picker
			elseif($type == 'color'){
				echo '<input type="text" name="'.esc_attr($id).'"  data-alpha="true"  value="'.esc_attr( $value ).'" class="wow_admin_color_picker color-picker '.esc_attr( $class ).' '.esc_attr( $id ).'"   data-default="'.esc_attr( $std ).'"/>';
				//wp_dequeue_script( 'wp-color-picker' );
				wp_enqueue_script( 'infinito-admin_color', WOW_INFINITO_PLUGIN_URI."/js/wp-color-picker-alpha.min.js", array( 'wp-color-picker' ), false, true );
				wp_enqueue_script( 'infinito-admin_color-picker_init', WOW_INFINITO_PLUGIN_URI."/js/admin_color-picker_init.js", array( 'wp-color-picker' ), false, true );
			}		
			
			//editor
			elseif($type == 'editor'){
				wp_editor( $value,$id,array('wpautop' => false) );
			}
			
	}
}

/*
=================================================================================================================
wow_get_rev_sliders() Get all the Rev Sliders
=================================================================================================================
*/
if ( !function_exists( 'wow_get_rev_sliders' ) ){
	function wow_get_rev_sliders(){
			global $wpdb;
		
			$sliders = array( ''  => esc_html__('Select Slider', 'infinito') );
		
			if( function_exists( 'rev_slider_shortcode' ) ){
				
				
				// table prefix
				$table_prefix ='';
				if( $table_prefix == 'base_prefix' ){
					$table_prefix = $wpdb->base_prefix;
				} else {
					$table_prefix = $wpdb->prefix;
				}
				
				$table_name = $table_prefix . "revslider_sliders";
				
				
				$rs5 = $wpdb->get_results("SHOW COLUMNS FROM $table_name LIKE 'type'");
				if( $rs5 ){			
					// Revolution Slider 5.x
					$array = $wpdb->get_results("SELECT * FROM $table_name WHERE type != 'template' ORDER BY title ASC");
				} else {			
					// Revolution Slider 4.x
					$array = $wpdb->get_results("SELECT * FROM $table_name ORDER BY title ASC");
				}
				
				
				if( is_array( $array ) ){
					foreach( $array as $slider ){
						$sliders[$slider->alias] = $slider->title;
					}
				}
				
			}
			
			return $sliders;
	}
}