<?php
/**
* Plugin Name: Infinito Addons
* Plugin URI: https://wowlayers.com
* Description: Register portfolio post type and add theme custom meta boxes to page / post / portfolio / products
* Version: 1.0
* Author: WOW Layers
* Author URI: https://wowlayers.com
* Text Domain: infinito
**/

//exit if accessed directly
defined( 'ABSPATH' ) or exit;

//defines
define('WOW_INFINITO_PLUGIN_DIR', plugin_dir_path(__FILE__) );
define('WOW_INFINITO_PLUGIN_URI', plugin_dir_url( __FILE__ ) );

/*
=================================================================================================================
wow_infinito_addons_plugin_core() - add required > hooked @ init
=================================================================================================================
*/
function wow_infinito_addons_plugin_core() {
	require_once( WOW_INFINITO_PLUGIN_DIR .'/functions/functions-meta-page.php' ); //Add meta boxes to page
	require_once( WOW_INFINITO_PLUGIN_DIR .'/functions/functions-meta-post.php' ); //Add meta boxes to post
	require_once( WOW_INFINITO_PLUGIN_DIR .'/functions/functions-theme.php' ); //Functions
	if ( class_exists( 'WooCommerce' ) ) {
		require_once( WOW_INFINITO_PLUGIN_DIR .'/functions/functions-meta-product.php' ); //Add meta boxes to product
	}	
}
add_action( 'init', 'wow_infinito_addons_plugin_core' );

require_once( WOW_INFINITO_PLUGIN_DIR .'/functions/functions-meta-portfolio.php' ); //Add portfolio post type and meta boxes - already hooked in functions-meta-portfolio.php

/*
=================================================================================================================
wow_load_infinito_plugin_styles() - load the plugin frontend styles
=================================================================================================================
*/
function wow_load_infinito_plugin_styles(){

}
add_action('wp_enqueue_scripts', 'wow_load_infinito_plugin_styles');

/*
=================================================================================================================
wow_load_infinito_plugin_scripts() - load the plugin frontend scripts
=================================================================================================================
*/
function wow_load_infinito_plugin_scripts(){
	
}
add_action('wp_enqueue_scripts', 'wow_load_infinito_plugin_scripts');


/*
=================================================================================================================
wow_load_infinito_plugin_admin_styles() - load the plugin admin styles
=================================================================================================================
*/
function wow_load_infinito_plugin_admin_styles(){

	wp_enqueue_style( 'infinito-admin-styles-google-fonts', 'https://fonts.googleapis.com/css?family=Roboto:300,400,500,700', false );
	wp_enqueue_style( 'infinito-admin-styles', WOW_INFINITO_PLUGIN_URI.'/css/admin-styles.css');
	if ( is_rtl() ) {
		wp_enqueue_style( 'infinito-admin-styles-rtl', WOW_INFINITO_PLUGIN_URI.'/css/admin-styles-rtl.css');	
	}
	
}
add_action( 'admin_enqueue_scripts', 'wow_load_infinito_plugin_admin_styles' );

/*
=================================================================================================================
wow_load_infinito_plugin_admin_scripts() - load the plugin admin scripts
=================================================================================================================
*/
function wow_load_infinito_plugin_admin_scripts() {
	wp_enqueue_script( 'infinito-admin-scripts', WOW_INFINITO_PLUGIN_URI . '/js/admin-scripts.js', array('jquery') , true);		
}
add_action('admin_enqueue_scripts', 'wow_load_infinito_plugin_admin_scripts');