<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form. The actual display of comments is
 * handled by a callback to a function which is
 * located in the functions.php file.
 */
?>

<div class="comment-list">
	
	<?php if ( have_comments() ) : ?>
		<h2 class="article-title"><?php comments_number( esc_html__('No Comments','infinito'), esc_html__('1 Comment','infinito'), esc_html__('% Comments','infinito') ); ?></h2>
	<?php else : ?>
		<h2><?php comments_number( esc_html__('No Comments','infinito'), esc_html__('1 Comment','infinito'), esc_html__('% Comments','infinito') ); ?></h2>
	<?php endif ; ?>	
	
	<div id="comments">
	<?php if ( post_password_required() ) : ?>
		<p class="nopassword"><?php esc_html_e( 'This post is password protected. Enter the password to view any comments.', 'infinito' ); ?></p>
	</div><!-- #comments -->
	<?php
			/* Stop the rest of comments.php from being processed,
			 * but don't kill the script entirely -- we still have
			 * to fully load the template.
			 */
			return;
		endif;
	?>

	<?php if ( have_comments() ) : ?>
		<h2 id="comments-title">
			<?php
				
			?>
		</h2>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-above">
			<h1 class="assistive-text"><?php esc_html_e( 'Comment navigation', 'infinito' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'infinito' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'infinito' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<ul class="level-1">
			<?php
				/* Loop through and list the comments. Tell wp_list_comments()
				 * to use andreas_comment() to format the comments.
				 * If you want to overload this in a child theme then you can
				 * define andreas_comment() and that will be used instead.
				 * See andreas() in andreeas/functions.php for more.
				 */
				wp_list_comments( array( 'callback' => 'wow_comment' ) );
				
			?>
		</ul>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below">
			<h1 class="assistive-text"><?php esc_html_e( 'Comment navigation', 'infinito' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'infinito' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'infinito' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<?php
		/* If there are no comments and comments are closed, let's leave a little note, shall we?
		 * But we only want the note on posts and pages that had comments in the first place.
		 */
		if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="nocomments"><?php esc_html_e( 'Comments are closed.' , 'infinito' ); ?></p>
		<?php endif; ?>

	<?php endif; // have_comments() ?>
	

<div class="comment-form">
<?php	
	if ( !isset($aria_req) )  $aria_req=''; 

	$args = array(
  'id_form'           => 'commentform',
  'id_submit'         => 'send-comment-button',
  'class_submit'      => 'themecolor2_bg',
  'title_reply'       => '<div class="title comm"><div class="icon"></div><h2>'.esc_html__( 'Leave a reply','infinito').'</h2><div class="clear"></div></div>',
  'title_reply_to'    => '<div class="icon"></div>'.esc_html__( 'Leave a reply %s','infinito' ),
  'cancel_reply_link' => esc_html__( 'Cancel Reply','infinito' ),
  'label_submit'      => esc_html__( 'Submit comment','infinito' ),
  'fields' => apply_filters( 'comment_form_default_fields', array(
  'author' =>'
  <div class="input-container">
	<div class="vc_col-md-6 nopadding">
		<div class="input-name"><input type="text" class="field name" id="author" name="author" placeholder="' . esc_attr( 'Name', 'infinito' ) .'" value="' . esc_attr( $commenter['comment_author'] ). esc_attr( $aria_req ) . '" /></div>',
		  
		'email' =>
		'<div class="input-email"><input class="field email" id="email" name="email" type="text" placeholder="' . esc_attr( 'Email', 'infinito' ) .'" value="' . esc_attr(  $commenter['comment_author_email'] ).  esc_attr( $aria_req ) . '" /></div>',

		'url' =>'
		<div class="input-website"><input class="field web" id="url" name="url" type="text" placeholder="' . esc_attr( 'Website', 'infinito' ) .'" value="' . esc_attr( $commenter['comment_author_url'] ) .'" /></div>			
	</div>'
    )
  ),
   
  'comment_field' =>  '
  <div class="vc_col-md-6 nopadding" id="reply-comment-area">
	<textarea id="comment" name="comment" aria-required="true" placeholder="' . esc_attr( 'Reply', 'infinito' ) .'">' .'</textarea>
	<!--<i class="fa fa-pencil-square-o"></i>-->
  </div>
  
</div>',
  'must_log_in' => '<p class="must-log-in">' .
  sprintf(
	'%s<a href="%s">%s</a>%s', 
	esc_html__( 'You must be ','infinito' ), 
	esc_url( wp_login_url( get_permalink() ) ),
	esc_html__( 'logged in','infinito' ), 
	esc_html__( 'to post a comment.','infinito' )
  )
  . '</p>',	
  'comment_notes_after' => '',
  'comment_notes_before' => '',
  'logged_in_as' => '<div class="col-md-4 nopadding"><div class="reply_left"><div class="reply_login"><p>'.
  sprintf(
	'%s<a href="%s">%s</a>', 
	esc_html__( 'Logged in as ','infinito' ), 
	esc_url( get_edit_user_link() ), 
	$user_identity
  ) 
  .' <a href="'.esc_url( wp_logout_url( get_permalink() ) ).'" title="'.esc_html__('Log out of this account', 'infinito').'">'.esc_html__('Log out &raquo;', 'infinito').'</a></p></div></div></div>',
);
?>
	<?php comment_form($args); ?>
	</div>
<?php if ( !is_user_logged_in() ): ?></div><?php endif;?>
</div>