<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * Functions main file
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
 
/*
=================================================================================================================
CONSTANTS
=================================================================================================================
*/
define( 'WOW_DIR', get_template_directory() );
define( 'WOW_URI', get_template_directory_uri() );

define( 'WOW_FUNCTIONS_DIR', WOW_DIR.'/functions' );
define( 'WOW_FUNCTIONS_DIR_ADMIN', WOW_DIR.'/functions/admin' );
define( 'WOW_FUNCTIONS_URI', WOW_URI.'/functions' );

define( 'WOW_IMG', WOW_URI.'/images' );
define( 'WOW_ADMIN_IMG', WOW_URI.'/images/admin' );

//dummy images
define( 'WOW_SQ_IMG', WOW_URI. '/images/dummy/dummy-square.png' );
define( 'WOW_LS_IMG', WOW_URI. '/images/dummy/dummy-landscape.png' );
define( 'WOW_PT_IMG', WOW_URI. '/images/dummy/dummy-portrait.png' );
/*
=================================================================================================================
Gobal variables
=================================================================================================================
*/
global $wow_theme_name;
$wow_theme_name = 'Infinito';

/*
=================================================================================================================
REQUIRES
=================================================================================================================
*/

/* Theme Options ----------------------------------------------------------------------------------------------- */

//core
require_once ( WOW_DIR .'/theme-options/theme-options.php' );

//theme custom options init and tweaks
require_once( WOW_FUNCTIONS_DIR .'/functions-options.php' );

//theme options functions
require_once( WOW_FUNCTIONS_DIR .'/functions-theme-options.php' );


/* Functions --------------------------------------------------------------------------------------------------- */

//seo functions
require_once( WOW_FUNCTIONS_DIR .'/functions-seo.php' );

//enqueue functions
require_once( WOW_FUNCTIONS_DIR .'/functions-enqueue.php' );

//nav / menu functions
require_once( WOW_FUNCTIONS_DIR .'/functions-nav.php' );

//header functions
require_once( WOW_FUNCTIONS_DIR .'/functions-header.php' );

//full page functions
require_once( WOW_FUNCTIONS_DIR .'/functions-full-page.php' );

//wordpress functions
require_once( WOW_FUNCTIONS_DIR .'/functions-wordpress.php' );

//theme functions
require_once( WOW_FUNCTIONS_DIR .'/functions-theme.php' );

//mega menu functions
require_once( WOW_FUNCTIONS_DIR .'/functions-megamenu.php' );

//ajax functions
require_once( WOW_FUNCTIONS_DIR .'/functions-ajax.php' );

//activation functions
require_once( WOW_FUNCTIONS_DIR .'/functions-activation.php' );

//misc functions
require_once( WOW_FUNCTIONS_DIR .'/functions-others.php' );

//admin functions
require_once( WOW_FUNCTIONS_DIR_ADMIN .'/functions.php' ); //admin functions

/* WooCommerce functions files -------------------------------------------------------------------------------- */
if ( class_exists( 'WooCommerce' ) ) {
	require_once( WOW_FUNCTIONS_DIR .'/functions-woo.php' );
	require_once( WOW_DIR .'/woocommerce/widgets/widget-recent-reviewed-products.php' );
}

/* Contact form 7 function file ------------------------------------------------------------------------------- */
require_once ( WOW_FUNCTIONS_DIR .'/functions-contact-form.php' );

/* The event calendar function file --------------------------------------------------------------------------- */
if ( class_exists( 'Tribe__Main' ) ){
	require_once ( WOW_FUNCTIONS_DIR .'/functions-event-calendar.php' );
}

/* Widgets --------------------------------------------------------------------------------------------------- */
require_once ( WOW_DIR .'/inc/widgets/widgets.php' );

/* WP Stuff -------------------------------------------------------------------------------------------------- */
require_once ( WOW_DIR .'/inc/wp/wp.php' );

/* TGM Plugin activation ------------------------------------------------------------------------------------- */
require_once ( WOW_DIR .'/inc/tgm/class-tgm-plugin-activation.php' );

/* Importer -------------------------------------------------------------------------------------------------- */
require_once ( WOW_DIR .'/inc/importer/importer.php' );

/* Theme options config file ---------------------------------------------------------------------------------- */
require_once ( WOW_DIR .'/inc/theme-options/theme-options.php' );