<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/*
=================================================================================================================
wow_dashboard_page() - Print the dashboard page
=================================================================================================================
*/
function wow_dashboard_page(){
	?>
	<div class="infinto-wrap"><!-- infinto-wrap -->

			<div class="top-info">
				<div class="mini-logo"><img src="<?php echo esc_url( WOW_URI.'/images/admin/logo-icon.png' ); ?>" /></div>
				<h1><?php esc_html_e('Howdy, infiniter!','infinito'); ?></h1>
				<p>
					<?php
						echo sprintf( '%s<br>%s', 
							esc_html__( 'What you feel like doing?', 'infinito' ), 
							esc_html__( 'Pick something from the menu bellow.', 'infinito' )
						);
					?>
				</p>
			</div>		
		
		<?php wow_show_theme_menu(); ?>
		
		<div class="wow-row flex"><!-- wow-row -->	
			<div class="wow-box flex">
				<div class="wow-box-inner newbie">
					<div class="info-holder box">
						<h1><?php esc_html_e('Are you a newbie?','infinito'); ?><i class="wow-webapplication-learn"></i></h1>
						<p>
							<?php esc_html_e('You can watch our video tutorials, or comb through the documentation.','infinito'); ?>
							<?php esc_html_e('By doing this, you will have basic knowledge on how to use the theme, in no time!','infinito'); ?>
						</p>
						<div class="holder">
							<a href="https://www.youtube.com/playlist?list=PL_5_iaOyObEpt3aOZUPoM4Vj7HImLY7Yb" target="_blank" class="buttons in-box"><i class="wow-multimedia-video-alt"></i><?php esc_html_e('Watch video tutorials','infinito'); ?></a>
							<a href="https://wowlayers.com/docs/infinito/index.html" target="_blank" class="buttons in-box orange"><i class="wow-mobileui-text-chat"></i><?php esc_html_e('Read documentation','infinito'); ?></a>
						</div>
					</div>
				</div>			
			</div>			

	
		</div><!-- /wow-row -->				

	</div><!--/ about-wrap -->
	<?php
}

/*

			<div class="wow-box flex wow-register-theme <?php if( get_option( "infinito_license_active" ) == "inactive" || get_option( "infinito_license_active" ) != "active" ) { echo 'show'; } ?>">
				<div class="wow-box-inner key">
					<div class="info-holder box">
						<h1><?php esc_html_e('Activate theme','infinito'); ?><i class="wow-webapplication-lock"></i></h1>
						<p><?php esc_html_e('Register your theme to unlock full features and to receive updates.','infinito'); ?><br/>
						<?php esc_html_e('You can find your purchase code in your email and in your account as well.','infinito'); ?>
							
						</p>
						<div class="holder">
							<input type="text" name="activate-infinito" placeholder="Add your purchase code here">
							<a href="#" target="_blank" class="go_to_activate-infinito buttons activate in-box orange"><i class="wow-webapplication-lock"></i><?php esc_html_e('Register Infinito','infinito'); ?></a>
						</div>
					</div>
				</div>			
			</div>			

			<div class="wow-box flex wow-theme-activated <?php if( get_option( "infinito_license_active" ) == "active"  ) { echo 'show'; } ?>">
				<div class="wow-box-inner activated">
					<div class="info-holder box">
						<h1><?php esc_html_e('Yay! Your theme is activated','infinito'); ?><i class="wow-webapplication-unlocked green"></i></h1>
						<p><?php esc_html_e('Congrats. Your theme is registered.','infinito'); ?><br>
						<?php esc_html_e('Remember to de-register first, if you want to use it on another domain.','infinito'); ?></p>
						<div class="holder">
							<input type="text" name="de-activate-infinito" value="">
							<a href="#" target="_blank" class="buttons activate in-box green de-activate-infinito"><i class="wow-webapplication-unlocked"></i><?php esc_html_e('De-Register Infinito','infinito'); ?></a>
						</div>
					</div>
				</div>			
			</div>


*/