<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
wow_system_status_page() - Print the system status page
=================================================================================================================
*/
function wow_system_status_page(){
	global $wpdb;
	
	$data = array(
		'server_software' => $_SERVER[ 'SERVER_SOFTWARE' ],
		'php_version' => phpversion(),
		'php_version_compare' => version_compare( PHP_VERSION, '7.0' ) >= 0,
		'mysql' => $wpdb->db_version(),
		'memory_limit' => ini_get( 'memory_limit' ) < 256 ? '<i class="wow-webapplication-exclamation-circle"></i> '.ini_get( 'memory_limit' ).'<br><span class="alert">Memory limit is good, however 256M is recommended</span>' : '<i class="wow-webapplication-check-circled"></i> '.ini_get( 'memory_limit' ),
		'max_execution_time' => ini_get( 'max_execution_time' ) < 60 ? '<i class="wow-webapplication-close-circled"></i> '.ini_get( 'max_execution_time' ).'<br><span class="alert">Mimimum 60 is recommended</span>' : '<i class="wow-webapplication-check-circled"></i> '.ini_get( 'max_execution_time' ),
		'max_input_vars' => ini_get( 'max_input_vars' ) < 3000 ? '<i class="wow-webapplication-close-circled"></i> '.ini_get( 'max_input_vars' ).'<br><span class="alert">Mimimum of 3000 is recommended</span>' : '<i class="wow-webapplication-check-circled"></i> '.ini_get( 'max_input_vars' ),
		'max_upload_size' => ( size_format( wp_max_upload_size() ) < 32  ) ? '<i class="wow-webapplication-close-circled"></i> '.size_format( wp_max_upload_size() ).'<br><span class="alert">Minimum of 32 MB is required</span>' : '<i class="wow-webapplication-check-circled"></i> '.size_format( wp_max_upload_size() ),
		'curl' => extension_loaded( 'curl' ) ? '<i class="wow-webapplication-check-circled"></i>' : '<i class="wow-webapplication-close-circled"></i>',
		'dom' => class_exists( 'DOMDocument' ),
	);
	$allowed_html_tags = array( 'i' => array ( 'class' => array() ),'span' => array ( 'class' => array() ), 'br' => array() );
	
	?>
	<div class="infinto-wrap"><!-- infinto-wrap -->
		<div class="top-info">
			<div class="mini-logo"><img src="<?php echo esc_url( WOW_URI.'/images/admin/logo-icon.png' ); ?>" /></div>
			<h1><?php esc_html_e('System Status','infinito'); ?></h1>
			<p><?php esc_html_e('Find useful info about your server environment such as memory limit, php time limit, max file upload size etc.','infinito'); ?></p>
		</div>
		<?php wow_show_theme_menu(); ?>
		<ul class="system_status">
			<li><span class="detail"><?php esc_html_e('Server software','infinito'); ?></span><span class="info"><?php echo esc_html($data['server_software']); ?></span></li>
			<li><span class="detail"><?php esc_html_e('Php version','infinito'); ?></span><span class="info"><?php echo esc_html($data['php_version']); ?></span></li>
			<li><span class="detail"><?php esc_html_e('MySQL version','infinito'); ?></span><span class="info"><?php echo esc_html($data['mysql']); ?></span></li>
			<li><span class="detail"><?php esc_html_e('PHP memory limit','infinito'); ?></span><span class="info"><?php echo wp_kses($data['memory_limit'], $allowed_html_tags ); ?></span></li>
			<li><span class="detail"><?php esc_html_e('PHP time limit','infinito'); ?></span><span class="info"><?php echo wp_kses($data['max_execution_time'], $allowed_html_tags ); ?></span></li>
			<li><span class="detail"><?php esc_html_e('PHP max input vars','infinito'); ?></span><span class="info"><?php echo wp_kses($data['max_input_vars'], $allowed_html_tags ); ?></span></li>
			<li><span class="detail"><?php esc_html_e('Max upload size','infinito'); ?></span><span class="info"><?php echo wp_kses($data['max_upload_size'], $allowed_html_tags ); ?></span></li>
			<li><span class="detail"><?php esc_html_e('cURL','infinito'); ?></span><span class="info"><?php echo wp_kses($data['curl'], $allowed_html_tags ); ?></span></li>
		</ul>
	
	</div><!--/ about-wrap -->

	<?php
	
}