<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
wow_support_page() - Print the support page
=================================================================================================================
*/
function wow_support_page(){
	?>
	<div class="infinto-wrap"><!-- infinto-wrap -->
		<div class="top-info">
			<div class="mini-logo"><img src="<?php echo esc_url( WOW_URI.'/images/admin/logo-icon.png' ); ?>" /></div>
			<h1><?php esc_html_e('Support','infinito'); ?></h1>
			<p><?php esc_html_e('Find help on how to use the theme.','infinito'); ?></p>
		</div>
		<?php wow_show_theme_menu(); ?>
		
		<div class="wow-row flex"><!-- wow-row -->
	
			<div class="wow-box flex">
				<div class="wow-box-inner newbie">
					<div class="info-holder box">
						<h1><?php esc_html_e('Read documentation','infinito'); ?><i class="wow-texteditor-copy-alt"></i></h1>
						<p><?php esc_html_e('Before using the theme we strongly recommend you read the documentation as it will give you a better understanding on how the theme works.','infinito'); ?></p>
						<div class="holder">
							<a href="https://wowlayers.com/docs/infinito/index.html" target="_blank" class="buttons in-box green"><i class="wow-texteditor-copy-alt"></i><?php esc_html_e('Read the docs','infinito'); ?></a>
						</div>
					</div>
				</div>			
			</div>			
			
			<div class="wow-box flex">
				<div class="wow-box-inner video">
					<div class="info-holder box">
						<h1><?php esc_html_e('Watch video tutorials','infinito'); ?><i class="wow-multimedia-video-alt"></i></h1>
						<p><?php esc_html_e('A video is worth a thousand words, so we recommend you watch our video tutorials to familiarize yourself with theme functionality.','infinito'); ?></p>
						<div class="holder">
							<a href="https://www.youtube.com/playlist?list=PL_5_iaOyObEpt3aOZUPoM4Vj7HImLY7Yb" target="_blank" class="buttons in-box orange"><i class="wow-multimedia-video-alt"></i><?php esc_html_e('Watch tutorials','infinito'); ?></a>
						</div>
					</div>
				</div>			
			</div>			
			
			<div class="wow-box flex">
				<div class="wow-box-inner ticket">
					<div class="info-holder box">
						<h1><?php esc_html_e('Open a support ticket','infinito'); ?><i class="wow-mobileui-text-chat"></i></h1>
						<p><?php esc_html_e('If you have read the docs and watched the videos, and you are stil stuck, you can always open a suport ticket and request help from our professionals.','infinito'); ?></p>
						<div class="holder">
							<a href="https://wowlayers.ticksy.com/" target="_blank" class="buttons in-box grey"><i class="wow-mobileui-text-chat"></i><?php esc_html_e('Open ticket','infinito'); ?></a>
						</div>
					</div>
				</div>
			</div>	
	
		</div><!-- /wow-row -->		
		
		
		<div class="wow-row flex"><!-- wow-row -->
	
	
			<div class="wow-box half flex">
				<div class="wow-box-inner">
					<div class="info-holder box">
						<h1 class="green"><i class="wow-webapplication-check-circled static green"></i><?php esc_html_e('What does support include?','infinito'); ?></h1>
						<p><?php esc_html_e('Support includes the following:','infinito'); ?></p>
						<div class="holder">
							<ol>
								<li><?php esc_html_e('Answer questions related to the theme or theme functionality','infinito'); ?></li>
								<li><?php esc_html_e('Assistance with reported bugs and issues','infinito'); ?></li>
								<li><?php esc_html_e('Help with theme bundled 3rd party plugins / assets','infinito'); ?></li>
							</ol>
						</div>
					</div>
				</div>
			</div>	
			
			<div class="wow-box half flex">
				<div class="wow-box-inner">
					<div class="info-holder box">
						<h1 class="orange"><i class="wow-webapplication-close-circled static orange"></i><?php esc_html_e('What does support not include?','infinito'); ?></h1>
						<p><?php esc_html_e('Support does not includes the following:','infinito'); ?></p>
						<div class="holder">
							<ol>
								<li><?php esc_html_e('Customization of the theme','infinito'); ?></li>
								<li><?php esc_html_e('Installation of the theme or other services','infinito'); ?></li>
								<li><?php esc_html_e('Support for 3rd party plugins / assets','infinito'); ?></li>
							</ol>
						</div>
					</div>
				</div>			
			</div>			
			

	
		</div><!-- /wow-row -->
		
	</div><!--/ about-wrap -->
	<?php
}