<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/*
=================================================================================================================
Function wow_menu_icons_ajax_handler() - Ajax - menu icons loading
=================================================================================================================
*/
function wow_menu_icons_ajax_handler(){

	if( $_POST['query'] && $_POST['action']){
		
		$query = stripslashes( wp_filter_kses( $_POST['query'] ));
		$action = stripslashes( wp_filter_kses( $_POST['action'] ));
		if( $query == 'get_html' && $action == 'menu_icons' ){
			$icons["business"]  = wow_icofont_business();
			$icons["chart"]  = wow_icofont_chart();
			$icons["construction"]  = wow_icofont_construction();
			$icons["device"]  = wow_icofont_device();
			$icons["directional"]  = wow_icofont_directional();
			$icons["education"]  = wow_icofont_education();
			$icons["food"]  = wow_icofont_food();
			$icons["mathematical"]  = wow_icofont_mathematical();
			$icons["medical"]  = wow_icofont_medical();
			$icons["mobileui"]  = wow_icofont_mobileui();
			$icons["multimedia"]  = wow_icofont_multimedia();
			$icons["person"]  = wow_icofont_person();
			$icons["search"]  = wow_icofont_search();
			$icons["social"]  = wow_icofont_social();
			$icons["sport"]  = wow_icofont_sport();
			$icons["texteditor"]  = wow_icofont_texteditor();
			$icons["transport"]  = wow_icofont_transport();
			$icons["travel"]  = wow_icofont_travel();
			$icons["webapplication"]  = wow_icofont_webapplication();	
			$icons["icons_7f"]   = wow_7f_icons();
			$icons["icons_7s"]    = wow_7s_icons();				
			
			$icons_nice_names = array('business' => 'Business','chart' => 'Chart','construction' => 'Construction','device' => 'Device','directional' => 'Directional','education' => 'Education','food' => 'Food','mathematical' => 'Mathematical','medical' => 'Medical','mobileui' => 'Mobile UI','multimedia' => 'Multimedia','person' => 'Person','search' => 'Search','social' => 'Social','sport' => 'Sport','texteditor' => 'Text Editor','transport' => 'Transport','travel' => 'Travel','webapplication' => 'Web Application','icons_7f'=>'Pe-7 Fill','icons_7s'=>'Pe-7 Stroke');

			$html=$classes_dropdown='';


			$html.='<div class="wow-menu-font-icon-select">';
			
			foreach($icons as $icon_class=>$icon_array){
				
				$classes_dropdown.= '<option value="'.$icon_class.'">'.$icons_nice_names[$icon_class].'</option>';
				$ul_html.= '<ul class="'.$icon_class.'">';
				
				foreach($icon_array as $icon_title => $icon){
						foreach($icon as $key => $val){
							$key = esc_attr($key);
							$ul_html.= '<li><i title="'.$key.'" data-value="'. esc_attr($key).'" class="'.esc_attr($key).'"></i></li>';						
						}
				}
				
				$ul_html.='</ul>';
			}
			$html.= '<select class="wow_menu_font_icon_class" name="wow_menu_font_icon_class">'.$classes_dropdown.'</select>';
			$html.= '<input type="text" class="wow_menu_icon_search" value="Search Icons">';
			$html.= $ul_html;
			$html.='</div>';

			die($html);	
		}
	}		
}
 
add_action('wp_ajax_menu_icons', 'wow_menu_icons_ajax_handler'); // wp_ajax_{action}


/*
=================================================================================================================
Function wow_purchase_code_activation_handler() - Purchase code activation
=================================================================================================================
*/
function wow_purchase_code_activation_handler(){

	if( $_POST['action'] == 'wow_purchase_code' ){
		
		if( $_POST['purchase_code'] ){
			
			$purchase_code = stripslashes( wp_filter_kses( $_POST['purchase_code'] ));
			$purchase_code = trim( $purchase_code );
			
			$query = add_query_arg( array(
				'code' => esc_attr( $purchase_code ),
				'site_url' => get_site_url(),
			), 'https://wowlayers.com/auth/infinito/register.php' );

			$response = wp_remote_get( $query, array( 'timeout' => 20 ) );				

			if ( is_wp_error( $response ) ) {
				die( esc_html__("Could not connect to server","infinito") );
			} 
			elseif( $response["body"] == "success" ){
				update_option("infinito_license_active", "active" );
				die("success");
			}
			else {
				die( $response["body"] );
			}			
			
		}
	}		
} 
add_action('wp_ajax_wow_purchase_code', 'wow_purchase_code_activation_handler'); // wp_ajax_{action}


/*
=================================================================================================================
Function wow_purchase_code_deactivation_handler() - Purchase code deactivation
=================================================================================================================
*/
function wow_purchase_code_deactivation_handler(){
	
	
	if( $_POST['action'] == 'wow_purchase_code' && $_POST['do_action'] == 'deregister' ){
		
			
		if(  get_option("infinito_license_active") == "active" ){
				
			$query = add_query_arg( array(
				'code' => wow_get_envato_purchase_code(),
				'site_url' => get_site_url(),
			), 'https://wowlayers.com/auth/infinito/deregister.php' );

			$response = wp_remote_get( $query, array( 'timeout' => 20 ) );			
			
			if ( is_wp_error( $response ) ) {
				die( esc_html__("Could not connect to server","infinito") );
			} 
			elseif( $response["body"] == "success" ){
				update_option("infinito_license_active", "inactive" );
				die("success");
			}
			elseif( $response["body"] == "license-not-found" ) {

					die( esc_html__("License not found","infinito") );
			}	
			else{
				die( $response["body"] );
			}
		}
	}		
} 
add_action('wp_ajax_wow_purchase_code', 'wow_purchase_code_deactivation_handler'); // wp_ajax_{action}


/*
=================================================================================================================
infinito_change_log() - Get theme changelog page
=================================================================================================================
*/
add_action('wp_ajax_infinito_change_log', 'infinito_change_log_handler');
function infinito_change_log_handler() {
	
	$response = wp_remote_get( 'https://wowlayers.com/auth/themes/infinito/changelog.html' );
	
	if ( is_array( $response ) ) {
		?>
		<div class="infinito-update changelogs">
		<?php
			$body = $response['body']; // use the content	  
			echo wp_kses_post( $body );
		?>
		<div>
		<?php
		die(-1);
	}	
	

}