<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/*
=================================================================================================================
wow_modify_contact7_form_content() - Modify the default wpcf7 template when you click add new
=================================================================================================================
*/
if ( class_exists( 'WPCF7' ) ){
	function wow_modify_contact7_form_content( $template, $prop ) {
	  if ( 'form' == $prop ) {
		return implode( '', array(
			'<h4>Your name</h4>',"\r\n",'[text* your-name placeholder "NAME"]',"\r\n","\r\n",
			'<h4>Your email</h4>',"\r\n",'[email* your-email placeholder "EMAIL"]',"\r\n","\r\n",
			'<h4>Your subject</h4>',"\r\n",'[text your-subject placeholder "SUBJECT"]',"\r\n","\r\n",
			'<h4>Your message</h4>',"\r\n",'[textarea your-message placeholder "MESSAGE"]',"\r\n","\r\n",
			'<h4>Single/Multiple checkbox option</h4>',"\r\n",'[checkbox label_first use_label_element "Check me" "I am second" "Third one"]',"\r\n","\r\n",
			'<h4>A cool radio option</h4>',"\r\n",'[radio label_first use_label_element default:1 "First" "Second here" "Last one"]',"\r\n","\r\n",
			'<h4>Select something</h4>',"\r\n",'[select include_blank "I am option one" "Yet another one here" "Looks like last"]',"\r\n","\r\n",
			'[submit "Send Message"]',"\r\n"
		) );
	  } else {
		return $template;
	  } 
	}
	add_filter( 'wpcf7_default_template','wow_modify_contact7_form_content',10, 2);
}
/*
=================================================================================================================
wow_add_wpc7_default_templates() - Add some default templates to contact form 7
=================================================================================================================
*/
function wow_add_wpc7_default_templates(){
	
	if ( ! is_admin() ) { require_once( ABSPATH . 'wp-admin/includes/post.php' ); }
	
	ob_start ();
	
	//Key it's form content / value it's form title
	$form_contents = array(
	
	//Default contact form
	"<h4>Your name</h4>\n[text* your-name placeholder \"NAME\"]\n\n<h4>Your email</h4>\n[email* your-email placeholder \"EMAIL\"]\n\n<h4>Your subject</h4>\n[text your-subject placeholder \"SUBJECT\"]\n\n<h4>Your message</h4>\n[textarea your-message placeholder \"MESSAGE\"]\n\n<h4>Single/Multiple checkbox option</h4>\n[checkbox label_first use_label_element \"Check me\" \"I am second\" \"Third one\"]\n\n<h4>A cool radio option</h4>\n[radio label_first use_label_element default:1 \"First\" \"Second here\" \"Last one\"]\n\n<h4>Select something</h4>\n[select include_blank \"I am option one\" \"Yet another one here\" \"Looks like last\"]\n\n[submit \"Send Message\"]" => "01 - Default contact form",
	
	//Default contact form WITHOUT labels
	"[text* your-name placeholder \"NAME\"]\n\n[email* your-email placeholder \"EMAIL\"]\n\n[text your-subject placeholder \"SUBJECT\"]\n\n[textarea your-message placeholder \"MESSAGE\"]\n\n<h4>Single/Multiple checkbox option</h4>\n[checkbox label_first use_label_element \"Check me\" \"I am second\" \"Third one\"]\n\n<h4>A cool radio option</h4>\n[radio label_first use_label_element default:1 \"First\" \"Second here\" \"Last one\"]\n\n<h4>Select something</h4>\n[select include_blank \"I am option one\" \"Yet another one here\" \"Looks like last\"]\n\n[submit \"Send Message\"]" => "01 - Default contact form WITHOUT labels",
	
	//One row contact form
	"<h4>Your name</h4>\n[text* your-name placeholder \"NAME\"]\n\n<h4>Your email</h4>\n[email* your-email placeholder \"EMAIL\"]\n\n<h4>Your subject</h4>\n[text your-subject placeholder \"SUBJECT\"]\n\n<h4>Your message</h4>\n[textarea your-message placeholder \"MESSAGE\"]\n\n[submit \"Send Message\"]" => "02 - One row contact form",
	
	//One row contact form WITHOUT labels
	"[text* your-name placeholder \"NAME\"]\n\n[email* your-email placeholder \"EMAIL\"]\n\n[text your-subject placeholder \"SUBJECT\"]\n\n[textarea your-message placeholder \"MESSAGE\"]\n\n[submit \"Send Message\"]" => "02 - One row contact form WITHOUT labels",
	
	//Two rows contact form
	"<div class=\"vc_row\"><!-- vc_row -->\n\n  <div class=\"vc_col-md-4\"><!-- vc_col-md-4 -->\n    <h4>Your name</h4>\n    [text* your-name placeholder \"NAME\"]\n  </div><!-- /vc_col-md-4 -->\n\n  <div class=\"vc_col-md-4\"><!-- vc_col-md-4 -->\n    <h4>Your email</h4>\n    [email* your-email placeholder \"EMAIL\"]\n  </div><!-- /vc_col-md-4 -->\n\n  <div class=\"vc_col-md-4\"><!-- vc_col-md-4 -->\n    <h4>Your subject</h4>\n    [text your-subject placeholder \"SUBJECT\"]\n  </div><!-- /vc_col-md-4 -->\n\n  <div class=\"vc_col-md-12\"><!-- vc_col-md-12 -->\n    <h4>Your message</h4>\n    [textarea your-message placeholder \"MESSAGE\"]\n  </div><!--/ vc_col-md-12 -->\n\n</div><!-- /vc_row -->\n\n[submit \"Send Message\"]" =>"03 - Two rows contact form",
	
	//Two rows contact form WITHOUT labels
	"<div class=\"vc_row\"><!-- vc_row -->\n\n  <div class=\"vc_col-md-4\"><!-- vc_col-md-4 -->\n    <p>[text* your-name placeholder \"NAME\"]</p>\n  </div><!-- /vc_col-md-4 -->\n\n  <div class=\"vc_col-md-4\"><!-- vc_col-md-4 -->\n    <p>[email* your-email placeholder \"EMAIL\"]</p>\n  </div><!-- /vc_col-md-4 -->\n\n  <div class=\"vc_col-md-4\"><!-- vc_col-md-4 -->\n    <p>[text your-subject placeholder \"SUBJECT\"]</p>\n  </div><!-- /vc_col-md-4 -->\n\n  <div class=\"vc_col-md-12\"><!-- vc_col-md-12 -->\n    [textarea your-message placeholder \"MESSAGE\"]\n  </div><!--/ vc_col-md-12 -->\n\n</div><!-- /vc_row -->\n\n[submit \"Send Message\"]" =>"03 - Two rows contact form WITHOUT labels",
	
	//Two columns contact form
	"<div class=\"vc_row\"><!-- vc_row -->\n  <div class=\"vc_col-md-6\"><!-- vc_col-md-6 -->\n\n    <h4>Your name</h4>\n    [text* your-name placeholder \"NAME\"]\n\n    <h4>Your email</h4>\n    [email* your-email placeholder \"EMAIL\"]\n\n    <h4>Your subject</h4>\n    [text your-subject placeholder \"SUBJECT\"]\n\n  </div><!-- /vc_col-md-6 -->\n\n  <div class=\"vc_col-md-6\"><!-- vc_col-md-6 -->\n\n    <h4>Your message</h4>\n    [textarea your-message placeholder \"MESSAGE\"]\n\n  </div><!--/ vc_col-md-6 -->\n</div><!-- /vc_row -->\n\n[submit \"Send Message\"]" =>"04 - Two columns contact form",
	
	//Two columns contact form WITHOUT labels
	"<div class=\"vc_row\"><!-- vc_row -->\n  <div class=\"vc_col-md-6\"><!-- vc_col-md-6 -->\n\n    [text* your-name placeholder \"NAME\"]\n\n    [email* your-email placeholder \"EMAIL\"]\n\n    [text your-subject placeholder \"SUBJECT\"]\n\n  </div><!-- /vc_col-md-6 -->\n\n  <div class=\"vc_col-md-6\"><!-- vc_col-md-6 -->\n\n    [textarea your-message placeholder \"MESSAGE\"]\n\n  </div><!--/ vc_col-md-6 -->\n</div><!-- /vc_row -->\n\n[submit \"Send Message\"]" =>"04 - Two columns contact form WITHOUT labels",
	
);
	
	//mail settings
	$mail = array(
		'active' => true, 
		'subject' => esc_attr( get_bloginfo('name') ).' "[your-subject]"',
		'sender' => '[your-name] <wordpress@'.esc_attr( $_SERVER['SERVER_NAME'] ).'>',
		'recipient' => esc_attr( get_bloginfo('admin_email') ),
		'body' => "From: [your-name] <[your-email]>\nSubject: [your-subject]\n\nMessage Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on ".esc_attr( get_bloginfo('name') )." (".esc_attr( home_url() ).")",
		'additional_headers' => 'Reply-To: [your-email]',
		'attachments' => '',
		'use_html' => false,
		'exclude_blank' => false,
	);
	
	//mail 2 settings
	$mail_2 = array(
		'active' => false,
		'subject' => ''.esc_attr( get_bloginfo('name') ).' "[your-subject]"',
		'sender' => '[your-name] wordpress@ <'.esc_attr( $_SERVER['SERVER_NAME'] ).'>',
		'recipient' => esc_attr( get_bloginfo('admin_email') ),
		'body' => "From: [your-name] <[your-email]>\nSubject: [your-subject]\n\nMessage Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on ".esc_attr( get_bloginfo('name') )." (".esc_attr( home_url() ).")",
		'additional_headers' => 'Reply-To: [your-email]',
		'attachments' => '',
		'use_html' => false,
		'exclude_blank' => false,
		
	);
	
	//messages
	$messages = array (
		'mail_sent_ok' => 'Thank you for your message. It has been sent.',
		'mail_sent_ng' => 'There was an error trying to send your message. Please try again later.',
		'validation_error' => 'One or more fields have an error. Please check and try again.',
		'spam' => 'There was an error trying to send your message. Please try again later.',
		'accept_terms' => 'You must accept the terms and conditions before sending your message.',
		'invalid_required' => 'The field is required.',
		'invalid_too_long' => 'The field is too long.',
		'invalid_too_short' => 'The field is too short.',
		'invalid_date' => 'The date format is incorrect.',
		'date_too_early' => 'The date is before the earliest one allowed.',
		'date_too_late' => 'The date is after the latest one allowed.',
		'upload_failed' => 'There was an unknown error uploading the file.',
		'upload_file_type_invalid' => 'You are not allowed to upload files of this type.',
		'upload_file_too_large' => 'The file is too big.',
		'upload_failed_php_error' => 'There was an error uploading the file.',
		'invalid_number' => 'The number format is invalid.',
		'number_too_small' => 'The number is smaller than the minimum allowed.',
		'number_too_large' => 'The number is larger than the maximum allowed.',
		'quiz_answer_not_correct' => 'The answer to the quiz is incorrect.',
		'captcha_not_match' => 'Your entered code is incorrect.',
		'invalid_email' => 'The e-mail address entered is invalid.',
		'invalid_url' => 'The URL is invalid.',
		'invalid_tel' => 'The telephone number is invalid.',
	);
	
	//additional settings
	$additional_settings = '';
	
	foreach ( $form_contents as $form_content => $form_title ){
		
		//make sure there are no duplicates before inserting
		if ( !post_exists( $form_title ) ){
			
			$post_id = wp_insert_post( array(
				'post_type' => 'wpcf7_contact_form',
				'post_status' => 'publish',
				'post_title' =>  $form_title, //no need to escape this as it's a standard text that is not changing
				'post_content' => trim( $form_content ), //no need to escape this as it's a standard text that is not changing
			));
					
			if( $post_id ){
					
				$post_details = array(
					'form' =>$form_content,
					'mail' =>$mail,
					'mail_2' =>$mail_2,
					'messages' =>$messages,
					'additional_settings' =>$additional_settings,
				);
					
				foreach ( $post_details as $key => $value ) {
					update_post_meta( $post_id, '_' . $key,$value);
				}
					
			}
		}
	}
	
	ob_end_clean();
}
$wow_wpcf7_plugin_dir = ABSPATH . 'wp-content/plugins/contact-form-7/wp-contact-form-7.php';
register_activation_hook( $wow_wpcf7_plugin_dir, 'wow_add_wpc7_default_templates' );