<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
Function wow_load_styles() used to enqueue the CSS files
=================================================================================================================
*/
function wow_load_styles(){
	global $wow_options;
	$wow_post_meta = get_post_meta(wow_get_the_post_id());
	
	wp_enqueue_style( 'reset', 			WOW_URI.'/css/reset.min.css', array(), false, 'all');
	wp_enqueue_style( 'normalize', 			WOW_URI.'/css/normalize.css', array(), false, 'all');
	//grid
	
	wp_enqueue_style( 'js_composer_front');
	wp_enqueue_style( 'style', 				WOW_URI.'/style.css', array(), '1.0', 'all');
	
	//enqueue some basic css if visual composer is not active
	if ( !class_exists ( 'Vc_Manager' ) ){
		wp_enqueue_style( 'grid', WOW_URI.'/css/grid.css');
	}
	
	if( !empty( $wow_post_meta['wow-full_page'] ) ){
		wp_enqueue_style( 'wow-one-page', WOW_URI.'/css/wow.one-page.css' , array(), '1.0.0', 'all');
		wp_enqueue_style( 'wow-full_page-google-font', 'https://fonts.googleapis.com/css?family=Roboto+Condensed', false );
	}
	
	
	if ( class_exists ( 'WooCommerce' ) ){
		global $woocommerce;
		wp_enqueue_style( 'wow-business', WOW_URI.'/fonts/icons/business/style.css');
	}
	wp_enqueue_style( 'animate', 			WOW_URI.'/css/animate.css', array('style'), '1.0.0', 'all');
	
	wp_enqueue_style( 'pe-7s', WOW_URI.'/fonts/icons/pe-7s/style.css');
	wp_enqueue_style( 'wow-social', WOW_URI.'/fonts/icons/social/style.css');
	wp_enqueue_style( 'wow-texteditor', WOW_URI.'/fonts/icons/texteditor/style.css');
	wp_enqueue_style( 'wow-webapplication', WOW_URI.'/fonts/icons/webapplication/style.css');
	wp_enqueue_style( 'wow-mobileui', WOW_URI.'/fonts/icons/mobileui/style.css');
	if ($wow_options['footer-widget-links-icon'] != 'none'){
		wp_enqueue_style( 'pe-7s', WOW_URI.'/fonts/icons/pe-7s/style.css');
	}
	
	//enqueue some files for style 4 portfolio
	if ( $wow_options['portfolio-style'] == 'style4' ){
		if ( is_page_template('portfolio.php') || is_tax('portfolio_category') || is_singular('portfolio') ) {
			$wow_hover_effect = !empty( $wow_options['style4_hover'] ) ? $wow_options['style4_hover']  : 'lily';
			wp_enqueue_style( 'pe-7f', WOW_URI.'/fonts/icons/pe-7f/style.css');
			wp_enqueue_style( 'global-portfolio-hovers',  WOW_URI.'/css/portfolio-hovers/global.css', array('style'), '', 'all');
			wp_enqueue_style( 'effect-'.esc_attr($wow_hover_effect).'', WOW_URI.'/css/portfolio-hovers/'.esc_attr($wow_hover_effect).'.css', array('style'), '', 'all');			
		}
	}
	
	if ($wow_options['blog_style'] == 'style4' && wow_is_any_blog_page() ){
		$wow_hover_effect = !empty( $wow_options['style4_blog_hover'] ) ? $wow_options['style4_blog_hover']  : 'lily';
		wp_enqueue_style( 'pe-7f', WOW_URI.'/fonts/icons/pe-7f/style.css');
		wp_enqueue_style( 'global-portfolio-hovers',  WOW_URI.'/css/portfolio-hovers/global.css', array('style'), '', 'all');
		wp_enqueue_style( 'effect-'.esc_attr($wow_hover_effect).'', WOW_URI.'/css/portfolio-hovers/'.esc_attr($wow_hover_effect).'.css', array('style'), '', 'all');
	}	
	
	//enqueue hover effects for breadcrumb navigation
	if ($wow_options['breadcrumb_link_decoration'] != 'none'){
		wp_enqueue_style( 'breadcrumb', WOW_URI.'/css/breadcrumb.css', array('style'), '1.0.0', 'all');
	}	
	
	//enqueue redux icons font(s) when required
	wow_parse_icon_fields();
	
	//enqueue styles for single portfolio
	if ( is_singular( 'portfolio' ) ){
		wp_enqueue_style( 'pe-7f', WOW_URI.'/fonts/icons/pe-7f/style.css' );
		wp_enqueue_style( 'wow-mobileui-css', WOW_URI.'/fonts/icons/mobileui/style.css');
		
	}		
	
	//what single template to be used ( the theme options or the one from meta page which will override theme options template )
	$wow_single_template = (!empty($wow_post_meta['wow-single-template'][0])) ? $wow_post_meta['wow-single-template'][0] : $wow_options['portfolio_single_style'];
	
	if ( $wow_single_template != 'style4' && is_singular('portfolio') ){
		wp_enqueue_style( 'crosscover', WOW_URI.'/css/crosscover.css');
	}
	elseif ( $wow_single_template == 'style4' && is_singular('portfolio') ){
		wp_enqueue_style( 'slick', WOW_URI.'/css/slick.css');
	}

	//enqueue some styles for single post
	if ( is_single() ){
		wp_enqueue_style( 'wow-multimedia', WOW_URI.'/fonts/icons/multimedia/style.css');
		wp_enqueue_style( 'wow-person', WOW_URI.'/fonts/icons/person/style.css');
		wp_enqueue_style( 'wow-social', WOW_URI.'/fonts/icons/social/style.css');
	}
	
	if ( $wow_options['preloader'] == 1 and !empty( $wow_options['preloader-animation'] ) ){
		wp_enqueue_style( $wow_options['preloader-animation'], WOW_URI.'/css/preloader/'.$wow_options['preloader-animation'].'.css' );
	}
	
	//responsive
	wp_enqueue_style( 'responsive', 		WOW_URI.'/css/responsive.css', array('style'), '1.0.0', 'all');
	
	//woocommerce styles
	if ( function_exists( 'wow_woo_enqueue_styles' ) ){
		wow_woo_enqueue_styles();
	}

}
add_action('wp_enqueue_scripts', 'wow_load_styles',1);

/*
=================================================================================================================
Function wow_load_scripts() used to enqueue the JS files
=================================================================================================================
*/
function wow_load_scripts(){
	global $wow_options;
	//$wow_headers_no_sticky = in_array($wow_options['header-layout'], array('header-seven','header-eight','header-nine','header-ten','header-eleven'));
	$wow_vertical_layouts 			 = in_array($wow_options['header-layout'], array('header-seven','header-eight','header-nine','header-ten')); //vertical layouts

	wp_enqueue_script('jquery');
	if ($wow_options['preloader'] == 1){
		wp_enqueue_script( 'preloader', 	 WOW_URI."/js/preloader.js", false, NULL, false );
	}
	
	//wp_enqueue_script( 'menu', 	 WOW_URI."/js/menu.js", false, NULL, true );
	
	
	$grid = empty( $wow_options['grid-width'] ) ? '1090px' : esc_attr( $wow_options['grid-width'] ) ;
	
	$sticky_logo = !empty( $wow_options['sticky-logo']["url"] ) ? $wow_options['sticky-logo']["url"] : '';
	
	$responsive_position = !empty( $wow_options['menu-resposive-position'] ) ? $wow_options['menu-resposive-position'] : 'top_responsive_menu';
	$responsive_sticky = !empty( $wow_options['resposive-sticky'] ) ? $wow_options['resposive-sticky'] : 'off';
	$is_sticky_header = !empty( $wow_options['header-is_sticky-settings']['rgba'] ) ? $wow_options['header-is_sticky-settings']['rgba'] : '';
	$is_sticky_in_anim =  !empty( $wow_options["header-is_sticky-in-animation"] ) &&  $wow_options["header-is_sticky-in-animation"]  == "0"  ? '' : 'animate '.esc_attr( $wow_options["header-is_sticky-in-animation"] );
	$is_sticky_out_anim = !empty( $wow_options["header-is_sticky-out-animation"] ) && $wow_options["header-is_sticky-out-animation"] != "0"  ? esc_attr( $wow_options["header-is_sticky-out-animation"] ) : '';
	
	$menu_params = array(
			'sticky_width' => esc_attr( $wow_options['header-is_sticky-width'] ),
			'header_width' => esc_attr( $wow_options['header-horizontal-width'] ),
			'grid' => str_ireplace("px","",esc_attr( $grid ) ),
			'bg_color' => esc_attr( $is_sticky_header ),
			'shadow' => esc_attr( $wow_options['header-is_sticky_shadow'] ),
			'sticky_logo' => esc_url( $sticky_logo ),
			'responsive_position' => $responsive_position,
			'responsive_sticky' => $responsive_sticky,
			'stickyAnim_In'  => esc_attr( $is_sticky_in_anim ),
			'stickyAnim_Out' => esc_attr( $is_sticky_out_anim )
	);
	wp_register_script( 'menu', WOW_URI . '/js/menu.js', array('jquery') , NULL, true);
	wp_localize_script( 'menu', 'wow_menu_params', $menu_params );	
	wp_enqueue_script( 'menu' );	

	
	if ( !class_exists ( 'Vc_Manager' ) ){
		wp_register_script( 'vc_waypoints', WOW_URI."/js/vc-waypoints.min.js", array('jquery'), '1.0.0', true );
	}
	
	wp_register_script( 'script-animate', WOW_URI."/js/script-animate.js", array( 'vc_waypoints' ), '1.0.0', true );
	
	if ($wow_options['smooth_scroll']){
		wp_enqueue_script( 'smoth-scroll', WOW_URI."/js/jquery.smoothscroll.js", '', '', true );
	}
	//animations enqueue scripts for portfolio
	if (($wow_options['animate_portfolio'] == '1' and $wow_options['portfolio_animation'] != 'none') || ($wow_options['animate_blog'] == '1' and $wow_options['blog_animation'] != 'none') || ($wow_options['animate_portfolio_single'] == '1' and $wow_options['portfolio_animation_single'] != 'none') ){
		wp_enqueue_script( 'vc_waypoints' );
		wp_enqueue_script( 'script-animate' );
	}
	
	wp_deregister_script( 'isotope' );
	wp_register_script( 'isotope',			 WOW_URI . '/js/isotope.pkgd.min.js', array('jquery'), '3.0.4', true );
	
	
	//masonry filter and ajax
	wp_register_script( 'isotope_initialize', WOW_URI . '/js/isotope.initialize.js', array('isotope'), '1.0.0', true );	
	
	wp_register_script( 'image_loaded', WOW_URI . '/js/imagesloaded.pkgd.min.js', array('isotope'), '1.0.0', true );	
	
	//posts filter and ajax
	wp_register_script( 'posts_init', WOW_URI . '/js/posts/posts_init.js', array('isotope'), '1.0.0', true );	
	
	wp_register_script( 'portfolio_init', WOW_URI . '/js/portfolio/portfolio_init.js', array('isotope'), '1.0.0', true );

	wp_enqueue_script( 'script', WOW_URI."/js/script.js", false, NULL, true );
	
	//enqueue script for single portfolio gallery
	//what single template to be used ( the theme options or the one from meta page which will override theme options template )
	$wow_post_meta = get_post_meta(wow_get_the_post_id());
	$wow_single_template = (!empty($wow_post_meta['wow-single-template'][0])) ? $wow_post_meta['wow-single-template'][0] : $wow_options['portfolio_single_style'];
	
	if ( $wow_single_template != 'style4' && is_singular('portfolio') ){
		wp_register_script( 'crosscover', WOW_URI."/js/crosscover.js", false, '1.0.0', true );
		wp_register_script( 'crosscover-init', WOW_URI."/js/crosscover-init.js", false, '1.0.0', true );
	}
	elseif ( $wow_single_template == 'style4' && is_singular('portfolio') )  {
		wp_register_script( 'slick', WOW_URI."/js/slick.min.js", false, '1.0.0', true );
		wp_register_script( 'slick-init', WOW_URI."/js/slick-init.js", false, '1.0.0', true );	
	}
	
	//retina
	if ( isset( $wow_options['retina-js'] ) && $wow_options['retina-js'] == 'yes'){
		wp_enqueue_script( 'retina', WOW_URI."/js/retina.js", '', '', true );
	}	
	
	if( $wow_vertical_layouts ){
		wp_enqueue_script( 'nicescroll_js', WOW_URI."/js/jquery.nicescroll.min.js", '', '', false );
	}
	
	wp_register_script( 'simple_one_page', WOW_URI . '/js/simple_one_page.js', array('jquery'), '1.0.0', true );
}
add_action('wp_enqueue_scripts', 'wow_load_scripts');

/*
=================================================================================================================
Function wow_load_admin_styles() used to enqueue the CSS files in admin
=================================================================================================================
*/
function wow_load_admin_styles(){
	wp_enqueue_style( 'admin-styles',  WOW_URI.'/css/admin-styles.css', false, 'all' );
	wp_enqueue_style( 'theme-options', WOW_URI.'/css/admin-theme-options.css', false, 'all');
	wp_enqueue_style( 'wow-admin-google-fonts', 'https://fonts.googleapis.com/css?family=Roboto:300,400,500,700', false );
	wp_deregister_style( 'redux-admin-css');
	
	wp_deregister_style( 'font-awesome');
	wp_deregister_style( 'vc_openiconic');
	wp_deregister_style( 'vc_typicons');
	wp_deregister_style( 'vc_entypo');
	wp_deregister_style( 'vc_linecons');
	wp_deregister_style( 'vc_monosocialiconsfont');
	
	$icons_nice_names = array('business' => 'Business','chart' => 'Chart','construction' => 'Construction','device' => 'Device','directional' => 'Directional','education' => 'Education','food' => 'Food','mathematical' => 'Mathematical','medical' => 'Medical','mobileui' => 'Mobile UI','multimedia' => 'Multimedia','person' => 'Person','search' => 'Search','social' => 'Social','sport' => 'Sport','texteditor' => 'Text Editor','transport' => 'Transport','travel' => 'Travel','webapplication' => 'Web Application','icons_7f'=>'Pe-7 Fill','icons_7s'=>'Pe-7 Stroke');

	foreach($icons_nice_names as $key => $val){
		if( $key == 'icons_7f'){
			$url = WOW_URI . '/fonts/icons/pe-7f/style.css';
			wp_enqueue_style('pe-7f',$url);
		}
		elseif( $key == 'icons_7s' ){
			$url = WOW_URI . '/fonts/icons/pe-7s/style.css';
			wp_enqueue_style('pe-7s',$url);			
		}
		else{
			$url = WOW_URI . '/fonts/icons/' . $key . '/style.css';
			wp_enqueue_style('wow-'.$key,$url);
		}
	}
	
	//enqueue some basic css if visual composer is not active
	if ( !class_exists ( 'Vc_Manager' ) ){
		wp_enqueue_style( 'grid', WOW_URI.'/css/grid.css');
	}
	
	//rtl admin stlyes
	if ( is_rtl() ){ wp_enqueue_style( 'admin-styles-rtl',  WOW_URI.'/css/admin-styles-rtl.css', false, 'all' ); }
	
}
add_action( 'admin_enqueue_scripts', 'wow_load_admin_styles' );


/*
=================================================================================================================
Function wow_load_admin_scripts() used to enqueue JS files in admin
=================================================================================================================
*/
function wow_load_admin_scripts() {
	global $wow_options;
	$google_key='';
	
	wp_register_script( 'admin_script', WOW_URI . '/js/admin_script.js' , "" ,"", true);
	wp_localize_script('admin_script', 'infinito_admin_data', array(
		'ajax_url' => esc_url(admin_url('admin-ajax.php')),
	));		
	wp_enqueue_script( 'admin_script');
	
    if( function_exists( 'wp_enqueue_media' ) ) {
        wp_enqueue_media();
    }
	wp_enqueue_style( 'wp-color-picker' );
	wp_enqueue_script( 'wp-color-picker-alpha', WOW_URI . '/js/wp-color-picker-alpha.min.js', array( 'wp-color-picker' ), '1.2.2', true );

	wp_register_script( 'admin_menu', WOW_URI . '/js/admin_menu.js', array('jquery') , true); //show backend menu icons
	wp_localize_script( 'admin_menu', 'wow_menu_icons_params', array('ajaxurl' => esc_url( site_url() ) . '/wp-admin/admin-ajax.php') );	
	wp_enqueue_script( 'admin_menu' );	
	
	//importer	
	wp_register_script( 'wow-importer', WOW_URI . '/js/importer.js', array('jquery') , true); //show backend menu icons
	wp_localize_script( 'wow-importer', 'wow_importer_params', array(
													'ajaxurl' => esc_url( site_url() ) . '/wp-admin/admin-ajax.php',
													'server_requirements' => __('Server minimum requirements not met. Click for info!','infinito'),
													//translates
													'demo_inner' => __('<p>Heads up!</p><h4>Please confirm!</h4><p>You are about to import dummy data and/or override your existing theme options. Are you sure?</p>','infinito'),
													'demo_inner_yes' => __('Proceed to import','infinito'),
													'demo_inner_no' => __('No','infinito'),
													'pls_wait' => __('Deploying your website...','infinito'),
													'congrats' => __('<p>Congrats!</p><h4>Your website is now ready.</h4><h3 class="refresh"><p>Please refresh this page!</p></h3><p class="coffee">Pour a coffee or some tea, and start editing :)</p>','infinito'),
													'theme_option' => __('Theme Options','infinito'),
													'view_website' => __('View Website','infinito'),
													'error' => __('View Website','infinito'),
													'preloader' => esc_url ( WOW_URI.'/images/loader.gif' ),
													'importer_delete_checkbox' => __('More options on check','infinito'),
													'importer_delete_checkbox_message' => __('*If this isn\'t your first demo install, please use this option to trash / delete data from previous installs, so import will run smoothly.','infinito'),
													'just_a_sec' => __('Just a sec','infinito'),
													'website_ready_soon' => __('Your awesome website will be ready soon. <br/> Please do not refresh this page until import is complete!','infinito'),
													'execution' => __('<h4>PHP Maximum execution time exceeded<br></h4><p>Importer did not finish.</p><h4>What can I do?</h4><p>Please contact your hosting provider and request them to change the PHP execution time to a minimum of 120. ( Recommended 180 )</p><p>If you\'re not a newbie, you could also change this setting from the php.ini file yourself.</p><span>max_execution_time 180</span><p>Do not forget to restart apache after changing this setting.</p>','infinito'),
													
										));	
	wp_enqueue_script( 'wow-importer' );		
	
	wp_enqueue_script('jquery-infinito-modal', WOW_URI . '/js/modal/jquery.modal.min.js', array('jquery'));
	wp_enqueue_style('infinito-modal', WOW_URI . '/css/modal/jquery.modal.min.css');
	

}
add_action('admin_enqueue_scripts', 'wow_load_admin_scripts');

/*
=================================================================================================================
Function wow_overlay_menu_enqueue() - Overlay menu function - Enqueue styles and scripts
=================================================================================================================
*/
function wow_overlay_menu_enqueue(){
global $wow_options;

	if ($wow_options['header-layout'] == 'header-eleven' && $wow_options['overlay-menu-style'])
		{
			$overlay_menu_same_js = array('huge-inc','corner','slide-down','corner','scale','door','simple-genie');  // some styles have same js
			
				wp_enqueue_style( 'overlay-menu-style-'.esc_attr( $wow_options['overlay-menu-style'] ), WOW_URI . '/css/menu/'.esc_attr( $wow_options['overlay-menu-style'] ).'.css', false, 'all' ,'(min-width: 1201px)');
				wp_enqueue_script( 'overlay-menu-snap', WOW_URI."/js/menu/snap.svg-min.js", false, NULL, true );
				wp_enqueue_script( 'overlay-menu-modernizer', WOW_URI."/js/menu/modernizr.custom.js", false, NULL, true );
				wp_enqueue_script( 'overlay-menu-classie', WOW_URI."/js/menu/classie.js", false, NULL, true );

				if (in_array($wow_options['overlay-menu-style'], $overlay_menu_same_js)) {
					wp_enqueue_script( 'overlay-menu-overlay-main', WOW_URI."/js/menu/menu-overlay.js", false, NULL, true );
				}
				else {
					wp_enqueue_script( 'overlay-menu-'.esc_attr( $wow_options['overlay-menu-style'] ), WOW_URI."/js/menu/".esc_attr( $wow_options['overlay-menu-style'] ).".js", false, NULL, true );
				}
		}
}
add_action( 'wp_enqueue_scripts', 'wow_overlay_menu_enqueue' );


/*
=================================================================================================================
Function wow_onepage_overlay_enqueue() - Overlay menu function - Enqueue styles and scripts
=================================================================================================================
*/

function wow_onepage_overlay_enqueue(){	
	
	wp_enqueue_style( 'overlay-menu-style-simple-genie' , WOW_URI . '/css/menu/simple-genie.css', false, 'all' ,'(min-width: 1201px)');
	wp_enqueue_script( 'overlay-menu-snap', WOW_URI."/js/menu/snap.svg-min.js", false, NULL, true );
	wp_enqueue_script( 'overlay-menu-modernizer', WOW_URI."/js/menu/modernizr.custom.js", false, NULL, true );
	wp_enqueue_script( 'overlay-menu-classie', WOW_URI."/js/menu/classie.js", false, NULL, true );
	wp_enqueue_script( 'overlay-menu-huge-inc', WOW_URI."/js/menu/menu-overlay.js", false, NULL, true );

}


/*
=================================================================================================================
Function wow_onepage_overlay_enqueue() - Overlay menu function - Enqueue styles and scripts
=================================================================================================================
*/

function wow_onepage_overlay_dequeue(){

global $wow_options;
			
wp_dequeue_script( 'overlay-menu-style-'.esc_attr( $wow_options['overlay-menu-style'] ), WOW_URI . '/css/menu/'.esc_attr( $wow_options['overlay-menu-style'] ).'.css', false, 'all' );
wp_dequeue_script( 'overlay-menu-snap', WOW_URI."/js/menu/snap.svg-min.js", false, NULL, true );
wp_dequeue_script( 'overlay-menu-modernizer', WOW_URI."/js/menu/modernizr.custom.js", false, NULL, true );
wp_dequeue_script( 'overlay-menu-classie', WOW_URI."/js/menu/classie.js", false, NULL, true );

wp_dequeue_script( 'overlay-menu-overlay-main', WOW_URI."/js/menu/menu-overlay.js", false, NULL, true );
wp_dequeue_script( 'overlay-menu-'.esc_attr( $wow_options['overlay-menu-style'] ), WOW_URI."/js/menu/".esc_attr( $wow_options['overlay-menu-style'] ).".js", false, NULL, true );

}