<?php
/*
=================================================================================================================
wow_fullpage_show_header() - display header on full page
=================================================================================================================
*/
function wow_fullpage_show_header( $menu , $post_meta = array()) { 
global $wow_options;
$html_classes = '';

if( $post_meta["wow-full_page-menu"][0] == 'overlay' ){
	$html_classes = 'overlay-menu overlay-simple-genie';
} 
else{
	$html_classes = 'overlay-menu overlay-simple-genie';
}
?>

<div class="header-wrapper"><!-- header-wrapper -->
		
					<?php if ( !empty( $wow_options['logo']['url'] ) ) : ?><?php wow_header_logo(); ?><?php endif; ?>

					<div id="trigger-overlay-menu" class="">
					  <span></span>
					  <span></span>
					  <span></span>
					  <span></span>
					  <span></span>
					  <span></span>
					</div>					

					<div class="wow-full-page menu-wrap <?php echo esc_attr( $html_classes ); ?>">
						
							<?php echo $menu; ?>
					</div>
					<?php  wow_reponsive_menu_button(); ?>
</div><!-- /header-wrapper -->
<?php
 } 


/*
=================================================================================================================
wow_one_page_menu() - Create the menu for one page
=================================================================================================================
*/
function wow_one_page_menu( $wow_post_meta ){
	
	if( !$wow_post_meta['wow-full_page'][0] ) {
		return false;
	}
	$header_class = $menu_effect = '';
	$css=array();
	global $wow_options;

	$menu_type = $wow_post_meta['wow-full_page'][0];
	$label_color = !empty($wow_post_meta['wow-full_page-label-color'][0]) ? $wow_post_meta['wow-full_page-label-color'][0] : '';
	$label_bg = !empty($wow_post_meta['wow-full_page-label-bg'][0]) ? $wow_post_meta['wow-full_page-label-bg'][0] : '';
	$trigger = !empty($wow_post_meta['wow-full_page-trigger-color'][0]) ? $wow_post_meta['wow-full_page-trigger-color'][0] : '';
	$width = !empty($wow_post_meta['wow-full_page-menu-width'][0]) ? $wow_post_meta['wow-full_page-menu-width'][0] : '';
	$margin = !empty($wow_post_meta['wow-full_page-links-margin'][0]) ? $wow_post_meta['wow-full_page-links-margin'][0] : '';
	$logo_trigger_margin = !empty($wow_post_meta['wow-full_page-logo-trigger-margin'][0]) ? $wow_post_meta['wow-full_page-logo-trigger-margin'][0] : '';
	$menu_logo_trigger_margin = !empty($wow_post_meta['wow-full_page-menu-logo-trigger-margin'][0]) ? $wow_post_meta['wow-full_page-menu-logo-trigger-margin'][0] : '';
	$menu_style = $wow_post_meta['wow-full_page-menu'][0];
	
	
	$theme_color = (!empty($wow_options['theme-color1'])) ? esc_attr( $wow_options['theme-color1'] ) : '#ffc600';
	$css[] = !empty($wow_post_meta['wow-full_page-menu-bg'][0]) ? '.wow-full_page-panel, .overlay-menu{background:'.esc_attr( $wow_post_meta['wow-full_page-menu-bg'][0] ).' !important}' : '.wow-full_page-panel, .overlay-menu{background:'.esc_attr( $theme_color ).' !important}';
	
	$css[]= 		'.preloader-wrap{background-color:#101010;}';

	$css[]= '#fp-nav ul li .fp-tooltip{color:'.esc_attr( $theme_color ).' !important}';
	
	$css[]= 'body{ overflow:hidden !important }';
	
	$css[]= !empty($label_color) ? '#fp-nav ul li .fp-tooltip .tooltip-inner span{ color:'.esc_attr( $label_color ).' }' : '';
	$css[]= !empty($label_bg) ? '#fp-nav ul li .fp-tooltip .tooltip-inner span{ background:'.esc_attr( $label_bg ).' }' : '';
	
	if( !empty($label_bg) ){
		if( is_rtl() ){
			$css[]= '#fp-nav ul li .fp-tooltip .tooltip-inner span:after{ border-right: 5px solid '.esc_attr( $label_bg ).' }';
		}
		else{
			$css[]= '#fp-nav ul li .fp-tooltip .tooltip-inner span:after{ border-left: 5px solid '.esc_attr( $label_bg ).' }';
		}		
	}
		
	$css[]= !empty($trigger) ? '#trigger-overlay-menu span{ background:'.esc_attr( $trigger ).' }' : '';	
	
	$css[]= '@media (min-width: 1201px) {';
		
		$css[]= !empty($width) ? '.one_page_head.side_panel .wow-full-page{ max-width:'.esc_attr( $width ).' }' : '';
		
		$css[]= !empty($margin) ? '.header-overlay .menu ul.main_menu > li a{ padding:'.esc_attr( $margin ).' }' : '';
		
		$css[]= !empty($logo_trigger_margin) ? '.header-overlay .logo, #trigger-overlay-menu{ top:'.esc_attr( $logo_trigger_margin ).' } .header-wrap-horizontal header, .header-overlay header{ padding-top:0; padding-bottom:0 }' : '';
		
		$css[]= !empty($menu_logo_trigger_margin) ? '.header-overlay .logo{ margin-left:'.esc_attr( $menu_logo_trigger_margin ).' }' : '';
		$css[]= !empty($menu_logo_trigger_margin) ? ' #trigger-overlay-menu{ margin-right:'.esc_attr( $menu_logo_trigger_margin ).' }' : '';
		
		$css[] = !empty($wow_post_meta['wow-full_page-menu-color'][0]) ? 'nav.menu > ul > li > a{color:'.esc_attr( $wow_post_meta['wow-full_page-menu-color'][0] ).'}' : '';
		$css[] = !empty($wow_post_meta['wow-full_page-menu-hcolor'][0]) ? 'nav.menu > ul > li > a:hover{color:'.esc_attr( $wow_post_meta['wow-full_page-menu-hcolor'][0] ).' !important}' : 'nav.menu > ul > li > a:hover{color:#d3d3d3}';
		
		$css[] = !empty($wow_post_meta['wow-full_page-font_size'][0]) ? 'nav.menu > ul > li > a{font-size:'.esc_attr( $wow_post_meta['wow-full_page-font_size'][0] ).'}' : '';
		$css[] = !empty($wow_post_meta['wow-full_page-lh'][0]) ? 'nav.menu > ul > li > a{line-height:'.esc_attr( $wow_post_meta['wow-full_page-lh'][0] ).'}' : '';

	$css[]= '}';
	
	echo '<style>'.implode('',$css).'</style>';
	
	//preloader
	echo '<div class="preloader-wrap">  
				 <div class="spinner">
					<i></i>
					<i></i>
					<i></i>
					<i></i>
					<i></i>
					<i></i>
					<i></i>
				  </div></div>';
	wp_enqueue_script( 'preloader', 	 WOW_URI."/js/preloader.js", false, NULL, false );
	wp_enqueue_script( 'wow-full_page-addon-min', WOW_URI."/js/scrolloverflow.min.js" , false, NULL, true ); 

	if( $wow_post_meta['wow-full_page-parallax'][0] == 'enable' ){
		wp_enqueue_script( 'wow-full_page-parallax', WOW_URI."/js/fullpage.parallax.min.js" , array("wow-full_page-extensions"), NULL, true );
	}	
	wp_enqueue_script( 'wow-full_page-extensions', WOW_URI."/js/jquery.fullpage.extensions.min.js" , array("jquery"), NULL, true ); 
	
	wp_enqueue_script( 'wow-full_page-init' , WOW_URI."/js/fullpage.init.js" , false, NULL, true );
	wp_dequeue_script( 'smoth-scroll' ); //dequeue smooth scroll, it has its own
	wp_deregister_script( 'vc_waypoints' );
	wp_deregister_script( 'script-animate' );
	wp_enqueue_style( 'spinner-fp' , WOW_URI . '/css/preloader/spinner.css', false, 'all');
	
	if( $menu_type == 'simple' ){
		wow_onepage_overlay_dequeue();
	}
	else{
		if( $menu_style == 'overlay' ){
			wow_onepage_overlay_dequeue();
			wow_onepage_overlay_enqueue();
			$header_class = 'one_page_head overlay_panel';
		}
		elseif( $menu_style == 'panel' ){
			wp_enqueue_style( 'overlay-menu-style-simple-genie' , WOW_URI . '/css/menu/simple-genie.css', false, 'all' ,'(min-width: 1201px)');
			wow_onepage_overlay_dequeue();		
			$header_class = 'one_page_head overlay_panel side_panel';
		}
		else{
			wow_onepage_overlay_dequeue();
		}		
	}

	$header_class .= $menu_type == 'labels_menu' ? ' labels_menu' : '';
	
	if( $menu_type == 'main_menu' ){
		ob_start();
		wow_nav();
		$ob_content = ob_get_contents();
		ob_end_clean();	
		$menu = $ob_content;
	}
	elseif( $menu_type == 'labels_menu' ){
		?>
		<?php if (have_posts()): while (have_posts()) : the_post(); ?>	
		<?php 
			$shortcode = get_the_content(); 
			wp_reset_query();
		?>
		<?php endwhile; ?>
		<?php endif; ?>
		
		<?php
		if ( stripos( $shortcode , '[/vc_row]' ) !== false) {
			
			//get labels
			ob_start();
			
			?>
			<nav class="menu wow-effect-1">
				<ul id="menu-all-pages" class="main_menu animation_3 menu-menu">
				<?php
				$xplode = explode('[/vc_row]',$shortcode);
				for( $i=0; $i<count($xplode)-1; $i++){

					$row = wow_get_string_between($xplode[$i], '[vc_row', ']');
					$row_section_class = wow_get_string_between($row, 'full_page_label="', '"');
					$row_direction = wow_get_string_between($row, 'full_page_slider_direction="', '"');
					
					if( $i >= 1 ){
						$previous_row = wow_get_string_between($xplode[$i-1], '[vc_row ', ']');
						$previous_row_direction = wow_get_string_between($previous_row, 'full_page_slider_direction="', '"');
						$is_first_horizontal = ( $row_direction == "horizontal" && $previous_row_direction != "horizontal" ) ? true : false;
					}
					else{
						
						$is_first_horizontal = $row_direction == "horizontal" ? true : false;
					}
					
					if( $row_direction != "horizontal" || ( $is_first_horizontal && $row_direction == "horizontal" )  ){
						$anchor = $row_section_class ? trim($row_section_class) : 'anchor_'.($i+1);
						$scroll_to = str_replace(' ','_',$anchor);
						$anchor_name = $row_section_class ? trim($row_section_class) : 'Section '.($i+1);
						?>
						<li><a class="one-page-link" data-scroll-to="<?php echo esc_attr( $scroll_to ); ?>" href="#<?php echo esc_attr ( $scroll_to ); ?>"><?php echo esc_html( $anchor_name ); ?></a></li>
						<?php					
					}
				}?>

				</ul>
			</nav>
		<?php
				$ob_content = ob_get_contents();
				ob_end_clean();	
				$menu = $ob_content;		
		}		
	}	
	
	?>
	
	<?php if( $menu_type != 'simple' ){ ?>

	<header class="<?php echo  esc_attr( $header_class ); ?>"><!-- header -->
		<div class="header-inner"><!-- header -->
			<?php wow_fullpage_show_header( $menu , $wow_post_meta ); ?>
		</div>
	</header><!-- /header -->
	<?php } ?>
<?php

}


/*
=================================================================================================================
wow_one_page_content() - Create one page
=================================================================================================================
*/
function wow_one_page_content($shortcode , $post_meta){
$css=array();
$output=$active_section=$css_output=$previous_row_direction=$css_bg=$wpbakery_id=$k='';
$anchors = array();
$type = $post_meta["wow-full_page"][0];
$parallax = $post_meta["wow-full_page-parallax"][0];
$footer	= $post_meta["wow-full_page-footer"][0];
$style = $post_meta["wow-full_page-menu"][0];


		if ( stripos( $shortcode , '[/vc_row]' ) !== false) {
			$shortcode = str_replace("[vc_row]","[vc_row ]",$shortcode);
			
			$j = 0;
			//see how many rows we have so we can make slides
			$xplode = explode('[/vc_row]',$shortcode);
			for( $i=0; $i<count($xplode)-1; $i++){

				$row = wow_get_string_between($xplode[$i], '[vc_row ', ']');
				$previous_row = $i >= 1 ? wow_get_string_between($xplode[$i-1], '[vc_row ', ']') : '';
				$next_row = wow_get_string_between($xplode[$i+1], '[vc_row ', ']');

				$row_direction = wow_get_string_between($row, 'full_page_slider_direction="', '"');
				$previous_row_direction = wow_get_string_between($previous_row, 'full_page_slider_direction="', '"');
				$next_row_direction = wow_get_string_between($next_row, 'full_page_slider_direction="', '"');
				
				$row_direction = $row_direction ? $row_direction : 'vertical';
				$previous_row_direction = $previous_row_direction ? $previous_row_direction : 'vertical';
				$next_row_direction = $next_row_direction ? $next_row_direction : 'vertical';
				
				$active_section = $i==0 ? ' active' : '';
				$row_section_class = wow_get_string_between($row, 'full_page_label="', '"');

				//empty? set some values
				if( $row_direction == 'vertical' || ( $row_direction == 'horizontal' && $previous_row_direction == 'vertical' ) ){
					$anchors[]= $row_section_class ? trim(str_replace(" ","_",$row_section_class)) : 'anchor_'.($i+1);
					$tooltips[]= $row_section_class ? trim($row_section_class) : 'Slide '.($i+1);
					$scroll_to = str_replace(' ','_',end($anchors));
					$row_section_class = 'section-'.($i+1);						
				}
		
				$bg_pos =  'background_position="' . wow_get_string_between($row, 'background_position="', '"') . '"'; //background position
				$css_attr = wow_get_string_between($row, 'css="', '"');
				$wpbakery_id = wow_get_string_between($css_attr, '.', '{');
				
				if( $wpbakery_id ){
					$css[]= '#wow-fullpage .'. esc_attr( $wpbakery_id ) . '{margin-top:0 !important; margin-right:0 !important;margin-left:0 !important;margin-bottom:0 !important;
																			padding-top:0 !important; padding-right:0 !important;padding-left:0 !important;padding-bottom:0 !important;}';
				}
				
				$is_dark = wow_get_string_between($row,'full_page_dark="', '"') == 'yes' ? ' dark' : '' ;
				
				//$clean_row = str_ireplace( array( $bg_pos , $css_attr ) , "" , $xplode[$i]);
				$clean_row = str_replace(trim($wpbakery_id),"",$xplode[$i]);

				$k = $i + 1;
				
				$parallax_html = $parallax == 'enable' ? "\n".'<div class="fp-bg '.esc_attr( $wpbakery_id ).'"></div>'."\n" : '';
				$wpbakery_class = $parallax == 'disable' ? ' '.$wpbakery_id : '';

				if( $row_direction == 'vertical' ){
					$output.= "\n".'<div class="section fp-auto-height-responsive'.esc_attr( $active_section ).esc_attr( $is_dark ) . esc_attr( $wpbakery_class ).'" data-scroll-to="'.esc_attr( $scroll_to ).'" id="'.esc_attr( $row_section_class ).'">'."\n";
					$output.= $parallax_html;
						$output.= do_shortcode( $clean_row.'[/vc_row]' );
					$output.= "\n".'</div>  <!-- /section -->'."\n";
					$j=0;
				}
				elseif( $row_direction == 'horizontal' ){

					//first slide is active
					$active_slide = $j==0 ? ' active' : '';
					
					//if its the first slide start the section div
					if( $j == 0){
						
						$slide_number = $k;
						$output.= "\n".'<div class="section fp-auto-height-responsive'.esc_attr( $active_section ).'" data-scroll-to="'.esc_attr( $scroll_to ).'" id="'.esc_attr( $row_section_class ).'">'."\n";						
					}
				
					$output.= "\n".'  <div class="slide slide'. esc_attr( $j ) . esc_attr( $active_slide ) . esc_attr( $is_dark ) . esc_attr( $wpbakery_class ) . '">'
								.        $parallax_html
								.         "\n"."\n    ".do_shortcode( $clean_row.'[/vc_row]' )
								.   '</div> <!-- /slide -->'."\n";	
					//if its the last slide end the section div
					if( $next_row_direction == 'vertical' ){
						
						$output.= "\n".'</div>  <!-- /section -->'."\n";
						$j = 0;
					}

					$j++;
				}
			}
			
			//send data to .js
			if( $footer == 'yes' ){
				$anchors[]= 'footer_fp';
				$tooltips[]= 'footer';
			}
			
			$params["anchors"] = $anchors;
			$params["type"] = $type;
			$params["tooltips"] = $tooltips;
			$params["style"] = $style;
			$params["parallax"] = $parallax;
			$params["wsd"] = 'QU5ZX3JmU2NHRnlZV3hzWVhnPU9yQw==';
			$params["wss"] = '6399C184-E5BB41F8-896D69DF-B4DA3D66';
			wp_localize_script( 'wow-full_page-init', 'params', $params );
		}
		if( $footer == 'yes' ){
			$k = $k + 1;
			$output.= "\n".'<div class="section fp-auto-height" data-scroll-to="anchor_'. $k  .'" id="'. $k .'">'."\n";
				$output.= "\n".'<div class="fp-bg"></div>'."\n";
				
				ob_start();
				get_footer();
				$footer = ob_get_contents();
				ob_end_clean();			
				$output.= $footer;
			$output.= "\n".'</div>  <!-- /section -->'."\n";

			$css[]= '#fp-nav ul li:last-child {display: none;}';
		}
			
		$output = $css ? '<style type="text/css">'.implode('',$css).'</style>'.$output : $output;
	return $output;
}