<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
Function wow_header_bar_display() - output the header info bar html
=================================================================================================================
*/
function wow_header_bar_display(){
	global $wow_options;
	
	if($wow_options['header-top-bar'] == 1 ){
	
		$wow_bar_layouts = in_array($wow_options['header-layout'], array('header-one','header-one-a','header-two','header-two-a','header-three','header-three-a','header-four','header-five','header-five-a','header-eleven'));
		
		
		$info_bar_width	= ($wow_options['header-top-bar-width'] == '1' && $wow_bar_layouts) ? ' container' : '';
		$info_bar_bg_width	= ($wow_options['header-top-bar-bg-width'] == '1' && $wow_bar_layouts && $wow_options['header-top-bar-width'] != '0'  ) ? ' container' : '';
		
		$allowed_html_tags =  array( 'ul'=> array( 'class'=>array() ), 'li'=>array() , 'a'=>array( 'href'=>array() ), 'i' => array( 'class' => array() ) );

		if ($wow_options['header-bar-info-position'] == 1){
			wp_enqueue_style( 'webapplication', WOW_URI.'/fonts/icons/webapplication/style.css');
			echo '<div class="header-top-bar-bg'.esc_attr( $info_bar_bg_width ).'">';
				if ( $wow_options['header-top-bar-width'] == '0' ) { echo '<div class="container top-bar">'; }
					echo '<div class="header-top-bar bar_right'.esc_attr( $info_bar_width ).'"><!--HEADER INFO BAR-->';
					
					
					if(!empty($wow_options['header-bar-social']) && $wow_options['header-bar-social'] == 1){
						echo '<div class="social">'.wp_kses( wow_social_bar(), $allowed_html_tags ).'</div>';
					}
					
					if (!empty($wow_options['header-top-bar-show']) && $wow_options['header-top-bar-show'] == 1){
						echo '<ul class="info"><!--HEADER INFO-->';
							if(!empty($wow_options['header-bar-phone'])){
								echo '<li class="phone"><i class="wow-webapplication-phone-circle"></i><span>'.esc_attr( $wow_options['header-bar-phone'] ).'</span></li>';
							}	
							if(!empty($wow_options['header-bar-address'])){
								echo '<li class="address"><i class="wow-webapplication-location-pin"></i><span>'.esc_attr( $wow_options['header-bar-address'] ).'</span></li>';
							}	
							if(!empty($wow_options['header-bar-email'])){
								echo '<li class="email"><i class="wow-webapplication-envelope-open"></i><span>'.esc_attr( $wow_options['header-bar-email'] ).'</span></li>';
							}
						echo '</ul><!--/HEADER INFO-->';
					}
						
				echo '</div><!--/HEADER INFO BAR-->';
				if ( $wow_options['header-top-bar-width'] == '0' ) { echo '</div>'; }
			echo '</div><!--/HEADER INFO BAR BK-->';

			
		}	
		else{
		
			wp_enqueue_style( 'webapplication', WOW_URI.'/fonts/icons/webapplication/style.css');
			echo '<div class="header-top-bar-bg'.esc_attr( $info_bar_bg_width ).'">';
			if ( $wow_options['header-top-bar-width'] == '0' ) { echo '<div class="container top-bar">'; }
				echo '<div class="header-top-bar'.esc_attr( $info_bar_width ).'"><!--HEADER INFO BAR-->';
					if (!empty($wow_options['header-top-bar-show']) && $wow_options['header-top-bar-show'] == 1){
						echo '<ul class="info"><!--HEADER INFO-->';
							if(!empty($wow_options['header-bar-phone'])){
								echo '<li class="phone"><i class="wow-webapplication-phone-circle"></i><span>'.esc_attr( $wow_options['header-bar-phone'] ).'</span></li>';
							}	
							if(!empty($wow_options['header-bar-address'])){
								echo '<li class="address"><i class="wow-webapplication-location-pin"></i><span>'.esc_attr( $wow_options['header-bar-address'] ).'</span></li>';
							}	
							if(!empty($wow_options['header-bar-email'])){
								echo '<li class="email"><i class="wow-webapplication-envelope-open"></i><span>'.esc_attr( $wow_options['header-bar-email'] ).'</span></li>';
							}
						echo '</ul><!--/HEADER INFO-->';
					}
					
					if(!empty($wow_options['header-bar-social']) && $wow_options['header-bar-social'] == 1){
						echo '<div class="social">'.wp_kses( wow_social_bar(), $allowed_html_tags ).'</div>';
					}
					
					echo '</div><!--/HEADER INFO BAR-->';
				if ( $wow_options['header-top-bar-width'] == '0' ) { echo '</div>'; }
			echo '</div><!--/HEADER INFO BAR BK-->';		
			
		}
	}
}


/*
=================================================================================================================
wow_social_bar() -  social list html output
=================================================================================================================
*/
function wow_social_bar(){
	global $wow_options;
	$social_html = $social_style_class = '';
	if(!empty($wow_options['header-bar-social']) && $wow_options['header-bar-social'] == 1){
		wp_enqueue_style( 'social', WOW_URI.'/fonts/icons/social/style.css');
		if (!empty($wow_options['header-bar-social-style'])){
			if ($wow_options['header-bar-social-style'] == 'simple'){
				$social_style_class = 'simple';
			}			
			if ($wow_options['header-bar-social-style'] == 'square'){
				$social_style_class = 'square';
			}			
			if ($wow_options['header-bar-social-style'] == 'rounded'){
				$social_style_class = 'rounded';
			}			
			if ($wow_options['header-bar-social-style'] == 'circle'){
				$social_style_class = 'circle';
			}
		}
	
		$socials = array('facebook' , 'skype' ,'google-plus' ,'twitter' ,'vimeo' ,'youtube' ,'flickr' ,'linkedin' ,'pinterest' ,'dribbble' ,'instagram' ,'behance' ,'tumblr' ,'viadeo' , 'xing' );
		foreach( $socials as $social ){
			if ( !empty( $wow_options[$social] ) ){
				$social_html.=  '<li><a href="'.esc_url( $wow_options[$social] ).'"><i class="wow-social-'. esc_attr( strtolower( $social ) ).'"></i></a></li>';
			}
		}
	}
	
	if($social_html){
		$social_html = '<ul class="'.esc_attr($social_style_class).'">' . $social_html . '</ul>';
		return $social_html;
	}
}

/*
=================================================================================================================
wow_body_class() - add specific body class
=================================================================================================================
*/
function wow_body_class(){
	$body_classes=array();
	
	global $wow_options;
	
	//post meta
	$wow_post_meta = get_post_meta(wow_get_the_post_id());
	$blog_single_layout = ( !empty($wow_post_meta['wow-blog-single-layout'][0]) && $wow_post_meta['wow-blog-single-layout'][0] != 'default'  ) ? $wow_post_meta['wow-blog-single-layout'][0] : $wow_options['blog_single_layout'];
	
	//header layouts
	$wow_left_sided_layout = in_array($wow_options['header-layout'], array('header-one','header-two','header-three','header-four','header-five','header-five-a')); //left sided layout
	$wow_right_sided_layout = in_array($wow_options['header-layout'], array('header-one-a','header-two-a','header-three-a')); //right sided layout
	$wow_vertical_layout_logo_top = in_array($wow_options['header-layout'], array('header-seven','header-nine')); //vertical layout with logo in top and menu bellow, left align
	$wow_vertical_layout_logo_bottom = in_array($wow_options['header-layout'], array('header-eight','header-ten')); //vertical layout with logo in top and menu bellow, right align
	
	//horizontal header layouts no overlay and no vertical
	$wow_horizontal_layout = in_array($wow_options['header-layout'], array('header-one','header-two','header-three','header-four','header-five','header-one-a','header-two-a','header-three-a','header-five-a')); 
	
	//disable header
	$wow_disable_header = ( !empty( $wow_post_meta['wow-disable-header'][0]) and $wow_post_meta['wow-disable-header'][0] == 'yes' ) ? true : false ;
	
	//get the post/page content
	$post = get_post(wow_get_the_post_id()); 
	$content = ( is_object( $post ) ) ? $post->post_content : '';
	
	//boxed layout classes
	if ( $wow_options['layout'] == 'boxed' ){
		$body_classes[] = 'boxed-layout';
	}
	
	//classes for horizontal layouts
	if( $wow_left_sided_layout || $wow_right_sided_layout || $wow_options['header-layout'] == 'header-eleven' ){
		
		if ( $wow_options['header-layout'] == 'header-eleven' ) {
			$body_classes[] = 'header-overlay'; 
		}
		
		if( $wow_left_sided_layout || $wow_right_sided_layout ) { 
			$body_classes[] = 'header-wrap-horizontal';
		}
		
		$body_classes[] = $wow_options['header-layout'];
		$body_classes[] = 'horizontal-header';
		
		if ( is_front_page() ){
			if ( is_front_page() and is_home() ){
				$body_classes[] = 'home_is_blog';
			}
			elseif ( is_front_page() and !is_home() ){
				$body_classes[] = $wow_options['header-layout-style'];
			}
		}
		
	}
	
	//classes for vertical layouts
	elseif( $wow_vertical_layout_logo_top || $wow_vertical_layout_logo_bottom ){
		$body_classes[] = 'header-wrap-vertical';
		$body_classes[] = $wow_options['header-layout'];
		if ( is_front_page() ){
			if ( is_front_page() and is_home() ){
				$body_classes[] = 'home_is_blog';
			}
		}		
		$body_classes[] = $wow_options['menu-style-vertical'];
		$body_classes[] = 'vertical-header';		
	}

	//zig zag fix class
	if( ($wow_left_sided_layout || $wow_right_sided_layout) && $wow_options['menu-style'] == 'menu-zig-zag' ){
		$body_classes[] = 'menu-zig-zag-fix';
		$body_classes[] = 'horizontal-header';
	}
	
	//class when zig zag is not active
	if ( $wow_options['menu-style'] != 'menu-zig-zag' && $wow_horizontal_layout ) {
		$body_classes[] = 'not-zig-zag';
	}
	
	//not homepage class
	if ( !is_front_page() ){
		$body_classes[] = 'not-home';
	}
	
	//classes for blog page
	if
	(
		( get_post_type() == 'post' and !is_single() and !is_search() and ( ( is_front_page() and is_home() ) or  ( !is_front_page() and is_home() ) ) )
		or 
		( get_post_type() == 'post' and !is_single() and wow_is_blog_page() ) 
		or
		//for wmpl plugin - if is active and you want multiple language for blog page
		( function_exists('icl_object_id') and is_home() )
			
		
	)
	{
		$body_classes[] = 'is-blog-page';
	}
	
	if ( get_post_type() == 'post' and is_single() ){
		$body_classes[] = 'is-blog-page-single';
	}	
	
	if ( is_page_template('portfolio.php') and !is_singular( 'portfolio' ) ){
		$body_classes[] = 'is-portfolio-page';
	}	
	
	if ( is_singular( 'portfolio' ) ){
		$body_classes[] = 'is-portfolio-page-single';
	}	
	
	if ( is_tax('portfolio_category') ){
		$body_classes[] = 'is-portfolio-tax';
	}	
	
	if
	(
		( $wow_options['blog_layout'] == 'left-sidebar' and !is_single() and ( ( is_front_page() and is_home() ) or  ( !is_front_page() and is_home() ) ) )
		or
		( $wow_options['blog_layout'] == 'left-sidebar' and !is_single() and get_post_type() == 'post' and wow_is_blog_page() )
		
	)
	{
		$body_classes[] = 'has-left-sidebar';
		if ( $wow_options['fancy_sidebar'] == 1 ){
			$body_classes[] = 'has-left-fancy-sidebar';
			$body_classes[] = 'fancy-sidebar';
		}
	}	
	
	if 
	( 
		( $wow_options['blog_layout'] == 'no-sidebar' and !is_single() and ( ( is_front_page() and is_home() ) or  ( !is_front_page() and is_home() ) ) )
		or
		( $wow_options['blog_layout'] == 'no-sidebar' and !is_single() and wow_is_blog_page() )
	)
	{
		$body_classes[] = 'no-sidebar';
	}
	
	if 
	( 
		( $wow_options['blog_layout'] == 'right-sidebar' and !is_single() and ( ( is_front_page() and is_home() ) or  ( !is_front_page() and is_home() ) ) )
		or
		( $wow_options['blog_layout'] == 'right-sidebar' and !is_single() and get_post_type() == 'post' and wow_is_blog_page() )
			
	)
	{
		$body_classes[] = 'has-right-sidebar';
		if ( $wow_options['fancy_sidebar'] == 1 ){
			$body_classes[] = 'has-right-fancy-sidebar';
			$body_classes[] = 'fancy-sidebar';
		}
	}	
	
	if 
	( 
		( $wow_options['blog_layout'] == 'both-sidebars' and !is_single() and ( ( is_front_page() and is_home() ) or  ( !is_front_page() and is_home() ) ) )
		or
		( $wow_options['blog_layout'] == 'both-sidebars' and !is_single() and wow_is_blog_page() )
	)
	{
		$body_classes[] = 'has-right-sidebar';
		$body_classes[] = 'has-left-sidebar';
		$body_classes[] = 'both-sidebars';
	}	
	
	if ( $wow_options['blog_layout'] == 'both-sidebars' and is_single() ){
		$body_classes[] = 'both-sidebars';
	}	
	
	
	if ( $blog_single_layout == 'left-sidebar' and is_single() and !wow_is_realy_woocommerce_page() ) {
		if ( $wow_options['fancy_sidebar'] == 0 ){
			$body_classes[] = 'single-has-left-sidebar';
		}
		if ( $wow_options['fancy_sidebar'] == 1 ){
			$body_classes[] = 'has-left-fancy-sidebar';
		}
	}	
	if ( $blog_single_layout == 'right-sidebar' and is_single() and !wow_is_realy_woocommerce_page() ) {
		if ( $wow_options['fancy_sidebar'] == 0 ){
			$body_classes[] = 'single-has-right-sidebar';
		}
		if ( $wow_options['fancy_sidebar'] == 1 ){
			$body_classes[] = 'has-right-fancy-sidebar';
		}
	}
	
	if 
	( 
		( $wow_options['blog_container'] == 'full-width' and !is_single() and !wow_is_realy_woocommerce_page()  and ( ( is_front_page() and is_home() ) or  ( !is_front_page() and is_home() ) ) )
		or
		( $wow_options['blog_container'] == 'full-width' and !is_single() and wow_is_blog_page() and !wow_is_realy_woocommerce_page() )
	)
	{
		$body_classes[] = 'without-container';
	}	
	if ( $wow_options['blog_container_single'] == 'full-width' and is_single() ){
		$body_classes[] = 'without-container-single';
	}
	
	if 
	( 
		( $wow_options['blog_layout'] == 'no-sidebar' and !is_single() and  $wow_options['blog_container'] == 'full-width' and ( ( is_front_page() and is_home() ) or  ( !is_front_page() and is_home() ) ) )
		or
		( $wow_options['blog_layout'] == 'no-sidebar' and !is_single() and  $wow_options['blog_container'] == 'full-width' and wow_is_blog_page() )
	)
	{
		$body_classes[] = 'blog-full-width-no-sidebar';
	}	
	
	if ( 
		( $wow_options['blog_layout'] == 'no-sidebar' and !is_single() and  $wow_options['blog_container'] == 'container' and ( ( is_front_page() and is_home() ) or  ( !is_front_page() and is_home() ) ) )
		or
		( $wow_options['blog_layout'] == 'no-sidebar' and !is_single() and  $wow_options['blog_container'] == 'container' and wow_is_blog_page() )
	)
	{
		$body_classes[] = 'blog-container-no-sidebar';
	}	
	
	if ( 
		( !is_single() and  $wow_options['blog_container'] == 'container' and ( ( is_front_page() and is_home() ) or  ( !is_front_page() and is_home() ) ) )
		or
		( !is_single() and  $wow_options['blog_container'] == 'container' and wow_is_blog_page() )
	)
	{
		$body_classes[] = 'with-container-blog';
	}
	
	if ( is_single() and  $wow_options['blog_container_single'] == 'container' and !wow_is_realy_woocommerce_page() ){
		$body_classes[] = 'with-container-single';
	}
	
	if ( is_search() ){
		$body_classes[] = 'is-search-page';
	}
	
	//woocommerce classes
	if ( class_exists('WooCommerce') ){
		$woo_container = !empty( $wow_options['woo_container'] ) ? $wow_options['woo_container'] : '';
		if ( is_shop() || is_product_category() || is_product_tag() ){
			$body_classes[] = 'woocommerce-shop-main';
		}		
		if ( is_product() ){
			$body_classes[] = 'woocommerce-single-product';
		}
		if ( is_wc_endpoint_url() ){
			$body_classes[] = 'woocommerce-shop-account';
		}
		if ( is_active_sidebar( 'left_sidebar' ) ||  is_active_sidebar( 'right_sidebar' ) ){
			$body_classes[] = 'woo-sidebar';
		}
		
		if( is_user_logged_in() ){
			$body_classes[] = 'woocommerce-logged-in';
		}
		if ( $woo_container == 'full-width' ){
			$body_classes[] = 'without-container';
		}		
		else {
			$body_classes[] = 'with-container';
		}
	
		if ( is_shop() and $wow_options['woo_breadcrumb_on_home'] == 0 ){
			$body_classes[] = 'no-breadcrumb';
		}		
		
	}
	
	if ( $wow_options['full-top-bg'] and $wow_options['menu-resposive-position'] == 'top_responsive_menu' ){
		$body_classes[] = 'full-abs-bg';
	}
	elseif( !$wow_options['full-top-bg'] and $wow_options['menu-resposive-position'] == 'top_responsive_menu' ){
		$body_classes[] = 'not-full-abs-bg';
	}
	
	if ( wow_page_is_edited_with_vc() ){
		$body_classes[] = 'not-edited-with-vc';
	}
	
	if ( $wow_disable_header == true  ){
		$body_classes[] = 'header-disabled';
	}
	
	if ( wow_has_breadcrumb() ){
		$body_classes[] = 'has-breadcrumb';
	}
	else{
		$body_classes[] = 'no-breadcrumb';
	}
	
	if ( ( isset($wow_post_meta['wow-abs-header'][0]) && $wow_post_meta['wow-abs-header'][0] == 'yes' ) ){
		$body_classes[] = 'absolute-header';
	}
	
	$body_classes[] = $wow_options['menu-resposive-position'];

	body_class( $body_classes );
}

/*
=================================================================================================================
wow_reponsive_menu_button() - responsive menu button trigger 
=================================================================================================================
*/
function wow_reponsive_menu_button(){
	global $wow_options;
	?>
	<div class="menu-toggle">
	  <div class="hamburger <?php echo esc_attr( "hamburger--" . $wow_options['menu-resposive-animation'] ); ?>">
		<div class="hamburger-box">
		  <div class="hamburger-inner"></div>
		</div>
	  </div>
	 </div>
	<?php
}

/*
=================================================================================================================
wow_menu_under_slider() - we add the menu under slider
=================================================================================================================
*/
function wow_menu_under_slider(){
	
	global $wow_options,$post;
	if ( is_object( $post ) ){
		$wow_post_id = $post->ID; 
		$wow_post_meta = get_post_meta($wow_post_id); 
		$wow_left_sided_layout = in_array($wow_options['header-layout'], array('header-one','header-two','header-three','header-four','header-five','header-five-a')); //left sided layout
		$wow_right_sided_layout = in_array($wow_options['header-layout'], array('header-one-a','header-two-a','header-three-a')); //right sided layout
		
		if (($wow_left_sided_layout || $wow_right_sided_layout || $wow_options['header-layout'] == 'header-eleven' ) && $wow_options['header-layout-style'] == 'header-under'){				
			
			if ( is_front_page() && !is_home()  ){
			?>
				<header class="for_mobile"><!-- header -->
					<div class="header-inner"><!-- header -->
						<?php wow_show_header(); ?>
					</div>
				</header><!-- /header -->			
			<?php
			}
			
			if(!empty($wow_post_meta["wow-get-rev-sliders"][0]) && $wow_post_meta["wow-get-rev-sliders"][0] != '0'){
				echo '<div class="header-under-wrapper">';
				$wow_rev_shortcode = '[rev_slider alias="'.esc_attr( $wow_post_meta["wow-get-rev-sliders"][0] ).'"][/rev_slider]';
				echo do_shortcode( wp_kses( $wow_rev_shortcode, array() ) );
				echo '</div>';
			}
					
			if(!empty($wow_post_meta["wow-shortcode"][0]) && $wow_post_meta["wow-get-rev-sliders"][0] == '0'){
				echo '<div class="header-under-wrapper">';
				echo do_shortcode(  wp_kses( $wow_post_meta["wow-shortcode"][0], array() ) );
				echo '</div>';
			}
		}
	}
}

/*
=================================================================================================================
wow_menu_responsive() - enable/disable responsive
=================================================================================================================
*/
function wow_menu_responsive(){
	/*
	global $wow_options;
	
	if ($wow_options['responsive-switch'] == 1){
		echo '<meta name="viewport" content="width=device-width, initial-scale=1">';
	}
	else{
		wp_deregister_style( 'responsive' );
		echo '<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">';
	}
	*/
}

/*
=================================================================================================================
wow_breadcrumb_header() - display the breadcrumb under header / for horizontal layouts only
=================================================================================================================
*/
function wow_breadcrumb_header(){
	
	//no breadcrumb for attachments
	$post_type = get_post_type(wow_get_the_post_id());
	if( $post_type == "attachment" ){ return; }
	
	global $wow_options;
	$show_title = $show_breadcrumb = '';
	$post_meta = get_post_meta(wow_get_the_post_id());
	
	$alignment =  !empty( $wow_options['align_page_title_and_breadcrumb'] ) ?  $wow_options['align_page_title_and_breadcrumb']  : '' ;
	
	if( !empty( $post_meta['wow-show-breadcumb'][0] ) ){
		
		$show_title = $post_meta['wow-show-breadcumb'][0] == 'title' ? $show_title = '1'  :  '' ; 
		$show_breadcrumb = $post_meta['wow-show-breadcumb'][0] == 'breadcrumb' ? $show_breadcrumb = '1'  :  '' ; 
		
		if ( $post_meta['wow-show-breadcumb'][0] == 'both' ){
			$show_title = '1';
			$show_breadcrumb = '1';
		}
		
		if ( $post_meta['wow-show-breadcumb'][0] == 'none' ){
			$show_title = '0';
			$show_breadcrumb = '0';
		}
	}
	
	else{
		
		$show_title = $wow_options['page_title_show'];
		$show_breadcrumb = $wow_options['breadcrumb_show'];		
	
	}

	//we display the breadcrumb for all pages, excluding homepage
	if (!is_front_page()) :
		//we display the breadcrumb and page title only if it's checked in theme options
		if ( $show_title == '1' || $show_breadcrumb == '1' ) : ?>	
			<?php if ( class_exists( 'WooCommerce' ) and is_shop() and $wow_options['woo_breadcrumb_on_home'] == 1  ) : ?>
				<div class="header_breadcrumb <?php if( $wow_options['breadcrumb-width'] == '0' ) { echo 'container breadcrumb'; } ?>"><!-- header_breadcrumb -->
					<?php if( $wow_options['breadcrumb-width'] == '1' ) { echo '<div class="container">'; } ?>
						<div class="header_breadcrumb_inner"><!-- header_breadcrumb_inner -->	
							<?php if ( $show_title == '1' ) { wow_show_page_title(); } ?>	
							<?php if ( $show_breadcrumb == '1' ) { wow_show_breadcrumb(); } ?>
						</div><!-- /header_breadcrumb_inner -->
					<?php if( $wow_options['breadcrumb-width'] == '1' ) { echo '</div>'; } ?>
				</div><!-- /header_breadcrumb -->
				<?php elseif ( class_exists( 'WooCommerce' ) and is_shop() and $wow_options['woo_breadcrumb_on_home'] == 0  ) : //do nothing ?>		
				<?php else : ?>
				<div class="header_breadcrumb <?php if( $wow_options['breadcrumb-width'] == '0') { echo 'container breadcrumb'; } ?>"><!-- header_breadcrumb -->
					<?php if( $wow_options['breadcrumb-width'] == '1' ) { echo '<div class="container">'; } ?>
						<div class="header_breadcrumb_inner"><!-- header_breadcrumb_inner -->	
							<?php if ( $show_title == '1' ) {

											echo $alignment == 'inline' ? '<div class="breadcrumb_heading">' : '';
												wow_show_page_title();
											echo $alignment == 'inline' ? '</div>' : '';
									} 
							?>	
							<?php if ( $show_breadcrumb == '1' ) { wow_show_breadcrumb(); } ?>
						</div><!-- /header_breadcrumb_inner -->
					<?php if( $wow_options['breadcrumb-width'] == '1' ) { echo '</div>'; } ?>
				</div><!-- /header_breadcrumb -->
			<?php endif; ?>
		<?php endif; ?>
	<?php endif;
}

/*
=================================================================================================================
wow_breadcrumb_header_vertical() - display the breadcrumb / for vertical layouts only
=================================================================================================================
*/
function wow_breadcrumb_header_vertical(){
	global $wow_options;
	$wow_vertical_layouts = in_array($wow_options['header-layout'], array('header-seven','header-eight','header-nine','header-ten'));
	if ( $wow_vertical_layouts ){
		wow_breadcrumb_header();
	}
}

/*
=================================================================================================================
wow_has_breadcrumb() - Check if a page/post has breadcrumb
=================================================================================================================
*/
function wow_has_breadcrumb(){
		
	if ( is_front_page() ) { return false; }
	
	global $wow_options;
	$show_title = $show_breadcrumb = '';
	$post_meta = get_post_meta(wow_get_the_post_id());
	
	if( !empty( $post_meta['wow-show-breadcumb'][0] ) ){
		
		$show_title = $post_meta['wow-show-breadcumb'][0] == 'title' ? $show_title = '1'  :  '' ; 
		$show_breadcrumb = $post_meta['wow-show-breadcumb'][0] == 'breadcrumb' ? $show_breadcrumb = '1'  :  '' ; 
		
		if ( $post_meta['wow-show-breadcumb'][0] == 'both' ){
			$show_title = '1';
			$show_breadcrumb = '1';
		}
		
		if ( $post_meta['wow-show-breadcumb'][0] == 'none' ){
			$show_title = '0';
			$show_breadcrumb = '0';
		}
	}
	
	else{
		
		$show_title = $wow_options['page_title_show'];
		$show_breadcrumb = $wow_options['breadcrumb_show'];		
	
	}
	
	return ( $show_title == '1' || $show_breadcrumb == '1' ) ? true : false;
	
}

/*
=================================================================================================================
wow_header_logo() - display logos ( regular, sticky, retina )
=================================================================================================================
*/
function wow_header_logo(){
	global $wow_options;
	
	$logo = ( !empty($wow_options['logo']['url']) ) ? esc_url( $wow_options['logo']['url'] ) : '' ;

	if( !empty( $wow_options['sticky-logo']['url'] ) ){
		$sticky_logo =  $wow_options['sticky-logo']['url'];
	}
	else{ //if no mobile logo, take main desktop logo
		$sticky_logo = $logo;
	}	
	//$sticky_logo
	
	if( !empty( $wow_options['responsive-logo']['url'] ) ){
		$mobile_logo =  $wow_options['responsive-logo']['url'];
		$responsive_retina = $wow_options['resposive-retina'] == "1" ? " retina" : '';
	}
	else{ //if no mobile logo, take main desktop logo
		$mobile_logo = $logo;
		$responsive_retina = "";
	}	

	if( !empty( $wow_options['resposive-sticky-logo']['url'] ) ){
		$mobile_sticky_logo =  $wow_options['resposive-sticky-logo']['url'];		
		$resposive_sticky_retina = $wow_options['resposive-sticky_retina']  == "1" ? " retina" : '';
	}
	else{ //if no sticky logo, take mobile logo
		$mobile_sticky_logo = $mobile_logo;
		$resposive_sticky_retina = $responsive_retina;
	}		

	?>
	
	<div class="logo">
	
		<a href="<?php echo esc_url( home_url() ); ?>">

			<?php if ( $logo ) : ?>
				<img alt="<?php the_title(); ?>" src="<?php echo esc_url( $logo ); ?>" class="desktop_logo"/>
			<?php endif; ?>

			<?php if ( $sticky_logo ) : ?>
				<img alt="<?php the_title(); ?>" src="<?php echo esc_url( $sticky_logo ); ?>" class="desktop_sticky_logo"/>
			<?php endif; ?>
			
			<?php if ( $mobile_logo ) : ?>
				<img alt="<?php the_title(); ?>" src="<?php echo esc_url( $mobile_logo ); ?>" class="resposive_logo<?php echo esc_attr( $responsive_retina ); ?>"/>
			<?php endif; ?>
			
			<?php if ( $mobile_sticky_logo ) : ?>
				<img alt="<?php the_title(); ?>" src="<?php echo esc_url( $mobile_sticky_logo ); ?>" class="resposive_sticky_logo<?php echo esc_attr( $resposive_sticky_retina ); ?>"/>
			<?php endif; ?>
		
		</a>
	</div>
	<?php
}

/*
=================================================================================================================
wow_show_header() - display our whole header
=================================================================================================================
*/
function wow_show_header() { 
global $wow_options;
$wow_logo_img 					 = ( !empty($wow_options['logo']['url']) ) ? esc_url( $wow_options['logo']['url'] ) : '' ;
$wow_not_sticky					 = $wow_left_sided_layout=$wow_right_sided_layout=$wow_vertical_layout_logo_top=$wow_vertical_layout_logo_bottom='';
$wow_not_sticky 				 = !in_array($wow_options['header-layout'],array('header-seven','header-eight','header-nine','header-ten','header-eleven')); //for some layouts we dont need sticky
$wow_left_sided_layout 			 = in_array($wow_options['header-layout'], array('header-one','header-two','header-three','header-four','header-five')); //left sided layout
$wow_right_sided_layout 		 = in_array($wow_options['header-layout'], array('header-one-a','header-two-a','header-three-a')); //right sided layout
$wow_vertical_layout_logo_top 	 = in_array($wow_options['header-layout'], array('header-seven','header-nine')); //vertical layout with logo in top and menu bellow, left align
$wow_vertical_layout_logo_bottom = in_array($wow_options['header-layout'], array('header-eight','header-ten')); //vertical layout with logo in top and menu bellow, right align
$wow_vertical_layouts 			 = in_array($wow_options['header-layout'], array('header-seven','header-eight','header-nine','header-ten')); //vertical layouts
$wow_post_meta = get_post_meta(wow_get_the_post_id());
$show_woo_infobar_on_page = isset($wow_post_meta['wow-woo-infobar'][0]) && $wow_post_meta['wow-woo-infobar'][0] == 'yes' && class_exists( 'WooCommerce' )  ? true : false;
$wow_disable_header = ( !empty( $wow_post_meta['wow-disable-header'][0]) and $wow_post_meta['wow-disable-header'][0] == 'yes' ) ? true : false ; 
?>
<?php if ( $wow_disable_header == false ) : ?>
<?php
if ( wow_is_realy_woocommerce_page() || $show_woo_infobar_on_page ) {
	wow_woocommerce_info_bar();
}
?>
<?php if( $wow_options['header-bg-width'] == 0 && $wow_options['header-horizontal-width'] == 1 && !$wow_vertical_layout_logo_top && !$wow_vertical_layout_logo_bottom ) : ?> <div class="header-main-wrapper"> <?php endif; ?> 
	
<?php if( ($wow_left_sided_layout == 1 || $wow_right_sided_layout == 1 || $wow_options['header-layout'] == 'header-eleven' || $wow_options['header-layout'] == 'header-five-a') && $wow_options['header-bar-position'] == 0 ) : ?>
<?php wow_header_bar_display(); ?>
<?php endif; ?>
<div class="header-wrapper <?php if($wow_not_sticky) : ?> container<?php endif; ?><?php if( $wow_not_sticky && $wow_options['header-is_sticky'] == 1 ) : ?> do-sticky <?php echo esc_attr($wow_options['header-is_sticky-width']); ?><?php endif; ?>"><!-- header-wrapper -->
			
			
			<?php if ($wow_left_sided_layout || $wow_vertical_layout_logo_top) : ?>
							
							<?php wow_header_logo(); ?>
							<div class="menu-wrap"><?php wow_nav(); ?></div>
							<?php  wow_reponsive_menu_button(); ?>
				
			<?php elseif ($wow_right_sided_layout || $wow_vertical_layout_logo_bottom) : ?>	

							<div class="menu-wrap"><?php wow_nav(); ?></div>
							<?php wow_header_logo(); ?>
							<?php  wow_reponsive_menu_button(); ?>
			
			<?php elseif ($wow_options['header-layout'] == 'header-eleven' && isset($wow_options['overlay-menu-style'])) : ?>		
		
					<?php
					wow_header_logo();
					
					$svg_n_data = wow_overlay_menu($wow_options['overlay-menu-style']);
					wow_overlay_menu_enqueue();
					$allowed_html_tags = array( 'svg' => array ( 'xmlns' => array(), 'width' => array(), 'height' => array(), 'viewbox' => array(), 'preserveaspectratio' => array() ), 'path' => array ( 'class' => array(), 'd' => array() ) );
					?>
					<div id="trigger-overlay-menu" class="">
					  <span></span>
					  <span></span>
					  <span></span>
					  <span></span>
					  <span></span>
					  <span></span>
					</div>					

					<div class="overlay-menu menu-wrap overlay-<?php echo esc_attr( $wow_options['overlay-menu-style'] ); ?>" <?php echo wp_kses( $svg_n_data['data'], array( 'data-path-to' => array() ) ); ?>>
							<?php echo wp_kses( $svg_n_data['svg'], $allowed_html_tags );	?>
						
							<?php wow_nav(); ?>
					</div>
					<?php  wow_reponsive_menu_button(); ?>
			
			<?php elseif ($wow_options['header-layout'] == 'header-five-a') : ?>	
					
						<div class="menu-wrap-left"><?php wow_nav_left();?></div>
						<?php wow_header_logo(); ?>
						<div class="menu-wrap-right menu-wrap"><?php wow_nav_right(); ?></div>
						<?php  wow_reponsive_menu_button(); ?>				

			<?php endif; ?>
			
			
		<?php if( ( $wow_vertical_layout_logo_top == 1 || $wow_vertical_layout_logo_bottom == 1 ) && $wow_options['header-top-bar'] == 1 ) : ?>
			<?php wow_header_bar_display(); ?>
		<?php endif; ?>

	
</div><!-- /header-wrapper -->

		<?php if( ( $wow_left_sided_layout == 1 || $wow_right_sided_layout == 1 || $wow_options['header-layout'] == 'header-eleven' || $wow_options['header-layout'] == 'header-five-a' ) && $wow_options['header-bar-position'] == 1 ) : ?>
			<?php wow_header_bar_display(); ?>
		<?php endif; ?>
		

<?php if( $wow_options['header-bg-width'] == 0 && $wow_options['header-horizontal-width'] == 1 && !$wow_vertical_layout_logo_top && !$wow_vertical_layout_logo_bottom ) : ?>
</div><!-- /header-main-wrapper-->
<?php endif; ?>
<?php endif; //end if $wow_disable_header == false ?>
	<?php wow_breadcrumb_header(); ?>

<?php }
/*
=================================================================================================================
wow_vertical_scroll_overflow() - used on vertical layout for overflow
=================================================================================================================
*/
function wow_vertical_scroll_overflow() {
	global $wow_options;
	$wow_vertical_layouts 			 = in_array($wow_options['header-layout'], array('header-seven','header-eight','header-nine','header-ten')); //vertical layouts
	
	if( $wow_vertical_layouts ){
		?>
			<script type="text/javascript">
				(function($){ 
					var windows_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
					if( windows_width > 1200 ){
						$("header").niceScroll(".header-wrapper",{
							cursoropacitymin: 0,
							cursoropacitymax: 0,
							bouncescroll: false,
						});						
					}
					
				})(jQuery);
			</script>
		<?php
	}
}	
add_action( 'wp_footer', 'wow_vertical_scroll_overflow' );