<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
class wow_megamenu - Add the fields and edit/save options in wordpress menus
=================================================================================================================
*/
class wow_megamenu {
	
	/*
	=================================================================================================================
	Constructor
	=================================================================================================================
	*/
	function __construct() {
	
		// Custom Fields - Save
		add_action( 'wp_update_nav_menu_item', array( $this, 'wow_save_menu_fields'), 100, 3 );
	
		// Custom Walker - Edit
		add_filter( 'wp_edit_nav_menu_walker', array( $this, 'wow_backend_walker'), 100, 2 );
			
	}
	
	/*
	=================================================================================================================
	wow_save_menu_fields() - Save the field values
	=================================================================================================================
	*/
	function wow_save_menu_fields( $menu_id, $menu_item_db_id, $menu_item_data ) {
		
		// mega menu
		if ( ! isset( $_REQUEST['edit-menu-item-megamenu'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-megamenu'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-megamenu'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-megamenu', $buffer_var );

		// width
		if ( ! isset( $_REQUEST['edit-menu-item-nav-width'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-width'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-width'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-width', $buffer_var );

		// background color
		if ( ! isset( $_REQUEST['edit-menu-item-bg_color'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-bg_color'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-bg_color'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-bg_color', $buffer_var );
		
		// enable background image
		if ( ! isset( $_REQUEST['edit-menu-item-nav-has_bg'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-has_bg'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-has_bg'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-has_bg', $buffer_var );	
		
		// background image
		if ( ! isset( $_REQUEST['edit-menu-item-bg'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-bg'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-bg'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-bg', $buffer_var );		
		
		// background repeat
		if ( ! isset( $_REQUEST['edit-menu-item-bg-repeat'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-bg-repeat'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-bg-repeat'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-bg-repeat', $buffer_var );		
		
		// background position
		if ( ! isset( $_REQUEST['edit-menu-item-bg-position'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-bg-position'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-bg-position'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-bg-position', $buffer_var );			
		
		// background size
		if ( ! isset( $_REQUEST['edit-menu-item-bg-size'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-bg-size'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-bg-size'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-bg-size', $buffer_var );		
		
		// nav columns
		if ( ! isset( $_REQUEST['edit-menu-item-nav-columns'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-columns'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-columns'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-columns', $buffer_var );		

		//paddings
		if ( ! isset( $_REQUEST['edit-menu-item-nav-paddings'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-paddings'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-paddings'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-paddings', $buffer_var );	

		if ( ! isset( $_REQUEST['edit-menu-item-nav-padding_left'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-padding_left'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-padding_left'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-padding_left', $buffer_var );	

		if ( ! isset( $_REQUEST['edit-menu-item-nav-padding_right'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-padding_right'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-padding_right'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-padding_right', $buffer_var );

		if ( ! isset( $_REQUEST['edit-menu-item-nav-padding_top'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-padding_top'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-padding_top'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-padding_top', $buffer_var );

		if ( ! isset( $_REQUEST['edit-menu-item-nav-padding_bottom'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-padding_bottom'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-padding_bottom'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-padding_bottom', $buffer_var );	

		// add icon
		if ( ! isset( $_REQUEST['edit-menu-item-nav-add_icon'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-add_icon'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-add_icon'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-add_icon', $buffer_var );
		
		//new row
		if ( ! isset( $_REQUEST['edit-menu-item-nav-new_row'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-new_row'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-new_row'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-new_row', $buffer_var );

		
		//add feature
		if ( ! isset( $_REQUEST['edit-menu-item-nav-add_feature'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-add_feature'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-add_feature'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-add_feature', $buffer_var );

		//add feature text
		if ( ! isset( $_REQUEST['edit-menu-item-nav-add_feature_text'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-add_feature_text'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-add_feature_text'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-add_feature_text', $buffer_var );

		//add feature color
		if ( ! isset( $_REQUEST['edit-menu-item-nav-add_feature_color'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-add_feature_color'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-add_feature_color'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-add_feature_color', $buffer_var );		
		
		
		//add feature bg
		if ( ! isset( $_REQUEST['edit-menu-item-nav-bg'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-bg'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-bg'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-bg', $buffer_var );
		
		//make this heading
		if ( ! isset( $_REQUEST['edit-menu-item-nav-is_heading'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-is_heading'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-is_heading'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-is_heading', $buffer_var );		

		//disable link
		if ( ! isset( $_REQUEST['edit-menu-item-nav-disable_link'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-disable_link'][$menu_item_db_id] = '';
		}
		$buffer_var = $_REQUEST['edit-menu-item-nav-disable_link'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-disable_link', $buffer_var );

		// nav shortcode
		
		
		if ( ! isset( $_REQUEST['edit-menu-item-nav-shortcode'][$menu_item_db_id]) ) {
			$_REQUEST['edit-menu-item-nav-shortcode'][$menu_item_db_id] = '';
		}
		$nav_shortcode = $_REQUEST['edit-menu-item-nav-shortcode'][$menu_item_db_id];
		update_post_meta( $menu_item_db_id, 'menu-item-nav-shortcode', $nav_shortcode );
		
		
		
	}
	
	/*
	=================================================================================================================
	wow_backend_walker() - We create our custom backend walker
	=================================================================================================================
	*/
	function wow_backend_walker($walker,$menu_id) {
		return 'Walker_Wow_Nav_Edit';
	}
	

	
}
new wow_megamenu();

/*
=================================================================================================================
We create the html list of nav menu input based on the class Walker_Nav_Menu_Edit
=================================================================================================================
*/
class Walker_Wow_Nav_Edit extends Walker_Nav_Menu {
	/**
	 * Starts the list before the elements are added.
	 *
	 * @see Walker_Nav_Menu::start_lvl()
	 */
	public function start_lvl( &$output, $depth = 0, $args = array() ) {}

	/**
	 * Ends the list of after the elements are added.
	 *
	 * @see Walker_Nav_Menu::end_lvl()
	 */
	public function end_lvl( &$output, $depth = 0, $args = array() ) {}

	/**
	 * Start the element output.
	 *
	 * @see Walker_Nav_Menu::start_el()
	 */
	public function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
		global $_wp_nav_menu_max_depth;
		$_wp_nav_menu_max_depth = $depth > $_wp_nav_menu_max_depth ? $depth : $_wp_nav_menu_max_depth;
		
		$menu_item_megamenu=$menu_item_nav_width=$menu_item_nav_new_row=$menu_item_bg_color=$menu_item_nav_has_bg=$menu_item_bg=$menu_item_bg_repeat=$menu_item_bg_position=
		$menu_item_nav_paddings=$menu_item_nav_padding_left=$menu_item_nav_padding_right=$menu_item_nav_padding_top=$menu_item_nav_padding_bottom=''; 
		
		$show_megamenu = $show_has_bg = $show_paddings ='hide';
		
		ob_start();
		$item_id = esc_attr( $item->ID );
		$removed_args = array(
			'action',
			'customlink-tab',
			'edit-menu-item',
			'menu-item',
			'page-tab',
			'_wpnonce',
		);

		$original_title = '';
		if ( 'taxonomy' == $item->type ) {
			$original_title = get_term_field( 'name', $item->object_id, $item->object, 'raw' );
			if ( is_wp_error( $original_title ) )
				$original_title = false;
		} elseif ( 'post_type' == $item->type ) {
			$original_object = get_post( $item->object_id );
			$original_title = get_the_title( $original_object->ID );
		} elseif ( 'post_type_archive' == $item->type ) {
			$original_object = get_post_type_object( $item->object );
			if ( $original_object ) {
				$original_title = $original_object->labels->archives;
			}
		}

		$classes = array(
			'menu-item menu-item-depth-' . $depth,
			'menu-item-' . esc_attr( $item->object ),
			'menu-item-edit-' . ( ( isset( $_GET['edit-menu-item'] ) && $item_id == $_GET['edit-menu-item'] ) ? 'active' : 'inactive'),
		);

		$title = $item->title;

		if ( ! empty( $item->_invalid ) ) {
			$classes[] = 'menu-item-invalid';
			/* invalid menu items translation */
			$title = sprintf( __('%s (Invalid)','infinito'), $item->title );
		} elseif ( isset( $item->post_status ) && 'draft' == $item->post_status ) {
			$classes[] = 'pending';
			/* items in draft status translation*/
			$title = sprintf( __('%s (Pending)','infinito'), $item->title );
		}

		$title = ( ! isset( $item->label ) || '' == $item->label ) ? $title : $item->label;

		
		$submenu_css = '';
		if ( 0 == $depth )
			$submenu_css = 'style="display: none;"';
		
		$post_meta = get_post_meta( $item_id);

		//defining variables
	
		if( !empty($post_meta['menu-item-megamenu'][0])){
			$menu_item_megamenu = "checked='checked'";
			$show_megamenu = 'show';
			$menu_item_nav_width	= isset($post_meta['menu-item-nav-width'][0]) ? $post_meta['menu-item-nav-width'][0] : '';		
		}
		
		$menu_item_nav_new_row = !empty($post_meta['menu-item-nav-new_row'][0]) ? "checked='checked'" : '';
		
		if( !empty($post_meta['menu-item-nav-has_bg'][0]) ){
			
			$menu_item_nav_has_bg = "checked='checked'";
			$show_has_bg = 'show';
			$menu_item_bg_color = isset($post_meta['menu-item-bg_color'][0]) ? $post_meta['menu-item-bg_color'][0] : '';
			$menu_item_bg = isset($post_meta['menu-item-bg'][0]) ? $post_meta['menu-item-bg'][0] : '';
			$menu_item_bg_repeat = isset($post_meta['menu-item-bg-repeat'][0]) ? $post_meta['menu-item-bg-repeat'][0] : '';
			$menu_item_bg_position = isset($post_meta['menu-item-bg-position'][0]) ? $post_meta['menu-item-bg-position'][0] : '';			
			$menu_item_bg_size = isset($post_meta['menu-item-bg-size'][0]) ? $post_meta['menu-item-bg-size'][0] : '';			
		}

		if( !empty($post_meta['menu-item-nav-paddings'][0]) ){
			
			$menu_item_nav_paddings = "checked='checked'";
			$show_paddings = 'show';
			$menu_item_nav_padding_left = isset($post_meta['menu-item-nav-padding_left'][0]) ? $post_meta['menu-item-nav-padding_left'][0] : '';
			$menu_item_nav_padding_right = isset($post_meta['menu-item-nav-padding_right'][0]) ? $post_meta['menu-item-nav-padding_right'][0] : '';
			$menu_item_nav_padding_top = isset($post_meta['menu-item-nav-padding_top'][0]) ? $post_meta['menu-item-nav-padding_top'][0] : '';
			$menu_item_nav_padding_bottom = isset($post_meta['menu-item-nav-padding_bottom'][0]) ? $post_meta['menu-item-nav-padding_bottom'][0] : '';		
		}
		
		$menu_item_nav_columns =  isset($post_meta['menu-item-nav-columns'][0]) ? $post_meta['menu-item-nav-columns'][0] : '';


		$menu_item_nav_add_icon	= isset($post_meta['menu-item-nav-add_icon'][0]) ? $post_meta['menu-item-nav-add_icon'][0] : '';
		
		$menu_item_nav_shortcode = isset($post_meta['menu-item-nav-shortcode'][0]) ? $post_meta['menu-item-nav-shortcode'][0] : '';
		
		
		$menu_add_feature_show_class = !empty($post_meta['menu-item-nav-add_feature'][0]) ? " show" : ' hide';
		
		$menu_item_nav_add_feature = !empty($post_meta['menu-item-nav-add_feature'][0]) ? "checked='checked'" : '';
		$menu_item_nav_add_feature_text = isset($post_meta['menu-item-nav-add_feature_text'][0]) ? $post_meta['menu-item-nav-add_feature_text'][0] : '';
		$menu_item_nav_add_feature_color = isset($post_meta['menu-item-nav-add_feature_color'][0]) ? $post_meta['menu-item-nav-add_feature_color'][0] : '';
		
		$menu_item_nav_bg = isset($post_meta['menu-item-nav-bg'][0]) ? $post_meta['menu-item-nav-bg'][0] : '';
		
		$menu_item_nav_is_heading = !empty($post_meta['menu-item-nav-is_heading'][0]) ? "checked='checked'" : '';
		$menu_item_nav_disable_link = !empty($post_meta['menu-item-nav-disable_link'][0]) ? "checked='checked'" : '';
		
		?>
		<li id="menu-item-<?php echo esc_attr( $item_id ); ?>" class="<?php echo esc_attr( implode(' ', $classes ) ); ?>">
			<div class="menu-item-bar">
				<div class="menu-item-handle">
					<span class="item-title"><span class="menu-item-title"><?php echo esc_html( $title ); ?></span> <span class="is-submenu" <?php echo wp_kses( $submenu_css, array() ); ?>><?php esc_html_e( 'sub item','infinito' ); ?></span></span>
					<span class="item-controls">
						<span class="item-type"><?php echo esc_html( $item->type_label ); ?></span>
						<span class="item-order hide-if-js">
							<a href="<?php
								echo wp_nonce_url(
									add_query_arg(
										array(
											'action' => 'move-up-menu-item',
											'menu-item' => $item_id,
										),
										remove_query_arg($removed_args, admin_url( 'nav-menus.php' ) )
									),
									'move-menu_item'
								);
							?>" class="item-move-up" aria-label="<?php esc_attr_e( 'Move up','infinito' ) ?>">&#8593;</a>
							|
							<a href="<?php
								echo wp_nonce_url(
									add_query_arg(
										array(
											'action' => 'move-down-menu-item',
											'menu-item' => $item_id,
										),
										remove_query_arg($removed_args, admin_url( 'nav-menus.php' ) )
									),
									'move-menu_item'
								);
							?>" class="item-move-down" aria-label="<?php esc_attr_e( 'Move down','infinito' ) ?>">&#8595;</a>
						</span>
						<a class="item-edit" id="edit-<?php echo esc_attr( $item_id ); ?>" href="<?php
							echo ( isset( $_GET['edit-menu-item'] ) && $item_id == $_GET['edit-menu-item'] ) ? esc_url( admin_url( 'nav-menus.php' ) ) : esc_url( add_query_arg( 'edit-menu-item', $item_id, remove_query_arg( $removed_args, admin_url( 'nav-menus.php#menu-item-settings-' . $item_id ) ) ) );
						?>" aria-label="<?php esc_attr_e( 'Edit menu item','infinito' ); ?>"><?php esc_html_e( 'Edit','infinito' ); ?></a>
					</span>
				</div>
			</div>

			<div class="menu-item-settings wp-clearfix" id="menu-item-settings-<?php echo esc_attr( $item_id ); ?>">
				<?php if ( 'custom' == $item->type ) : ?>
					<p class="field-url description description-wide">
						<label for="edit-menu-item-url-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'URL','infinito' ); ?><br />
							<input type="text" id="edit-menu-item-url-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-url" name="menu-item-url[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item->url ); ?>" />
						</label>
					</p>
				<?php endif; ?>
				<p class="description description-wide">
					<label for="edit-menu-item-title-<?php echo esc_attr( $item_id ); ?>">
						<?php esc_html_e( 'Navigation Label','infinito' ); ?><br />
						<input type="text" id="edit-menu-item-title-<?php echo esc_attr( $item_id ); ?>" class="widefat edit-menu-item-title" name="menu-item-title[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item->title ); ?>" />
					</label>
				</p>
				<p class="field-title-attribute field-attr-title description description-wide">
					<label for="edit-menu-item-attr-title-<?php echo esc_attr( $item_id ); ?>">
						<?php esc_html_e( 'Title Attribute','infinito' ); ?><br />
						<input type="text" id="edit-menu-item-attr-title-<?php echo esc_attr( $item_id ); ?>" class="widefat edit-menu-item-attr-title" name="menu-item-attr-title[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item->post_excerpt ); ?>" />
					</label>
				</p>
				<p class="field-link-target description">
					<label for="edit-menu-item-target-<?php echo esc_attr( $item_id ); ?>">
						<input type="checkbox" id="edit-menu-item-target-<?php echo esc_attr( $item_id ); ?>" value="_blank" name="menu-item-target[<?php echo esc_attr( $item_id ); ?>]"<?php checked( $item->target, '_blank' ); ?> />
						<?php esc_html_e( 'Open link in a new window/tab','infinito' ); ?>
					</label>
				</p>
				<p class="field-css-classes description description-thin">
					<label for="edit-menu-item-classes-<?php echo esc_attr( $item_id ); ?>">
						<?php esc_html_e( 'CSS Classes (optional)','infinito' ); ?><br />
						<input type="text" id="edit-menu-item-classes-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-classes" name="menu-item-classes[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( implode(' ', $item->classes ) ); ?>" />
					</label>
				</p>
				<p class="field-xfn description description-thin">
					<label for="edit-menu-item-xfn-<?php echo esc_attr( $item_id ); ?>">
						<?php esc_html_e( 'Link Relationship (XFN)','infinito' ); ?><br />
						<input type="text" id="edit-menu-item-xfn-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-xfn" name="menu-item-xfn[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item->xfn ); ?>" />
					</label>
				</p>
				<p class="field-description description description-wide">
				
					<?php 
						// default description fix
						if( ! $item->post_name ) $item->description = '';
					?>
				
					<label for="edit-menu-item-description-<?php echo esc_attr( $item_id ); ?>">
						<?php esc_html_e( 'Description','infinito' ); ?><br />
						<textarea id="edit-menu-item-description-<?php echo esc_attr( $item_id ); ?>" class="widefat edit-menu-item-description" rows="3" cols="20" name="menu-item-description[<?php echo esc_attr( $item_id ); ?>]"><?php echo esc_attr( $item->description ); ?></textarea>
						<span class="description"><?php esc_html_e('The description will be displayed on the bottom on this item link.','infinito'); ?></span>
					</label>
				</p>
				
				<?php if ( 0 == $depth ): ?>
					<p class="field-nav-add_icon description description-wide">
						<label for="edit-menu-item-nav-add_icon-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Add icon','infinito' ); ?><br />
							<input  type="text" id="edit-menu-item-nav-add_icon-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-nav-add_icon" name="edit-menu-item-nav-add_icon[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_add_icon ); ?>"/>
							<span class="show_saved_icon"><i class="<?php echo esc_attr( $menu_item_nav_add_icon ); ?>"></i></span><br />
							<span class="wow_menu_add_icon"><a href="#" title="<?php esc_html_e( 'Click here to add icon','infinito' ); ?>"><?php esc_html_e( 'Browse Icons','infinito' ); ?></a></span>
						</label>
					</p>
					<p class="field-megamenu description description-wide">
	                    <label for="edit-menu-item-megamenu-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Activate Mega Menu','infinito' ); ?><br />                       
						   <input type="checkbox" value="enabled" class="edit-menu-item-megamenu" id="edit-menu-item-megamenu-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-megamenu[<?php echo esc_attr( $item_id ); ?>]" <?php echo esc_attr( $menu_item_megamenu ); ?> /> 
							<span class="description"><?php esc_html_e('Activate mega menu for this item. More options on check','infinito'); ?></span>
	                    </label>
					</p>
					
					<div class="show-dependency mega <?php echo esc_attr( $show_megamenu ); ?>"><!-- show-dependency mega menu -->
				
					
					<p class="field-nav-width go_left description  <?php echo esc_attr( $show_megamenu ); ?>">
						<label for="edit-menu-item-nav-width-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( ' Mega menu width ( in px ). Leave blank for theme default','infinito' ); ?><br />
							<input rows ="6" type="text" id="edit-menu-item-nav-width-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-nav-width" name="edit-menu-item-nav-width[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_width ); ?>"/>
						</label>
					</p>					
						
					<p class="field-nav-columns description  <?php echo esc_attr( $show_megamenu ); ?>">
						<label for="edit-menu-item-nav-columns-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Mega menu number of columns','infinito' ); ?><br />
							<select id="edit-menu-item-nav-columns-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-nav-columns[<?php echo esc_attr( $item_id ); ?>]">
								<?php echo wp_kses( wow_menu_columns($item_id,$menu_item_nav_columns), array ( 'option' => array ('value' => array(), 'selected' => array() ) ) ); ?>
							</select>
						</label>
					</p>
					
					
					</div><!-- /show-dependency mega menu -->
					
					<p class="field-nav-disable_link description description-wide">
						<label for="edit-menu-item-nav-disable_link-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Disable link','infinito' ); ?><br />
							<input type="checkbox" value="enabled" id="edit-menu-item-nav-disable_link-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-nav-disable_link[<?php echo esc_attr( $item_id ); ?>]" <?php echo esc_attr( $menu_item_nav_disable_link ); ?> />
							<span class="description"><?php esc_html_e('Disable link on this item. Useful for headings and more.','infinito'); ?></span>
						</label>
					</p>
					

					<p class="field-nav-has_bg description description-wide">
						<label for="edit-menu-item-nav-has_bg-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e('Background.','infinito'); ?><br/>
							<input type="checkbox" class="edit-menu-item-has_bg" value="enabled" id="edit-menu-item-nav-has_bg-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-nav-has_bg[<?php echo esc_attr( $item_id ); ?>]" <?php echo esc_attr( $menu_item_nav_has_bg ); ?> />
							<span class="description"><?php esc_html_e('Add background to menu. More options on check','infinito'); ?></span>
						</label>
					</p>
					
					<div class="show-dependency bg <?php echo esc_attr( $show_has_bg ); ?>"><!-- show-dependency BG -->
					
					<p class="field-bg-color description <?php echo esc_attr( $show_has_bg ); ?>">
						<label for="edit-menu-item-bg_color<?php echo esc_attr( $item_id ); ?>">
							<input type="text" id="edit-menu-item-bg_color-<?php echo esc_attr( $item_id ); ?>" data-alpha="true"  class="widefat wow_menu_bg_color color-picker code edit-menu-item-bg-color" name="edit-menu-item-bg_color[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_bg_color ); ?>" />
							
						</label>
					</p>
					
					<p class="field-bg description <?php echo esc_attr( $show_has_bg ); ?>">
						<label for="edit-menu-item-bg-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Background Image URL','infinito' ); ?> <a class="wow-menu-add-image" href="#" title="Click here to add image"><?php esc_html_e('Upload','infinito'); ?></a><br />
							<input type="text" id="edit-menu-item-bg-<?php echo esc_attr( $item_id ); ?>" class="widefat wow_menu_image_attach code edit-menu-item-bg" name="edit-menu-item-bg[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_bg ); ?>" />
							
						</label>
					</p>	
					
					<p class="field-bg-position description <?php echo esc_attr( $show_has_bg ); ?>">
						<label for="edit-menu-item-bg-position-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Background Position','infinito' ); ?><br />
							<select id="edit-menu-item-bg-position-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-bg-position[<?php echo esc_attr( $item_id ); ?>]">
								<?php echo wp_kses( wow_bg_position($item_id,$menu_item_bg_position), array ( 'option' => array ('value' => array(), 'selected' => array() ) ) ); ?>
							</select>
						</label>
					</p>
					
					<p class="field-bg-repeat description <?php echo esc_attr( $show_has_bg ); ?>">
						<label for="edit-menu-item-bg-repeat-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Background Repeat','infinito' ); ?><br />
							<select id="edit-menu-item-bg-repeat-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-bg-repeat[<?php echo esc_attr( $item_id ); ?>]">
								<?php echo wp_kses( wow_bg_repeat($item_id,$menu_item_bg_repeat), array ( 'option' => array ('value' => array(), 'selected' => array() ) ) ); ?>
							</select>
						</label>
					</p>						
					
					<p class="field-bg-size description <?php echo esc_attr( $show_has_bg ); ?>">
						<label for="edit-menu-item-bg-size-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Background Size','infinito' ); ?><br />
							<select id="edit-menu-item-bg-size-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-bg-size[<?php echo esc_attr( $item_id ); ?>]">
								<?php echo wp_kses( wow_bg_size($item_id,$menu_item_bg_size), array ( 'option' => array ('value' => array(), 'selected' => array() ) ) ); ?>
							</select>
						</label>
					</p>

					</div><!-- /show-dependency BG -->
					
					<p class="field-nav-paddings description description-wide">
						<label for="edit-menu-item-nav-paddings-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Paddings','infinito' ); ?><br/>
							<input type="checkbox" class="edit-menu-item-paddings" value="enabled" id="edit-menu-item-nav-paddings-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-nav-paddings[<?php echo esc_attr( $item_id ); ?>]" <?php echo esc_attr( $menu_item_nav_paddings ); ?> />
							<span class="description"><?php esc_html_e( 'Add padding to menu. More options on check','infinito' ); ?></span>
						</label>
					</p>
					
					<div class="show-dependency padding <?php echo esc_attr( $show_paddings ); ?>"><!-- show-dependency padding -->
					
					<p class="field-nav-padding_left half_width go_left description description-wide <?php echo esc_attr( $show_paddings ); ?>">
						<label for="edit-menu-item-nav-padding_left-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Padding left (in px)','infinito' ); ?><br />
							<input rows ="6" type="text" id="edit-menu-item-nav-padding_left-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-nav-padding_left" name="edit-menu-item-nav-padding_left[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_padding_left ); ?>"/>
						</label>
					</p>

					<p class="field-nav-padding_right half_width go_right description description-wide <?php echo esc_attr( $show_paddings ); ?>">
						<label for="edit-menu-item-nav-padding_right-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Padding right (in px)','infinito' ); ?><br />
							<input rows ="6" type="text" id="edit-menu-item-nav-padding_right-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-nav-padding_right" name="edit-menu-item-nav-padding_right[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_padding_right ); ?>"/>
						</label>
					</p>
					<p class="field-nav-padding_top half_width go_left description description-wide <?php echo esc_attr( $show_paddings ); ?>">
						<label for="edit-menu-item-nav-padding_top-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Padding top (in px)','infinito' ); ?><br />
							<input rows ="6" type="text" id="edit-menu-item-nav-padding_top-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-nav-padding_top" name="edit-menu-item-nav-padding_top[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_padding_top ); ?>"/>
						</label>
					</p>
					<p class="field-nav-padding_bottom half_width go_right description description-wide <?php echo esc_attr( $show_paddings ); ?>">
						<label for="edit-menu-item-nav-padding_bottom-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Padding bottom (in px)','infinito' ); ?><br />
							<input rows ="6" type="text" id="edit-menu-item-nav-padding_bottom-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-nav-padding_bottom" name="edit-menu-item-nav-padding_bottom[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_padding_bottom ); ?>"/>
						</label>
					</p>
					
				</div><!-- /show-dependency padding -->
					
				<?php elseif( 1 === $depth ) : ?>	
					
					<p class="field-nav-add_icon description description-wide">
						<label for="edit-menu-item-nav-add_icon-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Add font icon','infinito' ); ?><br />
							<input  type="text" id="edit-menu-item-nav-add_icon-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-nav-add_icon" name="edit-menu-item-nav-add_icon[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_add_icon ); ?>"/>
							<span class="show_saved_icon"><i class="<?php echo esc_attr( $menu_item_nav_add_icon ); ?>"></i></span><br />
							<span class="wow_menu_add_icon"><a href="#" title="<?php esc_attr_e( 'Click here to add icon','infinito' ); ?>"><?php esc_html_e( 'Browse Icons','infinito' ); ?></a></span>
						</label>
					</p>
					
					<p class="field-nav-new_row description description-wide">
						<label for="edit-menu-item-nav-new_row-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'New row ( for megamenu )','infinito' ); ?><br />
							<input type="checkbox" value="enabled" id="edit-menu-item-nav-new_row-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-nav-new_row[<?php echo esc_attr( $item_id ); ?>]" <?php echo esc_attr( $menu_item_nav_new_row ); ?> />
							<span class="description"><?php esc_html_e('Start a new row from this menu element.','infinito'); ?></span>
						</label>
					</p>

					<p class="field-nav-is_heading description description-wide">
						<label for="edit-menu-item-nav-is_heading-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Make this heading','infinito' ); ?><br />
							<input type="checkbox" value="enabled" id="edit-menu-item-nav-is_heading-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-nav-is_heading[<?php echo esc_attr( $item_id ); ?>]" <?php echo esc_attr( $menu_item_nav_is_heading ); ?> />
							<span class="description"><?php esc_html_e('Make this a title.','infinito'); ?></span>
						</label>
					</p>

					<p class="field-nav-disable_link description description-wide">
						<label for="edit-menu-item-nav-disable_link-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Disable link','infinito' ); ?><br />
							<input type="checkbox" value="enabled" id="edit-menu-item-nav-disable_link-<?php echo esc_attr( $item_id ); ?>" name="edit-menu-item-nav-disable_link[<?php echo esc_attr( $item_id ); ?>]" <?php echo esc_attr( $menu_item_nav_disable_link ); ?> />
							<span class="description"><?php esc_html_e('Disable link on this item. Useful for headings and more.','infinito'); ?></span>
						</label>
					</p>					
					
				<?php elseif( 2 === $depth ) : ?>
					
					<p class="field-nav-add_icon description description-wide">
						<label for="edit-menu-item-nav-add_icon-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Add font icon','infinito' ); ?><br />
							<input  type="text" id="edit-menu-item-nav-add_icon-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-nav-add_icon" name="edit-menu-item-nav-add_icon[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_add_icon ); ?>"/>
							<span class="show_saved_icon"><i class="<?php echo esc_attr( $menu_item_nav_add_icon ); ?>"></i></span><br />
							<span class="wow_menu_add_icon"><a href="#" title="<?php esc_attr_e( 'Click here to add icon','infinito' ); ?>"><?php esc_html_e( 'Browse Icons','infinito' ); ?></a></span>
						</label>
					</p>	
	
				<?php endif; ?>
				
				<?php if( 2 === $depth || 1 === $depth ) : ?>
					
					<p class="field-nav-add_feature description description-wide">
						<label for="edit-menu-item-nav-add_feature-<?php echo esc_attr( $item_id ); ?>">
							<?php esc_html_e( 'Add feature label','infinito' ); ?><br />
							<input type="checkbox" value="enabled" id="edit-menu-item-nav-add_feature-<?php echo esc_attr( $item_id ); ?>" class="edit-menu-item-nav-add_feature" name="edit-menu-item-nav-add_feature[<?php echo esc_attr( $item_id ); ?>]" <?php echo esc_attr( $menu_item_nav_add_feature ); ?> />
							
							<span class="description"><?php esc_html_e('Hot label i.e. - "New" , "Sale". More options on check','infinito'); ?></span>

							<div class="show-dependency feature <?php echo esc_attr( $menu_add_feature_show_class ); ?>"><!-- show-dependency padding -->
							
							<?php esc_html_e( 'Label text','infinito' ); ?><br />
							<input type="text" id="edit-menu-item-nav-add_feature_text-<?php echo esc_attr( $item_id ); ?>" class="widefat code edit-menu-item-nav-add_feature_text" name="edit-menu-item-nav-add_feature_text[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_add_feature_text ); ?>"/>
							
							<span class="menu_color_picker half_width"><input  type="text" id="edit-menu-item-nav-add_feature_color-<?php echo esc_attr( $item_id ); ?>" class="colour-picker widefat code edit-menu-item-nav-add_feature_color" name="edit-menu-item-nav-add_feature_color[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_add_feature_color ); ?>"/><?php echo esc_html__('Label color','infinito'); ?><br/></span>
							
							<span class="menu_color_picker half_width"><input  type="text" id="edit-menu-item-nav-bg-<?php echo esc_attr( $item_id ); ?>" class="colour-picker widefat code edit-menu-item-nav-bg" name="edit-menu-item-nav-bg[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $menu_item_nav_bg ); ?>"/><?php echo esc_html__('Label background','infinito'); ?></span>							

							</div><!-- show-dependency feature -->
							
							
						</label>
				</p>
				
				
				<p>
					<label for="edit-menu-item-nav-shortcode-<?php echo esc_attr( $item_id ); ?>">
						<?php esc_html_e( 'Shortcode*','infinito' ); ?><br />
						<textarea id="edit-menu-item-nav-shortcode-<?php echo esc_attr( $item_id ); ?>" class="widefat edit-menu-item-nav-shortcode" rows="3" cols="20" name="edit-menu-item-nav-shortcode[<?php echo esc_attr( $item_id ); ?>]"><?php echo esc_attr( $menu_item_nav_shortcode ); ?></textarea>
						<span class="description"><?php esc_html_e('Enter shortcode. *Beta version.','infinito'); ?></span>
					</label>
				</p>
				
				<?php endif; ?>
				
				<?php do_action( 'wp_nav_menu_item_custom_fields', $item_id, $item, $depth, $args ); ?>

				<p class="field-move hide-if-no-js description description-wide">
					<label>
						<span><?php esc_html_e( 'Move','infinito' ); ?></span>
						<a href="#" class="menus-move-up"><?php esc_html_e( 'Up one','infinito' ); ?></a>
						<a href="#" class="menus-move-down"><?php esc_html_e( 'Down one','infinito' ); ?></a>
						<a href="#" class="menus-move-left"></a>
						<a href="#" class="menus-move-right"></a>
						<a href="#" class="menus-move-top"><?php esc_html_e( 'To the top','infinito' ); ?></a>
					</label>
				</p>

				<div class="menu-item-actions description-wide submitbox">
					<?php if( 'custom' != $item->type && $original_title !== false ) : ?>
						<p class="link-to-original">
							<?php printf( __('Original: %s','infinito'), '<a href="' . esc_url( $item->url ) . '">' . esc_html( $original_title ) . '</a>' ); ?>
						</p>
					<?php endif; ?>
					<a class="item-delete submitdelete deletion" id="delete-<?php echo esc_attr( $item_id ); ?>" href="<?php
					echo wp_nonce_url(
						add_query_arg(
							array(
								'action' => 'delete-menu-item',
								'menu-item' => $item_id,
							),
							admin_url( 'nav-menus.php' )
						),
						'delete-menu_item_' . $item_id
					); ?>"><?php esc_html_e( 'Remove','infinito' ); ?></a> <span class="meta-sep hide-if-no-js"> | </span> <a class="item-cancel submitcancel hide-if-no-js" id="cancel-<?php echo esc_attr( $item_id ); ?>" href="<?php echo esc_url( add_query_arg( array( 'edit-menu-item' => $item_id, 'cancel' => time() ), admin_url( 'nav-menus.php' ) ) );
						?>#menu-item-settings-<?php echo esc_attr( $item_id ); ?>"><?php esc_html_e('Cancel','infinito'); ?></a>
				</div>

				<input class="menu-item-data-db-id" type="hidden" name="menu-item-db-id[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item_id ); ?>" />
				<input class="menu-item-data-object-id" type="hidden" name="menu-item-object-id[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item->object_id ); ?>" />
				<input class="menu-item-data-object" type="hidden" name="menu-item-object[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item->object ); ?>" />
				<input class="menu-item-data-parent-id" type="hidden" name="menu-item-parent-id[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item->menu_item_parent ); ?>" />
				<input class="menu-item-data-position" type="hidden" name="menu-item-position[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item->menu_order ); ?>" />
				<input class="menu-item-data-type" type="hidden" name="menu-item-type[<?php echo esc_attr( $item_id ); ?>]" value="<?php echo esc_attr( $item->type ); ?>" />
			</div>
			<ul class="menu-item-transport"></ul>
		<?php
		$output .= ob_get_clean();
	}
}


/*
=================================================================================================================
Our custom front-end menu walker
=================================================================================================================
*/
class Walker_Wow_Front_Nav extends Walker_Nav_Menu {

	public function get_ul_bg_color() {
		global $wow_options;
		$bg_color = (!empty($wow_options['colors-menu-submenu-bg']['rgba'])) ? $wow_options['colors-menu-submenu-bg']['rgba'] : '';
		return $bg_color;
	}

	// columns
	var $columns		= 0;

	// rows
	var $rows			= 0;
	var $aRows			= array();

	// mega menu
	var $has_megamenu	= 0;
	var $bg_menu	= '';
	var $bg_repeat		= '';
	var $bg_position	= '';
	var $nav_columns	= '';
	var $nav_shortcode	= '';
	var $width ='';
	
	function start_lvl( &$output, $depth = 0, $args = array() ) {
		$class=$style='';
		
		$indent = str_repeat("\t", $depth);
		
		if( $depth === 0 && $this->has_megamenu ){
			$class.= ' wow-megamenu';
		}

		$output .= "\n$indent<ul class=\"sub-menu$class\">\n";

	}

	function end_lvl( &$output, $depth = 0, $args = array() ) {
		$output .= "</ul>\n";
	
	}    

	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
		global $wp_query,$wow_options,$wow_custom_css;
		$icon=$feature=$attributes=$class_names=$value='';

		//vertical layouts
		$wow_vertical_layout   = in_array($wow_options['header-layout'],      array('header-seven','header-eight','header-nine','header-ten')); 

		$item_output = $li_text_block_class = $column_class = "";
		
			$post_meta = get_post_meta( $item->ID);

			if( $depth === 0 ){
				// 1st level

				$this->has_megamenu		= $post_meta['menu-item-megamenu'][0];
				$this->width		= isset($post_meta['menu-item-nav-width'][0]) ? $post_meta['menu-item-nav-width'][0] : '';
				$this->has_bg		= $post_meta['menu-item-nav-has_bg'][0];
				$this->bg_menu		= $post_meta['menu-item-bg'][0];
				$this->bg_color_menu = $post_meta['menu-item-bg_color'][0];
				$this->bg_repeat		= $post_meta['menu-item-bg-repeat'][0];
				$this->bg_position		= $post_meta['menu-item-bg-position'][0];
				$this->bg_size		= $post_meta['menu-item-bg-size'][0];
				$this->nav_columns		= $post_meta['menu-item-nav-columns'][0];
				
				$paddings = '';
				$paddings .= $post_meta['menu-item-nav-padding_left'][0] ? 'padding-left:'.esc_attr( $post_meta['menu-item-nav-padding_left'][0] ) .';' : '';
				$paddings .= $post_meta['menu-item-nav-padding_right'][0] ? 'padding-right:'.esc_attr( $post_meta['menu-item-nav-padding_right'][0] ) .';' : '';
				$paddings .= $post_meta['menu-item-nav-padding_top'][0] ? 'padding-top:'.esc_attr( $post_meta['menu-item-nav-padding_top'][0] ).';' : '';
				$paddings .= $post_meta['menu-item-nav-padding_bottom'][0] ? 'padding-bottom:'.esc_attr( $post_meta['menu-item-nav-padding_bottom'][0] ).';' : '';
				
				if( $this->has_bg && $depth == 0 && $wow_options["header-layout"] != 'header-eleven'){
					$style	= $this->bg_menu ? ' background: '.$this->get_ul_bg_color().' url('. $this->bg_menu .') '.$this->bg_repeat.' '.$this->bg_position.';' : '';
					$bg_color = $this->bg_color_menu ? 'background-color:'.esc_attr($this->bg_color_menu).';' : '';
					$bg_size = $this->bg_size ? 'background-size:'.esc_attr($this->bg_size).';' : '';
					echo '  <style type="text/css">
								@media (min-width: 1201px) {
									.menu li#menu-item-'.esc_attr( $item->ID ).' > ul{
										'.$style.
										$bg_color.
										$bg_size.'
									}
								}
							</style>';
				}	
		
				if($paddings && $wow_options["header-layout"] != 'header-eleven'){
					
					$on_hover = $wow_options['header-layout'] == 'header-eleven' ? '' : ':hover'; // we don't need :hover on overlay menu
					
					echo    '<style type="text/css">
					
								.menu li#menu-item-'.esc_attr( $item->ID ).esc_attr($on_hover).' > ul{'.esc_attr( $paddings ).'}
								
							</style>';					
				}
				if ( $this->has_megamenu ){
					if( $this->width ){
						
						if( $wow_vertical_layout ){
							$media = '@media (min-width: 1201px) {';
						}
						else{
							if( $this->width > 1200  ){
								
								$new_width = absint($this->width) + 20;
								
								$media =  '@media (min-width: '.esc_attr($new_width).'px) {';
							}
							else{
								$media = '@media (min-width: 1201px) {';
							}
						}
						

						
						echo	'<style type="text/css">
									'.$media.'
										.menu li#menu-item-'.esc_attr( $item->ID ).' > ul.wow-megamenu{width:'.esc_attr( $this->width ).'}
									}	
								}</style>';							
					}					
				}		
				
			}					


			//font icons
			if( $post_meta['menu-item-nav-add_icon'][0] && $depth <= 2 ){
				$icon = '<i class="item_icon '.esc_attr( $post_meta['menu-item-nav-add_icon'][0] ) .'"></i>';
				wow_font_icons_enqueue($post_meta['menu-item-nav-add_icon'][0]);
			}
			
			//feature
			if( $post_meta['menu-item-nav-add_feature'][0] == 'enabled' && !empty( $post_meta['menu-item-nav-add_feature_text'][0] ) ){
				
				wp_enqueue_style( 'menu-font', 'https://fonts.googleapis.com/css?family=Oswald:700');
				
				$feature_color = !empty( $post_meta['menu-item-nav-add_feature_color'][0] ) ? ' color:'.esc_attr( $post_meta['menu-item-nav-add_feature_color'][0] ).';' : '';
				
				$feature_bg_color = !empty( $post_meta['menu-item-nav-bg'][0] ) ? ' background-color:'.esc_attr( $post_meta['menu-item-nav-bg'][0] ).';' : '';
				
				$feature = '<sup style="'.$feature_color.$feature_bg_color.'">'.esc_attr( $post_meta['menu-item-nav-add_feature_text'][0] ).'</sup>';
			}
			



		//we add some icons to menu items with submenu
		
		if( $depth === 0 && $this->has_children ){
			if ( !empty( $wow_options['submenu-arrows'] ) ){
				$item->title .= '<i class="menu_dropdown_arrow '.esc_attr( $wow_options['submenu-arrows'] ).'"></i>';
			}
		}
			
		if( $depth !== 0 && $this->has_children ){
			if ( !empty( $wow_options['submenu-2nd-arrows'] ) ){
				$item->title .= '<i class="menu_dropdown_arrow2 '.esc_attr( $wow_options['submenu-2nd-arrows'] ).'"></i>';
			}
		}


			$this->nav_shortcode	= $post_meta['menu-item-nav-shortcode'][0] ? $post_meta['menu-item-nav-shortcode'][0] : '';

			$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
			$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
			$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
			$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';


			$item_output .= $args->before;		

				$disable_link = $post_meta['menu-item-nav-disable_link'][0] ? ' disable_link' : '';
				$is_heading = $post_meta['menu-item-nav-is_heading'][0] ? ' is_heading' : '';
					
				
					$item_output .= '<a class="wow-menu-title'.esc_attr( $disable_link ). esc_attr( $is_heading ) .'"'. $attributes . '>';
						$description =  trim($item->description) && $wow_options['menu-style'] != 'menu-zig-zag' ? '<span class="description">'. esc_html( $item->description ) .'</span>' : false;
						$item_output .= $args->link_before .$icon. apply_filters( 'the_title', $item->title, $item->ID ) . $feature . $description.  $args->link_after;
						
					$item_output .= '</a>';
					$item_output .= $this->nav_shortcode ? '<div class="wow-menu-shortcode">'.do_shortcode($this->nav_shortcode).'</div>' : '';
					
			$item_output .= $args->after;			
			
			
			
			
			
			
        
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

		$classes = empty( $item->classes ) ? array() : (array) $item->classes;
		
		$classes[]=  ( trim( !empty(  $item->description ) ) && $depth === 0 ) ? 'has_description' : '';

			
		if( $depth === 0 && $this->has_megamenu ){
			$classes[]= 'has_megamenu';
			$classes[]= $this->width  ? 'has_width' : '';
		}
		
		if( $depth === 1 && $this->has_megamenu ){
			$classes[]= "vc_col-sm-".esc_attr( $this->nav_columns );
			$classes[]= !empty( $post_meta['menu-item-nav-new_row'][0] ) ? 'new_row' : '';

		}
		

		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		$class_names = ' class="'. esc_attr( $li_text_block_class ) . esc_attr( $class_names ) . esc_attr( $column_class ).'"';
		
		$output .= $indent . '<li id="menu-item-'. esc_attr( $item->ID ) . '"' . esc_attr( $value ) . $class_names .'>';
		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );

	}
}

remove_filter('nav_menu_description', 'strip_tags');
add_filter( 'wp_setup_nav_menu_item', 'wow_wp_setup_nav_menu_item' );
function wow_wp_setup_nav_menu_item($menu_item) {
	$menu_item->description = apply_filters( 'nav_menu_description', $menu_item->post_content );
	return $menu_item;
}

/*
=================================================================================================================
wow_menu_add_options() - Display mini cart and search icon in header menu
=================================================================================================================
*/
function wow_menu_add_options($items, $args) {
	global $wow_options;
	
	if ( $args->theme_location == 'main_nav_right' || $args->theme_location == 'main_nav' ){

		//show search icon in menu
		if ( $wow_options['menu_show_search'] ){
			$items .= '
				<li class="menu-item menu-item-search">
					<a href="#" class="menu-item-search_icon">
						<i class="pe-7s-search"></i>
					</a>
					<div class="menu-show-search">'
						. get_search_form(false) .
					'</div>
				</li>';
		}
		
		//show cart icon in menu		
		if ( class_exists('WooCommerce') && $wow_options['woo_show_cart'] ){

			global $woocommerce;
			$count = sizeof(WC()->cart->get_cart());
			ob_start();
			woocommerce_mini_cart();
			$minicart = ob_get_clean();
			$items .= '
				<li class="menu-item menu-item-cart woocommerce">
					<a href="'.esc_url(get_permalink(wc_get_page_id('cart'))).'" class="minicart-menu-link cart-contents ' . ($count == 0 ? 'empty' : '') . '"></a>
							
					<div class="widget_shopping_cart_content">'.$minicart.'</div>
				</li>';
		}
		
	}
	return $items;
}
add_filter('wp_nav_menu_items', 'wow_menu_add_options', 11, 2);

