<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
wow_nav() - Navigation
=================================================================================================================
*/
function wow_nav(){
	global $wow_options;
	$style = $meta_menu_ID = $eq_height = '';
	$dropdown_animation_class = ' animation_0';
	$wow_horizontal_layout = in_array($wow_options['header-layout'], array('header-one','header-two','header-three','header-four','header-five','header-one-a','header-two-a','header-three-a')); //horizontal layouts	
	$wow_vertical_layout = in_array($wow_options['header-layout'],array('header-seven','header-eight','header-nine','header-ten'));

	//get post meta
	$meta = get_post_meta(wow_get_the_post_id());
	$meta_menu_ID = !empty( $meta['wow-different-menu'][0] ) ? $meta['wow-different-menu'][0] : '';
	
	if ($wow_options['header-layout'] == 'header-eleven'){
		$overlay_class = ' wow-effect-1';
	}
	else{
		$overlay_class = '';
	}
	if(!empty($wow_options['menu-style']) && $wow_horizontal_layout){
			$style =  $wow_options['menu-style'];
		}
	elseif(!empty($wow_options['menu-style-vertical']) && $wow_vertical_layout){
		$style =  $wow_options['menu-style-vertical'];
	}
	
	//menu dropdown classes
	if ($wow_options['header-layout'] == 'header-eleven'){
		$dropdown_animation_class = '';
	}
	elseif( $wow_vertical_layout ){
		$dropdown_animation_class = ' '.$wow_options['menu-animation'];
	}
	else{
		if( $wow_options['menu-style'] == 'menu-zig-zag'){
			$dropdown_animation_class = ' animation_zig_zag';
		}
		else{
			$dropdown_animation_class = ' '.$wow_options['menu-animation'];
		}		
	}
	
	//used for one page
	if( is_page() ){
		
		if( !empty( $meta['wow-full_page'][0] ) ){
			$style =  '';
			$overlay_class = $meta['wow-full_page-menu'][0] == 'overlay' ? ' wow-effect-1' : '';
			$dropdown_animation_class = '';
		}

	}

	//add equal height for layouts 2 and 2-a
	if( $wow_options['header-layout'] == 'header-two' ||  $wow_options['header-layout'] == 'header-two-a'){
			$eq_height = " row-eq-height";
	}
	
	if( $meta_menu_ID ){
		$args = array( 'menu' => $meta_menu_ID ,'theme_location'=>'', 'menu_class' => 'main_menu'.$eq_height.$dropdown_animation_class.'' , 'container' => 'nav' , 'container_class' => 'menu '.$style.$overlay_class.'', 'walker' => new Walker_Wow_Front_Nav );
		wp_nav_menu( $args );
	}
	else{
		if ( has_nav_menu( 'main_nav' ) ) {

			$args = array( 'theme_location' => 'main_nav' , 'menu_class' => 'main_menu'.$eq_height.$dropdown_animation_class.'' , 'container' => 'nav' , 'container_class' => 'menu '.$style.$overlay_class.'', 'walker' => new Walker_Wow_Front_Nav );
			wp_nav_menu( $args );
		} 
		else {
			$message = ('Please create a menu <a class="themecolor1" href="'.esc_url(admin_url('nav-menus.php')).'">here</a>');	
			printf('<p class="notice_header">'.esc_html__("%s", "infinito").'</p>', $message); 
		}		
	}
}


/*
=================================================================================================================
wow_nav_left() - Navigation left used for logo in center of the menu
=================================================================================================================
*/
function wow_nav_left(){
	
	global $wow_options;
	$style = '';
	$dropdown_animation_class = ' animation_2';
	$wow_horizontal_layout = in_array($wow_options['header-layout'], array('header-one','header-two','header-three','header-four','header-five','header-one-a','header-two-a','header-three-a','header-five-a')); //horizontal layouts	
	$wow_vertical_layout = in_array($wow_options['header-layout'],array('header-seven','header-eight','header-nine','header-ten'));
	
	if ($wow_options['header-layout'] == 'header-eleven'){
		$overlay_class = ' wow-effect-1';
	}
	else{
		$overlay_class = '';
	}
	if(!empty($wow_options['menu-style']) && $wow_horizontal_layout){
			$style =  $wow_options['menu-style'];
		}
	elseif(!empty($wow_options['menu-style-vertical']) && $wow_vertical_layout){
		$style =  $wow_options['menu-style-vertical'];
	}
	
	if (!empty($wow_options['menu-animation']) && $wow_options['menu-style']!='menu-zig-zag' ){
		$dropdown_animation_class = ' '.$wow_options['menu-animation'];
	}
	
	if ( has_nav_menu( 'main_nav_left' ) ) {
		 wp_nav_menu( $args = array( 'theme_location' => 'main_nav_left' , 'menu_class' => 'main_menu'.$dropdown_animation_class.'' , 'container' => 'nav' , 'container_class' => 'menu '.$style.$overlay_class.'', 'walker' => new Walker_Wow_Front_Nav ) );
	} 
	
}


/*
=================================================================================================================
wow_nav_right() - Navigation right used for logo in center of the menu
=================================================================================================================
*/
function wow_nav_right(){
	
	global $wow_options;
	$style = '';
	$dropdown_animation_class = ' animation_2';
	$wow_horizontal_layout = in_array($wow_options['header-layout'], array('header-one','header-two','header-three','header-four','header-five','header-one-a','header-two-a','header-three-a','header-five-a')); //horizontal layouts	
	$wow_vertical_layout = in_array($wow_options['header-layout'],array('header-seven','header-eight','header-nine','header-ten'));
	
	if ($wow_options['header-layout'] == 'header-eleven'){
		$overlay_class = ' wow-effect-1';
	}
	else{
		$overlay_class = '';
	}
	if(!empty($wow_options['menu-style']) && $wow_horizontal_layout){
			$style =  $wow_options['menu-style'];
		}
	elseif(!empty($wow_options['menu-style-vertical']) && $wow_vertical_layout){
		$style =  $wow_options['menu-style-vertical'];
	}
	
	if (!empty($wow_options['menu-animation']) && $wow_options['menu-style']!='menu-zig-zag' ){
		$dropdown_animation_class = ' '.$wow_options['menu-animation'];
	}
	
	if ( has_nav_menu( 'main_nav_right' ) ) {
		 wp_nav_menu( $args = array( 'theme_location' => 'main_nav_right' , 'menu_class' => 'main_menu'.$dropdown_animation_class.'' , 'container' => 'nav' , 'container_class' => 'menu '.$style.$overlay_class.'', 'walker' => new Walker_Wow_Front_Nav ) );
	} 	
}


/*
=================================================================================================================
wow_register_menu() - register the menu(s)
=================================================================================================================
*/
function wow_register_menu(){
	register_nav_menus(array(
		'main_nav' 			=> __('Header Menu', 'infinito'), // Main Navigation
		'main_nav_left' 	=> __('Left Menu', 'infinito'), // Left Menu
		'main_nav_right'	=> __('Right Menu', 'infinito'), // Right Menu
	));
}


/*
=================================================================================================================
Function wow_overlay_menu() - Overlay menu function
=================================================================================================================
*/

function wow_overlay_menu($style){
$svg=$data='';

		switch($style){
			case "corner-shape":
				$svg = '			
					<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 1440 806" preserveAspectRatio="none">
						<path class="overlay-path" d="m 0,0 1439.999975,0 0,805.99999 0,-805.99999 z"/>
					</svg>';
				$data = 'data-path-to="m 0,0 1439.999975,0 0,805.99999 -1439.999975,0 z"';
				break;
			case "little-boxes":
				$svg = '			
							<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="101%" viewBox="0 0 1440 806" preserveAspectRatio="none">
								<path d="m0.005959,200.364029l207.551124,0l0,204.342453l-207.551124,0l0,-204.342453z"/>
								<path d="m0.005959,400.45401l207.551124,0l0,204.342499l-207.551124,0l0,-204.342499z"/>
								<path d="m0.005959,600.544067l207.551124,0l0,204.342468l-207.551124,0l0,-204.342468z"/>
								<path d="m205.752151,-0.36l207.551163,0l0,204.342437l-207.551163,0l0,-204.342437z"/>
								<path d="m204.744629,200.364029l207.551147,0l0,204.342453l-207.551147,0l0,-204.342453z"/>
								<path d="m204.744629,400.45401l207.551147,0l0,204.342499l-207.551147,0l0,-204.342499z"/>
								<path d="m204.744629,600.544067l207.551147,0l0,204.342468l-207.551147,0l0,-204.342468z"/>
								<path d="m410.416046,-0.36l207.551117,0l0,204.342437l-207.551117,0l0,-204.342437z"/>
								<path d="m410.416046,200.364029l207.551117,0l0,204.342453l-207.551117,0l0,-204.342453z"/>
								<path d="m410.416046,400.45401l207.551117,0l0,204.342499l-207.551117,0l0,-204.342499z"/>
								<path d="m410.416046,600.544067l207.551117,0l0,204.342468l-207.551117,0l0,-204.342468z"/>
								<path d="m616.087402,-0.36l207.551086,0l0,204.342437l-207.551086,0l0,-204.342437z"/>
								<path d="m616.087402,200.364029l207.551086,0l0,204.342453l-207.551086,0l0,-204.342453z"/>
								<path d="m616.087402,400.45401l207.551086,0l0,204.342499l-207.551086,0l0,-204.342499z"/>
								<path d="m616.087402,600.544067l207.551086,0l0,204.342468l-207.551086,0l0,-204.342468z"/>
								<path d="m821.748718,-0.36l207.550964,0l0,204.342437l-207.550964,0l0,-204.342437z"/>
								<path d="m821.748718,200.364029l207.550964,0l0,204.342453l-207.550964,0l0,-204.342453z"/>
								<path d="m821.748718,400.45401l207.550964,0l0,204.342499l-207.550964,0l0,-204.342499z"/>
								<path d="m821.748718,600.544067l207.550964,0l0,204.342468l-207.550964,0l0,-204.342468z"/>
								<path d="m1027.203979,-0.36l207.550903,0l0,204.342437l-207.550903,0l0,-204.342437z"/>
								<path d="m1027.203979,200.364029l207.550903,0l0,204.342453l-207.550903,0l0,-204.342453z"/>
								<path d="m1027.203979,400.45401l207.550903,0l0,204.342499l-207.550903,0l0,-204.342499z"/>
								<path d="m1027.203979,600.544067l207.550903,0l0,204.342468l-207.550903,0l0,-204.342468z"/>
								<path d="m1232.659302,-0.36l207.551147,0l0,204.342437l-207.551147,0l0,-204.342437z"/>
								<path d="m1232.659302,200.364029l207.551147,0l0,204.342453l-207.551147,0l0,-204.342453z"/>
								<path d="m1232.659302,400.45401l207.551147,0l0,204.342499l-207.551147,0l0,-204.342499z"/>
								<path d="m1232.659302,600.544067l207.551147,0l0,204.342468l-207.551147,0l0,-204.342468z"/>
								<path d="m-0.791443,-0.360001l207.551163,0l0,204.342438l-207.551163,0l0,-204.342438z"/>
							</svg>';
				break;
			case "genie":
				$svg =  '			
					<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 1440 806" preserveAspectRatio="none">
						<path class="overlay-path" d="m 0,0 1439.999975,0 0,805.99999 0,-805.99999 z"/>
					</svg>';
				$data = ' data-steps="m 701.56545,809.01175 35.16718,0 0,19.68384 -35.16718,0 z;m 698.9986,728.03569 41.23353,0 -3.41953,77.8735 -34.98557,0 z;m 687.08153,513.78234 53.1506,0 C 738.0505,683.9161 737.86917,503.34193 737.27015,806 l -35.90067,0 c -7.82727,-276.34892 -2.06916,-72.79261 -14.28795,-292.21766 z;m 403.87105,257.94772 566.31246,2.93091 C 923.38284,513.78233 738.73561,372.23931 737.27015,806 l -35.90067,0 C 701.32034,404.49318 455.17312,480.07689 403.87105,257.94772 z;M 51.871052,165.94772 1362.1835,168.87863 C 1171.3828,653.78233 738.73561,372.23931 737.27015,806 l -35.90067,0 C 701.32034,404.49318 31.173122,513.78234 51.871052,165.94772 z;m 52,26 1364,4 c -12.8007,666.9037 -273.2644,483.78234 -322.7299,776 l -633.90062,0 C 359.32034,432.49318 -6.6979288,733.83462 52,26 z;m 0,0 1439.999975,0 0,805.99999 -1439.999975,0 z"';
			default:
				// Code to be executed if n is different from all labels
		}

		$return = array( 'svg' =>  $svg, 'data' =>  $data );
		return $return;
}

/*
=================================================================================================================
wow_default_menu - On theme activation add a menu if none is present
=================================================================================================================
*/
add_action("after_switch_theme", "wow_default_menu");
function wow_default_menu() {
	
	$menus = get_terms( 'nav_menu', array( 'hide_empty' => true ) );
	if( isset( $menus[0] ) ){

		$new_menu_id = $menus[0]->term_id;
		set_theme_mod( 'nav_menu_locations' , array( 'main_nav' => $new_menu_id ) );
	}
	else{
		
		register_nav_menus( array( 'main_nav' => 'Default' ) );
		$new_menu_id = wp_create_nav_menu('Default');
		$page_args = array(
			'menu-item-title' => 'Home',
			'menu-item-url' => esc_url( home_url( '/' ) ),
			'menu-item-status' => 'publish',
			'menu-item-type' => 'custom', // optional				
		);
		if ( $new_menu_id > 0 ) {
			// set our new MENU up at our theme's nav menu location
			set_theme_mod( 'nav_menu_locations' , array( 'main_nav' => $new_menu_id ) );
			// add a menu item to that new menu
			wp_update_nav_menu_item( $new_menu_id , 0, $page_args );
		}		
		
	}
}