<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
*
* function wow_custom_options_init() - Init theme options
*
-----------------------------------------------------------------------------------------------------------------
*
* Hooked @ add_action('wp','wow_theme_options_init') >>> functions/functions-theme.php
*
=================================================================================================================
*/
function wow_custom_options_init(){
	
/* Start the fun :) */

global $wow_options, $wow_css;
$wow_css = $wow_responsive_menu = $wow_resposive_css = '';

if ( isset( $wow_options ) && !empty(  $wow_options ) ){
	
	$meta = get_post_meta(wow_get_the_post_id());
	$wow_options['header-layout'] =  !empty( $meta['wow-header-layout'][0] ) ? $meta['wow-header-layout'][0] : $wow_options['header-layout'];
	
	if ( !empty( $meta['wow-full_page'][0] ) ){
		$wow_options['header-layout'] = 'header-one';
	}
	
	
	//rtl tweaks
	if( is_rtl() ){
		
		if ( $wow_options['header-bar-info-position'] == "0" ) { $wow_options['header-bar-info-position'] = "1"; }
		else { $wow_options['header-bar-info-position'] = "0"; }
		
		//switch some layouts in order to keep logo and menu alignment like in images
		$layout_switch = array(
			'header-one' => 'header-one-a',
			'header-one-a' => 'header-one',
			'header-two' => 'header-two-a',
			'header-two-a' => 'header-two',
		);
		
		if ( in_array( $wow_options['header-layout'] , $layout_switch ) ) {
			
			//layouts switch
			$wow_options['header-layout'] = $layout_switch[$wow_options['header-layout']];
		}	
	} //end rtl tweaks

	/*
	=================================================================================================================
	HEADER LAYOUTS
	=================================================================================================================
	*/
	
	//vertical layouts
	$wow_vertical_layout   = in_array($wow_options['header-layout'],      array('header-seven','header-eight','header-nine','header-ten')); 
	
	//vertical layouts on the left side
	$wow_vertical_layout_left   = in_array($wow_options['header-layout'],      array('header-seven','header-eight')); 
	
	//vertical layouts on the right side
	$wow_vertical_layout_right   = in_array($wow_options['header-layout'],      array('header-nine','header-ten')); 
	
	//horizontal layouts no overlay
	$wow_horizontal_layout = in_array($wow_options['header-layout'],      array('header-one','header-two','header-three','header-four',
	'header-five','header-one-a','header-two-a','header-three-a','header-five-a')); 
	
	//all horizontal layouts including overlay
	$wow_all_horizontal_layout = in_array($wow_options['header-layout'],      array('header-one','header-two','header-three','header-four','header-five','header-one-a','header-two-a','header-three-a','header-five-a','header-eleven')); //horizontal layouts	
		
	/*
	=================================================================================================================
	BOXED LAYOUT WEBSITE TWEAKS
	=================================================================================================================
	*/	
	if ( $wow_options['layout'] == 'boxed' ){
		
		if ( $wow_options['grid-width'] !=  "1090" ){
		
			// #wrap size
			$wow_wrap_size = $wow_options['grid-width'];
			
			// .container size
			$wow_container = absint($wow_wrap_size) - 90;
			
			//if horizontal layouts
			if ( $wow_all_horizontal_layout ){
				
					// media screen resolution
					$wow_screen_res = $wow_wrap_size + 70;	
				
					if ( $wow_screen_res <= 1200  ){
						$wow_css.= '@media only screen and (min-width: 1201px) {';
					}
					else{
						//until the min resolution for desired grid size is achieved we calculate the grid in percents
						$wow_css.= '@media only screen and (min-width:1201px) and (max-width:'.esc_attr( $wow_screen_res  - 1 ).'px) {';
						$wow_css.= '.boxed-layout .header-wrapper.sticky{width:calc(100% - 70px)}';	
						$wow_css.= '.boxed-layout #wrap{ width:calc(100% - 70px) }';
						$wow_css.= '.boxed-layout .container{ width:calc(100% - 90px) }';
						$wow_css.= '}';
						
						//from this screen size we display the user desired grid size
						$wow_css.= '@media only screen and (min-width: '.esc_attr($wow_screen_res).'px) {';
					}
						$wow_css.= '.boxed-layout .header-wrapper.sticky{width:'.esc_attr($wow_wrap_size).'px}';	
						$wow_css.= '.boxed-layout #wrap{ width:'.esc_attr( $wow_wrap_size ).'px;}';
						$wow_css.= '.boxed-layout .container{ width:'.esc_attr( $wow_container ).'px}';
						$wow_css.= '}';	
						
						
			}
			
			//if vertical layouts
			elseif ( $wow_vertical_layout ){
			
				//vertical header width
				$wow_header_width = empty($wow_options['header-vertical-width']) ? 250 : intval( $wow_options['header-vertical-width'] );
				
				// media screen resolution
				$wow_screen_res = $wow_wrap_size + $wow_header_width + 70;					

					
				if ( $wow_screen_res <= 1200 ){
					$wow_css.= '@media only screen and (min-width: 1201px) {';
				}
				else{
					//until the min resolution for desired grid size is achieved we calculate the grid in percents
					$wow_css.= '@media only screen and (min-width:1201px) and (max-width:'.esc_attr( $wow_screen_res  - 1 ).'px) {';
					$wow_css.= '.boxed-layout.header-wrap-vertical #wrap{ width:calc(100% - 70px) }';
					$wow_css.= '.boxed-layout.header-wrap-vertical #wrap .container-inner{ margin-left:0; margin-right:0 }';
					$wow_css.= '.boxed-layout.header-wrap-vertical .container{ width:calc(100% - 90px) }';
					$wow_css.= '}';
					
					//from this screen size we display the user desired grid size
					$wow_css.= '@media only screen and (min-width: '.esc_attr($wow_screen_res).'px) {';
				}
					$wow_css.= '.boxed-layout.header-wrap-vertical #wrap{ width:'.esc_attr( $wow_wrap_size ).'px; margin:auto; position:relative }';
					$wow_css.= '.boxed-layout.header-wrap-vertical .container{ width:'.esc_attr( $wow_container ).'px}';
					$wow_css.= '}';				
			}
		
		}
		
		//boxed layout homepage fix
		if( $wow_horizontal_layout  ){
			$wow_boxed_css='';
			
			//header background
			if( !empty( $wow_options['header-bg-color']['rgba'] )){
				$wow_boxed_css .= '.header-wrap-horizontal.boxed-layout.home .header-main-wrapper:before{background-color:'.esc_attr( $wow_options['header-bg-color']['rgba'] ).'}';
			}			
			
			//header line
			if( $wow_options['header-horizontal-line'] == "1" ){
				$wow_line_color = !empty( $wow_options['header-horizontal-line-color']['rgba'] ) ? $wow_options['header-horizontal-line-color']['rgba'] : '#000000';
				
				$wow_boxed_css .= '.header-wrap-horizontal.boxed-layout.home .header-main-wrapper:after{
										border-bottom: solid '.esc_attr( $wow_options['header-line-border-width'] ).'px '. esc_attr( $wow_line_color ) .';
									}';				
			}
			
			//sticky background
			if( !empty( $wow_options['header-is_sticky-settings']['rgba'] )){
				$wow_boxed_css .= '.header-wrap-horizontal.boxed-layout .sticky  .logo,.header-wrap-horizontal.boxed-layout .sticky  .menu-wrap,.header-wrap-horizontal.boxed-layout .sticky .menu-wrap-left{background-color:'.esc_attr( $wow_options['header-is_sticky-settings']['rgba'] ).'}';
			}				
			
			//grid widths
			if( $wow_options['grid-width'] != "1090" ){
				$wow_css .= '@media only screen and (max-width: '.esc_attr( (int) $wow_options['grid-width'] + 69  ).'px) and (min-width: 1201px){ 
										
										.header-wrap-horizontal.header-default .header-top-bar.container{
											width: 100%;
											padding-left:0;
											padding-right:0;
										}
										.header-wrap-horizontal.header-default .header-wrapper.container{
											width: calc(100% - 60px);
										}		
										
										.header-wrap-horizontal.header-on .header-top-bar.container{
											width: calc(100% - 70px);
										}
										.header-wrap-horizontal.header-on .header-wrapper.container{
											width: calc(100% - 130px);
										}

										.header-wrap-horizontal.header-under .header-top-bar.container{
											width: 100%;
											padding-left:0;
											padding-right:0;
										}
										.header-wrap-horizontal.header-under .header-wrapper.container{
											width: calc(100% - 60px);
										}
										
										/* for sticky */
										.header-wrap-horizontal.boxed-layout .header-wrapper.sticky{
											padding-left: 35px !important;
											padding-right: 35px !important;
										}
										.header-wrap-horizontal.boxed-layout.home .sticky .logo{
											padding-left:30px;
										}
										.header-wrap-horizontal.boxed-layout.home .sticky .menu-wrap{
											padding-right:30px
										}
									}';
									
				$wow_css .= '@media only screen and (max-width: '.esc_attr( (int) $wow_options['grid-width'] + 69  ).'px) and (min-width: 1201px){
										.header-wrap-horizontal.boxed-layout.home .header-main-wrapper:before, 
										.header-wrap-horizontal.boxed-layout.home .header-main-wrapper:after{ width: calc(100% - 70px) }
										.header-wrap-horizontal.boxed-layout.home .header-top-bar-bg{ width:100%; padding-left:35px; padding-right:35px; box-sizing:border-box }
									}';
									
				$wow_css .=  '@media ( min-width: '.esc_attr( (int) $wow_options['grid-width'] + 70  ).'px ){ 
										.header-wrap-horizontal.boxed-layout.home .header-main-wrapper:before, 
										.header-wrap-horizontal.boxed-layout.home .header-main-wrapper:after,
										.header-wrap-horizontal.boxed-layout.home .header-top-bar-bg{ width: '.esc_attr( $wow_options['grid-width'] ).'px;}										
									}';
			}
	
			//only for desktop size
			$wow_css .= $wow_boxed_css ? "\n".'@media (min-width: 1201px) {
																' . $wow_boxed_css ."\n".
															'}'."\n" : '';
			
		}
		
		//header width
		$wow_options['header-horizontal-width'] = "1";
		$wow_options['header-bg-width'] = "0";

		//top bar width
		$wow_options['header-top-bar-width'] = "1";
		$wow_options['header-top-bar-bg-width'] = "0";		
		
		//blog width
		$wow_options['blog_container'] = 'full-width';
		unset( $wow_options['blog_container_size'] );		
		
		//blog width
		$wow_options['blog_container_single'] = 'container';
		unset( $wow_options['blog_container_single_size'] );
		
		//portfolio width
		$wow_options['portfolio_container'] = 'full-width';
		unset( $wow_options['portfolio_container_size'] );		
		
		//portfolio single width
		unset( $wow_options['portfolio_container_single_size'] );	
		
		//portfolio related width
		$wow_options['portfolio-related-width'] = 'full-width';
		
		//copyright width
		$wow_options['copyright-width'] = 'container';
		
		//woocommerce width	
		$wow_options['woo_container'] = 'container';
		unset( $wow_options['woo_container_size'] );

		//sticky width
		$wow_options['header-is_sticky-width'] = 'full-width';
		
	}
	/*
	=================================================================================================================
	FULL WEBSITE LAYOUT TWEAKS
	=================================================================================================================
	*/	
	if ( $wow_options['layout'] == 'full' ){

		if ( $wow_options['grid-width'] !=  "1090" && $wow_all_horizontal_layout ){
			$wow_css.= wow_grid_calc( 'grid-width', '.container,.sticky-boxed.sticky' );
		}
		elseif ( $wow_options['grid-width'] !=  "1090" && $wow_vertical_layout  ){
			$wow_css.= wow_grid_calc( 'grid-width', '.header-wrap-vertical .container' , true );
		}
			
		if (  !empty($wow_options['blog_container_size']) ){
			$wow_css.= wow_grid_calc( 'blog_container_size', '.is-blog-page .container.blog, .header-wrap-vertical.is-blog-page .container.blog', true );
		}
		
		if (  !empty($wow_options['blog_container_single_size']) ){
			$wow_css.= wow_grid_calc( 'blog_container_single_size', '.is-blog-page-single .container.blog-single, .header-wrap-vertical.is-blog-page-single .container.blog-single', true );
		}
		
		if (  !empty($wow_options['portfolio_container_size']) ){
			$wow_css.= wow_grid_calc( 'portfolio_container_size', '.is-portfolio-page .container.portfolio, .is-portfolio-tax .container.portfolio, .header-wrap-vertical.is-portfolio-page .container.portfolio, .header-wrap-vertical.is-portfolio-tax .container.portfolio ', true );
		}		
		
		if (  !empty($wow_options['portfolio_container_single_size']) ){
			$wow_css.= wow_grid_calc( 'portfolio_container_single_size', '.is-portfolio-page-single .container.portfolio-single,.is-portfolio-page-single .vc_portfolio_content .container,.header-wrap-vertical.is-portfolio-page-single .container.portfolio-single,.header-wrap-vertical.is-portfolio-page-single .vc_portfolio_content .container
', true );
		}
	}
	
	//fix for header overlay and under slider menu
	if ( $wow_options['header-layout-style'] == 'header-under' && $wow_options['header-layout'] == 'header-eleven' ){
		$wow_options['header-layout-style'] = 'header-default';
	}
	
	//if per row portfolio/blog value is empty
	$wow_options['grid'] = !empty( $wow_options['grid'] ) ? $wow_options['grid'] : '6';
	$wow_options['grid_portfolio'] = !empty( $wow_options['grid_portfolio'] ) ? $wow_options['grid_portfolio'] : '3';

	//if swithcing from horizontal transparent header to vertical layout define a background color for header
	if ( !empty( $wow_options['header-bg-color'] ) && $wow_options['header-bg-color']['alpha'] === '0' &&  $wow_vertical_layout ){
		$wow_css.= 'body .header-main-wrapper,body .header-wrapper{ background-color:#ffc200 }';
	}
	

	/*
	=================================================================================================================
	CUSTOM CSS / JS
	=================================================================================================================
	*/
	$wow_css.= (!empty($wow_options['custom_css'])) ? esc_attr($wow_options['custom_css']) : ''; 

	/*
	=================================================================================================================
	GLOBAL THEME CSS CLASS COLORS
	=================================================================================================================
	*/
	
	//theme color 1
	if ( !empty($wow_options['theme-color1']) ){
		$wow_css.= '.themecolor1   	 { color       :'.esc_attr($wow_options['theme-color1']).' }';
		$wow_css.= '.themecolor1_bg { background-color:'.esc_attr($wow_options['theme-color1']).' }';		
		$wow_css.= '.themecolor1_rgba 	 { background  :'.esc_attr( wow_hex2rgba($wow_options['theme-color1'], 0.8)).' }';
		$wow_css.= '.themecolor1_border { border-color:'.esc_attr($wow_options['theme-color1']).' }';
	}
	else{
		$wow_options['theme-color1'] = '#ffc600';
	}
	
	//theme color 2
	if ( !empty($wow_options['theme-color2']) ){
		$wow_css.= '.themecolor2   	 { color       :'.esc_attr($wow_options['theme-color2']).'}';
		$wow_css.= '.themecolor2_bg { background-color:'.esc_attr($wow_options['theme-color2']).'}';		
		$wow_css.= '.themecolor2_rgba 	 { background  :'.esc_attr(wow_hex2rgba($wow_options['theme-color2'], 0.8)).'}';
		$wow_css.= '.themecolor2_border { border-color:'.esc_attr($wow_options['theme-color2']).'}';
	}
	else{
		$wow_options['theme-color2'] = '#ff5e5e';
	}
	
	//theme color 3
	if ( !empty($wow_options['theme-color3']) ){
		$wow_css.= '.themecolor3   	 { color       :'.esc_attr($wow_options['theme-color3']).'}';
		$wow_css.= '.themecolor3_bg { background-color:'.esc_attr($wow_options['theme-color3']).'}';		
		$wow_css.= '.themecolor3_rgba 	 { background  :'.esc_attr(wow_hex2rgba($wow_options['theme-color3'], 0.8)).'}';
		$wow_css.= '.themecolor3_border { border-color:'.esc_attr($wow_options['theme-color3']).'}';
	}
	else{
		$wow_options['theme-color3'] = '#ff5e5e';
	}
	/*
	=================================================================================================================
	GLOBAL COLORS
	=================================================================================================================
	*/
	
	//footer hover links
	$wow_css.= ( !empty( $wow_options['footer-link-hover'] ) ) ? 'footer .container a:hover,footer #copyright a:hover{color:'.esc_attr( $wow_options['footer-link-hover'] ).' !important}' : '';

	//theme color 1 !important argument
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.widget a:hover, .widget a:hover span, widget li:hover a, .sidebar-posts-box:hover a, .about-us-content ul.social li a:hover i, .info-content ul.social li:hover a i,#post-body .widget a:hover,#post-body .widget_tw ul.tweets li span::before,.comment-reply a,.blog_related section:hover a,.widget_calendar a, .comment-container a:not(.url){ color:'.esc_attr($wow_options['theme-color1']).' !important }' : '';
	
	//theme color 1
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.blog-single-start a,.copyright span, .copyright a{ color:'.esc_attr($wow_options['theme-color1']).' }' : '';
	
	//border color theme color 1
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.about-us-content ul.social li:hover a, .info-content ul.social li:hover a, .widget_tag_cloud .tagcloud a:hover, #post-body .about-us-content ul.social li:hover a, #post-body .info-content ul.social li:hover a, #post-body .widget_tag_cloud .tagcloud a:hover,.comment-reply a,.portfolio-single.style4 h1,body .lg-outer .lg-thumb-item.active, body .lg-outer .lg-thumb-item:hover{ border-color: '.esc_attr($wow_options['theme-color1']).' }' : '';
	
	
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.widget .portfolio-content .image_wrapper, .sidebar-post-thumb .image_wrapper { background:'.esc_attr(wow_hex2rgba($wow_options['theme-color1'],.7)).' }' : '';
	
	//background rgba theme color 1
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.widget h3:after { border-color: transparent transparent transparent '.esc_attr($wow_options['theme-color1']).' }' : '';
	
	//background theme color 1
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.pagination ul li.active a, .pagination ul li:hover a, .pagination ul li:focus a,.comment-form #send-comment-button:hover, .blog-single.style1 input[type="submit"]:hover, input[type=submit],.wpcf7 .input-container input:checked ~ .checkmark,.wpcf7 .radio-container input:checked ~ .checkmark,blockquote::before,body .lg-progress-bar .lg-progress, #tribe-bar-form .tribe-bar-submit input[type=submit],.tribe-events-day .tribe-events-day-time-slot .tribe-events-day-time-slot-heading, .woocommerce .wishlist_table a.remove{ background-color: '.esc_attr($wow_options['theme-color1']).' }' : '';
	
	//background theme color 2
	$wow_css.= (!empty($wow_options['theme-color2'])) ? '.blog_related section:hover .comments,.comment-form .input-name:hover::before,.comment-form .input-email:hover::before,.comment-form .input-website:hover::before,.blog-single.style1 input[type="submit"],input[type=submit]:hover, #tribe-bar-form .tribe-bar-submit input[type=submit]:hover{ background-color: '.esc_attr($wow_options['theme-color2']).' }' : '';	
	
	//color theme color 2
	$wow_css.= (!empty($wow_options['theme-color2'])) ? '.comment-reply a:hover,.blog-single-start a:hover ,.comment-container a:hover{ color: '.esc_attr($wow_options['theme-color2']).' !important }' : '';
	
	//border theme color 2
	$wow_css.= (!empty($wow_options['theme-color2'])) ? '.comment-reply a:hover{ border-color: '.esc_attr($wow_options['theme-color2']).' }' : '';

	/*
	=================================================================================================================
	HEADER
	=================================================================================================================
	*/
	
	//logo width
	if ( $wow_options['logo_width_select'] == 'manual' ){
		$wow_css.= ( !empty( $wow_options['logo_width'] ) && $wow_options['logo_width'] != '150' ) ? '.logo a img{ width:' . esc_attr( $wow_options['logo_width'] ).'px }' : '.logo a img{ width:150px }';
	}
	
	//sticky logo width
	if ( $wow_options['sticky_logo_width_select'] == 'manual' ){
		$wow_css.= ( !empty( $wow_options['sticky_logo_width'] ) && $wow_options['sticky_logo_width'] != '150' ) ? '.header-wrapper.sticky .logo a img.desktop_sticky_logo{ width:' . esc_attr( $wow_options['sticky_logo_width'] ).'px }' : '.header-wrapper.sticky .logo a img.desktop_sticky_logo{ width:150px }';
	}

	if( !empty($wow_options['header-horizontal-line'] ) ){
		$wow_line_thickness = (!empty($wow_options['header-line-border-width'])) ?  $wow_options['header-line-border-width'] : '1';
		if( $wow_options['layout'] == 'boxed' ){
			$wow_css.=  (!empty($wow_options['header-horizontal-line-color'])) ? '@media only screen and (min-width: 1201px){ .header-main-wrapper{border-bottom:solid '.esc_attr($wow_line_thickness).'px '.esc_attr($wow_options['header-horizontal-line-color']['rgba']).'}}' : '';			
		}
		elseif( $wow_options['layout'] == 'full' ){
			
			if( $wow_options['header-horizontal-width'] == "1" && $wow_options['header-bg-width'] == "0"){
				$wow_css.=  (!empty($wow_options['header-horizontal-line-color'])) ? '@media only screen and (min-width: 1201px){ .header-main-wrapper{border-bottom:solid '.esc_attr($wow_line_thickness).'px '.esc_attr($wow_options['header-horizontal-line-color']['rgba']).'}}' : '';				
			}
			else{
				$wow_css.=  (!empty($wow_options['header-horizontal-line-color'])) ? '@media only screen and (min-width: 1201px){ .header-wrapper{border-bottom:solid '.esc_attr($wow_line_thickness).'px '.esc_attr($wow_options['header-horizontal-line-color']['rgba']).'}}' : '';				
			}	
		}
	}

	$wow_css.= (!empty($wow_options['header-vertical-width'])) ? '@media only screen and (min-width: 1201px){.header-wrap-vertical .header-wrapper,.header-wrap-vertical header {width:'.esc_attr($wow_options['header-vertical-width']).'px}}' : '';	
	$wow_css.= (!empty($wow_options['header-vertical-width'])) ? '@media only screen and (min-width: 1201px){body.header-nine, body.header-ten {padding-right:'.esc_attr($wow_options['header-vertical-width']).'px; padding-left:0}}' : '';
	$wow_css.= (!empty($wow_options['header-vertical-width'])) ? '@media only screen and (min-width: 1201px){body.header-seven, body.header-eight {padding-left:'.esc_attr($wow_options['header-vertical-width']).'px; padding-right:0}}' : '';
	
	$wow_css.= !empty($wow_options['header-vertical-width']) && $wow_vertical_layout_left  ? '@media only screen and (min-width: 1201px){.header-seven .woocommerce_info_bar,.header-eight .woocommerce_info_bar{padding-left:'.esc_attr($wow_options['header-vertical-width']).'px;}}' : '';
	$wow_css.= !empty($wow_options['header-vertical-width']) && $wow_vertical_layout_right  ? '@media only screen and (min-width: 1201px){.header-nine .woocommerce_info_bar,.header-ten .woocommerce_info_bar{padding-right:'.esc_attr($wow_options['header-vertical-width']).'px;}}' : '';

	
	//header top bar underline
	if ( $wow_options['header-bar-underline'] == 1 ){
		$wow_bar_line_thickness = (!empty($wow_options['header-bar-info-border-width'])) ?  $wow_options['header-bar-info-border-width'] : '1';
		$wow_css.= (!empty($wow_options['header-bar-info-line-color']['rgba'])) ? '.header-top-bar-bg{border-bottom:solid '.esc_attr($wow_bar_line_thickness).'px '.esc_attr($wow_options['header-bar-info-line-color']['rgba']).'}' : '';
	}

	if ( $wow_options['header-bar-info-position'] == '0' ){
		$wow_css.= ( is_rtl() && !$wow_vertical_layout ) ? '.header-top-bar .social ul { float: left } .header-top-bar ul.info{ float:right }' : '';
		$wow_css.= (!empty($wow_options['header-bar-info-sep-color'])) ? '.header-top-bar ul.info li{border-right:solid 1px '.esc_attr($wow_options['header-bar-info-sep-color']).'}' : '';
	}
	elseif ( $wow_options['header-bar-info-position'] == '1' ){
		
		$wow_css.= ( is_rtl() && !$wow_vertical_layout ) ? '.header-top-bar.bar_right .social ul{ float: right } .header-top-bar ul.info{ float:left }' : '';
		$wow_css.= (!empty($wow_options['header-bar-info-sep-color'])) ? '.header-top-bar ul.info li{border-left:solid 1px '.esc_attr($wow_options['header-bar-info-sep-color']).'}' : '';
	}

	$wow_css.= (!empty($wow_options['header-bar-bg']['rgba'])) ? '.header-top-bar-bg,.header-wrap-vertical .header-top-bar-bg {background-color: '.esc_attr($wow_options['header-bar-bg']['rgba']).'}' : '';

	//header background
		if( !empty($wow_options['header-bg']["background-image"] ) ){
			
			$bg_properties = '';
			
			$wow_css_array = $wow_options['header-bg'];
			unset($wow_css_array["media"]);
			unset($wow_css_array["background-color"]);
			
			foreach( $wow_css_array as $wow_css_property => $val ){
				if( $wow_css_property == 'background-image' ){
					$bg_properties .= esc_attr( $wow_css_property ) . ':url("' . esc_attr( $val ) . '");';
				}
				else{
					$bg_properties .= esc_attr( $wow_css_property ) . ':' . $val . ';';
				}
				
			}
			$wow_css .= '.header-main-wrapper, .header-wrapper{' . $bg_properties . '}';
		}
		if( !empty($wow_options['header-bg-color']["rgba"] ) ){
			$wow_css .= '.header-main-wrapper, .header-wrapper{background-color:' . esc_attr( $wow_options['header-bg-color']["rgba"] ) . '}';
		}
	
	//header background fix 
	if( $wow_options['header-horizontal-width'] == "1" &&  $wow_options['header-bg-width'] == "0"){
		$wow_css.= '.header-main-wrapper .header-wrapper {background:none}';
	}

	/*
	=================================================================================================================
	MENU
	=================================================================================================================
	*/
	if ($wow_horizontal_layout){
		
		//layout boxed or full width
		if( $wow_options['header-horizontal-width'] != 1 ){
			$wow_css.= '.header-wrapper.container{width: calc(100% - 30px);}';
		}
		
		//separators for header two and two-a
		if( $wow_options['header-layout'] == 'header-two' || $wow_options['header-layout'] == 'header-two-a'){
				$border_color_menu_two = $wow_options['colors-menu-link-separator']['rgba'] ? $wow_options['colors-menu-link-separator']['rgba'] : 'rgba(255,255,255,.4)';	
				if ( is_rtl() ){
					$wow_css.= '.menu-wrap .menu > ul > li{
						border-right:none !important;
						border-left: 1px solid '.esc_attr( $border_color_menu_two ) . ';
					}';									
					$wow_css.= '.header-two .menu>ul>li:first-child, .header-two-a .menu>ul>li:first-child{
						border-left: 1px solid '.esc_attr( $border_color_menu_two ) . ' !important;
					}';
				}
				else{
					$wow_css.= '.menu-wrap .menu > ul > li{
						border-left:none !important;
						border-right: 1px solid '.esc_attr( $border_color_menu_two ) . ';
					}';					
				}
		}
		
		//links margin
		if( !empty($wow_options['menu-links-margin']['margin-left']) ){
			$links_margin_no = absint($wow_options['menu-links-margin']['margin-left']);
			$links_margin = $links_margin_no / 2;
			if( $wow_options['header-layout'] == 'header-two' || $wow_options['header-layout'] == 'header-two-a'){
				if ( is_rtl() ){
					$wow_css.= 'body.header-two .menu-wrap > .menu > ul > li, body.header-two-a .menu-wrap > .menu > ul > li{margin-right:'.esc_attr( $links_margin ).'px; padding-left:'.esc_attr( $links_margin ).'px;}'; //Margin/Distance between links
				}
				else{
					$wow_css.= '.header-two .menu-wrap > .menu > ul > li,.header-two-a .menu-wrap > .menu > ul > li{margin-left:'.esc_attr( $links_margin ).'px; padding-right:'.esc_attr( $links_margin ).'px;}'; //Margin/Distance between links
				}
			}
			else{
				$wow_css.= '.menu-wrap .menu > ul > li, .menu-wrap-left .menu > ul > li{margin-left:'.esc_attr( $links_margin ).'px; margin-right:'.esc_attr( $links_margin ).'px;}'; //Margin/Distance between links
			}
		}
		
		$wow_css.= (!empty($wow_options['colors-menu-link'])) ? '.header-wrap-horizontal .menu > ul > li:hover > a::after,.header-wrap-horizontal .menu > ul > li.current-menu-item > a::after{background:'.esc_attr($wow_options['colors-menu-link']).'}' : ''; 

		//menu and mega menu separators
		if( !empty($wow_options['colors-menu-submenu-border']['rgba']) ){
			
			$wow_css.= '.header-wrap-horizontal .menu ul ul li { border-bottom: 1px solid '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).'}';
			$wow_css.= 'body:not(.header-overlay) nav.menu > ul.main_menu > li > ul.wow-megamenu > li.menu-item-has-children > a.wow-menu-title:before{ background-color:'.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).'}';
			
			$wow_css.= '.menu ul ul.wow-megamenu.border-style li{border-bottom:1px solid '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).';border-right:1px solid '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).';}';
			$wow_css.= 'ul.wow-megamenu.border-style li.vc_col-sm-12:nth-child(-n+2), ul.wow-megamenu.border-style li.vc_col-sm-6:nth-child(-n+3),
								ul.wow-megamenu.border-style li.vc_col-sm-4:nth-child(-n+4), ul.wow-megamenu.border-style li.vc_col-sm-3:nth-child(-n+5),
								ul.wow-megamenu.border-style li.vc_col-sm-2:nth-child(-n+7){ border-top-color:'.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).'}';
			$wow_css.= 'ul.wow-megamenu.border-style li.vc_col-sm-12:nth-child(n+2), ul.wow-megamenu.border-style li.vc_col-sm-6:nth-child(2n+2),
								ul.wow-megamenu.border-style li.vc_col-sm-4:nth-child(3n+2), ul.wow-megamenu.border-style li.vc_col-sm-3:nth-child(4n+2),
								ul.wow-megamenu.border-style li.vc_col-sm-2:nth-child(6n+2){ border-left-color: '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).'}';
			
		}
		$wow_css.= (!empty($wow_options['colors-menu-effect']['rgba'])) ? '.header-wrap-horizontal .menu > ul > li:hover > a::after{background:'.esc_attr($wow_options['colors-menu-effect']['rgba']).'}' : '';
		$wow_css.= (!empty($wow_options['colors-menu-effect']['rgba'])) ? '.header-wrap-horizontal .menu > ul > li:hover > a::after,.header-wrap-horizontal .menu > ul > li.current-menu-item > a::after{ background: '.esc_attr($wow_options['colors-menu-effect']['rgba']).'}' : ''; 
		$wow_css.= (!empty($wow_options['colors-menu-effect']['rgba'])) ? '.header-wrap-horizontal .menu.menu-all-lines > ul > li:hover > a::after,.header-wrap-horizontal .menu.menu-all-lines > ul > li.current-menu-item > a::after{ border: solid 2px '.esc_attr($wow_options['colors-menu-effect']['rgba']).'}' : ''; 
		$wow_css.= (!empty($wow_options['colors-menu-effect']['rgba'])) ? '.header-wrap-horizontal .menu.menu-top-arrow > ul > li:hover > a::after,.header-wrap-horizontal .menu.menu-top-arrow > ul > li.current-menu-item > a::after{ border-color:'.esc_attr($wow_options['colors-menu-effect']['rgba']).' transparent transparent transparent}' : ''; 
		$wow_css.= (!empty($wow_options['colors-menu-effect']['rgba'])) ? '.header-wrap-horizontal .menu.menu-bottom-arrow > ul > li:hover > a::after,.header-wrap-horizontal .menu.menu-bottom-arrow > ul > li.current-menu-item > a::after{ border-color:transparent transparent '.esc_attr($wow_options['colors-menu-effect']['rgba']).' transparent}' : '';
		
		$wow_css.= (!empty($wow_options['colors-menu-hover-link-bg']['rgba'])) ? '.header-wrap-horizontal .menu-highlight > ul > li:hover > a,.header-wrap-horizontal .menu-highlight > ul > li.current-menu-item > a,.header-wrap-horizontal .menu.menu-zig-zag .main_menu > li:hover > a:before,.header-wrap-horizontal  .menu.menu-zig-zag .main_menu > li.current-menu-item > a:after{ background:'.esc_attr($wow_options['colors-menu-hover-link-bg']['rgba']).'  }' : '';		
		
		$wow_css.= (!empty($wow_options['colors-menu-bg']['rgba'])) ? '.header-wrap-horizontal .menu.menu-zig-zag .main_menu > li > a:after{ background:'.esc_attr($wow_options['colors-menu-bg']['rgba']).'  }' : '';
		
		//if top bar info separator
		if( !empty($wow_options['header-bar-info-sep-color']) ){
			$wow_css.= $wow_options['header-bar-info-position'] == "1" ? '.header-top-bar ul.info li{ padding-left:20px }' : '.header-top-bar ul.info li{ padding-right:20px }';
		}	
	}

	if($wow_vertical_layout){
		
		$wow_options['header-bar-info-position'] = "0";
		
		$wow_css.= (!empty($wow_options['colors-menu-submenu-border']['rgba'])) ? '.header-wrap-vertical .menu ul ul li { border-bottom: 1px solid '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).'}' : ''; 		

		if( !empty($wow_options['colors-menu-submenu-border']['rgba']) ){
			$wow_css.= '.header-wrap-vertical .menu ul ul li { border-bottom: 1px solid '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).'}';
			
			$wow_css.= '.menu ul ul.wow-megamenu.border-style li{border-bottom:1px solid '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).';border-right:1px solid '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).';}';
			$wow_css.= 'ul.wow-megamenu.border-style li.vc_col-sm-12:nth-child(-n+2), ul.wow-megamenu.border-style li.vc_col-sm-6:nth-child(-n+3),
								ul.wow-megamenu.border-style li.vc_col-sm-4:nth-child(-n+4), ul.wow-megamenu.border-style li.vc_col-sm-3:nth-child(-n+5),
								ul.wow-megamenu.border-style li.vc_col-sm-2:nth-child(-n+7){ border-top-color:'.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).'}';
			$wow_css.= 'ul.wow-megamenu.border-style li.vc_col-sm-12:nth-child(n+2), ul.wow-megamenu.border-style li.vc_col-sm-6:nth-child(2n+2),
								ul.wow-megamenu.border-style li.vc_col-sm-4:nth-child(3n+2), ul.wow-megamenu.border-style li.vc_col-sm-3:nth-child(4n+2),
								ul.wow-megamenu.border-style li.vc_col-sm-2:nth-child(6n+2){ border-left-color: '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).'}';
			
		}
		
		
		$wow_css.= (!empty($wow_options['colors-vertical-menu-border']['rgba'])) ? '.header-wrap-vertical.menu-line-separator .menu > ul > li{border-bottom: 1px solid '.esc_attr($wow_options['colors-vertical-menu-border']['rgba']).'}' : ''; 
		$wow_css.= (!empty($wow_options['colors-menu-effect']['rgba'])) ? '.header-wrap-vertical.menu-line-hover .menu > ul > li:hover > a::after, .header-wrap-vertical.menu-line-hover .menu > ul > li.current-menu-item > a::after,.header-wrap-vertical.menu-line-hover .menu > ul > li:hover > a::after{ background: '.esc_attr($wow_options['colors-menu-effect']['rgba']).'}' : ''; 
	
		$wow_css.= (!empty($wow_options['menu-typography']['text-align'])) ? '.header-wrap-vertical .header-top-bar ul.info, .header-wrap-vertical .header-top-bar .social ul{ text-align: '.esc_attr($wow_options['menu-typography']['text-align']).' !important }' : ''; 		
		$wow_css.= (!empty($wow_options['menu-typography']['text-align'] ) and $wow_options['menu-typography']['text-align'] == 'left') ? '.header-wrap-vertical .menu ul li.menu-item-cart > a.cart-contents span{ left:56px}' : '';
		$wow_css.= (!empty($wow_options['menu-typography']['text-align'] ) and $wow_options['menu-typography']['text-align'] == 'right') ? '.header-wrap-vertical .menu ul li.menu-item-cart > a.cart-contents span{    right: 50px;}' : '';		
		$wow_css.= (!empty($wow_options['menu-typography']['text-align'] ) and $wow_options['menu-typography']['text-align'] == 'center') ? '.header-wrap-vertical .menu ul li.menu-item-cart > a.cart-contents span{    right: calc(50% - 25px);}' : '';	
		
		$wow_css.= (!empty($wow_options['menu-typography']['text-align'] ) and $wow_options['menu-typography']['text-align'] == 'left') ? '.header-wrap-vertical .header-top-bar ul.info li { float:left; clear:both }' : '';
		$wow_css.= (!empty($wow_options['menu-typography']['text-align'] ) and $wow_options['menu-typography']['text-align'] == 'right') ? '.header-wrap-vertical .header-top-bar ul.info li { float:right; clear:both }' : '';		
		$wow_css.= (!empty($wow_options['menu-typography']['text-align'] ) and $wow_options['menu-typography']['text-align'] == 'left') ? '.header-wrap-vertical .logo img{ float:left; margin-left:40px }' : '';
		$wow_css.= (!empty($wow_options['menu-typography']['text-align'] ) and $wow_options['menu-typography']['text-align'] == 'right') ? '.header-wrap-vertical .logo img { float:right; margin-right:40px }' : '';
		$wow_css.= ( empty( $wow_options['menu-typography']['text-align'] ) ) ? '@media only screen and (min-width: 1201px) { .header-wrap-vertical .logo { width: auto; padding-left:40px } }' : '';
	}
	
	
	
	//rtl tweaks for vertical layouts
	if ( is_rtl() ){
	
		$wow_css.= is_rtl() ? '@media (min-width: 1201px) {' : '';	
	
		$wow_css.= ( !empty($wow_options['menu-typography']['text-align'] ) ) ? '.menu > ul > li > a, .header-wrap-vertical .menu  > ul > li > a { text-align:'.esc_attr( $wow_options['menu-typography']['text-align'] ).' !important }' : '';

		if ( empty( $wow_options['menu-typography']['text-align'] ) ){
			$wow_css.=' .header-seven .logo, .header-eight .logo, .header-nine .logo, .header-ten .logo{ float:right; padding-right:40px } ';
		}

		$wow_css.= is_rtl() ? '}' : '';

	}
	
	

	
	
	
	//overlay layout
	if( $wow_options['header-layout'] == 'header-eleven' ){
	
		$wow_css.= !empty( $wow_options['overlay-trigger']["margin-top"] ) ? '#trigger-overlay-menu{top:'. esc_attr( $wow_options['overlay-trigger']["margin-top"] ) .'}' : '';

		if( !empty( $wow_options['overlay-trigger']["margin-right"] ) ){
			if( is_rtl() ){
				$wow_css.= '#trigger-overlay-menu{left:'. esc_attr( $wow_options['overlay-trigger']["margin-right"] ) .'}';
			}
			else{
				$wow_css.= '#trigger-overlay-menu{right:'. esc_attr( $wow_options['overlay-trigger']["margin-right"] ) .'}';
			}
		}
	
		if( !empty($wow_options['overlay-bg']["background-image"] ) ){
			
			$bg_properties = '';
			
			$wow_css_array = $wow_options['overlay-bg'];
			unset($wow_css_array["media"]);
			unset($wow_css_array["background-color"]);
			
			foreach( $wow_css_array as $wow_css_property => $val ){
				if( $wow_css_property == 'background-image' ){
					$bg_properties .= esc_attr( $wow_css_property ) . ':url("' . esc_attr( $val ) . '");';
				}
				else{
					$bg_properties .= esc_attr( $wow_css_property ) . ':' . $val . ';';
				}
				
			}
			$wow_css .= '.overlay-menu.open{' . $bg_properties . '}';
		}
		
		if( !empty($wow_options['overlay-bg-color']["rgba"] ) ){
			
			if(  $wow_options['overlay-menu-style'] == 'genie' ){
				$wow_css .= '.overlay-genie .overlay-path,.overlay-menu{fill:'.esc_attr($wow_options['overlay-bg-color']["rgba"]).'}';
			}
			//elseif( $wow_options['overlay-menu-style'] == 'little-boxes' ){
				//$wow_css .= '.overlay-little-boxes svg path{fill:'.esc_attr($wow_options['overlay-bg-color']["rgba"]).'}';
			//}
			else{
				$wow_css .= 'header .overlay-menu{background-color:'.esc_attr($wow_options['overlay-bg-color']["rgba"]).'}';
			}						
		}	
	}

	//zig zag tweaks
	if( $wow_options['menu-style'] == 'menu-zig-zag' && $wow_horizontal_layout ){
		
		$wow_css.= (!empty($wow_options['colors-menu-submenu-bg']['rgba'])) ? '.menu-zig-zag .sub-menu li,.menu-zig-zag .sub-menu.wow-megamenu{background-color:'.esc_attr($wow_options['colors-menu-submenu-bg']['rgba']).'}' : '';
		$wow_css.= '.menu-zig-zag .sub-menu.woocommerce-mini-cart li{ background:none }';
		
		//calculate zig zag margin
		$font_size = ( !empty( $wow_options['menu-typography']['font-size'] ) ) ? intval( $wow_options['menu-typography']['font-size'] ) : '16';
		$p_top = ( !empty( $wow_options['menu-links-padding']['padding-top'] ) ) ?  intval( $wow_options['menu-links-padding']['padding-top'] ) : $font_size;
		$p_btm = ( !empty( $wow_options['menu-links-padding']['padding-bottom'] ) ) ?  intval( $wow_options['menu-links-padding']['padding-bottom'] ) : $font_size;
		$menu_height = $font_size + $p_top + $p_btm;
		$margin = 0.46631 * $menu_height/2 + 2;
		
		//add fixed height to first zig zag menu items
		$wow_css.= '@media (min-width: 1201px) { .menu-zig-zag .main_menu > li > a{ height:'.esc_attr( $menu_height ).'px } }';
		
		//layouts
		$right_sided =  in_array( $wow_options['header-layout'], array( 'header-one', 'header-two','header-five' ) );
		$left_sided =  in_array( $wow_options['header-layout'], array( 'header-one-a', 'header-two-a','header-three' ) );		
		
		$right_sided_rtl =  in_array( $wow_options['header-layout'], array( 'header-one', 'header-two','header-three' ) );
		$left_sided_rtl =  in_array( $wow_options['header-layout'], array( 'header-one-a', 'header-two-a','header-five' ) );
		
		if ( is_rtl() ){
			if ( $right_sided_rtl ){
				$wow_css.= '.menu-zig-zag{ margin-left:'.esc_attr( $margin ).'px }';
			}
			elseif ( $left_sided_rtl ){
				$wow_css.= '.menu-zig-zag{ margin-right:'.esc_attr( $margin ).'px }';
			}
			elseif ( $wow_options['header-layout'] == 'header-five-a' ){
				$wow_css.= '.menu-zig-zag ul#menu-left-menu{ margin-right:'.esc_attr( $margin ).'px }';
				$wow_css.= '.menu-zig-zag ul#menu-right-menu{ margin-left:'.esc_attr( $margin ).'px }';
			}
		}
		else{
			if ( $right_sided ){
				$wow_css.= '.menu-zig-zag{ margin-right:'.esc_attr( $margin ).'px }';
			}
			elseif ( $left_sided ){
				$wow_css.= '.menu-zig-zag{ margin-left:'.esc_attr( $margin ).'px }';
			}
			elseif ( $wow_options['header-layout'] == 'header-five-a' ){
				$wow_css.= '.menu-zig-zag ul#menu-left-menu{ margin-left:'.esc_attr( $margin ).'px }';
				$wow_css.= '.menu-zig-zag ul#menu-right-menu{ margin-right:'.esc_attr( $margin ).'px }';
			}
		}

	}
	
	//submenu background
	if ( $wow_options['header-layout'] != 'header-eleven' ){
		$wow_css.= (!empty($wow_options['colors-menu-submenu-bg']['rgba'])) ? '.menu ul li ul,.menu ul li ul.woocommerce-mini-cart,.menu-zig-zag .sub-menu.woocommerce-mini-cart {background-color:'.esc_attr($wow_options['colors-menu-submenu-bg']['rgba']).'}' : '';
	}	
	
	//submenu hover background
	if ( $wow_options['header-layout'] != 'header-eleven' ){
		$wow_css.= (!empty($wow_options['colors-menu-submenu-bg-hover']['rgba'])) ? '.menu ul ul li:not(.woocommerce-mini-cart-item) a:not(.disable_link):hover,.menu-zig-zag  ul ul li:not(.woocommerce-mini-cart-item):hover, header .menu-zig-zag  ul.main_menu > li.has_megamenu:hover > ul.wow-megamenu > li a:hover, header .menu-zig-zag  ul.main_menu > li.has_megamenu:hover > ul.wow-megamenu > li > ul  li a:hover {background-color:'.esc_attr($wow_options['colors-menu-submenu-bg-hover']['rgba']).'}' : '';
	}
	
	//submenu border radius
	$wow_css.= ( !empty( $wow_options['menu-radius'] ) ) ? '.menu > ul > li > ul, .menu > ul > li > .widget_shopping_cart_content > ul, .menu > ul > li .menu-show-search{ border-radius:'.esc_attr( $wow_options['menu-radius'] ).'px }' : '';	
	
	$wow_css.= ( !empty( $wow_options['menu-radius'] ) ) ? '.menu > ul >  li >  ul > li:first-child > a{ border-radius:'.esc_attr( $wow_options['menu-radius'] ).'px '.esc_attr( $wow_options['menu-radius'] ).'px 0 0 } .menu > ul >  li >  ul.wow-megamenu > li:first-child > a{ border-radius:0px }' : '';	
	
	$wow_css.= ( !empty( $wow_options['menu-radius'] ) ) ? '.menu > ul >  li >  ul > li:last-child > a{ border-radius:0 0 '.esc_attr( $wow_options['menu-radius'] ).'px '.esc_attr( $wow_options['menu-radius'] ).'px } .menu > ul >  li >  ul.wow-megamenu > li:last-child > a{ border-radius:0px }' : '';
	
	//cart subtotal top total border
	$wow_css.= (!empty($wow_options['colors-menu-submenu-border']['rgba'])) ? '.menu ul ul.woocommerce-mini-cart li p.woocommerce-mini-cart__total{ border-top: 1px solid '.esc_attr($wow_options['colors-menu-submenu-border']['rgba']).'}' : '';
	
	$wow_css.= (!empty($wow_options['overlay-icon-color'])) ? '#trigger-overlay-menu span{background: '.esc_attr($wow_options['overlay-icon-color']).'}' : '';
	
	//social top bar hover color
	$wow_css.= (!empty($wow_options['header-bar-social-color'])) ? '.header-top-bar .social ul li a i,.header-wrap-vertical .header-top-bar .social ul li a i{ border-color: '.esc_attr($wow_options['header-bar-social-color']).'}' : '';
	$wow_css.= (!empty($wow_options['header-bar-social-hover-color'])) ? '.header-top-bar .social ul li a:hover i,.header-wrap-vertical .header-top-bar .social ul li a:hover i{ border-color: '.esc_attr($wow_options['header-bar-social-hover-color']).'}' : '';
	$wow_css.= (!empty($wow_options['header-bar-social-color'])) ? '.header-top-bar .social li a{ color:'.esc_attr( $wow_options['header-bar-social-color'] ).' !important}' : '';
	$wow_css.= (!empty($wow_options['header-bar-social-hover-color'])) ? '.header-top-bar .social li a:hover{ color:'.esc_attr( $wow_options['header-bar-social-hover-color'] ).' !important}' : '';

	
	/* RESPONSIVE MENU */
	$wow_responsive_menu .= (!empty($wow_options['menu-resposive-text'])) ? 'nav.menu ul > li > a{color: '.esc_attr($wow_options['menu-resposive-text']).' !important }' : '';
	$wow_responsive_menu .= (!empty($wow_options['menu-resposive-text2'])) ? 'nav.menu > ul > li > ul > li a{color: '.esc_attr($wow_options['menu-resposive-text2']).' !important }' : '';
	$wow_responsive_menu .= (!empty($wow_options['menu-resposive-hover-text'])) ? 'nav.menu ul > li > a:hover, nav.menu ul ul.show_submenu li a:hover,nav.menu ul > li.current-menu-item,nav.menu ul > li:hover , nav.menu ul ul.show_submenu li:hover,nav.menu ul > li.current-menu-item{color: '.esc_attr($wow_options['menu-resposive-hover-text']).' !important}' : '';
	$wow_responsive_menu .= (!empty($wow_options['menu-resposive-hover-text2'])) ? 'nav.menu ul ul.show_submenu li a:hover{color: '.esc_attr($wow_options['menu-resposive-hover-text2']).' !important }' : '';
	$wow_responsive_menu .= (!empty($wow_options['menu-resposive-separator']['rgba'])) ? '.menu-wrap nav.menu > ul > li, .side_responsive_menu_wrap nav.menu > ul > li, .header-wrap-horizontal .menu ul > ul.wow-megamenu > li{border-color: '.esc_attr($wow_options['menu-resposive-separator']['rgba']).' !important}' : '.menu-wrap nav.menu > ul > li, .side_responsive_menu_wrap nav.menu > ul > li, .header-wrap-horizontal .menu ul > ul.wow-megamenu > li{border-color: transparent !important}';
	
	$wow_responsive_menu.= '.menu ul ul li { border-bottom:none !important }';
	$wow_responsive_menu.= 'body #wrap header .menu > ul > li:hover > a,header .wow-full-page .menu > ul > li:hover > a { color:#fff }';

	
	if( (!empty($wow_options['menu-resposive-arrow'])) ){
		$wow_responsive_menu .= '.hamburger-inner, .hamburger-inner::before, .hamburger-inner::after, .hamburger.is-active .hamburger-inner, .hamburger.is-active .hamburger-inner::before, .hamburger.is-active .hamburger-inner::after{background-color: '.esc_attr($wow_options['menu-resposive-arrow']).'}';
	}
	
	$wow_responsive_menu .= (!empty($wow_options['menu-resposive-arrow-bg']['rgba'])) ? '.hamburger-box{background:'.esc_attr($wow_options['menu-resposive-arrow-bg']['rgba']).'}' : '';
	
	//responsive overlay
	$wow_responsive_menu .= (!empty($wow_options['responsive-overlay']['rgba'])) ? '#body_overlay{background:'.esc_attr($wow_options['responsive-overlay']['rgba']).'}' : '';

	
	//logo responsive
	if ( $wow_options['responsive_logo_width_select'] == 'manual' ){
		$wow_responsive_menu.=  $wow_options['resposive-retina'] == '1' ? '.logo a .resposive_logo.retina{ width:'.esc_attr( intval( $wow_options['responsive_logo_width'] ) / 2 ).'px }' : '';
		$wow_responsive_menu.= ( !empty( $wow_options['responsive_logo_width'] ) && $wow_options['responsive_logo_width'] != '150' ) ? '.logo a img.resposive_logo{ width:' . esc_attr( $wow_options['responsive_logo_width'] ).'px }' : '.logo a img.resposive_logo{ width:150px }';
	}
	
	//sticky logo responsive
	if ( $wow_options['sticky_responsive_logo_width_select'] == 'manual' ){
		$wow_responsive_menu.=  $wow_options['resposive-sticky_retina'] == '1' ? '.logo a .resposive_sticky_logo.retina{ width:'.esc_attr( intval( $wow_options['sticky_responsive_logo_width'] ) / 2 ).'px }' : '';
		$wow_responsive_menu.= ( !empty( $wow_options['sticky_responsive_logo_width'] ) && $wow_options['sticky_responsive_logo_width'] != '150' ) ? '.logo a img.resposive_sticky_logo{ width:' . esc_attr( $wow_options['sticky_responsive_logo_width'] ).'px }' : '.logo a img.resposive_sticky_logo{ width:150px }';
	}
	
	$wow_css.=  $wow_responsive_menu ? '@media (max-width: 1200px) {' . $wow_responsive_menu . '}' : '';
	
	/*
	=================================================================================================================
	STICKY ANIMATIONS , DELAY , DURATIONS
	=================================================================================================================
	*/
	if($wow_options['header-is_sticky']){
		
		if ($wow_options['header-is_sticky_shadow'] != "0"){
			$wow_css .= '.sticky {-webkit-box-shadow: 0px 6px 33px -10px rgba(150,150,150,.5);-moz-box-shadow: 0px 6px 33px -10px rgba(150,150,150,.5);box-shadow: 0px 6px 33px -10px rgba(150,150,150,.5);}';
		}	
		if( !empty( $wow_options["header-is_sticky-out-animation"] ) && $wow_options["header-is_sticky-out-animation"] != "0"){
			$wow_css.= (!empty($wow_options['header-is_sticky-out-animation-duration'])) ? '.do-sticky{-webkit-animation-duration: '.esc_attr($wow_options['header-is_sticky-out-animation-duration']).'s; /* Chrome, Safari, Opera */ animation-duration: '.esc_attr($wow_options['header-is_sticky-out-animation-duration']).'s;}' : '';
			$wow_css.= (!empty($wow_options['header-is_sticky-out-animation-delay'])) ? '.do-sticky{-webkit-animation-delay: '.esc_attr($wow_options['header-is_sticky-out-animation-delay']).'s; /* Chrome, Safari, Opera */ animation-delay: '.esc_attr($wow_options['header-is_sticky-out-animation-delay']).'s;}' : '';
		}
		if($wow_options["header-is_sticky-in-animation"] != "0"){
			$wow_css.= (!empty($wow_options['header-is_sticky-in-animation-duration'])) ? '.sticky{-webkit-animation-duration: '.esc_attr($wow_options['header-is_sticky-in-animation-duration']).'s; /* Chrome, Safari, Opera */ animation-duration: '.esc_attr($wow_options['header-is_sticky-in-animation-duration']).'s;}' : '';
			$wow_css.= (!empty($wow_options['header-is_sticky-in-animation-delay'])) ? '.sticky{-webkit-animation-delay: '.esc_attr($wow_options['header-is_sticky-in-animation-delay']).'s; /* Chrome, Safari, Opera */ animation-delay: '.esc_attr($wow_options['header-is_sticky-in-animation-delay']).'s;}' : '';
		}	

		//sticky menu top line
		if (!empty($wow_options['colors-sticky-link']) && $wow_options['menu-style'] == 'menu-top-line'){
			$wow_css.= '.sticky .menu.menu-top-line > ul > li:hover > a::after, .sticky .menu.menu-top-line > ul > li.current-menu-item > a::after{background: '.esc_attr($wow_options['colors-sticky-link']).';}';
		}

		if (!empty($wow_options['colors-sticky-link-hover']) && $wow_options['menu-style'] == 'menu-top-line'){
			$wow_css.= '.sticky .menu.menu-top-line > ul > li:hover > a:hover::after, .sticky .menu.menu-top-line > ul > li.current-menu-item > a::after, .sticky .menu.menu-top-line > ul > li:hover > a::after{background: '.esc_attr($wow_options['colors-sticky-link-hover']).';}';	
		}

		//sticky menu bottom line
		if (!empty($wow_options['colors-sticky-link']) && $wow_options['menu-style'] == 'menu-bottom-line'){
			$wow_css.= '.sticky .menu.menu-bottom-line > ul > li:hover > a::after, .sticky .menu.menu-bottom-line > ul > li.current-menu-item > a::after{background: '.esc_attr($wow_options['colors-sticky-link']).';}';
		}

		if (!empty($wow_options['colors-sticky-link-hover']) && $wow_options['menu-style'] == 'menu-bottom-line'){
			$wow_css.= '.sticky .menu.menu-bottom-line > ul > li:hover > a:hover::after, .sticky .menu.menu-bottom-line > ul > li.current-menu-item > a::after, .sticky .menu.menu-bottom-line > ul > li:hover > a::after{background: '.esc_attr($wow_options['colors-sticky-link-hover']).';}';	
		}

		//sticky menu above link
		if (!empty($wow_options['colors-sticky-link']) && $wow_options['menu-style'] == 'menu-above-link'){
			$wow_css.= '.sticky .menu.menu-above-link > ul > li:hover > a::after, .sticky .menu.menu-above-link > ul > li.current-menu-item > a::after{background: '.esc_attr($wow_options['colors-sticky-link']).';}';
		}

		if (!empty($wow_options['colors-sticky-link-hover']) && $wow_options['menu-style'] == 'menu-above-link'){
			$wow_css.= '.sticky .menu.menu-above-link > ul > li:hover > a:hover::after, .sticky .menu.menu-above-link > ul > li.current-menu-item > a::after, .sticky .menu.menu-above-link > ul > li:hover > a::after{background: '.esc_attr($wow_options['colors-sticky-link-hover']).';}';	
		}

		//sticky menu bellow link
		if (!empty($wow_options['colors-sticky-link']) && $wow_options['menu-style'] == 'menu-bellow-link'){
			$wow_css.= '.sticky .menu.menu-bellow-link > ul > li:hover > a::after, .sticky .menu.menu-bellow-link > ul > li.current-menu-item > a::after{background: '.esc_attr($wow_options['colors-sticky-link']).';}';
		}

		if (!empty($wow_options['colors-sticky-link-hover']) && $wow_options['menu-style'] == 'menu-bellow-link'){
			$wow_css.= '.sticky .menu.menu-bellow-link > ul > li:hover > a:hover::after, .sticky .menu.menu-bellow-link > ul > li.current-menu-item > a::after, .sticky .menu.menu-bellow-link > ul > li:hover > a::after{background: '.esc_attr($wow_options['colors-sticky-link-hover']).';}';	
		}

		//sticky menu line through
		if (!empty($wow_options['colors-sticky-link']) && $wow_options['menu-style'] == 'menu-line-through'){
			$wow_css.= '.sticky .menu.menu-line-through > ul > li:hover > a::after, .sticky .menu.menu-line-through > ul > li.current-menu-item > a::after{background: '.esc_attr($wow_options['colors-sticky-link']).';}';
		}

		if (!empty($wow_options['colors-sticky-link-hover']) && $wow_options['menu-style'] == 'menu-line-through'){
			$wow_css.= '.sticky .menu.menu-line-through > ul > li:hover > a:hover::after, .sticky .menu.menu-line-through > ul > li.current-menu-item > a::after, .sticky .menu.menu-line-through > ul > li:hover > a::after{background: '.esc_attr($wow_options['colors-sticky-link-hover']).';}';	
		}

		//sticky menu all lines
		if (!empty($wow_options['colors-sticky-link']) && $wow_options['menu-style'] == 'menu-all-lines'){
			$wow_css.= '.sticky .menu.menu-all-lines > ul > li:hover > a::after, .sticky .menu-all-lines > ul > li.current-menu-item > a::after{border:solid 2px '.esc_attr($wow_options['colors-sticky-link']).'}';
		}

		if (!empty($wow_options['colors-sticky-link-hover']) && $wow_options['menu-style'] == 'menu-all-lines'){
			$wow_css.= '.sticky .menu.menu-all-lines > ul > li:hover > a:hover::after, .sticky .menu.menu-all-lines > ul > li.current-menu-item > a::after, .sticky .menu.menu-all-lines > ul > li:hover > a::after{border:solid 2px '.esc_attr($wow_options['colors-sticky-link-hover']).'}';	
		}

		//sticky menu top arrow
		if (!empty($wow_options['colors-sticky-link']) && $wow_options['menu-style'] == 'menu-top-arrow'){
			$wow_css.= '.sticky .menu.menu-top-arrow > ul > li:hover > a::after, .sticky .menu.menu-top-arrow > ul > li.current-menu-item > a::after{border-color: '.esc_attr($wow_options['colors-sticky-link']).' transparent transparent transparent;}';
		}

		if (!empty($wow_options['colors-sticky-link-hover']) && $wow_options['menu-style'] == 'menu-top-arrow'){
			$wow_css.= '.sticky .menu.menu-top-arrow > ul > li:hover > a:hover::after, .sticky .menu.menu-top-arrow > ul > li.current-menu-item > a::after, .sticky .menu.menu-top-arrow > ul > li:hover > a::after{border-color: '.esc_attr($wow_options['colors-sticky-link-hover']).' transparent transparent transparent;}';	
		}

		//sticky menu bottom arrow
		if (!empty($wow_options['colors-sticky-link']) && $wow_options['menu-style'] == 'menu-bottom-arrow'){
			$wow_css.= '.sticky .menu.menu-bottom-arrow > ul > li:hover > a::after, .sticky .menu.menu-bottom-arrow > ul > li.current-menu-item > a::after{border-color:transparent transparent '.esc_attr($wow_options['colors-sticky-link']).'transparent;}';
		}

		if (!empty($wow_options['colors-sticky-link-hover']) && $wow_options['menu-style'] == 'menu-bottom-arrow'){
			$wow_css.= '.sticky .menu.menu-bottom-arrow > ul > li:hover > a:hover::after, .sticky .menu.menu-bottom-arrow > ul > li.current-menu-item > a::after, .sticky .menu.menu-bottom-arrow > ul > li:hover > a::after{border-color: transparent transparent '.esc_attr($wow_options['colors-sticky-link-hover']).' transparent;}';	
		}
		
	}
	
	//sticky background
	$wow_css .= (!empty($wow_options['header-is_sticky-settings']['rgba'])) ? 'header .header-wrapper.sticky{ background-color:'.esc_attr($wow_options['header-is_sticky-settings']['rgba']).' }' : '';
	



	/*
	=================================================================================================================
	FOOTER - COLOR OPTIONS, WIDGETS & OTHER CSS
	=================================================================================================================
	*/
	
	//footer layout boxed or full width
	if( $wow_options['footer-width'] == "full-width" ){
		$wow_css.= 'footer > .container{width: calc(100% - 30px);}';
	}
	
	//background
	$wow_css.= ( !empty($wow_options['footer-bg']['rgba'] ) ) ? 'footer { background:'.esc_attr( $wow_options['footer-bg']['rgba'] ).'  }' : '';
	
	
	$wow_widgets_border_color = ( !empty($wow_options['footer-widgets-border-color']) ) ? $wow_options['footer-widgets-border-color'] : '#333';

	$wow_css.= ( !empty($wow_options['colors-footer-headings']) ) ? 'footer, footer .title, footer li, footer label, footer .widget_calendar th, footer .widget_calendar td, footer .widget_calendar caption, footer .widget h3, footer .latest_news_widget h3, footer .twitter-title h3,footer .info-content .address h2  { color:'.esc_attr($wow_options['colors-footer-headings']).' }' : '';

	$wow_css.= ( !empty($wow_options['footer-widgets-border']) ) ? '
	footer .vc_column_container[class*=vc_col-] { border-right:solid 1px '.esc_attr($wow_widgets_border_color).' } 
	footer .vc_column_container[class*=vc_col-]:last-child { border-right:none }
	footer .vc_column_container[class*=vc_col-]:not(.vc_col-lg-12) { padding-left:15px; padding-right:15px }
	footer .vc_column_container[class*=vc_col-]:not(.vc_col-lg-12):first-child { padding-right:15px; padding-left:0 }
	footer .vc_column_container[class*=vc_col-]:not(.vc_col-lg-12):last-child { padding-left:15px; padding-right:0 }
	footer .vc_row.vc_row-fluid.row-eq-height:first-child .vc_col-sm-12{ padding:0}
	' : '';

	$wow_css.= ($wow_options['copyright-border'] == '1' && !empty($wow_options['copyright'])) ? 'footer .copyright { border-top: solid 1px '.esc_attr($wow_widgets_border_color).' }' : '';
	
	$wow_css.= (!empty($wow_options['footer-widget-text']['font-size'])) ? 'footer .about-us-content ul.details li i { font-size:'.esc_attr($wow_options['footer-widget-text']['font-size']).' }' : '';
	
	//comments widget
	$wow_css.= (!empty($wow_options['footer-widget-links']['font-size'])) ? 'footer .widget_recent_comments li{ font-size:'.esc_attr($wow_options['footer-widget-links']['font-size']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-links']['font-weight'])) ? 'footer .widget_recent_comments li{ font-weight:'.esc_attr($wow_options['footer-widget-links']['font-weight']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-text']['color'])) ? 'footer .widget_recent_comments li{ color:'.esc_attr($wow_options['footer-widget-text']['color']).' }' : '';
	
	//categories widget
	$wow_css.= (!empty($wow_options['footer-widget-links']['font-size'])) ? 'footer .widget_categories li{ font-size:'.esc_attr($wow_options['footer-widget-links']['font-size']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-links']['font-weight'])) ? 'footer .widget_categories li{ font-weight:'.esc_attr($wow_options['footer-widget-links']['font-weight']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-text']['color'])) ? 'footer .widget_categories li{ color:'.esc_attr($wow_options['footer-widget-text']['color']).' }' : '';	
	
	//recent posts widget
	$wow_css.= (!empty($wow_options['footer-widget-links']['font-size'])) ? 'footer .widget_recent_entries li{ font-size:'.esc_attr($wow_options['footer-widget-links']['font-size']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-links']['font-weight'])) ? 'footer .widget_recent_entries li{ font-weight:'.esc_attr($wow_options['footer-widget-links']['font-weight']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-text']['color'])) ? 'footer .widget_recent_entries li{ color:'.esc_attr($wow_options['footer-widget-text']['color']).' }' : '';	
	
	//calendar widget
	$wow_css.= (!empty($wow_options['footer-widget-links']['color'])) ? 'footer .widget_calendar a{ color:'.esc_attr($wow_options['footer-widget-links']['color']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-text']['color'])) ? 'footer .widget_calendar td, footer .widget_calendar th,footer .widget_calendar caption{ color:'.esc_attr($wow_options['footer-widget-text']['color']).' }' : '';		
	
	//tag cloud widget
	$wow_css.= (!empty($wow_options['footer-widget-links']['color'])) ? 'footer .widget_tag_cloud a{ color:'.esc_attr($wow_options['footer-widget-links']['color']).' }' : '';	
	
	//custom news widget
	$wow_css.= (!empty($wow_options['footer-widget-links']['color'])) ? 'footer .sidebar-posts h2 a{ color:'.esc_attr($wow_options['footer-widget-links']['color']).' }' : '';
	
	//search widget
	$wow_css.= (!empty($wow_options['footer-widget-text']['color'])) ? 'footer .widget_search ::-webkit-input-placeholder{ color:'.esc_attr($wow_options['footer-widget-text']['color']).' }' : '';
	
	//link decoration for widgets
	$wow_css.= (!empty($wow_options['footer-widget-links-decoration-normal'])) ? 'footer .widget a{ text-decoration:'.esc_attr($wow_options['footer-widget-links-decoration-normal']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-links-decoration-hover'])) ? 'footer .widget a:hover{ text-decoration:'.esc_attr($wow_options['footer-widget-links-decoration-hover']).' }' : '';
	
	//border color for news widget, twitter, search and tags widget
	$wow_css.= (!empty($wow_options['footer-widgets-sep-border'])) ? 'footer .widget_tw ul.tweets li, footer .sidebar-posts-box, footer .widget_search input[type="text"],footer .widget_tag_cloud a,footer .widget_calendar tbody td, footer .widget.woocommerce .product_list_widget li,footer .widget.woocommerce.widget_product_search input[type="search"],footer .widget.woocommerce.widget_shopping_cart dl.variation, footer .widget.woocommerce.widget_shopping_cart .total,footer .widget_calendar th,footer .widget_calendar td{ border-color:'.esc_attr($wow_options['footer-widgets-sep-border']).' }' : '';	
	
	//icon for custom links created with text widget
	$wow_css.= ($wow_options['footer-widget-links-icon'] != 'none') ? 'footer .widget_text a:before { content:"'.esc_attr($wow_options['footer-widget-links-icon']).'"; font-family: "Pe-icon-7-stroke" }' : '';
	
	//info widget colors and borders
	$wow_css.= (!empty($wow_options['footer-widget-social-icon'])) ? 'footer .info-content ul.social li a i,footer .about-us-content ul.social li a i{ color:'.esc_attr($wow_options['footer-widget-social-icon']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-social-border'])) ? 'footer .info-content ul.social li a,footer .about-us-content ul.social li a{ border-color:'.esc_attr($wow_options['footer-widget-social-border']).' }' : '';	
	
	//social in footer copyright
	$wow_css.= (!empty($wow_options['copyright-social-color'])) ? 'footer .social ul li a i{ border-color: '.esc_attr($wow_options['copyright-social-color']).'}' : '';
	$wow_css.= (!empty($wow_options['copyright-social-hover-color'])) ? 'footer .social ul li a:hover i{ border-color: '.esc_attr($wow_options['copyright-social-hover-color']).'}' : '';
	$wow_css.= (!empty($wow_options['copyright-social-color'])) ? 'body footer #copyright .social li a{ color:'.esc_attr( $wow_options['copyright-social-color'] ).' !important}' : '';	
	$wow_css.= (!empty($wow_options['copyright-social-hover-color'])) ? 'body footer #copyright .social li a:hover{ color:'.esc_attr( $wow_options['copyright-social-hover-color'] ).' !important}' : '';
	
	//copyright tweaks
	if ( $wow_options['copyright-social'] == '1' ){
		if ( is_rtl() ){
			$wow_css.= 'footer #copyright .copyright { display:table; width:100%; box-sizing: border-box }';
			$wow_css.= 'footer #copyright .copyright p{ text-align:right !important; display:table-cell; vertical-align:middle }';
			$wow_css.= 'footer #copyright .copyright .social{ display:table-cell; vertical-align:middle; padding-right:50px }';
			$wow_css.= 'footer #copyright .copyright .social ul{ float:left }';
		}
		else{
			$wow_css.= 'footer #copyright .copyright { display:table; width:100%; box-sizing: border-box }';
			$wow_css.= 'footer #copyright .copyright p{ text-align:left !important; display:table-cell; vertical-align:middle }';
			$wow_css.= 'footer #copyright .copyright .social{ display:table-cell; vertical-align:middle; padding-left:50px }';			
		}
	}	
	
	//copyright background
	$wow_css.= ( !empty ( $wow_options['copyright-bg-color']['rgba'] ) ) ? '#copyright{ background-color:'.esc_attr( $wow_options['copyright-bg-color']['rgba'] ).' }' : '';
	
	
	/*
	=================================================================================================================
	BLOG COLORS & OPTIONS
	=================================================================================================================
	*/
	
	//global blog colors
	$wow_css .= (!empty($wow_options['theme-color1'])) ? '.posts-block.style4 .effect-lily p.second,.posts-block.style4 .effect-sadie p.second,.posts-block.style4 .effect-layla p.second,.posts-block.style4 .effect-romeo p.second,.posts-block.style4 .effect-dexter p.second,.posts-block.style4 .effect-chico p.second,.posts-block.style4 .effect-milo p.second,.posts-block.style4 .effect-julia p.second,.posts-block.style4 .effect-goliath p.second,.posts-block.style4 .effect-phoebe p.second,.posts-block.style4 .effect-apollo p.second,.posts-block.style4 .effect-kira p.second,.posts-block.style4 .effect-lexi p.second,.posts-block.style4 .effect-duke p.second,.posts-block.style4 .effect-oscar p.second,.posts-block.style4 .effect-marley p.second,.posts-block.style4 .effect-roxy p.second,.posts-block.style4 .effect-bubba p.second,.posts-block.style4 .effect-sarah p.second,.posts-block.style4 .effect-selena p.second,.posts-block.style4 .effect-steve p.second,.posts-block.style4 .effect-jazz p.second,.posts-block.style4 .effect-ming p.second,.blog-single.style1 .tags a:hover {background:'.esc_attr($wow_options['theme-color1']).'}' : '';

	
	$wow_css .= (!empty($wow_options['theme-color1'])) ? '.style1 .posts:hover .image_wrapper_hover,.style2 .posts:hover .image_wrapper_hover.standard{background:'.esc_attr(wow_hex2rgba($wow_options['theme-color1'],.8)).'}' : '';
	
	
	$wow_css .= (!empty($wow_options['blog_bg_posts_hover']['color'])) ? '.style1 .posts:hover .image_wrapper_hover,.style2 .posts:hover .image_wrapper_hover.standard, .posts-block .grid figure:hover{background:'.esc_attr($wow_options['blog_bg_posts_hover']['rgba']).'}' : '';

	$wow_css .= (!empty($wow_options['blog_bg_posts_hover']['color']) and $wow_options['style4_blog_hover'] == 'sadie') ? '.posts-block figure.effect-sadie figcaption::before{background: -webkit-linear-gradient(top, '.esc_attr(wow_hex2rgba($wow_options['blog_bg_posts_hover']['color'],0)).' 0%, '.esc_attr(wow_hex2rgba($wow_options['blog_bg_posts_hover']['color'],.8)).' 75%);
    background: linear-gradient(to bottom, '.esc_attr(wow_hex2rgba($wow_options['blog_bg_posts_hover']['color'],0)).' 0%, '.esc_attr(wow_hex2rgba($wow_options['blog_bg_posts_hover']['color'],.8)).' 75%);}' : '';
	
	$wow_css.= $wow_options['blog_bg_posts_regular'] ? '.posts-block .grid figure {background:'.esc_attr( $wow_options['blog_bg_posts_regular'] ).'}' : '';
	$wow_css.= $wow_options['img_op'] ? '.posts-block figure img {opacity:'.esc_attr( $wow_options['img_op'] ).'}' : '';
	$wow_css.= $wow_options['img_op_hover'] ? '.posts-block figure:hover img {opacity:'.esc_attr( $wow_options['img_op_hover'] ).'}' : '';


	//blog single styling
	$wow_css .= (!empty($wow_options['blog_single_other_text'])) ? '
	.comment-form input::-webkit-input-placeholder{color:'.esc_attr($wow_options['blog_single_other_text']).'}
	.comment-form input::-moz-placeholder{color:'.esc_attr($wow_options['blog_single_other_text']).'}
	.comment-form input:-ms-input-placeholder{color:'.esc_attr($wow_options['blog_single_other_text']).'}
	.comment-form input:-moz-placeholder{color:'.esc_attr($wow_options['blog_single_other_text']).'}
	.comment-form textarea::-webkit-input-placeholder{color:'.esc_attr($wow_options['blog_single_other_text']).'}
	.comment-form textarea::-moz-placeholder{color:'.esc_attr($wow_options['blog_single_other_text']).'}
	.comment-form textarea:-ms-input-placeholder{color:'.esc_attr($wow_options['blog_single_other_text']).'}
	.comment-form textarea:-moz-placeholder{color:'.esc_attr($wow_options['blog_single_other_text']).'}'
	: '';
	
	//border colors in blog single
	$wow_css .= (!empty($wow_options['blog_single_borders'])) ? '.comment-container, .blog-single .post-details .blog_related,.blog-single .post-details .tags a,.comment-form textarea, .comment-form input[type="text"], .blog-single.style1 input[type="password"]{border-color:'.esc_attr($wow_options['blog_single_borders']).'}' : '';
	
	//gradient background for style 3
	
	
	$wow_bg_s3 = !empty ($wow_options['blog_bg_posts_style3']['background-color']) ? $wow_options['blog_bg_posts_style3']['background-color'] : '';
	
	$wow_css .= (!empty($wow_bg_s3)) ? 
	'.style3 .posts:before{
	background: -moz-linear-gradient(top, '.esc_attr(wow_hex2rgba($wow_bg_s3,.1)).' 55%,'.esc_attr(wow_hex2rgba($wow_bg_s3,.8)).' 83%,'.esc_attr(wow_hex2rgba($wow_bg_s3,.91)).' 100%);
	background: -webkit-linear-gradient(top,  '.esc_attr(wow_hex2rgba($wow_bg_s3,.1)).' 55%,'.esc_attr(wow_hex2rgba($wow_bg_s3,.8)).' 83%, '.esc_attr(wow_hex2rgba($wow_bg_s3,.91)).' 100%);
	background: linear-gradient(to bottom,  '.esc_attr(wow_hex2rgba($wow_bg_s3,.1)).' 55%,'.esc_attr(wow_hex2rgba($wow_bg_s3,.8)).' 83%, '.esc_attr(wow_hex2rgba($wow_bg_s3,.91)).' 100%) }
	
	.style3 .posts.video:before, .style3 .posts.audio:before, .style3 .posts.quote:before,.style3 .posts.no-thumb:before{ background-color:'.esc_attr($wow_bg_s3).' }' 
	: '';

	//if full blog or single and no padding
	if ( !empty( $wow_options['blog_container'] ) && $wow_options['blog_container'] == 'full-width' && empty( $wow_options['blog_padding_horizontal']['padding-left'] ) && empty( $wow_options['blog_padding_horizontal']['padding-right'] ) ){
		$wow_css .= '.is-blog-page.without-container #page-body .posts-block{ padding-left:15px; padding-right:15px }';
	}	
	if ( !empty( $wow_options['blog_container_single'] ) && $wow_options['blog_container_single'] == 'full-width' && empty( $wow_options['blog_padding_single_horizontal']['padding-left'] ) && empty( $wow_options['blog_padding_single_horizontal']['padding-right'] ) ){
		$wow_css .= '.is-blog-page-single.without-container-single #page-body .blog-single{ padding-left:15px; padding-right:15px }';
	}
	
	//blog related border color
	$wow_css.= !empty($wow_options['blog-related-border']['rgba']) ? '.blog_related section{border-color:'.esc_attr( $wow_options['blog-related-border']['rgba'] ).'}' : '';
	
	/*
	=================================================================================================================
	BLOG WIDGETS
	=================================================================================================================
	*/
	
	$wow_css.= (!empty($wow_options['blog-widget-text']['font-size'])) ? '#page-body .about-us-content ul.details li i { font-size:'.esc_attr($wow_options['blog-widget-text']['font-size']).' }' : '';
	
	//comments widget
	$wow_css.= (!empty($wow_options['blog-widget-links']['font-size'])) ? '#page-body .widget_recent_comments li{ font-size:'.esc_attr($wow_options['blog-widget-links']['font-size']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-links']['font-weight'])) ? '#page-body .widget_recent_comments li{ font-weight:'.esc_attr($wow_options['blog-widget-links']['font-weight']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-text']['color'])) ? '#page-body .widget_recent_comments li{ color:'.esc_attr($wow_options['blog-widget-text']['color']).' }' : '';
	
	//categories widget
	$wow_css.= (!empty($wow_options['blog-widget-links']['font-size'])) ? '#page-body .widget_categories li{ font-size:'.esc_attr($wow_options['blog-widget-links']['font-size']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-links']['font-weight'])) ? '#page-body .widget_categories li{ font-weight:'.esc_attr($wow_options['blog-widget-links']['font-weight']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-text']['color'])) ? '#page-body .widget_categories li{ color:'.esc_attr($wow_options['blog-widget-text']['color']).' }' : '';	
	
	//recent posts widget
	$wow_css.= (!empty($wow_options['blog-widget-links']['font-size'])) ? '#page-body .widget_recent_entries li{ font-size:'.esc_attr($wow_options['blog-widget-links']['font-size']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-links']['font-weight'])) ? '#page-body .widget_recent_entries li{ font-weight:'.esc_attr($wow_options['blog-widget-links']['font-weight']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-text']['color'])) ? '#page-body .widget_recent_entries li{ color:'.esc_attr($wow_options['blog-widget-text']['color']).' }' : '';	
	
	//calendar widget
	$wow_css.= (!empty($wow_options['blog-widget-links']['color'])) ? '#page-body .widget_calendar a{ color:'.esc_attr($wow_options['blog-widget-links']['color']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-text']['color'])) ? '#page-body .widget_calendar td, #page-body .widget_calendar th,#page-body .widget_calendar caption{ color:'.esc_attr($wow_options['blog-widget-text']['color']).' }' : '';		
	
	//tag cloud widget
	$wow_css.= (!empty($wow_options['blog-widget-links']['color'])) ? '#page-body .widget_tag_cloud a{ color:'.esc_attr($wow_options['blog-widget-links']['color']).' }' : '';	
	
	//custom news widget
	$wow_css.= (!empty($wow_options['blog-widget-links']['color'])) ? '#page-body .sidebar-posts h2 a{ color:'.esc_attr($wow_options['blog-widget-links']['color']).' }' : '';
	
	//search widget
	$wow_css.= (!empty($wow_options['blog-widget-text']['color'])) ? '#page-body .widget_search ::-webkit-input-placeholder{ color:'.esc_attr($wow_options['blog-widget-text']['color']).' }' : '';
	
	//link decoration for widgets
	$wow_css.= (!empty($wow_options['blog-widget-links-decoration-normal'])) ? '#page-body .widget a{ text-decoration:'.esc_attr($wow_options['blog-widget-links-decoration-normal']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-links-decoration-hover'])) ? '#page-body .widget a:hover{ text-decoration:'.esc_attr($wow_options['blog-widget-links-decoration-hover']).' }' : '';
	
	//border color for news widget, twitter, search and tags widget
	$wow_css.= (!empty($wow_options['blog-widgets-sep-border'])) ? '#page-body .widget_tw ul.tweets li, #page-body .sidebar-posts-box, #page-body .widget_search input[type="text"],#page-body .widget_tag_cloud a,#page-body .widget_calendar tbody td, .woocommerce .product_list_widget li,.woo-sidebar .widget_product_search input[type="search"],.woo-sidebar  .woocommerce.widget_shopping_cart dl.variation, .woo-sidebar  .woocommerce.widget_shopping_cart .total,#post-body .widget_calendar th,#post-body .widget_calendar td { border-color:'.esc_attr($wow_options['blog-widgets-sep-border']).' }' : '';	
	
	//icon for custom links created with text widget
	$wow_css.= ($wow_options['blog-widget-links-icon'] != 'none') ? '#page-body .widget_text a:before { content:"'.esc_attr($wow_options['blog-widget-links-icon']).'"; font-family: "Pe-icon-7-stroke" }' : '';
	
	//info widget colors and borders
	$wow_css.= (!empty($wow_options['blog-widget-social-icon'])) ? '#page-body .info-content ul.social li a i, #page-body .about-us-content ul.social li a i{ color:'.esc_attr($wow_options['blog-widget-social-icon']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-social-border'])) ? '#page-body .info-content ul.social li a, #page-body .about-us-content ul.social li a{ border-color:'.esc_attr($wow_options['blog-widget-social-border']).' }' : '';
	
	/*
	=================================================================================================================
	BREADCRUMB OPTIONS
	=================================================================================================================
	*/
	$wow_css.= (!empty($wow_options['align_page_title_and_breadcrumb']) && $wow_options['align_page_title_and_breadcrumb'] != 'inline') ? '.header_breadcrumb{ text-align:'.esc_attr($wow_options['align_page_title_and_breadcrumb']).' }' : '';
	$wow_css.= (!empty($wow_options['breadcrumb_typography']['text-align'])) ? '.header_breadcrumb .breadcrumb_holder{ text-align:'.esc_attr($wow_options['breadcrumb_typography']['text-align']).' }' : '';
	$wow_css.= (!empty($wow_options['breadcrumb_link_color']['regular'])) ? '.header_breadcrumb ul.nav_crumb li a{ color:'.esc_attr($wow_options['breadcrumb_link_color']['regular']).' !important }' : '';
	$wow_css.= (!empty($wow_options['breadcrumb_link_color']['hover'])) ? '.header_breadcrumb ul.nav_crumb li a:hover{ color:'.esc_attr($wow_options['breadcrumb_link_color']['hover']).' !important }' : '';
	
	//inline breadcrumb
	if ( !empty($wow_options['align_page_title_and_breadcrumb']) && $wow_options['align_page_title_and_breadcrumb'] == 'inline' ){
		$wow_css.= '@media (min-width: 1201px) {
			.header_breadcrumb .breadcrumb_holder{ width:unset }
			.header_breadcrumb_inner{ display:table; width:100%; }
			.header_breadcrumb h1{ 	float:left;	max-width:350px; }
			.header_breadcrumb .breadcrumb_heading{ display:table-cell; vertical-align:middle; padding-top:0; padding-bottom:0; text-align:left }
			.header_breadcrumb .breadcrumb_holder{ display:table-cell; vertical-align:middle; text-align:right; }
		}';
		$wow_css.= is_rtl() ? '@media (min-width: 1201px) { .header_breadcrumb .breadcrumb_holder{ text-align:left } .header_breadcrumb h1{ text-align:right; float: right; } .header_breadcrumb ul.nav_crumb {  word-break: break-all; } }' : '';
		
	}	   
	
	//tweaks cl-effect-3
	if ( !empty($wow_options['align_page_title_and_breadcrumb']) && $wow_options['align_page_title_and_breadcrumb'] == 'left' ){
		$wow_css.= '.cl-effect-3 a { margin-left:0 }';	
	}	
	
	if ( !empty($wow_options['align_page_title_and_breadcrumb']) && $wow_options['align_page_title_and_breadcrumb'] == 'right' ){
		$wow_css.= '.cl-effect-3 a { margin-right:0 }';	
	}
	
	//breadcrumb link effect hover
	$wow_brd_lnk_effect = (!empty($wow_options['breadcrumb_link_effect_color']['rgba'])) ? $wow_options['breadcrumb_link_effect_color']['rgba'] : '#fff';
	
	$wow_css.= (!empty($wow_options['breadcrumb_link_effect_color']['rgba'])) ? '
	.cl-effect-1 a::after{ background:'.esc_attr($wow_brd_lnk_effect).' }
	.cl-effect-2 a::after{ background:'.esc_attr($wow_brd_lnk_effect).' }
	.cl-effect-3 a::after, .cl-effect-3 a::before{ background:'.esc_attr($wow_brd_lnk_effect).' }
	.cl-effect-4 a::after, .cl-effect-4 a::before{ background:'.esc_attr($wow_brd_lnk_effect).' }
	.cl-effect-5 a::after, .cl-effect-5 a::before{ border: 2px solid '.esc_attr($wow_brd_lnk_effect).' }
	.cl-effect-5 a::after{ border-width: 6px; }
	.cl-effect-6 a:hover::before, .cl-effect-6 a:focus::before{ color:'.esc_attr($wow_brd_lnk_effect).'; text-shadow: 10px 0 '.esc_attr($wow_brd_lnk_effect).', -10px 0 '.esc_attr($wow_brd_lnk_effect).'; }
	.cl-effect-7 a::after, .cl-effect-7 a::before{ background:'.esc_attr($wow_brd_lnk_effect).' }
	.cl-effect-8 a::after, .cl-effect-8 a::before{ background:'.esc_attr($wow_brd_lnk_effect).' }
	' : '';

	//3d effect
	$wow_page_title_3d_color =  (!empty($wow_options['page_title_typography']['color'])) ? $wow_options['page_title_typography']['color'] : '#ffffff';
	$wow_css.= (!empty($wow_options['page_title_3d'])) ? '.header_breadcrumb h1 '.esc_attr(wow_output_3d_style($wow_page_title_3d_color)).'' : '';
	
	$wow_css.= $wow_options['breadcrumb-width'] == '0' ? '.header_breadcrumb.container.breadcrumb { width:calc(100% - 30px) }' : '';
	
	
	
	/*
	=================================================================================================================
	PORTFOLIO COLORS & OPTIONS
	=================================================================================================================
	*/
	
	//global portfolio colors
	$wow_css .= (!empty($wow_options['theme-color1'])) ? '.portfolio.style1 .title-line,.portfolio.style2 .portfolio_container:hover .image_wrapper_hover,.portfolio.style2 .portfolio_container:hover .portfolio_right,.style3 .portfolio_container:hover .image_wrapper_hover,.style3 .portfolio_bottom .plus,ul.iso-filters li button.active, ul.iso-filters li button:hover,.portfolio.style4 .effect-lily p.second,.portfolio.style4 .effect-sadie p.second,.portfolio.style4 .effect-layla p.second,.portfolio.style4 .effect-romeo p.second,.portfolio.style4 .effect-dexter p.second,.portfolio.style4 .effect-chico p.second,.portfolio.style4 .effect-milo p.second,.portfolio.style4 .effect-julia p.second,.portfolio.style4 .effect-goliath p.second,.portfolio.style4 .effect-phoebe p.second,.portfolio.style4 .effect-apollo p.second,.portfolio.style4 .effect-kira p.second,.portfolio.style4 .effect-lexi p.second,.portfolio.style4 .effect-duke p.second,.portfolio.style4 .effect-oscar p.second,.portfolio.style4 .effect-marley p.second,.portfolio.style4 .effect-roxy p.second,.portfolio.style4 .effect-bubba p.second,.portfolio.style4 .effect-sarah p.second,.portfolio.style4 .effect-selena p.second,.portfolio.style4 .effect-steve p.second,.portfolio.style4 .effect-jazz p.second,.portfolio.style4 .effect-ming p.second,figure.effect-phoebe p a,figure.effect-goliath p {background:'.esc_attr($wow_options['theme-color1']).'}' : '';
	$wow_css .= (!empty($wow_options['theme-color1'])) ? '.portfolio.style3 .portfolio_bottom {border-color:'.esc_attr($wow_options['theme-color1']).'}' : '';
	$wow_css .= (!empty($wow_options['theme-color1'])) ? '.portfolio.style4 figure.effect-zoe i,.portfolio.style4 figcaption i{color:'.esc_attr($wow_options['theme-color1']).'}' : '';
		

	//portfolio style 3 title background color	
	$wow_css.= !empty( $wow_options['title_bg_color']['rgba'] ) ? '.portfolio.style3 .portfolio_top{background:'.esc_attr( $wow_options['title_bg_color']['rgba'] ).'}' : '';
	
	//portfolio style 3 category background color
	if( !empty( $wow_options['category_bg_color']['rgba'] ) ){		
			$wow_css.= '.portfolio.style3 .portfolio_bottom_holder small{background:'.esc_attr( $wow_options['category_bg_color']['rgba'] ).'}';	
	}
	
	//portfolio style 3 Plus sign color
	$wow_css.= !empty( $wow_options['plus_sign']['rgba'] )  ? '.portfolio.style3 .portfolio_bottom .plus{color:'.esc_attr( $wow_options['plus_sign']['rgba'] ).'}' : '';
	
	//portfolio style 3 Plus sign background color
	if( !empty( $wow_options['plus_sign_bg']['rgba'] ) ){
		$wow_css.=  '.portfolio.style3 .portfolio_bottom{background: transparent}';
		$wow_css.=  '.portfolio.style3 .plus{background:'.esc_attr( $wow_options['plus_sign_bg']['rgba'] ).'}';
		$wow_css.=  '.portfolio.style3 .portfolio_bottom{border-color:'.esc_attr( $wow_options['plus_sign_bg']['rgba'] ).'}';				
	}	
	
	////portfolio style 3 bottom line
	$wow_css.= $wow_options['portfolio_bottom_line'] == "1" ? '.portfolio.style3 .portfolio_bottom{border:none}' : '';
	
	//overlay and other colors
	if (!empty($wow_options['overlay_color_portfolio']['rgba']) ){
		$wow_css .= '.portfolio.style1 .portfolio_container:hover:before, .portfolio.style2 .portfolio_container:hover .portfolio_right,.portfolio.style2 .portfolio_container:hover .image_wrapper_hover,.portfolio.style3 .portfolio_container:hover .image_wrapper_hover,.portfolio.style3 .portfolio_bottom .plus,.portfolio.style4 figure:hover {background:'.esc_attr($wow_options['overlay_color_portfolio']['rgba']).'}';
		
		$wow_css .= (!empty($wow_options['overlay_color_portfolio']['color']) and $wow_options['style4_hover'] == 'sadie') ? '.portfolio.style4 figure.effect-sadie figcaption::before{background: -webkit-linear-gradient(top, '.esc_attr(wow_hex2rgba($wow_options['overlay_color_portfolio']['color'],0)).' 0%, '.esc_attr(wow_hex2rgba($wow_options['overlay_color_portfolio']['color'],.8)).' 75%);background: linear-gradient(to bottom, '.esc_attr(wow_hex2rgba($wow_options['overlay_color_portfolio']['color'],0)).' 0%, '.esc_attr(wow_hex2rgba($wow_options['overlay_color_portfolio']['color'],.8)).' 75%);}' : '';		
		
		$wow_css .= '.style1 .portfolio_container:hover .icon_holder i{color:'.esc_attr($wow_options['overlay_color_portfolio']['color']).'}';
		$wow_css .= '.portfolio.style3 .portfolio_bottom{border-color:'.esc_attr($wow_options['overlay_color_portfolio']['color']).'}';
	}
	
	
	$wow_css.= !empty( $wow_options['regular_bg_portfolio']['rgba'] ) ? '.portfolio.style1 .portfolio_container:before,.portfolio.style2 .portfolio_details,.portfolio.style3 .portfolio_top,.portfolio.style3 .portfolio_bottom {background:'.esc_attr( $wow_options['regular_bg_portfolio']['rgba'] ).'}' : '';
	$wow_css.= !empty( $wow_options['overlay_regular_color_portfolio']['rgba'] ) ? '.portfolio.style4 figure {background:'.esc_attr( $wow_options['overlay_regular_color_portfolio']['rgba'] ).'}' : '';
	$wow_css.= !empty( $wow_options['img_op_portfolio'] ) ? '.portfolio.style4 figure img {opacity:'.esc_attr( $wow_options['img_op_portfolio'] ).'}' : '';
	$wow_css.= !empty( $wow_options['img_op_hover_portfolio'] ) ? '.portfolio.style4 figure:hover img {opacity:'.esc_attr( $wow_options['img_op_hover_portfolio'] ).'}' : '';

	//category color for style 4
	$wow_css .= (!empty($wow_options['category_bg_color_portfolio'])) ? '.portfolio.style4 .grid figcaption p.second{background:'.esc_attr($wow_options['category_bg_color_portfolio']).'}' : '';


	
	//styles for button portfolio single template 1 and 4
	$wow_btn_hover = (!empty($wow_options['theme-color1'])) ? $wow_options['theme-color1'] : '#ffc600';
	$wow_css .= (!empty($wow_options['theme-color2'])) ? '.portfolio-single.style4 button.live_demo { background:'.esc_attr($wow_options['theme-color2']).' }' : '.portfolio-single.style4 button.live_demo { background:#ffc200 }';
	$wow_css .= '.portfolio-single.style1 .bottom button:hover, .portfolio-single.style4 button.live_demo:hover { background:'.esc_attr($wow_btn_hover).' }';
	
	//styles for button portfolio single template 2
	$wow_btn_after_bg = (!empty($wow_options['theme-color2'])) ? $wow_options['theme-color2'] : '#dd3333';
	$wow_css .= '.portfolio-single.style2 .bottom .wow_btn_container .hvr-sweep-to-left:hover,.portfolio-single.style2 .bottom .wow_btn_container .hvr-sweep-to-left:before { background:'.esc_attr($wow_btn_after_bg).' }';
	
	$wow_btn_sep = (!empty($wow_options['theme-color1'])) ? $wow_options['theme-color1'] : '#ffc600';
	$wow_css .= is_rtl() ? '.portfolio-single.style2 .bottom .wow_btn_container .button div.icon.fancy.left { border-left: solid 1px '.esc_attr(wow_adjust_brightness($wow_btn_sep, 50)).'; }' : '.portfolio-single.style2 .bottom .wow_btn_container .button div.icon.fancy.left { border-right: solid 1px '.esc_attr(wow_adjust_brightness($wow_btn_sep, 50)).'; }';	
	
	$wow_btn_hov_sep = (!empty($wow_options['theme-color1'])) ? $wow_options['theme-color2'] : '#dd3333';
	$wow_css .= is_rtl() ? '.portfolio-single.style2 .bottom .wow_btn_container .button:hover div.icon.fancy.left { border-left: solid 1px '.esc_attr(wow_adjust_brightness($wow_btn_hov_sep, 50)).'; }' : '.portfolio-single.style2 .bottom .wow_btn_container .button:hover div.icon.fancy.left { border-right: solid 1px '.esc_attr(wow_adjust_brightness($wow_btn_hov_sep, 50)).'; }';
	
	//style for details hover portfolio single template 3
	$wow_details_hover = (!empty($wow_options['theme-color2'])) ? $wow_options['theme-color2'] : '#dd3333';
	$wow_css .= '.portfolio-single.style3 .details div:hover span { background:'.esc_attr($wow_details_hover).' }';
	
	//portfolio single overlay background for template 1
	$wow_css .= (!empty($wow_options['portfolio_single_overlay_bg_l1']['color'])) ? 
	'.portfolio-single.style1 .image_wrapper.single::before {
		background: -moz-linear-gradient(top, '.esc_attr(wow_hex2rgba($wow_options['portfolio_single_overlay_bg_l1']['color'],0)).' 55%,'.esc_attr(wow_hex2rgba($wow_options['portfolio_single_overlay_bg_l1']['color'],.8)).' 83%,'.esc_attr(wow_hex2rgba($wow_options['portfolio_single_overlay_bg_l1']['color'],.91)).' 100%);
		background: -webkit-linear-gradient(top, '.esc_attr(wow_hex2rgba($wow_options['portfolio_single_overlay_bg_l1']['color'],0)).' 55%,'.esc_attr(wow_hex2rgba($wow_options['portfolio_single_overlay_bg_l1']['color'],.8)).' 83%,'.esc_attr(wow_hex2rgba($wow_options['portfolio_single_overlay_bg_l1']['color'],.91)).' 100%);
		background: linear-gradient(to bottom, '.esc_attr(wow_hex2rgba($wow_options['portfolio_single_overlay_bg_l1']['color'],0)).' 55%,'.esc_attr(wow_hex2rgba($wow_options['portfolio_single_overlay_bg_l1']['color'],.8)).' 83%,'.esc_attr(wow_hex2rgba($wow_options['portfolio_single_overlay_bg_l1']['color'],.91)).' 100%); 
	}' : '';
	
	//separators color for portfolio single template 1
	$wow_css .= (!empty($wow_options['portfolio_single_sep_color_l1']['color'])) ? '.portfolio-single.style1 hr{border-bottom: 1px solid '.esc_attr($wow_options['portfolio_single_sep_color_l1']['rgba']).' }' : '' ;
	if ( is_rtl() ){
		$wow_css .= (!empty($wow_options['portfolio_single_sep_color_l1']['color'])) ? '.portfolio-single.style1 .details-holder .vc_col-md-4 {border-left: 1px solid '.esc_attr($wow_options['portfolio_single_sep_color_l1']['rgba']).' }' : '' ;		
	}
	else{
		$wow_css .= (!empty($wow_options['portfolio_single_sep_color_l1']['color'])) ? '.portfolio-single.style1 .details-holder .vc_col-md-4 {border-right: 1px solid '.esc_attr($wow_options['portfolio_single_sep_color_l1']['rgba']).' }' : '' ;			
	}
	
	//button background of portfolio single template 1
	$wow_css .= (!empty($wow_options['portfolio_single_button_bg_color_l1'])) ? '.portfolio-single.style1 .bottom button {background: '.esc_attr($wow_options['portfolio_single_button_bg_color_l1']).'}' : '' ;	
	
	//button background of portfolio single template 1
	$wow_css .= (!empty($wow_options['portfolio_single_button_bg_hover_color_l1'])) ? '.portfolio-single.style1 .bottom button:hover {background: '.esc_attr($wow_options['portfolio_single_button_bg_hover_color_l1']).'}' : '' ;
	
	//button hover background of portfolio single template 1
	$wow_css .= (!empty($wow_options['portfolio_single_title_bg_color_l2']['rgba'])) ? '.portfolio-single.style2 .bottom h1{background: '.esc_attr($wow_options['portfolio_single_title_bg_color_l2']['rgba']).'}' : '' ;	
	
	//small category background above title of portfolio single template 2
	$wow_css .= (!empty($wow_options['portfolio_single_small_cat_above_title_bg_color_l2']['rgba'])) ? '.portfolio-single.style2 .category span {background: '.esc_attr($wow_options['portfolio_single_small_cat_above_title_bg_color_l2']['rgba']).'}' : '' ;	
	
	//button background of portfolio single template 2
	$wow_css .= (!empty($wow_options['portfolio_single_button_bg_color_l2'])) ? '.portfolio-single.style2 .bottom .wow_btn_container .button {background: '.esc_attr($wow_options['portfolio_single_button_bg_color_l2']).'}' : '' ;	
	if ( is_rtl() ){
		$wow_css .= (!empty($wow_options['portfolio_single_button_bg_color_l2'])) ? '.portfolio-single.style2 .bottom .wow_btn_container .button div.icon.fancy.left {border-left: solid 1px '.esc_attr(wow_adjust_brightness($wow_options['portfolio_single_button_bg_color_l2'], 50)).'}' : '' ;
	}
	else{
		$wow_css .= (!empty($wow_options['portfolio_single_button_bg_color_l2'])) ? '.portfolio-single.style2 .bottom .wow_btn_container .button div.icon.fancy.left {border-right: solid 1px '.esc_attr(wow_adjust_brightness($wow_options['portfolio_single_button_bg_color_l2'], 50)).'}' : '' ;		
	}
	
	//button hover background of portfolio single template 2
	$wow_css .= (!empty($wow_options['portfolio_single_button_bg_hover_color_l2'])) ? '.portfolio-single.style2 .bottom .wow_btn_container .hvr-sweep-to-left:hover, .portfolio-single.style2 .bottom .wow_btn_container .hvr-sweep-to-left:before{background: '.esc_attr($wow_options['portfolio_single_button_bg_hover_color_l2']).'}' : '' ;
	if ( is_rtl() ){
		$wow_css .= (!empty($wow_options['portfolio_single_button_bg_hover_color_l2'])) ? '.portfolio-single.style2 .bottom .wow_btn_container .button:hover div.icon.fancy.left {border-left: solid 1px '.esc_attr(wow_adjust_brightness($wow_options['portfolio_single_button_bg_hover_color_l2'], 50)).'}' : '' ;
	}
	else{
		$wow_css .= (!empty($wow_options['portfolio_single_button_bg_hover_color_l2'])) ? '.portfolio-single.style2 .bottom .wow_btn_container .button:hover div.icon.fancy.left {border-right: solid 1px '.esc_attr(wow_adjust_brightness($wow_options['portfolio_single_button_bg_hover_color_l2'], 50)).'}' : '' ;	
	}
	
	//big circles of portfolio single template 2
	$wow_css .= (!empty($wow_options['portfolio_single_rounded_bg_color_l2'])) ? '.portfolio-single.style2 .rounded-inner{background: '.esc_attr($wow_options['portfolio_single_rounded_bg_color_l2']).'}' : '' ;
	
	//portfolio single overlay background for template 3
	$wow_css .= (!empty($wow_options['portfolio_single_overlay_bg_l3']['color'])) ? 
	'.portfolio-single.style3 .image_wrapper.single::before { background: '.esc_attr($wow_options['portfolio_single_overlay_bg_l3']['rgba']).' }' : '';

	//category background above title of portfolio single template 3
	$wow_css .= (!empty($wow_options['portfolio_single_cat_above_title_bg_color_l3'])) ? '.portfolio-single.style3 .category span{ background: '.esc_attr($wow_options['portfolio_single_cat_above_title_bg_color_l3']).' }' : '';	
	
	//details background of portfolio single template 3
	$wow_css .= (!empty($wow_options['portfolio_single_details_big_title_bg_color_l3'])) ? '.portfolio-single.style3 .details span{ background: '.esc_attr($wow_options['portfolio_single_details_big_title_bg_color_l3']).' }' : '';	
	
	//details hover background of portfolio single template 3
	$wow_css .= (!empty($wow_options['portfolio_single_details_big_title_bg_hover_color_l3'])) ? '.portfolio-single.style3 .details div:hover span{ background: '.esc_attr($wow_options['portfolio_single_details_big_title_bg_hover_color_l3']).' }' : '';
	
	//separators color for portfolio single template 3
	$wow_css .= (!empty($wow_options['portfolio_single_sep_color_l3']['color'])) ? '.portfolio-single.style3 .line{background: '.esc_attr($wow_options['portfolio_single_sep_color_l3']['rgba']).' }' : '' ;
		
	//typography options for portfolio single template 3
	$wow_css .= (!empty($wow_options['portfolio_single_heading_typography']['font-family'])) ? '.portfolio-single.style3 .title-holder h1,.portfolio-single.style3 .title-holder h2{font-family: '.esc_attr($wow_options['portfolio_single_heading_typography']['font-family']).' }' : '' ;
	$wow_css .= (!empty($wow_options['portfolio_single_heading_typography']['font-weight'])) ? '.portfolio-single.style3 .title-holder h1,.portfolio-single.style3 .title-holder h2{font-weight: '.esc_attr($wow_options['portfolio_single_heading_typography']['font-weight']).' }' : '' ;
	$wow_css .= (!empty($wow_options['portfolio_single_heading_typography']['text-transform'])) ? '.portfolio-single.style3 .title-holder h1,.portfolio-single.style3 .title-holder h2{text-transform: '.esc_attr($wow_options['portfolio_single_heading_typography']['text-transform']).' }' : '' ;
	$wow_css .= (!empty($wow_options['portfolio_single_heading_typography']['letter-spacing'])) ? '.portfolio-single.style3 .title-holder h1,.portfolio-single.style3 .title-holder h2{letter-spacing: '.esc_attr($wow_options['portfolio_single_heading_typography']['letter-spacing']).' }' : '' ;
	
	//separators color for portfolio single template 4
	$wow_css .= (!empty($wow_options['portfolio_single_sep_color_l4']['color'])) ? '.portfolio-single.style4 .details::after{background: '.esc_attr($wow_options['portfolio_single_sep_color_l4']['rgba']).' } .portfolio-single.style4 .details{ border-color:'.esc_attr($wow_options['portfolio_single_sep_color_l4']['rgba']).' }' : '' ;
	
	//button background of portfolio single template 4
	$wow_css .= (!empty($wow_options['portfolio_single_button_bg_color_l4'])) ? '.portfolio-single.style4 button.live_demo {background: '.esc_attr($wow_options['portfolio_single_button_bg_color_l4']).'}' : '' ;		
	
	//button hover background of portfolio single template 4
	$wow_css .= (!empty($wow_options['portfolio_single_button_bg_hover_color_l4'])) ? '.portfolio-single.style4 button.live_demo:hover {background: '.esc_attr($wow_options['portfolio_single_button_bg_hover_color_l4']).'}' : '' ;
	

	/*
	=================================================================================================================
	PAGINATION OPTIONS
	=================================================================================================================
	*/
	$wow_css.= (!empty($wow_options['pagination_align'])) ? '.pagination{ text-align:'.esc_attr($wow_options['pagination_align']).' }' : '';
	$wow_css.= (!empty($wow_options['pagination_links_border_color'])) ? '.pagination ul li a{ border-color:'.esc_attr($wow_options['pagination_links_border_color']).' }' : '';
	$wow_css.= (!empty($wow_options['pagination_links_border_hover_color'])) ? '.pagination ul li a:hover{ border-color:'.esc_attr($wow_options['pagination_links_border_hover_color']).' }' : '';
	$wow_css.= (!empty($wow_options['pagination_border_radius'])) ? '.pagination ul li a{ border-radius:'.esc_attr($wow_options['pagination_border_radius']).' }' : '';
		
	/*
	=================================================================================================================
	MISC
	=================================================================================================================
	*/	
	//some tags that are no paragraphs, yet still need to have p color
	$wow_css .= (!empty($wow_options['p-font']['color'])) ? '.portfolio_bottom small,.team.style2 .details_holder li.position,.team.style3 .title_holder li.position{ color:'.esc_attr($wow_options['p-font']['color']).'}' : '';
	
	//selection color and bg - when you select text across screen
	$wow_css.= ($wow_options['selection-bg']) ? '::-moz-selection { background:'.esc_attr($wow_options['selection-bg']).'} ::selection { background:'.esc_attr($wow_options['selection-bg']).'}' : '';
	$wow_css.= ($wow_options['selection-color']) ? '::-moz-selection { color:'.esc_attr($wow_options['selection-color']).'} ::selection { color:'.esc_attr($wow_options['selection-color']).'}' : '';
	
	
	/*
	=================================================================================================================
	WOCOMMERCE OPTIONS
	=================================================================================================================
	*/
	
	if ( class_exists('WooCommerce') ){
	
	//container size
	if (  !empty($wow_options['woo_container_size']) ){
			$wow_css.= wow_grid_calc( 'woo_container_size', '.woocommerce .woocommerce-start .container, .header-wrap-vertical.woocommerce .woocommerce-start .container', true );
	}			
	
	//if full layout and has no padding we set a minimum padding of 15px - left / right
	if ( !empty( $wow_options['woo_container'] ) && $wow_options['woo_container'] == 'full-width' && empty( $wow_options['woo_padding']['padding-left'] ) && empty( $wow_options['woo_padding']['padding-right'] ) ){
		$wow_css .= '.woocommerce-shop-main #page-body, .woocommerce-shop-account #page-body, .woocommerce-account #page-body, .woocommerce-checkout #page-body, .woocommerce-cart #page-body,.woocommerce-single-product #page-body .woocommerce-start .wrapper{ padding-left:15px; padding-right:15px }';
	}
	
	//top bar
	$wow_css .= (!empty($wow_options['woo-info-bar-bg']['rgba'])) ? '.woocommerce_info_bar{ background-color:'.esc_attr($wow_options['woo-info-bar-bg']['rgba']).'}' : '';

	
	//padding for single product page
	$wow_css .= (!empty($wow_options['woo_padding']['padding-left'])) ? ' .woocommerce-single-product .wrapper{ padding-left:'.esc_attr($wow_options['woo_padding']['padding-left']).'}' : '';
	$wow_css .= (!empty($wow_options['woo_padding']['padding-right'])) ? ' .woocommerce-single-product .wrapper{ padding-right:'.esc_attr($wow_options['woo_padding']['padding-right']).'}' : '';
	$wow_css .= (!empty($wow_options['woo_padding']['padding-top'])) ? ' .woocommerce-single-product .wrapper.top{ padding-top:'.esc_attr($wow_options['woo_padding']['padding-top']).'}' : '';
	$wow_css .= (!empty($wow_options['woo_padding']['padding-bottom'])) ? ' .woocommerce-single-product .wrapper.bottom{ padding-bottom:'.esc_attr($wow_options['woo_padding']['padding-bottom']).'}' : '';
	
	//color options
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.woocommerce ul.products li.product .price-holder a.rounded:hover i,.woocommerce.woocommerce-single-product .product .woocommerce-variation-price .price, .woocommerce-MyAccount-navigation li.is-active a, .woocommerce-MyAccount-navigation li a:hover{ color:'.esc_attr($wow_options['theme-color1']).' }' : '';
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.woocommerce ul.products li.product .price-holder a.rounded:hover,.woocommerce div.product .woocommerce-tabs ul.tabs li.active{ border-color:'.esc_attr($wow_options['theme-color1']).' }' : '';
	$wow_css.= (!empty($wow_options['theme-color2'])) ? '.woocommerce div.product div.images .flex-control-thumbs li img.flex-active,.woocommerce div.product div.images .flex-control-thumbs li img:hover{ border-color:'.esc_attr($wow_options['theme-color2']).' }' : '';
	//$wow_css.= (!empty($wow_options['theme-color2'])) ? '.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce.woocommerce-single-product .tags a{background-color:'.esc_attr($wow_options['theme-color2']).' }' : '';
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.woocommerce-tabs .skltbs-tab-item a:hover, .woocommerce-tabs .skltbs-tab-item.is-active a,.woocommerce-tabs .is-active > .skltbs-tab, .woocommerce-tabs .skltbs-tab:hover,.woocommerce.woocommerce-single-product .tags a:hover {background-color:'.esc_attr($wow_options['theme-color1']).' }' : '';
	
	//disabled buttons
	$wow_css.= (!empty($wow_options['theme-color1'])) ? 'woocommerce #respond input#submit.alt.disabled, .woocommerce #respond input#submit.alt.disabled:hover, .woocommerce #respond input#submit.alt:disabled, .woocommerce #respond input#submit.alt:disabled:hover, .woocommerce #respond input#submit.alt:disabled[disabled], .woocommerce #respond input#submit.alt:disabled[disabled]:hover, .woocommerce a.button.alt.disabled, .woocommerce a.button.alt.disabled:hover, .woocommerce a.button.alt:disabled, .woocommerce a.button.alt:disabled:hover, .woocommerce a.button.alt:disabled[disabled], .woocommerce a.button.alt:disabled[disabled]:hover, .woocommerce button.button.alt.disabled, .woocommerce button.button.alt.disabled:hover, .woocommerce button.button.alt:disabled, .woocommerce button.button.alt:disabled:hover, .woocommerce button.button.alt:disabled[disabled], .woocommerce button.button.alt:disabled[disabled]:hover, .woocommerce input.button.alt.disabled, .woocommerce input.button.alt.disabled:hover, .woocommerce input.button.alt:disabled, .woocommerce input.button.alt:disabled:hover, .woocommerce input.button.alt:disabled[disabled], .woocommerce input.button.alt:disabled[disabled]:hover { background  :'.esc_attr( wow_hex2rgba($wow_options['theme-color1'], 0.5)).'}' : '';
	
	//pagination options
	$wow_css.= (!empty($wow_options['theme-color1'])) ? 'woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current{ background-color: '.esc_attr($wow_options['theme-color1']).' }' : '';	
	$wow_css.= (!empty($wow_options['pagination_align'])) ? '.woocommerce nav.woocommerce-pagination{ text-align:'.esc_attr($wow_options['pagination_align']).' }' : '';
	$wow_css.= (!empty($wow_options['pagination_links_border_color'])) ? '.woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a{ border-color:'.esc_attr($wow_options['pagination_links_border_color']).' }' : '';
	$wow_css.= (!empty($wow_options['pagination_links_border_hover_color'])) ? '.woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current{ border-color:'.esc_attr($wow_options['pagination_links_border_hover_color']).' }' : '';
	$wow_css.= (!empty($wow_options['pagination_border_radius'])) ? '.woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a{ border-radius:'.esc_attr($wow_options['pagination_border_radius']).' }' : '';
	
	//regular widgets
	$wow_css.= (!empty($wow_options['blog-widget-links']['color'])) ? '.woo-sidebar .woocommerce.widget_product_categories ul li a{ color:'.esc_attr($wow_options['blog-widget-links']['color']).' }' : '';
	$wow_css.= (!empty($wow_options['blog-widget-text']['color'])) ? '.woo-sidebar .woocommerce.widget_product_search input[type="search"], .woo-sidebar .woocommerce.widget_product_categories .count, .woo-sidebar .woocommerce .product_list_widget span.reviewer, .woo-sidebar .woocommerce .product_list_widget .variation, .woo-sidebar .woocommerce .product_list_widget .quantity{ color:'.esc_attr($wow_options['blog-widget-text']['color']).' }' : '';	
	
	//footer widgets
	$wow_css.= (!empty($wow_options['footer-widget-links']['color'])) ? 'footer .woocommerce.widget_product_categories ul li a{ color:'.esc_attr($wow_options['footer-widget-links']['color']).' }' : '';
	$wow_css.= (!empty($wow_options['footer-widget-text']['color'])) ? 'footer .woocommerce.widget_product_search input[type="search"],footer .woocommerce.widget_product_categories .count, footer .woocommerce .product_list_widget span.reviewer, footer .woocommerce .product_list_widget .variation, footer .woocommerce .product_list_widget .quantity{ color:'.esc_attr($wow_options['footer-widget-text']['color']).' }' : '';
	
	//button options
	$wow_css.= (isset($wow_options['styling-woo-border-radius-buttons']) and $wow_options['styling-woo-border-radius-buttons'] != 0 ) ? '.woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce .quantity,.woocommerce ul.products li.product .price-holder a.rounded,.menu ul ul.woocommerce-mini-cart li p.woocommerce-mini-cart__buttons a.button{ border-radius:'.esc_attr($wow_options['styling-woo-border-radius-buttons']).'px }' : '.woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce .quantity,.woocommerce ul.products li.product .price-holder a.rounded{ border-radius:0px }';
	
	
	//product list options
	$wow_css.= (!empty($wow_options['styling-woo-prod-heading']['text-align'])) ? '.woocommerce ul.products li.product h2, .woocommerce ul.products .cat-holder, .woocommerce ul.products .price-new,.woocommerce ul.products li.product .price-holder  { text-align:'.esc_attr($wow_options['styling-woo-prod-heading']['text-align']).' }' : '';
	
	//product list options ( star rating )
	$wow_css.= (!empty($wow_options['styling-woo-prod-heading']['text-align']) and $wow_options['styling-woo-prod-heading']['text-align'] != 'center') ? '.woocommerce .products .star-rating{ float:'.esc_attr($wow_options['styling-woo-prod-heading']['text-align']).' }' : '';
	$wow_css.= (!empty($wow_options['styling-woo-prod-heading']['text-align']) and $wow_options['styling-woo-prod-heading']['text-align'] == 'center') ? '.woocommerce .products .star-rating{ margin:0 auto; margin-top:.5em; margin-bottom:.5em; float:none }' : '';
	
	//product list options ( sale tag - when product has bg ) and add to cart alignment
	$wow_css.= (!empty($wow_options['styling-woo-prod-heading']['text-align']) and $wow_options['styling-woo-prod-heading']['text-align'] == 'left') ? '.woocommerce ul.products .onsale-wrap{ text-align:left } ' : '';
	$wow_css.= (!empty($wow_options['styling-woo-prod-heading']['text-align']) and $wow_options['styling-woo-prod-heading']['text-align'] == 'right') ? '.woocommerce ul.products .onsale-wrap{ text-align:right }.woocommerce ul.products li.product .price-holder-wrap .price-holder{float:right} .woocommerce ul.products li.product .price-holder-wrap {display:table; width:100%}' : '';
	$wow_css.= (!empty($wow_options['styling-woo-prod-heading']['text-align']) and $wow_options['styling-woo-prod-heading']['text-align'] == 'center') ? '.woocommerce ul.products .onsale-wrap{ text-align:center} .woocommerce ul.products li.product .price-holder-wrap .price-holder{float:none} .woocommerce ul.products li.product .price-holder-wrap {display:table; margin:auto }' : '';
	
	
	
	//product list options ( sale tag - when product does not have bg )
	$wow_css.= (!empty($wow_options['styling-woo-prod-heading']['text-align']) and $wow_options['styling-woo-prod-heading']['text-align'] == 'left' and $wow_options['styling-woo-prod-display-style'] == 'no_bg' ) ? '.woocommerce ul.products span.onsale{ left:15px }' : '';
	$wow_css.= (!empty($wow_options['styling-woo-prod-heading']['text-align']) and $wow_options['styling-woo-prod-heading']['text-align'] == 'right' and $wow_options['styling-woo-prod-display-style'] == 'no_bg' ) ? '.woocommerce ul.products span.onsale{ right:20px }' : '';	
	
	//product list options ( sale tag  )
	$wow_css.= (!empty($wow_options['styling-woo-prod-sale']['font-size'])) ? '.woocommerce ul.products li.product .onsale{ top:-'.esc_attr(intval($wow_options['styling-woo-prod-sale']['font-size'])).'px }' : '';
	
	//product list options ( sale tag - when product does not have bg )
	$wow_css.= ( !empty($wow_options['styling-woo-prod-display-style']) and $wow_options['styling-woo-prod-display-style'] == 'no_bg' ) ? '.woocommerce ul.products li.no_bg{ margin-bottom:50px }' : '';
	
	//product list options ( border radius of product background )
	$wow_css.= (isset($wow_options['styling-woo-prod-bg-radius']) and $wow_options['styling-woo-prod-bg-radius'] != 0 ) ? '.woocommerce ul.products li .product-inner{ border-radius:'.esc_attr($wow_options['styling-woo-prod-bg-radius']).'px }' : '.woocommerce ul.products li .product-inner{ border-radius:0px }';
	
	//product list options ( typography price )
	$wow_css.= (!empty($wow_options['styling-woo-prod-price']['font-size'])) ? '.woocommerce ul.products li.product .price-new del span{ font-size:'.esc_attr(intval(round($wow_options['styling-woo-prod-price']['font-size']*0.65))).'px }' : '';	
	$wow_css.= (!empty($wow_options['styling-woo-prod-price']['color'])) ? '.woocommerce ul.products li.product .price-new{ color:'.esc_attr($wow_options['styling-woo-prod-price']['color']).'}' : '';
	
	//product list options ( link to product )
	$wow_css.= (!empty($wow_options['styling-woo-prod-link'])) ? '.woocommerce ul.products li.product .price-holder a.rounded{ border-color:'.esc_attr($wow_options['styling-woo-prod-link']).'}' : '';
	$wow_css.= (!empty($wow_options['styling-woo-prod-link-hover'])) ? '.woocommerce ul.products li.product .price-holder a.rounded:hover{ border-color:'.esc_attr($wow_options['styling-woo-prod-link-hover']).'}' : '';
	
	
	//mini cart
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item:hover img{ border-color:'.esc_attr(wow_hex2rgba($wow_options['theme-color1'], 0.4)).'}' : '';
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item a.remove{ color:'.esc_attr($wow_options['theme-color1']).'}' : '';
	$wow_css.= '.menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item a.remove:hover{ color:'.wow_hex2rgba(esc_attr($wow_options['theme-color1']),0.7).'}' ;
	$wow_css.= (!empty($wow_options['theme-color1'])) ? '.menu ul li.menu-item-cart > a.cart-contents span { background:'.esc_attr($wow_options['theme-color1']).'; color:#fff }' : '';
	$wow_css.= (!empty($wow_options['colors-menu-submenu'])) ? '.menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item .details-holder .quantity,.menu ul ul.woocommerce-mini-cart li dt,.menu ul ul.woocommerce-mini-cart li dd, .menu ul ul.woocommerce-mini-cart li dl { color:'.esc_attr(wow_hex2rgba($wow_options['colors-menu-submenu'], 0.7)).'}' : '';
	$wow_css.= (!empty($wow_options['colors-menu-submenu'])) ? '.menu ul ul.woocommerce-mini-cart li p.woocommerce-mini-cart__total,.menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item img,.menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item dl { border-color:'.esc_attr(wow_hex2rgba($wow_options['colors-menu-submenu'], 0.15)).'}' : '';
	$wow_css.= (!empty($wow_options['colors-menu-submenu'])) ? '.menu ul ul.woocommerce-mini-cart li p.woocommerce-mini-cart__total,.menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item a:hover { color:'.esc_attr($wow_options['colors-menu-submenu']).'}' : '';
	$wow_css.= '.menu-zig-zag .sub-menu.woocommerce-mini-cart > li:hover { background:none }';
	}

	/*
	=================================================================================================================
	BBPRESS OPTIONS
	=================================================================================================================
	*/
	
	if ( class_exists('bbpress') ){
		$wow_css.=  $wow_options['bbpress_container'] == 'container' ? '.not-edited-with-vc.bbpress #page-body{ padding:50px 0 }' : '';
	}
	
	/*
	=================================================================================================================
	RESPONSIVE OPTIONS
	=================================================================================================================
	*/
	$wow_resposive_css .= (!empty($wow_options['header-resposive-bg']['rgba'])) ? '.home header .header-main-wrapper,.home header  .header-wrapper,.home.header-wrap-vertical .header-wrapper, .home.header-overlay .header-wrapper{background: '.esc_attr($wow_options['header-resposive-bg']['rgba']).'}' : '';
	$wow_resposive_css .= (!empty($wow_options['resposive-sticky-bg']['rgba'])) ? '.home header .header-wrapper.resposive_sticky_active, .not-home header .header-wrapper.resposive_sticky_active{background: '.esc_attr($wow_options['resposive-sticky-bg']['rgba']).'}' : '';
	

	if( !empty($wow_options['menu-resposive-bg']["background-image"] ) ){
		
		$bg_properties = '';
		
		$wow_css_array = $wow_options['menu-resposive-bg'];
		unset($wow_css_array["media"]);
		unset($wow_css_array["background-color"]);
		
		foreach( $wow_css_array as $wow_css_property => $val ){
			if( $wow_css_property == 'background-image' ){
				$bg_properties .= esc_attr( $wow_css_property ) . ':url("' . esc_attr( $val ) . '");';
			}
			else{
				$bg_properties .= esc_attr( $wow_css_property ) . ':' . $val . ';';
			}
			
		}
		
		if( $wow_options['full-top-bg'] ){
			$wow_resposive_css .= '#side_responsive_menu, .short_responsive_menu .main_menu, .top_responsive_menu .menu-wrap, .overlay-menu .menu .main_menu{' . $bg_properties . ' !important}';
		}
		else{
			$wow_resposive_css .= '#side_responsive_menu, .short_responsive_menu .main_menu, .top_responsive_menu nav.menu, .overlay-menu .menu .main_menu{' . $bg_properties . ' !important}';
		}
	}	
	
	if( !empty($wow_options['menu-resposive-bg-color']["rgba"] ) ){
		if( $wow_options['full-top-bg'] ){
			$wow_resposive_css .= '#side_responsive_menu, .short_responsive_menu .main_menu, .top_responsive_menu .menu-wrap, .overlay-menu .menu .main_menu{background-color:' . esc_attr( $wow_options['menu-resposive-bg-color']["rgba"] ) . ' !important}';
		}		
		else{
			$wow_resposive_css .= '#side_responsive_menu, .short_responsive_menu .main_menu, .top_responsive_menu nav.menu, .overlay-menu .menu .main_menu{background-color:' . esc_attr( $wow_options['menu-resposive-bg-color']["rgba"] ) . ' !important}';
		}
	}
	else{
		if( $wow_options['full-top-bg'] ){
			$wow_resposive_css .= '.top_responsive_menu .menu-wrap{background-color:#121212}';
		}
		else{
			$wow_resposive_css .= '.top_responsive_menu nav.menu{background-color:#121212}';
		}		
	}

	
	if( !empty($wow_options['menu-resposive-bg2']["background-image"] ) ){
		
		$bg_properties = '';
		
		$wow_css_array = $wow_options['menu-resposive-bg2'];
		unset($wow_css_array["media"]);
		unset($wow_css_array["background-color"]);
		
		foreach( $wow_css_array as $wow_css_property => $val ){
			if( $wow_css_property == 'background-image' ){
				$bg_properties .= esc_attr( $wow_css_property ) . ':url("' . esc_url( $val ) . '");';
			}
			else{
				$bg_properties .= esc_attr( $wow_css_property ) . ':' . $val . ';';
			}
			
		}
		$wow_resposive_css .= '#side_responsive_menu .menu>ul>li>ul, .short_responsive_menu .menu>ul>li>ul, .top_responsive_menu .menu>ul>li>ul{' . $bg_properties . '}';
	}
	if( !empty($wow_options['menu-resposive-bg-color2']["rgba"] ) ){
		$wow_resposive_css .= '#side_responsive_menu .menu>ul>li>ul, .short_responsive_menu .menu>ul>li>ul, .top_responsive_menu .menu>ul>li>ul{background-color:' . esc_attr( $wow_options['menu-resposive-bg-color2']["rgba"] ) . '}';
	}

	//$wow_resposive_css .= $wow_vertical_layout && $wow_options['bg_page_title_and_breadcrumb']
	
	if( $wow_vertical_layout ){
		
		if( isset($wow_options['bg_page_title_and_breadcrumb']["background-color"]) && !empty( $wow_options['bg_page_title_and_breadcrumb']["background-color"] ) ){
			$wow_resposive_css .= '.header-wrap-vertical header{background-color:'.esc_attr($wow_options['bg_page_title_and_breadcrumb']["background-color"]).'}';
		}
		
		if( isset($wow_options['bg_page_title_and_breadcrumb']["background-image"]) && !empty( $wow_options['bg_page_title_and_breadcrumb']["background-image"] ) ){

			$bg_properties = '';
			
			$wow_css_array = $wow_options['bg_page_title_and_breadcrumb'];	
			
			unset($wow_css_array["media"]);
			unset($wow_css_array["background-color"]);
			
			foreach( $wow_css_array as $wow_css_property => $val ){
				if( $wow_css_property == 'background-image' ){
					$bg_properties .= esc_attr( $wow_css_property ) . ':url("' . esc_url( $val ) . '");';
				}
				else{
					$bg_properties .= esc_attr( $wow_css_property ) . ':' . $val . ';';
				}
				
			}	
			$wow_resposive_css .= '.header-wrap-vertical header{' . $bg_properties . '}';
		}
	}
	
	//if copyright has background and padding left/right - on responsive
	if ( !empty ( $wow_options['copyright-bg-color']['rgba'] ) &&  ( !empty ( $wow_options['copyright-padding']['padding-left'] ) or !empty ( $wow_options['copyright-padding']['padding-right'] ) ) ){
		$wow_resposive_css.= 'body footer #copyright .container .copyright { padding-left:15px; padding-right:15px }';
	}
}
	
	$wow_css .= $wow_resposive_css ? '@media (max-width: 1200px) {' . $wow_resposive_css . '}' : '';
}