<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
wow_head_title() - SEO Title
=================================================================================================================
*/
function wow_head_title($title){
	global $post;
		if (is_object($post)){
			$wow_post_id = $post->ID; 
			$wow_post_meta = get_post_meta($wow_post_id);
			if(!empty($wow_post_meta['wow-seo-title'][0])){
				$title = esc_html( $wow_post_meta['wow-seo-title'][0] );
			}
			return esc_html( $title );
		}
	}
add_filter( 'pre_get_document_title', 'wow_head_title' );


/*
=================================================================================================================
wow_seo_desc_kw() - SEO Description and Keywords
=================================================================================================================
*/
function wow_seo_desc_kw(){
		global $post;
		if (is_object($post)){
			$wow_post_id = $post->ID; 
			$wow_post_meta = get_post_meta($wow_post_id);
			if( !empty( $wow_post_meta['wow-seo-desc'][0]) || !empty( $wow_post_meta['wow-seo-keywords'][0] ) ){
				// description
				if(!empty($wow_post_meta['wow-seo-desc'][0])){
					echo '<meta name="description" content="'. esc_attr( stripslashes( $wow_post_meta['wow-seo-desc'][0] ) ) .'" />'."\n";
				}
				
				// keywords
				if(!empty($wow_post_meta['wow-seo-keywords'][0])){
					echo '<meta name="keywords" content="'. esc_attr( stripslashes( $wow_post_meta['wow-seo-keywords'][0] ) ) .'" />'."\n";
				}
			}
		}
	}
add_action( 'wp_seo', 'wow_seo_desc_kw' );