<?php
/**
 * Loop for portfolio posts
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */									
global $wp_query,$wow_options;
$wow_term_ids=array();

//if the option is not checked in theme options, return
if( $wow_options['portfolio-show-related'] != "1"  ){
	return;
}

//get the term for related query
$wow_terms = get_the_terms(get_the_ID(),'portfolio_category');

//related text
$wow_related_text = (!empty($wow_options['portfolio-related-text'])) ? $wow_options['portfolio-related-text'] : 'Related portfolio';

//how many per page
if( !empty( $wow_options['per_page_portfolio_related'] ) ) {
	$wow_portfolio_per_page = intval( $wow_options['per_page_portfolio_related'] );
}
elseif( !empty( $wow_options['per_page_portfolio'] ) ){
	$wow_portfolio_per_page = intval( $wow_options['per_page_portfolio'] );
}
else{
	$wow_portfolio_per_page = 3;
}


//query args
$args = array('post_type' => array( 'portfolio' ),'category__in' =>$wow_term_ids, 'posts_per_page' => $wow_portfolio_per_page, 'post__not_in' => array( get_the_ID() ) , 'paged'=>$paged, 'orderby' => $wow_options['order_by_portfolio'], 'order' => $wow_options['order_portfolio']);

//for related only

if ($wow_terms){
				$tax_query['relation'] = 'OR';

				foreach($wow_terms as $wow_get_taxonomy){
				
					$tax_query[]= array(
						'taxonomy' => 'portfolio_category',
						'field'    => 'term_id',
						'terms'    => array( (int) $wow_get_taxonomy->term_id),
						'operator' => 'IN',
					);					
					
				}
				
				$args['tax_query'] = $tax_query;
}

$the_query = new WP_Query( $args );

	//counter for animations delay
	if ($wow_options['animate_portfolio'] == '1' and $wow_options['portfolio_animation'] != 'none'){
		$wow_counter = $wow_options['portfolio_animation_delay'];
	}
	
	if( $the_query->have_posts() ) { ?>
	<div class="portfolio related portfolio-big-holder clearfix <?php echo esc_attr($wow_options['portfolio-style']); ?>"> <!-- portfolio <?php echo esc_attr($wow_options['portfolio-style']);  ?>-->
		<?php if ( $wow_options['portfolio-related-width'] == 'container') : ?><div class="container"><?php endif; ?>
		<div class="container"><h1><?php echo esc_attr($wow_related_text); ?></h1></div>
		<div class="portfolio-related row-eq-height"><!-- portfolio-related -->							
	<?php		
      while( $the_query->have_posts() ) {
        $the_query->the_post();
		
		//get the template part depending on the style selected in theme options
		get_template_part('inc/templates/portfolio/portfolio','related-'.esc_attr( $wow_options['portfolio-style']) );
		
		if ($wow_options['animate_portfolio'] == '1' and $wow_options['portfolio_animation'] != 'none'){
			$wow_options['portfolio_animation_delay'] = esc_attr( $wow_counter ) + esc_attr( $wow_options['portfolio_animation_delay'] );
		}
		
      } //end while have_posts ?>
		
		</div><!-- /portfolio-related -->
		<?php if ( $wow_options['portfolio-related-width'] == 'container') : ?></div><?php endif; ?>
		</div><!--/ portfolio <?php echo esc_attr($wow_options['portfolio-style']);  ?>-->
		
	<?php
		wp_reset_query();
    } //end if have_posts	
?>