<?php
/**
 * Loop for portfolio posts
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */									
global $wp_query,$wow_options;

//get the term for related query
$wow_terms = get_the_terms(get_the_ID(),'portfolio_category');

if( is_array( $wow_terms ) ){
	foreach( $wow_terms as $wow_term ){
		$wow_term_name = $wow_term->slug;
	}
}
else{
	$wow_term_name = '';
}

//how many per page ( on portfolio list and on related )
$wow_portfolio_per_page = (is_singular('portfolio')) ? intval( $wow_options['per_page_portfolio_related'] ) : intval( $wow_options['per_page_portfolio'] );

if ( get_query_var( 'paged' ) ) { $paged = get_query_var( 'paged' ); }
elseif ( get_query_var( 'page' ) ) { $paged = get_query_var( 'page' ); }
else { $paged = 1; }

//query args
$args = array('post_type' => array( 'portfolio' ),'posts_per_page' => $wow_portfolio_per_page, 'paged'=>$paged, 'orderby' => $wow_options['order_by_portfolio'], 'order' => $wow_options['order_portfolio']);

//for related only
if (is_singular('portfolio')){
	$args['taxonomy'] = 'portfolio_category';
	$args['term'] = $wow_term_name;
}

query_posts( $args );
	
	//counter for animations delay
	if ($wow_options['animate_portfolio'] == '1' and $wow_options['portfolio_animation'] != 'none'){
		$wow_counter = $wow_options['portfolio_animation_delay'];
	}
	
	if( have_posts() ) {
      while( have_posts() ) {
        the_post();
		
		//get the template part depending on the style selected in theme options
		get_template_part('inc/templates/portfolio/portfolio',esc_attr( $wow_options['portfolio-style']) );
		
		if ($wow_options['animate_portfolio'] == '1' and $wow_options['portfolio_animation'] != 'none'){
			$wow_options['portfolio_animation_delay'] = esc_attr( $wow_counter ) + esc_attr( $wow_options['portfolio_animation_delay'] );
		}
		
      } //end while have_posts 
	  
    } //end if have_posts
	
	//else if there are no portfolio posts
	else {
		esc_html__('No portfolio posts found', 'infinito');
	}?>