<?php
/**
 * Portfolio Layout 2
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
global $wow_options; 

//gap class
$wow_gap_class = ( !empty($wow_options['gap_portfolio']) ) ? ' gap' : '';

//theme dot color
$wow_dot = (!empty($wow_options['dot_portfolio'])) ? '<span class="themecolor1">.</span>' : '';

//animations
if ($wow_options['animate_portfolio'] == '1' and $wow_options['portfolio_animation'] != 'none'){
	$wow_portfolio_anim = ' data-animate="'.esc_attr($wow_options['portfolio_animation']).'"';
	$wow_portfolio_anim_duration = ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration']).'"';
	$wow_portfolio_anim_delay = ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay']).'"';
}

else{
	$wow_portfolio_anim = '';
	$wow_portfolio_anim_duration = '';
	$wow_portfolio_anim_delay = '';	
}		
		
//html tags for isotope sorting
$wow_html_term = '';
$wow_term_list = wp_get_post_terms($post->ID, 'portfolio_category', array("fields" => "all"));
$wow_term_tag = array();
				
foreach ($wow_term_list as $wow_term){
	$wow_term_tag[] = 'filter-term-'.$wow_term->term_id;
}
				
$wow_html_term .= ' filter-element '.implode(' ',$wow_term_tag);

//get all the categories a portfolio is in
$wow_terms = array();
$wow_term_list = wp_get_post_terms($post->ID, 'portfolio_category', array("fields" => "all"));
foreach( $wow_term_list as $wow_term ){
	$wow_terms[]=$wow_term->name;
}
$wow_all_terms = ( empty ( $wow_terms ) ) ? esc_html__( 'Uncategorized', 'infinito' ) :  implode(' // ',$wow_terms);

//post url
$wow_post_link = get_post_permalink($post->ID);

//post thumbnail
$wow_post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$wow_post_thumbnail = $wow_post_thumbnail_arr[0];
			
//post thumbnail id
$wow_post_thumbnail_id = get_post_thumbnail_id( $post->ID );
			
//image alt title
$wow_img_alt_title = get_the_title($wow_post_thumbnail_id);

//specific image size for portfolio grid
if ($wow_options['per_row_portfolio_related'] == '12') { $wow_img_resized = aq_resize($wow_post_thumbnail, 1921, round(1921/1.7), true, true, true); }
if ($wow_options['per_row_portfolio_related'] == '20') { $wow_img_resized = aq_resize($wow_post_thumbnail, 968, round(968/1.7), true, true, true); }
if ($wow_options['per_row_portfolio_related'] ==  '6') { $wow_img_resized = aq_resize($wow_post_thumbnail,  968, round(968/1.7) , true, true, true); }
if ($wow_options['per_row_portfolio_related'] ==  '4') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.7) , true, true, true); }
if ($wow_options['per_row_portfolio_related'] ==  '3') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.7) , true, true, true); }
if ($wow_options['per_row_portfolio_related'] ==  '2') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.7) , true, true, true); }

//overlay icon
$wow_overlay_icon = (!empty($wow_options['portfolio_overlay_icon'])) ? $wow_options['portfolio_overlay_icon'] : 'pe-7f-rocket';

//enqueue pe-7f style.css in case the overlay icon it's the default one
if (empty($wow_options['portfolio_overlay_icon'])){
	wp_enqueue_style( 'pe-7f', WOW_URI.'/fonts/icons/pe-7f/style.css');
}

//if post has no thumbnail
if (!has_post_thumbnail()) { $wow_img_resized = WOW_LS_IMG; }
?>

<?php
/**
 * Output Portfolio Style 2
 *
 */
?>

<div class="vc_col-xs-12  vc_col-sm-6  vc_col-md-4 vc_col-lg-<?php echo esc_attr($wow_options['per_row_portfolio_related']); echo esc_attr($wow_gap_class); echo esc_attr($wow_html_term);?>"><!-- vc_col-sm- -->
	<div class="portfolio_container" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay; // all portfolio animations are escaped at the begining of this file ?>><!-- portfolio_container -->
		<a href="<?php echo esc_url($wow_post_link); ?>">
			<div class="image_wrapper"><!-- image_wrapper -->
				<img src="<?php echo esc_url($wow_img_resized); ?>" alt="<?php echo esc_attr($wow_img_alt_title); ?>">
				<div class="image_wrapper_hover"><!-- image_wrapper_hover -->
					<div class="icon_holder">
						<i class="<?php echo esc_attr($wow_overlay_icon); ?>"></i>
						<h2><?php echo the_title(); ?></h2>
					</div>
				</div><!--/ image_wrapper_hover -->
			</div><!--/ image_wrapper -->
			<div class="portfolio_details">
				<div class="portfolio_details_holder"><!-- portfolio_details_holder -->
					<div class="portfolio_left"><!-- portfolio_left -->
						<h3><?php echo the_title(); if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; }  ?></h3>
						<p><?php echo esc_html($wow_all_terms); ?></p>
					</div><!--/ portfolio_left -->
					<div class="portfolio_right"><!-- portfolio_right -->
						<p><?php echo esc_html(get_the_date('d')); ?></p>
						<small><?php echo esc_html(get_the_date('M')); ?></small>
					</div><!--/ portfolio_right -->
				</div><!--/ portfolio_details_holder -->
			</div><!--/ portfolio_details -->
		</a>
	</div><!--/ portfolio_container -->
</div><!--/ vc_col-sm- -->