<?php
/**
 * Portfolio Layout 4
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
 
global $wow_options; 

//gap class
$wow_gap_class = ( !empty($wow_options['gap_portfolio']) ) ? ' gap' : '';

//theme dot color
$wow_dot = (!empty($wow_options['dot_portfolio'])) ? '<span class="themecolor1">.</span>' : '';

//hover effect for style 4 portfolio
$wow_hover_effect = !empty( $wow_options['style4_hover'] ) ? $wow_options['style4_hover']  : 'lily';

//portfolio excerpt
$wow_portfolio_excerpt = 10;

//animations
if ($wow_options['animate_portfolio'] == '1' and $wow_options['portfolio_animation'] != 'none'){
	$wow_portfolio_anim = ' data-animate="'.esc_attr($wow_options['portfolio_animation']).'"';
	$wow_portfolio_anim_duration = ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration']).'"';
	$wow_portfolio_anim_delay = ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay']).'"';
}

else{
	$wow_portfolio_anim = '';
	$wow_portfolio_anim_duration = '';
	$wow_portfolio_anim_delay = '';	
}		
		
//html tags for isotope sorting
$wow_html_term = '';
$wow_term_list = wp_get_post_terms($post->ID, 'portfolio_category', array("fields" => "all"));
$wow_term_tag = array();
				
foreach ($wow_term_list as $wow_term){
	$wow_term_tag[] = 'filter-term-'.$wow_term->term_id;
}
				
$wow_html_term .= ' filter-element '.implode(' ',$wow_term_tag);

//get the terms
$wow_terms = get_the_terms(get_the_ID(),'portfolio_category');

if( is_array( $wow_terms ) ){
	foreach( $wow_terms as $wow_term ){
		$wow_term_name = $wow_term->name;
	}
}
else{
	$wow_term_name = '';
}

$wow_post_excerpt = (!empty($wow_options['portfolio_excerpt'])) ? esc_attr($wow_options['portfolio_excerpt']) : '15';

//post url
$wow_post_link = get_post_permalink($post->ID);

//post thumbnail
$wow_post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$wow_post_thumbnail = $wow_post_thumbnail_arr[0];
			
//post thumbnail id
$wow_post_thumbnail_id = get_post_thumbnail_id( $post->ID );
			
//image alt title
$wow_img_alt_title = get_the_title($wow_post_thumbnail_id);

//specific image size for portfolio grid
if ($wow_options['per_row_portfolio_related'] == '12') { $wow_img_resized = aq_resize($wow_post_thumbnail, 1921, 1921, true, true, true); }
if ($wow_options['per_row_portfolio_related'] == '20') { $wow_img_resized = aq_resize($wow_post_thumbnail, 968, 968, true, true, true); }
if ($wow_options['per_row_portfolio_related'] ==  '6') { $wow_img_resized = aq_resize($wow_post_thumbnail,  968, 968 , true, true, true); }
if ($wow_options['per_row_portfolio_related'] ==  '4') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, 768 , true, true, true); }
if ($wow_options['per_row_portfolio_related'] ==  '3') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, 768 , true, true, true); }
if ($wow_options['per_row_portfolio_related'] ==  '2') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, 768 , true, true, true); }


//let's fancy the title a bit
$wow_title_pieces = explode(" ", $post->post_title);

//first word of the title
$wow_first_word  =  esc_attr($wow_title_pieces[0]);

//next words of the title
$wow_last_words =   esc_attr(str_replace($wow_first_word,'',$post->post_title));

//post meta options
$wow_post_content = wp_trim_words( wow_excerpt_filter( get_the_content(), true ), $wow_portfolio_excerpt , '');	


//let's style the julia effect by adding a paragrph after each dot (.)
$wow_post_pieces = explode(".", wp_trim_words($wow_post_content, $wow_post_excerpt, ''));
$wow_p1 = (!empty($wow_post_pieces[0])) ? '<p>'.esc_attr($wow_post_pieces[0]).'</p>' : '';
$wow_p2 = (!empty($wow_post_pieces[1])) ? '<p>'.esc_attr($wow_post_pieces[1]).'</p>' : '';

$wow_most_common_html     =   array("lily","sadie","honey","layla","oscar","marley","ruby","roxy","bubba","romeo","dexter","sarah","chico","milo","goliath","selena","apollo","steve","moses","jazz","ming","lexi","duke");

$wow_less_common_html     =   array("zoe","hera","winston","terry","phoebe","kira");

//custom html tags for sadie effect
if ($wow_options['style4_hover'] == 'sadie' || $wow_options['style4_hover'] == 'goliath'){
	$wow_html_before_sadie = '<div class="abs">';
	$wow_html_after_sadie  = '</div>';
}
else{
	$wow_html_before_sadie = '';
	$wow_html_after_sadie  = '';	
}

//custom html tags for marley effect
if ($wow_options['style4_hover'] == 'marley'){
	$wow_html_before_marley = '<div class="abs">';
	$wow_html_after_marley  = '</div>';
}
else{
	$wow_html_before_marley = '';
	$wow_html_after_marley  = '';	
}

//custom html tags for romeo effect
if ($wow_options['style4_hover'] == 'romeo'){
	$wow_html_before_romeo_top = '<div class="abs-top">';
	$wow_html_after_romeo_top  = '</div>';	
	$wow_html_before_romeo_bottom = '<div class="abs-bottom">';
	$wow_html_after_romeo_bottom  = '</div>';
}
else{
	$wow_html_before_romeo_top = '';
	$wow_html_after_romeo_top  = '';	
	$wow_html_before_romeo_bottom = '';
	$wow_html_after_romeo_bottom  = '';	
}

//overlay icon
$wow_overlay_icon = (!empty($wow_options['portfolio_overlay_icon'])) ? $wow_options['portfolio_overlay_icon'] : 'pe-7f-rocket';

//output most common html for effects in array
if (in_array($wow_hover_effect,$wow_most_common_html )){
	$wow_content = '
		'.$wow_html_before_sadie.$wow_html_before_romeo_top.'
		<h2>'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.wp_kses( $wow_dot, array('span' => array( 'class' => array())) ).'</h2>
		'.$wow_html_after_romeo_top.$wow_html_before_marley.$wow_html_before_romeo_bottom.'<p>'.esc_attr(wp_trim_words($wow_post_content, $wow_post_excerpt, '')).'</p>
		'.$wow_html_after_romeo_bottom.$wow_html_after_sadie.'		
	';
}

//output less common html for effects in array
elseif (in_array($wow_hover_effect,$wow_less_common_html )){
	if ($wow_hover_effect == 'zoe'){
		$wow_content = '
			<h2>'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.wp_kses( $wow_dot, array('span' => array( 'class' => array())) ).'</h2>
			<p class="description">'.esc_attr(wp_trim_words($wow_post_content, $wow_portfolio_excerpt, '')).'</p>
		';
	}	
	elseif ($wow_hover_effect == 'hera' || $wow_hover_effect == 'winston' || $wow_hover_effect == 'phoebe' || $wow_hover_effect == 'kira' ){
		$wow_content = '
			<h2>'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.wp_kses( $wow_dot, array('span' => array( 'class' => array())) ).'</h2>
				<p>
					<i class="'.esc_attr($wow_overlay_icon).'"></i>
				</p>
		';
	}
	elseif ($wow_hover_effect == 'terry'){
		$wow_content = '
			<h2>'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.wp_kses( $wow_dot, array('span' => array( 'class' => array())) ).'</h2>
				<p>
					<i class="'.esc_attr($wow_overlay_icon).'"></i>
				</p>
		';
	}
}

//output html for different overlay effects
elseif ($wow_hover_effect == 'julia'){
	$wow_content = '
		<h2>'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.wp_kses( $wow_dot, array('span' => array( 'class' => array())) ).'</h2>
		'.$wow_p1.$wow_p2.'	
	';	
}

//add div only to certain styles
if ($wow_hover_effect == 'lily' || $wow_hover_effect == 'julia'){
	$wow_div_before = '<div>';   
	$wow_div_after  = '</div>';  
}
else{
	$wow_div_before = $wow_div_after = '';   
}

//second paragraph custom display for overlay styles
if ($wow_hover_effect == 'lily' || $wow_hover_effect == 'sadie' || $wow_hover_effect == 'layla' || $wow_hover_effect == 'romeo' || $wow_hover_effect == 'dexter' || $wow_hover_effect == 'chico' || $wow_hover_effect == 'milo' || $wow_hover_effect == 'julia' || $wow_hover_effect == 'goliath' ||  $wow_hover_effect == 'phoebe' ||  $wow_hover_effect == 'apollo' ||  $wow_hover_effect == 'kira' || $wow_hover_effect == 'lexi' || $wow_hover_effect == 'duke'){
	$wow_p_before = '<p class="second">'.esc_attr($wow_term_name).'</p>'; $wow_p_after = '';
}

elseif ($wow_hover_effect == 'oscar' || $wow_hover_effect == 'marley' || $wow_hover_effect == 'roxy' || $wow_hover_effect == 'bubba' || $wow_hover_effect == 'sarah' || $wow_hover_effect == 'selena' || $wow_hover_effect == 'steve' || $wow_hover_effect == 'jazz' || $wow_hover_effect == 'ming'){
	$wow_p_before = ''; $wow_p_after = '<p class="second">'.esc_attr($wow_term_name).'</p>'.$wow_html_after_marley.'';
}

else   { $wow_p_before = ''; $wow_p_after = ''; }

//if post has no thumbnail
if (!has_post_thumbnail()) { $wow_img_resized = WOW_SQ_IMG; }
?>

<?php
/**
 * Output Portfolio Style 4
 *
 */
?>

<div class="vc_col-xs-12 vc_col-sm-6 vc_col-md-4 vc_col-lg-<?php echo esc_attr($wow_options['per_row_portfolio_related']); echo esc_attr($wow_gap_class);  echo esc_attr($wow_html_term);?>"><!-- vc_col-sm- -->
	<div class="portfolio_container" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay; // all portfolio animations are escaped at the begining of this file ?>><!-- portfolio_container -->
		<a href="<?php echo esc_url($wow_post_link); ?>">
			<div class="grid"><!-- grid -->
			<figure class="effect-<?php echo esc_attr($wow_hover_effect); ?>"><!-- figure -->
				<img src="<?php echo esc_url($wow_img_resized); ?>" alt="<?php echo esc_attr($wow_img_alt_title); ?>">
					<figcaption><!-- figcaption -->	
						<?php echo wp_kses_post($wow_div_before); ?>
							<?php echo wp_kses_post($wow_p_before); ?>	
								<?php echo wp_kses_post($wow_content); ?>
							<?php echo wp_kses_post($wow_p_after); ?>	
						<?php echo wp_kses_post($wow_div_after); ?>
					</figcaption><!--/ figcaption -->			
			</figure><!--/ figure -->
			</div><!--/ grid -->
		</a>
	</div><!-- /portfolio_container -->
</div><!--/ vc_col-sm- -->