<?php
/**
 * Portfolio Single Layout 1
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
global $wow_options;

//theme dot color
$wow_dot = (!empty($wow_options['dot_portfolio'])) ? '<span class="themecolor1">.</span>' : '';

//animations we escape them here as there are a lot, and output them bellow
if ($wow_options['animate_portfolio_single'] == '1' and $wow_options['portfolio_animation_single'] != 'none'){
	$wow_portfolio_anim 			= ' data-animate="'.esc_attr($wow_options['portfolio_animation_single']).'"';
	
	$wow_portfolio_anim_duration 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']).'"';
	$wow_portfolio_anim_delay 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']).'"';
	
	$wow_portfolio_anim_duration2   = ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*1.3).'"';
	$wow_portfolio_anim_delay2 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*2).'"';	
	
	$wow_portfolio_anim_duration3 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*1.6).'"';
	$wow_portfolio_anim_delay3 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*3).'"';	
	
	$wow_portfolio_anim_duration4 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*1.9).'"';
	$wow_portfolio_anim_delay4 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*4).'"';	
	
	$wow_portfolio_anim_duration5 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*2.2).'"';
	$wow_portfolio_anim_delay5 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*5).'"';	
	
	$wow_portfolio_anim_duration6 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*2.5).'"';
	$wow_portfolio_anim_delay6 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*6).'"';	
	
	$wow_portfolio_anim_duration7 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*2.8).'"';
	$wow_portfolio_anim_delay7		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*7).'"';
}

else{
	$wow_portfolio_anim 			= '';
	$wow_portfolio_anim_duration 	= '';
	$wow_portfolio_anim_delay 		= '';
	$wow_portfolio_anim_duration2 	= '';
	$wow_portfolio_anim_delay2		= '';
	$wow_portfolio_anim_duration3 	= '';
	$wow_portfolio_anim_delay3 		= '';
	$wow_portfolio_anim_duration4 	= '';
	$wow_portfolio_anim_delay4 		= '';
	$wow_portfolio_anim_duration5 	= '';
	$wow_portfolio_anim_delay5 		= '';	
	$wow_portfolio_anim_duration6 	= '';
	$wow_portfolio_anim_delay6 		= '';	
	$wow_portfolio_anim_duration7 	= '';
	$wow_portfolio_anim_delay7 		= '';
}

//get all the categories a portfolio is in
$wow_terms = array();
$wow_term_list = wp_get_post_terms($post->ID, 'portfolio_category', array("fields" => "all"));
foreach( $wow_term_list as $wow_term ){
	$wow_terms[]=esc_attr( $wow_term->name );
}

//post thumbnail
if( has_post_thumbnail() ){
	$image_ID = get_post_thumbnail_id( $post->ID );
	$wow_post_thumbnail_arr = wp_get_attachment_image_src( $image_ID, 'single-post-thumbnail' );
	$wow_post_thumbnail     = $wow_post_thumbnail_arr[0];
	$wow_img_height 		= $wow_post_thumbnail_arr[2];
	$image_alt = get_the_title($image_ID);
	//image alt title
	$wow_img_alt_title = get_the_title($image_ID);
}		
else{
	$wow_post_thumbnail = WOW_LS_IMG;  
	$wow_img_alt_title = 'Image';
}

//post meta options
$wow_post_meta 			= get_post_meta(wow_get_the_post_id());
$wow_portfolio_editor 	= (!empty($wow_post_meta['wow-portfolio-editor'][0])) ? $wow_post_meta['wow-portfolio-editor'][0] : '';

$wow_details1 			= (!empty($wow_post_meta['wow-details1'][0])) ? $wow_post_meta['wow-details1'][0] : '';
$wow_details2   		= (!empty($wow_post_meta['wow-details2'][0])) ? $wow_post_meta['wow-details2'][0] : '';
$wow_details3     		= (!empty($wow_post_meta['wow-details3'][0])) ? $wow_post_meta['wow-details3'][0] : '';
$wow_details4    		= (!empty($wow_post_meta['wow-details4'][0])) ? $wow_post_meta['wow-details4'][0] : '';
$wow_details5     		= (!empty($wow_post_meta['wow-details5'][0])) ? $wow_post_meta['wow-details5'][0] : '';

$wow_details_val1 = $wow_options['portfolio_d1'] != 'Client' ? esc_attr( $wow_options['portfolio_d1'] ) 	: __('Client' , 'infinito');
$wow_details_val2 = $wow_options['portfolio_d2'] != 'Started' ? esc_attr( $wow_options['portfolio_d2'] ) 	: __('Started' , 'infinito');
$wow_details_val3 = $wow_options['portfolio_d3'] != 'Finished' ? esc_attr( $wow_options['portfolio_d3'] ) 	: __('Finished' , 'infinito');
$wow_details_val4 = $wow_options['portfolio_d4'] != 'Type' ? esc_attr( $wow_options['portfolio_d4'] ) 		: __('Type' , 'infinito');
$wow_details_val5 = $wow_options['portfolio_d5'] != 'Difficulty' ? esc_attr( $wow_options['portfolio_d5'] ) : __('Difficulty' , 'infinito');

$wow_btn    			= (!empty($wow_post_meta['wow-btn-text-first'][0])) ? $wow_post_meta['wow-btn-text-first'][0] : 'Visit Project';
$wow_url    			= (!empty($wow_post_meta['wow-btn-url'][0])) ? $wow_post_meta['wow-btn-url'][0] : '';
$wow_video_id 			= (!empty($wow_post_meta['wow-video-id'][0])) ? $wow_post_meta['wow-video-id'][0] : '';
$wow_video_class        = '';


$i = 0;

if ( $wow_video_id ) {
	if ( is_numeric( $wow_video_id ) ) {
		$wow_video_class = 'vimeo';
	}
	else{
		$wow_video_class = 'youtube';
	}
}

if( $wow_post_meta['wow-page-gallery-image'][0] ){
	$wow_gallery_imgs_temp = unserialize ( $wow_post_meta['wow-page-gallery-image'][0] );
	$wow_gallery_imgs 	   = array_slice( $wow_gallery_imgs_temp, 1 );
	array_unshift( $wow_gallery_imgs, $wow_post_thumbnail );
	wp_enqueue_script( 'crosscover-init');
	wp_enqueue_script( 'crosscover' );
}
else{
	$wow_gallery_imgs 	   = array( $wow_post_thumbnail );
}

$wow_nr_imgs = count( $wow_gallery_imgs );

//if there are 1 or more images in gallery delete dummy image
if( $wow_nr_imgs > 1 ){
	$wow_gallery_imgs = array_diff($wow_gallery_imgs, array(WOW_LS_IMG));
	$wow_gallery_imgs = array_values($wow_gallery_imgs);
	$wow_nr_imgs = count( $wow_gallery_imgs );
}

if( $wow_nr_imgs <= 1 ){
	wow_output_single_portfolio_image($wow_gallery_imgs);
}

?>

<div class="vc_col-lg-12 vc_column_container"><!-- vc_col-lg-12 -->
	<?php if ( $wow_nr_imgs > 1 ) : //case when there is more than 1 image in the gallery ?>
	<div class="image_wrapper single"></div>
	
	<div class="crosscover"><!-- crosscover -->
					<div class="bottom"><!-- bottom -->
							<div class="container portfolio-single"><!-- container -->
								<?php if ($wow_url) : ?>
								<a href="<?php echo esc_url($wow_url); ?>" target="_blank">
									<button class="button regular circle hvr-classic themecolor2_bg" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration5; echo $wow_portfolio_anim_delay5;  //all portfolio animations, including the one bellow, are escaped at the begining of this file  ?>>
										<span class="text"><?php echo esc_html($wow_btn); ?></span>
									</button>
								</a>
								<?php endif; ?>
								<h1 <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay; ?>><?php the_title(); if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></h1>
								<div class="details-holder"><!-- details-holder -->
									<hr>
									<div class="vc_col-md-4" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration2; echo $wow_portfolio_anim_delay2; ?>><!-- vc_col-md-4 -->
										<div class="details">
											<i class="wow-mobileui-file themecolor1"></i>
											<div class="info">
												<span class="small"><?php esc_html_e('Category','infinito'); ?></span>
												<span class="big"><?php if ( empty ( $wow_terms ) ) { echo '<span>'.esc_html__( 'Uncategorized', 'infinito' ).'<span class="themecolor1">.</span></span>' ; } else { echo '<span>'.implode('</span><span>',$wow_terms).'<span class="themecolor1">.</span></span>'; } //$wow_terms is escaped above at line 52 ?></span>
											</div>
										</div>
									</div><!--/ vc_col-md-4 -->
									<?php $i++; ?>
									<?php if ($wow_details1) : ?>
										<?php 
											$i++;
											if ( $i == 4 ){ 
												?>
													<hr>
												<?php	
											}
										?>
									<div class="vc_col-md-4" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration3; echo $wow_portfolio_anim_delay3; ?>><!-- vc_col-md-4 -->
										<div class="details">
											<i class="<?php echo esc_html($wow_options['portfolio_d1_icon']); ?> themecolor1"></i>
											<div class="info">
												<span class="small"><?php echo $wow_details_val1; ?></span>
												<span class="big"><span><?php echo esc_html($wow_details1); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
											</div>
										</div>
									</div><!--/ vc_col-md-4 -->
									<?php endif; ?>
									<?php if ($wow_details2) : ?>
										<?php 
												$i++;
												if ( $i == 4 ){ 
													?>
														<hr>
													<?php	
												}
										?>
									<div class="vc_col-md-4"  <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration4; echo $wow_portfolio_anim_delay4; ?>><!-- vc_col-md-4 -->
										<div class="details">
											<i class="<?php echo esc_html($wow_options['portfolio_d2_icon']); ?> themecolor1"></i>
											<div class="info">
												<span class="small"><?php echo $wow_details_val2; ?></span>
												<span class="big"><span><?php echo esc_html($wow_details2); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
											</div>
										</div>
									</div><!--/ vc_col-md-4 -->
									<?php endif; ?>
									<?php if ($wow_details3) : ?>
										<?php 
												$i++;
												if ( $i == 4 ){ 
													?>
														<hr>
													<?php	
												}
										?>
									<div class="vc_col-md-4"  <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration5; echo $wow_portfolio_anim_delay5; ?>><!-- vc_col-md-4 -->
										<div class="details">
											<i class="<?php echo esc_html($wow_options['portfolio_d3_icon']); ?> themecolor1"></i>
											<div class="info">
												<span class="small"><?php echo $wow_details_val3; ?></span>
												<span class="big"><span><?php echo esc_html($wow_details3); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
											</div>
										</div>
									</div><!--/ vc_col-md-4 -->
									<?php endif; ?>
									<?php if ($wow_details4) : ?>
										<?php 
												$i++;
												if ( $i == 4 ){ 
													?>
														<hr>
													<?php	
												}
										?>
									<div class="vc_col-md-4"  <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration6; echo $wow_portfolio_anim_delay6; ?>><!-- vc_col-md-4 -->
										<div class="details">
											<i class="<?php echo esc_html($wow_options['portfolio_d4_icon']); ?> themecolor1"></i>
											<div class="info">
												<span class="small"><?php echo $wow_details_val4; ?></span>
												<span class="big"><span><?php echo esc_html($wow_details4); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
											</div>
										</div>
									</div><!--/ vc_col-md-4 -->
									<?php endif; ?>
									<?php if ($wow_details5) : ?>
										<?php 
												$i++;
												if ( $i == 4 ){ 
													?>
														<hr>
													<?php	
												}
										?>
									<div class="vc_col-md-4"  <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration7; echo $wow_portfolio_anim_delay7; ?>><!-- vc_col-md-4 -->
										<div class="details">
											<i class="<?php echo esc_html($wow_options['portfolio_d5_icon']); ?> themecolor1"></i>
											<div class="info">
												<span class="small"><?php echo $wow_details_val5; ?></span>
												<span class="big"><span><?php echo esc_html($wow_details5); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
											</div>
										</div>
									</div><!--/ vc_col-md-4 -->
									<?php endif; ?>
								</div><!--/ details-holder -->
							</div><!--/ container -->
						</div><!--/ bottom -->
		<div class="crosscover-list"><!-- crosscover-list -->
			<?php foreach ($wow_gallery_imgs as $wow_gallery_img) : ?>
			<div class="crosscover-item"><!-- crosscover-item -->
				<img src="<?php echo esc_url($wow_gallery_img); ?>" alt="<?php echo esc_attr($wow_img_alt_title); ?>"/>
					<div class="image_wrapper single"><!-- image_wrapper -->
	
					</div><!--/ image_wrapper -->
			</div><!--/ crosscover-item -->
			<?php endforeach; ?>
		</div><!--/ crosscover-list -->
	</div><!--/ crosscover -->
	
	
	<?php else : //case when there is exactly 1 image in the gallery ?>
	<div class="image_wrapper single"><!-- image_wrapper -->	
			<div class="bottom"><!-- bottom -->
				<div class="container portfolio-single"><!-- container -->
					<?php if ($wow_url) : ?>
					<a href="<?php echo esc_url($wow_url); ?>" target="_blank">
						<button class="button regular circle hvr-classic themecolor2_bg" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration5; echo $wow_portfolio_anim_delay5; ?>>
							<span class="text"><?php echo esc_html($wow_btn); ?></span>
						</button>
					</a>
					
					<?php endif; ?>
					<h1 <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay; ?>><?php the_title(); if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></h1>
					<div class="details-holder"><!-- details-holder -->
						<hr>
						<div class="vc_col-md-4" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration2; echo $wow_portfolio_anim_delay2; ?>><!-- vc_col-md-4 -->
							<div class="details">
								<i class="wow-mobileui-file themecolor1"></i>
								<div class="info">
									<span class="small"><?php esc_html_e('Category','infinito'); ?></span>
									<span class="big"><?php if ( empty ( $wow_terms ) ) { echo '<span>'.esc_html__( 'Uncategorized', 'infinito' ).'<span class="themecolor1">.</span></span>' ; } else { echo '<span>'.implode('</span><span>',$wow_terms).'<span class="themecolor1">.</span></span>'; } //$wow_terms is escaped above at line 52 ?></span>
								</div>
							</div>
						</div><!--/ vc_col-md-4 -->
						<?php $i++; ?>
						<?php if ($wow_details1) : ?>
									<?php 
										$i++;
										if ( $i == 4 ){ 
											?>
												<hr>
											<?php	
										}
									?>
						<div class="vc_col-md-4" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration3; echo $wow_portfolio_anim_delay3; ?>><!-- vc_col-md-4 -->
							<div class="details">
								<i class="<?php echo esc_html($wow_options['portfolio_d1_icon']); ?> themecolor1"></i>
								<div class="info">
									<span class="small"><?php echo $wow_details_val1; ?></span>
									<span class="big"><span><?php echo esc_html($wow_details1); ?><?php if ( !empty($wow_options['dot_portfolio']) ) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
								</div>
							</div>
						</div><!--/ vc_col-md-4 -->
						<?php endif; ?>
						<?php if ($wow_details2) : ?>
									<?php 
										$i++;
										if ( $i == 4 ){ 
											?>
												<hr>
											<?php	
										}
									?>
						<div class="vc_col-md-4"  <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration4; echo $wow_portfolio_anim_delay4; ?>><!-- vc_col-md-4 -->
							<div class="details">
								<i class="<?php echo esc_html($wow_options['portfolio_d2_icon']); ?> themecolor1"></i>
								<div class="info">
									<span class="small"><?php echo $wow_details_val2; ?></span>
									<span class="big"><span><?php echo esc_html($wow_details2); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
								</div>
							</div>
						</div><!--/ vc_col-md-4 -->
						<?php endif; ?>
						<?php if ($wow_details3) : ?>
									<?php 
										$i++;
										if ( $i == 4 ){  
											?>
												<hr>
											<?php	
										}
									?>
						<div class="vc_col-md-4"  <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration5; echo $wow_portfolio_anim_delay5; ?>><!-- vc_col-md-4 -->
							<div class="details">
								<i class="<?php echo esc_html($wow_options['portfolio_d3_icon']); ?> themecolor1"></i>
								<div class="info">
									<span class="small"><?php echo $wow_details_val3; ?></span>
									<span class="big"><span><?php echo esc_html($wow_details3); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
								</div>
							</div>
						</div><!--/ vc_col-md-4 -->
						<?php endif; ?>
						<?php if ($wow_details4) : ?>
									<?php 
										$i++;
										if ( $i == 4 ){  
											?>
												<hr>
											<?php	
										}
									?>
						<div class="vc_col-md-4"  <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration6; echo $wow_portfolio_anim_delay6; ?>><!-- vc_col-md-4 -->
							<div class="details">
								<i class="<?php echo esc_html($wow_options['portfolio_d4_icon']); ?> themecolor1"></i>
								<div class="info">
									<span class="small"><?php echo $wow_details_val4; ?></span>
									<span class="big"><span><?php echo esc_html($wow_details4); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
								</div>
							</div>
						</div><!--/ vc_col-md-4 -->
						<?php endif; ?>
						<?php if ($wow_details5) : ?>
									<?php 
										$i++;
										if ( $i == 4 ){  
											?>
												<hr>
											<?php	
										}
									?>
						<div class="vc_col-md-4"  <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration7; echo $wow_portfolio_anim_delay7; ?>><!-- vc_col-md-4 -->
							<div class="details">
								<i class="<?php echo esc_html($wow_options['portfolio_d5_icon']); ?> themecolor1"></i>
								<div class="info">
									<span class="small"><?php echo $wow_details_val5; ?></span>
									<span class="big"><span><?php echo esc_html($wow_details5); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></span></span>
								</div>
							</div>
						</div><!--/ vc_col-md-4 -->
						<?php endif; ?>
					</div><!--/ details-holder -->
				</div><!--/ container -->
			</div><!--/ bottom -->
	</div><!--/ image_wrapper -->
	
	<?php endif; //case when there is more than 1 image in the gallery ?>
	
</div><!--/ vc_col-lg-12 -->

<?php if ( $wow_video_id ) :  //video output ?>
	<div class="portfolio-video-holder <?php echo esc_attr( $wow_video_class ); ?>"><!-- portfolio-video-holder -->
		<?php if (is_numeric($wow_video_id)) : ?>
			<iframe class="vimeo" src="https://player.vimeo.com/video/<?php echo esc_attr($wow_video_id); ?>"  webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
		<?php else : ?>
			<iframe class="youtube" src="https://www.youtube.com/embed/<?php echo esc_attr($wow_video_id); ?>" frameborder="0" allowfullscreen width="100%" height="100%"></iframe>
		<?php endif; ?>
	</div><!--/ portfolio-video-holder -->
<?php endif; ?>