<?php
/**
 * Portfolio Single Layout 3
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
global $wow_options;

//theme dot color
$wow_dot = (!empty($wow_options['dot_portfolio'])) ? '<span class="themecolor1">.</span>' : '';

//animations we escape them here as there are a lot, and output them bellow
if ($wow_options['animate_portfolio_single'] == '1' and $wow_options['portfolio_animation_single'] != 'none'){
	$wow_portfolio_anim 			= ' data-animate="'.esc_attr($wow_options['portfolio_animation_single']).'"';
	
	$wow_portfolio_anim_duration 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']).'"';
	$wow_portfolio_anim_delay 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']).'"';
	
	$wow_portfolio_anim_duration2   = ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*1.3).'"';
	$wow_portfolio_anim_delay2 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*2).'"';	
	
	$wow_portfolio_anim_duration3 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*1.6).'"';
	$wow_portfolio_anim_delay3 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*3).'"';	
	
	$wow_portfolio_anim_duration4 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*1.9).'"';
	$wow_portfolio_anim_delay4 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*4).'"';	
	
	$wow_portfolio_anim_duration5 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*2.2).'"';
	$wow_portfolio_anim_delay5 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*5).'"';	
	
	$wow_portfolio_anim_duration6 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*2.5).'"';
	$wow_portfolio_anim_delay6 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*6).'"';	
	
	$wow_portfolio_anim_duration7 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*2.8).'"';
	$wow_portfolio_anim_delay7 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*7).'"';

	$wow_portfolio_anim_duration8 	= ' data-animate-duration="'.esc_attr($wow_options['portfolio_animation_duration_single']*3.1).'"';
	$wow_portfolio_anim_delay8 		= ' data-animate-delay="'.esc_attr($wow_options['portfolio_animation_delay_single']*8).'"';
}

else{
	$wow_portfolio_anim 			= '';
	$wow_portfolio_anim_duration 	= '';
	$wow_portfolio_anim_delay 		= '';
	$wow_portfolio_anim_duration2 	= '';
	$wow_portfolio_anim_delay2		= '';
	$wow_portfolio_anim_duration3 	= '';
	$wow_portfolio_anim_delay3 		= '';
	$wow_portfolio_anim_duration4 	= '';
	$wow_portfolio_anim_delay4 		= '';
	$wow_portfolio_anim_duration5 	= '';
	$wow_portfolio_anim_delay5 		= '';	
	$wow_portfolio_anim_duration6 	= '';
	$wow_portfolio_anim_delay6 		= '';	
	$wow_portfolio_anim_duration7 	= '';
	$wow_portfolio_anim_delay7 		= '';	
	$wow_portfolio_anim_duration8 	= '';
	$wow_portfolio_anim_delay8 		= '';
}

//get all the categories a portfolio is in
$wow_terms = array();
$wow_term_list = wp_get_post_terms($post->ID, 'portfolio_category', array("fields" => "all"));
foreach( $wow_term_list as $wow_term ){
	$wow_terms[]=esc_attr($wow_term->name);
}
$wow_all_terms = ( empty ( $wow_terms ) ) ?'<span class="themecolor1_bg">'.esc_html__( 'Uncategorized', 'infinito' ).'</span>' :  '<span class="themecolor1_bg">'.implode('</span><span class="themecolor1_bg">',$wow_terms).'</span>';

//post thumbnail
$wow_post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$wow_post_thumbnail     = $wow_post_thumbnail_arr[0];
$wow_img_height 		= $wow_post_thumbnail_arr[2];

//post thumbnail id
$wow_post_thumbnail_id = get_post_thumbnail_id( $post->ID );
			
//image alt title
$wow_img_alt_title = has_post_thumbnail( $post->ID ) ? get_the_title($wow_post_thumbnail_id) : 'image';

//if post has no thumbnail
if (!has_post_thumbnail()) { $wow_post_thumbnail = WOW_LS_IMG; }

//post meta options
$wow_post_meta 			= get_post_meta(wow_get_the_post_id());
$wow_portfolio_editor 	= (!empty($wow_post_meta['wow-portfolio-editor'][0])) ? $wow_post_meta['wow-portfolio-editor'][0] 	: '';
$wow_btn    			= (!empty($wow_post_meta['wow-btn-text-first'][0])) ? $wow_post_meta['wow-btn-text-first'][0] 		: 	__('Live Demo' , 'infinito');
$wow_btn2    			= (!empty($wow_post_meta['wow-btn-text-second'][0])) ? $wow_post_meta['wow-btn-text-second'][0] 	: 	__('See it in action' , 'infinito');
$wow_url    			= (!empty($wow_post_meta['wow-btn-url'][0])) ? $wow_post_meta['wow-btn-url'][0] : '';

$wow_details1 			= (!empty($wow_post_meta['wow-details1'][0])) ? $wow_post_meta['wow-details1'][0] : '';
$wow_details2   		= (!empty($wow_post_meta['wow-details2'][0])) ? $wow_post_meta['wow-details2'][0] : '';
$wow_details3     		= (!empty($wow_post_meta['wow-details3'][0])) ? $wow_post_meta['wow-details3'][0] : '';
$wow_details4    		= (!empty($wow_post_meta['wow-details4'][0])) ? $wow_post_meta['wow-details4'][0] : '';
$wow_details5     		= (!empty($wow_post_meta['wow-details5'][0])) ? $wow_post_meta['wow-details5'][0] : '';

$wow_details_val1 = $wow_options['portfolio_d1'] != 'Client' ? esc_attr( $wow_options['portfolio_d1'] ) 	: __('Client' , 'infinito');
$wow_details_val2 = $wow_options['portfolio_d2'] != 'Started' ? esc_attr( $wow_options['portfolio_d2'] ) 	: __('Started' , 'infinito');
$wow_details_val3 = $wow_options['portfolio_d3'] != 'Finished' ? esc_attr( $wow_options['portfolio_d3'] ) 	: __('Finished' , 'infinito');
$wow_details_val4 = $wow_options['portfolio_d4'] != 'Type' ? esc_attr( $wow_options['portfolio_d4'] ) 		: __('Type' , 'infinito');
$wow_details_val5 = $wow_options['portfolio_d5'] != 'Difficulty' ? esc_attr( $wow_options['portfolio_d5'] ) : __('Difficulty' , 'infinito');

$wow_video_id 			= (!empty($wow_post_meta['wow-video-id'][0])) ? $wow_post_meta['wow-video-id'][0] : '';
$wow_video_class        = '';

if ( $wow_video_id ) {
	if ( is_numeric( $wow_video_id ) ) {
		$wow_video_class = 'vimeo';
	}
	else{
		$wow_video_class = 'youtube';
	}
}

//fancy the title a little bit
$wow_title = explode(' ', get_the_title());

if ( count($wow_title) >= 2 ) {
	$wow_last_but_one 	= $wow_title[count($wow_title)-2];
	$wow_last 		  	= $wow_title[count($wow_title)-1];

	$wow_from 			= array ($wow_last_but_one, $wow_last); 
	$wow_to   			= array ('', '');

	$wow_rest_of_title  = str_replace($wow_from, $wow_to, get_the_title());
}
else {
	$wow_last_but_one 	= '';
	$wow_last 		  	= get_the_title();
	$wow_rest_of_title 	= '';
}

if( !empty( $wow_post_meta['wow-page-gallery-image'][0] ) ){
	$wow_gallery_imgs_temp = unserialize ( $wow_post_meta['wow-page-gallery-image'][0] );
	$wow_gallery_imgs 	   = array_slice( $wow_gallery_imgs_temp, 1 );
	array_unshift( $wow_gallery_imgs, $wow_post_thumbnail );
	wp_enqueue_script( 'crosscover-init');
	wp_enqueue_script( 'crosscover' );
}
else{
	$wow_gallery_imgs 	   = array( $wow_post_thumbnail );
}

$wow_nr_imgs = count( $wow_gallery_imgs );

//if there are 1 or more images in gallery delete dummy image
if( $wow_nr_imgs > 1 ){
	$wow_gallery_imgs = array_diff($wow_gallery_imgs, array(WOW_LS_IMG));
	$wow_gallery_imgs = array_values($wow_gallery_imgs);
	$wow_nr_imgs = count( $wow_gallery_imgs );
}

if( $wow_nr_imgs <= 1 ){
	wow_output_single_portfolio_image($wow_gallery_imgs);
}
?>

<div class="vc_col-lg-12 vc_column_container"><!-- vc_col-lg-12 -->
		<?php if ( $wow_nr_imgs > 1 ) : //case when there is more than 1 image in the gallery ?>
	<div class="image_wrapper single"></div>
	
	<div class="crosscover"><!-- crosscover -->
		<div class="crosscover-list"><!-- crosscover-list -->
			<?php foreach ($wow_gallery_imgs as $wow_gallery_img) : ?>
			<div class="crosscover-item"><!-- crosscover-item -->
				<img src="<?php echo esc_url($wow_gallery_img); ?>" alt="<?php echo esc_attr($wow_img_alt_title); ?>"/>
				<div class="image_wrapper single"><!-- image_wrapper -->	
					<div class="abs"><!-- abs -->
						<div class="portfolio-single"><!-- portfolio-single -->
							<div class="category" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay; //all portfolio animations, including the one bellow, are escaped at the begining of this file  ?>><!-- category -->
								<?php if ( empty ( $wow_terms ) ) { echo'<span class="themecolor1_bg">'.esc_html__( 'Uncategorized', 'infinito' ).'</span>'; } else { echo  '<span class="themecolor1_bg">'.implode('</span><span class="themecolor1_bg">',$wow_terms).'</span>'; } //$wow_terms is escaped above at line 67 ?>
							</div><!--/ category -->
							<div class="line"></div>
								<div class="title-holder" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration2; echo $wow_portfolio_anim_delay2; ?>><!-- title-holder -->
									<h2><?php echo esc_html($wow_rest_of_title) ?></h2>
									<h1><span class="themecolor1"><?php echo esc_html($wow_last_but_one); ?> </span><?php echo esc_html($wow_last); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></h1>
								</div><!--/ title-holder -->
							<div class="line"></div>
							<div class="details"><!-- details -->
								<?php if ($wow_details1) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration3; echo $wow_portfolio_anim_delay3; ?>><?php echo $wow_details_val1; ?><span class="themecolor1_bg hvr-sweep-to-left"><?php echo esc_html($wow_details1 ); ?></span></div><?php endif; ?>
								<?php if ($wow_details2) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration4; echo $wow_portfolio_anim_delay4; ?>><?php echo $wow_details_val2; ?><span class="themecolor1_bg"><?php echo esc_html($wow_details2); ?></span></div><?php endif; ?>
								<?php if ($wow_details3) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration5; echo $wow_portfolio_anim_delay5; ?>><?php echo $wow_details_val3; ?><span class="themecolor1_bg"><?php echo esc_html($wow_details3); ?></span></div><?php endif; ?>
								<?php if ($wow_details4) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration6; echo $wow_portfolio_anim_delay6; ?>><?php echo $wow_details_val4; ?><span class="themecolor1_bg"><?php echo esc_html($wow_details4); ?></span></div><?php endif; ?>	
								<?php if ($wow_details5) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration7; echo $wow_portfolio_anim_delay7; ?>><?php echo $wow_details_val5; ?><span class="themecolor1_bg"><?php echo esc_html($wow_details5); ?></span></div><?php endif; ?>
								<?php if ($wow_url) : ?><a href="<?php echo esc_url($wow_url); ?>"><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration8; echo $wow_portfolio_anim_delay8; ?>><?php echo esc_html($wow_btn); ?><span class="themecolor1_bg url_project"><?php echo esc_html($wow_btn2); ?></span></div></a><?php endif; ?>
							</div><!--/ details -->
						</div><!--/ portfolio-single -->
					</div><!--/ abs -->
				</div><!--/ image_wrapper -->	
			</div><!--/ crosscover-item -->
			<?php endforeach; ?>
		</div><!--/ crosscover-list -->
	</div><!--/ crosscover -->

	<?php else : //case when there is exactly 1 image in the gallery ?>
	<div class="image_wrapper single"><!-- image_wrapper -->	
		<div class="abs"><!-- abs -->
			<div class="portfolio-single"><!-- container -->
				<div class="category" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay; ?>><!-- category -->
					<?php if ( empty ( $wow_terms ) ) { echo'<span class="themecolor1_bg">'.esc_html__( 'Uncategorized', 'infinito' ).'</span>'; } else { echo  '<span class="themecolor1_bg">'.implode('</span><span class="themecolor1_bg">',$wow_terms).'</span>'; } //$wow_terms is escaped above at line 67 ?>
				</div><!--/ category -->
				<div class="line"></div>
					<div class="title-holder" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration2; echo $wow_portfolio_anim_delay2; ?>><!-- title-holder -->
						<h2><?php echo esc_html($wow_rest_of_title) ?></h2>
						<h1><span class="themecolor1"><?php echo esc_html($wow_last_but_one); ?> </span><?php echo esc_html($wow_last); ?><?php if ( !empty($wow_options['dot_portfolio'])) { echo '<span class="themecolor1">.</span>' ; } ?></h1>
					</div><!--/ title-holder -->
				<div class="line"></div>
				<div class="details"><!-- details -->
						<?php if ($wow_details1) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration3; echo $wow_portfolio_anim_delay3; ?>><?php echo $wow_details_val1; ?><span class="themecolor1_bg hvr-sweep-to-left"><?php echo esc_html($wow_details1 ); ?></span></div><?php endif; ?>
						<?php if ($wow_details2) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration4; echo $wow_portfolio_anim_delay4; ?>><?php echo $wow_details_val2; ?><span class="themecolor1_bg"><?php echo esc_html($wow_details2); ?></span></div><?php endif; ?>
						<?php if ($wow_details3) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration5; echo $wow_portfolio_anim_delay5; ?>><?php echo $wow_details_val3; ?><span class="themecolor1_bg"><?php echo esc_html($wow_details3); ?></span></div><?php endif; ?>
						<?php if ($wow_details4) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration6; echo $wow_portfolio_anim_delay6; ?>><?php echo $wow_details_val4; ?><span class="themecolor1_bg"><?php echo esc_html($wow_details4); ?></span></div><?php endif; ?>	
						<?php if ($wow_details5) : ?><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration7; echo $wow_portfolio_anim_delay7; ?>><?php echo $wow_details_val5; ?><span class="themecolor1_bg"><?php echo esc_html($wow_details5); ?></span></div><?php endif; ?>
						<?php if ($wow_url) : ?><a href="<?php echo esc_url($wow_url); ?>"><div <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration8; echo $wow_portfolio_anim_delay8; ?>><?php echo esc_html($wow_btn); ?><span class="themecolor1_bg url_project"><?php echo esc_html($wow_btn2); ?></span></div></a><?php endif; ?>
				</div><!--/ details -->
			</div><!--/ container -->
		</div><!--/ abs -->
	</div><!--/ image_wrapper -->
	
	<?php endif; //case when there is more than 1 image in the gallery ?>
	
</div><!--/ vc_col-lg-12 -->

<?php if ( $wow_video_id ) :  //video output ?>
	<div class="portfolio-video-holder <?php echo esc_attr( $wow_video_class ); ?>"><!-- portfolio-video-holder -->
		<?php if (is_numeric($wow_video_id)) : ?>
			<iframe class="vimeo" src="https://player.vimeo.com/video/<?php echo esc_attr($wow_video_id); ?>"  webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
		<?php else : ?>
			<iframe class="youtube" src="https://www.youtube.com/embed/<?php echo esc_attr($wow_video_id); ?>" frameborder="0" allowfullscreen width="100%" height="100%"></iframe>
		<?php endif; ?>
	</div><!--/ portfolio-video-holder -->
<?php endif; ?>