<?php
/**
 * The loop template for blog posts
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
global $wow_options;

//post meta options
$wow_post_meta  = get_post_meta(wow_get_the_post_id());

//how many related posts
if       (!empty($wow_post_meta['wow-related-how-many'][0])) { $wow_related_number = intval( $wow_post_meta['wow-related-how-many'][0] ); }
elseif   (!empty($wow_options['blog-related-how-many'])) 	 { $wow_related_number = intval( $wow_options['blog-related-how-many'] ); }
else     { $wow_related_number = 4; }

//how many related posts per row
if       (!empty($wow_post_meta['wow-related-per-row'][0]))  { $wow_related_per_row = $wow_post_meta['wow-related-per-row'][0]; }
elseif   (!empty($wow_options['blog-related-per-row'])) 	 { $wow_related_per_row = $wow_options['blog-related-per-row']; }
else     { $wow_related_per_row = 2; }

//query posts
query_posts( array('post_type' => array( 'post' ),'posts_per_page' => $wow_related_number, 'paged'=>$paged, 'post__not_in' => array( $post->ID ) ,'ignore_sticky_posts' => 1));

//counter for animations delay
if ($wow_options['animate_blog'] == '1' and $wow_options['blog_animation'] != 'none'){
	$wow_counter = $wow_options['blog_animation_delay'];
}

if( have_posts() ) { 
	while( have_posts() ) {
	the_post();

	//get the template part for related posts
	include( locate_template( 'inc/templates/post/post-related.php' ) );
	
	//increment the animation delay
	if ($wow_options['animate_blog'] == '1' and $wow_options['blog_animation'] != 'none'){
		$wow_options['blog_animation_delay'] = esc_attr( $wow_counter ) + esc_attr( $wow_options['blog_animation_delay'] );
	}

	}
}
wp_reset_query();
?>