<?php
/**
 * Blog Related Template
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */

global $wow_options;

//animations
if ($wow_options['animate_blog'] == '1' and $wow_options['blog_animation'] != 'none'){
	$wow_portfolio_anim = ' data-animate="'.esc_attr($wow_options['blog_animation']).'"';
	$wow_portfolio_anim_duration = ' data-animate-duration="'.esc_attr($wow_options['blog_animation_duration']).'"';
	$wow_portfolio_anim_delay = ' data-animate-delay="'.esc_attr($wow_options['blog_animation_delay']).'"';
}

else{
	$wow_portfolio_anim = '';
	$wow_portfolio_anim_duration = '';
	$wow_portfolio_anim_delay = '';	
}	

//get all the categories a post is in
$wow_categories = array();
$wow_cats = get_the_category( $post->ID );
foreach($wow_cats as $wow_cat){
	$wow_categories[]= esc_attr($wow_cat->name);
}
$wow_categories_final = implode(' | ',$wow_categories);


//post excerpt
$wow_post_excerpt = (!empty($wow_options['post_excerpt'])) ? esc_attr(intval($wow_options['post_excerpt'])) : '15';

//post thumbnail
$wow_post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$wow_post_thumbnail = $wow_post_thumbnail_arr[0];
			
//post thumbnail id
$wow_post_thumbnail_id = get_post_thumbnail_id( $post->ID );
			
//image alt title
$wow_img_alt_title = get_the_title($wow_post_thumbnail_id);

//image size for posts related
$wow_img_resized = aq_resize($wow_post_thumbnail,  256, 256 , true, true, true);

//final image
$wow_post_image = ( !empty( $wow_img_resized ) ) ? $wow_img_resized : WOW_SQ_IMG;

//theme color dot
$wow_dot = ( !empty( $wow_options['dot'] ) ) ? '<span class="themecolor1">.</span>' : '';

//some css classes for different post formats
$wow_quote_class = ( get_post_format() == 'quote' ) ? ' quote' : '';
$wow_video_class = ( get_post_format() == 'video' ) ? ' video' : '';
$wow_audio_class = ( get_post_format() == 'audio' ) ? ' audio' : '';

//post meta options
$wow_post_meta  = get_post_meta(wow_get_the_post_id());
$wow_video_id 	= (!empty($wow_post_meta['wow-video-id'][0])) ? $wow_post_meta['wow-video-id'][0] : '';
$wow_audio_id 	= (!empty($wow_post_meta['wow-audio-id'][0])) ? $wow_post_meta['wow-audio-id'][0] : '';
?>


<div class="vc_col-sm-<?php echo esc_attr($wow_related_per_row); ?> blog-box blog-posts" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay;  //all animations are escaped at the begining of this file?>><!-- blog-posts -->
	<section><!-- section -->
		<div class="blog_img"><!-- blog_img -->	
			<?php if ( get_post_format() == false ) : ?><a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url($wow_post_image); ?>" alt="<?php echo esc_attr($wow_img_alt_title); ?>"></a><?php endif; ?>
			<?php if ( get_post_format() == 'video' ) : ?><div class="video themecolor1_bg"><i class="wow-multimedia-video-alt"></i></div><?php endif; ?>
			<?php if ( get_post_format() == 'audio' ) : ?><div class="audio themecolor1_bg"><i class="wow-webapplication-audio"></i></div><?php endif; ?>
			<?php if ( get_post_format() == 'quote' ) : ?><div class="quote themecolor1_bg"><i class="wow-webapplication-quote-right"></i></div><?php endif; ?>
		</div><!--/ blog_img -->							
		<div class="comments themecolor1_bg"><span><?php echo esc_html(get_comments_number()); ?></span></div>									
		<h6><a class="<?php  echo wow_break_word_loop( get_the_title() );  ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?><?php if ( !empty($wow_options['dot'])) { echo '<span class="themecolor1">.</span>' ; } ?></a></h6>						   
		<div class="category">
			<?php if ( is_rtl() ) : ?>
				<span class="author"><?php echo get_the_author(); ?><i class="pe-7s-id"></i></span>
				<span class="cat"><?php echo esc_attr($wow_categories_final); ?><i class="pe-7s-file"></i></span>
			<?php else : ?>
				<span class="author"><i class="pe-7s-id"></i><?php echo get_the_author(); ?></span>
				<span class="cat"><i class="pe-7s-file"></i><?php echo esc_attr($wow_categories_final); ?></span>			
			<?php endif; ?>
		</div>
	</section><!--/ section -->
</div><!--/ blog-posts -->