<?php
/**
 * Blog Layout 1
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */

global $wow_options;

//gap class
$wow_blog_gap_class = ( !empty($wow_options['gap']) ) ? ' gap' : '';

//animations
if ($wow_options['animate_blog'] == '1' and $wow_options['blog_animation'] != 'none'){
	$wow_portfolio_anim = ' data-animate="'.esc_attr($wow_options['blog_animation']).'"';
	$wow_portfolio_anim_duration = ' data-animate-duration="'.esc_attr($wow_options['blog_animation_duration']).'"';
	$wow_portfolio_anim_delay = ' data-animate-delay="'.esc_attr($wow_options['blog_animation_delay']).'"';
}

else{
	$wow_portfolio_anim = '';
	$wow_portfolio_anim_duration = '';
	$wow_portfolio_anim_delay = '';	
}	

//css class for video and audio post type
$wow_float_none = ( get_post_format() == 'video' || get_post_format() == 'audio' ) ? ' float_none' : '';

//get all the categories a post is in
$wow_categories = '';
$wow_cats = get_the_category( $post->ID);
foreach($wow_cats as $wow_cat){
	$wow_categories.=  '<li class="themecolor1_bg'.esc_attr($wow_float_none).'">'.esc_attr($wow_cat->name).'</li>';
}

//post thumbnail
$wow_post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$wow_post_thumbnail = $wow_post_thumbnail_arr[0];
			
//post thumbnail id
$wow_post_thumbnail_id = get_post_thumbnail_id( $post->ID );
			
//image alt title
$wow_img_alt_title = get_the_title($wow_post_thumbnail_id);

//specific image size
if ($wow_options['grid'] == '12') { $wow_img_resized = aq_resize($wow_post_thumbnail, 1921, round(1921/1.2), true, true, true); }
if ($wow_options['grid'] ==  '6') { $wow_img_resized = aq_resize($wow_post_thumbnail,  968, round(968/1.2) , true, true, true); }
if ($wow_options['grid'] ==  '4') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.2) , true, true, true); }
if ($wow_options['grid'] ==  '3') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.2) , true, true, true); }
if ($wow_options['grid'] ==  '1/5') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.2) , true, true, true); }
if ($wow_options['grid'] ==  '2') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.2) , true, true, true); }

//final image
$wow_post_image = ( !empty( $wow_img_resized ) ) ? $wow_img_resized : '';

//theme color dot
$wow_dot = ( !empty( $wow_options['dot'] ) ) ? '<span class="themecolor1">.</span>' : '';

//some css classes for different post formats
$wow_quote_class = ( get_post_format() == 'quote' ) ? ' quote' : '';
$wow_video_class = ( get_post_format() == 'video' ) ? ' video' : '';
$wow_audio_class = ( get_post_format() == 'audio' ) ? ' audio' : '';

//post meta options
$wow_post_meta  	= get_post_meta(wow_get_the_post_id());
$wow_video_id 		= (!empty($wow_post_meta['wow-video-id'][0])) ? $wow_post_meta['wow-video-id'][0] : '';
$wow_audio_id 		= (!empty($wow_post_meta['wow-audio-id'][0])) ? $wow_post_meta['wow-audio-id'][0] : '';
$wow_quote 			= (!empty($wow_post_meta['wow-quote'][0])) ? $wow_post_meta['wow-quote'][0] : '';
$wow_quote_author 	= (!empty($wow_post_meta['wow-quote-author'][0])) ? $wow_post_meta['wow-quote-author'][0] : '';
?>
<div class="vc_col-lg-4  vc_col-md-4 vc_col-sm-6 vc_col-xs-12<?php echo esc_attr($wow_blog_gap_class); ?>" <?php echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay; //all animations are escaped at the begining of this file ?>><!-- vc_col -->
	<div class="posts<?php echo esc_attr($wow_quote_class); ?>"><!-- posts -->
		
		<?php if ( get_post_format() == false || get_post_format() == 'quote') : ?><ul class="categories abs"><li class="themecolor1_bg"><?php echo esc_html(get_post_type()); ?></li></ul><?php endif; ?>
		<div class="image_wrapper"><!-- image_wrapper -->
			<div class="image-holder<?php echo esc_attr($wow_video_class); echo esc_attr($wow_audio_class);?>"><!-- image-holder -->
				<?php if ( get_post_format() == false ) : //standard post format ?>
					<?php if (!empty($wow_post_image)) : ?><img src="<?php echo esc_url($wow_post_image); ?>" alt="<?php echo esc_attr($wow_img_alt_title); ?>"><?php endif; ?>
				<div class="image_wrapper_hover"></div>
				<?php elseif ( get_post_format() == 'video' ) :  //video post format ?>
					<?php if (is_numeric($wow_video_id)) : ?>
						<iframe src="https://player.vimeo.com/video/<?php echo esc_attr($wow_video_id); ?>"  webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
					<?php else : ?>	
						<iframe src="https://www.youtube.com/embed/<?php echo esc_attr($wow_video_id); ?>" frameborder="0" allowfullscreen></iframe>
					<?php endif; ?>
				<?php elseif ( get_post_format() == 'audio' ) :  //video post format ?>
					<iframe src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/<?php echo esc_attr($wow_audio_id); ?>"></iframe>
				<?php endif;?>
			</div><!--/ image-holder -->
		</div><!--/ image_wrapper -->
		
		<?php if ( get_post_format() != 'quote' ) : //standard, video, audio post format ?>
		<div class="text-holder"><!-- text-holder -->
			<ul class="categories"><?php if ( get_post_format() == 'video' || get_post_format() == 'audio' ) : ?><li class="themecolor1_bg float_none"><?php echo esc_html(get_post_type()); ?></li><?php endif; ?></ul>
			<span class="date"><?php echo esc_html(get_the_date('j F Y',$post->ID)); ?></span>
			<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?><?php if ( !empty($wow_options['dot'])) { echo '<span class="themecolor1">.</span>' ; } ?></a></h2>
			<span class="comments"><!-- comments -->
				<i class="pe-7s-comment"></i>
				<div class="spacer"></div>
				<span class="comments_text">
					<?php printf( _nx( '1 Comment', '%1$s Comments', esc_attr( get_comments_number() ), 'comments title', 'infinito' ), esc_attr( number_format_i18n(  get_comments_number() ) ) ); ?>
				</span>
			</span><!--/ comments -->
		</div><!--/ text-holder -->
		<?php endif; ?>		
		
		<?php if ( get_post_format() == 'quote' ) :  //quote post format ?>
		<div class="text-holder"><!-- text-holder -->
			<span class="date"><?php echo esc_attr(get_the_date('j F Y',$post->ID)); ?></span>
			<h2><a href="<?php the_permalink(); ?>"><span><?php echo esc_attr($wow_quote); ?></span></a></h2>
			<span class="comments"><!-- comments -->
				<i class="pe-7s-comment"></i>
				<div class="spacer"></div>
				<span class="comments_text">
					<?php printf( _nx( '1 Comment', '%1$s Comments', esc_attr( get_comments_number() ), 'comments title', 'infinito' ), esc_attr( number_format_i18n( get_comments_number() ) ) ); ?>
				</span>
			</span><!--/ comments -->
		</div><!--/ text-holder -->
		<?php endif; ?>
		
	</div><!--/ posts -->
</div><!--/ vc_col -->