<?php
/**
 * Posts Single Layout 1
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
global $wow_options;

//post meta single layout
$wow_post_meta  = get_post_meta(wow_get_the_post_id());

//what single layout to be used ( the theme options or the one from meta post which will override theme options layout )
$wow_single_layout = (!empty($wow_post_meta['wow-blog-single-layout'][0]) && $wow_post_meta['wow-blog-single-layout'][0] != 'default' ) ? $wow_post_meta['wow-blog-single-layout'][0] : $wow_options['blog_single_layout'] ;
?>

<div class="vc_col-lg-12 vc_column_container"><!-- vc_col-lg-12 -->

		<?php if ( $wow_single_layout == 'no-sidebar' ) : ?>
			<?php get_template_part('inc/templates/post/singles/single','style1'); ?>
		<?php endif; ?>				
				
		<?php if ( $wow_single_layout == 'right-sidebar' ) : ?>
			<div class="vc_col-md-8 vc_col-xs-12 nopadding post-container">
				<?php get_template_part('inc/templates/post/singles/single','style1'); ?>
			</div>
			<div class="vc_col-md-4 vc_col-xs-12 nopadding_right right_sidebar">
				<div class="right_sidebar_container">
					<?php dynamic_sidebar('right_sidebar'); ?>
				</div>
			</div>
		<?php endif; ?>					
				
		<?php if ( $wow_single_layout == 'left-sidebar' ) : ?>

			<div class="vc_col-md-4 vc_col-xs-12 nopadding_left left_sidebar">
				<div class="left_sidebar_container">
					<?php dynamic_sidebar('left_sidebar'); ?>
				</div>
			</div>
					
			<div class="vc_col-md-8 vc_col-xs-12 nopadding post-container">
				<?php get_template_part('inc/templates/post/singles/single','style1'); ?>
			</div>
					
		<?php endif; ?>					
				
		<?php if ( $wow_single_layout == 'both-sidebars' ) : ?>

			<div class="vc_col-md-3 vc_col-xs-12 nopadding_left left_sidebar">
				<?php dynamic_sidebar('left_sidebar'); ?>
			</div>
					
			<div class="vc_col-md-6 vc_col-xs-12 nopadding post-container">
				<?php get_template_part('inc/templates/post/singles/single','style1'); ?>
			</div>
					
			<div class="vc_col-md-3 vc_col-xs-12 nopadding_right right_sidebar">
				<?php dynamic_sidebar('right_sidebar'); ?>
			</div>
					
		<?php endif; ?>
		
</div><!--/ vc_col-lg-12 -->