<?php
/**
 * Blog Layout 1
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */

global $wow_options;


$wow_title = get_the_title();

//for long words we do break word
$wow_title_class = wow_break_word_loop( $wow_title );

//gap class
$wow_blog_gap_class = ( !empty($wow_options['gap']) ) ? 'gap' : '';

//animations
if ($wow_options['animate_blog'] == '1' and $wow_options['blog_animation'] != 'none'){
	$wow_portfolio_anim = ' data-animate="'.esc_attr($wow_options['blog_animation']).'"';
	$wow_portfolio_anim_duration = ' data-animate-duration="'.esc_attr($wow_options['blog_animation_duration']).'"';
	$wow_portfolio_anim_delay = ' data-animate-delay="'.esc_attr($wow_options['blog_animation_delay']).'"';
}

else{
	$wow_portfolio_anim = '';
	$wow_portfolio_anim_duration = '';
	$wow_portfolio_anim_delay = '';	
}	

//css class for video and audio post type
$wow_float_none = ( get_post_format() == 'video' || get_post_format() == 'audio' ) ? ' float_none' : '';

//get all the categories a post is in
$wow_categories = '';
$wow_cats = get_the_category( $post->ID);
$wow_counter = 0;
foreach($wow_cats as $wow_cat){
	$wow_categories.=  '<li class="themecolor1_bg'.esc_attr($wow_float_none).'">'.esc_attr($wow_cat->name).'</li>';
	$wow_counter++ ;
	if ( $wow_counter == 5 ) {
		$wow_categories.=  '<li class="themecolor1_bg'.esc_attr($wow_float_none).'">...</li>';
		break;
	}
}

//post excerpt
$wow_post_excerpt = (!empty($wow_options['post_excerpt'])) ? esc_attr(intval($wow_options['post_excerpt'])) : '15';

//post thumbnail
$wow_post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$wow_post_thumbnail = $wow_post_thumbnail_arr[0];
			
//post thumbnail id
$wow_post_thumbnail_id = get_post_thumbnail_id( $post->ID );
			
//image alt title
$wow_img_alt_title = get_the_title($wow_post_thumbnail_id);

//specific image size for blog grid
if ($wow_options['grid'] == '12') { $wow_img_resized = aq_resize($wow_post_thumbnail, 1921, round(1921/1.2), true, true, true); }
if ($wow_options['grid'] ==  '6') { $wow_img_resized = aq_resize($wow_post_thumbnail,  968, round(968/1.2) , true, true, true); }
if ($wow_options['grid'] ==  '4') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.2) , true, true, true); }
if ($wow_options['grid'] ==  '3') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.2) , true, true, true); }
if ($wow_options['grid'] ==  '1/5') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.2) , true, true, true); }
if ($wow_options['grid'] ==  '2') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, round(768/1.2) , true, true, true); }

//theme color dot
$wow_dot = ( !empty( $wow_options['dot'] ) ) ? '<span class="themecolor1">.</span>' : '';

//post meta options
$wow_post_meta  	= get_post_meta(wow_get_the_post_id());
$wow_video_id 		= (!empty($wow_post_meta['wow-video-id'][0])) ? $wow_post_meta['wow-video-id'][0] : '';
$wow_audio_id 		= (!empty($wow_post_meta['wow-audio-id'][0])) ? $wow_post_meta['wow-audio-id'][0] : '';
$wow_quote 			= (!empty($wow_post_meta['wow-quote'][0])) ? $wow_post_meta['wow-quote'][0] : '';
$wow_quote_author 	= (!empty($wow_post_meta['wow-quote-author'][0])) ? $wow_post_meta['wow-quote-author'][0] : '';

//some css classes for different post formats
$wow_quote_class = ( get_post_format() == 'quote' ) ? ' quote' : '';
$wow_video_class = ( get_post_format() == 'video' ) ? ' video' : '';
$wow_audio_class = ( get_post_format() == 'audio' ) ? ' audio' : '';
$wow_image_class = ( get_post_format() == 'image' ) ? ' image' : '';
$wow_aside_class = ( get_post_format() == 'aside' ) ? ' aside' : '';
$wow_link_class = ( get_post_format() == 'link' ) ? ' link' : '';
$wow_status_class = ( get_post_format() == 'status' ) ? ' status' : '';
$wow_chat_class = ( get_post_format() == 'chat' ) ? ' chat' : '';
$wow_gallery_class = ( get_post_format() == 'gallery' ) ? ' gallery' : '';

$wow_audio_class_none = ( get_post_format() == 'audio' && empty ( $wow_audio_id ) ) ? ' display-none' : '';
$wow_video_class_none = ( get_post_format() == 'video' && empty ( $wow_video_id ) ) ? ' display-none' : '';

//show title if no quote is added
$wow_quote_title = ( empty( $wow_quote ) ) ? esc_attr( $wow_title ) : '<span>'.esc_attr($wow_quote).'</span>';

//if title is empty we link the content to the post
$wow_no_title_url_before =  ( empty ( $wow_title ) ) ? '<a href="'.esc_url( get_the_permalink() ).'">' : '';
$wow_no_title_url_after =  ( empty ( $wow_title ) ) ? '</a>' : '';

//no thumb class
$wow_no_thumb = ( ( !has_post_thumbnail () and get_post_format() == false ) or  ( !has_post_thumbnail () and get_post_format() == 'image' ) or ( !has_post_thumbnail () and get_post_format() == 'aside' 
) or ( !has_post_thumbnail () and get_post_format() == 'link' ) or ( !has_post_thumbnail () and get_post_format() == 'status'  ) or ( !has_post_thumbnail () and get_post_format() == 'chat'  ) or ( !has_post_thumbnail () and get_post_format() == 'gallery'  )  ) ? ' no-thumb' : '';

//if post has thumb, video, or audio add a css class
$wow_margin_cat = ( has_post_thumbnail () || !empty ( $wow_audio_id ) || !empty ( $wow_video_id )) ? ' margin_cat' : '';

//post classes
$wow_classes = array(
	'vc_col-lg-'.$wow_options["grid"],
	$wow_blog_gap_class,
	'vc_col-md-4',
	'vc_col-sm-6',
	'vc_col-xs-12'
);
?>
<article <?php post_class( $wow_classes ); echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay; //all animations are escaped at the begining of this file ?>><!-- article -->
	<div class="posts<?php echo esc_attr($wow_quote_class); ?><?php echo esc_attr($wow_video_class); ?><?php echo esc_attr($wow_audio_class); ?><?php echo esc_attr($wow_image_class); ?><?php echo esc_attr($wow_aside_class); ?><?php echo esc_attr($wow_link_class); ?><?php echo esc_attr($wow_status_class); ?><?php echo esc_attr($wow_chat_class); ?><?php echo esc_attr($wow_gallery_class); ?>"><!-- posts -->
		
		<?php if ( get_post_format() == false || get_post_format() == 'quote' || get_post_format() == 'image' || get_post_format() == 'aside' || get_post_format() == 'link' || get_post_format() == 'status' || get_post_format() == 'chat' || get_post_format() == 'gallery' ) : ?><ul class="categories abs<?php echo esc_attr($wow_no_thumb); ?>"><?php echo $wow_categories; ?></ul><?php endif; ?>
		<div class="image_wrapper"><!-- image_wrapper -->
			<div class="image-holder<?php echo esc_attr($wow_video_class); echo esc_attr($wow_video_class_none); echo esc_attr($wow_audio_class); echo esc_attr($wow_audio_class_none);?>"><!-- image-holder -->
				<?php if ( get_post_format() == false || get_post_format() == 'quote' || get_post_format() == 'image' || get_post_format() == 'aside' || get_post_format() == 'link' || get_post_format() == 'status' || get_post_format() == 'chat' || get_post_format() == 'gallery' ) : //standard post format ?>
					<?php if ( has_post_thumbnail () ) : ?> <img src="<?php echo esc_url($wow_img_resized); ?>" alt="<?php echo esc_attr($wow_img_alt_title); ?>"><?php endif; ?>
				<div class="image_wrapper_hover"></div>
				<?php elseif ( get_post_format() == 'video' ) :  //video post format ?>
					<?php if ( is_numeric($wow_video_id) && !empty ( $wow_video_id ) ) : ?>
						<iframe src="https://player.vimeo.com/video/<?php echo esc_attr($wow_video_id); ?>"  webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
					<?php elseif ( !is_numeric($wow_video_id) && !empty ( $wow_video_id ) ) : ?>	
						<iframe src="https://www.youtube.com/embed/<?php echo esc_attr($wow_video_id); ?>" frameborder="0" allowfullscreen></iframe>
					<?php endif; ?>
				<?php elseif ( get_post_format() == 'audio' && !empty ( $wow_audio_id ) ) :  //video post format ?>
					<iframe src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/<?php echo esc_attr($wow_audio_id); ?>"></iframe>
				<?php endif;?>
			</div><!--/ image-holder -->
		</div><!--/ image_wrapper -->
		
		<?php if ( get_post_format() != 'quote' ) : //standard, video, audio post format ?>
		<div class="text-holder"><!-- text-holder -->
			<?php if ( get_post_format() == 'video' || get_post_format() == 'audio' ) :  ?><ul class="categories is-audio-video"><?php echo $wow_categories; ?></ul><?php endif; ?>
			<span class="date<?php echo esc_attr($wow_no_thumb); echo esc_attr( $wow_margin_cat  ); ?>"><?php echo esc_html(get_the_date('j F Y',$post->ID)); ?></span>
			<h2><a class="<?php echo esc_attr( $wow_title_class ); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?><?php if ( !empty($wow_options['dot'])) { echo '<span class="themecolor1">.</span>'; } ?></a></h2>
			<p><?php if ( empty ( $wow_title ) ) { echo '<a href="'.esc_url( get_the_permalink() ).'">'; } ?><?php echo esc_html( wow_excerpt($wow_post_excerpt) ); ?><?php if ( empty ( $wow_title ) ) { echo '</a>'; } ?></p>
			<span class="comments"><!-- comments -->
				<i class="pe-7s-comment"></i>
				<div class="spacer"></div>
				<span class="comments_text">
					<?php printf( esc_html(_nx( '1 Comment', '%1$s Comments', get_comments_number(), 'comments title', 'infinito' )), esc_attr( number_format_i18n( get_comments_number() ) ) ); ?>
				</span>
			</span><!--/ comments -->
		</div><!--/ text-holder -->
		<?php endif; ?>		
		
		<?php if ( get_post_format() == 'quote' ) :  //quote post format ?>
		<div class="text-holder"><!-- text-holder -->
			<span class="date"><?php echo esc_attr(get_the_date('j F Y',$post->ID)); ?></span>
			<h2><a href="<?php the_permalink(); ?>"><?php if ( empty( $wow_quote ) ) { echo esc_html( $wow_title ) ; } else { echo '<span>'.esc_html($wow_quote).'</span>'; } ?></a></h2>
			<span class="comments"><!-- comments -->
				<i class="pe-7s-comment"></i>
				<div class="spacer"></div>
				<span class="comments_text">
					<?php printf( esc_html(_nx( '1 Comment', '%1$s Comments', get_comments_number() , 'comments title', 'infinito' )), esc_attr( number_format_i18n( get_comments_number() ) ) ); ?>
				</span>
			</span><!--/ comments -->
		</div><!--/ text-holder -->
		<?php endif; ?>
		
	</div><!--/ posts -->
</article><!--/ article -->