<?php
/**
 * Blog Layout 3
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */

global $wow_options;

$wow_title = get_the_title();

//for long words we do break word
$wow_title_class = wow_break_word_loop( $wow_title );

//gap class
$wow_blog_gap_class = ( !empty($wow_options['gap']) ) ? 'gap' : '';

//animations
if ($wow_options['animate_blog'] == '1' and $wow_options['blog_animation'] != 'none'){
	$wow_portfolio_anim = ' data-animate="'.esc_attr($wow_options['blog_animation']).'"';
	$wow_portfolio_anim_duration = ' data-animate-duration="'.esc_attr($wow_options['blog_animation_duration']).'"';
	$wow_portfolio_anim_delay = ' data-animate-delay="'.esc_attr($wow_options['blog_animation_delay']).'"';
}

else{
	$wow_portfolio_anim = '';
	$wow_portfolio_anim_duration = '';
	$wow_portfolio_anim_delay = '';	
}	

//get all the categories a post is in
$wow_categories = '';
$wow_cats = get_the_category( $post->ID);
foreach($wow_cats as $wow_cat){
	$wow_categories.=  '<li class="themecolor1_bg">'.esc_attr($wow_cat->name).'</li>';
}

//post excerpt
$wow_post_excerpt = (!empty($wow_options['post_excerpt'])) ? esc_attr(intval($wow_options['post_excerpt'])) : '15';


//post thumbnail
$wow_post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$wow_post_thumbnail = $wow_post_thumbnail_arr[0];
			
//post thumbnail id
$wow_post_thumbnail_id = get_post_thumbnail_id( $post->ID );
			
//image alt title
$wow_img_alt_title = get_the_title($wow_post_thumbnail_id);



//specific image size for portfolio grid
if ($wow_options['grid'] == '12') { $wow_img_resized = aq_resize($wow_post_thumbnail, 1904,round(1904/0.616), true, true, true); }
if ($wow_options['grid'] ==  '6') { $wow_img_resized = aq_resize($wow_post_thumbnail,  952,round(952/0.616) , true, true, true); }
if ($wow_options['grid'] ==  '4') { $wow_img_resized = aq_resize($wow_post_thumbnail,  635,round(635/0.616) , true, true, true); }
if ($wow_options['grid'] ==  '3') { $wow_img_resized = aq_resize($wow_post_thumbnail,  476,round(476/0.616) , true, true, true); }
if ($wow_options['grid'] ==  '1/5') { $wow_img_resized = aq_resize($wow_post_thumbnail,  400, round(400/0.616) , true, true, true); }
if ($wow_options['grid'] ==  '2') { $wow_img_resized = aq_resize($wow_post_thumbnail,  318,round(318/0.616) , true, true, true); }

//final image
$wow_post_image = (!empty($wow_img_resized)) ? $wow_img_resized : WOW_SQ_IMG;

//theme color dot
$wow_dot = (!empty($wow_options['dot'])) ? '<span class="themecolor1">.</span>' : '';

//post meta options
$wow_post_meta  	= get_post_meta(wow_get_the_post_id());
$wow_video_id 		= (!empty($wow_post_meta['wow-video-id'][0])) ? $wow_post_meta['wow-video-id'][0] : '';
$wow_audio_id 		= (!empty($wow_post_meta['wow-audio-id'][0])) ? $wow_post_meta['wow-audio-id'][0] : '';
$wow_quote 			= (!empty($wow_post_meta['wow-quote'][0])) ? $wow_post_meta['wow-quote'][0] : '';
$wow_quote_author 	= (!empty($wow_post_meta['wow-quote-author'][0])) ? $wow_post_meta['wow-quote-author'][0] : '';

//some css classes for different post formats
$wow_quote_class = ( get_post_format() == 'quote' ) ? ' quote' : '';
$wow_video_class = ( get_post_format() == 'video' ) ? ' video' : '';
$wow_audio_class = ( get_post_format() == 'audio' ) ? ' audio' : '';
$wow_std_class   = ( get_post_format() == false )   ? ' standard' : '';
$wow_audio_class_none = ( get_post_format() == 'audio' && empty ( $wow_audio_id ) ) ? ' display-none' : '';
$wow_video_class_none = ( get_post_format() == 'video' && empty ( $wow_video_id ) ) ? ' display-none' : '';

//some css class
$wow_no_thumb = ( ( !has_post_thumbnail () and get_post_format() == false ) or  ( !has_post_thumbnail () and get_post_format() == 'image' ) or ( !has_post_thumbnail () and get_post_format() == 'aside' 
) or ( !has_post_thumbnail () and get_post_format() == 'link' ) or ( !has_post_thumbnail () and get_post_format() == 'status'  ) or ( !has_post_thumbnail () and get_post_format() == 'chat'  ) or ( !has_post_thumbnail () and get_post_format() == 'gallery'  ) ) ? ' no-thumb' : '';
$wow_abs 	  = ( ( has_post_thumbnail () and get_post_format() == false ) or ( has_post_thumbnail () and get_post_format() == 'image' ) or ( has_post_thumbnail () and get_post_format() == 'aside' ) or ( has_post_thumbnail () and get_post_format() == 'link' ) or  ( has_post_thumbnail () and get_post_format() == 'status' ) or ( has_post_thumbnail () and get_post_format() == 'chat' ) or ( has_post_thumbnail () and get_post_format() == 'gallery' )) ? ' abs' : '';
$wow_fl_left  = ( !has_post_thumbnail () ) ? ' float_left' : '';


//if title is empty we link the content to the post
$wow_no_title_url_before =  ( empty ( $wow_title ) ) ? '<a href="'.esc_url( get_the_permalink() ).'">' : '';
$wow_no_title_url_after =  ( empty ( $wow_title ) ) ? '</a>' : '';

//show title if no quote is added
$wow_quote_title = ( empty( $wow_quote ) ) ? esc_attr( $wow_title ) : '<span>'.esc_attr($wow_quote).'</span>';

//post classes
$wow_classes = array(
	'vc_col-lg-'.$wow_options["grid"],
	$wow_blog_gap_class,
	'vc_col-md-4',
	'vc_col-sm-6',
	'vc_col-xs-12'
);
?>
<article <?php post_class( $wow_classes ); echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay; //all animations are escaped at the begining of this file ?>><!-- article -->
	<?php if ( get_post_format() == false || get_post_format() == 'image' || get_post_format() == 'aside' || get_post_format() == 'link' || get_post_format() == 'status' || get_post_format() == 'chat'|| get_post_format() == 'gallery' ) : //standard post format ?>
	<div class="posts standard<?php echo esc_attr($wow_no_thumb); echo esc_attr( ' '.get_post_format() ); ?>"><!-- posts -->
		<?php if ( has_post_thumbnail () ) : ?><img src="<?php echo esc_url($wow_post_image); ?>" alt="<?php echo esc_attr($wow_img_alt_title); ?>"><?php endif; ?>
		<div class="text-holder<?php echo esc_attr($wow_abs); echo esc_attr($wow_no_thumb); ?>"><!-- text-holder -->
			<div class="date<?php echo esc_attr($wow_abs); ?><?php echo esc_attr($wow_fl_left); ?>"><!-- date -->
				<div class="middle"><!-- middle -->
					<span class="day"><?php echo esc_attr(get_the_date('j',$post->ID)); ?></span>
					<span class="month"><?php echo esc_attr(get_the_date('M',$post->ID)); ?></span>
				</div><!--/ middle -->
			</div><!--/ date -->
			<div class="comments<?php echo esc_attr($wow_abs); ?>"><!-- comments -->
				<div class="middle"><!-- middle -->
					<span class="comments_no"><?php echo esc_attr($post->comment_count); ?></span>
					<span class="comments_text"><?php esc_html_e( 'Comm', 'infinito' ); ?></span>
				</div><!--/ middle -->
			</div><!--/ comments -->
			<?php if(  has_post_thumbnail () ) : ?><h2><a class="<?php echo esc_attr( $wow_title_class ); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?><?php if ( !empty($wow_options['dot'])) { echo '<span class="themecolor1">.</span>'; } ?></a></h2><?php endif; ?>
			<?php if( !has_post_thumbnail () ) : ?><h2 class="no-thumb"><a class="<?php echo esc_attr( $wow_title_class ); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?><?php if ( !empty($wow_options['dot'])) { echo '<span class="themecolor1">.</span>'; } ?></a></h2><?php endif; ?>
			<p><?php if ( empty ( $wow_title ) ) { echo '<a href="'.esc_url( get_the_permalink() ).'">'; } ?><?php echo esc_html( wow_excerpt($wow_post_excerpt) ); ?><?php if ( empty ( $wow_title ) ) { echo '</a>'; }?></p>
		</div><!--/ text-holder -->	
	</div><!--/ posts -->
	<?php endif; ?>
	
	<?php if ( get_post_format() == 'video' ) : //video post format ?>
	<div class="posts video"><!-- posts -->
		<div class="video_wrapper video <?php echo esc_attr($wow_video_class_none); ?>"><!-- video_wrapper -->
			<?php if (is_numeric($wow_video_id)) : ?>
				<iframe src="https://player.vimeo.com/video/<?php echo esc_attr($wow_video_id); ?>"  webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
			<?php else : ?>	
				<iframe src="https://www.youtube.com/embed/<?php echo esc_attr($wow_video_id); ?>" frameborder="0" allowfullscreen></iframe>
			<?php endif; ?>
		</div><!--/ video_wrapper -->
		<div class="text-holder"><!-- text-holder -->
			<div class="date float_left"><!-- date -->
				<div class="middle"><!-- middle -->
					<span class="day"><?php echo esc_html(get_the_date('j',$post->ID)); ?></span>
					<span class="month"><?php echo esc_html(get_the_date('M',$post->ID)); ?></span>
				</div><!--/ middle -->
			</div><!--/ date -->
			<div class="comments"><!-- comments -->
				<div class="middle"><!-- middle -->
					<span class="comments_no"><?php echo esc_html($post->comment_count); ?></span>
					<span class="comments_text"><?php esc_html_e( 'Comm', 'infinito' ); ?></span>
				</div><!--/ middle -->
			</div><!--/ comments -->
			<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?><?php echo html_entity_decode(esc_attr($wow_dot)); ?></a></h2>	
			<p><?php if ( empty ( $wow_title ) ) { echo '<a href="'.esc_url( get_the_permalink() ).'">'; } ?><?php echo esc_html( wow_excerpt($wow_post_excerpt) ); ?><?php if ( empty ( $wow_title ) ) { echo '</a>'; } ?></p>
		</div><!--/ text-holder -->	
	</div><!--/ posts -->
	<?php endif; ?>	
	
	<?php if ( get_post_format() == 'audio' ) : //audio post format ?>
	<div class="posts audio"><!-- posts -->
		<div class="audio_wrapper audio <?php echo esc_attr($wow_audio_class_none); ?>"><!-- audio_wrapper -->
			<iframe src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/<?php echo esc_attr($wow_audio_id); ?>"></iframe>
		</div><!--/ audio_wrapper -->
		<div class="text-holder"><!-- text-holder -->
			<div class="date float_left"><!-- date -->
				<div class="middle"><!-- middle -->
					<span class="day"><?php echo esc_html(get_the_date('j',$post->ID)); ?></span>
					<span class="month"><?php echo esc_html(get_the_date('M',$post->ID)); ?></span>
				</div><!--/ middle -->
			</div><!--/ date -->
			<div class="comments"><!-- comments -->
				<div class="middle"><!-- middle -->
					<span class="comments_no"><?php echo esc_html($post->comment_count); ?></span>
					<span class="comments_text"><?php esc_html_e( 'Comm', 'infinito' ); ?></span>
				</div><!--/ middle -->
			</div><!--/ comments -->
			<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?><?php if ( !empty($wow_options['dot'])) { echo '<span class="themecolor1">.</span>'; } ?></a></h2>	
			<p><?php if ( empty ( $wow_title ) ) { echo '<a href="'.esc_url( get_the_permalink() ).'">'; } ?><?php echo esc_html( wow_excerpt($wow_post_excerpt) ); ?><?php if ( empty ( $wow_title ) ) { echo '</a>'; } ?></p>
		</div><!--/ text-holder -->	
	</div><!--/ posts -->
	<?php endif; ?>	
	
	<?php if ( get_post_format() == 'quote' ) : //quote post format ?>
	<div class="posts quote"><!-- posts -->
		<div class="text-holder"><!-- text-holder -->
			<div class="date float_left"><!-- date -->
				<div class="middle"><!-- middle -->
					<span class="day"><?php echo esc_html(get_the_date('j',$post->ID)); ?></span>
					<span class="month"><?php echo esc_html(get_the_date('M',$post->ID)); ?></span>
				</div><!--/ middle -->
			</div><!--/ date -->
			<div class="comments"><!-- comments -->
				<div class="middle"><!-- middle -->
					<span class="comments_no"><?php echo esc_html($post->comment_count); ?></span>
					<span class="comments_text"><?php esc_html_e( 'Comm', 'infinito' ); ?></span>
				</div><!--/ middle -->
			</div><!--/ comments -->
			<h2 class="quote"><a href="<?php the_permalink(); ?>"><?php echo $wow_quote_title; //escaped at line 92 ?><?php if ( !empty($wow_options['dot'])) { echo '<span class="themecolor1">.</span>'; } ?></a></h2>
			<p><?php echo esc_html( wow_excerpt($wow_post_excerpt) ); ?></p>
		</div><!--/ text-holder -->	
	</div><!--/ posts -->
	<?php endif; ?>

	
</article><!--/ article -->