<?php
/**
 * Portfolio Layout 4
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
 
global $wow_options; 

$wow_excerpt = get_the_excerpt();

//gap class
$wow_blog_gap_class = ( !empty($wow_options['gap']) ) ? 'gap' : '';

//theme dot color
$wow_dot = (!empty($wow_options['dot'])) ? '<span class="themecolor1">.</span>' : '';

//hover effect for style 4 portfolio
$wow_blog_hover_effect = !empty( $wow_options['style4_blog_hover'] ) ? $wow_options['style4_blog_hover']  : 'lily';

//portfolio excerpt limit
$wow_blog_excerpt = (!empty($wow_options['post_excerpt'])) ? esc_attr(intval($wow_options['post_excerpt'])) : '7';

//animations
if ($wow_options['animate_blog'] == '1' and $wow_options['blog_animation'] != 'none'){
	$wow_portfolio_anim = ' data-animate="'.esc_attr($wow_options['blog_animation']).'"';
	$wow_portfolio_anim_duration = ' data-animate-duration="'.esc_attr($wow_options['blog_animation_duration']).'"';
	$wow_portfolio_anim_delay = ' data-animate-delay="'.esc_attr($wow_options['blog_animation_delay']).'"';
}

else{
	$wow_portfolio_anim = '';
	$wow_portfolio_anim_duration = '';
	$wow_portfolio_anim_delay = '';	
}

//category
$wow_term_name_arr = get_the_category();
$wow_term_name = $wow_term_name_arr[0]->name;

//post url
$wow_post_link = get_post_permalink($post->ID);

//post thumbnail
$wow_post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$wow_post_thumbnail = $wow_post_thumbnail_arr[0];
			
//post thumbnail id
$wow_post_thumbnail_id = get_post_thumbnail_id( $post->ID );
			
//image alt title
$wow_img_alt_title = !empty( $wow_post_thumbnail_id ) ? get_the_title($wow_post_thumbnail_id) : get_the_title();

//specific image size for post grid
if ($wow_options['grid'] == '12') { $wow_img_resized = aq_resize($wow_post_thumbnail, 1921, 1921, true, true, true); }
if ($wow_options['grid'] ==  '6') { $wow_img_resized = aq_resize($wow_post_thumbnail,  968, 968 , true, true, true); }
if ($wow_options['grid'] ==  '4') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, 768 , true, true, true); }
if ($wow_options['grid'] ==  '3') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, 768 , true, true, true); }
if ($wow_options['grid'] ==  '1/5') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, 768 , true, true, true); }
if ($wow_options['grid'] ==  '2') { $wow_img_resized = aq_resize($wow_post_thumbnail,  768, 768 , true, true, true); }

//final image
if(!$wow_img_resized){
	$post_format = 	get_post_format();
	$wow_final_image = $post_format ? WOW_URI.'/images/post-types/'.$post_format.'.gif' : WOW_URI.'/images/post-types/dummy.gif';
}
else{
	$wow_final_image = $wow_img_resized;
}

//let's fancy the title a bit
$wow_title_pieces = explode(" ", $post->post_title);

//first word of the title
$wow_first_word  =  esc_attr($wow_title_pieces[0]);

//for long words we do break word
$wow_title_class = wow_break_word_loop( $wow_first_word );

//next words of the title
$wow_last_words =   str_replace($wow_first_word,'',$post->post_title);

//let's style the julia effect by adding a paragrph after each dot (.)
$wow_post_pieces = explode(".", $wow_excerpt);
$wow_p1 = (!empty($wow_post_pieces[0])) ? '<p>'.esc_attr($wow_post_pieces[0]).'</p>' : '';
$wow_p2 = (!empty($wow_post_pieces[1])) ? '<p>'.esc_attr($wow_post_pieces[1]).'</p>' : '';


$wow_most_common_html     =   array("lily","sadie","honey","layla","oscar","marley","ruby","roxy","bubba","romeo","dexter","sarah","chico","milo","goliath","selena","apollo","steve","moses","jazz","ming","lexi","duke");

$wow_less_common_html     =   array("zoe","hera","winston","terry","phoebe","kira");

//custom html tags for sadie effect
if ($wow_options['style4_blog_hover'] == 'sadie' || $wow_options['style4_blog_hover'] == 'goliath'){
	$wow_html_before_sadie = '<div class="abs">';
	$wow_html_after_sadie  = '</div>';
}
else{
	$wow_html_before_sadie = '';
	$wow_html_after_sadie  = '';	
}

//custom html tags for marley effect
if ($wow_options['style4_blog_hover'] == 'marley'){
	$wow_html_before_marley = '<div class="abs">';
	$wow_html_after_marley  = '</div>';
}
else{
	$wow_html_before_marley = '';
	$wow_html_after_marley  = '';	
}

//custom html tags for romeo effect
if ($wow_options['style4_blog_hover'] == 'romeo'){
	$wow_html_before_romeo_top = '<div class="abs-top">';
	$wow_html_after_romeo_top  = '</div>';	
	$wow_html_before_romeo_bottom = '<div class="abs-bottom">';
	$wow_html_after_romeo_bottom  = '</div>';
}
else{
	$wow_html_before_romeo_top = '';
	$wow_html_after_romeo_top  = '';	
	$wow_html_before_romeo_bottom = '';
	$wow_html_after_romeo_bottom  = '';	
}


//custom margin if no paragraph
$wow_h2_margin = ( $wow_options['style4_blog_hover'] == 'lily' and empty( $wow_excerpt ) ) ? 'margin-bottom:34px' : '';
$wow_h2_margin = ( $wow_options['style4_blog_hover'] == 'sadie' and empty( $wow_excerpt ) ) ? 'margin-bottom:60px' : '';

//overlay icon
$wow_comment_icon = (!empty($wow_options['blog_comment_icon'])) ? $wow_options['blog_comment_icon'] : 'pe-7s-comment';

//output most common html for effects in array
if (in_array($wow_blog_hover_effect,$wow_most_common_html )){
	$wow_content = '
		'.$wow_html_before_sadie.$wow_html_before_romeo_top.'
		<h2 class="'.esc_attr( $wow_title_class ).'" style="'.esc_attr( $wow_h2_margin ).'">'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.html_entity_decode(esc_html($wow_dot)).'</h2>
		'.$wow_html_after_romeo_top.$wow_html_before_marley.$wow_html_before_romeo_bottom.'<p>'.esc_attr(wp_trim_words($wow_excerpt, $wow_blog_excerpt, '')).'</p>
		'.$wow_html_after_romeo_bottom.$wow_html_after_sadie.'		
	';
}

//output less common html for effects in array
elseif (in_array($wow_blog_hover_effect,$wow_less_common_html )){
	if ($wow_blog_hover_effect == 'zoe'){
		$wow_content = '
			<h2 class="'.esc_attr( $wow_title_class ).'">'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.html_entity_decode(esc_html($wow_dot)).'</h2>
			<p class="description">'.esc_attr(wp_trim_words($wow_excerpt, $wow_blog_excerpt, '')).'</p>
		';
	}	
	elseif ($wow_blog_hover_effect == 'hera' || $wow_blog_hover_effect == 'winston' || $wow_blog_hover_effect == 'phoebe' || $wow_blog_hover_effect == 'kira' ){
		$wow_content = '
			<h2 class="'.esc_attr( $wow_title_class ).'">'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.html_entity_decode(esc_html($wow_dot)).'</h2>
				<p>
					<i class="'.esc_attr( $wow_comment_icon ).'"></i>
				</p>
		';
	}
	elseif ($wow_blog_hover_effect == 'terry'){
		$wow_content = '
			<h2 class="'.esc_attr( $wow_title_class ).'">'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.html_entity_decode(esc_html($wow_dot)).'</h2>
				<p>
					<i class="'.esc_attr( $wow_comment_icon ).'"></i>
				</p>
		';
	}
}

//output html for different overlay effects
elseif ($wow_blog_hover_effect == 'julia'){
	$wow_content = '
		<h2>'.$wow_first_word.'<span>'.$wow_last_words.'</span>'.html_entity_decode(esc_html($wow_dot)).'</h2>
		'.$wow_p1.$wow_p2.'	
	';	
}

//add div only to certain styles
if ($wow_blog_hover_effect == 'lily' || $wow_blog_hover_effect == 'julia'){
	$wow_div_before = '<div>';   
	$wow_div_after  = '</div>';  
}
else{
	$wow_div_before = $wow_div_after = '';   
}

//second paragraph custom display for overlay styles
if ($wow_blog_hover_effect == 'lily' || $wow_blog_hover_effect == 'sadie' || $wow_blog_hover_effect == 'layla' || $wow_blog_hover_effect == 'romeo' || $wow_blog_hover_effect == 'dexter' || $wow_blog_hover_effect == 'chico' || $wow_blog_hover_effect == 'milo' || $wow_blog_hover_effect == 'julia' || $wow_blog_hover_effect == 'goliath' ||  $wow_blog_hover_effect == 'phoebe' ||  $wow_blog_hover_effect == 'apollo' ||  $wow_blog_hover_effect == 'kira' || $wow_blog_hover_effect == 'lexi' || $wow_blog_hover_effect == 'duke'){
	$wow_p_before = '<p class="second">'.esc_attr(get_the_date('d M Y',$post->ID)).'</p>'; 
	$wow_p_after = '';
}

elseif ($wow_blog_hover_effect == 'oscar' || $wow_blog_hover_effect == 'marley' || $wow_blog_hover_effect == 'roxy' || $wow_blog_hover_effect == 'bubba' || $wow_blog_hover_effect == 'sarah' || $wow_blog_hover_effect == 'selena' || $wow_blog_hover_effect == 'steve' || $wow_blog_hover_effect == 'jazz' || $wow_blog_hover_effect == 'ming'){
	$wow_p_before = ''; $wow_p_after = '<p class="second">'.esc_attr(get_the_date('d M Y',$post->ID)).'</p>'.$wow_html_after_marley.'';
}

else   { $wow_p_before = ''; $wow_p_after = ''; }

//post classes
$wow_classes = array(
	'vc_col-lg-'.$wow_options["grid"],
	$wow_blog_gap_class,
	'vc_col-md-4',
	'vc_col-sm-6',
	'vc_col-xs-12'
);
?>

<article <?php post_class( $wow_classes ); echo $wow_portfolio_anim; echo $wow_portfolio_anim_duration; echo $wow_portfolio_anim_delay;  //all animations are escaped at the begining of this file ?>><!-- article -->
	<div class="blog_container"><!-- blog_container -->
		<a href="<?php echo esc_url($wow_post_link); ?>">
			<div class="grid"><!-- grid -->
			<figure class="effect-<?php echo esc_attr($wow_blog_hover_effect); ?>"><!-- figure -->
				<img src="<?php echo esc_url($wow_final_image); ?>" alt="<?php echo esc_attr($wow_img_alt_title); ?>">
					<figcaption><!-- figcaption -->	
						<?php echo wp_kses_post($wow_div_before); ?>
							<?php echo wp_kses_post($wow_p_before); ?>	
								<?php echo wp_kses_post($wow_content); ?>
							<?php echo wp_kses_post($wow_p_after); ?>	
						<?php echo wp_kses_post($wow_div_after); ?>
					</figcaption><!--/ figcaption -->			
			</figure><!--/ figure -->
			</div><!--/ grid -->
		</a>
	</div><!-- /blog_container -->
</article><!-- /article -->