<?php
/**
 * Posts Single Layout 1
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */

global $wow_options;

//theme dot color
$wow_dot = (!empty($wow_options['dot'])) ? '<span class="themecolor1">| </span>' : '';

//post thumbnail
$wow_post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$wow_post_thumbnail     = $wow_post_thumbnail_arr[0];

//post thumbnail id
$wow_post_thumbnail_id = get_post_thumbnail_id( $post->ID );
			
//image alt title
$wow_img_alt_title = get_the_title($wow_post_thumbnail_id);

//get all the categories a post is in
$wow_categories = '';
$wow_cats = get_the_category( $post->ID);
foreach($wow_cats as $wow_cat){
	$wow_categories.=  '<li class="themecolor1_bg">'.esc_attr($wow_cat->name).'</li>';
}

//post meta options
$wow_post_meta  	= get_post_meta(wow_get_the_post_id());
$wow_video_id 		= (!empty($wow_post_meta['wow-video-id'][0])) ? $wow_post_meta['wow-video-id'][0] : '';
$wow_audio_id 		= (!empty($wow_post_meta['wow-audio-id'][0])) ? $wow_post_meta['wow-audio-id'][0] : '';
$wow_quote 			= (!empty($wow_post_meta['wow-quote'][0])) ? $wow_post_meta['wow-quote'][0] : '';
$wow_quote_author 	= (!empty($wow_post_meta['wow-quote-author'][0])) ? $wow_post_meta['wow-quote-author'][0] : '';

//add a css class if post has no thumbnail
$wow_abs_class = ($wow_post_thumbnail_id) ? ' abs' : '';
?>

<div class="blog-single-start"><!-- blog-single-start -->
	<ul class="categories<?php echo esc_attr($wow_abs_class); ?>"><?php echo $wow_categories; //escaped at line 29 ?></ul>
	
	<?php if ($wow_post_thumbnail) : ?>
		<div class="image"><img src="<?php echo esc_url($wow_post_thumbnail); ?>" alt ="<?php echo esc_attr($wow_img_alt_title); ?>"></div>
	<?php endif; ?>
    
	<?php if ( get_post_format() == 'video' ) :  //video post format ?>
		<?php if ( is_numeric( $wow_video_id ) && !empty ( $wow_video_id ) ) : ?>
			<div class="image-holder video"><!-- image-holder -->
				<iframe src="https://player.vimeo.com/video/<?php echo esc_attr($wow_video_id); ?>"  webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
			</div><!--/ image-holder -->
		<?php elseif ( !is_numeric( $wow_video_id ) && !empty ( $wow_video_id ) ) : ?>
			<div class="image-holder video"><!-- image-holder -->
				<iframe src="https://www.youtube.com/embed/<?php echo esc_attr($wow_video_id); ?>" frameborder="0" allowfullscreen width="100%" height="100%"></iframe>
			</div><!--/ image-holder -->
		<?php endif; ?>
	
	<?php elseif ( get_post_format() == 'audio' && !empty ( $wow_audio_id ) ) :  //audio post format ?>
		<div class="image-holder audio"><!-- image-holder -->
			<iframe src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/<?php echo esc_attr($wow_audio_id); ?>" class="audio"></iframe>
		</div><!--/ image-holder -->	
	
	<?php elseif ( get_post_format() == 'quote' && !empty ( $wow_quote ) ) :  //quote post format ?>
		<div class="quote-holder"><!-- image-holder -->
			<blockquote>
				<?php echo esc_attr($wow_quote); ?>
				<span>| <?php echo esc_attr($wow_quote_author); ?></span>
			</blockquote>
		</div><!--/ image-holder -->
	<?php endif;?>
	
	<div class="details"><!-- details -->
		<span class="date"><i class="pe-7s-date"></i><span><?php echo esc_attr(get_the_date('j F Y',$post->ID)); ?></span></span>
		<span class="comments"><!-- comments -->
			<i class="pe-7s-comment"></i>
			<span class="comments_text">
				<?php printf( _nx( '1 Comment', '%1$s Comments', esc_html( get_comments_number() ), 'comments title', 'infinito' ), esc_html( number_format_i18n( get_comments_number() ) ) ); ?>
			</span>
		</span><!--/ comments -->
	</div><!--/ details -->
	
	<h1><?php echo get_the_title(); ?><?php if ( !empty($wow_options['dot'])) { echo '<span class="themecolor1">.</span>'; }  ?></h1>

	<?php the_content(); ?>
	
	<?php
		wp_link_pages( array(
			'before'      => '<div class="page-links">' . __( 'Pages:', 'infinito' ),
			'after'       => '</div>',
			'link_before' => '<span class="page-number">',
			'link_after'  => '</span>',
		) );
	?>

</div><!--/ blog-single-start -->

<div class="post-details"><!-- post-details -->
	
	<?php if ( has_tag() ) : ?><div class="tags"><?php the_tags('','',''); ?></div><?php endif; ?>

	<?php if ( $wow_options['show-share'] == 1 ) : ?>
		<ul class="social-share"><!-- social-share -->
			<li><a target="_blank" href="<?php echo esc_url('https://www.facebook.com/sharer/sharer.php?u='.urlencode(get_permalink())); ?>" title="Facebook" class="facebook"><i class="wow-social-facebook from_top"></i><i class="wow-social-facebook from_top second"></i></a></li>
			<li><a target="_blank" href="<?php echo esc_url('https://twitter.com/intent/tweet?text='.urlencode(get_the_title()).'&amp;url='.urlencode(get_permalink())); ?>" title="Twitter" class="twitter"><i class="wow-social-twitter from_top"></i><i class="wow-social-twitter from_top second"></i></a></li>
			<li><a target="_blank" href="<?php echo esc_url('https://plus.google.com/share?url='.urlencode(get_permalink())); ?>" title="Google Plus" class="gplus"><i class="wow-social-google-plus from_top"></i><i class="wow-social-google-plus from_top second"></i></a></li>
			<li><a target="_blank" href="<?php echo esc_url('https://pinterest.com/pin/create/button/?url=' . urlencode(get_permalink()) . '&amp;description=' . urlencode(get_the_title()) . (esc_attr($wow_post_thumbnail) ? '&amp;media=' . urlencode(esc_attr($wow_post_thumbnail)) : '' )); ?>" title="Pinterest" class="pinterest"><i class="wow-social-pinterest from_top"></i><i class="wow-social-pinterest from_top second"></i></a></li>
			<li><a target="_blank" href="<?php echo esc_url('http://tumblr.com/widgets/share/tool?canonicalUrl='.urlencode(get_permalink())); ?>" title="Tumblr" class="tumblr"><i class="wow-social-tumblr from_top"></i><i class="wow-social-tumblr from_top second"></i></a></li>
			<li><a target="_blank" href="<?php echo esc_url('https://www.linkedin.com/shareArticle?mini=true&url='.urlencode(get_permalink()).'&amp;title='.urlencode(get_the_title())); ?>&amp;summary=<?php echo urlencode(get_the_excerpt()); ?>" title="LinkedIn" class="linkedin"><i class="wow-social-linkedin from_top"></i><i class="wow-social-linkedin from_top second"></i></a></li>
			<li><a target="_blank" href="<?php echo esc_url('http://www.stumbleupon.com/submit?url='.urlencode(get_permalink()).'&amp;title='.urlencode(get_the_title())); ?>" title="StumbleUpon" class="stumbleupon"><i class="wow-social-stumbleupon from_top"></i><i class="wow-social-stumbleupon from_top second"></i></a></li>
		</ul><!--/ social-share -->
	<?php endif; ?>
	
	<?php if ( $wow_options['show-author-bio'] == 1 ) : ?>
		<div class="author-bio themecolor2_bg"><!-- author-bio -->
			
			<div class="author-avatar"><!-- author-avatar -->
				<?php echo get_avatar( get_the_author_meta('email'), '120' ) ?>
			</div><!--/ author-avatar -->			
			
			<div class="author-details"><!-- author-details -->
				<div class="author-name"><!-- author-name -->
					<span><?php echo esc_attr(get_the_author_meta('display_name')); ?></span>
				</div><!--/ author-name -->				
				
				<?php $wow_author_description = get_the_author_meta('description') ?>
				<?php if (!empty($wow_author_description)) : ?>
				<div class="author-desc"><!-- author-desc -->
					<p><?php echo esc_attr(get_the_author_meta('description')); ?></p>
				</div><!--/ author-desc -->
				<?php endif; ?>
				
				<?php $wow_author_url = get_the_author_meta('user_url') ?>
				<?php if (!empty($wow_author_url)) : ?>
				<div class="author-website"><!-- author-website -->
					<a href="<?php echo esc_url(get_the_author_meta('user_url')); ?>" target="_blank"><?php esc_html_e('Website','infinito') ;?></a>
				</div><!--/ author-website -->
				<?php endif; ?>				

				<div class="author-posts"><!-- author-posts -->
					<a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php esc_html_e('Other posts by ','infinito') ;?><?php echo esc_attr(get_the_author_meta('display_name')); ?></a>
				</div><!--/ author-posts -->
			</div><!--/ author-details -->
				
		</div><!--/ author-bio -->
	<?php endif; ?>
	
	<?php if ( $wow_options['show-related'] == 1 ) : ?>
		<h2 class="related"><?php esc_html_e('Related','infinito'); ?> <span><?php esc_html_e('posts','infinito'); ?></span></h2>
		<div class="blog_related row-eq-height"><!-- blog_related -->
			<?php get_template_part('inc/templates/post/loop','related');  ?>
		</div><!--/ blog_related -->
	<?php endif; ?>
	
	<?php 
		// If comments are open or we have at least one comment, load up the comment template.
		if ( comments_open() && get_comments_number() > 0 ) : comments_template( '', true ); endif;	
	 ?>
</div><!--/ post-details -->