<?php
    /**
     * The template for the main panel container.
     * Override this template by specifying the path where it is stored (templates_path) in your Redux config.
     *
     * @author        Redux Framework
     * @package       ReduxFramework/Templates
     * @version: 3.5.7.8
     */


    $expanded = ( $this->parent->args['open_expanded'] ) ? ' fully-expanded' : '' . ( ! empty( $this->parent->args['class'] ) ? ' ' . esc_attr( $this->parent->args['class'] ) : '' );
    $nonce    = wp_create_nonce( "redux_ajax_nonce" . $this->parent->args['opt_name'] );
?>
		<h2 class="nav-tab-wrapper infinito">
			<div class="mini-logo"><img src="<?php echo esc_url( WOW_URI.'/images/admin/logo-icon.png' ); ?>" /></div>
			<a class="nav-tab welcome<?php if ( wow_is_active_screen( 'infinito-dashboard' ) ) { echo ' nav-tab-active'; } ?>" href="<?php echo esc_url( admin_url('admin.php?page=infinito-dashboard') ); ?>"><i class="wow-webapplication-dashboard"></i><?php esc_html_e('Dashboard','infinito'); ?></a>
            <a class="nav-tab importer<?php if ( wow_is_active_screen( 'infinito-importer' ) ) { echo ' nav-tab-active'; } ?>" href="<?php echo esc_url( admin_url('admin.php?page=infinito-importer') ); ?>"><i class="wow-mobileui-file"></i><?php esc_html_e('1 Click Importer','infinito'); ?></a>
            <a class="nav-tab options<?php if ( wow_is_active_screen( 'infinito_options' ) ) { echo ' nav-tab-active'; } ?>" href="<?php echo esc_url( admin_url('admin.php?page=infinito_options') ); ?>"><i class="wow-webapplication-settings"></i><?php esc_html_e('Theme Options','infinito'); ?></a>
            <a class="nav-tab status<?php if ( wow_is_active_screen( 'infinito-system-status' ) ) { echo ' nav-tab-active'; } ?>" href="<?php echo esc_url( admin_url('admin.php?page=infinito-system-status') ); ?>"><i class="wow-webapplication-server"></i><?php esc_html_e('System Status','infinito'); ?></a>
            <a class="nav-tab changelog-a<?php if ( wow_is_active_screen( 'infinito-changelog' ) ) { echo ' nav-tab-active'; } ?>" href="<?php echo esc_url( admin_url('admin.php?page=infinito-changelog') ); ?>"><i class="wow-business-list"></i><?php esc_html_e('Changelog','infinito'); ?></a>   
			<div id="redux-sticky" class="infinito-pages">
				<div class="redux-action_bar">
					<span class="spinner"><div></div><div></div></span>
					<?php if ( false === $this->parent->args['hide_save'] ) {
						submit_button( esc_attr__( 'Save Changes', 'infinito-theme-options' ), 'primary', 'redux_save_sticky', false ); echo '&nbsp';
					} ?>
				</div>
			</div>
    <!-- Notification bar -->
		
        </h2>
<div class="redux-container<?php echo esc_attr( $expanded ); ?>">
    <?php $action = ( $this->parent->args['database'] == "network" && $this->parent->args['network_admin'] && is_network_admin() ? './edit.php?action=redux_' . $this->parent->args['opt_name'] : './options.php' ) ?>
    <form method="post" 
          action="<?php echo esc_attr($action); ?>" 
          data-nonce="<?php echo esc_attr($nonce); ?>" 
          enctype="multipart/form-data"
          id="redux-form-wrapper">
        <?php // $this->parent->args['opt_name'] is sanitized in the Framework class, no need to re-sanitize it. ?>
        <input type="hidden" id="redux-compiler-hook"
            name="<?php echo $this->parent->args['opt_name']; ?>[compiler]"
            value=""/>
        <?php // $this->parent->args['opt_name'] is sanitized in the Framework class, no need to re-sanitize it. ?>
        <input type="hidden" id="currentSection"
            name="<?php echo $this->parent->args['opt_name']; ?>[redux-section]"
            value=""/>
        <?php // $this->parent->args['opt_name'] is sanitized in the Framework class, no need to re-sanitize it. ?>
        <?php if ( ! empty( $this->parent->no_panel ) ) { ?>
            <input type="hidden" 
                name="<?php echo $this->parent->args['opt_name']; ?>[redux-no_panel]"
                value="<?php echo esc_attr(implode( '|', $this->parent->no_panel )); ?>"
            />
        <?php } ?>
        <?php
            // Must run or the page won't redirect properly
            $this->init_settings_fields();

            // Last tab?
            $this->parent->options['last_tab'] = ( isset( $_GET['tab'] ) && ! isset( $this->parent->transients['last_save_mode'] ) ) ? esc_attr( $_GET['tab'] ) : '';
        ?>
        <?php // $this->parent->args['opt_name'] is sanitized in the Framework class, no need to re-sanitize it. ?>
        <input type="hidden" 
               id="last_tab" 
               name="<?php echo $this->parent->args['opt_name']; ?>[last_tab]"
               value="<?php echo esc_attr( $this->parent->options['last_tab'] ); ?>"
        />

        <?php $this->get_template( 'content.tpl.php' ); ?>

    </form>
</div>

<?php if ( isset( $this->parent->args['footer_text'] ) ) { ?>
    <div id="redux-sub-footer"><?php echo wp_kses_post( $this->parent->args['footer_text'] ); ?></div>
<?php } ?>
