<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
Flickr widget
=================================================================================================================
*/

add_action( 'widgets_init', 'wow_flickr_widget' );
function wow_flickr_widget() {
	register_widget( 'wow_flickr_widget' );
}

class wow_flickr_widget extends WP_Widget {
    /** constructor */
    function __construct() {
		global $wow_theme_name;
		$widget_ops = array('classname' => 'wow_flickr_widget', 'description' => 'Fliker' );
		parent::__construct('wow_flickr_widget',''.$wow_theme_name.' Flickr Widget', $widget_ops);	
    }

    function widget($args, $instance) {

		global $wow_options;
	
		global $shortname;	
        extract( $args );
		$title     = strip_tags(esc_attr($instance['title']));
		$user_name = strip_tags(esc_attr($instance['user_name']));							
		$num_posts = strip_tags(absint($instance['num_posts']));		
		//$social_network = esc_attr($instance['social_network']);
		if(empty($num_posts)){$num_posts = 4;}
        ?>
            <?php echo $before_widget; ?>
                <?php if ( $title ) ; 
					
					$jsonn = file_get_contents('https://api.flickr.com/services/rest/?method=flickr.people.findByUsername&username='.$user_name.'&format=json&api_key=85145f20ba1864d8ff559a3971a0a033&nojsoncallback=1');
					preg_match_all('!\d+!', $jsonn, $matches);
				    $nsid = $matches['0']['0'].'@N'.$matches['0']['1'];
					
					$jsonns = file_get_contents('https://api.flickr.com/services/rest/?method=flickr.photos.search&user_id='.$nsid.'&format=json&api_key=85145f20ba1864d8ff559a3971a0a033&per_page='.$num_posts.'&page=1&extras=url_sq&nojsoncallback=1');
					$allphotos = json_decode($jsonns);
					echo '<div class="title">
							'.wow_widget_heading_icon( $instance['title'] ).'
						</div>
					<div class="clear"></div>
					<ul class="flickr">';
						
						foreach($allphotos->photos as $photos)
						{	
							if (is_array($photos)){
								foreach($photos as $phot)
								{	
									echo '<li><a class="photo" href="'.esc_url('http://www.flickr.com/photos/'.$nsid.'/').'" target="_blank"><img src="'.esc_url(str_replace("_s.jpg","_n.jpg",$phot->url_sq)).'" /></a></li>';	
								}
							}
						}
					
					echo '</ul>';
					?>

			<?php echo $after_widget; ?>
            <?php
    }
    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
		$instance['title'] 		    = strip_tags(esc_attr($new_instance['title']));
		$instance['user_name'] 	    = strip_tags( esc_attr($new_instance['user_name']));
		$instance['num_posts']      = absint( esc_attr($new_instance['num_posts']));
        return $instance;
    }
    /** @see WP_Widget::form */
    function form($instance) {
		$title	        = isset( $instance['title']) ? strip_tags(esc_attr( $instance['title'] )) : 'Flickr feed';
		$user_name	    = isset( $instance['user_name']) ? strip_tags(esc_attr( $instance['user_name'] )) : 'johndoee2015';
		$num_posts      = isset( $instance['num_posts'] ) ? strip_tags(absint( $instance['num_posts'] )) : 1;	
     ?>
         
		 <p><label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title:','infinito-widgets'); ?> <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php if(isset($title)){echo esc_attr($title);} else { echo 'Flickr feed';}  ?>" /></label></p>
         
		 <p><label for="<?php echo esc_attr($this->get_field_id('user_name')); ?>"><?php esc_html_e('Username:','infinito-widgets'); ?> <input class="widefat" id="<?php echo esc_attr($this->get_field_id('user_name')); ?>" name="<?php echo esc_attr($this->get_field_name('user_name')); ?>" type="text" value="<?php if(isset($user_name)){echo esc_attr($user_name);} else { echo 'johndoee2015';} ?>" /></label></p>
         
		 <p><label for="<?php echo esc_attr($this->get_field_id('num_posts')); ?>"><?php esc_html_e('Number Of Images: eg:4','infinito-widgets'); ?> <input class="widefat" id="<?php echo esc_attr($this->get_field_id('num_posts')); ?>" name="<?php echo esc_attr($this->get_field_name('num_posts')); ?>" type="text" value="<?php if(isset($num_posts)){echo esc_attr($num_posts);} ?>" /></label></p>		
		 

        <?php 
    }
}