<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
Info widget
=================================================================================================================
*/
add_action( 'widgets_init', 'wow_info_widget' );
function wow_info_widget() {
	register_widget('wow_info_widget');
}

class wow_info_widget extends WP_Widget {

	function __construct() {
		global $wow_theme_name , $wow_custom_css;
		
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'wow_info_widget', 'description' => 'Add info about your company.' );
		 
		/* Widget control settings. */
		$control_ops = array( 'id_base' => 'wow_info_widget' );
		 
		/* Create the widget. */
		parent::__construct( 'wow_info_widget', ''.$wow_theme_name.' Info', $widget_ops, $control_ops );
	}
	 
	function widget( $args, $instance ) {
		extract( $args );
		global $wow_options;
		$phone   	= (!empty($instance[ 'phone' ])) ? 'on' : '';
		$address 	= (!empty($instance[ 'address' ])) ? 'on' : '';
		$social  	= (!empty($instance[ 'social' ])) ? 'on' : '';
		$align   	= (!empty($instance['align'])) ? $instance['align'] : '';
		$padding    = (!empty($instance['padding'])) ? $instance['padding'] : '';
		$title      = (!empty($instance['title'])) ? $instance['title'] : '';
		

		//custom css class
		$custom_css_class = 'custom_css_'.uniqid("", true);
		$custom_css_class = str_replace('.','-',$custom_css_class);
		$custom_css_class_w_dot = '.'.$custom_css_class;
		
		
		
		if(!empty($instance[ 'css' ])){
			echo '<style type="text/css">' . esc_attr( $instance[ 'css' ] ) . '</style>';
		}		
		if(!empty($instance[ 'align' ])){
			echo '<style type="text/css">.info-content' . esc_attr( $custom_css_class_w_dot ) . '{text-align:'.esc_attr( $align ).'}</style>';
			if ($instance[ 'align' ] != 'center'){
				echo '<style type="text/css">.info-content' . esc_attr( $custom_css_class_w_dot ) . ' .social-holder{float:'.esc_attr( $align ).'}</style>';
			}
		}		
		if(!empty($instance[ 'padding' ])){
			echo '<style type="text/css">.info-content' . esc_attr( $custom_css_class_w_dot ) . '{padding:'.esc_attr( $padding ).'}</style>';
		}		
		if(!empty($instance[ 'padding' ]) == '0'){
			echo '<style type="text/css">.info-content' . esc_attr( $custom_css_class_w_dot ) . '{padding:0}</style>';
		}
		?>
		
		<?php 
			$socials_temps = array('facebook' , 'skype' ,'google-plus' ,'twitter' ,'vimeo' ,'youtube' ,'flickr' ,'linkedin' ,'pinterest' ,'dribbble' ,'instagram' ,'behance' ,'tumblr' ,'viadeo' , 'xing' ); 
			foreach ($socials_temps as $socials_temp){
				$s[] = $wow_options[$socials_temp];
			}
		?>
		
		<?php if ( !empty($wow_options['header-bar-phone']) || !empty($wow_options['header-bar-address']) || !empty($s[0]) || !empty($s[1]) || !empty($s[2]) || !empty($s[3]) || !empty($s[4]) || !empty($s[5]) || !empty($s[6]) || !empty($s[7]) || !empty($s[8]) || !empty($s[9]) || !empty($s[10]) || !empty($s[11]) || !empty($s[12]) || !empty($s[13]) || !empty($title)) : ?>
		<div class="widget info"><!-- widget -->
				
				<div class="info-content <?php echo esc_attr($custom_css_class) ?>"><!-- info-content -->
			
					<?php if ($title) : ?> 
						<div class="title"><!-- title -->
							<?php echo wow_widget_heading_icon( $instance['title'] ); ?>
						</div><!--/ title -->
					<?php endif; ?>
				
					<?php if ($phone == 'on') :	?>
						<?php if ($wow_options['header-bar-phone']) : ?>
							<div class="phone">
								<h4 class="themecolor1"><?php echo esc_attr($wow_options['header-bar-phone']); ?></h4>
							</div>
						<?php endif; ?>
					<?php endif; ?>					
					
					<?php if ($address == 'on') : ?>
						<?php if ($wow_options['header-bar-address']) : ?>
							<div class="address">
								<h2><?php echo esc_attr($wow_options['header-bar-address']); ?></h2>
							</div>
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($social == 'on') : ?>
						<div class="social-holder"><!-- social-holder -->
							<ul class="social">
								<?php $socials = array('facebook' , 'skype' ,'google-plus' ,'twitter' ,'vimeo' ,'youtube' ,'flickr' ,'linkedin' ,'pinterest' ,'dribbble' ,'instagram' ,'behance' ,'tumblr' ,'viadeo' , 'xing' );
									$social_html = '';
									foreach($socials as $social){
										if ($wow_options[$social]){
											$social_html.=  '
												<li><a href="'.esc_url($wow_options[$social]).'"><i class="wow-social-'. esc_attr(strtolower($social)).'"></i></a></li>
											';
										}
									}
									echo $social_html; //escaped all variables inside this above
								?>
							</ul>
						</div><!-- /social-holder -->
					<?php endif; ?>
					
			</div><!--/ info-content -->
		</div><!--/ widget -->
		<?php endif; ?>

	
	<?php }
	 
	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;
		$instance['phone']		=  strip_tags( esc_attr($new_instance['phone'] ));
		$instance['address']	=  strip_tags( esc_attr($new_instance['address'] ));
		$instance['social']		=  strip_tags( esc_attr($new_instance['social'] ));
		$instance['css']		=  strip_tags( esc_attr($new_instance['css'] ));
		$instance['align'] 		=  strip_tags( esc_attr($new_instance['align']));
		$instance['padding'] 	=  strip_tags( esc_attr($new_instance['padding']));
		$instance['title'] 		=  strip_tags( esc_attr($new_instance['title']));
		
		
		return $instance;
	}
	 
	function form( $instance ) {

		$defaults = array(  );
		$instance = wp_parse_args( (array) $instance, $defaults ); 
	
		/* Set up some default widget settings. */
		$instance['phone']	  = !empty( $instance['phone']) ? 'on' : '';
		$instance['address']  = !empty( $instance['address']) ? 'on' : '';
		$instance['social']	  = !empty( $instance['social']) ? 'on' : '';
		$css                  = !empty( $instance['css']) ? $instance['css'] : '';
		$align 	  			  = !empty( $instance['align']) ? $instance['align'] : '';
		$padding 	  		  = !empty( $instance['padding']) ? $instance['padding'] : '';
		$title 	  		  	  = !empty( $instance['title']) ? $instance['title'] : '';

		?>
		
		<p>
			<?php esc_html_e('All of this options are pulled automatically from theme options ( Appearance -> Theme Options -> General -> Site Info )','infinito-widgets'); ?>
		</p>
		
		<p>
		<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e('Title','infinito-widgets'); ?></label>
		<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>">
		</p>
		
		<p>
		<label for="<?php  echo esc_attr($this->get_field_id( 'phone' )); ?>"><?php esc_html_e('Show Phone?','infinito-widgets') ?></label>
		<input type="checkbox" class="checkbox" id="<?php echo esc_attr($this->get_field_id( 'phone' )); ?>" value="<?php echo esc_attr($this->get_field_id( 'phone' )); ?>" <?php checked( $instance[ 'phone' ], 'on' ); ?> name="<?php echo esc_attr($this->get_field_name( 'phone' )); ?>">
		</p>		
		
		<p>
		<label for="<?php  echo esc_attr($this->get_field_id( 'address' )); ?>"><?php esc_html_e('Show Address?','infinito-widgets') ?></label>
		<input type="checkbox" class="checkbox" id="<?php echo esc_attr($this->get_field_id( 'address' )); ?>" value="<?php echo esc_attr($this->get_field_id( 'address' )); ?>" <?php checked( $instance[ 'address' ], 'on' ); ?> name="<?php echo esc_attr($this->get_field_name( 'address' )); ?>">
		</p>		
		
		<p>
		<label for="<?php  echo esc_attr($this->get_field_id( 'social' )); ?>"><?php esc_html_e('Show Social?','infinito-widgets') ?></label>
		<input type="checkbox" class="checkbox" id="<?php echo esc_attr($this->get_field_id( 'social' )); ?>" value="<?php echo esc_attr($this->get_field_id( 'social' )); ?>" <?php checked( $instance[ 'social' ], 'on' ); ?> name="<?php echo esc_attr($this->get_field_name( 'social' )); ?>">
		</p>
		<p>
		<label for="<?php echo esc_attr($this->get_field_id('align')); ?>"><?php esc_html_e('Text align','infinito-widgets') ?>
			<select class='widefat' id="<?php echo esc_attr($this->get_field_id('align')); ?>"
                name="<?php echo $this->get_field_name('align'); ?>" type="text">
				  <option value='left'<?php echo (esc_attr($align)=='left')?'selected':''; ?>>
					<?php esc_html_e('Left','infinito-widgets') ?>
				  </option>
				  <option value='center'<?php echo (esc_attr($align)=='center')?'selected':''; ?>>
					<?php esc_html_e('Center','infinito-widgets') ?>
				  </option> 
				  <option value='right'<?php echo (esc_attr($align )=='right')?'selected':''; ?>>
					<?php esc_html_e('Right','infinito-widgets') ?>
				  </option> 
				  </select>                
			</label>
        </p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'padding' )); ?>"><?php esc_html_e('Padding of widget: I.e 10px 15px.','infinito-widgets'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'padding' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'padding' )); ?>" value="<?php echo esc_attr($padding); ?>">
		</p>
		<p>
		<label for="<?php  echo esc_attr($this->get_field_id( 'css' )); ?>"><?php esc_html_e('Custom CSS','infinito-widgets') ?></label>
		<textarea class="widefat" rows="16" cols="20" id="<?php echo esc_attr($this->get_field_id('css')); ?>" name="<?php echo esc_attr($this->get_field_name('css')); ?>"><?php echo esc_textarea($css); ?></textarea>
		</p>
		<p>
			<?php esc_html_e('For custom css I.e .info-content{ margin:50px }" ','infinito-widgets'); ?>
		</p>		
	<?php
	}
}