<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
Shortcode widget
=================================================================================================================
*/
add_action( 'widgets_init', 'wow_shortcode_widget' );
function wow_shortcode_widget() {
	register_widget('wow_shortcode_widget');
}

class wow_shortcode_widget extends WP_Widget {

	function __construct() {
		global $wow_theme_name;
		
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'wow_shortcode_widget', 'description' => 'Paste any shortcode' );
		 
		/* Widget control settings. */
		$control_ops = array( 'id_base' => 'wow_shortcode_widget' );
		 
		/* Create the widget. */
		parent::__construct( 'wow_shortcode_widget', ''.$wow_theme_name.' Shortcode', $widget_ops, $control_ops );
	}
	 
	function widget( $args, $instance ) {
		
		global $wow_options;
		
		extract( $args );
		?>

		<div class="widget"><!-- widget -->
				<div class="title"><!-- title -->
						<?php if(!empty($instance['title'])) : ?>
						<?php echo wow_widget_heading_icon( $instance['title'] ); ?>
						<?php endif; ?>
				</div><!--/ title -->
				
				<div class="shortcode-content"><!-- shortcode-content -->
					<?php if(!empty($instance['shortcode'])) : ?>
					
						<?php //shortcode has custom VC CSS
							$x = explode('.vc_custom_',$instance['shortcode']);
							if ( count ($x) > 0){
								
								echo '<style type="text/css">';
								for ( $i = 1; $i <= count ($x) - 1; $i++){
									$vc_custom_css = strstr($x[$i], '}' , true);
									$vc_custom_css = '.vc_custom_' . $vc_custom_css . '}';
									echo esc_attr( $vc_custom_css );								}
								echo '</style>';
							}
						?>
						<?php
						$shortcode = str_replace('&quot;','"',$instance['shortcode']);
						echo do_shortcode( wp_kses( $shortcode, array()) ); ?>
					<?php endif; ?>
				</div><!--/ shortcode-content -->
		</div><!--/ widget -->

	
	<?php }
	 
	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;
		$instance['title']		=  strip_tags( esc_attr($new_instance['title'] ));
		$instance['shortcode']		=  strip_tags( esc_attr($new_instance['shortcode'] ));
		
		
		return $instance;
	}
	 
	function form( $instance ) {

		$defaults = array(  );
		$instance = wp_parse_args( (array) $instance, $defaults ); 
	
		/* Set up some default widget settings. */
		$title	              = isset( $instance['title']) ? strip_tags(esc_attr( $instance['title'] )) : '';
		$shortcode	              = isset( $instance['shortcode']) ? strip_tags(esc_attr( $instance['shortcode'] )) : '';

		?>
		

		<p>
		<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e('Title','infinito-widgets') ?></label>
		<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>">
		</p>
		
		<p>
			<?php esc_html_e('Paste any shortcode into this textarea.','infinito-widgets'); ?>
		</p>
		
		<p>
		<textarea class="widefat" rows="16" cols="20" id="<?php echo esc_attr($this->get_field_id('shortcode')); ?>" name="<?php echo esc_attr($this->get_field_name('shortcode')); ?>"><?php echo esc_html($shortcode); //esc_textarea doesn't work well here?></textarea>
		</p>

	
	<?php
	}
}