<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
Twitter widget
=================================================================================================================
*/

add_action( 'widgets_init', 'wow_load_twitter_Widget' );
function wow_load_twitter_Widget() {
	register_widget( 'wow_twitter_Widget' );
}
	
class wow_twitter_Widget extends WP_Widget {

	function __construct() {
	global $wow_theme_name;
	
	
	/* Widget settings. */
	$widget_ops = array( 'classname' => 'widget_tw', 'description' => '' );
	 
	/* Widget control settings. */
	$control_ops = array( 'id_base' => 'tw-widget' );
	 
	/* Create the widget. */
	parent::__construct( 'tw-widget', ''.$wow_theme_name.' Twitter Feed', $widget_ops, $control_ops );
	}
	 
	function widget( $args, $instance ) {
		
	global $wow_options;
	
	extract( $args );
	require_once ('twitter-api/TwitterAPIExchange.php');
	
	if (
            ! empty( $instance['twitter'] )
            && ! empty( $instance['twitter_consumer_key'] )
            && ! empty( $instance['twitter_consumer_secret'] )
            && ! empty( $instance['twitter_oauth_access_token'] )
            && ! empty( $instance['twitter_oauth_access_token_secret'] )
        ) {
		$settings = array(
				'oauth_access_token' => $instance['twitter_oauth_access_token'],
				'oauth_access_token_secret' => $instance['twitter_oauth_access_token_secret'],
				'consumer_key' => $instance['twitter_consumer_key'],
				'consumer_secret' => $instance['twitter_consumer_secret']
		);

		/** URL for REST request, see: https://dev.twitter.com/docs/api/1.1/ **/

			$url = 'https://api.twitter.com/1.1/statuses/user_timeline.json';
			$getfield = '?screen_name='.$instance['twitter'].'&count='.$instance['number_of_tweets'].'';
			//$getfield = '?screen_name='.$instance['twitter'].'&count=1';
			$requestMethod = 'GET';
			$twitter = new TwitterAPIExchange($settings);
			$vars = json_decode($twitter->setGetfield($getfield)
             ->buildOauth($url, $requestMethod)
             ->performRequest());
			$text_tw = '';
			if (is_array($vars))
			{
				foreach ($vars as $list) 
				{
					$date = (strtotime($list->created_at));
					$datee = date("F j, Y", $date); 
					$text_tw .= ' <li>'.esc_attr($list->text).'<br><span class="wow-social-twitter twitter-icon themecolor1"></span><span class="date">'.esc_attr($datee).'</span></li>';
				}
			}
		else {
		$counter = 0;
		}
	}
	echo $before_widget;
	
	echo '
	<div class="widget-twitter"><!-- widget -->
		<div class="title">
			'.wow_widget_heading_icon( $instance['title'] ).'
		</div>
		 <div class="clear"></div>

		<ul class="tweets">
			'.$text_tw //escaped above
			.'               
		</ul>
	</div><!--/ widget -->
	';
                                 	
	echo $after_widget;
	}
	 
	function update( $new_instance, $old_instance ) {
	$instance = $old_instance;
	 
	/* Strip tags (if needed) and update the widget settings. */
		$instance['title']                             = strip_tags(esc_attr( $new_instance['title']));
		$instance['twitter']                           = strip_tags(esc_attr($new_instance['twitter']));
		$instance['twitter_oauth_access_token']        = strip_tags(esc_attr($new_instance['twitter_oauth_access_token']));
		$instance['twitter_oauth_access_token_secret'] = strip_tags(esc_attr($new_instance['twitter_oauth_access_token_secret']));
		$instance['twitter_consumer_key']              = strip_tags(esc_attr($new_instance['twitter_consumer_key']));
		$instance['twitter_consumer_secret']           = strip_tags(esc_attr($new_instance['twitter_consumer_secret']));
		$instance['number_of_tweets']                  = strip_tags(absint($new_instance['number_of_tweets']));
	return $instance;
	}
	 
	function form( $instance ) {
		
		$title                              = isset( $instance['title']) ? strip_tags(esc_attr( $instance['title'] )) : 'Twitter feed';
		$twitter                            = isset( $instance['twitter']) ? strip_tags(esc_attr( $instance['twitter'] )) : 'hero_wp';
		$twitter_oauth_access_token         = isset( $instance['twitter_oauth_access_token']) ? strip_tags(esc_attr( $instance['twitter_oauth_access_token'] )) : '1967467555-OmR4wsSk8IZrBRaoi5EmOtZbb0NtFbpHUPnl7VG';
		$twitter_oauth_access_token_secret  = isset( $instance['twitter_oauth_access_token_secret']) ? strip_tags(esc_attr( $instance['twitter_oauth_access_token_secret'] )) : 'y2Gp4mKVly7Gs0YirV8ps5i7X9AU3ux1KAjoSJg0kFx03';
		$twitter_consumer_key               = isset( $instance['twitter_consumer_key']) ? strip_tags(esc_attr( $instance['twitter_consumer_key'] )) : 'YxJYC6pgBbUkH3HGmF9dg';
		$twitter_consumer_secret            = isset( $instance['twitter_consumer_secret']) ? strip_tags(esc_attr( $instance['twitter_consumer_secret'] )) : 'hGcmZL8SUcdZc16fKJ2KVe8UsHxsjImQ8xXVSLWc6R8';
		$number_of_tweets                   = isset( $instance['number_of_tweets'] ) ? strip_tags(absint( $instance['number_of_tweets'] )) : 5;

	?>
	<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e('Title', 'infinito-widgets'); ?><br/></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" />
		</p>	
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'twitter' )); ?>"><?php esc_html_e('Twitter Username:', 'infinito-widgets'); ?><br/></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'twitter' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'twitter' )); ?>" value="<?php echo esc_attr($twitter); ?>" />
		</p>		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'twitter_oauth_access_token' )); ?>"><?php esc_html_e('Twitter Oauth Access Token:', 'infinito-widgets'); ?><br/></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'twitter_oauth_access_token' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'twitter_oauth_access_token' )); ?>" value="<?php echo esc_attr($twitter_oauth_access_token); ?>" />
		</p>	
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'twitter_oauth_access_token_secret' )); ?>"><?php esc_html_e('Twitter Oauth Access Token Secret:', 'infinito-widgets'); ?><br/></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'twitter_oauth_access_token_secret' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'twitter_oauth_access_token_secret' )); ?>" value="<?php echo esc_attr($twitter_oauth_access_token_secret); ?>" />
		</p>	
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'twitter_consumer_key' )); ?>"><?php esc_html_e('Twitter Consumer Key:', 'infinito-widgets'); ?><br/></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'twitter_consumer_key' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'twitter_consumer_key' )); ?>" value="<?php echo esc_attr($twitter_consumer_key); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'twitter_consumer_secret' )); ?>"><?php esc_html_e('Twitter Consumer Secret:', 'infinito-widgets'); ?><br/></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'twitter_consumer_secret' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'twitter_consumer_secret' )); ?>" value="<?php echo esc_attr($twitter_consumer_secret); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'number_of_tweets' )); ?>"><?php esc_html_e('Number of tweets:', 'infinito-widgets'); ?><br/></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'number_of_tweets' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'number_of_tweets' )); ?>" value="<?php echo esc_attr($number_of_tweets); ?>" />
		</p>
	<?php
	}

}