<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
Theme support
=================================================================================================================
*/
if ( function_exists( 'add_theme_support' ) ){
	
	// Add Thumbnail Theme Support
	add_theme_support( 'title-tag' );
	add_theme_support( 'post-thumbnails', array( 'post', 'page' ) );
	add_theme_support( 'post-formats', array('quote', 'video', 'audio','gallery') );
	add_image_size('large', 700, '', true); // Large Thumbnail
	add_image_size('medium', 250, '', true); // Medium Thumbnail
	add_image_size('small', 120, '', true); // Small Thumbnail
	add_image_size('custom-size', 700, 200, true); // Custom Thumbnail Size call using the_post_thumbnail('custom-size');
	// Enables post and comment RSS feed links to head
	add_theme_support('automatic-feed-links');
	// Localisation Support
	load_theme_textdomain('infinito', get_template_directory(). '/languages');
	
}

if ( ! isset( $content_width ) ) $content_width = 900;


/*
=================================================================================================================
Actions & Filters
=================================================================================================================
*/

// Add Actions
add_action('get_header', 'wow_enable_threaded_comments'); // Enable Threaded Comments
add_action('init', 'wow_register_menu'); // Register menu

// Add Filters
add_filter('avatar_defaults', 'wow_gravatar'); // Custom Gravatar in Settings > Discussion
add_filter('widget_text', 'do_shortcode'); // Allow shortcodes in Dynamic Sidebar
add_filter('widget_text', 'shortcode_unautop'); // Remove <p> tags in Dynamic Sidebars (better!)
add_filter('the_excerpt', 'shortcode_unautop'); // Remove auto <p> tags in Excerpt (Manual Excerpts only)
add_filter('the_excerpt', 'do_shortcode'); // Allows Shortcodes to be executed in Excerpt (Manual Excerpts only)

// Remove Filters
remove_filter('the_excerpt', 'wpautop'); // Remove <p> tags from Excerpt altogether