<?php
/**
 * The default blog posts template
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
get_header();

//gap class
$wow_blog_gap_class = ( !empty($wow_options['gap']) ) ? ' gap' : '';

//add padding if fancy sidebar and no breadcumb
wow_fancy_no_breadcrumb();

//how many portfolio/blog posts on row on responsive devices
wow_per_row_responsive();
?>


<div id="page-body" class="content-wrapper"><!-- page-body -->

<?php if ( $wow_options['blog_container'] == 'container' ) { echo'<div class="container blog"><!-- container -->'; } ?>
		
		<div class="posts-block <?php echo esc_attr($wow_options['blog_style']); echo esc_attr($wow_blog_gap_class); ?>" id="post-body"><!-- posts-block -->

			<?php if ( $wow_options['blog_layout'] == 'no-sidebar' ) : ?>
				<div class="row-eq-height"><?php get_template_part('inc/templates/post/loop','post'); ?></div>
			<?php endif; ?>				
				
			<?php if ( $wow_options['blog_layout'] == 'right-sidebar' ) : ?>
				<div class="vc_col-md-8  vc_col-xs-12 nopadding">
					<div class="blog-start row-eq-height">
						<?php get_template_part('inc/templates/post/loop','post'); ?>
					</div>
				</div>
				<div class="vc_col-md-4  vc_col-xs-12  nopadding_right right_sidebar">
					<div class="right_sidebar_container">
						<?php dynamic_sidebar('right_sidebar'); ?>
					</div>
				</div>
			<?php endif; ?>					
				
			<?php if ( $wow_options['blog_layout'] == 'left-sidebar' ) : ?>

				<div class="vc_col-md-4 vc_col-xs-12  nopadding_left left_sidebar">	
					<div class="left_sidebar_container">
						<?php dynamic_sidebar('left_sidebar'); ?>
					</div>
				</div>
					
				<div class="vc_col-md-8 vc_col-xs-12 nopadding">
					<div class="blog-start row-eq-height">
						<?php get_template_part('inc/templates/post/loop','post'); ?>
					</div>
				</div>
					
			<?php endif; ?>					
				
			<?php if ( $wow_options['blog_layout'] == 'both-sidebars' ) : ?>

				<div class="vc_col-md-3 vc_col-xs-12 nopadding_left left_sidebar">
					<?php dynamic_sidebar('left_sidebar'); ?>
				</div>
					
				<div class="vc_col-md-6 vc_col-xs-12 nopadding">
					<div class="vc_row row-eq-height">
						<?php get_template_part('inc/templates/post/loop','post'); ?>
					</div>
				</div>
					
				<div class="vc_col-md-3  vc_col-xs-12  nopadding_right right_sidebar">
					<?php dynamic_sidebar('right_sidebar'); ?>
				</div>
					
			<?php endif; ?>	
		
	</div><!-- /posts-block -->
	
	<?php wow_pagination(); wp_reset_query(); ?>
	
<?php if ( $wow_options['blog_container'] == 'container' ) { echo'</div><!--/ container -->'; } ?>

</div><!--/ page-body -->
<?php get_footer(); ?>