(function($){  

	"use strict";		
	var sub_menu_heights ={};
	var sticky_is = 'off';
	var wow_is_zig_zag = false;
	
	function get_submenu_heights( sub_menu_heights ){
		
		if( $.isEmptyObject( sub_menu_heights ) ){
			$( "nav.menu .sub-menu" ).css("max-height","");
			
			var submenu_selector;
			
			if( wow_menu_params.responsive_position == 'side_responsive_menu' ){
				if( $("body").hasClass("wowFP") ){
					submenu_selector = $( "header nav.menu ul.sub-menu" );
				}
				else{
					submenu_selector = $( ".side_responsive_menu_wrap nav.menu ul.sub-menu" );
				}
				
			}
			else{
				
				if( $( "body" ).hasClass("header-under") ){
					submenu_selector = $("header.for_mobile nav.menu ul.sub-menu");
				}
				else{
					submenu_selector = $( "header nav.menu ul.sub-menu" );
				}				
			}
	
			submenu_selector.each(function() {						
				var id = $( this ).closest("li").attr("id");
				sub_menu_heights[id] = $( this ).css("height");
			});
			$( "nav.menu .sub-menu" ).css("max-height","0");
		
		}
		else{
			$( "nav.menu .sub-menu" ).css("max-height","0");
		}		
	}

	function responsiveMultiMenu() {
		
		//var window_width = $(window).width();
		var window_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
		
		wow_is_zig_zag = $("nav.menu").hasClass("menu-zig-zag");
		
		if( window_width > 1200 ){

			if( $("body").hasClass("boxed-layout") ){
				
				if( $("body").hasClass("header-wrap-horizontal") && $("body").hasClass("home") ){
					var header_height = $("header:not(.for_mobile) .header-inner").outerHeight(true);
					
					//css pseudo elements don't accept .css() jquery, so we have to do it this way
					$('<style>@media only screen and (min-width: 1201px) {.header-wrap-horizontal.boxed-layout.home .header-main-wrapper:before{height: ' + header_height + 'px;}}</style>').appendTo('head');				
				}		
			}
		}
		else{
			
			if( wow_is_zig_zag ){
				$("nav.menu").removeClass("menu-zig-zag");
			}
			
			if( wow_menu_params.responsive_position == 'side_responsive_menu' ){
				
				if( $("body").hasClass("rtl") ){
					$("body").css({
						"right":"0",
						"transition":"right 0.3s linear",
						"overflow-x": "visible"						
					});					
				}
				else{
					$("body").css({
						"left":"0",
						"transition":"left 0.3s linear",
						"overflow-x": "visible"
					});					
				}
				
				$(document).on('click', function (e) {
					if( $(e.target).attr("id") == 'body_overlay' ){
						$(".side_responsive_menu_wrap .menu-toggle").remove();
						$(".side_responsive_menu_wrap .menu").remove();
						$("#body_overlay").removeClass("on");
						$("body").removeClass("side_type_menu");
						$("header").removeClass("header_show");
						$(".menu-toggle .hamburger").removeClass("is-active");
						if( $("body").hasClass("rtl") ){
							$("body").css("right","0");
						}
						else{
							$("body").css("left","0");
						}
							
						$(".header-wrapper.resposive_sticky_active").css("position","fixed");
						$(".header-wrapper.resposive_sticky_active").css("top","0");
						$(".menu-toggle .menu-toggle-button").toggleClass("open");
						$("ul.wow-megamenu").css("max-height","0");
						$(".menu_dropdown_arrow, .menu_dropdown_arrow2").removeClass("minus");
					}
				});									
			}
			else if( wow_menu_params.responsive_position == 'top_responsive_menu'){
				
				$(document).on('click', function (e) {
					if( $(e.target).attr("id") == 'body_overlay' ){
						$("header.header_show").removeClass("header_show");
						$(".menu-toggle .hamburger.is-active").removeClass("is-active");
						$("#body_overlay").removeClass("on");
						$(".header-wrapper.resposive_sticky_active").css("top","0");
						$(".wow-megamenu.show_submenu").removeClass("show_submenu");
						$("ul.wow-megamenu").css("max-height","0");
						$(".menu_dropdown_arrow, .menu_dropdown_arrow2").removeClass("minus");
					}
				});	
			}			
			else if( wow_menu_params.responsive_position == 'short_responsive_menu'){
				
				$(document).on('click', function (e) {
					if( $(e.target).attr("id") == 'body_overlay' ){
						$("header.header_show").removeClass("header_show");
						$(".menu-toggle .hamburger.is-active").removeClass("is-active");
						$("#body_overlay").removeClass("on");
						$(".header-wrapper.resposive_sticky_active").css("top","0");
						$(".wow-megamenu.show_submenu").removeClass("show_submenu");
						$("ul.wow-megamenu").css("max-height","0");
						$(".menu_dropdown_arrow, .menu_dropdown_arrow2").removeClass("minus");
					}
				});	
			}						
		}		
	}
	
	$(document).on('click', '.header-wrapper .menu-toggle, #side_responsive_menu .menu-toggle', function() {	
		
		var viewport_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);

		if( viewport_width <= 1200 ){
				var toggle_button = '<div class="menu-toggle">' + $(this).html() + '</div>';
				
				$("#body_overlay").addClass("on");
				
				if( $(".header-wrapper").hasClass("resposive_sticky_active") &&  !$("header").hasClass("header_show") ){
					
					var sticky_offset = $(".header-wrapper.resposive_sticky_active").offset().top,
						admin_bar = 0,
						sticky_top = sticky_offset;
					if( $("body").hasClass("admin-bar") && wow_menu_params.responsive_position == 'short_responsive_menu' ){
						admin_bar = $("#wpadminbar").outerHeight(true);
						sticky_top = sticky_offset - admin_bar;
					}
					
					$(".header-wrapper.resposive_sticky_active").css("position","absolute");
					$(".header-wrapper.resposive_sticky_active").css("top",sticky_top + "px");
				}
				else if( $(".header-wrapper").hasClass("resposive_sticky_active") &&  $("header").hasClass("header_show") ){
					$(".header-wrapper.resposive_sticky_active").css("position","fixed");
					$(".header-wrapper.resposive_sticky_active").css("top","0");
				}
				
				//for menu with center logo we take the left menu and prepend it to the one on the right
				if( $("body").hasClass("header-five-a") ){
					if( viewport_width <= 1200 ){
						
						$("ul#menu-right-menu > li.left_menu_item").remove();
						$("ul#menu-left-menu > li").addClass("left_menu_item");
						var left_menu = $("ul#menu-left-menu").html();						
						$("ul#menu-right-menu").prepend( left_menu );
					}
				}				
				if( wow_menu_params.responsive_position == 'top_responsive_menu' ){
					
					get_submenu_heights( sub_menu_heights );
					
					$("nav.menu .menu-toggle").remove();
					if( !$("header").hasClass('top_responsive_menu')  && !$("body").hasClass("wowFP") ) {
						$("nav.menu").prepend(toggle_button);
					}
				}
				else if( wow_menu_params.responsive_position == 'side_responsive_menu' ){
					
					if( $("#side_responsive_menu .hamburger").hasClass("is-active") ){
						
						$(".side_responsive_menu_wrap .menu-toggle").remove();
						$(".side_responsive_menu_wrap .menu").remove();
						$("#body_overlay").removeClass("on");
						$("body").removeClass("side_type_menu");
						$("body").css("left","0");
					}
					else{
						
						var menu;
						
						if( $("body").hasClass("header-five-a") ){
							menu = $("header .menu-wrap-right").html();
						}
						else{
							menu = $("header .menu-wrap").html();
						}
						
						if(   !$("body").hasClass("wowFP")  ){
							
							if( $("body").hasClass("rtl") ){
								$("body").css("right","-135px");
								$("body").css("left","auto");
							}
							else{
								$("body").css("left","-135px");
							}
							$(".side_responsive_menu_wrap").append(toggle_button + menu);
							$("body").addClass("side_type_menu");
							
							
						}
						else{
							$("#side_responsive_menu").remove();
							$("#body_overlay").remove();
							
						}
						
						get_submenu_heights( sub_menu_heights );						
					}					
				}
				else if( wow_menu_params.responsive_position == 'short_responsive_menu' ){
					get_submenu_heights( sub_menu_heights );
				}
								
				if( $("header").hasClass( "header_show" ) ){
					$("#body_overlay").removeClass("on");
					$("nav.menu ul.sub-menu").removeClass("show_submenu").css("max-height","0");
					$(".menu_dropdown_arrow, .menu_dropdown_arrow2").removeClass("minus");
					
				}
				$("header").toggleClass("header_show");
				$(".menu-toggle .hamburger").toggleClass("is-active");
		}
	});
			
	$(document).on('click', "nav.menu .menu_dropdown_arrow , nav.menu .menu_dropdown_arrow2", function(event) {	
		
		event.preventDefault();
				
		var viewport_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
				
		if( viewport_width <= 1200 ){
			//responsive menu expand
			var li_before = $(this).closest("li"),
				li_before_id = li_before.attr("id"),
				submenu = li_before.find("> ul.sub-menu");			
					
				submenu.toggleClass("show_submenu");
				$(this).toggleClass("minus");
				if( submenu.hasClass("show_submenu") ){
					submenu.css("max-height",sub_menu_heights[li_before_id]);
				}
				else{
					submenu.css("max-height","0");
					}							
				}
		else if( $("body").hasClass("header-overlay") && viewport_width > 1200 ){
			//overlay menu expand for desktop view
			var li_before = $(this).closest("li"),
				li_before_id = li_before.attr("id"),
				submenu = li_before.find("> ul.sub-menu");			
					
				submenu.toggleClass("show_submenu");
				$(this).toggleClass("minus");				
		}
				
	});
	
	$(window).load(function() {	
		responsiveMultiMenu();
		//adaptMenu();
	});
	
	function adaptMenu() {
		
		var viewport_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);

		if( viewport_width <= 1200 ){
			
			$("ul.wow-megamenu").css("width","");
			
			if( wow_is_zig_zag ){
				$("nav.menu").removeClass("menu-zig-zag");
			}
			
			if( $(".header-wrapper").hasClass("sticky") ){
				$(".header-wrapper").removeClass("sticky").addClass("has_desktop_sticky");
				$(".header-wrapper").css("padding-left","15px");
				$(".header-wrapper").css("padding-right","15px");
				$(".header-wrapper").css("box-sizing","border-box");
				$(".header-wrapper").css("width","100%");
			}
			else{
				$(".header-wrapper").css("width","100%");
				$(".header-wrapper").css("box-sizing","border-box");
			}
			
			get_submenu_heights( sub_menu_heights );
			
			if( $("header").hasClass("one_page_head") ){
				 
				$("body").removeClass("top_responsive_menu side_responsive_menu").addClass("wowFP short_responsive_menu");
			}
			
			$(".logo img.desktop_logo").css("display","none");
			$(".logo img.desktop_sticky_logo").css("display","none");
		}
		else{
			$("nav.menu ul").css("max-height","");
			$("#body_overlay").removeClass("on");
			
			if( wow_is_zig_zag ){
				$("nav.menu").addClass("menu-zig-zag");
			}
			
			if( wow_menu_params.responsive_position == 'top_responsive_menu'){
				$(".header-main-wrapper").css("height","auto");
			}
			
			$(".header-wrapper").removeAttr("style");
			
			if( $(".header-wrapper").hasClass("has_desktop_sticky") ){
			
				var stickyTriggerVal , 
				scrollTrigger = $(document).scrollTop();
				
				if( $("body").hasClass("header-under") ){
					stickyTriggerVal = $('.header-under-wrapper').outerHeight( true );
				}
				else{
					stickyTriggerVal = $('.menu-wrap').outerHeight( true );
				} 				
				if( scrollTrigger > stickyTriggerVal ){
					$(".header-wrapper").addClass("sticky").removeClass("has_desktop_sticky");
					sticky_is = 'on';
				}
				else{
					$(".header-wrapper").removeClass("has_desktop_sticky");
					sticky_is = 'off';
				}

					var boxed_sticky = $(".do-sticky").hasClass('sticky-boxed');
									
					if( boxed_sticky ){					
						var header_width = $("header").outerWidth(true);
						if( viewport_width > ( parseInt( wow_menu_params.grid ) + 70 ) ){
							var margin_to_padding = ( parseInt( header_width ) - parseInt( wow_menu_params.grid ) ) / 2;
						}
						else{
							var margin_to_padding = ( parseInt( header_width ) - 1090 ) / 2;
						}
						$('.header-wrapper').css("margin-left","0px");
						$('.header-wrapper').css("margin-right","0px");				
						$('.header-wrapper').css("width","100%");
						$('.header-wrapper').css("padding-left",margin_to_padding + "px");
						$('.header-wrapper').css("padding-right",margin_to_padding + "px");
					}		
			}
		}
	}
	var buffer_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
	$(window).resize(function() {

		var now_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
			
		if( ( buffer_width > 1200 && now_width <= 1200 ) || ( now_width > 1200 && buffer_width <= 1200 )){	
			adaptMenu();
			buffer_width = now_width;
		}
		
	});	
	

	function zig_zag_menu_alignment( selector ){
		var window_width = $(window).width(),
			li_width = selector.outerWidth(true),
			li_offset = selector.offset().left,
			zizag_menu = selector.find("> ul"),
			sub_menu_height = selector.find("> ul > li").outerHeight(true),
			zig_zag_offset = 0.46631 * sub_menu_height + 5,
			zizag_menu_real_width = selector.find("> ul").outerWidth(true),
			zizag_menu_width = parseInt( zizag_menu_real_width ) + parseInt( zig_zag_offset ) + 50;			
			
			var this_height = selector.outerHeight();
			var this_top = selector.position().top;
			var top_position =  this_height + this_top;
			
			zizag_menu.css( "top" , top_position + "px" );
				
			var self_center_offset = li_offset + parseInt( li_width / 2);
			
			
			if(  self_center_offset > zizag_menu_width / 2 
							&&
					  window_width - self_center_offset > zizag_menu_width / 2 
					)
			{
				var zizag_left =  parseInt( self_center_offset - zizag_menu_real_width / 2 ) - parseInt( li_width * 15 / 200 );
				zizag_menu.css( "left" , zizag_left  + "px" );				
			}
			
			//else align left
			else if( window_width - li_offset > zizag_menu_width ){
				
				zizag_menu.css( "left" , "40px" );
			}
			//else align right
			else{
				zizag_menu.css( "right" , "40px" );
				zizag_menu.css( "left" , "auto" );
			}		
		
	}

	//for zig zag menu  
	if($("nav.menu").hasClass('menu-zig-zag') && $("body").hasClass('header-wrap-horizontal')){
		var window_width = $(window).width();
		
		if( window_width > 1200 ){


			$(document).on('mouseenter', ".menu-zig-zag > ul > li:not(.has_megamenu)", function() {			
				
				if( !$(this).hasClass("menu-item-cart") ){
					
					//zig zag menu disable_link background color fix
					var zig_zag_bg = $(this).find(" > ul > li > a:not(.disable_link)").closest("li").css('background-color');
					if( zig_zag_bg ){
						
						$(document).on('mouseenter', $(this).find(".disable_link"), function() {
						//$( $(this).find(".disable_link") ).mouseenter(function() {					
							$(this).closest("li").hover(function() {
							  $(this).css("background-color",zig_zag_bg);
							});
						});											
					}
					
					var parent_width = parseInt( $(this).outerWidth());
					var left_offset =  parseInt( $(this).offset().left);
					var child_width =  parseInt( $(this).find("ul").outerWidth());	

					zig_zag_menu_alignment( $(this) );

				}
				else if($(this).hasClass("menu-item-cart") && $(this).closest(".header-wrapper").hasClass("sticky") ){
					$(this).find(".widget_shopping_cart_content").css("top",$(this).outerHeight(true));
				}
				else{
					$(this).find(".widget_shopping_cart_content").css("top","0");
				}
			});				
		}	
	}
	
	var original_logo_src = $("header .logo img").attr("src");

	//sticky menu
	var lastScrollTop = 0,
		responsive_header_height = $(".header-wrapper").outerHeight( true ),
		wow_header_inner_height;
													
	jQuery(function($){
		
		"use strict";
		
		var window_width = $(window).width();
		
		if( window_width > 1200 ){		
			
			if( $("body").hasClass("header-eleven") ){
				
			}
			else if( $("body").hasClass("wow_full_page") ){
				
			}
			else{
				
				if( $( ".header-wrapper.do-sticky" ).length && $( ".header_breadcrumb" ).length ){
					
					wow_header_inner_height = $(".header-inner").outerHeight( true );
				}				
			}
		}		
	});
				
	$(window).scroll(function() {
		"use strict";
		var bg_color='';
		
		var width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);

		if ( width > 1200){

			var stickyTriggerVal , 			
			scrollTrigger = $(this).scrollTop();
			
			if( $("body").hasClass("header-under") ){
				stickyTriggerVal = parseInt( $('.header-under-wrapper').outerHeight( true ) ) + parseInt(  $('header:not(.for_mobile)').outerHeight( true )  ) ;
				
			}
			else{
				stickyTriggerVal = $('.menu-wrap').outerHeight( true );
			}

			//check if a menu item is hovered
			var item_hovered_el = $("nav.menu ul > li:hover").length;
			var item_hovered, search_opened = $(".menu .menu-show-search").hasClass("show");
			if( item_hovered_el === 0 ){
				item_hovered = false;
			}
			else{
				item_hovered = true;
			}
			

			if (scrollTrigger > parseInt( stickyTriggerVal ) + parseInt( $(".header-wrapper").outerHeight(true) ) && $('.header-wrapper').hasClass("do-sticky") && sticky_is == 'off' && !item_hovered && !search_opened ){
				
				sticky_is = 'on';							
				
				$("nav .main_menu > li > ul").removeAttr("style");
				
				if( wow_menu_params.sticky_width == 'sticky-boxed' ){
					
				}

				//sticky logo
				$(".desktop_logo").css("display","none");
				$(".desktop_sticky_logo").css("display","block");
				
				$('.header-wrapper').removeClass(wow_menu_params.stickyAnim_Out);
				$('.header-wrapper').addClass("sticky " + wow_menu_params.stickyAnim_In );
					
					var boxed_sticky = $(".do-sticky").hasClass('sticky-boxed');
									
					if( boxed_sticky ){					
						var header_width = $("header").outerWidth(true);
						
						if( width > ( parseInt(wow_menu_params.grid) + 70 ) ){
							var margin_to_padding = (header_width - wow_menu_params.grid ) / 2;
						}
						else{
							var margin_to_padding = (header_width - 1090 ) / 2;
						}
						$('.header-wrapper').css("margin-left","0px");
						$('.header-wrapper').css("margin-right","0px");				
						$('.header-wrapper').css("width","100%");
						$('.header-wrapper').css("padding-left",margin_to_padding + "px");
						$('.header-wrapper').css("padding-right",margin_to_padding + "px");
					}
					
					if(boxed_sticky && $(".menu").hasClass('menu-zig-zag')){
			
						
						$(".sticky-boxed.sticky").css("width","100%");
						
						
											
						var addRule = (function (style) {
							var sheet = document.head.appendChild(style).sheet;
							return function (selector, css) {
								var propText = typeof css === "string" ? css : Object.keys(css).map(function (p) {
									return p + ":" + (p === "content" ? "'" + css[p] + "'" : css[p]);
								}).join(";");
								sheet.insertRule(selector + "{" + propText + "}", sheet.cssRules.length);
							};
						})(document.createElement("style"));
														
					}

					if( $("body").hasClass("boxed-layout") ){
						if(  $("body").hasClass("header-wrap-horizontal" ) ){
							var window_width = $(window).width(),
								boxed_padding = ( window_width - wow_menu_params.grid ) / 2;
							
							$(".boxed-layout .header-wrapper.sticky").css({
								"padding-left"  : boxed_padding + "px",
								"padding-right" : boxed_padding + "px",
							});
							
							if( $("body").hasClass("home") ){
								$(".boxed-layout .header-inner").css("position","static");
							}
						}					
					}

					if( $("body").hasClass("header-eleven") ){
						
					}
					else if( $("body").hasClass("wow_full_page") ){
						
					}
					else{
						
						if( $( ".header-wrapper.do-sticky" ).length && $( ".header_breadcrumb" ).length ){
														
							var wow_sticky_header_height = $(".header-inner").outerHeight( true );
							var wow_breadcrum_padding = wow_header_inner_height -  wow_sticky_header_height ;
							$( ".header_breadcrumb" ).css("padding-top", wow_breadcrum_padding + "px" );
							
						}				
					}		
			}
			else if ($('.header-wrapper').hasClass("sticky") && scrollTrigger < stickyTriggerVal && sticky_is == 'on'){
				
				sticky_is = 'off';
				
				//due to different size of the menu when sticky is on and off, we need to keep breadcrumb in place, by adding a calculated padding-top
				//here we need to remove the extra padding we gave above
				if( $( ".header_breadcrumb" ).length ){				
					$( ".header_breadcrumb" ).css("padding-top", "0" );
				}
				
				$("nav .main_menu > li > ul").removeAttr("style");
				
				//sticky logo
				$(".desktop_logo").css("display","block");
				$(".desktop_sticky_logo").css("display","none");			
				
				if( wow_menu_params.header_width == "1" ){
					if( width > ( parseInt( wow_menu_params.grid ) + 70 ) ){
						$(".sticky-boxed").css("width",wow_menu_params.grid + "px");
					}
					else{
						$(".sticky-boxed").css("width","1090px");
					}
					$(".sticky-boxed").css("padding-left","15px");
					$(".sticky-boxed").css("padding-right","15px");
					$(".sticky-boxed").css("margin-left","auto");
					$(".sticky-boxed").css("margin-right","auto");
				}
				else{
					$(".sticky-boxed").css("width","calc(100% - 30px)");
					$(".sticky-boxed").css("padding-left","15px");
					$(".sticky-boxed").css("padding-right","15px");
				}
		
				var boxed_sticky = $(".do-sticky").hasClass('sticky-boxed');
				
				if( boxed_sticky ){
					//$('.header-wrapper').css("width",wow_menu_params.grid);
				}
				$('.header-wrapper').removeClass("sticky " + wow_menu_params.stickyAnim_In);
				$('.header-wrapper').addClass(wow_menu_params.stickyAnim_Out);
				
				if( $("body").hasClass("boxed-layout") && $("body").hasClass("header-wrap-horizontal") ){

					$(".boxed-layout .header-wrapper").css({
						"padding-left"  : "0px",
						"padding-right" : "0px",
					});
					
					if( $("body").hasClass("home") ){
						if(  $("body").hasClass("header-under" ) || $("body").hasClass("header-default" ) ){					
							$(".boxed-layout .header-inner").css("position","static");
						}
						else{
							$(".boxed-layout .header-inner").css("position","fixed");
						}						
					}			
				}				
			}		
		}
		else{
			
			var menu_active = $("header").hasClass("header_show");
			if( ( wow_menu_params.responsive_sticky == true ||  wow_menu_params.responsive_sticky == 1 ) && !menu_active ){

				var st = window.pageYOffset || document.documentElement.scrollTop;
	
				if (st > lastScrollTop){
				  // downscroll code
				   if( !$("header").hasClass("resposive_sticky_hide") && st > 100 ){
						$("header").addClass("resposive_sticky_hide");			   
				   }
				   
				   if( !$(".header-wrapper").hasClass("resposive_sticky_active") ){
					   $(".header-wrapper").addClass("resposive_sticky_active");
				   }

				} else  {
				   // upscroll code
				  if( $("header").hasClass("resposive_sticky_hide") ){
					  $("header").removeClass("resposive_sticky_hide");
				  }

				}
				lastScrollTop = st; // For Mobile or negative scrolling
				
				if( st <= responsive_header_height ){
					$("header").removeClass("resposive_sticky_hide");
					$(".header-wrapper").removeClass("resposive_sticky_active");
					$(".header-wrapper").css("position","relative");
				}
				else{
					$(".header-wrapper").css("position","fixed");
				}

			}	
		}
		

	});	
	
	//disabled link
	$(document).on('click', ".menu a.disable_link", function(event) {	
		 event.preventDefault();
	});


	function mega_menu_alignment( selector , is_zig_zag){
		
		var window_width = $(window).width(),
			li_width = selector.outerWidth(true),
			li_offset = selector.offset().left,
			megamenu = selector.find("ul.wow-megamenu"),
			megamenu_width;
			
			if( selector.hasClass("has_width") ){
				megamenu_width = megamenu.outerWidth(true);
			}
			else{
				
				if( wow_menu_params.header_width == "0" ){
					megamenu_width = window_width;
				}
				else{
					if( window_width > parseInt( wow_menu_params.grid ) + 60 ){
						megamenu_width =  parseInt( wow_menu_params.grid ) + 60 ;
					}
					else{
						megamenu_width = window_width;
					}
				}
				selector.find(" > .wow-megamenu").css("width", megamenu_width + "px");
			}
			
			
			//align with center of page if possible
			var page_center_offset = ( window_width - megamenu_width ) / 2,
				if_page_center_offset;

				
				if( ( window_width / 2 ) > li_offset ){
					if_page_center_offset = parseInt( ( window_width - megamenu_width ) / 2 ) + parseInt( li_width );
				}
				else{
					if_page_center_offset = parseInt( ( window_width - megamenu_width ) / 2 ) - parseInt( li_width );
				}
				
				
				
			var self_center_offset = li_offset + parseInt( li_width / 2);

			if  ( 
					(if_page_center_offset < li_offset )
						&&   
					( if_page_center_offset + parseInt( megamenu_width ) > li_offset )
			)
			{				
				megamenu.css( "left" , page_center_offset + "px");

			}
			
			// else align with center of itself if possible
			else if(  self_center_offset > megamenu_width / 2 
							&&
					  window_width - self_center_offset > megamenu_width / 2 
					)
			{
				megamenu.css( "left" , parseInt( self_center_offset - megamenu_width / 2 )  + "px" );	
			}
			
			//else align left
			else if( window_width - li_offset > megamenu_width ){
				megamenu.css( "left" , li_offset  + "px" );
			}
			//else align right
			else{
				var align_right = parseInt( li_offset ) +  parseInt( li_width ) - megamenu_width;
				megamenu.css( "left" , align_right  + "px" );
			}
	}

	
	
	
	$(document).on('mouseenter', ".menu > ul > li", function() {		
		
		var windows_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
		
		if( windows_width > 1200 && $("body").hasClass("header-wrap-horizontal") && !$("body").hasClass("wowFP") ){
			
			if( $(this).hasClass("has_megamenu") ){
				
				var is_zig_zag;
				if( $(this).closest(".menu").hasClass("menu-zig-zag") ){
					is_zig_zag =true;					
				}
			
				var this_height = $(this).outerHeight();
				var nav_height = $(this).closest("nav.menu").outerHeight(false);
				
				var this_top = $(this).position().top;
				var is_last_row = false;
				var last_row_top = 0;
				
				$(this).closest("nav").find(" > ul > li").each(function() {

				  if( $(this).position().top >  last_row_top ){
					  last_row_top = $(this).position().top;
				  }

				});
				
					var megamenu_top_position =  this_height + this_top;
					$(this).find(".sub-menu.wow-megamenu").css("top",megamenu_top_position);
					
				if( $(this).hasClass('has_width') ){

					mega_menu_alignment( $(this) ,is_zig_zag );
				}
				else{
					
					mega_menu_alignment( $(this) ,is_zig_zag );
									
				}
			}
			else{
				
				if( !$("nav.menu").hasClass("menu-zig-zag") ){
					
					var parent_width = $(this).outerWidth();
					var child_width = $(this).find("> ul").outerWidth(true);
					var parent_left_position = $(this).position().left;
					var li_left_offset = $(this).offset().left;
					var header_wrapper_width = $(".header-wrapper").outerWidth();
					
					if( header_wrapper_width - parent_left_position - child_width < $(this).find("> ul > li > ul").outerWidth(true) ){
						$(this).find("> ul > li > ul").css("left",'-100%');
						$(this).find("> ul > li > ul ul").css("left",'auto');
						$(this).find("> ul > li > ul ul").css("right",'100%');
					}
					if( $("body").hasClass("rtl") ){
						if( parseInt( li_left_offset ) +  parseInt( parent_width )  <  child_width   ){
							
							var right_offset = child_width - parent_width;
							
							$(this).find(" > ul").css("right","-" + right_offset + "px");
						}
					}
					else{

						if(  windows_width - li_left_offset - parent_width <  child_width ){
							var left_offset = child_width - parent_width;
							
							$(this).find("> ul").css("left","-" + left_offset + "px");						
						}
					}					
				}

			}
		}

		if( windows_width > 1200 && $("body").hasClass("header-wrap-vertical") ){
			
				var hover_li_height = $(this).outerHeight(true);
				var adminbar = $("#wpadminbar").outerHeight(true);
				var top_offset = $(this).position().top - adminbar;
				var header_wrapper_height = $(".header-wrapper ").outerHeight(true);

			if( $(this).hasClass("menu-item-cart") ){
				
				var next_ul_height = $(this).find(".woocommerce-mini-cart ").outerHeight(true);
				
				top_offset = $(this).position().top;

				if( header_wrapper_height < ( next_ul_height + 30 ) ){
					
					//if the product list is longer than the viewport height put products on two rows
					
					$(".woocommerce-mini-cart.cart_list").css("width","480px");
					$(".menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item").css({					   
					   'width' : '48%',
					});
					
					$(".menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item:nth-child(odd)").css({
					   'float' : 'left',
					});					
					$(".menu ul ul.woocommerce-mini-cart li.woocommerce-mini-cart-item:nth-child(even)").css({
					   'float' : 'right',
					});
					
					$("ul.woocommerce-mini-cart li:nth-last-child(2),.menu ul ul.woocommerce-mini-cart li:last-child").css({
						'float' : 'left',
						'width' : '100%',
					});
					
					// we get next_ul_height again as it has changed
					next_ul_height = $(this).find(".woocommerce-mini-cart ").outerHeight(true);
					
				}
				
				$(this).find(".woocommerce-mini-cart").css("top","-" + parseInt(next_ul_height - (header_wrapper_height - top_offset) + 30) + "px");

			}
			else if( $(this).hasClass("has_megamenu") ){
								

				var child_ul_height = $(this).find("> ul").outerHeight(true);
				var header_width = $("header").outerWidth(true);
				var megamenu_ul = $(this).find(" > ul.wow-megamenu");
	
				if( header_wrapper_height - top_offset > child_ul_height ){ 
					//align with the hovered li element - nothing to do for now
				}
				else{
					if( top_offset + hover_li_height < child_ul_height ){
						//align top of page
						$(this).find("> ul").css("top","-" + top_offset  + "px");
						
					}
					else{
						$(this).find("> ul").css("top","-" + parseInt((child_ul_height - hover_li_height)/2) + "px");
					}
				}
				
				//check if megamenu ul fits width else resize
				if( $(this).hasClass("has_width") ){
					var megamenu_ul_width = megamenu_ul.outerWidth(true);
				}
				else {
					var megamenu_ul_width = 1000;
				}
				
				if( windows_width - header_width > megamenu_ul_width ){
					if( !$(this).hasClass("has_width") ){
							megamenu_ul.css("width","1000px"); 
					}
				}
				else{
					var megamenu_ul_new_size = windows_width - header_width - 17; //17px is the window scroll bar
					megamenu_ul.css("width",megamenu_ul_new_size + "px");
				}
				
			}
			else{

				var child_ul_height = $(this).find("> ul").outerHeight(true);
				
				if( header_wrapper_height - top_offset > child_ul_height ){ 
					//align with the hovered li element - nothing to do for now
				}
				else{
					if( top_offset + hover_li_height < child_ul_height ){
						//align top of page
						$(this).find("> ul").css("top","-" + top_offset  + "px");
						
					}
					else{
						$(this).find("> ul").css("top","-" + parseInt((child_ul_height - hover_li_height)/2) + "px");
					}
				}	
			}
		}			
	});
	
	$(document).on('mouseleave', ".menu > ul > li", function() {		
		
		var windows_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
		var megamenu_ul = $(this).find(" > ul.wow-megamenu");

		if( windows_width > 1200 && $("body").hasClass("header-wrap-vertical") ){
			
			if( $(this).hasClass("has_megamenu") ){
				megamenu_ul.css("width","");
			}
		}			
	});
	
	$(document).on('click', function (e) {
			var window_width = $(window).width();
			
			if( $(e.target).attr("class") == 'menu-item-search_icon'  ||  $(e.target).parent().attr("class") == 'menu-item-search_icon' ){
				e.preventDefault();

				$(".menu-item-search").trigger("hover");
				$(".menu-item-search").stop();
				$(".menu-show-search").toggleClass("show");
				
			}
			else{
				if( !$(e.target).parents('div.menu-show-search').length ){
					$(".menu-show-search").removeClass("show");
				}
			}
	});		
})(jQuery);