(function($){  
	'use strict';
	var triggerBttn = document.getElementById( 'trigger-overlay-menu' ),
		overlay = document.querySelector( 'div.overlay-menu' ),
		transEndEventNames = {
			'WebkitTransition': 'webkitTransitionEnd',
			'MozTransition': 'transitionend',
			'OTransition': 'oTransitionEnd',
			'msTransition': 'MSTransitionEnd',
			'transition': 'transitionend'
		},
		transEndEventName = transEndEventNames[ Modernizr.prefixed( 'transition' ) ],
		support = { transitions : Modernizr.csstransitions },
		s = Snap( overlay.querySelector( 'svg' ) ), 
		path = s.select( 'path' ),
		steps = overlay.getAttribute( 'data-steps' ).split(';'),
		stepsTotal = steps.length;

	function toggleOverlay() {
		if( classie.has( overlay, 'open' ) ) {
			var pos = stepsTotal-1;
			classie.remove( overlay, 'open' );
			classie.add( overlay, 'close' );
			classie.remove( triggerBttn, 'open' );
			classie.add( triggerBttn, 'close' );
			var onEndTransitionFn = function( ev ) {
					classie.remove( overlay, 'close' );
					classie.remove( triggerBttn, 'close' );
				},
				nextStep = function( pos ) {
					pos--;
					if( pos < 0 ) return;
					path.animate( { 'path' : steps[pos] }, 60, mina.linear, function() { 
						if( pos === 0 ) {
							onEndTransitionFn();
						}
						nextStep(pos);
					} );
				};

			nextStep(pos);
		}
		else if( !classie.has( overlay, 'close' ) ) {
			var pos = 0;
			classie.add( overlay, 'open' );
			classie.add( triggerBttn, 'open' );
			
			var nextStep = function( pos ) {
				pos++;
				if( pos > stepsTotal - 1 ) return;
				path.animate( { 'path' : steps[pos] }, 60, mina.linear, function() { nextStep(pos); } );
			};

			nextStep(pos);
		}
	}

	triggerBttn.addEventListener( 'click', toggleOverlay );
							
			
			var windows_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
			if( windows_width > 1200 ){
				
				//some genie fix
				var do_once = false;
				
				$(document).on('click', "nav.menu .menu_dropdown_arrow , nav.menu .menu_dropdown_arrow2", function() {	
					
					if( !do_once ){
						var svg_path = $("path.overlay-path"),
						svg_bg = svg_path.css("fill");
						if( svg_bg){
							$(".overlay-menu").css("background-color",svg_bg);
							svg_path.css("fill","transparent");
							do_once = true;
						}
					}
					
				});	
				$(document).on('click', "#trigger-overlay-menu", function() {	

						
					if( !$(this).hasClass("open")){
						
						var overlay_menu = $(".overlay-menu"),
						overlay_menu_bg = overlay_menu.css("background-color");
						
						$("ul" , overlay_menu).removeClass("show_submenu");
						
						if( overlay_menu_bg && do_once == true ){
							overlay_menu.css("background-color","transparent");
							$("path.overlay-path").css("fill",overlay_menu_bg);	
							do_once = false;
						}

					}
					
				});

			}
	
})(jQuery);