(function() {
	'use strict';
	var triggerBttn = document.getElementById( 'trigger-overlay-menu' ),
		overlay = document.querySelector( 'div.overlay-menu' ),
		closeBttn = overlay.querySelector( 'button.overlay-close' ),
		transEndEventNames = {
			'WebkitTransition': 'webkitTransitionEnd',
			'MozTransition': 'transitionend',
			'OTransition': 'oTransitionEnd',
			'msTransition': 'MSTransitionEnd',
			'transition': 'transitionend'
		},
		transEndEventName = transEndEventNames[ Modernizr.prefixed( 'transition' ) ],
		support = { transitions : Modernizr.csstransitions };

	function toggleOverlay() {
		if( classie.has( overlay, 'open' ) ) {
			
			//close all opened submenus
			jQuery(".overlay-menu nav ul").removeClass("show_submenu");
			
			classie.remove( overlay, 'open' );
			classie.add( overlay, 'close' );
			classie.remove( triggerBttn, 'open' );
			classie.add( triggerBttn, 'close' );			
			var onEndTransitionFn = function( ev ) {
				if( support.transitions ) {
					if( ev.propertyName !== 'visibility' ) return;
					this.removeEventListener( transEndEventName, onEndTransitionFn );
				}
				classie.remove( overlay, 'close' );
				classie.remove( triggerBttn, 'open' );
			};
			if( support.transitions ) {
				overlay.addEventListener( transEndEventName, onEndTransitionFn );
			}
			else {
				onEndTransitionFn();
			}
		}
		else if( !classie.has( overlay, 'close' ) ) {
			classie.add( overlay, 'open' );
			classie.add( triggerBttn, 'open' );
		}
	}

	triggerBttn.addEventListener( 'click', toggleOverlay );
})();