(function ($) {
	
	"use strict";
	
	$('.back_to_top').click(function(){ 
		$('html, body').animate({scrollTop:0}, 'fast'); 
		return false; 
	});
	
	var wow_overlay_trigger_top = $("#trigger-overlay-menu").css("top");
	var wow_overlay_trigger_right = $("#trigger-overlay-menu").css("right");
	
	$("header").on('click', '#trigger-overlay-menu', function(e) {
		
		var trigger_offset = $(this).offset();

		if( $(this).hasClass("open") ){
			
			$(this).css({
				"position" : "fixed",
				"top" : trigger_offset.top + "px",
				"left" : trigger_offset.left + "px",
				"right" : "auto"
			});
		}
		else{
			$(this).css({
				"position" : "absolute",
				"top" : wow_overlay_trigger_top,
				"right" : wow_overlay_trigger_right,
				"left" : "auto"
			});			
		}
    });
	
})(jQuery);

(function($){

		"use strict";
		
        //woocommerce price +/- quantity
		$('.woocommerce').on('click', '.quantity .plus', function(e) {
			
            var $input = $(this).prev('input.qty');
			var max = $input.attr("max");
			var step = $input.attr("step"); 
			if(!max) {
				max = 999999;
			}
			if(!step) {
				step = 1;
			}	
			var val = parseInt($input.val());
			if( val <= parseInt( max ) ){
				$input.val( val + parseInt( step ) ).change();
			}
   
        });
		
		$('.woocommerce').on('click', '.quantity .minus', function(e) {
			
            var $input = $(this).next('input.qty');
			var min = $input.attr("min");
			var step = $input.attr("step"); 
			if(!min) {
				min = 0;
			}
			if(!step) {
				step = 1;
			}			
			var val = parseInt($input.val());
			
			var can_be_done = parseInt( val ) - parseInt( step );
			if( can_be_done >= parseInt( min ) ){
				$input.val( can_be_done ).change();
			}
   
        });		
		
		//add p html tag
		$( ".additional_information_tab" ).on( "click", function() {
			
		  var add_p_tag_weight = $(".product_weight.add_p_tag").text();
		  $(".product_weight.add_p_tag").html('<p>' + add_p_tag_weight + '</p>');
		  var add_p_tag_dimensions = $(".product_dimensions.add_p_tag").text();
		  $(".product_dimensions.add_p_tag").html('<p>' + add_p_tag_dimensions + '</p>');		  
		  
		});		
				
		$("#pa_color").on( "click", function() {
		  var add_p_tag_weight = $(".product_weight.add_p_tag").text();
		  $(".product_weight.add_p_tag").html('<p>' + add_p_tag_weight + '</p>');
		  var add_p_tag_dimensions = $(".product_dimensions.add_p_tag").text();
		  $(".product_dimensions.add_p_tag").html('<p>' + add_p_tag_dimensions + '</p>');	
		});
		
		$("#size").on( "click", function() {
		  var add_p_tag_weight = $(".product_weight.add_p_tag").text();
		  $(".product_weight.add_p_tag").html('<p>' + add_p_tag_weight + '</p>');
		  var add_p_tag_dimensions = $(".product_dimensions.add_p_tag").text();
		  $(".product_dimensions.add_p_tag").html('<p>' + add_p_tag_dimensions + '</p>');	
		});

		$(".woocommerce .showlogin").on( "click", function() {
			$(this).hide();
		});
		
		//Contact Form 7 change input checkbox / radio
		$( '<span class="checkmark"></span>' ).insertAfter( '.wpcf7-radio input[type="radio"]' );
		$( '<span class="checkmark"></span>' ).insertAfter( '.wpcf7-checkbox input[type="checkbox"]' );
		$( '<span class="checkmark"></span>' ).insertAfter( '.wpcf7-acceptance input[type="checkbox"]' );
		$( ".wpcf7-radio .wpcf7-list-item label" ).addClass( "radio-container" );
		$( ".wpcf7-checkbox .wpcf7-list-item label" ).addClass( "input-container" );
		$( ".wpcf7-acceptance .wpcf7-list-item label" ).addClass( "input-container" );
	
	
	//animations init
	window.infinito_animate = function() {
		
		//blocks animations
		$('[data-animate]').each(function (){

			if ( $(this).hasClass('portfolio_container') &&  $(this).closest(".portfolio-block").find(".iso-filters").html())  { //no animations for portfolio when filter is enabled			
				$(this).css('opacity','1');
			}
			else{
				
				var tthis = $(this);
				var waypoint_anim = new VcWaypoint({
				  element: $(this),
				  handler: function(direction) {
				  
							var anim_effect = tthis.attr('data-animate');
							var anim_delay = tthis.attr('data-animate-delay');
							var anim_duration = tthis.attr('data-animate-duration');
							if(anim_delay){
								tthis.css("animation-delay",anim_delay + "s");
								tthis.css("-webkit-animation-delay",anim_delay + "s");
							}
							if(anim_duration){
								tthis.css("animation-duration",anim_duration + "s");
								tthis.css("-webkit-animation-duration",anim_duration + "s");
							}	  
							  
							tthis.addClass( 'animated ' + anim_effect);

							this.destroy();			  
				  },
				  offset: '85%'
				})
			}
		});
	}	
	
	//wpbakery fancy text init
	window.infinito_fancy_text = function() {

		//fancy background animation
		$('.fancy_text_background_wrapper').each(function (){
					
			var tthis = $(this);				
			var waypoint_fancy_text = new VcWaypoint({
					element: $(this),
					handler: function(direction) {

						$(this.element).css("visibility","visible");					
						$(this.element).find('.char-mask').each(function (){
							$(this).children().addClass( 'char-show');						
						});	
						
						this.destroy();
					  },
					  offset: '85%'
			})					
		});			
	}	
	
	//portfolio filter init
	window.infinito_portfolio = function() {
		//check for right to left direction
		var originLeft;
		if( $("html").attr("dir") == "rtl" ){
			originLeft = false;
		}
		else{
			originLeft = true;
		}
			
		$('.filter-portfolio-element').on( 'click', 'button', function() {

			var $grid = $(this).closest(".portfolio-block").find(".portfolio-grid").isotope({		
				itemSelector: '.filter-element',
				isOriginLeft:originLeft
			});

		// store filter for each group
		  var filters = {};			

		  var $this = $(this);
		  // get group key
		  var $buttonGroup = $this.parents('.button-group');
		  var filterGroup = $buttonGroup.attr('data-filter-group');
		  // set filter for group
		  filters[ filterGroup ] = $this.attr('data-filter');
		  // combine filters
		  var filterValue = concatValues( filters );
		  // set filter for Isotope
		  $grid.isotope({ filter: filterValue, isOriginLeft:originLeft });
		  
		// change is-checked class on buttons

			$( this ).parent().parent().find('.active').removeClass('active');
			$( this ).addClass('active');
		  
		});

		  
		// flatten object by concatting values
		function concatValues( obj ) {
		  var value = '';
		  for ( var prop in obj ) {
			value += obj[ prop ];
		  }
		  return value;
		}				
	
	}		

	//posts filter init
	window.infinito_posts = function() {
		
		//check for right to left direction
		var originLeft;
		if( $("html").attr("dir") == "rtl" ){
			originLeft = false;
		}
		else{
			originLeft = true;
		}

		$('.filter-posts-element').on( 'click', 'button', function() {

			var $grid = $(this).closest(".posts-block").find(".posts-grid").isotope({		
				itemSelector: '.filter-element',
				isOriginLeft:originLeft
			});

		// store filter for each group
			var filters = {};
			

		  var $this = $(this);
		  // get group key
		  var $buttonGroup = $this.parents('.button-group');
		  var filterGroup = $buttonGroup.attr('data-filter-group');
		  // set filter for group
		  filters[ filterGroup ] = $this.attr('data-filter');
		  // combine filters
		  var filterValue = concatValues( filters );
		  // set filter for Isotope
		  $grid.isotope({ filter: filterValue, isOriginLeft:originLeft });
		  
		// change is-checked class on buttons

			$( this ).parent().parent().find('.active').removeClass('active');
			$( this ).addClass('active');

		  
		});
		  
		// flatten object by concatting values
		function concatValues( obj ) {
		  var value = '';
		  for ( var prop in obj ) {
			value += obj[ prop ];
		  }
		  return value;
		}
	}	

	//masonry filter init
	window.infinito_masonry = function() {
				
		//check for right to left direction
		var originLeft;
		if( $("html").attr("dir") == "rtl" ){
			originLeft = false;
		}
		else{
			originLeft = true;
		}
			
		var $grid = $('.masonry-wrap .grid').imagesLoaded( function() {
			  // init Masonry after all images have loaded
			  $grid.masonry({
			  // set itemSelector so .grid-sizer is not used in layout
			  itemSelector: '.grid-item',
			  // use element for option
			  columnWidth: '.grid-sizer',
			  percentPosition: true,
			  originLeft: originLeft,
			  gutter: 0
			});
		});

		// store filter for each group
		var filters = {};

		$('.masonry-filter').on( 'click', 'button', function() {
		  var $this = $(this);
		  // get group key
		  var $buttonGroup = $this.parents('.button-group');
		  var filterGroup = $buttonGroup.attr('data-filter-group');
		  // set filter for group
		  filters[ filterGroup ] = $this.attr('data-filter');
		  // combine filters
		  var filterValue = concatValues( filters );
		  // set filter for Isotope
		  $grid.isotope({ filter: filterValue, isOriginLeft:originLeft });
		});

		// change is-checked class on buttons
		$('.masonry-wrap .button-group').each( function( i, buttonGroup ) {
		  var $buttonGroup = $( buttonGroup );
		  $buttonGroup.on( 'click', 'button', function() {
			$buttonGroup.find('.active').removeClass('active');
			$( this ).addClass('active');
		  });
		});
		  
		// flatten object by concatting values
		function concatValues( obj ) {
		  var value = '';
		  for ( var prop in obj ) {
			value += obj[ prop ];
		  }
		  return value;
		}		
	}			
		
})(jQuery);