<?php 
/**
 * This is the default page template -> Full Width
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */

global $wow_options;
get_header(); 


//post id
$wow_ID = wow_get_the_post_id();

//post meta
$wow_post_meta = get_post_meta( $wow_ID );

//post type
$wow_post_type = get_post_type ( $wow_ID );

//custom header background image/color
wow_custom_header_bg();

//custom page background image/color
wow_custom_page_bg();

//remove the background from header and make the header absolute if enabled from meta page options
wow_abs_header();

$wow_post_meta['wow-page-layout'][0] = !isset($wow_post_meta['wow-page-layout'][0]) ? 'no-sidebar' : $wow_post_meta['wow-page-layout'][0];
$wow_post_meta['wow-page-width'][0] = !isset($wow_post_meta['wow-page-width'][0]) ? 'full' : $wow_post_meta['wow-page-width'][0];
$wow_page_width = $wow_post_meta['wow-page-width'][0];

//Specific grid size for left/right sidebar and content, if page is in container or full width
$wow_sidebar_width = ( $wow_page_width == 'container' ) ? 'vc_col-lg-4' : 'vc_col-lg-2';
$wow_sidebar_width_container = ( $wow_page_width == 'container' ) ? 'vc_col-lg-8' : 'vc_col-lg-10';

//Specific grid size for both sidebars and content, if page is in container or full width
$wow_both_sidebars_width = ( $wow_page_width == 'container' ) ? 'vc_col-lg-3' : 'vc_col-lg-2';
$wow_both_sidebars_width_container = ( $wow_page_width == 'container' ) ? 'vc_col-lg-6' : 'vc_col-lg-8';

if ( $wow_post_type == 'post' || $wow_post_type == 'portfolio' || $wow_post_type == 'page' || $wow_post_type == 'product' || $wow_post_type == 'forum' ) {
//do nothing
}
else {
	$wow_page_width = 'container';
}

?>

<?php if ( empty($wow_post_meta['wow-full_page'][0] )) : ?>
	<div id="page-body" class="content-wrapper"><!-- page-body -->
		
		<?php if ( $wow_page_width == 'container') : ?><div class="container"><!-- container --><?php endif; ?>
		
		<?php if (!empty($wow_post_meta['wow-page-layout'][0]) && $wow_post_meta['wow-page-layout'][0] == 'no-sidebar') : ?>
			<?php if (have_posts()): while (have_posts()) : the_post(); ?>
			<?php the_post_thumbnail(); the_content(); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'infinito' ),'after'  => '</div>',));?>
			<?php if ( comments_open() || get_comments_number() ) : comments_template(); endif;?>
			<?php endwhile; ?>
			<?php else: ?>
			<article>
				<h2><?php esc_html_e( 'Sorry, nothing to display.', 'infinito' ); ?></h2>
			</article>
			<?php endif; ?>

		<?php elseif (!empty($wow_post_meta['wow-page-layout'][0]) && $wow_post_meta['wow-page-layout'][0] == 'left-sidebar'): ?>
			<?php if ( $wow_page_width == 'container' ) :  ?><div class="vc_row"><!-- vc_row --><?php endif; ?>
				<div class="left-sidebar <?php echo esc_attr( $wow_sidebar_width ); ?>" id="post-body"><?php dynamic_sidebar('left_sidebar'); ?></div>
				<?php if (have_posts()): while (have_posts()) : the_post(); ?>
				<div class="<?php echo esc_attr( $wow_sidebar_width_container ); ?>"><?php the_post_thumbnail(); the_content(); ?></div>
				<?php wp_link_pages( array( 'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'infinito' ),'after'  => '</div>',));?>
				<?php if ( comments_open() || get_comments_number() ) : comments_template(); endif;?>
				<?php endwhile; ?>
				<?php else: ?>
				<article>
					<h2><?php esc_html_e( 'Sorry, nothing to display.', 'infinito' ); ?></h2>
				</article>
			<?php endif; ?>	
			<?php if ( $wow_page_width == 'container') : ?></div><!-- /vc_row --><?php endif; ?>
				
			
		<?php elseif (!empty($wow_post_meta['wow-page-layout'][0]) && $wow_post_meta['wow-page-layout'][0] == 'right-sidebar'): ?>
			<?php if ( $wow_page_width == 'container' ) :  ?><div class="vc_row"><!-- vc_row --><?php endif; ?>
				<?php if (have_posts()): while (have_posts()) : the_post(); ?>
					<div class="<?php echo esc_attr( $wow_sidebar_width_container ); ?>"><?php the_post_thumbnail(); the_content(); ?></div>
					<?php wp_link_pages( array( 'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'infinito' ),'after'  => '</div>',));?>
					<?php if ( comments_open() || get_comments_number() ) : comments_template(); endif;?>
					<?php endwhile; ?>
					<div class="right-sidebar <?php echo esc_attr( $wow_sidebar_width ); ?>" id="post-body"><?php dynamic_sidebar('right_sidebar'); ?></div>
					<?php else: ?>
					<article>
						<h2><?php esc_html_e( 'Sorry, nothing to display.', 'infinito' ); ?></h2>
					</article>
			<?php endif; ?>
			<?php if ( $wow_page_width == 'container' ) : ?></div><!-- /vc_row --><?php endif; ?>
					
			
		<?php elseif (!empty($wow_post_meta['wow-page-layout'][0]) && $wow_post_meta['wow-page-layout'][0] == 'both-sidebars'): ?>
			<?php if ( $wow_page_width == 'container' ) : ?><div class="vc_row"><!-- vc_row --><?php endif; ?>
				<div class="left-sidebar <?php echo esc_attr( $wow_both_sidebars_width ); ?>" id="post-body"><?php dynamic_sidebar('left_sidebar'); ?></div>
				<?php if (have_posts()): while (have_posts()) : the_post(); ?>
				<div class="<?php echo esc_attr( $wow_both_sidebars_width_container ); ?>"><?php the_post_thumbnail(); the_content(); ?></div>
				<?php wp_link_pages( array( 'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'infinito' ),'after'  => '</div>',));?>
				<?php if ( comments_open() || get_comments_number() ) : comments_template(); endif; ?>
				<?php endwhile; ?>
				<div class="right-sidebar <?php echo esc_attr( $wow_both_sidebars_width ); ?>" id="post-body"><?php dynamic_sidebar('right_sidebar'); ?></div>
				<?php else: ?>
				<article>
					<h2><?php esc_html_e( 'Sorry, nothing to display.', 'infinito' ); ?></h2>
				</article>
			<?php endif; ?>
			<?php if ( $wow_page_width == 'container' ) : ?></div><!-- /vc_row --><?php endif; ?>
				
			
		<?php endif; ?>
		<?php wp_reset_query(); ?>
		<?php if ( $wow_page_width == 'container') : ?></div><!-- /container --><?php endif; ?>
	</div><!--/ page-body -->

<?php else: ?>
		<?php if (have_posts()): while (have_posts()) : the_post(); ?>	
		<?php 
			$content = get_the_content(); 
			echo wow_one_page_content( $content , $wow_post_meta); //no need to escape as the return it's escaped inside the function
			wp_reset_query();
		?>
		<?php endwhile; ?>
		<?php endif; ?>
<?php endif; ?>	
<?php get_footer(); ?>