<?php
/**
 * Template Name: Portfolio
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
get_header();

//hover effect for style 4 portfolio
$wow_hover_effect = $wow_options['style4_hover'];

//gap class
$wow_gap_class = ( !empty($wow_options['gap_portfolio']) ) ? ' gap' : '';

//display portfolio filter
wow_show_portfolio_filter();

//custom header background image
wow_custom_header_bg();

//how many portfolio/blog posts on row on responsive devices
wow_per_row_responsive();
?>

<div id="page-body" class="content-wrapper"><!-- page-body -->

	<?php if ( $wow_options['portfolio_container'] == 'container' ) { echo '<div class="container portfolio"><!-- container -->'; } ?>	
		
		<?php if ($wow_options['portfolio_content_display'] == 'above') : get_template_part('inc/templates/portfolio/content','portfolio'); endif; ?>
		
		<div class="portfolio portfolio-block <?php echo esc_attr( $wow_options['portfolio-style'] ); echo esc_attr($wow_gap_class); ?>"> <!-- portfolio <?php echo esc_attr( $wow_options['portfolio-style'] );  ?>--> 
		
		<?php if ( $wow_options['show_filter'] == '1' ) :  echo '<div class="filter-holder">'. $wow_filter_ul .'</div>'; //escaped in function wow_show_portfolio_filter() ?><?php endif; ?>
		
		<div class="portfolio-grid row-eq-height"><!-- portfolio-grid-->
			
			<?php get_template_part('inc/templates/portfolio/loop','portfolio'); ?>
		
		</div><!--/ portfolio-grid-->
		
		</div><!--/ portfolio <?php echo esc_attr($wow_options['portfolio-style']);  ?>-->
		
		<?php wow_pagination(); wp_reset_query(); ?>
		
		<?php if ($wow_options['portfolio_content_display'] == 'bellow') : get_template_part('inc/templates/portfolio/content','portfolio'); endif; ?>
		
	<?php if ( $wow_options['portfolio_container'] == 'container' ) { echo '</div><!--/ container -->'; } ?>

</div><!--/ page-body -->

<?php get_footer(); ?>