<?php
/**
 * Template for displaying single portfolio post(s)
 *
 * @package Infinito
 * @author WOW Layers
 * @link https://wowlayers.com
 */
get_header();

global $wow_options;

//portfolio meta
$wow_post_meta = get_post_meta(wow_get_the_post_id());

//what single template to be used ( the theme options or the one from meta page which will override theme options template )
$wow_single_template = (!empty($wow_post_meta['wow-single-template'][0])) ? $wow_post_meta['wow-single-template'][0] : $wow_options['portfolio_single_style'];

//related text
$wow_related_text = (!empty($wow_options['portfolio-related-text'])) ? $wow_options['portfolio-related-text'] : 'Related portfolio';

//custom header background image
wow_custom_header_bg();

//remove the background from header and make the header absolute
wow_abs_header();
?>

<div id="page-body" class="content-wrapper"><!-- page-body -->
		
	<div class="portfolio-single <?php echo esc_attr($wow_single_template); ?>"> <!-- portfolio <?php echo esc_attr($wow_single_template);  ?>--> 
		<?php get_template_part('inc/templates/portfolio/loop','portfolio-single'); ?>
	</div><!--/ portfolio <?php echo esc_attr($wow_single_template);  ?>-->

	<?php wp_reset_query(); ?>

	<?php //Start page content ?>
	<div class="vc_portfolio_content">
		<?php the_content(); ?>
	</div>
	
	<?php //Start related posts output ?>
	<?php get_template_part('inc/templates/portfolio/loop','portfolio-related');  ?>
	<?php wp_reset_query(); ?>
</div><!--/ page-body -->

<?php get_footer(); ?>