<?php
/**
 * Checkout coupon form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-coupon.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 100
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( ! wc_coupons_enabled() ) {
	return;
}


?>

<form class="checkout_coupon" method="post" style="">
	
	<div class="woocommerce-big-info no-double-border">
		<div class="woocommerce-big-info-wrap">
			<span class="title"><?php esc_attr_e( 'Discount Coupon', 'infinito-woocommerce' ); ?></span>
			<p class="coupon_message"><?php esc_attr_e( 'Enter discount code here', 'infinito-woocommerce' ); ?></p>
			<p class="form-row form-row-first">
				<input type="text" name="coupon_code" class="input-text" placeholder="<?php esc_attr_e( 'Coupon code', 'infinito-woocommerce' ); ?>" id="coupon_code" value="" />
			</p>

			<p class="form-row form-row-last">
				<input type="submit" class="button" name="apply_coupon" value="<?php esc_attr_e( 'Submit', 'infinito-woocommerce' ); ?>" />
			</p>

			<div class="clear"></div>
		</div>	
	</div>
</form>
