<?php
/**
 * Pay for order form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-pay.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see      https://docs.woocommerce.com/document/template-structure/
 * @author   WooThemes
 * @package  WooCommerce/Templates
 * @version  100
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $wow_options;
$woo_container = ( $wow_options['woo_container'] == 'container' ) ? 'container' : ''; 
?>
<div class="woocommerce-start"><!-- woocommerce-start -->
	
	<div class="<?php echo esc_attr($woo_container); ?> wrapper"><!-- container wrapper-->
<form id="order_review" method="post">
<div class="woocommerce-big-info no_padding">
	<div class="woocommerce-big-info-wrap">
		<h3 class="woocommerce-order-details__title"><?php esc_html_e( 'Product list', 'infinito-woocommerce' ); ?></h3>
	</div>	<!--  woocommerce-big-info-wrap -->
	
	<ul class="shop_table wow_woocommerce_totals three_per_row">

			<ul>
				<li class="product-name"><?php esc_html_e( 'Product', 'infinito-woocommerce' ); ?></li>
				<li class="product-quantity"><?php esc_html_e( 'Qty', 'infinito-woocommerce' ); ?></li>
				<li class="product-total"><?php esc_html_e( 'Totals', 'infinito-woocommerce' ); ?></li>
			</ul>

			<?php if ( sizeof( $order->get_items() ) > 0 ) : ?>
				<?php foreach ( $order->get_items() as $item_id => $item ) : ?>
					<?php
						if ( ! apply_filters( 'woocommerce_order_item_visible', true, $item ) ) {
							continue;
						}
					?>
					<ul class="<?php echo esc_attr( apply_filters( 'woocommerce_order_item_class', 'order_item', $item, $order ) ); ?>">
						<li class="product-name">
							<?php
								echo apply_filters( 'woocommerce_order_item_name', esc_html( $item->get_name() ), $item, false );

								do_action( 'woocommerce_order_item_meta_start', $item_id, $item, $order );

								wc_display_item_meta( $item );

								do_action( 'woocommerce_order_item_meta_end', $item_id, $item, $order );
							?>
						</li>
						<li class="product-quantity"><?php echo apply_filters( 'woocommerce_order_item_quantity_html', ' <strong class="product-quantity">' . sprintf( '&times; %s', esc_html( $item->get_quantity() ) ) . '</strong>', $item ); ?></li>
						<li class="product-subtotal"><?php echo $order->get_formatted_line_subtotal( $item ); ?></li>
					</ul>
				<?php endforeach; ?>
			<?php endif; ?>

			<?php if ( $totals = $order->get_order_item_totals() ) : ?>
				<?php foreach ( $totals as $total ) : ?>
					<ul>
						<li><?php echo $total['label']; ?></li>
						<li>&nbsp</li>
						<li class="product-total"><?php echo $total['value']; ?></li>
					</ul>
				<?php endforeach; ?>
			<?php endif; ?>

	</ul>
</div>	<!--  woocommerce-big-info -->
	<div id="payment">
<div class="woocommerce-big-info no_padding">
			<div class="woocommerce-big-info-wrap">	
<h3><?php esc_html_e( 'Payment method', 'infinito-woocommerce' ); ?></h3>			
		<?php if ( $order->needs_payment() ) : ?>
			<ul class="wc_payment_methods payment_methods methods">
				<?php
					if ( ! empty( $available_gateways ) ) {
						foreach ( $available_gateways as $gateway ) {
							wc_get_template( 'checkout/payment-method.php', array( 'gateway' => $gateway ) );
						}
					} else {
						echo '<li class="woocommerce-notice woocommerce-notice--info woocommerce-info">' . apply_filters( 'woocommerce_no_available_payment_methods_message', esc_html__( 'Sorry, it seems that there are no available payment methods for your location. Please contact us if you require assistance or wish to make alternate arrangements.', 'infinito-woocommerce' ) ) . '</li>';
					}
				?>
			</ul>
		<?php endif; ?>

	</div>
	
	
		</div>
		<div class="form-row">
			<input type="hidden" name="woocommerce_pay" value="1" />

			<?php wc_get_template( 'checkout/terms.php' ); ?>

			<?php do_action( 'woocommerce_pay_order_before_submit' ); ?>

			<?php echo apply_filters( 'woocommerce_pay_order_button_html', '<input type="submit" class="button alt" id="place_order" value="' . esc_attr( $order_button_text ) . '" data-value="' . esc_attr( $order_button_text ) . '" />' ); ?>

			<?php do_action( 'woocommerce_pay_order_after_submit' ); ?>

			<?php wp_nonce_field( 'woocommerce-pay' ); ?>
		</div>		
	</div>
</form>

	</div><!--/ container wrapper-->
	
</div><!-- woocommerce-start -->
