<?php
/**
 * Checkout shipping information form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-shipping.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>
<div class="woocommerce-shipping-fields">
	<?php if ( true === WC()->cart->needs_shipping_address() ) : ?>

	<div class="woocommerce-big-info no_padding">
		<div class="woocommerce-big-info-wrap">
				
			<h3 id="ship-to-different-address" class="no_line">
				<?php esc_html_e( 'Your shipping address', 'infinito-woocommerce' ); ?>
				<label class="woocommerce-form__label woocommerce-form__label-for-checkbox checkbox">
					<div class="different-address-input"><input id="ship-to-different-address-checkbox" class="woocommerce-form__input woocommerce-form__input-checkbox input-checkbox" <?php checked( apply_filters( 'woocommerce_ship_to_different_address_checked', 'shipping' === get_option( 'woocommerce_ship_to_destination' ) ? 1 : 0 ), 1 ); ?> type="checkbox" name="ship_to_different_address" value="1" /> <span class="woo_big_info_title"><?php esc_html_e( 'Ship to a different address?', 'infinito-woocommerce' ); ?></span></div>
				</label>			
			</h3>


		</div>	<!--  woocommerce-big-info-wrap -->
		<div class="shipping_address">

			<?php do_action( 'woocommerce_before_checkout_shipping_form', $checkout ); ?>

			<div class="woocommerce-shipping-fields__field-wrapper">
				<?php
					$fields = $checkout->get_checkout_fields( 'shipping' );

					foreach ( $fields as $key => $field ) {
						if ( isset( $field['country_field'], $fields[ $field['country_field'] ] ) ) {
							$field['country'] = $checkout->get_value( $field['country_field'] );
						}
						woocommerce_form_field( $key, $field, $checkout->get_value( $key ) );
					}
				?>
			</div> <!--  woocommerce-shipping-fields__field-wrapper -->

			<?php do_action( 'woocommerce_after_checkout_shipping_form', $checkout ); ?>

		</div>  <!--  shipping_address -->
	</div>	<!--  woocommerce-big-info -->
	<?php endif; ?>


</div><!--  woocommerce-shipping-fields -->

