<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 100
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product,$wow_options;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}

$wow_prod_style = $wow_options['styling-woo-prod-display-style'];
$wow_woo_grid = ( !empty ( $wow_options['woo_grid'] ) ) ? $wow_options['woo_grid'] : '3' ;

if ( is_cart() ){
	$wow_woo_grid = '6';
}

$wow_no_sidebar_grid =  ( $wow_options['woo_layout'] == 'left-sidebar' or $wow_options['woo_layout'] == 'right-sidebar' ) ? ' vc_col-md-12 vc_col-sm-12' : ' vc_col-md-4  vc_col-sm-6  vc_col-xs-12';
$wow_woo_classes = ( !is_product() ) ?  array( 'vc_col-lg-'.esc_attr( $wow_woo_grid.$wow_no_sidebar_grid ).' vc_col-xs-12' ) : array( 'vc_col-lg-3 vc_col-md-4 vc_col-sm-6 vc_col-xs-12' );

$wow_woo_classes[]= ( $wow_prod_style == 'no_bg' ) ?  'no_bg' : '';

?>
<li <?php post_class( $wow_woo_classes ); //$wow_woo_classes escaped above at line 34 ?>>
	<?php
	/**
	 * woocommerce_before_shop_loop_item hook.
	 *
	 * @hooked woocommerce_template_loop_product_link_open - 10
	 */
	do_action( 'woocommerce_before_shop_loop_item' );
		

	/**
	 * woocommerce_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_template_loop_product_title - 10
	 */
	do_action( 'woocommerce_shop_loop_item_title' );

	/**
	 * woocommerce_before_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_show_product_loop_sale_flash - 10
	 * @hooked woocommerce_template_loop_product_thumbnail - 10
	 */
	do_action( 'woocommerce_before_shop_loop_item_title' );

	/**
	 * woocommerce_after_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_template_loop_rating - 5
	 * @hooked woocommerce_template_loop_price - 10
	 */
	do_action( 'woocommerce_after_shop_loop_item_title' );

	/**
	 * woocommerce_after_shop_loop_item hook.
	 *
	 * @hooked woocommerce_template_loop_product_link_close - 5
	 * @hooked woocommerce_template_loop_add_to_cart - 10
	 */
	do_action( 'woocommerce_after_shop_loop_item' );
	?>
</li>
