<?php
/**
 * The template for displaying product widget entries
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-widget-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.9.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product; ?>

<li>
	<div class="image-holder">
		<?php  echo wp_kses($product->get_image() , array('img' => array('src' => array(),'class' => array(),'alt' => array(),'width' => array(),'height' => array(),'srcset' => array(),'sizes' => array())));?>
	</div>
	
	<div class="details-holder">
		<a href="<?php echo esc_url( $product->get_permalink() ); ?>">
			<span class="product-title"><?php echo esc_html( $product->get_name() ); ?></span>
		</a>
		<?php if ( ! empty( $show_rating ) ) : ?>
			<?php echo wp_kses(wc_get_rating_html( $product->get_average_rating() ) , array('div' => array('class' => array()),'span' => array('style' => array()),'strong' => array('class' => array()) )); ?>
		<?php endif; ?>
		<?php echo $product->get_price_html(); ?>
	</div>
</li>