<?php
/**
 * Product loop sale flash
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/sale-flash.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

    if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
    global $post, $product, $wow_options;
	
	if ( $product->is_on_sale() ){
		
		$regular_price = $product->get_regular_price();
		$sale_price = $product->get_sale_price();

		if( $regular_price &&  $sale_price){
			
			$sale = ceil(( ($regular_price - $sale_price) / $regular_price ) * 100);
			
			if ( $sale < 30 and !empty($sale) ) {
				if ( !empty($wow_options['styling-woo-prod-sale-bg1']['background-color']) ){ $style = 'background:'.esc_attr( $wow_options['styling-woo-prod-sale-bg1']['background-color'] ).''; }
				else { $style = 'background:#77e053'; }
			}
			
			elseif ( $sale > 30 and $sale < 60 ) {
				if ( !empty($wow_options['styling-woo-prod-sale-bg2']['background-color']) ){ $style = 'background:'.esc_attr( $wow_options['styling-woo-prod-sale-bg2']['background-color'] ).''; }
				else { $style = 'background:#39c9ff';  }	
			}
			
			elseif ( $sale > 60 ) {
				if ( !empty($wow_options['styling-woo-prod-sale-bg3']['background-color']) ){ $style = 'background:'.esc_attr( $wow_options['styling-woo-prod-sale-bg3']['background-color'] ).''; }
				else { $style = 'background:#ff2f2f';  }
			}		
			

			echo apply_filters( 'woocommerce_sale_flash', '<div class="onsale-wrap"><span class="onsale" style="'.esc_attr( $style ).'">-' . esc_attr( $sale ) . '%</span></div>', $post, $product );
		}
		else{
			echo apply_filters( 'woocommerce_sale_flash', '<div class="onsale-wrap"><span class="onsale" style="background:#39c9ff">' . esc_html__( 'Sale', 'infinito-woocommerce' ) . '</span></div>', $post, $product );
		}
		
	}