<?php
/**
 * Lost password form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-lost-password.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 100
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

wc_print_notices();
global $wow_options;
$woo_container = ( $wow_options['woo_container'] == 'container' ) ? 'container' : '';
?>
<div class="woocommerce-start"><!-- woocommerce-start -->
	
	<div class="<?php echo esc_attr($woo_container); ?> wrapper"><!-- container wrapper-->

	<form method="post" class="woocommerce-ResetPassword lost_reset_password">
		
	<div class="woocommerce-big-info padding_bottom">
		<p class="description_paragraph"><?php echo apply_filters( 'woocommerce_lost_password_message', esc_html__( 'Lost your password? Please enter your username or email address. You will receive a link to create a new password via email.', 'infinito-woocommerce' ) ); ?></p>

		<p class="woocommerce-form-row woocommerce-form-row--first form-row form-row-first">
			<label for="user_login"><?php esc_html_e( 'Username or email', 'infinito-woocommerce' ); ?></label>
			<input class="woocommerce-Input woocommerce-Input--text input-text" type="text" name="user_login" id="user_login" />
		</p>

		<div class="clear"></div>

		<?php do_action( 'woocommerce_lostpassword_form' ); ?>

		<p class="woocommerce-form-row form-row">
			<input type="hidden" name="wc_reset_password" value="true" />
			<input type="submit" class="woocommerce-Button button" value="<?php esc_attr_e( 'Reset password', 'infinito-woocommerce' ); ?>" />
		</p>

		<?php wp_nonce_field( 'lost_password' ); ?>
	</div><!--/ woocommerce-big-info-->
	</form>
	
	</div><!--/ container wrapper-->
	
</div><!-- woocommerce-start -->