<?php
/**
 * Order Customer Details
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/order/order-details-customer.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 100
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<section class="woocommerce-customer-details">


			<div class="woocommerce-column--shipping-address vc_col-lg-6 vc_col-sm-12">
				<div class="woocommerce-big-info no-double-border no_padding">
					<div class="woocommerce-big-info-wrap">			
						<h3 class="woocommerce-column__title"><?php esc_html_e( 'Billing address', 'infinito-woocommerce' ); ?></h3>
					</div>
					<address>
						<?php echo wp_kses_post( $order->get_formatted_billing_address( __( 'N/A', 'infinito-woocommerce' ) ) ); ?>
						<?php if ( $order->get_billing_phone() ) : ?>
							<p class="woocommerce-customer-details--phone"><i class="pe-7s-phone"></i><span><?php echo esc_html( $order->get_billing_phone() ); ?></span></p>
						<?php endif; ?>
						<?php if ( $order->get_billing_email() ) : ?>
							<p class="woocommerce-customer-details--email"><i class="pe-7s-mail"></i><span><?php echo esc_html( $order->get_billing_email() ); ?></span></p>
						<?php endif; ?>
					</address>
				</div>
				
			</div>	
				
				
	<?php if ( ! wc_ship_to_billing_address_only() && $order->needs_shipping_address() ) : ?>


			<div class="woocommerce-column--shipping-address vc_col-lg-6 vc_col-sm-12">
				<div class="woocommerce-big-info no-double-border no_padding">
					<div class="woocommerce-big-info-wrap">	
						<h3 class="woocommerce-column__title"><?php esc_html_e( 'Shipping address', 'infinito-woocommerce' ); ?></h3>
					</div>
					<address>
						<?php echo wp_kses_post( $order->get_formatted_shipping_address( __( 'N/A', 'infinito-woocommerce' ) ) ); ?>
					</address>

				</div>
				
			</div>	


	<?php endif; ?>

</section>
