<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
Function wow_redux_icons_enqueue() - enqueue fonts for theme options
=================================================================================================================
*/
function wow_redux_icons_enqueue( $font ){
	$icon_suffix = '';

	if( $font ){
		if( strpos( $font, 'wow-' ) !== false ){
			
			$xplode = explode( '-', $font );
			$font_class = $xplode[0].'-'.$xplode[1];
			$url = WOW_URI . '/fonts/icons/' . $xplode[1] . '/style.css';
			wp_enqueue_style( $font_class, $url );
		}
		elseif( strpos($font, 'pe-7s') !== false ){
			wp_enqueue_style( 'pe-7s', WOW_URI.'/fonts/icons/pe-7s/style.css' );
		}
		else{
			wp_enqueue_style( 'pe-7f', WOW_URI.'/fonts/icons/pe-7f/style.css' );
		}
	}
}


/*
=================================================================================================================
wow_redux_icons($group) - add new icons in redux theme options based on the @group param
-----------------------------------------------------------------------------------------------------------------
@group = business // chart // construction // device // directional //
		 education // emoticon // food // kidstoys // mathematical // medical // mobileui //
		 multimedia // payment // person // search // social // sport // texteditor // transport // travel //
		 webapplication // pe-7f // pe-7s
=================================================================================================================

*/
function wow_redux_icons($group){
		
	$return['business'] = array( 'wow-business-bank-alt'=>'wow-business-bank-alt','wow-business-barcode'=>'wow-business-barcode','wow-business-basket'=>'wow-business-basket','wow-business-bill-alt'=>'wow-business-bill-alt','wow-business-billboard'=>'wow-business-billboard','wow-business-briefcase-alt-1'=>'wow-business-briefcase-alt-1','wow-business-briefcase-alt-2'=>'wow-business-briefcase-alt-2','wow-business-building-alt'=>'wow-business-building-alt','wow-business-businessman'=>'wow-business-businessman','wow-business-businesswoman'=>'wow-business-businesswoman','wow-business-cart-alt'=>'wow-business-cart-alt','wow-business-chair'=>'wow-business-chair','wow-business-clip'=>'wow-business-clip','wow-business-coins'=>'wow-business-coins','wow-business-company'=>'wow-business-company','wow-business-contact-add'=>'wow-business-contact-add','wow-business-deal'=>'wow-business-deal','wow-business-files'=>'wow-business-files','wow-business-growth'=>'wow-business-growth','wow-business-id-card'=>'wow-business-id-card','wow-business-idea'=>'wow-business-idea','wow-business-list'=>'wow-business-list','wow-business-meeting-add'=>'wow-business-meeting-add','wow-business-money-bag'=>'wow-business-money-bag','wow-business-people'=>'wow-business-people','wow-business-pie-chart'=>'wow-business-pie-chart','wow-business-presentation-alt'=>'wow-business-presentation-alt','wow-business-stamp'=>'wow-business-stamp','wow-business-stock-mobile'=>'wow-business-stock-mobile','wow-business-support'=>'wow-business-support','wow-business-tasks-alt'=>'wow-business-tasks-alt','wow-business-wheel'=>'wow-business-wheel' );

	$return['chart'] = array( 'wow-chart-arrows-axis'=>'wow-chart-arrows-axis','wow-chart-bar-graph'=>'wow-chart-bar-graph','wow-chart-flow'=>'wow-chart-flow','wow-chart-flow-alt-1'=>'wow-chart-flow-alt-1','wow-chart-flow-alt-2'=>'wow-chart-flow-alt-2','wow-chart-histogram'=>'wow-chart-histogram','wow-chart-histogram-alt'=>'wow-chart-histogram-alt','wow-chart-line'=>'wow-chart-line','wow-chart-line-alt'=>'wow-chart-line-alt','wow-chart-pie'=>'wow-chart-pie','wow-chart-pie-alt'=>'wow-chart-pie-alt','wow-chart-radar-graph'=>'wow-chart-radar-graph' );

	
	$return['construction'] = array( 'wow-construction-architecture'=>'wow-construction-architecture','wow-construction-architecture-alt'=>'wow-construction-architecture-alt','wow-construction-barricade'=>'wow-construction-barricade','wow-construction-bricks'=>'wow-construction-bricks','wow-construction-calculations'=>'wow-construction-calculations','wow-construction-cement-mix'=>'wow-construction-cement-mix','wow-construction-cement-mixer'=>'wow-construction-cement-mixer','wow-construction-danger-zone'=>'wow-construction-danger-zone','wow-construction-drill'=>'wow-construction-drill','wow-construction-eco-energy'=>'wow-construction-eco-energy','wow-construction-eco-environmen'=>'wow-construction-eco-environmen','wow-construction-energy-air'=>'wow-construction-energy-air','wow-construction-energy-oil'=>'wow-construction-energy-oil','wow-construction-energy-savings'=>'wow-construction-energy-savings','wow-construction-energy-solar'=>'wow-construction-energy-solar','wow-construction-energy-water'=>'wow-construction-energy-water','wow-construction-engineer'=>'wow-construction-engineer','wow-construction-fire-extinguisher-alt'=>'wow-construction-fire-extinguisher-alt','wow-construction-fix-tools'=>'wow-construction-fix-tools','wow-construction-glue-oil'=>'wow-construction-glue-oil','wow-construction-hammer-alt'=>'wow-construction-hammer-alt','wow-construction-help-robot'=>'wow-construction-help-robot','wow-construction-industries'=>'wow-construction-industries','wow-construction-industries-alt-1'=>'wow-construction-industries-alt-1','wow-construction-industries-alt-2'=>'wow-construction-industries-alt-2','wow-construction-industries-alt-3'=>'wow-construction-industries-alt-3','wow-construction-industries-alt-4'=>'wow-construction-industries-alt-4','wow-construction-industries-alt-5'=>'wow-construction-industries-alt-5','wow-construction-labour'=>'wow-construction-labour','wow-construction-mining'=>'wow-construction-mining','wow-construction-paint-brush'=>'wow-construction-paint-brush','wow-construction-pollution'=>'wow-construction-pollution','wow-construction-power-zone'=>'wow-construction-power-zone','wow-construction-radio-active'=>'wow-construction-radio-active','wow-construction-recycle-alt'=>'wow-construction-recycle-alt','wow-construction-recycling-man'=>'wow-construction-recycling-man','wow-construction-safety-hat'=>'wow-construction-safety-hat','wow-construction-safety-hat-light'=>'wow-construction-safety-hat-light','wow-construction-saw'=>'wow-construction-saw','wow-construction-screw-driver'=>'wow-construction-screw-driver','wow-construction-settings-alt'=>'wow-construction-settings-alt','wow-construction-tools-alt-1'=>'wow-construction-tools-alt-1','wow-construction-tools-alt-2'=>'wow-construction-tools-alt-2','wow-construction-tools-bag'=>'wow-construction-tools-bag','wow-construction-trolley'=>'wow-construction-trolley','wow-construction-trowel'=>'wow-construction-trowel','wow-construction-under-construction'=>'wow-construction-under-construction','wow-construction-under-construction-alt'=>'wow-construction-under-construction-alt','wow-construction-vehicle-cement'=>'wow-construction-vehicle-cement','wow-construction-vehicle-crane'=>'wow-construction-vehicle-crane','wow-construction-vehicle-delivery-van'=>'wow-construction-vehicle-delivery-van','wow-construction-vehicle-dozer'=>'wow-construction-vehicle-dozer','wow-construction-vehicle-excavator'=>'wow-construction-vehicle-excavator','wow-construction-vehicle-trucktor'=>'wow-construction-vehicle-trucktor','wow-construction-vehicle-wrecking'=>'wow-construction-vehicle-wrecking','wow-construction-worker'=>'wow-construction-worker','wow-construction-worker-group'=>'wow-construction-worker-group','wow-construction-wrench'=>'wow-construction-wrench' );

	
	$return['device'] = array( 'wow-device-android-nexus'=>'wow-device-android-nexus','wow-device-android-tablet'=>'wow-device-android-tablet','wow-device-apple-watch'=>'wow-device-apple-watch','wow-device-drwaing-tablet'=>'wow-device-drwaing-tablet','wow-device-earphone'=>'wow-device-earphone','wow-device-flash-drive'=>'wow-device-flash-drive','wow-device-game-control'=>'wow-device-game-control','wow-device-headphone-alt'=>'wow-device-headphone-alt','wow-device-htc-one'=>'wow-device-htc-one','wow-device-imac'=>'wow-device-imac','wow-device-ipad-touch'=>'wow-device-ipad-touch','wow-device-iphone'=>'wow-device-iphone','wow-device-ipod-nano'=>'wow-device-ipod-nano','wow-device-ipod-touch'=>'wow-device-ipod-touch','wow-device-keyboard-alt'=>'wow-device-keyboard-alt','wow-device-keyboard-wireless'=>'wow-device-keyboard-wireless','wow-device-laptop-alt'=>'wow-device-laptop-alt','wow-device-macbook'=>'wow-device-macbook','wow-device-magic-mouse'=>'wow-device-magic-mouse','wow-device-microphone-alt'=>'wow-device-microphone-alt','wow-device-monitor'=>'wow-device-monitor','wow-device-mouse'=>'wow-device-mouse','wow-device-nintendo'=>'wow-device-nintendo','wow-device-playstation'=>'wow-device-playstation','wow-device-psvita'=>'wow-device-psvita','wow-device-radio-mic'=>'wow-device-radio-mic','wow-device-refrigerator'=>'wow-device-refrigerator','wow-device-samsung-galaxy'=>'wow-device-samsung-galaxy','wow-device-surface-tablet'=>'wow-device-surface-tablet','wow-device-washing-machine'=>'wow-device-washing-machine','wow-device-wifi-router'=>'wow-device-wifi-router','wow-device-wii-u'=>'wow-device-wii-u','wow-device-windows-lumia'=>'wow-device-windows-lumia','wow-device-wireless-mouse'=>'wow-device-wireless-mouse','wow-device-xbox-360'=>'wow-device-xbox-360' );

	
	$return['directional'] = array( 'wow-directional-arrow-down'=>'wow-directional-arrow-down','wow-directional-arrow-left'=>'wow-directional-arrow-left','wow-directional-arrow-right'=>'wow-directional-arrow-right','wow-directional-arrow-up'=>'wow-directional-arrow-up','wow-directional-block-down'=>'wow-directional-block-down','wow-directional-block-left'=>'wow-directional-block-left','wow-directional-block-right'=>'wow-directional-block-right','wow-directional-block-up'=>'wow-directional-block-up','wow-directional-bubble-down'=>'wow-directional-bubble-down','wow-directional-bubble-left'=>'wow-directional-bubble-left','wow-directional-bubble-right'=>'wow-directional-bubble-right','wow-directional-bubble-up'=>'wow-directional-bubble-up','wow-directional-caret-down'=>'wow-directional-caret-down','wow-directional-caret-left'=>'wow-directional-caret-left','wow-directional-caret-right'=>'wow-directional-caret-right','wow-directional-caret-up'=>'wow-directional-caret-up','wow-directional-circled-down'=>'wow-directional-circled-down','wow-directional-circled-left'=>'wow-directional-circled-left','wow-directional-circled-right'=>'wow-directional-circled-right','wow-directional-circled-up'=>'wow-directional-circled-up','wow-directional-collapse'=>'wow-directional-collapse','wow-directional-cursor-drag'=>'wow-directional-cursor-drag','wow-directional-curved-double-left'=>'wow-directional-curved-double-left','wow-directional-curved-double-right'=>'wow-directional-curved-double-right','wow-directional-curved-down'=>'wow-directional-curved-down','wow-directional-curved-left'=>'wow-directional-curved-left','wow-directional-curved-right'=>'wow-directional-curved-right','wow-directional-curved-up'=>'wow-directional-curved-up','wow-directional-dotted-down'=>'wow-directional-dotted-down','wow-directional-dotted-left'=>'wow-directional-dotted-left','wow-directional-dotted-right'=>'wow-directional-dotted-right','wow-directional-dotted-up'=>'wow-directional-dotted-up','wow-directional-double-left'=>'wow-directional-double-left','wow-directional-double-right'=>'wow-directional-double-right','wow-directional-drag'=>'wow-directional-drag','wow-directional-drag1'=>'wow-directional-drag1','wow-directional-drag2'=>'wow-directional-drag2','wow-directional-drag3'=>'wow-directional-drag3','wow-directional-expand-alt'=>'wow-directional-expand-alt','wow-directional-hand-down'=>'wow-directional-hand-down','wow-directional-hand-drag'=>'wow-directional-hand-drag','wow-directional-hand-drag1'=>'wow-directional-hand-drag1','wow-directional-hand-drag2'=>'wow-directional-hand-drag2','wow-directional-hand-drawn-alt-down'=>'wow-directional-hand-drawn-alt-down','wow-directional-hand-drawn-alt-left'=>'wow-directional-hand-drawn-alt-left','wow-directional-hand-drawn-alt-right'=>'wow-directional-hand-drawn-alt-right','wow-directional-hand-drawn-alt-up'=>'wow-directional-hand-drawn-alt-up','wow-directional-hand-drawn-down'=>'wow-directional-hand-drawn-down','wow-directional-hand-drawn-left'=>'wow-directional-hand-drawn-left','wow-directional-hand-drawn-right'=>'wow-directional-hand-drawn-right','wow-directional-hand-drawn-up'=>'wow-directional-hand-drawn-up','wow-directional-hand-left'=>'wow-directional-hand-left','wow-directional-hand-right'=>'wow-directional-hand-right','wow-directional-hand-up'=>'wow-directional-hand-up','wow-directional-line-block-down'=>'wow-directional-line-block-down','wow-directional-line-block-left'=>'wow-directional-line-block-left','wow-directional-line-block-right'=>'wow-directional-line-block-right','wow-directional-line-block-up'=>'wow-directional-line-block-up','wow-directional-long-arrow-down'=>'wow-directional-long-arrow-down','wow-directional-long-arrow-left'=>'wow-directional-long-arrow-left','wow-directional-long-arrow-right'=>'wow-directional-long-arrow-right','wow-directional-long-arrow-up'=>'wow-directional-long-arrow-up','wow-directional-rounded-collapse'=>'wow-directional-rounded-collapse','wow-directional-rounded-double-left'=>'wow-directional-rounded-double-left','wow-directional-rounded-double-right'=>'wow-directional-rounded-double-right','wow-directional-rounded-down'=>'wow-directional-rounded-down','wow-directional-rounded-expand'=>'wow-directional-rounded-expand','wow-directional-rounded-left'=>'wow-directional-rounded-left','wow-directional-rounded-left-down'=>'wow-directional-rounded-left-down','wow-directional-rounded-left-up'=>'wow-directional-rounded-left-up','wow-directional-rounded-right'=>'wow-directional-rounded-right','wow-directional-rounded-right-down'=>'wow-directional-rounded-right-down','wow-directional-rounded-right-up'=>'wow-directional-rounded-right-up','wow-directional-rounded-up'=>'wow-directional-rounded-up','wow-directional-scroll-bubble-down'=>'wow-directional-scroll-bubble-down','wow-directional-scroll-bubble-left'=>'wow-directional-scroll-bubble-left','wow-directional-scroll-bubble-right'=>'wow-directional-scroll-bubble-right','wow-directional-scroll-bubble-up'=>'wow-directional-scroll-bubble-up','wow-directional-scroll-double-down'=>'wow-directional-scroll-double-down','wow-directional-scroll-double-left'=>'wow-directional-scroll-double-left','wow-directional-scroll-double-right'=>'wow-directional-scroll-double-right','wow-directional-scroll-double-up'=>'wow-directional-scroll-double-up','wow-directional-scroll-down'=>'wow-directional-scroll-down','wow-directional-scroll-left'=>'wow-directional-scroll-left','wow-directional-scroll-long-down'=>'wow-directional-scroll-long-down','wow-directional-scroll-long-left'=>'wow-directional-scroll-long-left','wow-directional-scroll-long-right'=>'wow-directional-scroll-long-right','wow-directional-scroll-long-up'=>'wow-directional-scroll-long-up','wow-directional-scroll-right'=>'wow-directional-scroll-right','wow-directional-scroll-up'=>'wow-directional-scroll-up','wow-directional-simple-down'=>'wow-directional-simple-down','wow-directional-simple-left'=>'wow-directional-simple-left','wow-directional-simple-left-down'=>'wow-directional-simple-left-down','wow-directional-simple-left-up'=>'wow-directional-simple-left-up','wow-directional-simple-right'=>'wow-directional-simple-right','wow-directional-simple-right-down'=>'wow-directional-simple-right-down','wow-directional-simple-right-up'=>'wow-directional-simple-right-up','wow-directional-simple-up'=>'wow-directional-simple-up','wow-directional-square-down'=>'wow-directional-square-down','wow-directional-square-left'=>'wow-directional-square-left','wow-directional-square-right'=>'wow-directional-square-right','wow-directional-square-up'=>'wow-directional-square-up','wow-directional-stylish-down'=>'wow-directional-stylish-down','wow-directional-stylish-left'=>'wow-directional-stylish-left','wow-directional-stylish-right'=>'wow-directional-stylish-right','wow-directional-stylish-up'=>'wow-directional-stylish-up','wow-directional-swoosh-down'=>'wow-directional-swoosh-down','wow-directional-swoosh-left'=>'wow-directional-swoosh-left','wow-directional-swoosh-right'=>'wow-directional-swoosh-right','wow-directional-swoosh-up'=>'wow-directional-swoosh-up','wow-directional-thin-double-left'=>'wow-directional-thin-double-left','wow-directional-thin-double-right'=>'wow-directional-thin-double-right','wow-directional-thin-down'=>'wow-directional-thin-down','wow-directional-thin-left'=>'wow-directional-thin-left','wow-directional-thin-right'=>'wow-directional-thin-right','wow-directional-thin-up'=>'wow-directional-thin-up' );

	
	$return['education'] = array( 'wow-education-atom'=>'wow-education-atom','wow-education-award'=>'wow-education-award','wow-education-bell-alt'=>'wow-education-bell-alt','wow-education-book-alt'=>'wow-education-book-alt','wow-education-brainstorming'=>'wow-education-brainstorming','wow-education-certificate-alt-1'=>'wow-education-certificate-alt-1','wow-education-certificate-alt-2'=>'wow-education-certificate-alt-2','wow-education-dna-alt-2'=>'wow-education-dna-alt-2','wow-education-education'=>'wow-education-education','wow-education-electron'=>'wow-education-electron','wow-education-fountain-pen'=>'wow-education-fountain-pen','wow-education-globe-alt'=>'wow-education-globe-alt','wow-education-graduate-alt'=>'wow-education-graduate-alt','wow-education-group-students'=>'wow-education-group-students','wow-education-hat'=>'wow-education-hat','wow-education-hat-alt'=>'wow-education-hat-alt','wow-education-instrument'=>'wow-education-instrument','wow-education-lamp-light'=>'wow-education-lamp-light','wow-education-microscope-alt'=>'wow-education-microscope-alt','wow-education-paper'=>'wow-education-paper','wow-education-pen-alt-4'=>'wow-education-pen-alt-4','wow-education-pen-nib'=>'wow-education-pen-nib','wow-education-pencil-alt-5'=>'wow-education-pencil-alt-5','wow-education-quill-pen'=>'wow-education-quill-pen','wow-education-read-book'=>'wow-education-read-book','wow-education-read-book-alt'=>'wow-education-read-book-alt','wow-education-school-bag'=>'wow-education-school-bag','wow-education-school-bus'=>'wow-education-school-bus','wow-education-student'=>'wow-education-student','wow-education-student-alt'=>'wow-education-student-alt','wow-education-teacher'=>'wow-education-teacher','wow-education-test-bulb'=>'wow-education-test-bulb','wow-education-test-tube-alt'=>'wow-education-test-tube-alt','wow-education-university'=>'wow-education-university' );
	
	$return['food'] = array( 'wow-food-apple'=>'wow-food-apple','wow-food-arabian-coffee'=>'wow-food-arabian-coffee','wow-food-artichoke'=>'wow-food-artichoke','wow-food-asparagus'=>'wow-food-asparagus','wow-food-avocado'=>'wow-food-avocado','wow-food-baby-food'=>'wow-food-baby-food','wow-food-banana'=>'wow-food-banana','wow-food-bbq'=>'wow-food-bbq','wow-food-beans'=>'wow-food-beans','wow-food-beer'=>'wow-food-beer','wow-food-bell-pepper-capsicum'=>'wow-food-bell-pepper-capsicum','wow-food-birthday-cake'=>'wow-food-birthday-cake','wow-food-bread'=>'wow-food-bread','wow-food-broccoli'=>'wow-food-broccoli','wow-food-burger'=>'wow-food-burger','wow-food-cabbage'=>'wow-food-cabbage','wow-food-carrot'=>'wow-food-carrot','wow-food-cauli-flower'=>'wow-food-cauli-flower','wow-food-cheese'=>'wow-food-cheese','wow-food-chef'=>'wow-food-chef','wow-food-cherry'=>'wow-food-cherry','wow-food-chicken'=>'wow-food-chicken','wow-food-chicken-fry'=>'wow-food-chicken-fry','wow-food-cocktail'=>'wow-food-cocktail','wow-food-coconut'=>'wow-food-coconut','wow-food-coffee-alt'=>'wow-food-coffee-alt','wow-food-coffee-mug'=>'wow-food-coffee-mug','wow-food-coffee-pot'=>'wow-food-coffee-pot','wow-food-cola'=>'wow-food-cola','wow-food-corn'=>'wow-food-corn','wow-food-croissant'=>'wow-food-croissant','wow-food-crop-plant'=>'wow-food-crop-plant','wow-food-cucumber'=>'wow-food-cucumber','wow-food-cup-cake'=>'wow-food-cup-cake','wow-food-dining-table'=>'wow-food-dining-table','wow-food-donut'=>'wow-food-donut','wow-food-egg-plant'=>'wow-food-egg-plant','wow-food-egg-poached'=>'wow-food-egg-poached','wow-food-farmer'=>'wow-food-farmer','wow-food-farmer1'=>'wow-food-farmer1','wow-food-fast-food'=>'wow-food-fast-food','wow-food-fish'=>'wow-food-fish','wow-food-food-basket'=>'wow-food-food-basket','wow-food-food-cart'=>'wow-food-food-cart','wow-food-fork-and-knife'=>'wow-food-fork-and-knife','wow-food-french-fries'=>'wow-food-french-fries','wow-food-fresh-juice'=>'wow-food-fresh-juice','wow-food-fruits'=>'wow-food-fruits','wow-food-grapes'=>'wow-food-grapes','wow-food-honey'=>'wow-food-honey','wow-food-hot-dog'=>'wow-food-hot-dog','wow-food-hotel-alt'=>'wow-food-hotel-alt','wow-food-ice-cream'=>'wow-food-ice-cream','wow-food-ice-cream-alt'=>'wow-food-ice-cream-alt','wow-food-ketchup'=>'wow-food-ketchup','wow-food-kiwi'=>'wow-food-kiwi','wow-food-layered-cake'=>'wow-food-layered-cake','wow-food-lemon-alt'=>'wow-food-lemon-alt','wow-food-lobster'=>'wow-food-lobster','wow-food-mango'=>'wow-food-mango','wow-food-milk'=>'wow-food-milk','wow-food-mushroom'=>'wow-food-mushroom','wow-food-noodles'=>'wow-food-noodles','wow-food-onion'=>'wow-food-onion','wow-food-orange'=>'wow-food-orange','wow-food-pear'=>'wow-food-pear','wow-food-peas'=>'wow-food-peas','wow-food-pepper'=>'wow-food-pepper','wow-food-pie-alt'=>'wow-food-pie-alt','wow-food-pineapple'=>'wow-food-pineapple','wow-food-pizza'=>'wow-food-pizza','wow-food-pizza-slice'=>'wow-food-pizza-slice','wow-food-plant'=>'wow-food-plant','wow-food-popcorn'=>'wow-food-popcorn','wow-food-potato'=>'wow-food-potato','wow-food-pumpkin'=>'wow-food-pumpkin','wow-food-raddish'=>'wow-food-raddish','wow-food-restaurant'=>'wow-food-restaurant','wow-food-restaurant-menu'=>'wow-food-restaurant-menu','wow-food-salt-and-pepper'=>'wow-food-salt-and-pepper','wow-food-sandwich'=>'wow-food-sandwich','wow-food-sausage'=>'wow-food-sausage','wow-food-shrimp'=>'wow-food-shrimp','wow-food-sof-drinks'=>'wow-food-sof-drinks','wow-food-soup-bowl'=>'wow-food-soup-bowl','wow-food-spoon-and-fork'=>'wow-food-spoon-and-fork','wow-food-steak'=>'wow-food-steak','wow-food-strawberry'=>'wow-food-strawberry','wow-food-sub-sandwich'=>'wow-food-sub-sandwich','wow-food-sushi'=>'wow-food-sushi','wow-food-taco'=>'wow-food-taco','wow-food-tea'=>'wow-food-tea','wow-food-tea-pot'=>'wow-food-tea-pot','wow-food-tomato'=>'wow-food-tomato','wow-food-waiter-alt'=>'wow-food-waiter-alt','wow-food-watermelon'=>'wow-food-watermelon','wow-food-wheat'=>'wow-food-wheat' );

	
	$return['mathematical'] = array( 'wow-mathematical-abacus'=>'wow-mathematical-abacus','wow-mathematical-abacus-alt'=>'wow-mathematical-abacus-alt','wow-mathematical-angle'=>'wow-mathematical-angle','wow-mathematical-calculator-alt-1'=>'wow-mathematical-calculator-alt-1','wow-mathematical-calculator-alt-2'=>'wow-mathematical-calculator-alt-2','wow-mathematical-circle-ruler'=>'wow-mathematical-circle-ruler','wow-mathematical-circle-ruler-alt'=>'wow-mathematical-circle-ruler-alt','wow-mathematical-compass-alt-1'=>'wow-mathematical-compass-alt-1','wow-mathematical-compass-alt-2'=>'wow-mathematical-compass-alt-2','wow-mathematical-compass-alt-3'=>'wow-mathematical-compass-alt-3','wow-mathematical-compass-alt-4'=>'wow-mathematical-compass-alt-4','wow-mathematical-degrees'=>'wow-mathematical-degrees','wow-mathematical-degrees-alt-1'=>'wow-mathematical-degrees-alt-1','wow-mathematical-degrees-alt-2'=>'wow-mathematical-degrees-alt-2','wow-mathematical-golden-ratio'=>'wow-mathematical-golden-ratio','wow-mathematical-marker-alt-1'=>'wow-mathematical-marker-alt-1','wow-mathematical-marker-alt-2'=>'wow-mathematical-marker-alt-2','wow-mathematical-marker-alt-3'=>'wow-mathematical-marker-alt-3','wow-mathematical-mathematical'=>'wow-mathematical-mathematical','wow-mathematical-mathematical-alt-1'=>'wow-mathematical-mathematical-alt-1','wow-mathematical-mathematical-alt-2'=>'wow-mathematical-mathematical-alt-2','wow-mathematical-pen-alt-1'=>'wow-mathematical-pen-alt-1','wow-mathematical-pen-alt-2'=>'wow-mathematical-pen-alt-2','wow-mathematical-pen-alt-3'=>'wow-mathematical-pen-alt-3','wow-mathematical-pen-holder'=>'wow-mathematical-pen-holder','wow-mathematical-pen-holder-alt-1'=>'wow-mathematical-pen-holder-alt-1','wow-mathematical-pencil-alt-1'=>'wow-mathematical-pencil-alt-1','wow-mathematical-pencil-alt-2'=>'wow-mathematical-pencil-alt-2','wow-mathematical-pencil-alt-3'=>'wow-mathematical-pencil-alt-3','wow-mathematical-pencil-alt-4'=>'wow-mathematical-pencil-alt-4','wow-mathematical-ruler'=>'wow-mathematical-ruler','wow-mathematical-ruler-alt-1'=>'wow-mathematical-ruler-alt-1','wow-mathematical-ruler-alt-2'=>'wow-mathematical-ruler-alt-2','wow-mathematical-ruler-compass'=>'wow-mathematical-ruler-compass','wow-mathematical-ruler-compass-alt'=>'wow-mathematical-ruler-compass-alt','wow-mathematical-ruler-pencil'=>'wow-mathematical-ruler-pencil','wow-mathematical-ruler-pencil-alt-1'=>'wow-mathematical-ruler-pencil-alt-1','wow-mathematical-ruler-pencil-alt-2'=>'wow-mathematical-ruler-pencil-alt-2','wow-mathematical-rulers'=>'wow-mathematical-rulers','wow-mathematical-rulers-alt'=>'wow-mathematical-rulers-alt','wow-mathematical-square-root'=>'wow-mathematical-square-root' );

	
	$return['medical'] = array( 'wow-medical-aids'=>'wow-medical-aids','wow-medical-ambulance'=>'wow-medical-ambulance','wow-medical-autism'=>'wow-medical-autism','wow-medical-bandage'=>'wow-medical-bandage','wow-medical-bed-patient'=>'wow-medical-bed-patient','wow-medical-blind'=>'wow-medical-blind','wow-medical-blood'=>'wow-medical-blood','wow-medical-blood-drop'=>'wow-medical-blood-drop','wow-medical-blood-test'=>'wow-medical-blood-test','wow-medical-capsule'=>'wow-medical-capsule','wow-medical-crutches'=>'wow-medical-crutches','wow-medical-dna'=>'wow-medical-dna','wow-medical-dna-alt-1'=>'wow-medical-dna-alt-1','wow-medical-doctor'=>'wow-medical-doctor','wow-medical-doctor-alt'=>'wow-medical-doctor-alt','wow-medical-drug'=>'wow-medical-drug','wow-medical-drug-pack'=>'wow-medical-drug-pack','wow-medical-eye-alt'=>'wow-medical-eye-alt','wow-medical-first-aid-alt'=>'wow-medical-first-aid-alt','wow-medical-garbage'=>'wow-medical-garbage','wow-medical-heart-alt'=>'wow-medical-heart-alt','wow-medical-heartbeat'=>'wow-medical-heartbeat','wow-medical-herbal'=>'wow-medical-herbal','wow-medical-hospital'=>'wow-medical-hospital','wow-medical-icu'=>'wow-medical-icu','wow-medical-injection-syringe'=>'wow-medical-injection-syringe','wow-medical-laboratory'=>'wow-medical-laboratory','wow-medical-medical-sign'=>'wow-medical-medical-sign','wow-medical-medical-sign-alt'=>'wow-medical-medical-sign-alt','wow-medical-nurse'=>'wow-medical-nurse','wow-medical-nurse-alt'=>'wow-medical-nurse-alt','wow-medical-nursing-home'=>'wow-medical-nursing-home','wow-medical-operation-theater'=>'wow-medical-operation-theater','wow-medical-paralysis-disability'=>'wow-medical-paralysis-disability','wow-medical-pills'=>'wow-medical-pills','wow-medical-prescription'=>'wow-medical-prescription','wow-medical-pulse'=>'wow-medical-pulse','wow-medical-stethoscope'=>'wow-medical-stethoscope','wow-medical-stethoscope-alt'=>'wow-medical-stethoscope-alt','wow-medical-stretcher'=>'wow-medical-stretcher','wow-medical-surgeon'=>'wow-medical-surgeon','wow-medical-surgeon-alt'=>'wow-medical-surgeon-alt','wow-medical-tablets'=>'wow-medical-tablets','wow-medical-test-bottle'=>'wow-medical-test-bottle','wow-medical-test-tube'=>'wow-medical-test-tube','wow-medical-thermometer-alt'=>'wow-medical-thermometer-alt','wow-medical-tooth'=>'wow-medical-tooth','wow-medical-xray'=>'wow-medical-xray' );

	
	$return['mobileui'] = array( 'wow-mobileui-add'=>'wow-mobileui-add','wow-mobileui-alarm'=>'wow-mobileui-alarm','wow-mobileui-battery'=>'wow-mobileui-battery','wow-mobileui-block'=>'wow-mobileui-block','wow-mobileui-bluetooth'=>'wow-mobileui-bluetooth','wow-mobileui-brightness'=>'wow-mobileui-brightness','wow-mobileui-browser'=>'wow-mobileui-browser','wow-mobileui-calculator'=>'wow-mobileui-calculator','wow-mobileui-calendar'=>'wow-mobileui-calendar','wow-mobileui-call'=>'wow-mobileui-call','wow-mobileui-camera'=>'wow-mobileui-camera','wow-mobileui-cart'=>'wow-mobileui-cart','wow-mobileui-cell-phone'=>'wow-mobileui-cell-phone','wow-mobileui-chat'=>'wow-mobileui-chat','wow-mobileui-check'=>'wow-mobileui-check','wow-mobileui-clip'=>'wow-mobileui-clip','wow-mobileui-clip-board'=>'wow-mobileui-clip-board','wow-mobileui-clock'=>'wow-mobileui-clock','wow-mobileui-close'=>'wow-mobileui-close','wow-mobileui-contact-list'=>'wow-mobileui-contact-list','wow-mobileui-copy'=>'wow-mobileui-copy','wow-mobileui-cut'=>'wow-mobileui-cut','wow-mobileui-delete'=>'wow-mobileui-delete','wow-mobileui-dial-phone'=>'wow-mobileui-dial-phone','wow-mobileui-edit'=>'wow-mobileui-edit','wow-mobileui-email'=>'wow-mobileui-email','wow-mobileui-file'=>'wow-mobileui-file','wow-mobileui-fire-wall'=>'wow-mobileui-fire-wall','wow-mobileui-flash-light'=>'wow-mobileui-flash-light','wow-mobileui-flight'=>'wow-mobileui-flight','wow-mobileui-folder'=>'wow-mobileui-folder','wow-mobileui-game'=>'wow-mobileui-game','wow-mobileui-handicapped'=>'wow-mobileui-handicapped','wow-mobileui-head-phone'=>'wow-mobileui-head-phone','wow-mobileui-home'=>'wow-mobileui-home','wow-mobileui-image'=>'wow-mobileui-image','wow-mobileui-keyboard'=>'wow-mobileui-keyboard','wow-mobileui-laoding'=>'wow-mobileui-laoding','wow-mobileui-lock'=>'wow-mobileui-lock','wow-mobileui-love'=>'wow-mobileui-love','wow-mobileui-love-add'=>'wow-mobileui-love-add','wow-mobileui-love-broken'=>'wow-mobileui-love-broken','wow-mobileui-love-remove'=>'wow-mobileui-love-remove','wow-mobileui-map'=>'wow-mobileui-map','wow-mobileui-message'=>'wow-mobileui-message','wow-mobileui-messaging'=>'wow-mobileui-messaging','wow-mobileui-movie'=>'wow-mobileui-movie','wow-mobileui-music'=>'wow-mobileui-music','wow-mobileui-music-player'=>'wow-mobileui-music-player','wow-mobileui-mute'=>'wow-mobileui-mute','wow-mobileui-network'=>'wow-mobileui-network','wow-mobileui-next'=>'wow-mobileui-next','wow-mobileui-note'=>'wow-mobileui-note','wow-mobileui-office'=>'wow-mobileui-office','wow-mobileui-password'=>'wow-mobileui-password','wow-mobileui-pause'=>'wow-mobileui-pause','wow-mobileui-play'=>'wow-mobileui-play','wow-mobileui-play-stop'=>'wow-mobileui-play-stop','wow-mobileui-pointer'=>'wow-mobileui-pointer','wow-mobileui-power'=>'wow-mobileui-power','wow-mobileui-press'=>'wow-mobileui-press','wow-mobileui-previous'=>'wow-mobileui-previous','wow-mobileui-rate-add'=>'wow-mobileui-rate-add','wow-mobileui-rate-blank'=>'wow-mobileui-rate-blank','wow-mobileui-rate-remove'=>'wow-mobileui-rate-remove','wow-mobileui-rating'=>'wow-mobileui-rating','wow-mobileui-record'=>'wow-mobileui-record','wow-mobileui-remove'=>'wow-mobileui-remove','wow-mobileui-reply'=>'wow-mobileui-reply','wow-mobileui-rotation'=>'wow-mobileui-rotation','wow-mobileui-rss'=>'wow-mobileui-rss','wow-mobileui-search'=>'wow-mobileui-search','wow-mobileui-settings'=>'wow-mobileui-settings','wow-mobileui-social-link'=>'wow-mobileui-social-link','wow-mobileui-tag'=>'wow-mobileui-tag','wow-mobileui-text-chat'=>'wow-mobileui-text-chat','wow-mobileui-text-loading'=>'wow-mobileui-text-loading','wow-mobileui-theme'=>'wow-mobileui-theme','wow-mobileui-timer'=>'wow-mobileui-timer','wow-mobileui-touch-phone'=>'wow-mobileui-touch-phone','wow-mobileui-travel'=>'wow-mobileui-travel','wow-mobileui-unlock'=>'wow-mobileui-unlock','wow-mobileui-user'=>'wow-mobileui-user','wow-mobileui-user-group'=>'wow-mobileui-user-group','wow-mobileui-v-card'=>'wow-mobileui-v-card','wow-mobileui-video'=>'wow-mobileui-video','wow-mobileui-video-chat'=>'wow-mobileui-video-chat','wow-mobileui-video-message'=>'wow-mobileui-video-message','wow-mobileui-video-play'=>'wow-mobileui-video-play','wow-mobileui-volume'=>'wow-mobileui-volume','wow-mobileui-weather'=>'wow-mobileui-weather','wow-mobileui-wifi'=>'wow-mobileui-wifi','wow-mobileui-zoom-in'=>'wow-mobileui-zoom-in','wow-mobileui-zoom-out'=>'wow-mobileui-zoom-out' );

	
	$return['multimedia'] = array( 'wow-multimedia-cassette'=>'wow-multimedia-cassette','wow-multimedia-cassette-player'=>'wow-multimedia-cassette-player','wow-multimedia-forward'=>'wow-multimedia-forward','wow-multimedia-game'=>'wow-multimedia-game','wow-multimedia-guiter'=>'wow-multimedia-guiter','wow-multimedia-headphone-alt-1'=>'wow-multimedia-headphone-alt-1','wow-multimedia-headphone-alt-2'=>'wow-multimedia-headphone-alt-2','wow-multimedia-headphone-alt-3'=>'wow-multimedia-headphone-alt-3','wow-multimedia-listening'=>'wow-multimedia-listening','wow-multimedia-megaphone'=>'wow-multimedia-megaphone','wow-multimedia-megaphone-alt'=>'wow-multimedia-megaphone-alt','wow-multimedia-movie'=>'wow-multimedia-movie','wow-multimedia-mp3-player'=>'wow-multimedia-mp3-player','wow-multimedia-multimedia'=>'wow-multimedia-multimedia','wow-multimedia-music-disk'=>'wow-multimedia-music-disk','wow-multimedia-music-note'=>'wow-multimedia-music-note','wow-multimedia-pause'=>'wow-multimedia-pause','wow-multimedia-play-alt-1'=>'wow-multimedia-play-alt-1','wow-multimedia-play-alt-2'=>'wow-multimedia-play-alt-2','wow-multimedia-play-alt-3'=>'wow-multimedia-play-alt-3','wow-multimedia-play-pause'=>'wow-multimedia-play-pause','wow-multimedia-record'=>'wow-multimedia-record','wow-multimedia-retro-music-disk'=>'wow-multimedia-retro-music-disk','wow-multimedia-rewind'=>'wow-multimedia-rewind','wow-multimedia-song-notes'=>'wow-multimedia-song-notes','wow-multimedia-sound-wave'=>'wow-multimedia-sound-wave','wow-multimedia-sound-wave-alt'=>'wow-multimedia-sound-wave-alt','wow-multimedia-stop'=>'wow-multimedia-stop','wow-multimedia-video-alt'=>'wow-multimedia-video-alt','wow-multimedia-video-cam'=>'wow-multimedia-video-cam','wow-multimedia-volume-bar'=>'wow-multimedia-volume-bar','wow-multimedia-volume-mute'=>'wow-multimedia-volume-mute','wow-multimedia-youtube-play'=>'wow-multimedia-youtube-play' );
	
	$return['person'] = array( 'wow-person-boy'=>'wow-person-boy','wow-person-business-man'=>'wow-person-business-man','wow-person-business-man-alt-1'=>'wow-person-business-man-alt-1','wow-person-business-man-alt-2'=>'wow-person-business-man-alt-2','wow-person-business-man-alt-3'=>'wow-person-business-man-alt-3','wow-person-funky-man'=>'wow-person-funky-man','wow-person-girl'=>'wow-person-girl','wow-person-girl-alt'=>'wow-person-girl-alt','wow-person-hotel-boy'=>'wow-person-hotel-boy','wow-person-hotel-boy-alt'=>'wow-person-hotel-boy-alt','wow-person-man-in-glasses'=>'wow-person-man-in-glasses','wow-person-user'=>'wow-person-user','wow-person-user-alt-1'=>'wow-person-user-alt-1','wow-person-user-alt-2'=>'wow-person-user-alt-2','wow-person-user-alt-3'=>'wow-person-user-alt-3','wow-person-user-alt-4'=>'wow-person-user-alt-4','wow-person-user-alt-5'=>'wow-person-user-alt-5','wow-person-user-alt-6'=>'wow-person-user-alt-6','wow-person-user-alt-7'=>'wow-person-user-alt-7','wow-person-user-female'=>'wow-person-user-female','wow-person-user-male'=>'wow-person-user-male','wow-person-user-suited'=>'wow-person-user-suited','wow-person-users'=>'wow-person-users','wow-person-users-alt-1'=>'wow-person-users-alt-1','wow-person-users-alt-2'=>'wow-person-users-alt-2','wow-person-users-alt-3'=>'wow-person-users-alt-3','wow-person-users-alt-4'=>'wow-person-users-alt-4','wow-person-users-alt-5'=>'wow-person-users-alt-5','wow-person-users-alt-6'=>'wow-person-users-alt-6','wow-person-users-social'=>'wow-person-users-social','wow-person-waiter'=>'wow-person-waiter','wow-person-woman-in-glasses'=>'wow-person-woman-in-glasses' );

	
	$return['search'] = array( 'wow-search-document-search'=>'wow-search-document-search','wow-search-folder-search'=>'wow-search-folder-search','wow-search-home-search'=>'wow-search-home-search','wow-search-job-search'=>'wow-search-job-search','wow-search-map-search'=>'wow-search-map-search','wow-search-restaurant-search'=>'wow-search-restaurant-search','wow-search-search'=>'wow-search-search','wow-search-search-alt-1'=>'wow-search-search-alt-1','wow-search-search-alt-2'=>'wow-search-search-alt-2','wow-search-stock-search'=>'wow-search-stock-search','wow-search-user-search'=>'wow-search-user-search' );

	
	$return['social'] = array( 'wow-social-500px'=>'wow-social-500px','wow-social-aim'=>'wow-social-aim','wow-social-badoo'=>'wow-social-badoo','wow-social-baidu-tieba'=>'wow-social-baidu-tieba','wow-social-bbm-messenger'=>'wow-social-bbm-messenger','wow-social-bebo'=>'wow-social-bebo','wow-social-behance'=>'wow-social-behance','wow-social-blogger'=>'wow-social-blogger','wow-social-bootstrap'=>'wow-social-bootstrap','wow-social-brightkite'=>'wow-social-brightkite','wow-social-cloudapp'=>'wow-social-cloudapp','wow-social-concrete5'=>'wow-social-concrete5','wow-social-delicious'=>'wow-social-delicious','wow-social-designbump'=>'wow-social-designbump','wow-social-designfloat'=>'wow-social-designfloat','wow-social-deviantart'=>'wow-social-deviantart','wow-social-digg'=>'wow-social-digg','wow-social-dotcms'=>'wow-social-dotcms','wow-social-dribbble'=>'wow-social-dribbble','wow-social-dribble'=>'wow-social-dribble','wow-social-dropbox'=>'wow-social-dropbox','wow-social-ebuddy'=>'wow-social-ebuddy','wow-social-ello'=>'wow-social-ello','wow-social-ember'=>'wow-social-ember','wow-social-evernote'=>'wow-social-evernote','wow-social-facebook'=>'wow-social-facebook','wow-social-facebook-messenger'=>'wow-social-facebook-messenger','wow-social-feedburner'=>'wow-social-feedburner','wow-social-flickr'=>'wow-social-flickr','wow-social-folkd'=>'wow-social-folkd','wow-social-foursquare'=>'wow-social-foursquare','wow-social-friendfeed'=>'wow-social-friendfeed','wow-social-ghost'=>'wow-social-ghost','wow-social-github'=>'wow-social-github','wow-social-gnome'=>'wow-social-gnome','wow-social-google-buzz'=>'wow-social-google-buzz','wow-social-google-hangouts'=>'wow-social-google-hangouts','wow-social-google-map'=>'wow-social-google-map','wow-social-google-plus'=>'wow-social-google-plus','wow-social-google-talk'=>'wow-social-google-talk','wow-social-hype-machine'=>'wow-social-hype-machine','wow-social-instagram'=>'wow-social-instagram','wow-social-kakaotalk'=>'wow-social-kakaotalk','wow-social-kickstarter'=>'wow-social-kickstarter','wow-social-kik'=>'wow-social-kik','wow-social-kiwibox'=>'wow-social-kiwibox','wow-social-line'=>'wow-social-line','wow-social-linkedin'=>'wow-social-linkedin','wow-social-linux-mint'=>'wow-social-linux-mint','wow-social-livejournal'=>'wow-social-livejournal','wow-social-magento'=>'wow-social-magento','wow-social-meetme'=>'wow-social-meetme','wow-social-meetup'=>'wow-social-meetup','wow-social-mixx'=>'wow-social-mixx','wow-social-newsvine'=>'wow-social-newsvine','wow-social-nimbuss'=>'wow-social-nimbuss','wow-social-odnoklassniki'=>'wow-social-odnoklassniki','wow-social-opencart'=>'wow-social-opencart','wow-social-oscommerce'=>'wow-social-oscommerce','wow-social-pandora'=>'wow-social-pandora','wow-social-photobucket'=>'wow-social-photobucket','wow-social-picasa'=>'wow-social-picasa','wow-social-pinterest'=>'wow-social-pinterest','wow-social-prestashop'=>'wow-social-prestashop','wow-social-qik'=>'wow-social-qik','wow-social-qq'=>'wow-social-qq','wow-social-readernaut'=>'wow-social-readernaut','wow-social-reddit'=>'wow-social-reddit','wow-social-renren'=>'wow-social-renren','wow-social-rss'=>'wow-social-rss','wow-social-shopify'=>'wow-social-shopify','wow-social-silverstripe'=>'wow-social-silverstripe','wow-social-skype'=>'wow-social-skype','wow-social-slack'=>'wow-social-slack','wow-social-slashdot'=>'wow-social-slashdot','wow-social-slidshare'=>'wow-social-slidshare','wow-social-smugmug'=>'wow-social-smugmug','wow-social-snapchat'=>'wow-social-snapchat','wow-social-soundcloud'=>'wow-social-soundcloud','wow-social-spotify'=>'wow-social-spotify','wow-social-stack-exchange'=>'wow-social-stack-exchange','wow-social-stack-overflow'=>'wow-social-stack-overflow','wow-social-steam'=>'wow-social-steam','wow-social-stumbleupon'=>'wow-social-stumbleupon','wow-social-tagged'=>'wow-social-tagged','wow-social-technorati'=>'wow-social-technorati','wow-social-telegram'=>'wow-social-telegram','wow-social-tinder'=>'wow-social-tinder','wow-social-trello'=>'wow-social-trello','wow-social-tumblr'=>'wow-social-tumblr','wow-social-twitch'=>'wow-social-twitch','wow-social-twitter'=>'wow-social-twitter','wow-social-typo3'=>'wow-social-typo3','wow-social-ubercart'=>'wow-social-ubercart','wow-social-viber'=>'wow-social-viber','wow-social-viddler'=>'wow-social-viddler','wow-social-vimeo'=>'wow-social-vimeo','wow-social-vine'=>'wow-social-vine','wow-social-virb'=>'wow-social-virb','wow-social-virtuemart'=>'wow-social-virtuemart','wow-social-vk'=>'wow-social-vk','wow-social-wechat'=>'wow-social-wechat','wow-social-weibo'=>'wow-social-weibo','wow-social-whatsapp'=>'wow-social-whatsapp','wow-social-xing'=>'wow-social-xing','wow-social-yahoo'=>'wow-social-yahoo','wow-social-yelp'=>'wow-social-yelp','wow-social-youku'=>'wow-social-youku','wow-social-youtube'=>'wow-social-youtube','wow-social-youtube-play'=>'wow-social-youtube-play','wow-social-zencart'=>'wow-social-zencart','wow-social-envato'=>'wow-social-envato','wow-social-viadeo' => 'wow-social-viadeo','wow-social-wordpress'=>'wow-social-wordpress' );

	
	$return['sport'] = array( 'wow-sport-badminton-birdie'=>'wow-sport-badminton-birdie','wow-sport-baseball'=>'wow-sport-baseball','wow-sport-baseballer'=>'wow-sport-baseballer','wow-sport-basketball'=>'wow-sport-basketball','wow-sport-basketball-hoop'=>'wow-sport-basketball-hoop','wow-sport-billiard-ball'=>'wow-sport-billiard-ball','wow-sport-boot-alt-1'=>'wow-sport-boot-alt-1','wow-sport-boot-alt-2'=>'wow-sport-boot-alt-2','wow-sport-bowling'=>'wow-sport-bowling','wow-sport-bowling-alt'=>'wow-sport-bowling-alt','wow-sport-canoe'=>'wow-sport-canoe','wow-sport-cheer-leader'=>'wow-sport-cheer-leader','wow-sport-climbing'=>'wow-sport-climbing','wow-sport-corner'=>'wow-sport-corner','wow-sport-cyclist'=>'wow-sport-cyclist','wow-sport-dumbbell'=>'wow-sport-dumbbell','wow-sport-dumbbell-alt'=>'wow-sport-dumbbell-alt','wow-sport-field'=>'wow-sport-field','wow-sport-field-alt'=>'wow-sport-field-alt','wow-sport-football-alt'=>'wow-sport-football-alt','wow-sport-foul'=>'wow-sport-foul','wow-sport-goal'=>'wow-sport-goal','wow-sport-goal-keeper'=>'wow-sport-goal-keeper','wow-sport-golf'=>'wow-sport-golf','wow-sport-golf-alt'=>'wow-sport-golf-alt','wow-sport-golf-bag'=>'wow-sport-golf-bag','wow-sport-golf-field'=>'wow-sport-golf-field','wow-sport-golfer'=>'wow-sport-golfer','wow-sport-gym'=>'wow-sport-gym','wow-sport-gym-alt-1'=>'wow-sport-gym-alt-1','wow-sport-gym-alt-2'=>'wow-sport-gym-alt-2','wow-sport-gym-alt-3'=>'wow-sport-gym-alt-3','wow-sport-hand-grippers'=>'wow-sport-hand-grippers','wow-sport-heart-beat-alt'=>'wow-sport-heart-beat-alt','wow-sport-helmet'=>'wow-sport-helmet','wow-sport-hockey'=>'wow-sport-hockey','wow-sport-hockey-alt'=>'wow-sport-hockey-alt','wow-sport-ice-skate'=>'wow-sport-ice-skate','wow-sport-jersey'=>'wow-sport-jersey','wow-sport-jersey-alt'=>'wow-sport-jersey-alt','wow-sport-jumping'=>'wow-sport-jumping','wow-sport-kick'=>'wow-sport-kick','wow-sport-leg'=>'wow-sport-leg','wow-sport-match-review'=>'wow-sport-match-review','wow-sport-medal-alt'=>'wow-sport-medal-alt','wow-sport-muscle'=>'wow-sport-muscle','wow-sport-muscle-alt'=>'wow-sport-muscle-alt','wow-sport-offside'=>'wow-sport-offside','wow-sport-olympic'=>'wow-sport-olympic','wow-sport-olympic-logo'=>'wow-sport-olympic-logo','wow-sport-padding'=>'wow-sport-padding','wow-sport-penalty-card'=>'wow-sport-penalty-card','wow-sport-racer'=>'wow-sport-racer','wow-sport-racing-car'=>'wow-sport-racing-car','wow-sport-racing-flag'=>'wow-sport-racing-flag','wow-sport-racing-flag-alt'=>'wow-sport-racing-flag-alt','wow-sport-racings-wheel'=>'wow-sport-racings-wheel','wow-sport-referee'=>'wow-sport-referee','wow-sport-refree-jersey'=>'wow-sport-refree-jersey','wow-sport-result'=>'wow-sport-result','wow-sport-rugby'=>'wow-sport-rugby','wow-sport-rugby-ball'=>'wow-sport-rugby-ball','wow-sport-rugby-player'=>'wow-sport-rugby-player','wow-sport-runner'=>'wow-sport-runner','wow-sport-runner-alt-1'=>'wow-sport-runner-alt-1','wow-sport-runner-alt-2'=>'wow-sport-runner-alt-2','wow-sport-score-board'=>'wow-sport-score-board','wow-sport-skiing-man'=>'wow-sport-skiing-man','wow-sport-skydiving-goggles'=>'wow-sport-skydiving-goggles','wow-sport-snow-mobile'=>'wow-sport-snow-mobile','wow-sport-steering'=>'wow-sport-steering','wow-sport-substitute'=>'wow-sport-substitute','wow-sport-swimmer'=>'wow-sport-swimmer','wow-sport-table-tennis'=>'wow-sport-table-tennis','wow-sport-team'=>'wow-sport-team','wow-sport-team-alt'=>'wow-sport-team-alt','wow-sport-tennis'=>'wow-sport-tennis','wow-sport-tennis-player'=>'wow-sport-tennis-player','wow-sport-time'=>'wow-sport-time','wow-sport-track'=>'wow-sport-track','wow-sport-tracking'=>'wow-sport-tracking','wow-sport-trophy'=>'wow-sport-trophy','wow-sport-trophy-alt'=>'wow-sport-trophy-alt','wow-sport-volleyball'=>'wow-sport-volleyball','wow-sport-volleyball-alt'=>'wow-sport-volleyball-alt','wow-sport-volleyball-fire'=>'wow-sport-volleyball-fire','wow-sport-water-bottle'=>'wow-sport-water-bottle','wow-sport-whisle'=>'wow-sport-whisle','wow-sport-win-trophy'=>'wow-sport-win-trophy' );

	
	$return['texteditor'] = array( 'wow-texteditor-align-center'=>'wow-texteditor-align-center','wow-texteditor-align-left'=>'wow-texteditor-align-left','wow-texteditor-align-right'=>'wow-texteditor-align-right','wow-texteditor-all-caps'=>'wow-texteditor-all-caps','wow-texteditor-bold'=>'wow-texteditor-bold','wow-texteditor-brush'=>'wow-texteditor-brush','wow-texteditor-clip-board'=>'wow-texteditor-clip-board','wow-texteditor-code-alt'=>'wow-texteditor-code-alt','wow-texteditor-color-bucket'=>'wow-texteditor-color-bucket','wow-texteditor-color-picker'=>'wow-texteditor-color-picker','wow-texteditor-copy-alt'=>'wow-texteditor-copy-alt','wow-texteditor-copy-black'=>'wow-texteditor-copy-black','wow-texteditor-cut'=>'wow-texteditor-cut','wow-texteditor-delete-alt'=>'wow-texteditor-delete-alt','wow-texteditor-edit-alt'=>'wow-texteditor-edit-alt','wow-texteditor-eraser-alt'=>'wow-texteditor-eraser-alt','wow-texteditor-file-alt'=>'wow-texteditor-file-alt','wow-texteditor-font'=>'wow-texteditor-font','wow-texteditor-header'=>'wow-texteditor-header','wow-texteditor-indent'=>'wow-texteditor-indent','wow-texteditor-italic-alt'=>'wow-texteditor-italic-alt','wow-texteditor-justify-all'=>'wow-texteditor-justify-all','wow-texteditor-justify-center'=>'wow-texteditor-justify-center','wow-texteditor-justify-left'=>'wow-texteditor-justify-left','wow-texteditor-justify-right'=>'wow-texteditor-justify-right','wow-texteditor-line-height'=>'wow-texteditor-line-height','wow-texteditor-link-alt'=>'wow-texteditor-link-alt','wow-texteditor-listine-dots'=>'wow-texteditor-listine-dots','wow-texteditor-listing-box'=>'wow-texteditor-listing-box','wow-texteditor-listing-number'=>'wow-texteditor-listing-number','wow-texteditor-marker'=>'wow-texteditor-marker','wow-texteditor-outdent'=>'wow-texteditor-outdent','wow-texteditor-paper-clip'=>'wow-texteditor-paper-clip','wow-texteditor-paragraph'=>'wow-texteditor-paragraph','wow-texteditor-pin'=>'wow-texteditor-pin','wow-texteditor-printer'=>'wow-texteditor-printer','wow-texteditor-redo'=>'wow-texteditor-redo','wow-texteditor-rotation'=>'wow-texteditor-rotation','wow-texteditor-save'=>'wow-texteditor-save','wow-texteditor-small-cap'=>'wow-texteditor-small-cap','wow-texteditor-strike-through'=>'wow-texteditor-strike-through','wow-texteditor-sub-listing'=>'wow-texteditor-sub-listing','wow-texteditor-subscript'=>'wow-texteditor-subscript','wow-texteditor-superscript'=>'wow-texteditor-superscript','wow-texteditor-table'=>'wow-texteditor-table','wow-texteditor-text-height'=>'wow-texteditor-text-height','wow-texteditor-text-width'=>'wow-texteditor-text-width','wow-texteditor-trash'=>'wow-texteditor-trash','wow-texteditor-underline'=>'wow-texteditor-underline','wow-texteditor-undo'=>'wow-texteditor-undo','wow-texteditor-unlink'=>'wow-texteditor-unlink' );

	
	$return['transport'] = array( 'wow-transport-air-balloon'=>'wow-transport-air-balloon','wow-transport-airplane'=>'wow-transport-airplane','wow-transport-airplane-alt'=>'wow-transport-airplane-alt','wow-transport-ambulance-crescent'=>'wow-transport-ambulance-crescent','wow-transport-ambulance-cross'=>'wow-transport-ambulance-cross','wow-transport-articulated-truck'=>'wow-transport-articulated-truck','wow-transport-auto-rickshaw'=>'wow-transport-auto-rickshaw','wow-transport-bicycle-alt-1'=>'wow-transport-bicycle-alt-1','wow-transport-bicycle-alt-2'=>'wow-transport-bicycle-alt-2','wow-transport-bull-dozer'=>'wow-transport-bull-dozer','wow-transport-bus-alt-1'=>'wow-transport-bus-alt-1','wow-transport-bus-alt-2'=>'wow-transport-bus-alt-2','wow-transport-bus-alt-3'=>'wow-transport-bus-alt-3','wow-transport-cable-car'=>'wow-transport-cable-car','wow-transport-car-alt-1'=>'wow-transport-car-alt-1','wow-transport-car-alt-2'=>'wow-transport-car-alt-2','wow-transport-car-alt-3'=>'wow-transport-car-alt-3','wow-transport-car-alt-4'=>'wow-transport-car-alt-4','wow-transport-concrete-mixer'=>'wow-transport-concrete-mixer','wow-transport-delivery-time'=>'wow-transport-delivery-time','wow-transport-excavator'=>'wow-transport-excavator','wow-transport-fast-delivery'=>'wow-transport-fast-delivery','wow-transport-fire-truck'=>'wow-transport-fire-truck','wow-transport-fire-truck-alt'=>'wow-transport-fire-truck-alt','wow-transport-fork-lift'=>'wow-transport-fork-lift','wow-transport-free-delivery'=>'wow-transport-free-delivery','wow-transport-golf-cart'=>'wow-transport-golf-cart','wow-transport-helicopter'=>'wow-transport-helicopter','wow-transport-motor-bike'=>'wow-transport-motor-bike','wow-transport-motor-bike-alt'=>'wow-transport-motor-bike-alt','wow-transport-motor-biker'=>'wow-transport-motor-biker','wow-transport-oil-truck'=>'wow-transport-oil-truck','wow-transport-police-car'=>'wow-transport-police-car','wow-transport-rickshaw'=>'wow-transport-rickshaw','wow-transport-rocket-alt-1'=>'wow-transport-rocket-alt-1','wow-transport-rocket-alt-2'=>'wow-transport-rocket-alt-2','wow-transport-sail-boat'=>'wow-transport-sail-boat','wow-transport-scooter'=>'wow-transport-scooter','wow-transport-sea-plane'=>'wow-transport-sea-plane','wow-transport-ship-alt'=>'wow-transport-ship-alt','wow-transport-speed-boat'=>'wow-transport-speed-boat','wow-transport-taxi'=>'wow-transport-taxi','wow-transport-tow-truck'=>'wow-transport-tow-truck','wow-transport-tractor'=>'wow-transport-tractor','wow-transport-traffic-light'=>'wow-transport-traffic-light','wow-transport-train-line'=>'wow-transport-train-line','wow-transport-train-steam'=>'wow-transport-train-steam','wow-transport-tram'=>'wow-transport-tram','wow-transport-truck'=>'wow-transport-truck','wow-transport-truck-alt'=>'wow-transport-truck-alt','wow-transport-truck-loaded'=>'wow-transport-truck-loaded','wow-transport-van'=>'wow-transport-van','wow-transport-van-alt'=>'wow-transport-van-alt','wow-transport-yacht'=>'wow-transport-yacht' );

	
	$return['travel'] = array( 'wow-travel-5-star-hotel'=>'wow-travel-5-star-hotel','wow-travel-anchor-alt'=>'wow-travel-anchor-alt','wow-travel-beach-bed'=>'wow-travel-beach-bed','wow-travel-camping-vest'=>'wow-travel-camping-vest','wow-travel-coconut-alt'=>'wow-travel-coconut-alt','wow-travel-direction-sign'=>'wow-travel-direction-sign','wow-travel-hill-side'=>'wow-travel-hill-side','wow-travel-island-alt'=>'wow-travel-island-alt','wow-travel-long-drive'=>'wow-travel-long-drive','wow-travel-map-pins'=>'wow-travel-map-pins','wow-travel-plane-ticket'=>'wow-travel-plane-ticket','wow-travel-sail-boat-alt-1'=>'wow-travel-sail-boat-alt-1','wow-travel-sail-boat-alt-2'=>'wow-travel-sail-boat-alt-2','wow-travel-sandals-female'=>'wow-travel-sandals-female','wow-travel-sandals-male'=>'wow-travel-sandals-male','wow-travel-travelling'=>'wow-travel-travelling' );

	
	$return['webapplication'] = array( 'wow-webapplication-addons'=>'wow-webapplication-addons','wow-webapplication-address-book'=>'wow-webapplication-address-book','wow-webapplication-adjust'=>'wow-webapplication-adjust','wow-webapplication-alarm'=>'wow-webapplication-alarm','wow-webapplication-anchor'=>'wow-webapplication-anchor','wow-webapplication-archive'=>'wow-webapplication-archive','wow-webapplication-at'=>'wow-webapplication-at','wow-webapplication-attachment'=>'wow-webapplication-attachment','wow-webapplication-audio'=>'wow-webapplication-audio','wow-webapplication-auto-mobile'=>'wow-webapplication-auto-mobile','wow-webapplication-automation'=>'wow-webapplication-automation','wow-webapplication-baby'=>'wow-webapplication-baby','wow-webapplication-badge'=>'wow-webapplication-badge','wow-webapplication-bag'=>'wow-webapplication-bag','wow-webapplication-ban'=>'wow-webapplication-ban','wow-webapplication-bank'=>'wow-webapplication-bank','wow-webapplication-bar-code'=>'wow-webapplication-bar-code','wow-webapplication-bars'=>'wow-webapplication-bars','wow-webapplication-battery-empty'=>'wow-webapplication-battery-empty','wow-webapplication-battery-full'=>'wow-webapplication-battery-full','wow-webapplication-battery-half'=>'wow-webapplication-battery-half','wow-webapplication-battery-low'=>'wow-webapplication-battery-low','wow-webapplication-beach'=>'wow-webapplication-beach','wow-webapplication-beaker'=>'wow-webapplication-beaker','wow-webapplication-bear'=>'wow-webapplication-bear','wow-webapplication-beard'=>'wow-webapplication-beard','wow-webapplication-bed'=>'wow-webapplication-bed','wow-webapplication-bell'=>'wow-webapplication-bell','wow-webapplication-beverage'=>'wow-webapplication-beverage','wow-webapplication-bicycle'=>'wow-webapplication-bicycle','wow-webapplication-bill'=>'wow-webapplication-bill','wow-webapplication-bin'=>'wow-webapplication-bin','wow-webapplication-binary'=>'wow-webapplication-binary','wow-webapplication-binoculars'=>'wow-webapplication-binoculars','wow-webapplication-bird'=>'wow-webapplication-bird','wow-webapplication-birds'=>'wow-webapplication-birds','wow-webapplication-black-board'=>'wow-webapplication-black-board','wow-webapplication-bluetooth'=>'wow-webapplication-bluetooth','wow-webapplication-bolt'=>'wow-webapplication-bolt','wow-webapplication-bomb'=>'wow-webapplication-bomb','wow-webapplication-book'=>'wow-webapplication-book','wow-webapplication-book-mark'=>'wow-webapplication-book-mark','wow-webapplication-boot'=>'wow-webapplication-boot','wow-webapplication-box'=>'wow-webapplication-box','wow-webapplication-brain'=>'wow-webapplication-brain','wow-webapplication-briefcase'=>'wow-webapplication-briefcase','wow-webapplication-broken'=>'wow-webapplication-broken','wow-webapplication-bucket'=>'wow-webapplication-bucket','wow-webapplication-bucket1'=>'wow-webapplication-bucket1','wow-webapplication-bucket2'=>'wow-webapplication-bucket2','wow-webapplication-bug'=>'wow-webapplication-bug','wow-webapplication-building'=>'wow-webapplication-building','wow-webapplication-bullet'=>'wow-webapplication-bullet','wow-webapplication-bullhorn'=>'wow-webapplication-bullhorn','wow-webapplication-bullseye'=>'wow-webapplication-bullseye','wow-webapplication-bus'=>'wow-webapplication-bus','wow-webapplication-butterfly'=>'wow-webapplication-butterfly','wow-webapplication-cab'=>'wow-webapplication-cab','wow-webapplication-calculator'=>'wow-webapplication-calculator','wow-webapplication-calendar'=>'wow-webapplication-calendar','wow-webapplication-camera'=>'wow-webapplication-camera','wow-webapplication-camera-alt'=>'wow-webapplication-camera-alt','wow-webapplication-car'=>'wow-webapplication-car','wow-webapplication-card'=>'wow-webapplication-card','wow-webapplication-cart'=>'wow-webapplication-cart','wow-webapplication-cc'=>'wow-webapplication-cc','wow-webapplication-certificate'=>'wow-webapplication-certificate','wow-webapplication-charging'=>'wow-webapplication-charging','wow-webapplication-chat'=>'wow-webapplication-chat','wow-webapplication-check'=>'wow-webapplication-check','wow-webapplication-check-alt'=>'wow-webapplication-check-alt','wow-webapplication-check-circled'=>'wow-webapplication-check-circled','wow-webapplication-checked'=>'wow-webapplication-checked','wow-webapplication-children-care'=>'wow-webapplication-children-care','wow-webapplication-clock-time'=>'wow-webapplication-clock-time','wow-webapplication-close'=>'wow-webapplication-close','wow-webapplication-close-circled'=>'wow-webapplication-close-circled','wow-webapplication-close-line'=>'wow-webapplication-close-line','wow-webapplication-close-line-circled'=>'wow-webapplication-close-line-circled','wow-webapplication-close-line-squared'=>'wow-webapplication-close-line-squared','wow-webapplication-close-line-squared-alt'=>'wow-webapplication-close-line-squared-alt','wow-webapplication-close-squared'=>'wow-webapplication-close-squared','wow-webapplication-close-squared-alt'=>'wow-webapplication-close-squared-alt','wow-webapplication-cloud'=>'wow-webapplication-cloud','wow-webapplication-cloud-download'=>'wow-webapplication-cloud-download','wow-webapplication-cloud-refresh'=>'wow-webapplication-cloud-refresh','wow-webapplication-cloud-upload'=>'wow-webapplication-cloud-upload','wow-webapplication-code'=>'wow-webapplication-code','wow-webapplication-code-not-allowed'=>'wow-webapplication-code-not-allowed','wow-webapplication-coffee-cup'=>'wow-webapplication-coffee-cup','wow-webapplication-comment'=>'wow-webapplication-comment','wow-webapplication-compass'=>'wow-webapplication-compass','wow-webapplication-computer'=>'wow-webapplication-computer','wow-webapplication-connection'=>'wow-webapplication-connection','wow-webapplication-console'=>'wow-webapplication-console','wow-webapplication-contacts'=>'wow-webapplication-contacts','wow-webapplication-contrast'=>'wow-webapplication-contrast','wow-webapplication-copy'=>'wow-webapplication-copy','wow-webapplication-copyright'=>'wow-webapplication-copyright','wow-webapplication-credit-card'=>'wow-webapplication-credit-card','wow-webapplication-crop'=>'wow-webapplication-crop','wow-webapplication-crown'=>'wow-webapplication-crown','wow-webapplication-cube'=>'wow-webapplication-cube','wow-webapplication-cubes'=>'wow-webapplication-cubes','wow-webapplication-culinary'=>'wow-webapplication-culinary','wow-webapplication-dashboard'=>'wow-webapplication-dashboard','wow-webapplication-dashboard-web'=>'wow-webapplication-dashboard-web','wow-webapplication-data'=>'wow-webapplication-data','wow-webapplication-database'=>'wow-webapplication-database','wow-webapplication-database-add'=>'wow-webapplication-database-add','wow-webapplication-database-locked'=>'wow-webapplication-database-locked','wow-webapplication-database-remove'=>'wow-webapplication-database-remove','wow-webapplication-delete'=>'wow-webapplication-delete','wow-webapplication-diamond'=>'wow-webapplication-diamond','wow-webapplication-dice'=>'wow-webapplication-dice','wow-webapplication-disabled'=>'wow-webapplication-disabled','wow-webapplication-disc'=>'wow-webapplication-disc','wow-webapplication-diskette'=>'wow-webapplication-diskette','wow-webapplication-document-folder'=>'wow-webapplication-document-folder','wow-webapplication-download'=>'wow-webapplication-download','wow-webapplication-download-alt'=>'wow-webapplication-download-alt','wow-webapplication-downloaded'=>'wow-webapplication-downloaded','wow-webapplication-earth'=>'wow-webapplication-earth','wow-webapplication-ebook'=>'wow-webapplication-ebook','wow-webapplication-edit'=>'wow-webapplication-edit','wow-webapplication-eject'=>'wow-webapplication-eject','wow-webapplication-email'=>'wow-webapplication-email','wow-webapplication-envelope'=>'wow-webapplication-envelope','wow-webapplication-envelope-open'=>'wow-webapplication-envelope-open','wow-webapplication-eraser'=>'wow-webapplication-eraser','wow-webapplication-error'=>'wow-webapplication-error','wow-webapplication-exchange'=>'wow-webapplication-exchange','wow-webapplication-exclamation'=>'wow-webapplication-exclamation','wow-webapplication-exclamation-circle'=>'wow-webapplication-exclamation-circle','wow-webapplication-exclamation-square'=>'wow-webapplication-exclamation-square','wow-webapplication-exclamation-tringle'=>'wow-webapplication-exclamation-tringle','wow-webapplication-exit'=>'wow-webapplication-exit','wow-webapplication-expand'=>'wow-webapplication-expand','wow-webapplication-external'=>'wow-webapplication-external','wow-webapplication-external-link'=>'wow-webapplication-external-link','wow-webapplication-eye'=>'wow-webapplication-eye','wow-webapplication-eye-blocked'=>'wow-webapplication-eye-blocked','wow-webapplication-eye-dropper'=>'wow-webapplication-eye-dropper','wow-webapplication-favourite'=>'wow-webapplication-favourite','wow-webapplication-fax'=>'wow-webapplication-fax','wow-webapplication-female'=>'wow-webapplication-female','wow-webapplication-file'=>'wow-webapplication-file','wow-webapplication-film'=>'wow-webapplication-film','wow-webapplication-filter'=>'wow-webapplication-filter','wow-webapplication-fire'=>'wow-webapplication-fire','wow-webapplication-fire-burn'=>'wow-webapplication-fire-burn','wow-webapplication-fire-extinguisher'=>'wow-webapplication-fire-extinguisher','wow-webapplication-first-aid'=>'wow-webapplication-first-aid','wow-webapplication-flag'=>'wow-webapplication-flag','wow-webapplication-flag-alt-1'=>'wow-webapplication-flag-alt-1','wow-webapplication-flag-alt-2'=>'wow-webapplication-flag-alt-2','wow-webapplication-flash'=>'wow-webapplication-flash','wow-webapplication-flash-light'=>'wow-webapplication-flash-light','wow-webapplication-flask'=>'wow-webapplication-flask','wow-webapplication-focus'=>'wow-webapplication-focus','wow-webapplication-folder'=>'wow-webapplication-folder','wow-webapplication-folder-open'=>'wow-webapplication-folder-open','wow-webapplication-foot-print'=>'wow-webapplication-foot-print','wow-webapplication-football'=>'wow-webapplication-football','wow-webapplication-football-american'=>'wow-webapplication-football-american','wow-webapplication-game-console'=>'wow-webapplication-game-console','wow-webapplication-game-pad'=>'wow-webapplication-game-pad','wow-webapplication-gavel'=>'wow-webapplication-gavel','wow-webapplication-gear'=>'wow-webapplication-gear','wow-webapplication-gears'=>'wow-webapplication-gears','wow-webapplication-gift'=>'wow-webapplication-gift','wow-webapplication-glass'=>'wow-webapplication-glass','wow-webapplication-globe'=>'wow-webapplication-globe','wow-webapplication-graduate'=>'wow-webapplication-graduate','wow-webapplication-graffiti'=>'wow-webapplication-graffiti','wow-webapplication-grocery'=>'wow-webapplication-grocery','wow-webapplication-group'=>'wow-webapplication-group','wow-webapplication-hammer'=>'wow-webapplication-hammer','wow-webapplication-hand'=>'wow-webapplication-hand','wow-webapplication-hanger'=>'wow-webapplication-hanger','wow-webapplication-hard-disk'=>'wow-webapplication-hard-disk','wow-webapplication-headphone'=>'wow-webapplication-headphone','wow-webapplication-heart'=>'wow-webapplication-heart','wow-webapplication-heart-beat'=>'wow-webapplication-heart-beat','wow-webapplication-history'=>'wow-webapplication-history','wow-webapplication-home'=>'wow-webapplication-home','wow-webapplication-horn'=>'wow-webapplication-horn','wow-webapplication-hotel'=>'wow-webapplication-hotel','wow-webapplication-hour-glass'=>'wow-webapplication-hour-glass','wow-webapplication-id'=>'wow-webapplication-id','wow-webapplication-image'=>'wow-webapplication-image','wow-webapplication-inbox'=>'wow-webapplication-inbox','wow-webapplication-infinite'=>'wow-webapplication-infinite','wow-webapplication-info'=>'wow-webapplication-info','wow-webapplication-info-circle'=>'wow-webapplication-info-circle','wow-webapplication-info-square'=>'wow-webapplication-info-square','wow-webapplication-institution'=>'wow-webapplication-institution','wow-webapplication-interface'=>'wow-webapplication-interface','wow-webapplication-invisible'=>'wow-webapplication-invisible','wow-webapplication-italic'=>'wow-webapplication-italic','wow-webapplication-jacket'=>'wow-webapplication-jacket','wow-webapplication-jar'=>'wow-webapplication-jar','wow-webapplication-jewlery'=>'wow-webapplication-jewlery','wow-webapplication-karate'=>'wow-webapplication-karate','wow-webapplication-key'=>'wow-webapplication-key','wow-webapplication-key-hole'=>'wow-webapplication-key-hole','wow-webapplication-keyboard'=>'wow-webapplication-keyboard','wow-webapplication-kid'=>'wow-webapplication-kid','wow-webapplication-label'=>'wow-webapplication-label','wow-webapplication-lamp'=>'wow-webapplication-lamp','wow-webapplication-laptop'=>'wow-webapplication-laptop','wow-webapplication-layers'=>'wow-webapplication-layers','wow-webapplication-layout'=>'wow-webapplication-layout','wow-webapplication-leaf'=>'wow-webapplication-leaf','wow-webapplication-leaflet'=>'wow-webapplication-leaflet','wow-webapplication-learn'=>'wow-webapplication-learn','wow-webapplication-legal'=>'wow-webapplication-legal','wow-webapplication-lego'=>'wow-webapplication-lego','wow-webapplication-lemon'=>'wow-webapplication-lemon','wow-webapplication-lens'=>'wow-webapplication-lens','wow-webapplication-letter'=>'wow-webapplication-letter','wow-webapplication-letterbox'=>'wow-webapplication-letterbox','wow-webapplication-library'=>'wow-webapplication-library','wow-webapplication-license'=>'wow-webapplication-license','wow-webapplication-life-bouy'=>'wow-webapplication-life-bouy','wow-webapplication-life-buoy'=>'wow-webapplication-life-buoy','wow-webapplication-life-jacket'=>'wow-webapplication-life-jacket','wow-webapplication-life-ring'=>'wow-webapplication-life-ring','wow-webapplication-light-bulb'=>'wow-webapplication-light-bulb','wow-webapplication-lighter'=>'wow-webapplication-lighter','wow-webapplication-lightning-ray'=>'wow-webapplication-lightning-ray','wow-webapplication-like'=>'wow-webapplication-like','wow-webapplication-link'=>'wow-webapplication-link','wow-webapplication-live-support'=>'wow-webapplication-live-support','wow-webapplication-location-arrow'=>'wow-webapplication-location-arrow','wow-webapplication-location-pin'=>'wow-webapplication-location-pin','wow-webapplication-lock'=>'wow-webapplication-lock','wow-webapplication-login'=>'wow-webapplication-login','wow-webapplication-logout'=>'wow-webapplication-logout','wow-webapplication-lollipop'=>'wow-webapplication-lollipop','wow-webapplication-look'=>'wow-webapplication-look','wow-webapplication-loop'=>'wow-webapplication-loop','wow-webapplication-luggage'=>'wow-webapplication-luggage','wow-webapplication-lunch'=>'wow-webapplication-lunch','wow-webapplication-lungs'=>'wow-webapplication-lungs','wow-webapplication-magic'=>'wow-webapplication-magic','wow-webapplication-magic-alt'=>'wow-webapplication-magic-alt','wow-webapplication-magnet'=>'wow-webapplication-magnet','wow-webapplication-mail'=>'wow-webapplication-mail','wow-webapplication-mail-box'=>'wow-webapplication-mail-box','wow-webapplication-male'=>'wow-webapplication-male','wow-webapplication-map'=>'wow-webapplication-map','wow-webapplication-math'=>'wow-webapplication-math','wow-webapplication-maximize'=>'wow-webapplication-maximize','wow-webapplication-measure'=>'wow-webapplication-measure','wow-webapplication-medal'=>'wow-webapplication-medal','wow-webapplication-medical'=>'wow-webapplication-medical','wow-webapplication-medicine'=>'wow-webapplication-medicine','wow-webapplication-mega-phone'=>'wow-webapplication-mega-phone','wow-webapplication-memorial'=>'wow-webapplication-memorial','wow-webapplication-memory-card'=>'wow-webapplication-memory-card','wow-webapplication-mic'=>'wow-webapplication-mic','wow-webapplication-mic-mute'=>'wow-webapplication-mic-mute','wow-webapplication-micro-chip'=>'wow-webapplication-micro-chip','wow-webapplication-microphone'=>'wow-webapplication-microphone','wow-webapplication-microscope'=>'wow-webapplication-microscope','wow-webapplication-military'=>'wow-webapplication-military','wow-webapplication-mill'=>'wow-webapplication-mill','wow-webapplication-minus'=>'wow-webapplication-minus','wow-webapplication-minus-circle'=>'wow-webapplication-minus-circle','wow-webapplication-minus-square'=>'wow-webapplication-minus-square','wow-webapplication-mobile-phone'=>'wow-webapplication-mobile-phone','wow-webapplication-molecule'=>'wow-webapplication-molecule','wow-webapplication-money'=>'wow-webapplication-money','wow-webapplication-moon'=>'wow-webapplication-moon','wow-webapplication-mop'=>'wow-webapplication-mop','wow-webapplication-muffin'=>'wow-webapplication-muffin','wow-webapplication-music'=>'wow-webapplication-music','wow-webapplication-music-alt'=>'wow-webapplication-music-alt','wow-webapplication-music-notes'=>'wow-webapplication-music-notes','wow-webapplication-mustache'=>'wow-webapplication-mustache','wow-webapplication-mute-volume'=>'wow-webapplication-mute-volume','wow-webapplication-navigation'=>'wow-webapplication-navigation','wow-webapplication-navigation-menu'=>'wow-webapplication-navigation-menu','wow-webapplication-network'=>'wow-webapplication-network','wow-webapplication-network-tower'=>'wow-webapplication-network-tower','wow-webapplication-news'=>'wow-webapplication-news','wow-webapplication-newspaper'=>'wow-webapplication-newspaper','wow-webapplication-no-smoking'=>'wow-webapplication-no-smoking','wow-webapplication-not-allowed'=>'wow-webapplication-not-allowed','wow-webapplication-notebook'=>'wow-webapplication-notebook','wow-webapplication-notepad'=>'wow-webapplication-notepad','wow-webapplication-notification'=>'wow-webapplication-notification','wow-webapplication-numbered'=>'wow-webapplication-numbered','wow-webapplication-opposite'=>'wow-webapplication-opposite','wow-webapplication-optic'=>'wow-webapplication-optic','wow-webapplication-options'=>'wow-webapplication-options','wow-webapplication-package'=>'wow-webapplication-package','wow-webapplication-page'=>'wow-webapplication-page','wow-webapplication-paint'=>'wow-webapplication-paint','wow-webapplication-paper-plane'=>'wow-webapplication-paper-plane','wow-webapplication-paperclip'=>'wow-webapplication-paperclip','wow-webapplication-papers'=>'wow-webapplication-papers','wow-webapplication-paw'=>'wow-webapplication-paw','wow-webapplication-pay'=>'wow-webapplication-pay','wow-webapplication-pen'=>'wow-webapplication-pen','wow-webapplication-pencil'=>'wow-webapplication-pencil','wow-webapplication-penguin-linux'=>'wow-webapplication-penguin-linux','wow-webapplication-pestle'=>'wow-webapplication-pestle','wow-webapplication-phone'=>'wow-webapplication-phone','wow-webapplication-phone-circle'=>'wow-webapplication-phone-circle','wow-webapplication-picture'=>'wow-webapplication-picture','wow-webapplication-pie'=>'wow-webapplication-pie','wow-webapplication-pine'=>'wow-webapplication-pine','wow-webapplication-pixels'=>'wow-webapplication-pixels','wow-webapplication-play'=>'wow-webapplication-play','wow-webapplication-plugin'=>'wow-webapplication-plugin','wow-webapplication-plus'=>'wow-webapplication-plus','wow-webapplication-plus-circle'=>'wow-webapplication-plus-circle','wow-webapplication-plus-square'=>'wow-webapplication-plus-square','wow-webapplication-polygonal'=>'wow-webapplication-polygonal','wow-webapplication-power'=>'wow-webapplication-power','wow-webapplication-presentation'=>'wow-webapplication-presentation','wow-webapplication-price'=>'wow-webapplication-price','wow-webapplication-print'=>'wow-webapplication-print','wow-webapplication-puzzle'=>'wow-webapplication-puzzle','wow-webapplication-qr-code'=>'wow-webapplication-qr-code','wow-webapplication-queen'=>'wow-webapplication-queen','wow-webapplication-question'=>'wow-webapplication-question','wow-webapplication-question-circle'=>'wow-webapplication-question-circle','wow-webapplication-question-square'=>'wow-webapplication-question-square','wow-webapplication-quote-left'=>'wow-webapplication-quote-left','wow-webapplication-quote-right'=>'wow-webapplication-quote-right','wow-webapplication-radio'=>'wow-webapplication-radio','wow-webapplication-random'=>'wow-webapplication-random','wow-webapplication-recycle'=>'wow-webapplication-recycle','wow-webapplication-refresh'=>'wow-webapplication-refresh','wow-webapplication-repair'=>'wow-webapplication-repair','wow-webapplication-reply'=>'wow-webapplication-reply','wow-webapplication-reply-all'=>'wow-webapplication-reply-all','wow-webapplication-resize'=>'wow-webapplication-resize','wow-webapplication-responsive'=>'wow-webapplication-responsive','wow-webapplication-retweet'=>'wow-webapplication-retweet','wow-webapplication-road'=>'wow-webapplication-road','wow-webapplication-robot'=>'wow-webapplication-robot','wow-webapplication-rocket'=>'wow-webapplication-rocket','wow-webapplication-royal'=>'wow-webapplication-royal','wow-webapplication-rss-feed'=>'wow-webapplication-rss-feed','wow-webapplication-safety'=>'wow-webapplication-safety','wow-webapplication-sale-discount'=>'wow-webapplication-sale-discount','wow-webapplication-satellite'=>'wow-webapplication-satellite','wow-webapplication-send-mail'=>'wow-webapplication-send-mail','wow-webapplication-server'=>'wow-webapplication-server','wow-webapplication-settings'=>'wow-webapplication-settings','wow-webapplication-share'=>'wow-webapplication-share','wow-webapplication-share-alt'=>'wow-webapplication-share-alt','wow-webapplication-share-boxed'=>'wow-webapplication-share-boxed','wow-webapplication-shield'=>'wow-webapplication-shield','wow-webapplication-ship'=>'wow-webapplication-ship','wow-webapplication-shopping-cart'=>'wow-webapplication-shopping-cart','wow-webapplication-sign-in'=>'wow-webapplication-sign-in','wow-webapplication-sign-out'=>'wow-webapplication-sign-out','wow-webapplication-signal'=>'wow-webapplication-signal','wow-webapplication-site-map'=>'wow-webapplication-site-map','wow-webapplication-smart-phone'=>'wow-webapplication-smart-phone','wow-webapplication-soccer'=>'wow-webapplication-soccer','wow-webapplication-sort'=>'wow-webapplication-sort','wow-webapplication-sort-alt'=>'wow-webapplication-sort-alt','wow-webapplication-space'=>'wow-webapplication-space','wow-webapplication-spanner'=>'wow-webapplication-spanner','wow-webapplication-speech-comments'=>'wow-webapplication-speech-comments','wow-webapplication-speed-meter'=>'wow-webapplication-speed-meter','wow-webapplication-spinner'=>'wow-webapplication-spinner','wow-webapplication-spinner-alt-1'=>'wow-webapplication-spinner-alt-1','wow-webapplication-spinner-alt-2'=>'wow-webapplication-spinner-alt-2','wow-webapplication-spinner-alt-3'=>'wow-webapplication-spinner-alt-3','wow-webapplication-spinner-alt-4'=>'wow-webapplication-spinner-alt-4','wow-webapplication-spinner-alt-5'=>'wow-webapplication-spinner-alt-5','wow-webapplication-spinner-alt-6'=>'wow-webapplication-spinner-alt-6','wow-webapplication-spreadsheet'=>'wow-webapplication-spreadsheet','wow-webapplication-square'=>'wow-webapplication-square','wow-webapplication-ssl-security'=>'wow-webapplication-ssl-security','wow-webapplication-star'=>'wow-webapplication-star','wow-webapplication-star-alt-1'=>'wow-webapplication-star-alt-1','wow-webapplication-star-alt-2'=>'wow-webapplication-star-alt-2','wow-webapplication-street-view'=>'wow-webapplication-street-view','wow-webapplication-sun'=>'wow-webapplication-sun','wow-webapplication-support-faq'=>'wow-webapplication-support-faq','wow-webapplication-tack-pin'=>'wow-webapplication-tack-pin','wow-webapplication-tag'=>'wow-webapplication-tag','wow-webapplication-tags'=>'wow-webapplication-tags','wow-webapplication-tasks'=>'wow-webapplication-tasks','wow-webapplication-telephone'=>'wow-webapplication-telephone','wow-webapplication-telescope'=>'wow-webapplication-telescope','wow-webapplication-terminal'=>'wow-webapplication-terminal','wow-webapplication-thumbs-down'=>'wow-webapplication-thumbs-down','wow-webapplication-thumbs-up'=>'wow-webapplication-thumbs-up','wow-webapplication-tick-boxed'=>'wow-webapplication-tick-boxed','wow-webapplication-tick-mark'=>'wow-webapplication-tick-mark','wow-webapplication-ticket'=>'wow-webapplication-ticket','wow-webapplication-tie'=>'wow-webapplication-tie','wow-webapplication-toggle-off'=>'wow-webapplication-toggle-off','wow-webapplication-toggle-on'=>'wow-webapplication-toggle-on','wow-webapplication-tools'=>'wow-webapplication-tools','wow-webapplication-transparent'=>'wow-webapplication-transparent','wow-webapplication-tree'=>'wow-webapplication-tree','wow-webapplication-umbrella'=>'wow-webapplication-umbrella','wow-webapplication-unlock'=>'wow-webapplication-unlock','wow-webapplication-unlocked'=>'wow-webapplication-unlocked','wow-webapplication-upload'=>'wow-webapplication-upload','wow-webapplication-upload-alt'=>'wow-webapplication-upload-alt','wow-webapplication-usb'=>'wow-webapplication-usb','wow-webapplication-usb-drive'=>'wow-webapplication-usb-drive','wow-webapplication-vector-path'=>'wow-webapplication-vector-path','wow-webapplication-verification-check'=>'wow-webapplication-verification-check','wow-webapplication-video'=>'wow-webapplication-video','wow-webapplication-video-clapper'=>'wow-webapplication-video-clapper','wow-webapplication-volume-down'=>'wow-webapplication-volume-down','wow-webapplication-volume-off'=>'wow-webapplication-volume-off','wow-webapplication-volume-up'=>'wow-webapplication-volume-up','wow-webapplication-wall'=>'wow-webapplication-wall','wow-webapplication-wall-clock'=>'wow-webapplication-wall-clock','wow-webapplication-wallet'=>'wow-webapplication-wallet','wow-webapplication-warning'=>'wow-webapplication-warning','wow-webapplication-warning-alt'=>'wow-webapplication-warning-alt','wow-webapplication-water-drop'=>'wow-webapplication-water-drop','wow-webapplication-web'=>'wow-webapplication-web','wow-webapplication-wheelchair'=>'wow-webapplication-wheelchair','wow-webapplication-wifi'=>'wow-webapplication-wifi','wow-webapplication-wifi-alt'=>'wow-webapplication-wifi-alt','wow-webapplication-world'=>'wow-webapplication-world','wow-webapplication-zigzag'=>'wow-webapplication-zigzag','wow-webapplication-zipped'=>'wow-webapplication-zipped' );

	
	$return['pe-7f'] = array( 'pe-7f-album'=>'pe-7f-album','pe-7f-arc'=>'pe-7f-arc','pe-7f-back-2'=>'pe-7f-back-2','pe-7f-bandaid'=>'pe-7f-bandaid','pe-7f-car'=>'pe-7f-car','pe-7f-diamond'=>'pe-7f-diamond','pe-7f-door-lock'=>'pe-7f-door-lock','pe-7f-eyedropper'=>'pe-7f-eyedropper','pe-7f-female'=>'pe-7f-female','pe-7f-gym'=>'pe-7f-gym','pe-7f-hammer'=>'pe-7f-hammer','pe-7f-headphones'=>'pe-7f-headphones','pe-7f-helm'=>'pe-7f-helm','pe-7f-hourglass'=>'pe-7f-hourglass','pe-7f-leaf'=>'pe-7f-leaf','pe-7f-magic-wand'=>'pe-7f-magic-wand','pe-7f-male'=>'pe-7f-male','pe-7f-map-2'=>'pe-7f-map-2','pe-7f-next-2'=>'pe-7f-next-2','pe-7f-paint-bucket'=>'pe-7f-paint-bucket','pe-7f-pendrive'=>'pe-7f-pendrive','pe-7f-photo'=>'pe-7f-photo','pe-7f-piggy'=>'pe-7f-piggy','pe-7f-plugin'=>'pe-7f-plugin','pe-7f-refresh-2'=>'pe-7f-refresh-2','pe-7f-rocket'=>'pe-7f-rocket','pe-7f-settings'=>'pe-7f-settings','pe-7f-shield'=>'pe-7f-shield','pe-7f-smile'=>'pe-7f-smile','pe-7f-usb'=>'pe-7f-usb','pe-7f-vector'=>'pe-7f-vector','pe-7f-wine'=>'pe-7f-wine','pe-7f-cloud-upload'=>'pe-7f-cloud-upload','pe-7f-angle-up'=>'pe-7f-angle-up','pe-7f-cloud-download'=>'pe-7f-cloud-download','pe-7f-angle-right'=>'pe-7f-angle-right','pe-7f-angle-left'=>'pe-7f-angle-left','pe-7f-angle-down'=>'pe-7f-angle-down','pe-7f-wallet'=>'pe-7f-wallet','pe-7f-volume2'=>'pe-7f-volume2','pe-7f-volume1'=>'pe-7f-volume1','pe-7f-voicemail'=>'pe-7f-voicemail','pe-7f-video'=>'pe-7f-video','pe-7f-user'=>'pe-7f-user','pe-7f-upload'=>'pe-7f-upload','pe-7f-unlock'=>'pe-7f-unlock','pe-7f-umbrella'=>'pe-7f-umbrella','pe-7f-trash'=>'pe-7f-trash','pe-7f-tools'=>'pe-7f-tools','pe-7f-timer'=>'pe-7f-timer','pe-7f-ticket'=>'pe-7f-ticket','pe-7f-target'=>'pe-7f-target','pe-7f-sun'=>'pe-7f-sun','pe-7f-study'=>'pe-7f-study','pe-7f-stopwatch'=>'pe-7f-stopwatch','pe-7f-star'=>'pe-7f-star','pe-7f-speaker'=>'pe-7f-speaker','pe-7f-signal'=>'pe-7f-signal','pe-7f-shuffle'=>'pe-7f-shuffle','pe-7f-shopbag'=>'pe-7f-shopbag','pe-7f-share'=>'pe-7f-share','pe-7f-server'=>'pe-7f-server','pe-7f-search'=>'pe-7f-search','pe-7f-science'=>'pe-7f-science','pe-7f-ribbon'=>'pe-7f-ribbon','pe-7f-repeat'=>'pe-7f-repeat','pe-7f-refresh'=>'pe-7f-refresh','pe-7f-refresh-cloud'=>'pe-7f-refresh-cloud','pe-7f-radio'=>'pe-7f-radio','pe-7f-print'=>'pe-7f-print','pe-7f-prev'=>'pe-7f-prev','pe-7f-power'=>'pe-7f-power','pe-7f-portfolio'=>'pe-7f-portfolio','pe-7f-plus'=>'pe-7f-plus','pe-7f-play'=>'pe-7f-play','pe-7f-plane'=>'pe-7f-plane','pe-7f-photo-gallery'=>'pe-7f-photo-gallery','pe-7f-phone'=>'pe-7f-phone','pe-7f-pen'=>'pe-7f-pen','pe-7f-paper-plane'=>'pe-7f-paper-plane','pe-7f-bluetooth'=>'pe-7f-bluetooth','pe-7f-paint'=>'pe-7f-paint','pe-7f-wristwatch'=>'pe-7f-wristwatch','pe-7f-notebook'=>'pe-7f-notebook','pe-7f-world'=>'pe-7f-world','pe-7f-note'=>'pe-7f-note','pe-7f-volume'=>'pe-7f-volume','pe-7f-paperclip'=>'pe-7f-paperclip','pe-7f-news-paper'=>'pe-7f-news-paper','pe-7f-note2'=>'pe-7f-note2','pe-7f-musiclist'=>'pe-7f-musiclist','pe-7f-network'=>'pe-7f-network','pe-7f-music'=>'pe-7f-music','pe-7f-mouse'=>'pe-7f-mouse','pe-7f-cash'=>'pe-7f-cash','pe-7f-more'=>'pe-7f-more','pe-7f-add-user'=>'pe-7f-add-user','pe-7f-moon'=>'pe-7f-moon','pe-7f-way'=>'pe-7f-way','pe-7f-monitor'=>'pe-7f-monitor','pe-7f-bottom-arrow'=>'pe-7f-bottom-arrow','pe-7f-micro'=>'pe-7f-micro','pe-7f-medal'=>'pe-7f-medal','pe-7f-menu'=>'pe-7f-menu','pe-7f-like2'=>'pe-7f-like2','pe-7f-map'=>'pe-7f-map','pe-7f-left-arrow'=>'pe-7f-left-arrow','pe-7f-map-marker'=>'pe-7f-map-marker','pe-7f-key'=>'pe-7f-key','pe-7f-mail'=>'pe-7f-mail','pe-7f-joy'=>'pe-7f-joy','pe-7f-mail-open'=>'pe-7f-mail-open','pe-7f-id'=>'pe-7f-id','pe-7f-mail-open-file'=>'pe-7f-mail-open-file','pe-7f-film'=>'pe-7f-film','pe-7f-magnet'=>'pe-7f-magnet','pe-7f-disk'=>'pe-7f-disk','pe-7f-loop'=>'pe-7f-loop','pe-7f-delete-user'=>'pe-7f-delete-user','pe-7f-look'=>'pe-7f-look','pe-7f-pin'=>'pe-7f-pin','pe-7f-lock'=>'pe-7f-lock','pe-7f-users'=>'pe-7f-users','pe-7f-lintern'=>'pe-7f-lintern','pe-7f-user-female'=>'pe-7f-user-female','pe-7f-link'=>'pe-7f-link','pe-7f-up-arrow'=>'pe-7f-up-arrow','pe-7f-like'=>'pe-7f-like','pe-7f-switch'=>'pe-7f-switch','pe-7f-light'=>'pe-7f-light','pe-7f-scissors'=>'pe-7f-scissors','pe-7f-less'=>'pe-7f-less','pe-7f-safe'=>'pe-7f-safe','pe-7f-keypad'=>'pe-7f-keypad','pe-7f-right-arrow'=>'pe-7f-right-arrow','pe-7f-junk'=>'pe-7f-junk','pe-7f-plug'=>'pe-7f-plug','pe-7f-info'=>'pe-7f-info','pe-7f-mute'=>'pe-7f-mute','pe-7f-home'=>'pe-7f-home','pe-7f-help2'=>'pe-7f-help2','pe-7f-help1'=>'pe-7f-help1','pe-7f-graph3'=>'pe-7f-graph3','pe-7f-graph2'=>'pe-7f-graph2','pe-7f-graph1'=>'pe-7f-graph1','pe-7f-graph'=>'pe-7f-graph','pe-7f-global'=>'pe-7f-global','pe-7f-gleam'=>'pe-7f-gleam','pe-7f-glasses'=>'pe-7f-glasses','pe-7f-gift'=>'pe-7f-gift','pe-7f-folder'=>'pe-7f-folder','pe-7f-flag'=>'pe-7f-flag','pe-7f-filter'=>'pe-7f-filter','pe-7f-file'=>'pe-7f-file','pe-7f-expand'=>'pe-7f-expand','pe-7f-expand1'=>'pe-7f-expand1','pe-7f-edit'=>'pe-7f-edit','pe-7f-drop'=>'pe-7f-drop','pe-7f-drawer'=>'pe-7f-drawer','pe-7f-download'=>'pe-7f-download','pe-7f-display2'=>'pe-7f-display2','pe-7f-display1'=>'pe-7f-display1','pe-7f-diskette'=>'pe-7f-diskette','pe-7f-date'=>'pe-7f-date','pe-7f-cup'=>'pe-7f-cup','pe-7f-culture'=>'pe-7f-culture','pe-7f-crop'=>'pe-7f-crop','pe-7f-credit'=>'pe-7f-credit','pe-7f-copy-file'=>'pe-7f-copy-file','pe-7f-config'=>'pe-7f-config','pe-7f-compass'=>'pe-7f-compass','pe-7f-comment'=>'pe-7f-comment','pe-7f-coffee'=>'pe-7f-coffee','pe-7f-cloud'=>'pe-7f-cloud','pe-7f-clock'=>'pe-7f-clock','pe-7f-check'=>'pe-7f-check','pe-7f-chat'=>'pe-7f-chat','pe-7f-cart'=>'pe-7f-cart','pe-7f-camera'=>'pe-7f-camera','pe-7f-call'=>'pe-7f-call','pe-7f-calculator'=>'pe-7f-calculator','pe-7f-browser'=>'pe-7f-browser','pe-7f-box1'=>'pe-7f-box1','pe-7f-box'=>'pe-7f-box','pe-7f-bookmarks'=>'pe-7f-bookmarks','pe-7f-bicycle'=>'pe-7f-bicycle','pe-7f-bell'=>'pe-7f-bell','pe-7f-battery'=>'pe-7f-battery','pe-7f-ball'=>'pe-7f-ball','pe-7f-back'=>'pe-7f-back','pe-7f-attention'=>'pe-7f-attention','pe-7f-anchor'=>'pe-7f-anchor','pe-7f-albums'=>'pe-7f-albums','pe-7f-alarm'=>'pe-7f-alarm','pe-7f-airplay'=>'pe-7f-airplay','pe-7f-close'=>'pe-7f-close','pe-7f-next'=>'pe-7f-next' );

	
	$return['pe-7s'] = array( 'pe-7s-album'=>'pe-7s-album','pe-7s-arc'=>'pe-7s-arc','pe-7s-back-2'=>'pe-7s-back-2','pe-7s-bandaid'=>'pe-7s-bandaid','pe-7s-car'=>'pe-7s-car','pe-7s-diamond'=>'pe-7s-diamond','pe-7s-door-lock'=>'pe-7s-door-lock','pe-7s-eyedropper'=>'pe-7s-eyedropper','pe-7s-female'=>'pe-7s-female','pe-7s-gym'=>'pe-7s-gym','pe-7s-hammer'=>'pe-7s-hammer','pe-7s-headphones'=>'pe-7s-headphones','pe-7s-helm'=>'pe-7s-helm','pe-7s-hourglass'=>'pe-7s-hourglass','pe-7s-leaf'=>'pe-7s-leaf','pe-7s-magic-wand'=>'pe-7s-magic-wand','pe-7s-male'=>'pe-7s-male','pe-7s-map-2'=>'pe-7s-map-2','pe-7s-next-2'=>'pe-7s-next-2','pe-7s-paint-bucket'=>'pe-7s-paint-bucket','pe-7s-pendrive'=>'pe-7s-pendrive','pe-7s-photo'=>'pe-7s-photo','pe-7s-piggy'=>'pe-7s-piggy','pe-7s-plugin'=>'pe-7s-plugin','pe-7s-refresh-2'=>'pe-7s-refresh-2','pe-7s-rocket'=>'pe-7s-rocket','pe-7s-settings'=>'pe-7s-settings','pe-7s-shield'=>'pe-7s-shield','pe-7s-smile'=>'pe-7s-smile','pe-7s-usb'=>'pe-7s-usb','pe-7s-vector'=>'pe-7s-vector','pe-7s-wine'=>'pe-7s-wine','pe-7s-cloud-upload'=>'pe-7s-cloud-upload','pe-7s-cash'=>'pe-7s-cash','pe-7s-close'=>'pe-7s-close','pe-7s-bluetooth'=>'pe-7s-bluetooth','pe-7s-cloud-download'=>'pe-7s-cloud-download','pe-7s-way'=>'pe-7s-way','pe-7s-close-circle'=>'pe-7s-close-circle','pe-7s-id'=>'pe-7s-id','pe-7s-angle-up'=>'pe-7s-angle-up','pe-7s-wristwatch'=>'pe-7s-wristwatch','pe-7s-angle-up-circle'=>'pe-7s-angle-up-circle','pe-7s-world'=>'pe-7s-world','pe-7s-angle-right'=>'pe-7s-angle-right','pe-7s-volume'=>'pe-7s-volume','pe-7s-angle-right-circle'=>'pe-7s-angle-right-circle','pe-7s-users'=>'pe-7s-users','pe-7s-angle-left'=>'pe-7s-angle-left','pe-7s-user-female'=>'pe-7s-user-female','pe-7s-angle-left-circle'=>'pe-7s-angle-left-circle','pe-7s-up-arrow'=>'pe-7s-up-arrow','pe-7s-angle-down'=>'pe-7s-angle-down','pe-7s-switch'=>'pe-7s-switch','pe-7s-angle-down-circle'=>'pe-7s-angle-down-circle','pe-7s-scissors'=>'pe-7s-scissors','pe-7s-wallet'=>'pe-7s-wallet','pe-7s-safe'=>'pe-7s-safe','pe-7s-volume2'=>'pe-7s-volume2','pe-7s-volume1'=>'pe-7s-volume1','pe-7s-voicemail'=>'pe-7s-voicemail','pe-7s-video'=>'pe-7s-video','pe-7s-user'=>'pe-7s-user','pe-7s-upload'=>'pe-7s-upload','pe-7s-unlock'=>'pe-7s-unlock','pe-7s-umbrella'=>'pe-7s-umbrella','pe-7s-trash'=>'pe-7s-trash','pe-7s-tools'=>'pe-7s-tools','pe-7s-timer'=>'pe-7s-timer','pe-7s-ticket'=>'pe-7s-ticket','pe-7s-target'=>'pe-7s-target','pe-7s-sun'=>'pe-7s-sun','pe-7s-study'=>'pe-7s-study','pe-7s-stopwatch'=>'pe-7s-stopwatch','pe-7s-star'=>'pe-7s-star','pe-7s-speaker'=>'pe-7s-speaker','pe-7s-signal'=>'pe-7s-signal','pe-7s-shuffle'=>'pe-7s-shuffle','pe-7s-shopbag'=>'pe-7s-shopbag','pe-7s-share'=>'pe-7s-share','pe-7s-server'=>'pe-7s-server','pe-7s-search'=>'pe-7s-search','pe-7s-film'=>'pe-7s-film','pe-7s-science'=>'pe-7s-science','pe-7s-disk'=>'pe-7s-disk','pe-7s-ribbon'=>'pe-7s-ribbon','pe-7s-repeat'=>'pe-7s-repeat','pe-7s-refresh'=>'pe-7s-refresh','pe-7s-add-user'=>'pe-7s-add-user','pe-7s-refresh-cloud'=>'pe-7s-refresh-cloud','pe-7s-paperclip'=>'pe-7s-paperclip','pe-7s-radio'=>'pe-7s-radio','pe-7s-note2'=>'pe-7s-note2','pe-7s-print'=>'pe-7s-print','pe-7s-network'=>'pe-7s-network','pe-7s-prev'=>'pe-7s-prev','pe-7s-mute'=>'pe-7s-mute','pe-7s-power'=>'pe-7s-power','pe-7s-medal'=>'pe-7s-medal','pe-7s-portfolio'=>'pe-7s-portfolio','pe-7s-like2'=>'pe-7s-like2','pe-7s-plus'=>'pe-7s-plus','pe-7s-left-arrow'=>'pe-7s-left-arrow','pe-7s-play'=>'pe-7s-play','pe-7s-key'=>'pe-7s-key','pe-7s-plane'=>'pe-7s-plane','pe-7s-joy'=>'pe-7s-joy','pe-7s-photo-gallery'=>'pe-7s-photo-gallery','pe-7s-pin'=>'pe-7s-pin','pe-7s-phone'=>'pe-7s-phone','pe-7s-plug'=>'pe-7s-plug','pe-7s-pen'=>'pe-7s-pen','pe-7s-right-arrow'=>'pe-7s-right-arrow','pe-7s-paper-plane'=>'pe-7s-paper-plane','pe-7s-delete-user'=>'pe-7s-delete-user','pe-7s-paint'=>'pe-7s-paint','pe-7s-bottom-arrow'=>'pe-7s-bottom-arrow','pe-7s-notebook'=>'pe-7s-notebook','pe-7s-note'=>'pe-7s-note','pe-7s-next'=>'pe-7s-next','pe-7s-news-paper'=>'pe-7s-news-paper','pe-7s-musiclist'=>'pe-7s-musiclist','pe-7s-music'=>'pe-7s-music','pe-7s-mouse'=>'pe-7s-mouse','pe-7s-more'=>'pe-7s-more','pe-7s-moon'=>'pe-7s-moon','pe-7s-monitor'=>'pe-7s-monitor','pe-7s-micro'=>'pe-7s-micro','pe-7s-menu'=>'pe-7s-menu','pe-7s-map'=>'pe-7s-map','pe-7s-map-marker'=>'pe-7s-map-marker','pe-7s-mail'=>'pe-7s-mail','pe-7s-mail-open'=>'pe-7s-mail-open','pe-7s-mail-open-file'=>'pe-7s-mail-open-file','pe-7s-magnet'=>'pe-7s-magnet','pe-7s-loop'=>'pe-7s-loop','pe-7s-look'=>'pe-7s-look','pe-7s-lock'=>'pe-7s-lock','pe-7s-lintern'=>'pe-7s-lintern','pe-7s-link'=>'pe-7s-link','pe-7s-like'=>'pe-7s-like','pe-7s-light'=>'pe-7s-light','pe-7s-less'=>'pe-7s-less','pe-7s-keypad'=>'pe-7s-keypad','pe-7s-junk'=>'pe-7s-junk','pe-7s-info'=>'pe-7s-info','pe-7s-home'=>'pe-7s-home','pe-7s-help2'=>'pe-7s-help2','pe-7s-help1'=>'pe-7s-help1','pe-7s-graph3'=>'pe-7s-graph3','pe-7s-graph2'=>'pe-7s-graph2','pe-7s-graph1'=>'pe-7s-graph1','pe-7s-graph'=>'pe-7s-graph','pe-7s-global'=>'pe-7s-global','pe-7s-gleam'=>'pe-7s-gleam','pe-7s-glasses'=>'pe-7s-glasses','pe-7s-gift'=>'pe-7s-gift','pe-7s-folder'=>'pe-7s-folder','pe-7s-flag'=>'pe-7s-flag','pe-7s-filter'=>'pe-7s-filter','pe-7s-file'=>'pe-7s-file','pe-7s-expand1'=>'pe-7s-expand1','pe-7s-exapnd2'=>'pe-7s-exapnd2','pe-7s-edit'=>'pe-7s-edit','pe-7s-drop'=>'pe-7s-drop','pe-7s-drawer'=>'pe-7s-drawer','pe-7s-download'=>'pe-7s-download','pe-7s-display2'=>'pe-7s-display2','pe-7s-display1'=>'pe-7s-display1','pe-7s-diskette'=>'pe-7s-diskette','pe-7s-date'=>'pe-7s-date','pe-7s-cup'=>'pe-7s-cup','pe-7s-culture'=>'pe-7s-culture','pe-7s-crop'=>'pe-7s-crop','pe-7s-credit'=>'pe-7s-credit','pe-7s-copy-file'=>'pe-7s-copy-file','pe-7s-config'=>'pe-7s-config','pe-7s-compass'=>'pe-7s-compass','pe-7s-comment'=>'pe-7s-comment','pe-7s-coffee'=>'pe-7s-coffee','pe-7s-cloud'=>'pe-7s-cloud','pe-7s-clock'=>'pe-7s-clock','pe-7s-check'=>'pe-7s-check','pe-7s-chat'=>'pe-7s-chat','pe-7s-cart'=>'pe-7s-cart','pe-7s-camera'=>'pe-7s-camera','pe-7s-call'=>'pe-7s-call','pe-7s-calculator'=>'pe-7s-calculator','pe-7s-browser'=>'pe-7s-browser','pe-7s-box2'=>'pe-7s-box2','pe-7s-box1'=>'pe-7s-box1','pe-7s-bookmarks'=>'pe-7s-bookmarks','pe-7s-bicycle'=>'pe-7s-bicycle','pe-7s-bell'=>'pe-7s-bell','pe-7s-battery'=>'pe-7s-battery','pe-7s-ball'=>'pe-7s-ball','pe-7s-back'=>'pe-7s-back','pe-7s-attention'=>'pe-7s-attention','pe-7s-anchor'=>'pe-7s-anchor','pe-7s-albums'=>'pe-7s-albums','pe-7s-alarm'=>'pe-7s-alarm','pe-7s-airplay'=>'pe-7s-airplay' );

	if ( $group == 'all'){
		foreach( $return as &$all ){ }
		return $return;
	}
	elseif ( is_array($group) ){
		foreach ( $group as $gr ){
			$multiple[$gr] = $return[$gr];
		}
		return $multiple;
	}
	else{
		return $return[$group];
	}
	
}

/*
=================================================================================================================
Function wow_parse_icon_fields() - parse the options with icon and enqueue the font
=================================================================================================================
*/
function wow_parse_icon_fields(){
	global $wow_options;
	$fields = array('submenu-arrows','submenu-2nd-arrows','breadcrumb_sep_icon','blog_comment_icon','portfolio_d1_icon','portfolio_d2_icon','portfolio_d3_icon','portfolio_d4_icon','portfolio_d5_icon','portfolio_overlay_icon','blog-widget-heading-icon','portfolio_icon');
	
	foreach ( $fields as $field ){
		if ( !empty ( $wow_options[ $field ] ) ){
			wow_redux_icons_enqueue( $wow_options[ $field ] );
		}
	}
}