<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly
	}

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // Infinito option name >>> wow_options
    $opt_name = "wow_options";
	
	define ( 'WOW_THM_OPT_IMG', get_template_directory_uri() . '/images/theme-options' );

    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
	
		//templates_path
		'templates_path' => WOW_DIR.'/inc/templates/theme-options/',
        // TYPICAL -> Change these values as you need/desire
        'opt_name'             => $opt_name,
        // This is where your data is stored in the database and also becomes your global variable name.
        //'display_name'         => $theme->get( 'Name' ).' Theme Options',
        'display_name'         => '<i class="wow-webapplication-layers"></i>Theme Options',
        // Name that appears at the top of your panel
        //'display_version'      => $theme->get( 'Version' ),
        'display_version'      => '',
        // Version that appears at the top of your panel
        'menu_type'            => 'custom',
        //Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
        'allow_sub_menu'       => false,
        // Show the sections below the admin menu item or not
        'menu_title'           => esc_html__( 'Theme Options', 'infinito-theme-options' ),
        'page_title'           => esc_html__( 'Theme Options', 'infinito-theme-options' ),
        // You will need to generate a Google API key to use this feature.
        // Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
        'google_api_key'       => '',
        // Set it you want google fonts to update weekly. A google_api_key value is required.
        'google_update_weekly' => false,
        // Must be defined to add google fonts to the typography module
        'async_typography'     => false,
        // Use a asynchronous font on the front end or font string
        //'disable_google_fonts_link' => true,                    // Disable this in case you want to create your own google fonts loader
        'admin_bar'            => true,
        // Show the panel pages on the admin bar
        'admin_bar_icon'       => 'dashicons-portfolio',
        // Choose an icon for the admin bar menu
        'admin_bar_priority'   => 50,
        // Choose an priority for the admin bar menu
        'global_variable'      => '',
        // Set a different name for your global variable other than the opt_name
        'dev_mode'             => false,
        // Show the time the page took to load, etc
        'update_notice'        => false,
        // If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo

        // OPTIONAL -> Give you extra features
        'page_priority'        => null,
        // Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
        'page_parent'          => 'admin.php',
        // For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
        'page_permissions'     => 'manage_options',
        // Permissions needed to access the options panel.
        'menu_icon'            => '',
        // Specify a custom URL to an icon
        'last_tab'             => '',
        // Force your panel to always open to a specific tab (by id)
        'page_icon'            => 'icon-themes',
        // Icon displayed in the admin panel next to your menu_title
        'page_slug'            => 'infinito_options',
        // Page slug used to denote the panel
        'save_defaults'        => true,
        // On load save the defaults to DB before user clicks save or not
        'default_show'         => false,
        // If true, shows the default value next to each field that is not the default value.
        'default_mark'         => '',
        // What to print by the field's title if the value shown is default. Suggested: *
        'show_import_export'   => true,
        // Shows the Import/Export panel when not used as a field.

        // CAREFUL -> These options are for advanced use only
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
        'output_tag'           => true,
        // Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head
         'footer_credit'     => ' ',                   // Disable the footer credit of Redux. Please leave if you can help it.

        // FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
        'database'             => '',
        // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!

        'use_cdn'              => true,
        // If you prefer not to use the CDN for Select2, Ace Editor, and others, you may download the Redux Vendor Support plugin yourself and run locally or embed it in your code.

		'show_options_object' => false,
		
        //'compiler'             => true,

        // HINTS
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'light',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
        ),
		// Enable basic customizer support
		'customizer'           => false,
        
    );

    // Add content after the form.
    //$args['footer_text'] = '<p>'.esc_html__( 'Copyright Infinito.', 'infinito-theme-options' ).'</p>';

    Redux::setArgs( $opt_name, $args );

	$wow_woo_text = ( class_exists('WooCommerce') ) ? 'This options also apply to Woocommerce Widgets' : '';
	
	//some text in theme options if woocommerce is active / unactive
	if ( class_exists('WooCommerce') ){
		$wow_woo_text_2 = sprintf( '%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>', 
			esc_html__( 'This applies to the following widgets: ','infinito-theme-options' ), 
			esc_html__( '-Text widget links','infinito-theme-options' ),
			esc_html__( '-Meta','infinito-theme-options' ),
			esc_html__( '-Pages','infinito-theme-options' ),
			esc_html__( '-Recent comments','infinito-theme-options' ),
			esc_html__( '-Archives','infinito-theme-options' ),
			esc_html__( '-Categories','infinito-theme-options' ),
			esc_html__( '-Latest posts','infinito-theme-options' ),
			esc_html__( '-Latest news','infinito-theme-options' ),
			esc_html__( '-Calendar(colors only)','infinito-theme-options' ),
			esc_html__( '-WooCommerce product widgets ( colors only )','infinito-theme-options' ),
			esc_html__( '-WooCommerce category widgets ( colors only )','infinito-theme-options' )
		);			
		$wow_woo_text_3 = sprintf( '%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s', 
			esc_html__( 'This applies to the following widgets: ','infinito-theme-options' ), 
			esc_html__( '-Text widget','infinito-theme-options' ),
			esc_html__( '-Twitter widget','infinito-theme-options' ),
			esc_html__( '-About us widget','infinito-theme-options' ),
			esc_html__( '-Comments widget (color only)','infinito-theme-options' ),
			esc_html__( '-Categories widget (color only)','infinito-theme-options' ),
			esc_html__( '-Latest posts widget (color only)','infinito-theme-options' ),
			esc_html__( '-Calendar widget (color only)','infinito-theme-options' ),
			esc_html__( '-Search widget (color only)','infinito-theme-options' ),
			esc_html__( '-Woocommerce text in all widgets ( for some woocommerce widgets some options may not work - like size, line height etc )','infinito-theme-options' )
		);		

	}
	else{
		$wow_woo_text_2 = sprintf( '%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s', 
			esc_html__( 'This applies to the following widgets: ','infinito-theme-options' ), 
			esc_html__( '-Text widget links','infinito-theme-options' ),
			esc_html__( '-Meta','infinito-theme-options' ),
			esc_html__( '-Pages','infinito-theme-options' ),
			esc_html__( '-Recent comments','infinito-theme-options' ),
			esc_html__( '-Archives','infinito-theme-options' ),
			esc_html__( '-Categories','infinito-theme-options' ),
			esc_html__( '-Latest posts','infinito-theme-options' ),
			esc_html__( '-Latest news','infinito-theme-options' ),
			esc_html__( '-Calendar(colors only)','infinito-theme-options' )
		);			
		$wow_woo_text_3 = sprintf( '%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>%s', 
			esc_html__( 'This applies to the following widgets: ','infinito-theme-options' ), 
			esc_html__( '-Text widget','infinito-theme-options' ),
			esc_html__( '-Twitter widget','infinito-theme-options' ),
			esc_html__( '-About us widget','infinito-theme-options' ),
			esc_html__( '-Comments widget (color only)','infinito-theme-options' ),
			esc_html__( '-Categories widget (color only)','infinito-theme-options' ),
			esc_html__( '-Latest posts widget (color only)','infinito-theme-options' ),
			esc_html__( '-Calendar widget (color only)','infinito-theme-options' ),
			esc_html__( '-Search widget (color only)','infinito-theme-options' )
		);			
	}
	
	//default portfolio page for bradcrumb
	$wow_breadcrumb_portfolio = '';
	$wow_portfolio_page = get_page_by_title('Portfolio');
	if ( $wow_portfolio_page ){
		if ( is_object ( $wow_portfolio_page ) ){
			$wow_breadcrumb_portfolio = $wow_portfolio_page->ID;
		}
		
	}

	// -> START General Selection
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'General', 'infinito-theme-options' ),
        'id'    => 'general-section',
        'icon'  => 'el el-dashboard'
    ) );
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'General', 'infinito-theme-options' ),
        'id'         => 'general',
        'subsection' => true,
		'icon'  => 'el el-dashboard',
        'fields'     => array(
			array(
                'id'       => 'layout',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Layout', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Define your theme main layout - Full Width or Boxed', 'infinito-theme-options' ),
                'options'  => array(
                    'full' => array( 'title' => 'Full', 'img' => WOW_THM_OPT_IMG.'/layout/full_width.gif' ),
                    'boxed' => array( 'title' => 'Boxed', 'img' => WOW_THM_OPT_IMG.'/layout/boxed.gif' ),
                    ),
                'default'  => 'full'
            ),
			
            array(
                'id'       => 'grid-width',
                'type'     => 'slider',
                'title'    => esc_html__( 'Grid Width', 'infinito-theme-options' ),
				/*'subtitle' => sprintf( '%s<br/>%s<br/>', 
					esc_html__( 'If layout is full - width applies to container' ), 
					esc_html__( 'If layout is boxed - width applies to grid' )
				), */
				'desc' => sprintf( '%s<br/>%s<strong>%s</strong>%s<br/>%s<strong>%s</strong>%s<br>%s', 
					esc_html__( 'Grid width is calculated like this:' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ), 
					esc_html__( 'over 1200', 'infinito-theme-options' ), 
					esc_html__( ' - ( for example 1210 ) that width will apply only from 1280px resolution and above. ( 1210 + 70 ) > ( 70 is required for content padding )', 'infinito-theme-options' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ),
					esc_html__( 'under 1200', 'infinito-theme-options' ),
					esc_html__( ' - that width will apply only from 1201px resolution and above. ( Under 1200 website falls under responsive breakpoints rules )', 'infinito-theme-options' ),
					esc_html__( 'Default grid width is 1090px.', 'infinito-theme-options' )
				),  
				"min"       => 300,
				"step"      => 10,
				"max"       => 3500,				
                'default'  => 1090,
            ),
			
            array(
                'id'       => 'favicon',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Favicon', 'infinito-theme-options' ),
                'compiler' => 'true',
                //'mode'      => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                'desc'     => esc_html__( '.ico file with 32x32 pixels', 'infinito-theme-options' ),
                'default'  => array( 'url' => WOW_URI.'/favicon.ico' ),
            ),
            array(
                'id'       => 'smooth_scroll',
                'type'     => 'switch',
                'title'    => esc_html__( 'Smooth Scroll?', 'infinito-theme-options' ),
                'desc' => esc_html__( 'When scrolling through pages, they run smoother.', 'infinito-theme-options' ),
                'default'  => 0,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),            
			array(
                'id'       => 'preloader',
                'type'     => 'switch',
                'title'    => esc_html__( 'Page Preloader?', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Choose a preloader effect. This is shown until website images and data are loaded completely', 'infinito-theme-options' ),
                'default'  => 0,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),
            array(
                'id'       => 'preloader-animation',
                'type'     => 'select',
				'required' =>array('preloader', '=', '1'),
                'title'    => esc_html__( 'Select preloader effect', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Choose your preloader effect', 'infinito-theme-options' ),
                'options'  => array( 
					'pulse' => 'Pulse',
					'spinner' => 'Spinner',
					'unswerving' => 'Unswerving',
				),
                'default'  => 'cube-grid',
            ),           
			array(
                'id'       => 'preloader-background',
				'required' =>array('preloader', '=', '1'),
                'type'     => 'background',
				'background-attachment'   => 'false',
				'output'   => '.preloader-wrap',
				'transparent'   => false,
                'title'    => esc_html__( 'Preloader page background', 'infinito-theme-options' ),
                'title'    => esc_html__( 'Select preloader page background', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'retina-js',
                'type'     => 'select',		
                'title'    => esc_html__( 'Enable retina', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'If you enable retina, please make sure you add @2x images via Media Upload or FTP upload, and place them in the same folder as the original image. More info here http://imulus.github.io/retinajs/', 'infinito-theme-options' ),
                'options'  => array( 
					'no' => 'Only on logo', 
					'yes' => 'Across all website images', 
				),
                'default'  => 'no',
            ),
            array(
                'id'       => 'selection-bg',
                'type'     => 'color',
                'title'    => esc_html__( 'Background selection', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This is the background color when you click and drag the mouse across text', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
				'default' => '#ff4741',
            ),            
			array(
                'id'       => 'selection-color',
                'type'     => 'color',
                'title'    => esc_html__( 'Text color selection', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This is the text color when you click and drag the mouse across text', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
				'default' => '#FFFFFF',
            ),
            array(
                'id'       => 'google-maps-key',
                'type'     => 'text',
                'title'    => esc_html__( 'Google Maps API key', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<a href="%s" target="_blank">%s</a>', 
					esc_html__( 'Enter here Google Maps key. This is used in "Google Maps" WpBakery element only. Without it you won\'t be able to search for your desired location. More info ', 'infinito-theme-options' ), 
					esc_url( 'https://cloud.google.com/maps-platform/', 'infinito-theme-options' ),
					esc_html__( 'here', 'infinito-theme-options' )
				),               
                'default'  => '',
            ),
            array(
                'id'       => 'gutenberg',
                'type'     => 'switch',
                'title'    => esc_html__( 'Gutenberg Editor?', 'infinito-theme-options' ),
                'desc' => esc_html__( 'If disabled, wordpress default editor will be used across all website.', 'infinito-theme-options' ),
                'default'  => 1,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),
            array(
                'id'       => 'show-footer',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show footer', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Do not show footer for the entire site. *Note: If you want to hide it for one page, go to that page -> Page options -> Other options', 'infinito-theme-options' ),
                'default'  => 1,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),   			
        )
    ) );
	
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Main Colors', 'infinito-theme-options' ),
        'id'         => 'colors-general',
        'icon' => 'el el-brush',
        'subsection' => true,
        'fields'     => array(	
            array(
                'id'       => 'theme-color1',
                'type'     => 'color',
                'title'    => esc_html__( 'Theme color 1', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Define a theme color 1 - this color will also be visible on each WPbakery block that has a color field', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
				'default' => '#ffc200',
            ),
            array(
                'id'       => 'theme-color2',
                'type'     => 'color',
                'title'    => esc_html__( 'Theme color 2', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Define a theme color 2 - this color will also be visible on each WPbakery block that has a color field', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
				'default' => '#ff4741',
            ),
            array(
                'id'       => 'theme-color3',
                'type'     => 'color',
                'title'    => esc_html__( 'Theme color 3', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Define a theme color 3 - this color will also be visible on each WPbakery block that has a color field', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),		
            array(
                'id'       => 'body-bg',
                'type'     => 'background',
				'output'   => 'body',
                'title'    => esc_html__( 'Body background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add a body background. This option can be overridden in each page / portfolio', 'infinito-theme-options' ),
            ),			
        ),
    ) );	
	
	Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Site Info', 'infinito-theme-options' ),
        'id'         => 'site-info',
		'icon'		 => 'el el-info-circle',
		'desc'     => esc_html__( 'Details entered here are used all across your website. I.e In Header top bar, widgets etc.', 'infinito-theme-options' ),
		'subsection' => true,
        'fields'     => array(
			array(
                'id'       => 'header-bar-phone',
                'type'     => 'text',
                'title'    => esc_html__( 'Phone', 'infinito-theme-options' ),
                'default'    => '0049-123-456-789',
            ),
            array(
                'id'       => 'header-bar-address',
                'type'     => 'text',
                'title'    => esc_html__( 'Address', 'infinito-theme-options' ),
				'default'    => 'Amsterdam 1024 NL',
            ),
            array(
                'id'       => 'header-bar-email',
                'type'     => 'text',
                'title'    => esc_html__( 'Email', 'infinito-theme-options' ),
				'default'    => 'awesome@example.com',
            ),								
        )
    ) );	
	
	// -> START Header Selection
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Header', 'infinito-theme-options' ),
        'id'    => 'header',
        'icon'  => 'pe-7f-browser'
    ) );

    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Logo', 'infinito-theme-options' ),
        'id'         => 'opt-textarea-subsection',
		'icon'		 => 'el el-website',
		'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Logo', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Upload a logo', 'infinito-theme-options' ),
				'default'  => array( 'url' => WOW_URI.'/images/default-logo.png' ),
            ),
            array(
                'id'       => 'logo_width_select',
                'type'     => 'select',
                'title'    => esc_html__( 'Logo Width', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Select your logo width.', 'infinito-theme-options' ),
                'options'  => array( 
					'auto' => 'Auto', 
					'manual' => 'Custom size', 
				),
                'default'  => 'auto',
            ),			
            array(
                'id'       => 'logo_width',
                'type'     => 'slider',
                'desc'     => esc_html__( 'Add a logo width. Units are pixels', 'infinito-theme-options' ),
				"min"       => 1,
				"step"      => 1,
				"max"       => 1000,				
                'default'  => 150,
				'required' => array( 'logo_width_select', '=', 'manual' ),				
            ),
			 array(
                'id'       => 'logo-margin',
                'type'     => 'spacing',
                'output'   => '
						.header-one .logo a,
						.header-one-a .logo a,
						.header-two .logo a,
						.header-two-a .logo a,
						.header-three .logo a,
						.header-four .logo a,
						.header-five .logo a,
						.header-five-a .logo a,				
						.header-seven .logo a,
						.header-eight .logo a,
						.header-nine .logo a,
						.header-ten .logo a,
						.header-eleven .logo a',
                'mode'     => 'margin',
                'top'           => true,     // Disable the top
                'right'         => true,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => true,     // Disable the left
                'units' => array('px','em','%'),
                'display_units' => true,   // Set to false to hide the units if the units are specified
                'title'    => esc_html__( 'Logo Margin', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Enter logo margin. *Note: if you want to be vertical centered with menu, enter same value for top and bottom.', 'infinito-theme-options' ),
            ),								
        )
    ) );
	
	//header options
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Layout', 'infinito-theme-options' ),
        'id'         => 'header-layouts',
		'icon'		 => 'el el-lines',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'header-layout-style',
                'type'     => 'button_set',
				'required' => array( 'header-layout', '=', array('header-one' , 'header-one-a' , 'header-two' , 'header-two-a' , 'header-three', 'header-four', 'header-five','header-five-a','header-eleven') ),
                'title'    => esc_html__( 'Header Position', 'infinito-theme-options' ),
				'desc' => sprintf( '<b>%s</b>%s<br/><b>%s</b>%s<br/><b>%s</b>%s<br/><b>%s</b>%s', 
					esc_html__( 'Default: ', 'infinito-theme-options' ), 
					esc_html__( 'Display header above all content', 'infinito-theme-options' ),
					esc_html__( 'On Slider: ', 'infinito-theme-options' ),
					esc_html__( 'Display header on slider/content(it is recommended to use transparent header)', 'infinito-theme-options' ),
					esc_html__( 'Under Slider: ', 'infinito-theme-options' ),
					esc_html__( 'Display header under slider ( you need to select a slider from Admin -> Pages -> Edit -> Page options -> Header Position Under Slider )', 'infinito-theme-options' ),			
					esc_html__( 'Note: ', 'infinito-theme-options' ),
					esc_html__( 'Header Overlay layout does not work with Under Slider position', 'infinito-theme-options' ) 
				),
                //Must provide key => value pairs for radio options
                'options'  => array(
                    'header-default' => 'Default',
                    'header-on' => 'On Slider',
                    'header-under' => 'Under Slider'
                ),
                'default'  => 'header-default'
            ),	            	
			array(
                'id'       => 'header-layout',
                'type'     => 'image_select',
				'title'    => esc_html__( 'Header Layout', 'infinito-theme-options' ),
                'options'  => array(
							'header-one' =>  array( 'title' => 'Horizontal logo left', 'img' => WOW_THM_OPT_IMG . '/headers/header_01.gif' ) ,
							'header-one-a' =>  array( 'title' => 'Horizontal logo right', 'img' => WOW_THM_OPT_IMG . '/headers/header_01a.gif' ) ,
							'header-two' =>  array( 'title' => 'Horizontal logo left with separators', 'img' => WOW_THM_OPT_IMG . '/headers/header_02.gif' ) ,
							'header-two-a' =>  array( 'title' => 'Horizontal logo right with separators', 'img' => WOW_THM_OPT_IMG . '/headers/header_02a.gif' ) ,
							'header-three' =>  array( 'title' => 'Horizontal logo left - menu bellow', 'img' => WOW_THM_OPT_IMG . '/headers/header_03.gif' ) ,
							'header-four' =>  array( 'title' => 'Horizontal logo center - menu bellow', 'img' => WOW_THM_OPT_IMG . '/headers/header_04.gif' ) ,
							'header-five' =>  array( 'title' => 'Horizontal logo right - menu bellow', 'img' => WOW_THM_OPT_IMG . '/headers/header_05.gif' ) ,
							'header-five-a' =>  array( 'title' => 'Center logo - two menus', 'img' => WOW_THM_OPT_IMG . '/headers/header_05_a.gif' ) ,							
							'header-seven' =>  array( 'title' => 'Vertical left - logo top', 'img' => WOW_THM_OPT_IMG . '/headers/header_07.gif' ) ,
							'header-eight' =>  array( 'title' => 'Vertical left - logo bottom', 'img' => WOW_THM_OPT_IMG . '/headers/header_08.gif' ) ,
							'header-nine' =>  array( 'title' => 'Vertical right - logo top', 'img' => WOW_THM_OPT_IMG . '/headers/header_09.gif' ) ,
							'header-ten' =>  array( 'title' => 'Vertical right - logo bottom', 'img' => WOW_THM_OPT_IMG . '/headers/header_10.gif' ) ,
							'header-eleven' =>  array( 'title' => 'Overlay', 'img' => WOW_THM_OPT_IMG . '/headers/header_11.gif' ) ,
                    ),
                'default'  => 'header-one'
            ),
            array(
                'id'       => 'overlay-menu-style',
                'type'     => 'button_set',
				'required' => array( 'header-layout', '=', 'header-eleven' ),				
                'title'    => esc_html__( 'Overlay Style', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Choose your overlay style', 'infinito-theme-options' ),
                'options'  => array(
                    'huge-inc' => 'Huge Inc',
                    'corner' => 'Corner',
                    'slide-down' => 'Slide Down',
					'scale' => 'Scale',
					'door' => 'Door',
					'content-push' => 'Content Push',
					'content-scale' => 'Content Scale',
					'corner-shape' => 'Corner Shape',
					//'little-boxes' => 'Little Boxes',
					'simple-genie' => 'Simple Genie',
					'genie' => 'Genie',
                ),
                'default'  => 'huge-inc'
            ),
            array(
                'id'       => 'overlay-icon-color',
                'type'     => 'color',
				'required' => array( 'header-layout', '=', 'header-eleven' ),
                'title'    => esc_html__( 'Overlay icon trigger color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change your overlay icon trigger color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),
            array(
                'id'       => 'overlay-trigger',
                'type'     => 'spacing',
				'output'   => '',
				'required' => array( 'header-layout', '=', 'header-eleven' ),
                'mode'     => 'margin',
				'units' => array('px'),
				'display_units' => true,
				'all' => false,
				'left' => false,
				'bottom' => false,
                'title'    => esc_html__( 'Overlay icon trigger position', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change overlay icon trigger position. You can add negative values as well. I.e -50', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'overlay-bg',
                'type'     => 'background',
                'title'    => esc_html__( 'Content overlay background', 'infinito-theme-options' ),
				'required' => array( 
					array('header-layout', '=', 'header-eleven' ),
				),
				'background-color' => false,
				'url' => true,
            ),
            array(
                'id'       => 'overlay-bg-color',
				'title'    => esc_html__( 'Content overlay background color', 'infinito-theme-options' ),
                'type'     => 'color_rgba',
				'required' => array( 
					array('header-layout', '=', 'header-eleven' ),
				),
				'output'   => '',
            ),	
			
         )
    ) );		
	
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Options', 'infinito-theme-options' ),
        'id'         => 'header-custom',
		'icon'		 => 'el el-adjust-alt',
        'subsection' => true,
        'fields'     => array(		
            array(
                'id'       => 'header-vertical-width',
                'type'     => 'slider',
				'required' => array( 'header-layout', '=', array('header-seven' , 'header-eight' , 'header-nine' , 'header-ten' ) ),
                'title'    => esc_html__( 'Width', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Add width for your vertical menu. Units are px', 'infinito-theme-options' ),
				"default"   => 250,
				"min"       => 250,
				"step"      => 1,
				"max"       => 400,
            ),
            array(
                'id'       => 'header-horizontal-width',
                'type'     => 'button_set',
				'required' => array( 'header-layout', '=', array('header-one' , 'header-one-a' , 'header-two' , 'header-two-a' , 'header-three', 'header-four', 'header-five','header-five-a') ),
				'title'    => esc_html__( 'Width', 'infinito-theme-options' ),
                'options'  => array(
                    '0' => 'full width',
                    '1' => 'boxed',
                ),
                'default'  => '1',
				'desc'     => esc_html__( 'Choose your header width', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'header-bg-width',
                'type'     => 'button_set',
				'required' => array( 'header-horizontal-width', '=', '1' ),	
                'title'    => esc_html__( 'Background width', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Use when header width is boxed but header background must be full width (100%).', 'infinito-theme-options' ),
                'options'  => array(
                    '0' => 'full width',
                    '1' => 'boxed',
                ),
                'default'  => '0'
            ),			
			array(
                'id'       => 'header-padding-top',
                'type'     => 'spacing',
                'output'   => array('.header-wrap-horizontal header,.header-overlay header'),
                'mode'     => 'padding',
				'required' => array( 'header-layout', '=', array('header-one' , 'header-one-a' , 'header-two' , 'header-two-a' , 'header-three', 'header-four', 'header-five','header-five-a','header-eleven') ),
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Paddings', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add header paddings top and bottom.You can also enter 0 (zero) for no paddings', 'infinito-theme-options' ),
            ),
			
            array(
                'id'       => 'header-bg',
                'type'     => 'background',
                'url'      => true,
                'title'    => esc_html__( 'Background', 'infinito-theme-options' ),
				'subtitle' => esc_html__( 'Header background image', 'infinito-theme-options' ),
				'background-attachment'   => false,
				'background-color' => false,
				'desc' => sprintf( '<b>%s</b>%s<a href="%s" target="_blank">%s</a>%s', 
					esc_html__( 'Important note: ', 'infinito-theme-options' ), 
					esc_html__( 'If you have a transparent header and/or top bar, the sub-header background will serve as a background for the header and top bar also. Follow this ', 'infinito-theme-options' ),
					esc_url( 'http://wowlayers.com/wordpress-theme/infinito/documentation/#fig22a', 'infinito-theme-options' ),
					esc_html__( 'URL', 'infinito-theme-options' ),
					esc_html__( ' for a better understanding', 'infinito-theme-options' )
				),
            ),
            array(
                'id'       => 'header-bg-color',
				'title'    => esc_html__( 'Background color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Header background color', 'infinito-theme-options' ),
                'type'     => 'color_rgba',
				'default'   => array(
					'color'     => '#ffc200',
					'alpha'     => '1',
					'rgba' => 'rgba(255,194,0,1)',
				),				
            ),
			
            array(
                'id'       => 'header-horizontal-line',
                'type'     => 'switch',
				'required' => array( 'header-layout', '!=', 'header-eleven' ),
                'title'    => esc_html__( 'Header Underline', 'infinito-theme-options' ),
                'desc' => esc_html__( 'It adds a line under the header. More options on activation.', 'infinito-theme-options' ),
                'default'  => 0,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),
            array(
                'id'       => 'header-horizontal-line-color',
                'type'     => 'color_rgba',
				'required' => array( 'header-layout', '!=', 'header-eleven' ),
                'title'    => esc_html__( 'Line Color', 'infinito-theme-options' ),
				'transparent' => false,
				'desc'     => esc_html__( 'Choose line color', 'infinito-theme-options' ),
            ),	            
			array(
                'id'       => 'header-line-border-width',
                'type'     => 'slider',
				'required' => array( 'header-layout', '!=', 'header-eleven' ),
                'title'    => esc_html__( 'Line thickness', 'infinito-theme-options' ),
				'min'	   => '1',
				'max'	   => '10',
				'step'    => '1',
				'desc'     => esc_html__( 'Units are px', 'infinito-theme-options' ),
            ),			
		)
    ) );
	
	Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Top Bar', 'infinito-theme-options' ),
        'id'         => 'header-top-bar-options',
		'icon'		 => 'el el-info-circle',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'header-top-bar',
                'type'     => 'switch',
                'title'    => esc_html__( 'Header Top Bar', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Display above header, site info, like phone, address, email and social.' ), 
                'on'       => 'Enabled',
                'off'      => 'Disabled',
				'default'  => 1,
            ),
            array(
                'id'       => 'header-top-bar-width',
                'type'     => 'button_set',
				'required' => array( 'header-layout', '=', array('header-one' , 'header-one-a' , 'header-two' , 'header-two-a' , 'header-three', 'header-four', 'header-five', 'header-five-a', 'header-eleven') ),
                'title'    => esc_html__( 'Width', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose width of the top bar', 'infinito-theme-options' ),
                'options'  => array(
                    '0' => 'Full Width',
                    '1' => 'Boxed',
                ),
                'default'  => '1'
            ),
            array(
                'id'       => 'header-top-bar-bg-width',
                'type'     => 'button_set',
				'required' => array( 'header-top-bar-width', '=', '1' ),	
                'title'    => esc_html__( 'Background width', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Choose width of top bar background', 'infinito-theme-options' ),
                'options'  => array(
                    '0' => 'Full Width',
                    '1' => 'Boxed',
                ),
                'default'  => '0'
            ),			
            array(
                'id'       => 'header-bar-bk',
                'type'     => 'background',
				'background-attachment'   => 'false',
				'output'   => '.header-top-bar-bg',
                'title'    => esc_html__( 'Bar Background', 'infinito-theme-options' ),
                'background-color'    => false,
				'desc' => sprintf( '<b>%s</b>%s<a href="%s" target="_blank">%s</a>%s', 
					esc_html__( 'Important note: ', 'infinito-theme-options' ), 
					esc_html__( 'If you have a transparent header and/or top bar, the sub-header background will serve as a background for the header and top bar also. Follow this ', 'infinito-theme-options' ),
					esc_url( 'http://wowlayers.com/wordpress-theme/infinito/documentation/#fig22a', 'infinito-theme-options' ),
					esc_html__( 'URL', 'infinito-theme-options' ),
					esc_html__( ' for a better understanding', 'infinito-theme-options' )
				),				

            ),            
			array(
                'id'       => 'header-bar-bg',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Bar Background Color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose bar background color', 'infinito-theme-options' ),
				'default'   => array(
					'color'     => '#FFFFFF',
					'rgba' => 'rgba(255,255,255,1)',
					'alpha'     => 1,
					
				),
            ),
            array(
                'id'       => 'header-bar-position',
                'type'     => 'button_set',
				'required' => array( 'header-layout', '=', array('header-one' , 'header-one-a' , 'header-two' , 'header-two-a' , 'header-three', 'header-four', 'header-five','header-five-a') ),
				'title'    => esc_html__( 'Bar Position', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose the top bar position', 'infinito-theme-options' ),
                'options'  => array(
                    '0' => 'Above Header',
                    '1' => 'Bellow Header',
                ),
                'default'  => '0'
            ),			
            array(
                'id'       => 'header-bar-padding',
                'type'     => 'spacing',
				'output'   => '.header-top-bar, .header-top-bar-bg.container .header-top-bar.container',
				'required' => array( 'header-layout', '=', array('header-one' , 'header-one-a' , 'header-two' , 'header-two-a' , 'header-three', 'header-four', 'header-five','header-five-a') ),	
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Bar Padding', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add top bar padding', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'header-bar-underline',
                'type'     => 'switch',
				'required' => array( 'header-layout', '!=' , 'header-eleven' ),
                'title'    => esc_html__( 'Header Underline', 'infinito-theme-options' ),
                'desc' => esc_html__( 'It adds a border bottom to header top bar.', 'infinito-theme-options' ),
                'default'  => 0,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),			
            array(
                'id'       => 'header-bar-info-line-color',
                'type'     => 'color_rgba',
				'required' => array( 'header-layout', '!=' , 'header-eleven' ),
                'title'    => esc_html__( 'Bottom border', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Select color of border', 'infinito-theme-options' ),
            ),	            
			array(
                'id'       => 'header-bar-info-border-width',
                'type'     => 'slider',
				'required' => array( 'header-layout', '!=' , 'header-eleven' ),
                'title'    => esc_html__( 'Border bottom thickness.', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Select border bottom thickness of top bar', 'infinito-theme-options' ),
				'min'	   => '1',
				'max'	   => '10',
				'step'    => '1',
            ),
            array(
                'id'       => 'header-top-bar-h2',
                'type'     => 'spacing',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => false,
                'right'         => false,
                'bottom'        => false,  
                'left'          => false,  
                'title'    => '<h3>'.esc_html__( 'Info Bar', 'infinito-theme-options' ).'</h3>',
            ),
            array(
                'id'       => 'header-top-bar-show',
                'type'     => 'switch',
                'title'    => esc_html__( 'Info Bar', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the section that display phone, email and address.', 'infinito-theme-options' ),
                'default'  => 1,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),
            array(
                'id'       => 'header-bar-info-position',
                'type'     => 'button_set',
				'required' => array( 'header-layout', '=', array('header-one' , 'header-one-a' , 'header-two' , 'header-two-a' , 'header-three', 'header-four', 'header-five', 'header-five-a' ,'header-eleven') ),
				'title'    => esc_html__( 'Info Position', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose your info position', 'infinito-theme-options' ),
                'options'  => array(
                    '0' => 'Left',
                    '1' => 'Right',
                ),
                'default'  => '0'
            ),
			array(
                'id'       => 'header-bar-info-padding',
                'type'     => 'spacing',
				'output'   => '.header-top-bar ul.info li',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Info Padding', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This is very useful to use when you want to add a border separator between email, phone, address. Make sure the top padding is equal to bottom padding.', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'header-bar-info-sep-color',
                'type'     => 'color',
                'title'    => esc_html__( 'Separator Color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Don\'t add any color if you want no separator between email, phone, address.', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),	    
			array(
                'id'       => 'info-bar-typography',
                'type'     => 'typography',
				'output'   => '.header-top-bar ul.info li',
                'title'    => esc_html__( 'Info Font', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Text options for email, address, and phone.', 'infinito-theme-options' ),
                'google'   => true,			
				'text-align'   => false,
				'line-height'   => false,
				'letter-spacing' => true,
				'default'     => array(
					'font-family'  => 'Poppins', 
					'font-weight'  => '600', 
					'google'      => true,
					'font-size'   => '12px', 
					'line-height' => '21px'
				),								
            ),
            array(
                'id'       => 'header-bar-social-h2',
                'type'     => 'spacing',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => false,
                'right'         => false,
                'bottom'        => false,  
                'left'          => false,  
                'title'    => '<h3>'.esc_html__( 'Social', 'infinito-theme-options' ).'</h3>',
                'desc'    => esc_html__( 'To add your social URL(s) go to Appearance > Theme Options > Social', 'infinito-theme-options' ),
            ),			
            array(
                'id'       => 'header-bar-social',
                'type'     => 'switch',
                'title'    => esc_html__( 'Social', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Enable or disable the social icons in top bar', 'infinito-theme-options' ),
                'default'  => 1,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),
			array(
                'id'       => 'header-bar-social-margin',
                'type'     => 'spacing',
				'output'   => '.header-top-bar .social ul',
                'mode'     => 'margin',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Social Margin', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add margin to social icons', 'infinito-theme-options' ),
				'required' => array(
					array('header-bar-social', '=', '1')
				),				
            ),
			array(
                'id'       => 'social-bar-typography',
                'type'     => 'typography',
				'output'   => '.header-top-bar .social li a i',
                'title'    => esc_html__( 'Social Font', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Text options for social icons.', 'infinito-theme-options' ),
                'font-family'   => false,
                'font-style'   => false,
                'font-weight'   => false,
                'text-align'   => false,
                'line-height'   => false,
				'letter-spacing' => true,
				'color'    => false,
				'required' => array(
					array('header-bar-social', '=', '1')
				),				
            ),
            array(
                'id'       => 'header-bar-social-color',
                'type'     => 'color',
				'output'   => '',
				'required' => array(
					array('header-bar-social', '=', '1')
				),
                'title'    => esc_html__( 'Social Color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose social icons color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
				'default' => '#ffc200'
				
            ),
            array(
                'id'       => 'header-bar-social-hover-color',
                'type'     => 'color',
				'output'   => '',
				'required' => array(
					array('header-bar-social', '=', '1')
				),
                'title'    => esc_html__( 'Social Hover Color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose social icons hover color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
				'default' => '#000000'
            ),
            array(
                'id'       => 'header-bar-social-style',
                'type'     => 'select',
				'required' => array(
					array('header-bar-social', '=', '1')
				),
                'title'    => esc_html__( 'Social Style', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Select social icons style', 'infinito-theme-options' ),
                'options'  => array( 'simple' => 'Simple', 'square' => 'Square', 'rounded' => 'Rounded', 'circle' => 'Circle' ),
                'default'  => 'simple',
            ),					
		)
    ) );
	
	//menu options
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Menu Options', 'infinito-theme-options' ),
        'id'         => 'menu',
		'icon'		 => 'el el-th-list',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'menu-animation',
                'type'     => 'select',
				'required' =>array(
						array( 'header-layout', '!=', 'header-eleven' ),
						),
				
                'title'    => esc_html__( 'Dropdown Animation', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Select your menu dropdown animation. Note: it does not work for Zig Zag hover style.', 'infinito-theme-options' ),
                'options'  => array( 
					'animation_0' => 'None', 
					'animation_1' => 'Unfold', 
					'animation_2' => 'Fade', 
					'animation_3' => 'Scale', 
					'animation_4' => 'Down to up', 
					'animation_5' => 'Dropdown', 
				),
                'default'  => 'animation_3',
            ),
			array(
                'id'       => 'menu-padding',
				'required' => array( 'header-layout', '!=', 'header-eleven' ),
                'type'     => 'spacing',
                'output'   => '
						.header-one .menu-wrap,
						.header-one-a .menu-wrap,
						.header-two .menu-wrap,
						.header-two-a .menu-wrap,
						.header-three .menu-wrap,
						.header-four .menu-wrap,
						.header-five .menu-wrap,
						.header-five-a .menu-wrap,				
						.header-seven .menu-wrap,
						.header-eight .menu-wrap,
						.header-nine .menu-wrap,
						.header-ten .menu-wrap
				',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Menu padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add padding to menu. *Note: if you want to be vertical centered with logo, enter same value for top and bottom.', 'infinito-theme-options' ),
				
            ),			
			array(
                'id'       => 'overlay-linkpadding',
                'type'     => 'spacing',
				'required' => array( 'header-layout', '=', 'header-eleven' ),	
                'output'   => array('.header-overlay .menu ul > li > a'),
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( '1St Level links padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add padding to 1st level menu links', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'overlay-level2-linkpadding',
                'type'     => 'spacing',
				'required' => array( 'header-layout', '=', 'header-eleven' ),	
                'output'   => array('.header-overlay .menu ul > li > ul > li a'),
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( '2nd Level and above links padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add padding to 2nd level and above menu links', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'menu-links-margin',
                'type'     => 'spacing',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),
                'output'   => false,
                'mode'     => 'margin',
				'all'      => false,
                'top'           => false,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => false,     // Disable the bottom
                'left'          => true,     // Disable the left
				'units' => array('px'),
				'display_units' => true,
                'title'    => esc_html__( 'Links Margin', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Left and Right margins. Space bettwen menu links.', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'menu-links-padding',
                'type'     => 'spacing',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),
                'output'   => '.menu > ul > li > a,.menu-zig-zag .main_menu > li > a',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => true,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => true,     // Disable the left
				'units' => array('px'),
				'display_units' => true,
                'title'    => esc_html__( 'Links padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Top and bottom links padding.', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'vertical_layout-menu-links-padding',
                'type'     => 'spacing',
				'required' => array( 
					array('header-layout', '!=', 'header-one' ),
					array('header-layout', '!=', 'header-one-a' ),
					array('header-layout', '!=', 'header-two' ),
					array('header-layout', '!=', 'header-two-a' ),
					array('header-layout', '!=', 'header-three' ),
					array('header-layout', '!=', 'header-four' ),
					array('header-layout', '!=', 'header-five' ),
					array('header-layout', '!=', 'header-five-a' ),
					array('header-layout', '!=', 'header-eleven' ),
				),
                'output'   => '.header-wrap-vertical .menu > ul > li > a',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px'),
				'display_units' => true,
                'title'    => esc_html__( 'Links padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Top and bottom links padding.', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'menu-radius',
                'type'     => 'slider',
                'title'    => esc_html__( 'Menu border radius', 'infinito-theme-options' ), 
				'desc' => esc_html__( 'Add border radius to menu dropdown', 'infinito-theme-options' ),
				"min"       => 0,
				"step"      => 1,
				"max"       => 30,				
                'default'  => 0,
            ),			
            array(
                'id'       => 'menu-style',
                'type'     => 'image_select',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),
				'title'    => esc_html__( 'Hover style', 'infinito-theme-options' ),            
				'subtitle'    => esc_html__( 'Choose menu hover style', 'infinito-theme-options' ),            
				'options'  => array(
						'menu-simple' => array( 'title' => 'Simple', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_simple.gif' ),
						'menu-top-line' => array( 'title' => 'Top line', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_top_line.gif' ),
						'menu-bottom-line' => array( 'title' => 'Bottom line', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_bottom_line.gif' ),
						'menu-above-link' => array( 'title' => 'Above link', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_above_link.gif' ),
						'menu-bellow-link' => array( 'title' => 'Bellow link', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_bellow_link.gif' ),
						'menu-line-through' => array( 'title' => 'Line through', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_line_through.gif' ),
						'menu-all-lines' => array( 'title' => 'Square', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_all_lines.gif' ),
						'menu-highlight' => array( 'title' => 'Background', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_highlight.gif' ),
						'menu-top-arrow' => array( 'title' => 'Top arrow', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_top_arrow.gif' ),
						'menu-bottom-arrow' => array( 'title' => 'Bottom arrow', 'img' => WOW_THM_OPT_IMG.'/menu/horizontal/menu_bottom_arrow.gif' ),
						'menu-zig-zag' => array( 'title' => 'Zig Zag <br/>Note: it doesnt work for vertical and overlay header layouts', 'img' => ''.WOW_THM_OPT_IMG.'/menu/horizontal/menu_zig_zag.gif' ),
                    ),
                'default'  => 'menu-highlight'
            ),
			array(
                'id'       => 'menu-style-vertical',
                'type'     => 'image_select',
				'required' => array( 
					array('header-layout', '=',  array('header-ten','header-nine','header-eight','header-seven') ),
				),
				'title'    => esc_html__( 'Style', 'infinito-theme-options' ),
                'options'  => array(
							'menu-simple-hover' => array( 'title' => 'Simple', 'img' => WOW_THM_OPT_IMG . '/menu/vertical/menu_simple.png' ),
							'menu-bg-hover' => array( 'title' => 'With background', 'img' => WOW_THM_OPT_IMG . '/menu/vertical/menu_hover.png' ) ,
							'menu-line-hover' => array( 'title' => 'With line', 'img' => WOW_THM_OPT_IMG . '/menu/vertical/menu_line.png' ) ,
							'menu-line-separator' => array( 'title' => 'With separators', 'img' => WOW_THM_OPT_IMG . '/menu/vertical/menu_lines.png' ) ,
                    ),
                'default'  => 'menu-bg-hover'
            ),
            array(
                'id'       => 'submenu-arrows',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
				),
                'type'     => 'select',
				'options'  => wow_redux_icons('directional'),
				'data'     => 'wow-icons',
				'title'    => esc_html__( 'Icon for 1st level menu ( if has submenu )', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Leave empty for no icon', 'infinito-theme-options' ),
				'default'    => 'wow-directional-curved-down',
            ),            
			array(
                'id'       => 'submenu-2nd-arrows',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
				),
                'type'     => 'select',
				'options'  => wow_redux_icons('directional'),
				'data'     => 'wow-icons',
				'title'    => esc_html__( 'Icon for 2nd and higher level menu ( if has submenu )', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Leave empty for no icon', 'infinito-theme-options' ),
				'default'    => 'wow-directional-curved-right',
            ),
			array(
                'id'       => 'menu_show_search',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Show search icon in menu?', 'infinito-theme-options' ),
                'default'  => '0',// 1 = on | 0 = off
				'desc'     => esc_html__( 'If checked it will display a search icon. When clicked a search input appears.', 'infinito-theme-options' ),
            ),	
            array(
                'id'       => 'menu-typography',
                'type'     => 'typography',
				'output'      => array( '.menu > ul > li > a, .header-wrap-vertical .menu  > ul > li > a' ),
                'title'    => esc_html__( 'Menu Typography', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Note:* For vertical menu layouts line height only works from 32px above. On vertical layouts, if you choose a certain text align, all content will be aligned in that direction (logo, menu, social, info bar etc)', 'infinito-theme-options' ),
				'text-transform' => true,
                'text-align'   => true,
				'color'   => false,
				'google'   => true,
				'default'     => array(
					'font-family'  => 'Poppins', 
					'font-weight'  => '700', 
					'google'      => true,
					'font-size'   => '14px', 
					'line-height' => '24px'
				),
			'letter-spacing' => true,				
            ),	            
			array(
                'id'       => 'submenu-typography',
                'type'     => 'typography',
				'output'      => array( '.menu > ul > li > ul > li a' ),
                'title'    => esc_html__( 'Sub-Menu Typography', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose sub-menu typography', 'infinito-theme-options' ),
				'text-transform' => true,
                'text-align'   => false,
				'color'   => false,
				'google'   => true,
				'letter-spacing' => true,
            ),
        )
    ) );
	
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Menu Colors', 'infinito-theme-options' ),
        'icon'         => 'wow-texteditor-color-bucket',
        'id'         => 'colors-header',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'colors-menu-bg',
                'type'     => 'color_rgba',
				'required' => array( 
					array('menu-style', '=', 'menu-zig-zag' ),
				),
                'title'    => esc_html__( 'Menu Background', 'infinito-theme-options' ),
            ),		
			array(
                'id'       => 'colors-menu-link',
                'type'     => 'color',
                'title'    => esc_html__( 'Link', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose link color', 'infinito-theme-options' ),
				'output'   => '.menu > ul > li > a, .header-wrap-horizontal .menu.menu-zig-zag .main_menu > li.menu-item-cart > a > span:before',
				'transparent' => false,
                'validate' => 'color',
            ),
			
            array(
                'id'       => 'colors-menu-link-separator',
                'type'     => 'color_rgba',
				'required' => array( 'header-layout', '=', array('header-two' , 'header-two-a' ) ),
                'title'    => esc_html__( 'Menu Separator', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose menu separators color', 'infinito-theme-options' ),
            ),			
            array(
                'id'       => 'colors-menu-hover-link',
                'type'     => 'color',
                'title'    => esc_html__( 'Hover Link / Active Link', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose hover / active link color', 'infinito-theme-options' ),
				'output'   => array('.menu > ul > li:hover > a','.menu > ul > li.current-menu-item > a, .overlay-menu .menu > ul > li:hover > a','.overlay-menu .menu > ul > li.current-menu-item > a','.header-wrap-horizontal .menu.menu-zig-zag .main_menu > li.menu-item-cart:hover > a > span:before'),		
				'transparent' => false,
                'validate' => 'color',
            ),            
			array(
                'id'       => 'colors-menu-effect',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Effect', 'infinito-theme-options' ),
                'description'    => esc_html__( 'Choose menu effect color. This is the effect that appears on hover and active links', 'infinito-theme-options' ),
				'required' => array( 'header-layout', '!=' ,'header-eleven' ),
				'default'   => array(
					'color'     => '#000000',
					'rgba' => 'rgba(0,0,0,.52)',
					'alpha'     => 1,
					
				),				
            ),
            array(
                'id'       => 'colors-menu-hover-link-bg',
                'type'     => 'color_rgba',
				'required' => array( 
					array('menu-style', '=', array('menu-highlight','menu-zig-zag') ),
					array( 'header-layout', '!=', 'header-eleven'),
				),
                'title'    => esc_html__( 'Hover / Active Link Background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose hover / active link background', 'infinito-theme-options' ),
            ),
            array(   
                'id'       => 'colors-menu-vertical-hover-link-bg',
                'type'     => 'background',
				'required' => array( 
					array( 'header-layout', '=', array('header-seven' , 'header-eight' , 'header-nine' , 'header-ten') ),
					array( 'menu-style-vertical', '=', 'menu-bg-hover'),
				),
                'title'    => esc_html__( 'Hover / Active Link Background', 'infinito-theme-options' ),
				'output'   => '.header-wrap-vertical.menu-bg-hover nav.menu > ul > li:hover > a,.header-wrap-vertical.menu-bg-hover .menu > ul > li:hover > a, .menu > ul > li.current-menu-item > a, .header-wrap-vertical.menu-bg-hover nav.menu>ul>li.current-menu-item a',
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'transparent' => false,
                'validate' => 'color',
				'desc'    => esc_html__( 'Choose hover / active link background', 'infinito-theme-options' ),
            ),			
            array(
                'id'       => 'colors-menu-submenu',
                'type'     => 'color',
                'title'    => esc_html__( 'Submenu Link', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose submenu link color', 'infinito-theme-options' ),
				'output'   => '.menu ul li:hover ul li a,.menu-zig-zag .sub-menu.woocommerce-mini-cart a,.menu-zig-zag .sub-menu.woocommerce-mini-cart p.woocommerce-mini-cart__total,.header-overlay .menu ul > li > ul > li > a',
				'transparent' => false,
                'validate' => 'color',
            ),
            array(
                'id'       => 'colors-menu-submenu-hover',
                'type'     => 'color',
                'title'    => esc_html__( 'Submenu Hover Link', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose submenu hover link color', 'infinito-theme-options' ),
				'output'   => '.overlay-menu .menu ul li:hover ul li a:not(.disable_link):hover, .menu ul li:hover ul li a:not(.disable_link):hover',
				'transparent' => false,
                'validate' => 'color',
            ),			
            array(
                'id'       => 'colors-menu-submenu-bg',
				'required' => array( 'header-layout', '!=', 'header-eleven'),
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Submenu Background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose submenu background color', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'colors-vertical-menu-border',
				'required' => array( 'menu-style-vertical', '=', array('menu-line-separator')),
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Menu Separator', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Leave blank for no separators.', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'colors-menu-submenu-bg-hover',
				'required' => array( 'header-layout', '!=', 'header-eleven'),
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Submenu Hover Background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose submenu hover background color', 'infinito-theme-options' ),
				'output'   => '',
            ),
            array(
                'id'       => 'colors-menu-submenu-border',
				'required' => array( 'header-layout', '!=', 'header-eleven'),
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Submenu Separator', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Leave blank for no separators.', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'colors-menu-is_heading',
                'type'     => 'color',
                'title'    => esc_html__( 'Mega menu heading color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This is the color of the heading ( in mega menu )', 'infinito-theme-options' ),
				'output'   => '.menu ul li:hover ul li a.is_heading',
				'transparent' => false,
                'validate' => 'color',
				'required' => array( 'header-layout', '!=' ,'header-eleven' ),
            ),			
            array(
                'id'     => 'colors-menu-end',
                'type'   => 'section',
                'indent' => false, // Indent all options below until the next 'section' option is set.
            ),			
			
        )
    ) );	

   Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Sticky Menu', 'infinito-theme-options' ),
        'id'         => 'header-sticky',
		'icon'		 => 'el el-minus',
        'subsection' => true,
		'desc' => esc_html__( 'It doesn\'t work for vertical and overlay menu layouts.', 'infinito-theme-options' ),
        'fields'     => array(
            array(
                'id'       => 'header-is_sticky',
                'type'     => 'switch',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),
                'title'    => esc_html__( 'Sticky', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Activate sticky menu.', 'infinito-theme-options' ),
                'default'  => 1,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),
            array(
                'id'       => 'sticky-logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Logo', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add a logo to sticky menu', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'sticky_logo_width_select',
                'type'     => 'select',
                'title'    => esc_html__( 'Sticky Logo Width', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Select your sticky logo width.', 'infinito-theme-options' ),
                'options'  => array( 
					'auto' => 'Auto', 
					'manual' => 'Custom size', 
				),
                'default'  => 'auto',
            ),			
            array(
                'id'       => 'sticky_logo_width',
                'type'     => 'slider',
                'desc'     => esc_html__( 'Add sticky logo width. Units are pixels', 'infinito-theme-options' ),
				"min"       => 1,
				"step"      => 1,
				"max"       => 1000,				
                'default'  => 100,
				'required' => array('sticky_logo_width_select', '=', 'manual'),
            ),			
            array(
                'id'       => 'header-is_sticky-settings',
                'type'     => 'color_rgba',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),
                'title'    => esc_html__( 'Sticky Background and Opacity', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change your sticky background and opacity settings.', 'infinito-theme-options' ),
                'output'   => array( 'header .header-wrapper.sticky' ),
				'default'   => array(
					'color'     => '#ffc200',
					'alpha'     => 1,
					'rgba' => 'rgba(255,194,0,1)',
				),
            ),
            array(
                'id'       => 'colors-sticky-link',
                'type'     => 'color',
                'title'    => esc_html__( 'Link Color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Sticky link color', 'infinito-theme-options' ),
				'output'      => '.sticky .menu > ul > li > a',
				'transparent' => false,
                'validate' => 'color',
            ),           
			array(
                'id'       => 'colors-sticky-link-hover',
                'type'     => 'color',
                'title'    => esc_html__( 'Link hover color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Sticky link hover color', 'infinito-theme-options' ),
				'output'      => '.sticky .menu > ul > li > a:hover, .sticky .menu > ul > li.current-menu-item > a, .sticky .menu > ul > li:hover > a',
				'transparent' => false,
                'validate' => 'color',
            ),			
			array(
                'id'       => 'colors-sticky-bg-hover',
                'type'     => 'background',
				'required' => array('menu-style', '=', 'menu-highlight'),
                'title'    => esc_html__( 'Sticky Link Hover Background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose sticky link hover background color', 'infinito-theme-options' ),
				'output'      => '.sticky .menu > ul > li:hover > a, .sticky .menu > ul > li.current-menu-item > a',
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'transparent' => false,
				'transparent' => false,
                'validate' => 'color',
            ),
			array(
                'id'       => 'sticky_typography',
                'type'     => 'typography',
				'output'   => '.sticky nav.menu>ul>li>a',
                'title'    => esc_html__( 'Sticky typography', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography options for sticky menu', 'infinito-theme-options' ),
				'text-transform' => true,
				'text-align' => false,
				//'line-height' => false,
				'color'  => false,
				'letter-spacing' => true,
            ),
            array(
                'id'       => 'header-is_sticky_shadow',
                'type'     => 'switch',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),
                'title'    => esc_html__( 'Sticky Shadow', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Adds a shadow to the sticky menu', 'infinito-theme-options' ),
                'default'  => 0,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),
            array(
                'id'       => 'header-is_sticky-in-animation',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),
                'type'     => 'select',
                'title'    => esc_html__( 'In Animation', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Select sticky In Animation.', 'infinito-theme-options' ),
                'options'  => wow_theme_options_anim('in'),
                'default'  => 'fadeInDown',
            ),
            array(
                'id'       => 'header-is_sticky-in-animation-duration',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),				
                'type'     => 'slider',
				'required' => array('header-is_sticky-in-animation','!=','0'),
                'title'    => esc_html__( 'In Animation Duration', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Select sticky In Animation Duration. Units are seconds', 'infinito-theme-options' ),
				"min"       => .1,
				"step"      => .1,
				"max"       => 5,
				'resolution' => .1,
				"default" => .6
            ),			
            array(
                'id'       => 'header-is_sticky-out-animation',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),				
                'type'     => 'select',
                'title'    => esc_html__( 'Out Animation', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Select sticky Out Animation.', 'infinito-theme-options' ),
                'options'  => wow_theme_options_anim('in'),
            ),
            array(
                'id'       => 'header-is_sticky-out-animation-duration',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),				
                'type'     => 'slider',
				'required' => array('header-is_sticky-out-animation','!=','0'),
                'title'    => esc_html__( 'Out Animation Duration', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add only numbers. Units are in seconds. ', 'infinito-theme-options' ),
				"min"       => .1,
				"step"      => .1,
				"max"       => 5,
				'resolution' => .1,
				"default" => .3
            ),				
            array(
                'id'       => 'header-is_sticky-width',
                'type'     => 'button_set',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),
                'title'    => esc_html__( 'Width', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose your sticky width', 'infinito-theme-options' ),
                'options'  => array(
                    'full-width' => 'Full Width',
                    'sticky-boxed' => 'Boxed',
                ),
                'default'  => 'sticky-boxed'
            ),
			array(
                'id'       => 'logo-sticky-margin',
                'type'     => 'spacing',
				 'mode'     => 'padding',
				'required' => array( 
					array('header-layout', '!=', 'header-eleven' ),
					array('header-layout', '!=', 'header-ten' ),
					array('header-layout', '!=', 'header-nine' ),
					array('header-layout', '!=', 'header-eight' ),
					array('header-layout', '!=', 'header-seven' ),
				),
                'output'   => array('header .sticky,.sticky-boxed.sticky'),
               
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
                'units' => array('px','em','%'),
                'display_units' => true,   // Set to false to hide the units if the units are specified
                'title'    => esc_html__( 'Sticky content margin', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'This will add margin to the whole content of your sticky menu ( logo and links )', 'infinito-theme-options' ),
			   'default'            => array(
					'padding-top'     => '0px', 
					'padding-bottom'  => '0px', 
					'units'          => 'px', 
				)				
            ),				
		)
    ) );	
	
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Responsive', 'infinito-theme-options' ),
        'icon'         => 'wow-device-windows-lumia',
        'id'         => 'menu-resposive',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'resposive-info_text',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Resposive header', 'infinito-theme-options' ).'</h3>',
            ),
            array(
                'id'       => 'responsive-logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Responsive Logo', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Upload your responsive logo', 'infinito-theme-options' ),
				'required' => array( 'retina-js', '=', array('no') ),
            ),
            array(
                'id'       => 'responsive_logo_width_select',
                'type'     => 'select',
                'title'    => esc_html__( 'Responsive logo width', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Select your responsive logo width.', 'infinito-theme-options' ),
                'options'  => array( 
					'auto' => 'Auto', 
					'manual' => 'Custom size', 
				),
                'default'  => 'auto',
            ),			
            array(
                'id'       => 'responsive_logo_width',
                'type'     => 'slider',
                'desc'     => esc_html__( 'Add a logo width to responsive logo. Units are pixels', 'infinito-theme-options' ),
				"min"       => 1,
				"step"      => 1,
				"max"       => 1000,				
                'default'  => 150,	
				'required' => array('responsive_logo_width_select', '=', 'manual'),				
            ),
			array(
                'id'       => 'resposive-retina',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Is logo retina ready?', 'infinito-theme-options' ),
                'desc'    => esc_html__( "If checked , on retina ready devices logo will look great( don't forget to make it twice the size. ).", 'infinito-theme-options' ),
                'default'  => '',
            ),			
            array(
                'id'       => 'header-resposive-bg',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose your responsive header background', 'infinito-theme-options' ),
				'clickout_fires_change' => false,
            ),			
            array(
                'id'       => 'resposive-info_text2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Resposive menu', 'infinito-theme-options' ).'</h3>',
            ),
            array(
                'id'       => 'menu-resposive-text',
                'type'     => 'color',
                'title'    => esc_html__( 'Text color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose menu text color', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),
            array(
                'id'       => 'menu-resposive-hover-text',
                'type'     => 'color',
                'title'    => esc_html__( 'Hover / Active text color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose menu hover / active text color', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),
			array(
                'id'       => 'menu-resposive-bg-color',
				'title'    => esc_html__( 'Background color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose menu background color', 'infinito-theme-options' ),
                'type'     => 'color_rgba',
            ),				
            array(
                'id'       => 'menu-resposive-bg',
                'type'     => 'background',
                'title'    => esc_html__( 'Background image', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose menu background image', 'infinito-theme-options' ),
				'transparent' => false,
				'background-color' => false,
				'background-attachment' => false,
            ),
			
            array(
                'id'       => 'menu-resposive-separator',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Separator color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose menu separator color', 'infinito-theme-options' ),
            ),	
            array(
                'id'       => 'menu-resposive-arrow',
                'type'     => 'color',
                'title'    => esc_html__( 'Trigger button text color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose your trigger button text color', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),		
            array(
                'id'       => 'menu-resposive-arrow-bg',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Trigger button background color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose your trigger button background color', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'menu-resposive-text2',
                'type'     => 'color',
                'title'    => esc_html__( '2nd Level (and above) Text color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose color for second level menu links ( and above i.e level 3, 4 etc. )', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),
            array(
                'id'       => 'menu-resposive-hover-text2',
                'type'     => 'color',
                'title'    => esc_html__( '2nd Level (and above) Hover text color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose hover color for second level menu links ( and above i.e level 3, 4 etc. )', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),	
			array(
                'id'       => 'menu-resposive-bg-color2',
				'title'    => esc_html__( '2nd Level (and above) Background Color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose background color for second level menu links ( and above i.e level 3, 4 etc. )', 'infinito-theme-options' ),
                'type'     => 'color_rgba',
				'output'   => '',
            ),	
            array(
                'id'       => 'menu-resposive-bg2',
                'type'     => 'background',
                'title'    => esc_html__( '2nd Level (and above) Background Image', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose background image for second level menu links ( and above i.e level 3, 4 etc. )', 'infinito-theme-options' ),
				'transparent' => false,
				'background-color' => false,
				'background-attachment' => false,
            ),
			array(
                'id'       => 'menu-resposive-position',
                'type'     => 'button_set',
                'options'  => array(
                    'side_responsive_menu' => 'Side',
                    'top_responsive_menu' => 'Top',
					'short_responsive_menu' => 'Short',
                ),
				'title'    => esc_html__( 'Menu on show animation', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose menu appear animation', 'infinito-theme-options' ),
                'default'  => 'side_responsive_menu'
            ),
			array(
                'id'       => 'full-top-bg',
                'type'     => 'checkbox',
				'required' => array( 
					array('menu-resposive-position', '=', 'top_responsive_menu' ),
				),
                'title'    => esc_html__( 'Full background?', 'infinito-theme-options' ),
                'desc'    => esc_html__( "If checked it will make responisve menu full background.", 'infinito-theme-options' ),
                'default'  => '',
            ),	
            array(
                'id'       => 'menu-resposive-animation',
                'type'     => 'select',				
                'title'    => esc_html__( 'Button animation style', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Menu button animation style.', 'infinito-theme-options' ),
                'options'  => array( 
					'3dx' => '3dx', 
					'3dy' => '3dy', 
					'boring' => 'Boring', 
					'collapse' => 'Collapse', 
					'elastic' => 'Elastic', 
					'emphatic' => 'Emphatic',
					'slider' => 'Slider',
					'spin' => 'Spin',
					'spring' => 'Spring',
					'stand' => 'Stand',
					'squeeze' => 'Squeeze',
					'vortex' => 'Vortex',
				),
                'default'  => 'spin',
            ),
            array(
                'id'       => 'resposive-sticky',
                'type'     => 'switch',
                'title'    => esc_html__( 'Sticky', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Activate responsive sticky menu.', 'infinito-theme-options' ),
                'default'  => 1,
                'on'       => 'Enabled',
                'off'      => 'Disabled',
            ),
            array(
                'id'       => 'resposive-sticky-bg',
                'type'     => 'color_rgba',
				'required' => array( 
					array('resposive-sticky', '=', 1 ),
				),
                'title'    => esc_html__( 'Sticky background color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose sticky background color', 'infinito-theme-options' ),
				'output'   => '',
            ),	
            array(
                'id'       => 'resposive-sticky-logo',
                'type'     => 'media',
				'required' => array( 
					array('resposive-sticky', '=', 1 ),
				),
                'url'      => true,
                'title'    => esc_html__( 'Sticky Logo', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add a responsive sticky logo', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'sticky_responsive_logo_width_select',
                'type'     => 'select',
                'title'    => esc_html__( 'Sticky Logo Width', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Select your sticky logo width.', 'infinito-theme-options' ),
                'options'  => array( 
					'auto' => 'Auto', 
					'manual' => 'Custom size', 
				),
                'default'  => 'auto',
            ),					
            array(
                'id'       => 'sticky_responsive_logo_width',
                'type'     => 'slider',
                'title'    => esc_html__( 'Sticky responsive logo width', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Add a logo width to sticky responsive logo. Units are pixels', 'infinito-theme-options' ),
				"min"       => 1,
				"step"      => 1,
				"max"       => 1000,				
                'default'  => 150,
				'required' => array('sticky_responsive_logo_width_select', '=', 'manual'),
            ),
			array(
                'id'       => 'resposive-sticky_retina',
                'type'     => 'checkbox',
				'required' => array( 
					array('resposive-sticky', '=', 1 ),
				),
                'title'    => esc_html__( 'Is Sticky Logo retina ready?', 'infinito-theme-options' ),
                'desc'    => esc_html__( "If checked , on retina ready devices logo will look great( don't forget to make it twice the size. ).", 'infinito-theme-options' ),
                'default'  => '',
            ),
            array(
                'id'       => 'responsive-overlay',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Body overlay background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose background of body overlay. This is the background when the responsive menu it\'s opened', 'infinito-theme-options' ),
				'clickout_fires_change' => false,
            ),				
        )
    ) );	

   // -> START Breadcrumb & Subheading section
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Sub-Header', 'infinito-theme-options' ),
        'id'    => 'breadcrumb_main_section',
        'icon'  => 'wow-texteditor-header'
    ) );
	
    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Main options', 'infinito-theme-options' ),
        'id'               => 'breadcrumb_subheading_section',
		'icon'			   => 'wow-webapplication-options',
		'subsection'	   => true,
        'fields'           => array(	           
            array(
                'id'       => 'breadcrumb-width',
                'type'     => 'button_set',
				'title'    => esc_html__( 'Sub-Header Width', 'infinito-theme-options' ),
                'options'  => array(
                    '0' => 'full width',
                    '1' => 'boxed',
                ),
                'default'  => '1',
				'desc'     => esc_html__( 'Choose width of sub-header', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'bg_page_title_and_breadcrumb',
                'type'     => 'background',
				'output'   => '.horizontal-header.not-home header, 
				.horizontal-header.home_is_blog header, 
				.header-wrap-vertical #wrap > .header_breadcrumb',
                'url'      => true,
                'title'    => esc_html__( 'Sub-Header Background', 'infinito-theme-options' ),
                'subtitle'    => esc_html__( 'Can be overridden in each post/portfolio/page', 'infinito-theme-options' ),
				'desc' => sprintf( '<b>%s</b>%s<a href="%s" target="_blank">%s</a>%s', 
					esc_html__( 'Important note: ', 'infinito-theme-options' ), 
					esc_html__( 'Sub-Header background, starts from header top, so if you have a transparent header and/or top bar, the sub-header background will serve as a background for the header and top bar also. Follow this ', 'infinito-theme-options' ),
					esc_url( 'http://wowlayers.com/wordpress-theme/infinito/documentation/#fig22a', 'infinito-theme-options' ),
					esc_html__( 'URL', 'infinito-theme-options' ),
					esc_html__( ' for a better understanding', 'infinito-theme-options' )
				),
				'default'     => array(
					'background-color' => '#1d1d1d', 
				),
				'transparent' => true,
            ),			
			array(
                'id'       => 'page_title_show',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Display page title?', 'infinito-theme-options' ),
                'default'  => '1',// 1 = on | 0 = off
				'desc' => esc_html__( 'Enable or disable the sub-heading page title for the whole inner pages/posts/portfolio etc. Can be overridden in each post/portfolio/page', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'breadcrumb_show',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Display breadcrumb?', 'infinito-theme-options' ),
                'default'  => '1',// 1 = on | 0 = off
				'desc' => esc_html__( 'Enable or disable the breadcrumb navgation for the whole inner pages/posts/portfolio etc. Can be overridden in each post/portfolio/page.', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'breadcrumb_home_title',
                'type'     => 'text',
                'title'    => esc_html__( 'Home text', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Enter your text for "Home" in breadcrumb navigation, or leave blank for theme default', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'align_page_title_and_breadcrumb',
                'type'     => 'select',
                'title'    => esc_html__( 'Alignment of page title and breadcrumb', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Chgoose alignment of page title and breadcrumb.', 'infinito-theme-options' ),
                'options'  => array(
					'left' => 'Left', 
					'center' => 'Center',
					'right' => 'Right',					
					'inline' => 'Inline',					
				),
                'default'  => 'left',
            ),
			array(
                'id'       => 'padding_page_title_and_breadcrumb',
                'type'     => 'spacing',
				'output'   => '.header_breadcrumb_inner',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Padding of page title and breadcrumb ', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add padding to page title and breadcrumb ', 'infinito-theme-options' ),
				'default'            => array(
					'padding-top'     => '100px', 
					'padding-bottom'  => '100px', 
					'units'          => 'px', 
				)				
            ),			
        )
    ) );	

   Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Page Title', 'infinito-theme-options' ),
        'id'               => 'page_title_section',
		'icon'			   => 'wow-texteditor-small-cap',
		'subsection'	   => true,
        'fields'           => array(
			array(
                'id'       => 'page_title_typography',
                'type'     => 'typography',
				'output'   => '.header_breadcrumb h1',
                'title'    => esc_html__( 'Typography  ', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose typography for page title', 'infinito-theme-options' ),
				'subsets' => false,
				'text-transform' => true,
				'text-align' => false,
				'letter-spacing' => true,
				'default'     => array(
					'font-weight'  => '500', 
					'font-size'   => '72px', 
					'line-height' => '72px',
					'letter-spacing' => '-4px',
				),
            ),
			array(
                'id'       => 'page_title_padding',
                'type'     => 'spacing',
				'output'   => '.header_breadcrumb h1',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Padding', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Padding of page title', 'infinito-theme-options' ),
				'required' => array('align_page_title_and_breadcrumb', '!=', 'inline'),
            ),
			array(
                'id'       => 'page_title_3d',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Enable 3d effect on text?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This will add a nice 3d shadow to text', 'infinito-theme-options' ),
				'default'  => '0',
			)
		)
    ) );   
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Breadcrumb', 'infinito-theme-options' ),
        'id'               => 'breadcrumb_section',
		'icon'			   => 'wow-texteditor-font',
		'subsection'	   => true,
        'fields'           => array(
			array(
                'id'       => 'breadcrumb_typography',
                'type'     => 'typography',
				'output'   => '.header_breadcrumb ul.nav_crumb li, .header_breadcrumb ul.nav_crumb li a',
                'title'    => esc_html__( 'Typography ', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose typography for breadcrumb', 'infinito-theme-options' ),
				'subsets' => false,
				'line-height' => false,
				'text-align' => false,
				'text-transform' => true,
				'letter-spacing' => true,
				'default'     => array(
					'font-weight'  => '500', 
					'font-size'   => '14px',
					'text-transform' => 'capitalize',
					'font-family' => 'Poppins'
				),
				'letter-spacing' => true,				
            ),
			array(
                'id'       => 'breadcrumb_padding',
                'type'     => 'spacing',
				'output'   => 'ul.nav_crumb',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Padding', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add padding to breadcrumb', 'infinito-theme-options' ),
				'required' => array('align_page_title_and_breadcrumb', '!=', 'inline'),
            ),
			array(
                'id'       => 'breadcrumb_link_color',
                'type'     => 'link_color',
                'title'    => esc_html__( 'Link colors', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose link colors of breadcrumb', 'infinito-theme-options' ),
				'active' => false,
				'default'  => array(
					'regular'  => '#ffc200',
					'hover'    => '#ffffff', 
				)				
            ),         
			array(
                'id'       => 'breadcrumb_link_decoration',
                'type'     => 'select',
                'title'    => esc_html__( 'Links hover effect', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose links hover effect', 'infinito-theme-options' ),
                'options'  => array( 'none' => 'none', 'cl-effect-1' => 'Effect 1', 'cl-effect-2' => 'Effect 2', 'cl-effect-3' => 'Effect 3','cl-effect-4' => 'Effect 4','cl-effect-5' => 'Effect 5','cl-effect-6' => 'Effect 6','cl-effect-7' => 'Effect 7'),
                'default'  => 'cl-effect-6',
            ),
            array(
                'id'       => 'breadcrumb_link_effect_color',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Color for hover effect', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Customize color for hover effects', 'infinito-theme-options' ),
				'default'   => array(
					'color'     => '#FFFFFF',
					'rgba' => 'rgba(255,255,255,0.22)',
					'alpha'     => 1,
					
				),				
            ), 			
        )
    ) );	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Separator', 'infinito-theme-options' ),
        'id'               => 'separator_section',
		'icon'			   => 'wow-webapplication-exchange',
		'subsection'	   => true,
        'fields'           => array(
			/* 
			icons type
			---------------------------------------------------------------------------------------------------------
			abstract // animal // brand // business // chart // construction // currency // device // directional //
			education // emoticon // filetype // food // kidstoys // law // mathematical // medical // mobileui //
			multimedia // payment // person // search // social // sport // texteditor // transport // travel //
			weather // webapplication // pe-7f // pe-7s // all
			*/
            array(
                'id'       => 'breadcrumb_sep_icon',
                'type'     => 'select',
				'options'  => wow_redux_icons('all'),
				'data'     => 'wow-icons',
                'title'    => esc_html__( 'Separator icon', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Select icon for separator', 'infinito-theme-options' ),
				'default' => 'wow-directional-rounded-double-right',
            ),			
			array(
                'id'       => 'breadcrumb_sep_typography',
                'type'     => 'typography',
				'output'   => '.header_breadcrumb ul.nav_crumb li.delimiter',
                'title'    => esc_html__( 'Typography ', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose separator typography ', 'infinito-theme-options' ),
				'subsets' => false,
				'text-align' => false,
				'line-height' => false,
				'font-family' => false,
				'font-weight' => false,
				'font-style' => false,
				'letter-spacing' => true,
            ),
			array(
                'id'       => 'breadcrumb_sep_padding',
                'type'     => 'spacing',
				'output'   => '.header_breadcrumb ul.nav_crumb li.delimiter',	
                'mode'     => 'padding',
				'all'      => false,
                'top'           => false,     // Disable the top
                'right'         => true,     // Disable the right
                'bottom'        => false,     // Disable the bottom
                'left'          => true,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Padding', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add separator padding', 'infinito-theme-options' ),
				'letter-spacing' => true,
            ),			
        )
    ) );

	// -> START Blog section
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Blog','infinito-theme-options'  ),
        'id'    => 'blog_options_section',
        'icon'  => 'el el-file'
    ) );	

	
    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'General', 'infinito-theme-options' ),
        'id'               => 'blog-main',
		'icon'			   => 'wow-webapplication-options',
		'subsection'	   => true,
        'fields'           => array(
            array(
                'id'       => 'blog_-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Blog page', 'infinito-theme-options' ).'</h3>',
            ),
            array(
                'id'       => 'blog_page',
                'type'     => 'select',
                'title'    => esc_html__( 'Select your blog page', 'infinito-theme-options' ),
				'data' => 'pages',
				'desc'     => esc_html__( 'For breacrumb purposes so the breadcrumb will link to your blog page. Works only if front page display a static page as the posts page. See Settings -> Reading', 'infinito-theme-options' ),
            ),            
			array(
                'id'       => 'blog_page_title',
                'type'     => 'text',
                'title'    => esc_html__( 'Blog page title', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'What text to be displayed in page title for "Blog"', 'infinito-theme-options' ),
				'default'     => esc_html__( 'Blog', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'blog_container',
                'type'     => 'button_set',
				'title'    => esc_html__( 'Blog page width', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose blog page width', 'infinito-theme-options' ),
                'options'  => array(
                    'full-width' => 'full width',
                    'container' => 'boxed',
                ),
                'default'  => 'container'
            ),
			array(
                'id'       => 'blog_container_size',
				'required' => array(  
					array('layout', '=', 'full'), 
					array('blog_container', '=', 'container'),
				),
                'type'     => 'text',
				'title'    => esc_html__( 'Grid width', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/>%s<strong>%s</strong>%s<br/>%s<strong>%s</strong>%s<br>%s', 
					esc_html__( 'Grid width is calculated like this:' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ), 
					esc_html__( 'over 1200', 'infinito-theme-options' ), 
					esc_html__( ' - ( for example 1210 ) that width will apply only from 1280px resolution and above. ( 1210 + 70 ) > ( 70 is required for content padding )', 'infinito-theme-options' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ),
					esc_html__( 'under 1200', 'infinito-theme-options' ),
					esc_html__( ' - that width will apply only from 1201px resolution and above. ( Under 1200 website falls under responsive breakpoints rules )', 'infinito-theme-options' ),
					esc_html__( 'Default grid width is 1090px.', 'infinito-theme-options' )
				), 
				'subtitle' => sprintf( '%s<br/>%s', 
					esc_html__( 'Enter grid width. Units are pixels I.e ( 1200px )', 'infinito-theme-options' ), 
					esc_html__( 'This field is optional - Enter any if you want it different than the main website grid with ( General > Grid Width ) ', 'infinito-theme-options' ) 
				),
            ),			
            array(
                'id'       => 'blog_bg',
                'type'     => 'background',
				'output'   => '.is-blog-page #page-body',
                'title'    => esc_html__( 'Blog page background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add blog page background', 'infinito-theme-options' ),
            ),            
			array(
                'id'       => 'blog_padding',
                'type'     => 'spacing',
				'output'   => '.is-blog-page #page-body',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
				'left' => false,
				'right' => false,
                'title'    => esc_html__( 'Padding of blog page ( vertical ) ', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add vertical padding of blog page ', 'infinito-theme-options' ),
            ),				
			array(
                'id'       => 'blog_padding_horizontal',
                'type'     => 'spacing',
				'output'   => '.is-blog-page #page-body,.is-blog-page.has-left-fancy-sidebar.without-container #page-body.content-wrapper, .is-blog-page.has-right-fancy-sidebar.without-container #page-body.content-wrapper',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
				'top' => false,
				'bottom' => false,
                'title'    => esc_html__( 'Padding of blog page ( horizontal )  ', 'infinito-theme-options' ),
				'required' => array( 
					array('blog_container', '=', 'full-width'), 
				),
				'desc'    => esc_html__( 'Add horizontal padding of blog page ', 'infinito-theme-options' ),				
            ),			

            array(
                'id'       => 'blog_single-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Blog single page', 'infinito-theme-options' ).'</h3>',
            ),
			array(
                'id'       => 'blog_container_single',
                'type'     => 'button_set',
				'title'    => esc_html__( 'Single page width', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose blog single page width', 'infinito-theme-options' ),
                'options'  => array(
                    'full-width' => 'full width',
                    'container' => 'boxed',
                ),
                'default'  => 'container'
            ),
			array(
                'id'       => 'blog_container_single_size',
				'required' => array(
					array('layout', '=', 'full'),
					array('blog_container_single', '=', 'container'), 
				),
                'type'     => 'text',
				'title'    => esc_html__( 'Grid width', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/>%s<strong>%s</strong>%s<br/>%s<strong>%s</strong>%s<br>%s', 
					esc_html__( 'Grid width is calculated like this:' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ), 
					esc_html__( 'over 1200', 'infinito-theme-options' ), 
					esc_html__( ' - ( for example 1210 ) that width will apply only from 1280px resolution and above. ( 1210 + 70 ) > ( 70 is required for content padding )', 'infinito-theme-options' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ),
					esc_html__( 'under 1200', 'infinito-theme-options' ),
					esc_html__( ' - that width will apply only from 1201px resolution and above. ( Under 1200 website falls under responsive breakpoints rules )', 'infinito-theme-options' ),
					esc_html__( 'Default grid width is 1090px.', 'infinito-theme-options' )
				), 
				'subtitle' => sprintf( '%s<br/>%s', 
					esc_html__( 'Enter grid width. Units are pixels I.e ( 1200px )', 'infinito-theme-options' ), 
					esc_html__( 'This field is optional - Enter any if you want it different than the main website grid with ( General > Grid Width ) ', 'infinito-theme-options' ) 
				),				
            ),	
			array(
                'id'       => 'blog_single_bg',
                'type'     => 'background',
				'output'   => '.is-blog-page-single #page-body',
                'title'    => esc_html__( 'Single post background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add a background to single posts', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'blog_padding_single',
                'type'     => 'spacing',
				'output'   => '.is-blog-page-single #page-body',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
				'left' => false,
				'right' => false,
                'title'    => esc_html__( 'Padding of single blog page ( vertical ) ', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add vertical padding to single blog page', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'blog_padding_single_horizontal',
                'type'     => 'spacing',
				'output'   => '.is-blog-page-single #page-body',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
				'top' => false,
				'bottom' => false,
                'title'    => esc_html__( 'Padding of single blog page ( horizontal )  ', 'infinito-theme-options' ),
				'required' => array( 
					array('blog_container_single', '=', 'full-width'), 
				),
				'desc'    => esc_html__( 'Add horizontal padding to single blog page', 'infinito-theme-options' ),
            ),			
        )
    ) );
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Options', 'infinito-theme-options' ),
        'id'               => 'blog-options',
		'icon'			   => 'el el-wrench',
		'subsection'	   => true,
        'fields'           => array(
            array(
                'id'       => 'per_page',
                'type'     => 'spacing',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => false,
                'right'         => false,
                'bottom'        => false,  
                'left'          => false,    
                'title'    => esc_html__( 'Posts per page', 'infinito-theme-options' ),
				'desc' => esc_html__( 'To change how many posts per page to be displayed go to Settings -> Reading -> Blog pages show at most (and enter your desired number)', 'infinito-theme-options' ),
            ),            
			array(
                'id'       => 'grid',
                'type'     => 'select',
				'options'  => array(
                    '12' => '1',
                    '6' => '2',
                    '4' => '3',
                    '3' => '4',
                    '1/5' => '5',
                    '2' => '6',
                ),
                'title'    => esc_html__( 'How many posts per row?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose how many blog posts should be displayed per row', 'infinito-theme-options' ),
                'default'  => '6',
            ),							
			array(
                'id'       => 'gap',
                'type'     => 'text',
                'title'    => esc_html__( 'Add gap between posts?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Units are pixels I.e 15px. Enter 0 for no gap, or leave blank for theme default', 'infinito-theme-options' ),
                'default'  => '30px',
            ),
			array(
                'id'       => 'post_excerpt',
                'type'     => 'text',
                'title'    => esc_html__( 'Limit excerpt', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Enter how many words should the excerpt have. Numbers only.', 'infinito-theme-options' ),
                'default'  => '15',
            ),			
			array(
                'id'       => 'dot',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Show dot?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'If checked it will show a theme color dot at the end of blog post title.', 'infinito-theme-options' ),
                'default'  => '',
            ),		
        )
    ) );
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Template', 'infinito-theme-options' ),
        'id'               => 'blog-layout',
		'icon'			   => 'el el-lines',
		'subsection'	   => true,
        'fields'           => array(
			array(
                'id'       => 'blog_style',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Blog Template', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Select your desired blog posts template.', 'infinito-theme-options' ),
                'options'  => array(
                    'style1' => array( 'title' => 'Template 1', 'img' => WOW_THM_OPT_IMG.'/posts/style1.png' ),
                    'style2' => array( 'title' => 'Template 2', 'img' => WOW_THM_OPT_IMG.'/posts/style2.png' ),
                    'style3' => array( 'title' => 'Template 3', 'img' => WOW_THM_OPT_IMG.'/posts/style3.png' ),
                    'style4' => array( 'title' => 'Template 4', 'img' => WOW_THM_OPT_IMG.'/portfolio/style4.png' ),
                    ),
                'default'  => 'style1'
            ),
			array(
                'id'       => 'style4_blog_hover',
                'type'     => 'select',
				'required' => array( 'blog_style', '=', 'style4' ),
                'title'    => esc_html__( 'Select hover effect', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Choose hover effect for template 4', 'infinito-theme-options' ),
                'options'  => array(
                    'lily' => 'Lily',
                    'sadie' => 'Sadie',
                    'honey' => 'Honey',
                    'oscar' => 'Oscar',
                    'marley' => 'Marley',
                    'roxy' => 'Roxy',
                    'bubba' => 'Bubba',
                    'romeo' => 'Romeo',
                    'dexter' => 'Dexter',
                    'sarah' => 'Sarah',
                    'chico' => 'Chico',
                    'milo' => 'Milo',
                    'julia' => 'Julia',
                    'selena' => 'Selena',
                    'phoebe' => 'Phoebe',
                    'apollo' => 'Apollo',
                    'kira' => 'Kira',
                    'steve' => 'Steve',
                    'moses' => 'Moses',
                    'jazz' => 'Jazz',
                    'ming' => 'Ming',
                    'lexi' => 'Lexi',
                    'duke' => 'Duke',
                    ),
                'default'  => 'lily'
            ),				
			array(
                'id'       => 'blog_layout',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Blog page layout', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Select your desired blog posts layout. The sidebars are located in Appearance -> Widgets (Left Sidebar & Right Sidebar)', 'infinito-theme-options' ),
                'options'  => array(
                    'no-sidebar' => array( 'title' => 'No Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/full.gif' ),
                    'left-sidebar' => array( 'title' => 'Left Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/left-sidebar.gif' ),
                    'right-sidebar' => array( 'title' => 'Right Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/right-sidebar.gif' ),
                    'both-sidebars' => array( 'title' => 'Both Sidebars', 'img' => WOW_URI.'/images/admin/page-layout/both-sidebars.gif' ),
                    ),
                'default'  => 'right-sidebar'
            ),
			array(
                'id'       => 'blog_single_style',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Blog single page template', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'More in the next updates.', 'infinito-theme-options' ),
                'options'  => array(
                    'style1' => array( 'title' => 'Template 1', 'img' =>  WOW_THM_OPT_IMG.'/posts/single/style1.png' ),
                    ),
                'default'  => 'style1'
            ),
			array(
                'id'       => 'blog_single_layout',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Blog single page layout', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'This option can be overriden for each blog post. The sidebars are located in Appearance -> Widgets (Left Sidebar & Right Sidebar)', 'infinito-theme-options' ),
                'options'  => array(
                    'no-sidebar' => array( 'title' => 'No Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/full.gif' ),
                    'left-sidebar' => array( 'title' => 'Left Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/left-sidebar.gif' ),
                    'right-sidebar' => array( 'title' => 'Right Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/right-sidebar.gif' ),
                    'both-sidebars' => array( 'title' => 'Both Sidebars', 'img' => WOW_URI.'/images/admin/page-layout/both-sidebars.gif' ),
                    ),
                'default'  => 'right-sidebar'
            ),			
        )
    ) );	

	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Styling', 'infinito-theme-options' ),
        'id'               => 'blog-styling',
		'icon'			   => 'wow-texteditor-color-bucket',
		'subsection'	   => true,
        'fields'           => array(
			/* 
			icons type
			---------------------------------------------------------------------------------------------------------
			abstract // animal // brand // business // chart // construction // currency // device // directional //
			education // emoticon // filetype // food // kidstoys // law // mathematical // medical // mobileui //
			multimedia // payment // person // search // social // sport // texteditor // transport // travel //
			weather // webapplication // pe-7f // pe-7s // all // or array i.e wow_redux_icons(array('animal', 'food'))
			*/
            array(
                'id'       => 'blog_comment_icon',
                'type'     => 'select',
				'options'  => wow_redux_icons('webapplication'),
				'data'     => 'wow-icons',
				'required' => array( 'blog_style', '=', array('style2','style4') ),
                'title'    => esc_html__( 'Comments icon ( for style 2 ) / Read more icon ( for style 4 )', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Customzie comments icon ( for style 2 ) and read more icon ( for style 4 )', 'infinito-theme-options' ),
				'default' => '',
            ), 
			array(
                'id'       => 'blog_comment_icon_color',
                'type'     => 'color',
                'output'     => '.style2 .posts .icon-holder i,.posts-block figure i ',
				'required' => array( 'blog_style', '=', array('style2','style4') ),
                'title'    => esc_html__( 'Comments icon color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change comments icon color', 'infinito-theme-options' ),
				'transparent' => false,
            ),
            array(
                'id'       => 'blog_bg_posts_heading',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Background', 'infinito-theme-options' ).'</h3>',
            ),		
            array(
                'id'       => 'blog_bg_posts',
                'type'     => 'background',
                'output'     => '.posts-block.style1 .posts',
				'background-attachment' => false,
				'required' => array( 'blog_style', '=', array('style1') ),
                'title'    => esc_html__( 'Background color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background color of posts', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'blog_bg_posts_regular',
                'type'     => 'color',
                'title'    => esc_html__( 'Regular background', 'infinito-theme-options' ),
				'desc'  => __('This is the regular background of posts', 'infinito-theme-options'),
				'required' =>array('blog_style', '=', 'style4'),
				'transparent' => false,
				'default' => '',
            ),	
			array(
				'id'        => 'img_op',
				'type'      => 'slider',
				'title'     => __('Image opacity', 'infinito-theme-options'),
				'desc'  => __('This is the image opacity on regular state', 'infinito-theme-options'),
				'required' =>array('blog_style', '=', 'style4'),
				"min"       => 0,
				"step"      => .01,
				"max"       => 1,
				'resolution' => .01,				
				'default' => .7,
			),			
			array(
				'id'        => 'img_op_hover',
				'type'      => 'slider',
				'title'     => __('Hover image opacity', 'infinito-theme-options'),
				'desc'  => __('This is the hover image opacity on hover state', 'infinito-theme-options'),
				'required' =>array('blog_style', '=', 'style4'),
				"min"       => 0,
				"step"      => .01,
				"max"       => 1,
				'resolution' => .01,			
				'default' => .5,
			),			
			array(
                'id'       => 'blog_bg_posts_style3',
                'type'     => 'background',
                'output'     => '',
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'required' => array( 'blog_style', '=', array('style3' ) ),
                'title'    => esc_html__( 'Background color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background color of posts. This will make a gradient fade background depending on the color selected.', 'infinito-theme-options' ),
            ),             
			array(
                'id'       => 'blog_bg_posts_style2',
                'type'     => 'background',
                'output'     => '.style2 .posts .details.video,.style2 .posts .details.audio,.style2 .posts .details.quote,.style2 .posts .details.no-thumb',
				'background-attachment' => false,
				'required' => array( 'blog_style', '=', 'style2' ),
                'title'    => esc_html__( 'Background color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background color of posts (for video, audio, and quote only.)', 'infinito-theme-options' ),
            ),            
			array(
                'id'       => 'blog_bg_posts_hover',
                'type'     => 'color_rgba',
				'required' => array( 'blog_style', '=', array('style1' , 'style2', 'style4' ) ),
                'title'    => esc_html__( 'Background hover color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background hover color of posts', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'blog_title_posts_heading',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Title', 'infinito-theme-options' ).'</h3>',
            ),			
			array(
                'id'       => 'blog_posts_title',
                'type'     => 'color',
                'output'     => '.style1 .posts .text-holder h2 a, .style2 .posts .details_holder h2, .style2 .posts .details_holder h2 a,  .style3 .posts h2 a, .posts-block.style4 .blog_container h2 a, .posts-block.style4 .blog_container h2',
                'title'    => esc_html__( 'Color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose title color of posts', 'infinito-theme-options' ),
				'transparent' => false,
            ),			
			array(
                'id'       => 'blog_posts_title_hover',
                'type'     => 'color',
                'output'     => '.style1 .posts:hover .text-holder h2 a, .style2 .posts .icon-holder h3 a,.style3 .posts:hover h2 a,.posts-block.style4 .blog_container:hover h2 a,.posts-block.style4 .blog_container:hover h2',
                'title'    => esc_html__( 'Hover color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose title hover color of posts', 'infinito-theme-options' ),
				'transparent' => false,
            ),
			array(
                'id'       => 'blog_posts_title_margin',
                'type'     => 'spacing',
				'required' => array( 'blog_style', '=', array('style1' , 'style2' ) ),
                'output'   => '.style1 .posts .text-holder h2, .style2 .posts .details_holder h2, .style2 .posts .icon-holder h3',
                'mode'     => 'margin',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
                'units' => array('px','em','%'),
                'display_units' => true,   // Set to false to hide the units if the units are specified
                'title'    => esc_html__( 'Margin', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add margin to the post title', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'blog_excerpt_posts_heading',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Excerpt', 'infinito-theme-options' ).'</h3>',
            ),				
			array(
                'id'       => 'excerpt_posts',
                'type'     => 'color',
                'output'     => '.style1 .posts .text-holder p, .style3 .posts p, .posts-block.style4 .blog_container p:not(.second)',
				'required' => array( 'blog_style', '=', array('style1' , 'style3', 'style4' ) ),
                'title'    => esc_html__( 'Color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose color of excerpt ( Usually this is the text displayed under the post title )', 'infinito-theme-options' ),
				'transparent' => false,
            ),			
			array(
                'id'       => 'excerpt_hover_posts',
                'type'     => 'color',
                'output'     => '.style1 .posts:hover .text-holder p, .style3 .posts:hover p, .posts-block.style4 .blog_container:hover p:not(.second)',
				'required' => array( 'blog_style', '=', array('style1' , 'style3','style4' ) ),
                'title'    => esc_html__( 'Hover color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose color of excerpt on hover', 'infinito-theme-options' ),
				'transparent' => false,
            ),
			array(
                'id'       => 'excerpt_posts_margin',
                'type'     => 'spacing',
				'required' => array( 'blog_style', '=', array('style1' , 'style3' ) ),
                'output'   => '.style1 .posts .text-holder p, .style3 .posts p',
                'mode'     => 'margin',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
                'units' => array('px','em','%'),
                'display_units' => true,   // Set to false to hide the units if the units are specified
                'title'    => esc_html__( 'Margin', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add margin to the post excerpt', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'blog_date_comm_posts_heading',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Date & comments', 'infinito-theme-options' ).'</h3>',
            ),				
			array(
                'id'       => 'comments_posts',
                'type'     => 'color',
                'output'     => '.style1 .posts span.comments, .style2 .posts span.comments , .style3 .posts .comments .comments_no ,.style3 .posts .comments .comments_text',
				'required' => array( 'blog_style', '=', array( 'style1' , 'style2', 'style3' ) ),
                'title'    => esc_html__( 'Comments color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose color of comments', 'infinito-theme-options' ),
				'transparent' => false,
            ),			
			array(
                'id'       => 'date_posts',
                'type'     => 'color',
                'output'     => '.style1 .posts span.date , .style2 .posts span.date , .style3 .posts .date .day , .style3 .posts .date .month',
				'required' => array( 'blog_style', '=', array( 'style1' , 'style2', 'style3' ) ),
                'title'    => esc_html__( 'Date color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose color of date', 'infinito-theme-options' ),
				'transparent' => false,
            ),	           
			array(
                'id'       => 'comments_bg_posts',
                'type'     => 'background',
				'required' => array( 'blog_style', '=', 'style3' ),
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'output'   => '.style3 .posts .comments',
                'title'    => esc_html__( 'Comments background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background of comments', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),
            array(
                'id'       => 'date_bg_posts',
                'type'     => 'background',
				'required' => array( 'blog_style', '=', 'style3' ),
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'output'   => '.style3 .posts .date',
                'title'    => esc_html__( 'Date background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background of date', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),
            array(
                'id'       => 'blog_category_posts_heading',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Category', 'infinito-theme-options' ).'</h3>',
            ),				
			array(
                'id'       => 'category_posts',
                'type'     => 'color',
                'output'     => '.style1 .posts ul.categories li, .style2 .posts ul.categories li, .style2 .posts .details_holder span.category, .posts-block.style4 .blog_container p.second',
				'required' => array( 'blog_style', '=', array( 'style1' , 'style2', 'style4' ) ),
                'title'    => esc_html__( 'Color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose color of category', 'infinito-theme-options' ),
				'transparent' => false,
            ),			
			array(
                'id'       => 'category_hover_posts',
                'type'     => 'color',
                'output'     => '.style1 .posts:hover ul.categories li,.style2 .posts .image_wrapper_hover span.category',
				'required' => array( 'blog_style', '=', array( 'style1', 'style2' ) ),
                'title'    => esc_html__( 'Hover color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose hover color of category', 'infinito-theme-options' ),
				'transparent' => false,
            ),
            array(
                'id'       => 'category_bg_posts',
                'type'     => 'background',
				'required' => array( 'blog_style', '=', array( 'style1' , 'style2', 'style4' ) ),
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'output'   => '.style1 .posts ul.categories li, .style2 .posts ul.categories li,.posts-block.style4 .blog_container p.second',
                'title'    => esc_html__( 'Background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background of category', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),	           
			array(
                'id'       => 'category_bg_hover_posts',
                'type'     => 'background',
				'required' => array( 'blog_style', '=', array( 'style1' ) ),
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'output'   => '.style1 .posts:hover ul.categories li',
                'title'    => esc_html__( 'Hover background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose hover background of comments', 'infinito-theme-options' ),
                'validate' => 'color',
				'transparent' => false,
            ),
            array(
                'id'       => 'blog_single_heading_section',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Blog Single', 'infinito-theme-options' ).'</h3>',
            ),				
			array(
                'id'       => 'blog_single_heading',
                'type'     => 'color',
                'output'     => '.blog-single-start h1, .blog-single-start h2, .blog-single-start h3, .blog-single-start h4, .blog-single-start h5, .blog-single-start h6, .blog-single-start h1 a,    	.blog-single-start h2 a, .blog-single-start h3 a, .blog-single-start h4 a, .blog-single-start h5 a, .blog-single-start h6 a,.blog-single.style1 h2.related,.comment-list h2.article-title, .comment-list .title.comm h2,.blog_related h6 a',
                'title'    => esc_html__( 'Headings color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change color for headings in blog single', 'infinito-theme-options' ),
				'transparent' => false,
            ),				
			array(
                'id'       => 'blog_single_text',
                'type'     => 'color',
                'output'     => '.blog-single-start .details, .blog-single-start blockquote p, .blog-single-start blockquote, .blog-single-start .comment-details-holder, .blog-single-start p, .blog-single-start .reply_login, .blog-single-start .reply_login a, .blog-single-start pre,.blog-single-start .comment-form textarea, .blog-single-start .comment-form input[type="text"],.blog-single.style1 .tags a,.blog-single .post-details .reply_login,.blog-single .post-details .reply_login a,.comment-details-holder, .comment-form textarea, .comment-form input[type="text"]',
                'title'    => esc_html__( 'Text color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change color for text in blog single', 'infinito-theme-options' ),
				'transparent' => false,
            ),				
			array(
                'id'       => 'blog_single_other_text',
                'type'     => 'color',
                'output'     => '.comment-holder .the-comment p,.blog-single .post-details .blog_related .category,.comment-container i, .blog-single.style1 .comment-form .input-name::after, .blog-single.style1 .comment-form .input-email::after, .blog-single.style1 .comment-form .input-website::after,.comment-author, .comment-date',
                'title'    => esc_html__( 'Other text color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change color for other text in blog single ( such as comments text, category and author text for related posts )', 'infinito-theme-options' ),
				'transparent' => false,
            ),
			array(
                'id'       => 'blog_single_bgs',
                'type'     => 'background',
				'output'   => '.blog-single-start blockquote, .blog-single-start .comment-container, .comment-form textarea, .comment-form input[type="text"], pre, .blog-single-start .tags a,.comment-container, .comment-form textarea, .comment-form input[type="text"] a',
                'title'    => esc_html__( 'Background of elements', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change background of elements in blog single (such as comments, blockquote, comment form etc.)', 'infinito-theme-options' ),
				'transparent' => false,	
            ),			
			array(
                'id'       => 'blog_single_borders',
                'type'     => 'color',
                'title'    => esc_html__( 'Border colors', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change color for borders in blog single (such as comment border and comments separator)', 'infinito-theme-options' ),
				'transparent' => false,
            ),			
							
        )
    ) );	
	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Typography', 'infinito-theme-options' ),
        'id'               => 'blog-typography',
		'icon'			   => 'wow-texteditor-small-cap',
		'subsection'	   => true,
        'fields'           => array(
			array(
                'id'       => 'blog_heading_typography',
                'type'     => 'typography',
				'output'   => '.style1 .posts .text-holder h2 a, .style2 .posts .details_holder h2, .style2 .posts .icon-holder h3 a, .style3 .posts h2 a,.posts-block.style4 .blog_container h2',
                'title'    => esc_html__( 'Post title font', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography options for post title', 'infinito-theme-options' ),
				'text-transform' => true,
				'text-align' => false,
				'color' => false,
				'letter-spacing' => true,
            ),			
			array(
                'id'       => 'blog_excerpt_typography',
				'required' => array( 'blog_style', '=', array('style1' , 'style3', 'style4' ) ),
                'type'     => 'typography',
				'output'   => '.style1 .posts .text-holder p, .style3 .posts p,.posts-block.style4 .blog_container p:not(.second)',
                'title'    => esc_html__( 'Post excerpt', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography options for post excerpt ( Usually this is the text displayed under the post title )', 'infinito-theme-options' ),
				'text-transform' => true,
				'text-align' => false,
				'color' => false,
				'letter-spacing' => true,
            ),				
			array(
                'id'       => 'blog_date_comm_typography',
				'required' => array( 'blog_style', '=', array('style1' , 'style3', 'style3' ) ),
                'type'     => 'typography',
				'output'   => '.style1 .posts span, .style2 .posts span, .style3 .posts .middle,.style3 .posts .comments',
                'title'    => esc_html__( 'Date and comments', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography options for date and comments', 'infinito-theme-options' ),
				'text-transform' => false,
				'text-align' => false,
				'color' => false,
				'font-size' => false,
				'line-height' => false,
				'letter-spacing' => true,
            ),			
        )
    ) );
	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Fancy sidebar', 'infinito-theme-options' ),
        'id'               => 'blog-sidebar',
		'icon'			   => 'wow-webapplication-page',
		'subsection'	   => true,
        'fields'           => array(
			array(
                'id'       => 'fancy_sidebar',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Enable fancy sidebar?', 'infinito-theme-options' ),
				'desc' => esc_html__( 'This will move the sidebar on the header. Only works with left or right sidebar, but not with both at once.', 'infinito-theme-options' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'fancy_sidebar_bg',
                'type'     => 'background',
				'output'   => '.is-blog-page.has-left-fancy-sidebar #page-body .left_sidebar , .is-blog-page.has-right-fancy-sidebar #page-body .right_sidebar, .is-blog-page-single.has-left-fancy-sidebar #page-body .left_sidebar,.is-blog-page-single.has-right-fancy-sidebar #page-body .right_sidebar',
                'title'    => esc_html__( 'Fancy sidebar background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add a background to fancy sidebar ', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'fancy_left_sidebar_blog',
                'title'    => '<h3>'.esc_html__( 'Left fancy sidebar corners - Blog', 'infinito-theme-options' ).'</h3>',
                'type'     => 'spacing',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => false,
                'right'         => false,
                'bottom'        => false,  
                'left'          => false, 				
				'desc' => sprintf( '%s<strong>%s</strong>', 
					esc_html__( 'This are the left and right corners for the ', 'infinito-theme-options' ), 
					esc_html__( 'left fancy sidebar on blog page', 'infinito-theme-options' )
				),
            ),	
            array(
                'id'       => 'fls_cl_blog',
                'type'     => 'color',
				'output'   => '',
                'title'    => esc_html__( 'Left corner color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),	           
			array(
                'id'       => 'fls_cr_blog',
                'type'     => 'color',
				'output'   => '',
                'title'    => esc_html__( 'Right corner color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),	            
			array(
                'id'       => 'fancy_right_sidebar_blog',
                'title'    => '<h3>'.esc_html__( 'Right fancy sidebar corners - Blog', 'infinito-theme-options' ).'</h3>',
                'type'     => 'spacing',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => false,
                'right'         => false,
                'bottom'        => false,  
                'left'          => false, 					
				'desc' => sprintf( '%s<strong>%s</strong>', 
					esc_html__( 'This are the left and right corners for the ', 'infinito-theme-options' ), 
					esc_html__( 'right fancy sidebar on blog page', 'infinito-theme-options' )
				),
            ),	
            array(
                'id'       => 'frs_cl_blog',
                'type'     => 'color',
				'output'   => '',
                'title'    => esc_html__( 'Left corner color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),	           
			array(
                'id'       => 'frs_cr_blog',
                'type'     => 'color',
				'output'   => '',
                'title'    => esc_html__( 'Right corner color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),	 
			array(
                'id'       => 'fancy_left_sidebar_blog_single',
                'title'    => '<h3>'.esc_html__( 'Left fancy sidebar corners - Blog Single', 'infinito-theme-options' ).'</h3>',
                'type'     => 'spacing',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => false,
                'right'         => false,
                'bottom'        => false,  
                'left'          => false, 				
				'desc' => sprintf( '%s<strong>%s</strong>', 
					esc_html__( 'This are the left and right corners for the ', 'infinito-theme-options' ), 
					esc_html__( 'left fancy sidebar on blog single', 'infinito-theme-options' )
				),				
            ),	
            array(
                'id'       => 'fls_cl_blog_single',
                'type'     => 'color',
				'output'   => '',
                'title'    => esc_html__( 'Left corner color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),	           
			array(
                'id'       => 'fls_cr_blog_single',
                'type'     => 'color',
				'output'   => '',
                'title'    => esc_html__( 'Right corner color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),	            
			array(
                'id'       => 'fancy_right_sidebar_blog_single',
                'type'     => 'spacing',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => false,
                'right'         => false,
                'bottom'        => false,  
                'left'          => false, 
                'title'    => '<h3>'.esc_html__( 'Right fancy sidebar corners - Blog Single', 'infinito-theme-options' ).'</h3>',
				'desc' => sprintf( '%s<strong>%s</strong>', 
					esc_html__( 'This are the left and right corners for the ', 'infinito-theme-options' ), 
					esc_html__( 'right fancy sidebar on blog single', 'infinito-theme-options' )
				),					
            ),	
            array(
                'id'       => 'frs_cl_blog_single',
                'type'     => 'color',
				'output'   => '',
                'title'    => esc_html__( 'Left corner color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),	           
			array(
                'id'       => 'frs_cr_blog_single',
                'type'     => 'color',
				'output'   => '',
                'title'    => esc_html__( 'Right corner color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),			
        )
    ) );
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Animations', 'infinito-theme-options' ),
        'id'               => 'blog-animations',
		'icon'			   => 'el el-film',
		'subsection'	   => true,
        'fields'           => array(
			array(
                'id'       => 'animate_blog',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Enable blog posts animations?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This will enable blog posts animations', 'infinito-theme-options' ),
                'default'  => '0',
            ),
			array(
                'id'       => 'blog_animation',
				'required' => array( 
					array('animate_blog', '=', '1' ),
				),
                'type'     => 'select',
                'title'    => esc_html__( 'Select animation', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Select animation for blog posts', 'infinito-theme-options' ),
                'options'  => wow_theme_options_anim('in'),
                'default'  => 'fadeIn',
            ),
            array(
                'id'       => 'blog_animation_duration',
				'required' => array( 
					array('animate_blog', '=', '1' ),
				),				
                'type'     => 'slider',
                'title'    => esc_html__( 'Animation Duration', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Units are in seconds', 'infinito-theme-options' ),
				"min"       => .1,
				"step"      => .1,
				"max"       => 5,
				'resolution' => .1,
				"default" => .3
            ),            
			array(
                'id'       => 'blog_animation_delay',
				'required' => array( 
					array('animate_blog', '=', '1' ),
				),				
                'type'     => 'slider',
                'title'    => esc_html__( 'Animation Delay', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Units are in seconds', 'infinito-theme-options' ),
				"min"       => .1,
				"step"      => .1,
				"max"       => 5,
				'resolution' => .1,
				"default" => .3
            ),			
        )
    ) );

Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Related posts', 'infinito-theme-options' ),
        'id'               => 'blog-related',
		'icon'			   => 'pe-7f-note',
		'subsection'	   => true,
        'fields'           => array(
            array(
                'id'       => 'show-related',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Display related posts?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'If checked it will display related posts under the single blog post', 'infinito-theme-options' ),
                'default'  => '1',
            ),
			array(
                'id'       => 'blog-related-how-many',
				'required' =>  array('show-related','=','1'),
                'type'     => 'text',
                'title'    => esc_html__( 'Number of related posts to display?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This can be overriden for each post when you add/edit them in post options bellow editor', 'infinito-theme-options' ),
                'default'  => '4',
            ),	
			array(
                'id'       => 'blog-related-per-row',
				'required' =>  array('show-related','=','1'),
                'type'     => 'select',
				'options'  => array(
                    '12' => '1',
                    '6' => '2',
                    '4' => '3',
                    '3' => '4',
                    '2' => '6',
                ),
                'title'    => esc_html__( 'How many related posts per row?', 'infinito-theme-options' ),
                'default'  => '6',
				'desc'    => esc_html__( 'This can be overriden for each post when you add/edit them in post options bellow editor', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'blog-related-bg',
                'type'     => 'background',
				'required' =>  array('show-related','=','1'),
				'output'   => '.blog_related section',
                'title'    => esc_html__( 'Related background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add a background to related posts', 'infinito-theme-options' ),
            ),	
            array(
                'id'       => 'blog-related-border',
                'type'     => 'color_rgba',
				'required' =>  array('show-related','=','1'),
                'title'    => esc_html__( 'Related border color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose related posts border color', 'infinito-theme-options' ),
            ),	           
			array(
                'id'       => 'blog-related-heading',
                'type'     => 'color',
				'required' =>  array('show-related','=','1'),
				'output'   => '.blog_related h6 a',
                'title'    => esc_html__( 'Related heading color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose related posts heading color', 'infinito-theme-options' ),
				'transparent' => false,
            ),	            
			array(
                'id'       => 'blog-related-text',
                'type'     => 'color',
				'required' =>  array('show-related','=','1'),
				'output'   => '.blog-single .post-details .blog_related .category',
                'title'    => esc_html__( 'Related text color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose related posts text color', 'infinito-theme-options' ),
				'transparent' => false,
            ),			
		)
	) );
	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Author bio', 'infinito-theme-options' ),
        'id'               => 'author-section',
		'icon'			   => 'wow-mobileui-user',
		'subsection'	   => true,
        'fields'           => array(
            array(
                'id'       => 'show-author-bio',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Display author bio and info?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'If checked it will display the author bio and info bellow the single post content. To add this info go to Users -> Your Profile and fill in the details.', 'infinito-theme-options' ),
                'default'  => '0',
            ),
			array(
                'id'       => 'author-bio-bg',
                'type'     => 'background',
				'output'   => '.author-bio',
                'title'    => esc_html__( 'Author bio background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change background of author bio', 'infinito-theme-options' ),
				'transparent' => false,	
            ),	
		)
	) );

	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Article share', 'infinito-theme-options' ),
        'id'               => 'article-section',
		'icon'			   => 'wow-webapplication-share',
		'subsection'	   => true,
        'fields'           => array(
            array(
                'id'       => 'show-share',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Display share article section?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'If checked it will display the share buttons bellow each single post', 'infinito-theme-options' ),
                'default'  => '1',
            ),	
		)
	) );

	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Responsive', 'infinito-theme-options' ),
        //'desc'            => esc_html__( 'Customize how many blog posts per row to be shown on different devices', 'infinito-theme-options' ),
        'id'               => 'blog-responsive',
		'icon'     => 'wow-device-windows-lumia',
		'subsection'	   => true,
        'fields'           => array(           
			array(
                'id'       => 'grid_480',
                'class'       => 'grid_480',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '480px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many blog items per row to be displayed up to 480px?', 'infinito-theme-options' ),
                'default'  => '',
            ),			
			array(
                'id'       => 'grid_768',
                'class'       => 'grid_768',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '768px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many blog items per row to be displayed up to 768px?', 'infinito-theme-options' ),
                'default'  => '',
            ),			
			array(
                'id'       => 'grid_992',
                'class'       => 'grid_992',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '992px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many blog items per row to be displayed up to 992px?', 'infinito-theme-options' ),
                'default'  => '',
            ),	
			array(
                'id'       => 'grid_1200',
                'class'       => 'grid_1200',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '1200px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many blog items per row to be displayed up to 1200px?', 'infinito-theme-options' ),
                'default'  => '',
            ),
			array(
                'id'       => 'grid_1600',
                'class'       => 'grid_1600',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '1600px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many blog items per row to be displayed up to 1600px?', 'infinito-theme-options' ),
                'default'  => '',
            ),
        )
    ) );	
	
    // -> START Portfolio section
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Portfolio','infinito-theme-options' ),
        'id'    => 'portfolio_options_section',
        'icon'  => 'el el-briefcase'
    ) );	

	
    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'General', 'infinito-theme-options' ),
        'id'               => 'portfolio-main',
		'icon'			   => 'wow-webapplication-options',
		'subsection'	   => true,
        'fields'           => array(
            array(
                'id'       => 'portfolio_posts-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Portfolio posts page', 'infinito-theme-options' ).'</h3>',
            ),
            array(
                'id'       => 'portfolio_page',
                'type'     => 'select',
                'title'    => esc_html__( 'Select your portfolio page', 'infinito-theme-options' ),
				'data' => 'pages',
				'desc'     => esc_html__( 'For breacrumb purposes so the breadcrumb will link to your portfolio page', 'infinito-theme-options' ),
                'default'  => $wow_breadcrumb_portfolio,
            ),                
			array(
                'id'       => 'portfolio_page_title',
                'type'     => 'text',
                'title'    => esc_html__( 'Portfolio page title', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'This is the portfolio page title displayed bellow header', 'infinito-theme-options' ),
                'default'  => 'Portfolio',
            ),            
			array(
                'id'       => 'slug_portfolio',
                'type'     => 'text',
                'title'    => esc_html__( 'Slug for portfolio item', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/><strong>%s</strong>', 
					esc_html__( 'This slug is displayed in URL. If you want other slug than the actual one ( portfolio_item ) enter it here.', 'infinito-theme-options' ), 
					esc_html__( 'Do not forget to go to Settings > Permalinks, and hit save in order for the changes to take effect and work.', 'infinito-theme-options' )
				),
                'default'  => 'portfolio_item',
            ),			
			array(
                'id'       => 'slug_category',
                'type'     => 'text',
                'title'    => esc_html__( 'Slug for portfolio category', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/><strong>%s</strong>', 
					esc_html__( 'This slug is displayed in URL. If you want other slug than the actual one ( portfolio_category ) enter it here.', 'infinito-theme-options' ), 
					esc_html__( 'Do not forget to go to Settings > Permalinks, and hit save in order for the changes to take effect and work.', 'infinito-theme-options' )
				),
                'default'  => 'portfolio_category',
            ),
			array(
                'id'       => 'portfolio_content_display',
                'type'     => 'select',
				'options'  => array(
                    'above' => 'Above portfolio posts',
                    'bellow' => 'Bellow portfolio posts',
                ),
                'title'    => esc_html__( 'Where to display portfolio page content?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'If you add extra content to the portfolio page via wordpress editor or visual composer, select where you want to display it.', 'infinito-theme-options' ),
                'default'  => 'bellow',
            ),
			array(
                'id'       => 'portfolio_container',
                'type'     => 'button_set',
				'title'    => esc_html__( 'Page width', 'infinito-theme-options' ),
                'options'  => array(
                    'full-width' => 'full width',
                    'container' => 'boxed',
                ),
                'default'  => 'full-width',
                'desc'  => 'Choose width of portfolio page'
            ),			
			array(
                'id'       => 'portfolio_container_size',
				'required' => array(
					array('layout', '=', 'full'),
					array('portfolio_container', '=', 'container'), 
				),
                'type'     => 'text',
				'title'    => esc_html__( 'Grid width', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/>%s<strong>%s</strong>%s<br/>%s<strong>%s</strong>%s<br>%s', 
					esc_html__( 'Grid width is calculated like this:' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ), 
					esc_html__( 'over 1200', 'infinito-theme-options' ), 
					esc_html__( ' - ( for example 1210 ) that width will apply only from 1280px resolution and above. ( 1210 + 70 ) > ( 70 is required for content padding )', 'infinito-theme-options' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ),
					esc_html__( 'under 1200', 'infinito-theme-options' ),
					esc_html__( ' - that width will apply only from 1201px resolution and above. ( Under 1200 website falls under responsive breakpoints rules )', 'infinito-theme-options' ),
					esc_html__( 'Default grid width is 1090px.', 'infinito-theme-options' )
				),  
				'subtitle' => sprintf( '%s<br/>%s', 
					esc_html__( 'Enter grid width. Units are pixels I.e ( 1200px )', 'infinito-theme-options' ), 
					esc_html__( 'This field is optional - Enter any if you want it different than the main website grid with ( General > Grid Width ) ', 'infinito-theme-options' ) 
				),
            ),
            array(
                'id'       => 'portfolio_bg',
                'type'     => 'background',
				'output'   => '.is-portfolio-page #page-body,.is-portfolio-tax #page-body',
                'title'    => esc_html__( 'Page background', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add a background to your portfolio posts page', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'portfolio_padding',
                'type'     => 'spacing',
				'output'   => '.is-portfolio-page #page-body, .is-portfolio-tax #page-body',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Padding of portfolio posts page', 'infinito-theme-options' ),
				'default'            => array(
					'padding-left'     => '0', 
					'padding-right'     => '0',  
				),
            ),
            array(
                'id'       => 'portfolio_single-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Portfolio single page', 'infinito-theme-options' ).'</h3>',
            ),
			array(
                'id'       => 'portfolio_container_single_size',
				'required' => array('layout', '=', 'full'),
                'type'     => 'text',
				'title'    => esc_html__( 'Grid width', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/>%s<strong>%s</strong>%s<br/>%s<strong>%s</strong>%s<br>%s', 
					esc_html__( 'Grid width is calculated like this:' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ), 
					esc_html__( 'over 1200', 'infinito-theme-options' ), 
					esc_html__( ' - ( for example 1210 ) that width will apply only from 1280px resolution and above. ( 1210 + 70 ) > ( 70 is required for content padding )', 'infinito-theme-options' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ),
					esc_html__( 'under 1200', 'infinito-theme-options' ),
					esc_html__( ' - that width will apply only from 1201px resolution and above. ( Under 1200 website falls under responsive breakpoints rules )', 'infinito-theme-options' ),
					esc_html__( 'Default grid width is 1090px.', 'infinito-theme-options' )
				), 
				'subtitle' => sprintf( '%s<br/>%s', 
					esc_html__( 'Enter grid width. Units are pixels I.e ( 1200px )', 'infinito-theme-options' ), 
					esc_html__( 'This field is optional - Enter any if you want it different than the main website grid with ( General > Grid Width ) ', 'infinito-theme-options' ) 
				),				
            ),
			array(
                'id'       => 'portfolio_single_bg',
                'type'     => 'background',
				'output'   => '.is-portfolio-page-single  #page-body',
                'title'    => esc_html__( 'Background', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add a background to your portfolio single post page', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'portfolio_padding_single',
                'type'     => 'spacing',
				'output'   => '.is-portfolio-page-single #page-body',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Padding of portfolio single page', 'infinito-theme-options' ),
            ),		
        )
    ) );    
	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Options', 'infinito-theme-options' ),
        'id'               => 'portfolio-options',
		'icon'			   => 'el el-wrench',
		'subsection'	   => true,
        'fields'           => array(
            array(
                'id'       => 'per_page_portfolio',
                'type'     => 'text',
                'title'    => esc_html__( 'How many portfolio per page?', 'infinito-theme-options' ),
				'desc' => esc_html__( 'How many portfolio posts to be shown per page. Enter only numbers.', 'infinito-theme-options' ),
                'default'  => '8',
            ),                      
			array(
                'id'       => 'grid_portfolio',
                'type'     => 'select',
				'options'  => array(
                    '12' => '1',
                    '6' => '2',
                    '4' => '3',
                    '3' => '4',
                    '1/5' => '5',
                    '2' => '6',
                ),
                'title'    => esc_html__( 'How many portfolio per row?', 'infinito-theme-options' ),
                'default'  => '3',
				'desc' => esc_html__( 'How many portfolio posts to be shown per row. Enter only numbers.', 'infinito-theme-options' ),
            ),							
			array(
                'id'       => 'gap_portfolio',
                'type'     => 'text',
                'title'    => esc_html__( 'Add gap between portfolio items?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Units are pixels I.e 15px. Leave blank for no gap', 'infinito-theme-options' ),
                'default'  => '',
            ),
			array(
                'id'       => 'custom_img_size',
                'type'     => 'text',
                'title'    => esc_html__( 'Custom image size', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add your custom image size for portfolio posts I.e 800x600', 'infinito-theme-options' ),
                'default'  => '',
            ),			
			array(
                'id'       => 'order_portfolio',
                'type'     => 'select',
				'options'  => array(
                    'ASC' => 'Ascending',
                    'DESC' => 'Descending',
                ),
                'title'    => esc_html__( 'Order', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Selcect how to order portfolio', 'infinito-theme-options' ),
                'default'  => 'DESC',
            ),				
			array(
                'id'       => 'order_by_portfolio',
                'type'     => 'select',
				'options'  => array(
                    'date' => 'Date',
                    'ID' => 'Post ID',
                    'author' => 'Author',
                    'title' => 'Title',
                    'modified' => 'Last modified date',
                    'random' => 'Random order',
                ),
                'title'    => esc_html__( 'Order by', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Selcect order by portfolio', 'infinito-theme-options' ),				
                'default'  => 'date',
            ),
			array(
                'id'       => 'dot_portfolio',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Show dot?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'If checked it will show a theme color dot at the end of portfolio title.', 'infinito-theme-options' ),
                'default'  => '',
            ),
			array(
                'id'       => 'show_filter',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Show filter', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'It will display a filter on portfolio page, above all posts, where you can sort portfolio posts by category. - Filter buttons are generated from portfolio categories. If show filter is enabled , portfolio animations ( Appearance  > Theme options > Portfolio > Animations ) are not supported or displayed on portfolio page.','infinito-theme-options' ),
                'default'  => '0',
            ),
			array(
                'id'       => 'filter_padding',
				'required' => array('show_filter', '=' , 1),
                'type'     => 'spacing',
				'output'   => 'ul.iso-filters.button-group',	
                'mode'     => 'padding',
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Padding of filter', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add padding to portfolio filter', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'portfolio_details',
                'type'     => '',
                 'title'    => '<h3>'.esc_html__( 'Portfolio details', 'infinito-theme-options' ).'</h3>',
				'subtitle'    => esc_html__( 'Change portfolio details name and icon. This is will appear on every single portfolio page in frontend ( on every single portfolio ) and backend ( Portfolio > Add New / Edit > Portfolio Options > Details ). I.e : Client, type, started, finished and difficulty', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'portfolio_d1',
                'type'     => 'text',
                'title'    => esc_html__( 'Portfolio details 1', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change text for portfolio detail 1: Default - Client', 'infinito-theme-options' ),
                'default'  => 'Client',
            ),
            array(
                'id'       => 'portfolio_d1_icon',
                'type'     => 'select',
				'options'  => wow_redux_icons('all'),
				'data'     => 'wow-icons',
                'title'    => esc_html__( 'Icon for portfolio details 1', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose icon for portfolio details 1', 'infinito-theme-options' ),
				'default' => 'pe-7f-ribbon',
            ),
			array(
                'id'       => 'portfolio_d2',
                'type'     => 'text',
                'title'    => esc_html__( 'Portfolio details 2', 'infinito-theme-options' ),
                'default'  => 'Started',
				'desc'    => esc_html__( 'Change text for portfolio detail 2: Default - Started', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'portfolio_d2_icon',
                'type'     => 'select',
				'options'  => wow_redux_icons('all'),
				'data'     => 'wow-icons',
                'title'    => esc_html__( 'Icon for portfolio details 2', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose icon for portfolio details 2', 'infinito-theme-options' ),
				'default' => 'pe-7f-tools',
            ),		
			array(
                'id'       => 'portfolio_d3',
                'type'     => 'text',
                'title'    => esc_html__( 'Portfolio details 3', 'infinito-theme-options' ),
                'default'  => 'Finished',
				'desc'    => esc_html__( 'Change text for portfolio detail 3: Default - Finished', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'portfolio_d3_icon',
                'type'     => 'select',
				'options'  => wow_redux_icons('all'),
				'data'     => 'wow-icons',
                'title'    => esc_html__( 'Icon for portfolio details 3', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose icon for portfolio details 3', 'infinito-theme-options' ),
				'default' => 'pe-7f-monitor',
            ),		
			array(
                'id'       => 'portfolio_d4',
                'type'     => 'text',
                'title'    => esc_html__( 'Portfolio details 4', 'infinito-theme-options' ),
                'default'  => 'Type',
				'desc'    => esc_html__( 'Change text for portfolio detail 4: Default - Type', 'infinito-theme-options' ),
				
            ),
            array(
                'id'       => 'portfolio_d4_icon',
                'type'     => 'select',
				'options'  => wow_redux_icons('all'),
				'data'     => 'wow-icons',
                'title'    => esc_html__( 'Icon for portfolio details 4', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose icon for portfolio details 4', 'infinito-theme-options' ),
				'default' => 'pe-7f-browser',
            ),		
			array(
                'id'       => 'portfolio_d5',
                'type'     => 'text',
                'title'    => esc_html__( 'Portfolio details 5', 'infinito-theme-options' ),
                'default'  => 'Difficulty',
				'desc'    => esc_html__( 'Change text for portfolio detail 4: Default - Difficulty', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'portfolio_d5_icon',
                'type'     => 'select',
				'options'  => wow_redux_icons('all'),
				'data'     => 'wow-icons',
                'title'    => esc_html__( 'Icon for portfolio details 5', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose icon for portfolio details 5', 'infinito-theme-options' ),
				'default' => 'pe-7f-light',
            ),					
        )
    ) );	
	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Template', 'infinito-theme-options' ),
        'id'               => 'portfolio-layout',
		'icon'			   => 'el el-lines',
		'subsection'	   => true,
        'fields'           => array(	
			array(
                'id'       => 'portfolio-style',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Portfolio list template', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Select your desired portfolio list template. To see it in action create a page, and use the portfolio template.', 'infinito-theme-options' ),
                'options'  => array(
                    'style1' => array( 'title' => 'Template 1', 'img' => WOW_THM_OPT_IMG.'/portfolio/style1.png' ),
                    'style2' => array( 'title' => 'Template 2', 'img' => WOW_THM_OPT_IMG.'/portfolio/style2.png' ),
                    'style3' => array( 'title' => 'Template 3', 'img' => WOW_THM_OPT_IMG.'/portfolio/style3.png' ),
                    'style4' => array( 'title' => 'Template 4', 'img' => WOW_THM_OPT_IMG.'/portfolio/style4.png' ),
                    ),
                'default'  => 'style1'
            ),
			array(
                'id'       => 'style4_hover',
                'type'     => 'select',
				'required' => array( 'portfolio-style', '=', 'style4' ),
                'title'    => esc_html__( 'Select hover effect', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Choose hover effect for template 4', 'infinito-theme-options' ),
                'options'  => array(
                    'lily' => 'Lily',
                    'sadie' => 'Sadie',
                    'honey' => 'Honey',
                    'oscar' => 'Oscar',
                    'marley' => 'Marley',
                    'roxy' => 'Roxy',
                    'bubba' => 'Bubba',
                    'romeo' => 'Romeo',
                    'dexter' => 'Dexter',
                    'sarah' => 'Sarah',
                    'chico' => 'Chico',
                    'milo' => 'Milo',
                    'julia' => 'Julia',
                    'selena' => 'Selena',
                    'phoebe' => 'Phoebe',
                    'apollo' => 'Apollo',
                    'kira' => 'Kira',
                    'steve' => 'Steve',
                    'moses' => 'Moses',
                    'jazz' => 'Jazz',
                    'ming' => 'Ming',
                    'lexi' => 'Lexi',
                    'duke' => 'Duke',
                    ),
                'default'  => 'lily'
            ),				
			array(
                'id'       => 'portfolio_single_style',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Portfolio single page template', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Select your desired single portfolio template. This option can be overriden for each portfolio post, in portfolio posts page.', 'infinito-theme-options' ),
                'options'  => array(
                    'style1' => array( 'title' => 'Template 1', 'img' => WOW_THM_OPT_IMG.'/portfolio/single/style1.png' ),
                    'style2' => array( 'title' => 'Template 2', 'img' => WOW_THM_OPT_IMG.'/portfolio/single/style2.png' ),
                    'style3' => array( 'title' => 'Template 3', 'img' => WOW_THM_OPT_IMG.'/portfolio/single/style3.png' ),
                    'style4' => array( 'title' => 'Template 4', 'img' => WOW_THM_OPT_IMG.'/portfolio/single/style4.png' ),
                    ),
                'default'  => 'style1'
            ),				
        )
    ) );	

	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Styling', 'infinito-theme-options' ),
        'id'               => 'portfolio-styling',
		'icon'			   => 'wow-texteditor-color-bucket',
		'subsection'	   => true,
        'fields'           => array(		          
            array(
                'id'       => 'portfolio-styling-desc',
                'type'     => '',
                'title'    => '<p>'.esc_html__( 'Choose sub-options that you want to customize from the menu on the left', 'infinito-theme-options' ).'</p>',
            ),				
        )
    ) );
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Posts', 'infinito-theme-options' ),
        'id'               => 'portfolio-styling-grid',
		'icon'			   => 'el el-tint',
		'subsection'	   => true,
        'fields'           => array(
			array(
                'id'       => 'title_color_portfolio',
				'output' => array('.portfolio.style1 .portfolio_left h3, .portfolio.style2 .portfolio_left h3, .portfolio.style3 .portfolio_details h3,.portfolio.style4 h2'),
                'type'     => 'color',
                'title'    => esc_html__( 'Title color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose title color', 'infinito-theme-options' ),
				'transparent' => false,
            ),			
			array(
                'id'       => 'title_hover_color_portfolio',
				'required' => array( 'portfolio-style','=','style4'),
				'output' => array('.portfolio.style4 .portfolio_container:hover h2'),
                'type'     => 'color',
                'title'    => esc_html__( 'Title hover color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose hover title color', 'infinito-theme-options' ),
				'transparent' => false,
            ),
			array(
                'id'       => 'category_color_portfolio',
				'output' => array('.portfolio.style1 .portfolio_left p, .portfolio.style2 .portfolio_left p, .portfolio.style3 .portfolio_bottom small,.portfolio.style4 .grid figcaption p.second'),
                'type'     => 'color',
                'title'    => esc_html__( 'Category color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose category color', 'infinito-theme-options' ),
				'transparent' => false,
            ),			
			array(
                'id'       => 'category_bg_color_portfolio',
				'required' => array( 'portfolio-style','=','style4'),
                'type'     => 'color',
                'title'    => esc_html__( 'Category background color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose category background color', 'infinito-theme-options' ),
				'transparent' => false,
            ),
			array(
                'id'       => 'color_text_portfolio',
				'required' => array( 'portfolio-style','=','style4'),
                'type'     => 'color',
                'output'     => '.portfolio.style4 .portfolio_container .grid p:not(.second)',
                'title'    => esc_html__( 'Text color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose text color', 'infinito-theme-options' ),
				'transparent' => false,
            ),				
			array(
                'id'       => 'overlay_color_text_portfolio',
                'type'     => 'color',
                'output'     => '.style1 .portfolio_container:hover .portfolio_right i, .style1 .portfolio_container:hover .portfolio_left p , .style1 .portfolio_container:hover .portfolio_details h3 , .style2 .portfolio_container:hover .portfolio_right p, .style2 .portfolio_container:hover .portfolio_right small , .portfolio.style2 .image_wrapper_hover .icon_holder i , .style2 .portfolio_container h2 , .portfolio.style3 .image_wrapper_hover i, .portfolio.style4 .portfolio_container:hover p:not(.second)',
                'title'    => esc_html__( 'Overlay text color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose overlay text color', 'infinito-theme-options' ),
				'transparent' => false,
            ),
			array(
                'id'       => 'date_bg_portfolio',
				'required' =>array('portfolio-style', '=', 'style2'),
                'type'     => 'background',
				'background-attachment'   => 'false',
				'output'   => '.portfolio.style2 .portfolio_right',
				'transparent'   => false,
                'title'    => esc_html__( 'Date background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose date background', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'date_color',
                'type'     => 'color',
				'required' =>array('portfolio-style', '=', 'style2'),
                'output'     => '.portfolio.style2 .portfolio_right p',
                'title'    => esc_html__( 'Date color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose date color', 'infinito-theme-options' ),
				'transparent' => false,
            ),			
			array(
                'id'       => 'month_color',
                'type'     => 'color',
				'required' =>array('portfolio-style', '=', 'style2'),
                'output'     => '.portfolio.style2 .portfolio_right small',
                'title'    => esc_html__( 'Month color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose month color', 'infinito-theme-options' ),
				'transparent' => false,
            ),
			array(
                'id'       => 'overlay_regular_color_portfolio',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Regular background', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Regular background of portfolio post', 'infinito-theme-options' ),
				'required' =>array('portfolio-style', '=', 'style4'),
				'transparent' => false,
				'default' => '',
            ),				
			array(
                'id'       => 'regular_bg_portfolio',
				'required' => array( 'portfolio-style','=',array( 'style1' , 'style2') ),
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Background', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Background of portfolio post', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'overlay_color_portfolio',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Overlay background', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Overlay background of portfolio post', 'infinito-theme-options' ),
            ),					
			array(
                'id'       => 'title_bg_color',
				'required' => array( 'portfolio-style','=',array( 'style3' ) ),
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Title background color', 'infinito-theme-options' ),
            ),				
			array(
                'id'       => 'category_bg_color',
				'required' => array( 'portfolio-style','=',array( 'style3' ) ),
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Category background color', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'plus_sign',
				'required' => array( 'portfolio-style','=',array( 'style3' ) ),
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Plus sign color', 'infinito-theme-options' ),
            ),							
			array(
                'id'       => 'plus_sign_bg',
				'required' => array( 'portfolio-style','=',array( 'style3' ) ),
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Plus sign background color', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'portfolio_bottom_line',
                'type'     => 'checkbox',
				'required' => array( 'portfolio-style','=',array( 'style3' ) ),
                'title'    => esc_html__( 'Hide line?', 'infinito-theme-options' ),
                'desc'    => esc_html__( '*Note: this will have plus sign background color', 'infinito-theme-options' ),
                'default'  => '0',
            ),			
			array(
                'id'       => 'margin_title_portfolio',
                'type'     => 'spacing',
                'output'   => array('.portfolio.style1 h3,.portfolio.style2 h3'),
				'required' => array( 
					array('portfolio-style','!=','style3'), 
					array('portfolio-style','!=','style4') 
				),
                'mode'     => 'margin',
				'all'      => false,
				'units' => array('px','em','%'),
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
                'title'    => esc_html__( 'Title margin', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add title margin', 'infinito-theme-options' ),
            ),				
			array(
                'id'       => 'margin_category_portfolio',
                'type'     => 'spacing',
                'output'   => array('.portfolio.style1 .portfolio_left p,.portfolio.style2 .portfolio_left p'),
				'required' => array( 
					array('portfolio-style','!=','style3'), 
					array('portfolio-style','!=','style4') 
				),
                'mode'     => 'margin',
				'all'      => false,
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Category margin', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add category margin', 'infinito-theme-options' ),
            ),
			array(
				'id'        => 'img_op_portfolio',
				'type'      => 'slider',
				'title'     => __('Image opacity', 'infinito-theme-options'),
				'desc'  => __('This is the image opacity on regular state.', 'infinito-theme-options'),
				'required' =>array('portfolio-style', '=', 'style4'),
				"min"       => 0,
				"step"      => .01,
				"max"       => 1,
				'resolution' => .01,			
				'default' => .7,
			),			
			array(
				'id'        => 'img_op_hover_portfolio',
				'type'      => 'slider',
				'title'     => __('Hover image opacity', 'infinito-theme-options'),
				'desc'  => __('This is the hover image opacity.', 'infinito-theme-options'),
				'required' =>array('portfolio-style', '=', 'style4'),
				"min"       => 0,
				"step"      => .01,
				"max"       => 1,
				'resolution' => .01,			
				'default' => .5,
			),
			/* 
			icons type
			---------------------------------------------------------------------------------------------------------
			abstract // animal // brand // business // chart // construction // currency // device // directional //
			education // emoticon // filetype // food // kidstoys // law // mathematical // medical // mobileui //
			multimedia // payment // person // search // social // sport // texteditor // transport // travel //
			weather // webapplication // pe-7f // pe-7s // all
			*/
            array(
                'id'       => 'portfolio_overlay_icon',
                'type'     => 'select',
				'options'  => wow_redux_icons('all'),
				'data'     => 'wow-icons',
                'title'    => esc_html__( 'Overlay icon', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This is the icon that appears when you hover your mouse over a portfolio item', 'infinito-theme-options' ),
				'default' => '',
            ),            
			array(
                'id'       => 'portfolio_icon',
                'type'     => 'select',
				'required' => array( 'portfolio-style', '=', 'style1' ),
				'options'  => wow_redux_icons('all'),
				'data'     => 'wow-icons',
                'title'    => esc_html__( 'Portfolio right icon', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This is the icon that appears on the right of portfolio text ( for style 1 only )', 'infinito-theme-options' ),
				'default' => '',
            ),
		),			
		
    ) );	
	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Single template 1', 'infinito-theme-options' ),
        'id'               => 'portfolio-single-styling1',
		'icon'			   => 'el el-tint',
		'subsection'	   => true,
        'fields'           => array(			
            array(
                'id'       => 'portfolio_single_overlay_bg_l1',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Overlay background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change overlay background. This is the big color covering the picture', 'infinito-theme-options' ),
            ),           
			array(
                'id'       => 'portfolio_single_title_color_l1',
                'type'     => 'color',
                'output'     => '.portfolio-single.style1 .bottom h1',
                'title'    => esc_html__( 'Title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change title color', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_button_color_l1',
                'type'     => 'color',
                'output'     => '.portfolio-single.style1 .bottom button',
                'title'    => esc_html__( 'Button text color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the live demo button above title', 'infinito-theme-options' ),
                'transparent' => false,
            ),				
			array(
                'id'       => 'portfolio_single_button_bg_color_l1',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Button background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the live demo button above title', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_button_hover_color_l1',
                'type'     => 'color',
                'output'     => '.portfolio-single.style1 .bottom button:hover',
                'title'    => esc_html__( 'Button text hover color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the live demo button above title', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_button_bg_hover_color_l1',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Button hover background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the live demo button above title', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_details_small_title_color_l1',
                'type'     => 'color',
                'output'     => '.portfolio-single.style1 .details span.small',
                'title'    => esc_html__( 'Details small title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of the small details text (i.e category, client, date)', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_details_big_title_color_l1',
                'type'     => 'color',
                'output'     => '.portfolio-single.style1 .details span.big',
                'title'    => esc_html__( 'Details big title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of the big details text (i.e Awesomeness, Amazing Inc, 17 Jun 2017 etc)', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_icon_color_l1',
                'type'     => 'color',
                'output'     => '.portfolio-single.style1 .details i',
                'title'    => esc_html__( 'Icon color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the icon color', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_sep_color_l1',
                'type'     => 'color_rgba',
                'output'     => '',
                'title'    => esc_html__( 'Separators color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of separators', 'infinito-theme-options' ),
                'transparent' => false,
            ),
		),			
		
    ) );	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Single template 2', 'infinito-theme-options' ),
        'id'               => 'portfolio-single-styling2',
		'icon'			   => 'el el-tint',
		'subsection'	   => true,
        'fields'           => array(
			array(
                'id'       => 'portfolio_single_title_color_l2',
                'type'     => 'color',
                'output'     => '.portfolio-single.style2 .bottom h1',
                'title'    => esc_html__( 'Title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change title color', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_title_bg_color_l2',
                'type'     => 'color_rgba',
                'output'     => '',
                'title'    => esc_html__( 'Title background color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change title background color', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'portfolio_single_small_cat_above_title_color_l2',
                'type'     => 'color',
                'output'     => '.portfolio-single.style2 .category span',
                'title'    => esc_html__( 'Small category color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This are the categories displayed above title', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_small_cat_above_title_bg_color_l2',
                'type'     => 'color_rgba',
                'output'     => '',
                'title'    => esc_html__( 'Small category background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This are the categories displayed above title', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'portfolio_single_button_color_l2',
                'type'     => 'color',
                'output'     => '.portfolio-single.style2 .bottom .wow_btn_container .button div.icon.fancy span i,.portfolio-single.style2 .bottom .wow_btn_container .button.fancy .text,.portfolio-single.style2 .bottom .wow_btn_container .button.fancy .text2',
                'title'    => esc_html__( 'Button text color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the live demo button bellow title', 'infinito-theme-options' ),
                'transparent' => false,
            ),				
			array(
                'id'       => 'portfolio_single_button_bg_color_l2',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Button background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the live demo button bellow title', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_button_hover_color_l2',
                'type'     => 'color',
                'output'     => '.portfolio-single.style2 .bottom .wow_btn_container .button:hover div.icon.fancy span i,.portfolio-single.style2 .bottom .wow_btn_container .button:hover.fancy .text,.portfolio-single.style2 .bottom .wow_btn_container .button:hover.fancy .text2',
                'title'    => esc_html__( 'Button text hover color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the live demo button bellow title', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_button_bg_hover_color_l2',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Button hover background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the live demo button bellow title', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_details_small_title_color_l2',
                'type'     => 'color',
                'output'     => '.portfolio-single.style2 .rounded-inner span.small',
                'title'    => esc_html__( 'Details small title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of the small details text (i.e category, client, date)', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_details_big_title_color_l2',
                'type'     => 'color',
                'output'     => '.portfolio-single.style2 .rounded-inner span.big,.portfolio-single.style2 .rounded-inner span.big a',
                'title'    => esc_html__( 'Details big title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of the big details text (i.e Awesomeness, Amazing Inc, 17 Jun 2017 etc)', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_icon_color_l2',
                'type'     => 'color',
                'output'     => '.portfolio-single.style2 .rounded-inner i:first-child',
                'title'    => esc_html__( 'Icon color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the icon color', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_icon_hover_color_l2',
                'type'     => 'color',
                'output'     => '.portfolio-single.style2 .rounded-inner i:nth-child(2)',
                'title'    => esc_html__( 'Icon hover color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the icon hover color', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_rounded_bg_color_l2',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Squares background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This are the squares of details holders', 'infinito-theme-options' ),
                'transparent' => false,
            ),
		),			
		
    ) );	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Single template 3', 'infinito-theme-options' ),
        'id'               => 'portfolio-single-styling3',
		'icon'			   => 'el el-tint',
		'subsection'	   => true,
        'fields'           => array(		
            array(
                'id'       => 'portfolio_single_overlay_bg_l3',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Overlay background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change overlay background. This is the big color covering the picture ', 'infinito-theme-options' ),
            ),           
			array(
                'id'       => 'portfolio_single_title_color_l3',
                'type'     => 'color',
                'output'     => '.portfolio-single.style3 .title-holder h2, .portfolio-single.style3 .title-holder h1',
                'title'    => esc_html__( 'Title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change title color', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_sec_title_color_l3',
                'type'     => 'color',
                'output'     => '.portfolio-single.style3 .title-holder h1 span',
                'title'    => esc_html__( 'Secondary title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the secondary color of title', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_cat_above_title_color_l3',
                'type'     => 'color',
                'output'     => '.portfolio-single.style3 .category span',
                'title'    => esc_html__( 'Category color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This are the categories displayed above title', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_cat_above_title_bg_color_l3',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Category background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This are the categories displayed above title', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_details_small_title_color_l3',
                'type'     => 'color',
                'output'     => '.portfolio-single.style3 .details,.portfolio-single.style3 .details a div',
                'title'    => esc_html__( 'Details small title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of the small details text (i.e category, client, date)', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_details_big_title_color_l3',
                'type'     => 'color',
                'output'     => '.portfolio-single.style3 .details span',
                'title'    => esc_html__( 'Details big title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of the big details text (i.e Awesomeness, Amazing Inc, 17 Jun 2017 etc)', 'infinito-theme-options' ),
                'transparent' => false,
            ),				
			array(
                'id'       => 'portfolio_single_details_big_title_bg_color_l3',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Details big title background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the background color of the big details text (i.e Awesomeness, Amazing Inc, 17 Jun 2017 etc)', 'infinito-theme-options' ),
                'transparent' => false,
            ),				
			array(
                'id'       => 'portfolio_single_details_big_title_hover_color_l3',
                'type'     => 'color',
                'output'     => '.portfolio-single.style3 .details div:hover span',
                'title'    => esc_html__( 'Details big title hover color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the hover color of the big details text (i.e Awesomeness, Amazing Inc, 17 Jun 2017 etc)', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_details_big_title_bg_hover_color_l3',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Details big title hover background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the background hover color of the big details text (i.e Awesomeness, Amazing Inc, 17 Jun 2017 etc)', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_sep_color_l3',
                'type'     => 'color_rgba',
                'output'     => '',
                'title'    => esc_html__( 'Separators color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of separators', 'infinito-theme-options' ),
                'transparent' => false,
            ),
		),			
		
    ) );

	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Single template 4', 'infinito-theme-options' ),
        'id'               => 'portfolio-single-styling4',
		'icon'			   => 'el el-tint',
		'subsection'	   => true,
        'fields'           => array(          
			array(
                'id'       => 'portfolio_single_title_color_l4',
                'type'     => 'color',
                'output'     => '.portfolio-single.style4 h1',
                'title'    => esc_html__( 'Title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change title color', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_category_color_l4',
                'type'     => 'color',
                'output'     => '.portfolio-single.style4 .title-holder p',
                'title'    => esc_html__( 'Category color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change category color', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_button_color_l4',
                'type'     => 'color',
                'output'     => '.portfolio-single.style4 button.live_demo',
                'title'    => esc_html__( 'Button text color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change live demo button color', 'infinito-theme-options' ),
                'transparent' => false,
            ),				
			array(
                'id'       => 'portfolio_single_button_bg_color_l4',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Button background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change live demo button background', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_button_hover_color_l4',
                'type'     => 'color',
                'output'     => '.portfolio-single.style4 button.live_demo:hover',
                'title'    => esc_html__( 'Button text hover color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change live demo hover button color', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'portfolio_single_button_bg_hover_color_l4',
                'type'     => 'color',
                'output'     => '',
                'title'    => esc_html__( 'Button hover background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change live demo hover button background', 'infinito-theme-options' ),
                'transparent' => false,
            ),
			array(
                'id'       => 'details-background_l4',
                'type'     => 'background',
				'background-attachment'   => 'false',
				'output'   => '.portfolio-single.style4 .details-holder',
				'transparent'   => true,
                'title'    => esc_html__( 'Details background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change the background of details on the right side.', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'portfolio_single_details_small_title_color_l4',
                'type'     => 'color',
                'output'     => '.portfolio-single.style4 .details span.small',
                'title'    => esc_html__( 'Details small title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of the small details text (i.e category, client, date)', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_details_big_title_color_l4',
                'type'     => 'color',
                'output'     => '.portfolio-single.style4 .details span.big span',
                'title'    => esc_html__( 'Details big title color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of the big details text (i.e Awesomeness, Amazing Inc, 17 Jun 2017 etc)', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_icon_color_l4',
                'type'     => 'color',
                'output'     => '.portfolio-single.style4 .details i',
                'title'    => esc_html__( 'Icon color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the icon color', 'infinito-theme-options' ),
                'transparent' => false,
            ),			
			array(
                'id'       => 'portfolio_single_sep_color_l4',
                'type'     => 'color_rgba',
                'output'     => '',
                'title'    => esc_html__( 'Separators color', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This is the color of separators', 'infinito-theme-options' ),
                'transparent' => false,
            ),		
		),	
    ) );

	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Typography', 'infinito-theme-options' ),
        'id'               => 'portfolio-typography',
		'icon'			   => 'wow-texteditor-small-cap',
		'subsection'	   => true,
        'fields'           => array(
            array(
                'id'       => 'portfolio-typography',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Portfolio typography', 'infinito-theme-options' ).'</h3>',
            ),
			array(
                'id'       => 'portfolio_heading_typography',
                'type'     => 'typography',
				'output'   => '.portfolio.style1 .portfolio_left h3,.portfolio.style2 .portfolio_left h3,.portfolio.style3 .portfolio_details h3, .portfolio.style4 h2',
                'title'    => esc_html__( 'Title font', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography for title', 'infinito-theme-options' ),
				'text-transform' => true,
				'text-align' => false,
				'color' => false,
				'letter-spacing' => true,
            ),							
			array(
                'id'       => 'portfolio_category_typography',
				'required' => array( 'portfolio-style', '!=',  'style4' ),
                'type'     => 'typography',
				'output'   => '.portfolio.style1 .portfolio_left p, .portfolio.style2 .portfolio_left p, .portfolio.style3 .portfolio_bottom small',
                'title'    => esc_html__( 'Category', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography for category', 'infinito-theme-options' ),
				'text-transform' => true,
				'text-align' => false,
				'color' => false,
				'letter-spacing' => true,
            ),
            array(
                'id'       => 'portfolio-single-typography',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Portfolio single typography', 'infinito-theme-options' ).'</h3>',
            ),
			array(
                'id'       => 'portfolio_single_heading_typography',
                'type'     => 'typography',
				'output'   => '.portfolio-single.style1 .bottom h1,.portfolio-single.style2 .bottom h1,.portfolio-single.style4 h1',
                'title'    => esc_html__( 'Title font', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography for title. <strong>Note: For single layout 3 font size and line height won\'t work</strong>', 'infinito-theme-options' ),
				'text-transform' => true,
				'text-align' => false,
				'color' => false,
				'subsets' => false,
				'letter-spacing' => true,
            ),			
			array(
                'id'       => 'portfolio_single_details_typography',
                'type'     => 'typography',
				'output'   => '.portfolio-single.style1 .bottom button,.portfolio-single.style1 .details .info span, .portfolio-single.style2 .category span,.portfolio-single.style2 .rounded-inner span,.portfolio-single.style3 .category span,.portfolio-single.style3 .details div,.portfolio-single.style4 .details .info,.portfolio-single.style4 .title-holder p',
                'title'    => esc_html__( 'Other details font', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This font applies to all of the details on portfolio single, such as buttons, category, date etc.', 'infinito-theme-options' ),
				'text-transform' => true,
				'text-align' => false,
				'color' => false,
				'subsets' => false,
				'font-size' => false,
				'line-height' => false,	
				'letter-spacing' => true,
            ),				
        )
    ) );
	
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Animations', 'infinito-theme-options' ),
        'id'               => 'portfolio-animations',
		'icon'			   => 'el el-film',
		'subsection'	   => true,
        'fields'           => array(
            array(
                'id'       => 'portfolio_animation-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Portfolio Animations', 'infinito-theme-options' ).'</h3>',
                'subtitle'    => esc_html__( 'If show filter is enabled ( Appearance  > Theme options > Portfolio > Options > Show filter ), animations are not supported or displayed on portfolio page.', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'animate_portfolio',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Enable portfolio animations?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This will enable portfolio posts animations', 'infinito-theme-options' ),
                'default'  => '0',
            ),
			array(
                'id'       => 'portfolio_animation',
				'required' => array( 
					array('animate_portfolio', '=', '1' ),
				),
                'type'     => 'select',
                'title'    => esc_html__( 'Select animation', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Select animation for portfolio items', 'infinito-theme-options' ),
                'options'  => wow_theme_options_anim('in'),
                'default'  => 'fadeIn',
            ),
            array(
                'id'       => 'portfolio_animation_duration',
				'required' => array( 
					array('animate_portfolio', '=', '1' ),
				),				
                'type'     => 'slider',
                'title'    => esc_html__( 'Animation Duration', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Units are in seconds', 'infinito-theme-options' ),
				"min"       => .1,
				"step"      => .1,
				"max"       => 5,
				'resolution' => .1,
				"default" => .3
            ),            
			array(
                'id'       => 'portfolio_animation_delay',
				'required' => array( 
					array('animate_portfolio', '=', '1' ),
				),				
                'type'     => 'slider',
                'title'    => esc_html__( 'Animation Delay', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Units are in seconds ', 'infinito-theme-options' ),
				"min"       => .1,
				"step"      => .1,
				"max"       => 5,
				'resolution' => .1,
				"default" => .3
            ),    
			array(
                'id'       => 'portfolio_animation-single-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Portfolio Animations Single', 'infinito-theme-options' ).'</h3>',
                'desc'    => esc_html__( 'This will animate portfolio details such as title, button and so on.', 'infinito-theme-options' ),
            ),
						array(
                'id'       => 'animate_portfolio_single',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Enable portfolio single animations?', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'This will enable portfolio single posts animations', 'infinito-theme-options' ),
                'default'  => '0',
            ),  
			array(
                'id'       => 'portfolio_animation_single',
				'required' => array( 
					array('animate_portfolio_single', '=', '1' ),
				),
                'type'     => 'select',
                'title'    => esc_html__( 'Select animation', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Select animation for portfolio single items', 'infinito-theme-options' ),
                'options'  => wow_theme_options_anim('in'),
                'default'  => 'fadeIn',
            ),
            array(
                'id'       => 'portfolio_animation_duration_single',
				'required' => array( 
					array('animate_portfolio_single', '=', '1' ),
				),				
                'type'     => 'slider',
                'title'    => esc_html__( 'Animation Duration', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Units are in seconds', 'infinito-theme-options' ),
				"min"       => .1,
				"step"      => .1,
				"max"       => 5,
				'resolution' => .1,
				"default" => .3
            ),            
			array(
                'id'       => 'portfolio_animation_delay_single',
				'required' => array( 
					array('animate_portfolio_single', '=', '1' ),
				),				
                'type'     => 'slider',
                'title'    => esc_html__( 'Animation Delay', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Units are in seconds', 'infinito-theme-options' ),
				"min"       => .1,
				"step"      => .1,
				"max"       => 5,
				'resolution' => .1,
				"default" => .3
            ),			
        )
    ) );

	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Portfolio Related', 'infinito-theme-options' ),
        'id'               => 'portfolio-related',
		'icon'			   => 'wow-texteditor-copy-alt',
		'subsection'	   => true,
		'desc' => esc_html__( 'Portfolio related is displayed bellow single portfolio post page.', 'infinito-theme-options' ),
        'fields'           => array(
            array(
                'id'       => 'portfolio-show-related',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Display related portfolio posts?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'If checked it will display related portfolio posts under the single portfolio post', 'infinito-theme-options' ),
                'default'  => '1',
            ),		
			array(
				'id'       => 'portfolio-related-width',
				'type'     => 'button_set',
				'title'    => esc_html__( 'Portfolio related width', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose portfolio related grid width', 'infinito-theme-options' ),
				'options'  => array(
					'full-width' => 'full width',
					'container' => 'boxed',
				),
				'default'  => 'full-width'
			),
 			array(
                'id'       => 'per_page_portfolio_related',
                'type'     => 'text',
                'title'    => esc_html__( 'How many portfolio per page on related?', 'infinito-theme-options' ),
				'desc' => esc_html__( 'This is the maximum number of portfolio posts that are displayed bellow single portfolio post page. Enter only numbers.', 'infinito-theme-options' ),
                'default'  => '4',
            ),
 			array(
                'id'       => 'per_row_portfolio_related',
                'type'     => 'select',
                'options'  => array(
                    '12' => '1',
                    '6' => '2',
                    '4' => '3',
                    '3' => '4',
                    '20' => '5',
                    '2' => '6',
                ),
				'title'    => esc_html__( 'How many portfolio per row on related?', 'infinito-theme-options' ),
				'desc' => esc_html__( 'This is the number of per row portfolio posts that are displayed bellow single portfolio post page.', 'infinito-theme-options' ),
                'default'  => '4',
            ),    				
			array(
                'id'       => 'portfolio-related-text',
                'type'     => 'text',
                'title'    => esc_html__( 'Related text', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Enter heading text to be displayed on related portfolio posts. This text is displayed bellow the single portfolio content.', 'infinito-theme-options' ),
                'default'  => '',
            ),   
        )
    ) );

	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Responsive', 'infinito-theme-options' ),
        //'desc'            => esc_html__( 'Customize how many portfolio posts per row to be shown on different devices', 'infinito-theme-options' ),
        'id'               => 'portfolio-responsive',
		'icon'     => 'wow-device-windows-lumia',
		'subsection'	   => true,
        'fields'           => array(           
			array(
                'id'       => 'grid_480_p',
                'class'       => 'grid_480_p',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '480px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many portfolio items per row to be displayed up to 480px?', 'infinito-theme-options' ),
                'default'  => '',
            ),			
			array(
                'id'       => 'grid_768_p',
                'class'       => 'grid_768_p',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '768px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many portfolio items per row to be displayed up to 768px?', 'infinito-theme-options' ),
                'default'  => '',
            ),			
			array(
                'id'       => 'grid_992_p',
                'class'       => 'grid_992_p',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '992px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many portfolio items per row to be displayed up to 992px?', 'infinito-theme-options' ),
                'default'  => '',
            ),	
			array(
                'id'       => 'grid_1200_p',
                'class'       => 'grid_1200_p',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '1200px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many portfolio items per row to be displayed up to 1200px?', 'infinito-theme-options' ),
                'default'  => '',
            ),
			array(
                'id'       => 'grid_1600_p',
                'class'       => 'grid_1600_p',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '1600px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many portfolio items per row to be displayed up to 1600px?', 'infinito-theme-options' ),
                'default'  => '',
            ),
        )
    ) );
	
    // -> START Typography Selection
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Typography', 'infinito-theme-options' ),
        'id'    => 'typography',
        'icon'  => 'wow-texteditor-small-cap'
    ) );	

    // -> START Typography
    Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Main', 'infinito-theme-options' ),
        'id'     => 'typography-main',
        'icon'   => 'wow-texteditor-small-cap',
		'subsection' => true,
        'fields' => array(
               array(
                'id'       => 'bhtypography',
                'type'     => 'typography',
				'output'   => 'h1, h2, h3, h4, h5, h6',
                'title'    => esc_html__( 'Headings font family', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change the font family for headings', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => false,
				'font-weight' => false,
				'font-style' => false,
				'subsets' => false,
				'font-size' => false,
				'line-height' => false,
				'text-align' => false,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'default'     => array(
					'font-family' => 'Poppins', 
				),
				'letter-spacing' => true,
            ),		
            array(
                'id'       => 'ptypography',
                'type'     => 'typography',
				'output'   => 'body',
                'title'    => esc_html__( 'Body font family', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change the body font family', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => false,
				'font-weight' => false,
				'font-style' => false,
				'subsets' => false,
				'font-size' => false,
				'line-height' => false,
				'text-align' => false,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'default'     => array(
					'font-family' => 'Roboto', 
				),
				'letter-spacing' => true,
            ),	
			array(
                'id'       => 'ctypography',
                'type'     => 'typography',
				'output'   => '',
                'title'    => esc_html__( 'Theme main font', 'infinito-theme-options' ),
                'desc' => esc_html__( 'When you change this font, all VPBakery Blocks that have the "Theme Main Font ( Your font )" selected, will change to the new font. To see this in action, open any WP Bakery block that has typography options.', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => false,
				'text-align' => false,
				'font-size' => false,
				'line-height' => false,
				'subsets' => false,
				'font-weight' => false,
				'font-style' => false,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'default'     => array(
					'font-family' => 'Poppins', 
				),
				'letter-spacing' => true,
            ),            
			array(
                'id'       => 'ctypography2',
                'type'     => 'typography',
				'output'   => '',
                'title'    => esc_html__( 'Theme main font 2', 'infinito-theme-options' ),
                'desc' => esc_html__( 'When you change this font, all VPBakery Blocks that have the "Theme Main Font 2 ( Your font )" selected, will change to the new font. To see this in action, open any WP Bakery block that has typography options.', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => false,
				'text-align' => false,
				'font-size' => false,
				'line-height' => false,
				'subsets' => false,
				'font-weight' => false,
				'font-style' => false,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in VIsual Composer elements.', 'infinito-theme-options' ),
				'default'     => array(
					'font-family' => 'Roboto', 
				),
				'letter-spacing' => true,
            ),			
        )
    ) );    
	
	// -> START Headings
    Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Headings', 'infinito-theme-options' ),
        'id'     => 'typography-headings',
        'icon'   => 'wow-texteditor-small-cap',
		'subsection' => true,
        'fields' => array(
            array(
                'id'       => 'h1-font',
                'type'     => 'typography',
				'output'   => 'h1, h1 a',
                'title'    => esc_html__( 'H1', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography for H1 (heading) font', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => true,
				'text-align' => false,
				'font-size' => true,
				'line-height' => true,
				'subsets' => false,
				'font-weight' => true,
				'font-style' => true,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'letter-spacing' => true,
            ),            
			array(
                'id'       => 'h2-font',
                'type'     => 'typography',
				'output'   => 'h2, h2 a',
                'title'    => esc_html__( 'H2', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography for H2 (heading) font', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => true,
				'text-align' => false,
				'font-size' => true,
				'line-height' => true,
				'subsets' => false,
				'font-weight' => true,
				'font-style' => true,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'letter-spacing' => true,
            ),			
			array(
                'id'       => 'h3-font',
                'type'     => 'typography',
				'output'   => 'h3, h3 a',
                'title'    => esc_html__( 'H3', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography for H3 (heading) font', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => true,
				'text-align' => false,
				'font-size' => true,
				'line-height' => true,
				'subsets' => false,
				'font-weight' => true,
				'font-style' => true,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'letter-spacing' => true,
            ),			
			array(
                'id'       => 'h4-font',
                'type'     => 'typography',
				'output'   => 'h4, h4 a',
                'title'    => esc_html__( 'H4', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography for H4 (heading) font', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => true,
				'text-align' => false,
				'font-size' => true,
				'line-height' => true,
				'subsets' => false,
				'font-weight' => true,
				'font-style' => true,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'letter-spacing' => true,
            ),			
			array(
                'id'       => 'h5-font',
                'type'     => 'typography',
				'output'   => 'h5, h5 a',
                'title'    => esc_html__( 'H5', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography for H5 (heading) font', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => true,
				'text-align' => false,
				'font-size' => true,
				'line-height' => true,
				'subsets' => false,
				'font-weight' => true,
				'font-style' => true,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'letter-spacing' => true,
            ),			
			array(
                'id'       => 'h6-font',
                'type'     => 'typography',
				'output'   => 'h6, h6 a',
                'title'    => esc_html__( 'H6', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography for H6 (heading) font', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => true,
				'text-align' => false,
				'font-size' => true,
				'line-height' => true,
				'subsets' => false,
				'font-weight' => true,
				'font-style' => true,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'letter-spacing' => true,
            ),
			
        )
    ) ); 	
	
	// -> START Body fonts
    Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Body fonts', 'infinito-theme-options' ),
        'id'     => 'typography-body-fonts',
        'icon'   => 'wow-texteditor-small-cap',
		'subsection' => true,
        'fields' => array(
            array(
                'id'       => 'p-font',
                'type'     => 'typography',
				'output'   => 'p',
                'title'    => esc_html__( 'Paragraph font', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography paragraph font', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => true,
				'text-align' => false,
				'font-size' => true,
				'line-height' => true,
				'subsets' => false,
				'font-weight' => true,
				'font-style' => true,
				'subtitle'     => esc_html__( 'This will override theme styles but not styles defined in Visual Composer elements.', 'infinito-theme-options' ),
				'letter-spacing' => true,
            ),            
        )
    ) );
	
	
Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Widgets', 'infinito-theme-options' ),
        'id'    => 'widgets-main',
        'icon'  => 'wow-webapplication-numbered'
    ) );
	
Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Regular widgets', 'infinito-theme-options' ),
        'id'         => 'blog-widgets',
		'icon'		 => 'wow-webapplication-numbered',
		'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'blog-widget-heading-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Widget headings', 'infinito-theme-options' ).'</h3>',
                'subtitle'    => $wow_woo_text,
            ),			
			array(
                'id'       => 'blog-widget-heading',
                'type'     => 'typography',
				'output'   => '#page-body .widget h3, #page-body .latest_news_widget h3, #page-body .twitter-title h3,#page-body .woo-sidebar .widget h3,#post-body .info-content .address h2',
                'title'    => esc_html__( 'Widget heading', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This applies to all widgets', 'infinito-theme-options' ),
				'text-transform' => true,
				'letter-spacing' => true,
            ),
			array(
                'id'       => 'blog-widget-heading-bg',
                'type'     => 'background',
                'title'    => esc_html__( 'Widgets heading background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Add a background to widgets heading', 'infinito-theme-options' ),
				'output'      => '#page-body .widget h3',
				'background-color'   => false,
				'background-attachment'   => false,
				'background-size'   => false,
				'background-image'   => true,
				'transparent' => false,
            ),
			array(
                'id'       => 'blog-widget-heading-padding',
                'type'     => 'spacing',
                'output'   => '#page-body .widget h3',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => true,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => true,     // Disable the left
                'units' => array('px','em','%'),
                'display_units' => true,   // Set to false to hide the units if the units are specified
                'title'    => esc_html__( 'Widgets heading padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add padding to the widgets heading', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'blog-widget-heading-icon',
                'type'     => 'select',
				'options'  => wow_redux_icons('all'),
				'data'     => 'wow-icons',
                'title'    => esc_html__( 'Widget heading icon', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add an icon to the widget headings(This apply to both: regular and footer widgets).', 'infinito-theme-options' ),
				'default' => '',
            ),
            array(
                'id'       => 'blog-widget-heading-icon-color',
                'type'     => 'color',
                'output'   => '#page-body .widget h3 i',
                'title'    => esc_html__( 'Widget heading icon color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change color for widget icon heading', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),			
            array(
                'id'       => 'blog-widget-links-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Widget Links', 'infinito-theme-options' ).'</h3>',
            ),				
			array(
                'id'       => 'blog-widget-links',
                'type'     => 'typography',
				'output'   => '#page-body .textwidget a, #page-body .widget_meta a, #page-body .widget_pages a,#page-body .widget_recent_comments li a, #page-body .widget_archive a, #page-body .widget_categories a, #page-body .widget_recent_entries li a,#page-body .sidebar-posts h6 a,.woo-sidebar .product_list_widget li a,.woo-sidebar .product_list_widget li a span',
                'title'    => esc_html__( 'Widget links', 'infinito-theme-options' ),
                'desc' => $wow_woo_text_2,
				'text-transform' => true,
				'letter-spacing' => true,
            ),			
            array(
                'id'       => 'blog-widget-links-decoration-normal',
                'type'     => 'select',
                'title'    => esc_html__( 'Links decoration normal state', 'infinito-theme-options' ),
                'options'  => array( 'none' => 'none', 'overline' => 'overline', 'line-through' => 'line-through', 'underline' => 'underline',),
				'desc' => esc_html__( 'This applies to all links in the widgets)', 'infinito-theme-options' ),
                'default'  => 'none',
            ),            
			array(
                'id'       => 'blog-widget-links-decoration-hover',
                'type'     => 'select',
                'title'    => esc_html__( 'Links decoration hover state', 'infinito-theme-options' ),
                'options'  => array( 'none' => 'none', 'overline' => 'overline', 'line-through' => 'line-through', 'underline' => 'underline',),
				'desc' => esc_html__( 'This applies to all links in the widgets)', 'infinito-theme-options' ),
                'default'  => 'none',
            ),
			array(
                'id'       => 'blog-widget-links-icon',
                'type'     => 'select',
                'title'    => esc_html__( 'Custom links icon', 'infinito-theme-options' ),
                'options'  => array( 'none' => 'none', '\\e636' => 'lines', '\\e6c2' => 'refresh', '\\e6c3' => 'rocket', '\\e666' => 'config', '\\e611' => 'star', '\e67d' => 'albums',),
				'desc' => esc_html__( 'This will add an icon to all your custom links - the one added via the text/html widget', 'infinito-theme-options' ),
                'default'  => 'none',
            ),
            array(
                'id'       => 'blog-widget-links-icon-color',
				'required' => array('blog-widget-links-icon', '!=', 'none'),
                'type'     => 'color',
                'output'   => '#page-body .widget_text a:before',
                'title'    => esc_html__( 'Custom links icon color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change custom links color - the one added via the text/html widget', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),			
            array(
                'id'       => 'blog-widget-text-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Widgets text', 'infinito-theme-options' ).'</h3>',
            ),				
			array(
                'id'       => 'blog-widget-text',
                'type'     => 'typography',
				'output'   => '#page-body .about-us-content p,#page-body .about-us-content li,#page-body .textwidget p,#page-body .textwidget, #page-body ul.tweets li,.woo-sidebar .woocommerce .product_list_widget .price-new,.woo-sidebar .woocommerce.widget_price_filter .price_label',
                'title'    => esc_html__( 'Widget text', 'infinito-theme-options' ),
                'desc' => $wow_woo_text_3,
				'text-transform' => true,
				'letter-spacing' => true,
            ),
            array(
                'id'       => 'blog-widget-text-secondary',
                'type'     => 'color',
                'output'   => '#page-body .widget_tw ul.tweets li span.date, #page-body .widget_tag_cloud a:before, #page-body .sidebar-posts p, .woo-sidebar .woocommerce.widget_products .price-new,.woo-sidebar .woocommerce.widget_top_rated_products .price-new,.woo-sidebar .woocommerce.widget_recently_viewed_products .price-new,.woo-sidebar .woocommerce.widget_shopping_cart span.quantity, .woo-sidebar .widget.woocommerce.widget_recent_reviews span.reviewer',
                'title'    => esc_html__( 'Secondary text color', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/>%s<br/>%s<br/>%s<br/>', 
					esc_html__( 'Change color for secondary text such as:', 'infinito-theme-options' ), 
					esc_html__( '-Tweets date', 'infinito-theme-options' ),
					esc_html__( '-Posts date', 'infinito-theme-options' ),
					esc_html__( '-Tags icon color', 'infinito-theme-options' )
				),	
				'transparent' => false,
                'validate' => 'color',
            ),
            array(
                'id'       => 'blog-widget-social-icon-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Info widget colors', 'infinito-theme-options' ).'</h3>',
            ),	
            array(
                'id'       => 'blog-widget-social-icon',
				'transparent' => false,
                'type'     => 'color',
                'title'    => esc_html__( 'Social icons color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change info widget social icons color', 'infinito-theme-options' ),
                'validate' => 'color',
            ),	
			array(
                'id'       => 'blog-widget-social-border',
				'transparent' => false,
                'type'     => 'color',
                'title'    => esc_html__( 'Social icons border color', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Change info widget social icons border color', 'infinito-theme-options' ),
                'validate' => 'color',
            ),			
            array(
                'id'       => 'blog-widget-other-options-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Other widget options', 'infinito-theme-options' ).'</h3>',
            ),				
            array(
                'id'       => 'blog-widgets-sep-border',
                'type'     => 'color',
                'title'    => esc_html__( 'Borders and others', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>', 
					esc_html__( 'Change color of separators for:', 'infinito-theme-options' ), 
					esc_html__( '-Twitter widget', 'infinito-theme-options' ),
					esc_html__( '-News widget', 'infinito-theme-options' ),
					esc_html__( '-Border color for search widget', 'infinito-theme-options' ),
					esc_html__( '-Border color for tags widget', 'infinito-theme-options' )
				),					
				'transparent' => false,
                'validate' => 'color',
            ),				
        )
    ) );
		
	
	Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Footer widgets', 'infinito-theme-options' ),
        'id'         => 'footer-widgets',
		'icon'		 => 'wow-webapplication-numbered',
		'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'footer-widget-heading-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Widget headings', 'infinito-theme-options' ).'</h3>',
                'subtitle'    => $wow_woo_text,
            ),			
			array(
                'id'       => 'footer-widget-heading',
                'type'     => 'typography',
				'output'   => 'footer .widget h3, footer .latest_news_widget h3, footer .twitter-title h3, footer .woocommerce .widget h3',
                'title'    => esc_html__( 'Widget heading', 'infinito-theme-options' ),
                'desc' => esc_html__( 'This applies to all widgets', 'infinito-theme-options' ),
				'text-transform' => true,
				'letter-spacing' => true,
            ),
			array(
                'id'       => 'footer-widget-heading-bg',
                'type'     => 'background',
                'title'    => esc_html__( 'Widgets heading background', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Add a background to widgets heading', 'infinito-theme-options' ),
				'output'      => 'footer .widget h3',
				'background-color'   => false,
				'background-attachment'   => false,
				'background-size'   => false,
				'background-image'   => true,
				'transparent' => false,
            ),
			array(
                'id'       => 'footer-widget-heading-padding',
                'type'     => 'spacing',
                'output'   => 'footer .widget h3',
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => true,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => true,     // Disable the left
                'units' => array('px','em','%'),
                'display_units' => true,   // Set to false to hide the units if the units are specified
                'title'    => esc_html__( 'Widgets heading padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add padding to the widgets heading', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'footer-widget-heading-icon-color',
                'type'     => 'color',
                'output'   => 'footer .widget h3 i',
                'title'    => esc_html__( 'Widget heading icon color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change color for widget icon heading', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),				
            array(
                'id'       => 'footer-widget-links-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Widget Links', 'infinito-theme-options' ).'</h3>',
            ),				
			array(
                'id'       => 'footer-widget-links',
                'type'     => 'typography',
				'output'   => 'footer .textwidget a, footer .widget_nav_menu li a,footer .widget_meta a, footer .widget_pages a,footer .widget_recent_comments li a, footer .widget_archive a, footer .widget_categories a, footer .widget_recent_entries li a,footer .sidebar-posts h6 a,footer .woocommerce .product_list_widget li a,footer .woocommerce .product_list_widget li a span, footer .woocommerce.widget_rating_filter li a,footer .woocommerce.widget_product_tag_cloud a',
                'title'    => esc_html__( 'Widget links', 'infinito-theme-options' ),
                'desc' => $wow_woo_text_2,
				'text-transform' => true,
				'letter-spacing' => true,
            ),	
            array(
                'id'       => 'footer-widget-links-decoration-normal',
                'type'     => 'select',
                'title'    => esc_html__( 'Links decoration normal state', 'infinito-theme-options' ),
                'options'  => array( 'none' => 'none', 'overline' => 'overline', 'line-through' => 'line-through', 'underline' => 'underline',),
				'desc' => esc_html__( 'This applies to all links in the widgets)', 'infinito-theme-options' ),
                'default'  => 'none',
            ),            
			array(
                'id'       => 'footer-widget-links-decoration-hover',
                'type'     => 'select',
                'title'    => esc_html__( 'Links decoration hover state', 'infinito-theme-options' ),
                'options'  => array( 'none' => 'none', 'overline' => 'overline', 'line-through' => 'line-through', 'underline' => 'underline',),
				'desc' => esc_html__( 'This applies to all links in the widgets)', 'infinito-theme-options' ),
                'default'  => 'none',
            ),
			array(
                'id'       => 'footer-widget-links-icon',
                'type'     => 'select',
                'title'    => esc_html__( 'Custom links icon', 'infinito-theme-options' ),
                'options'  => array( 'none' => 'none', '\\e636' => 'lines', '\\e6c2' => 'refresh', '\\e6c3' => 'rocket', '\\e666' => 'config', '\\e611' => 'star', '\e67d' => 'albums',),
				'desc' => esc_html__( 'This will add an icon to all your custom links - the one added via the text/html widget', 'infinito-theme-options' ),
                'default'  => 'none',
            ),
            array(
                'id'       => 'footer-widget-links-icon-color',
				'required' => array('footer-widget-links-icon', '!=', 'none'),
                'type'     => 'color',
                'output'   => 'footer .widget_text a:before',
                'title'    => esc_html__( 'Custom links icon color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Change custom links color - the one added via the text/html widget', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),			
            array(
                'id'       => 'footer-widget-text-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Widgets text', 'infinito-theme-options' ).'</h3>',
            ),				
			array(
                'id'       => 'footer-widget-text',
                'type'     => 'typography',
				'output'   => 'footer .about-us-content p,footer .about-us-content li,footer .textwidget p,footer .textwidget, footer ul.tweets li,footer .woocommerce .product_list_widget .price-new,footer .woocommerce.widget_price_filter .price_label',
                'title'    => esc_html__( 'Widget text', 'infinito-theme-options' ),
                'desc' => $wow_woo_text_3,
				'text-transform' => true,
				'letter-spacing' => true,
            ),
            array(
                'id'       => 'footer-widget-text-secondary',
                'type'     => 'color',
                'output'   => 'footer .widget_tw ul.tweets li span.date, footer .widget_tag_cloud a:before, footer .sidebar-posts p,footer .widget.woocommerce.widget_products .price-new,footer .widget.woocommerce.widget_top_rated_products .price-new,footer .widget.woocommerce.widget_recently_viewed_products .price-new,footer .widget.woocommerce.widget_shopping_cart span.quantity,footer .widget.widget.woocommerce.widget_recent_reviews span.reviewer',
                'title'    => esc_html__( 'Secondary text color', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/>%s<br/>%s<br/>%s<br/>', 
					esc_html__( 'Change color for secondary text such as:', 'infinito-theme-options' ), 
					esc_html__( '-Tweets date', 'infinito-theme-options' ),
					esc_html__( '-Posts date', 'infinito-theme-options' ),
					esc_html__( '-Tags icon color', 'infinito-theme-options' )
				),	
				'transparent' => false,
                'validate' => 'color',
            ),
            array(
                'id'       => 'footer-widget-social-icon-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Info & Abouts us widget colors', 'infinito-theme-options' ).'</h3>',
            ),	
            array(
                'id'       => 'footer-widget-social-icon',
				'transparent' => false,
                'type'     => 'color',
                'title'    => esc_html__( 'Social icons color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change info widget social icons color', 'infinito-theme-options' ),
                'validate' => 'color',
            ),	
			array(
                'id'       => 'footer-widget-social-border',
				'transparent' => false,
                'type'     => 'color',
                'title'    => esc_html__( 'Social icons border color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change info widget social icons border color', 'infinito-theme-options' ),
                'validate' => 'color',
            ),			
            array(
                'id'       => 'footer-widget-other-options-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Other widget options', 'infinito-theme-options' ).'</h3>',
            ),				
            array(
                'id'       => 'footer-widgets-sep-border',
                'type'     => 'color',
                'title'    => esc_html__( 'Borders and others', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/>%s<br/>%s<br/>%s<br/>%s<br/>', 
					esc_html__( 'Change color of separators for:', 'infinito-theme-options' ), 
					esc_html__( '-Twitter widget', 'infinito-theme-options' ),
					esc_html__( '-News widget', 'infinito-theme-options' ),
					esc_html__( '-Border color for search widget', 'infinito-theme-options' ),
					esc_html__( '-Border color for tags widget', 'infinito-theme-options' )
				),		
				'transparent' => false,
                'validate' => 'color',
            ),				
        )
    ) );
	
	Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Custom Font', 'infinito-theme-options' ),
        'id'    => 'custom_font',
		'desc'		 => '',
        'icon'  => 'el el-upload'
    ) );
	
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( '1st Font', 'infinito-theme-options' ),
        'id'         => 'custom_font_first',
		'desc'		 => 'Allows you to add your custom fonts to the theme. After adding the font(s) refresh the page, and the font will be visible in fonts list, on each typography option. All font files are mandatory.',
		'icon'		 => 'el el-upload',
		'subsection' => 'true',
        'fields'     => array(
            array(
                'id'       => 'custom-font-name',
                'type'     => 'text',
                'title'    => esc_html__( 'Font Name', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Add your font name. Use only letters or spaces.', 'infinito-theme-options' ),
                'default'  => '',
            ),
             array(
                'id'       => 'custom-font-woff',
                'type'     => 'media',
                'url'      => true,
				'mode'	=> false,
                'title'    => esc_html__( 'Font WOFF', 'infinito-theme-options' ),
				'desc' => 'Upload a WOFF File.',
				'preview' => false,
                'default'  => '',
            ),             
			array(
                'id'       => 'custom-font-ttf',
                'type'     => 'media',
                'url'      => true,
				'mode'	=> false,
                'title'    => esc_html__( 'Font TTF', 'infinito-theme-options' ),
				'desc' => 'Upload a TTF File.',
				'preview' => false,
                'default'  => '',
            ), 			  			
			array(
                'id'       => 'custom-font-eot',
                'type'     => 'media',
                'url'      => true,
				'mode'	=> false,
                'title'    => esc_html__( 'Font EOT', 'infinito-theme-options' ),
				'desc' => 'Upload an EOT File.',
				'preview' => false,
                'default'  => '',
            ),
           				
        )
    ) );    
	
	
	Redux::setSection( $opt_name, array(
        'title'      => esc_html__( '2nd Font', 'infinito-theme-options' ),
        'id'         => 'custom_font_second',
		'desc'		 => 'Allows you to add your custom fonts to the theme. After adding the font(s) refresh the page, and the font will be visible in fonts list, on each typography option. All font files are mandatory.',
		'icon'		 => 'el el-upload',
		'subsection' => 'true',
        'fields'     => array(
			array(
                'id'       => 'custom-font-name1',
                'type'     => 'text',
                'title'    => esc_html__( 'Font Name', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Add your font name. Use only letters or spaces.', 'infinito-theme-options' ),
                'default'  => '',
            ),
             array(
                'id'       => 'custom-font-woff1',
                'type'     => 'media',
                'url'      => true,
				'mode'	=> false,
                'title'    => esc_html__( 'Font WOFF', 'infinito-theme-options' ),
				'desc' => 'Upload a WOFF File.',
				'preview' => false,
                'default'  => '',
            ),             
			array(
                'id'       => 'custom-font-ttf1',
                'type'     => 'media',
                'url'      => true,
				'mode'	=> false,
                'title'    => esc_html__( 'Font TTF', 'infinito-theme-options' ),
				'desc' => 'Upload a TTF File.',
				'preview' => false,
                'default'  => '',
            ), 						
			array(
                'id'       => 'custom-font-eot1',
                'type'     => 'media',
                'url'      => true,
				'mode'	=> false,
                'title'    => esc_html__( 'Font EOT', 'infinito-theme-options' ),
				'desc' => 'Upload an EOT File.',
				'preview' => false,
                'default'  => '',
            ),           				
        )
    ) ); 	
	
	
	Redux::setSection( $opt_name, array(
        'title'      => esc_html__( '3rd Font', 'infinito-theme-options' ),
        'id'         => 'custom_font_third',
		'desc'		 => 'Allows you to add your custom fonts to the theme. After adding the font(s) refresh the page, and the font will be visible in fonts list, on each typography option. All font files are mandatory.',
		'icon'		 => 'el el-upload',
		'subsection' => 'true',
        'fields'     => array(			
			array(
                'id'       => 'custom-font-name2',
                'type'     => 'text',
                'title'    => esc_html__( 'Font Name', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Add your font name. Use only letters or spaces.', 'infinito-theme-options' ),
                'default'  => '',
            ),
             array(
                'id'       => 'custom-font-woff2',
                'type'     => 'media',
                'url'      => true,
				'mode'	=> false,
                'title'    => esc_html__( 'Font WOFF', 'infinito-theme-options' ),
				'desc' => 'Upload a WOFF File.',
				'preview' => false,
                'default'  => '',
            ),             
			array(
                'id'       => 'custom-font-ttf2',
                'type'     => 'media',
                'url'      => true,
				'mode'	=> false,
                'title'    => esc_html__( 'Font TTF', 'infinito-theme-options' ),
				'desc' => 'Upload a TTF File.',
				'preview' => false,
                'default'  => '',
            ), 			  			
			array(
                'id'       => 'custom-font-eot2',
                'type'     => 'media',
                'url'      => true,
				'mode'	=> false,
                'title'    => esc_html__( 'Font EOT', 'infinito-theme-options' ),
				'desc' => 'Upload an EOT File.',
				'preview' => false,
                'default'  => '',
            ),            				
        )
    ) );    
	
	
	Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Custom CSS | JS', 'infinito-theme-options' ),
        'id'         => 'customcssjs',
		'icon'		 => 'el el-css',
        'fields'     => array(
            array(
                'id'       => 'custom_css',
                'type'     => 'ace_editor',
                'title'    => esc_html__( 'CSS Code', 'infinito-theme-options' ),
                'subtitle' => esc_html__( 'Paste your CSS code here.', 'infinito-theme-options' ),
                'mode'     => 'css',
                'theme'    => 'monokai',
                'default'  => '/* example of usage - for more visit https://www.w3schools.com/css/ */ #your_div_id{ display:block; width:100%; font-size:12px } '
            ),
            array(
                'id'       => 'custom_js',
                'type'     => 'ace_editor',
                'title'    => esc_html__( 'JS Code', 'infinito-theme-options' ),
                'subtitle' => esc_html__( 'Paste your JS code here.', 'infinito-theme-options' ),
                'mode'     => 'javascript',
                'theme'    => 'chrome',
                'default'  => "jQuery(document).ready(function(){\n\n});"
            ),
        )
    ) );
	
	
	$footer_layouts = array(
		'12' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/1.gif' ),
		'6+6' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/12_12.gif' ),
		'8+4' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/23_13.gif' ),
		'4+8' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/13_23.gif' ),
		'4+4+4' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/13_13_13.gif' ),
		'3+3+3+3' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/14_14_14_14.gif' ),
		'3+9' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/14_34.gif' ),
		'9+3' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/34_14.gif' ),
		'3+6+3' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/14_12_14.gif' ),
		'3+3+6' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/14_14_12.gif' ),
		'6+3+3' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/12_14_14.gif' ),
		'10+2' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/56_16.gif' ),
		'2+10' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/16_56.gif' ),
		'2+2+2+2+2+2' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/16_16_16_16_16_16.gif' ),
		'2+8+2' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/16_46_16.gif' ),
		'2+2+8' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/16_16_46.gif' ),
		'8+2+2' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/46_16_16.gif' ),
		'2+2+2+6' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/16_16_16_12.gif' ),
		'6+2+2+2' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/12_16_16_16.gif' ),
		'2+2+2+2+4' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/16_16_16_16_13.gif' ),
		'4+2+2+2+2' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/13_16_16_16_16.gif' ),
		'custom' => array( 'title' => '', 'img' => WOW_THM_OPT_IMG.'/footer/custom.gif' ),
	);
	
	
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Footer', 'infinito-theme-options' ),
        'id'    => 'footer-main',
        'icon'  => 'wow-webapplication-layout'
    ) );
	
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'General', 'infinito-theme-options' ),
        'id'         => 'footer',
		'subsection' => true,
		'icon'		 => 'wow-webapplication-options',
        'fields'     => array(
            array(
                'id'       => 'footer-width',
                'type'     => 'button_set',
				'title'    => esc_html__( 'Width', 'infinito-theme-options' ),
                'options'  => array(
                    'full-width' => 'full width',
                    'container' => 'boxed',
                ),
                'default'  => 'container',
                'desc'  => 'Choose width of footer'
            ),			
            array(
                'id'       => 'footer-layout-rows',
                'type'     => 'select',
                'title'    => esc_html__( 'Footer Sidebar(s)', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Select how many sidebar(s) footer will have.', 'infinito-theme-options' ),
                'options'  => array(
					'' => esc_html__( 'None', 'infinito-theme-options' ),
					'1' => '1', 
					'2' => '2',
					'3' => '3',	
					'4' => '4',					
				),
                'default'  => '1',
            ),
			array(
                'id'       => 'footer-layout-rows1',
                'type'     => 'image_select',
				'required' =>array(
						array( 'footer-layout-rows', '>=', '1' ),
				),
				'options'  => $footer_layouts,
                'title'    => esc_html__( '1st Footer Sidebar: Select your footer sidebar layout.', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'This will generate the number of widget areas according to layout selected. To see this in action go to Appearance > Widgets > 1st Footer Sidebar', 'infinito-theme-options' ),
                'default'  => '4+4+4',
            ),			
			array(
                'id'       => 'footer-custom-layout-rows1',
                'type'     => 'text',
				'required' =>array(
						array( 'footer-layout-rows1', '=' ,'custom'  ),
				),
                'title'    => esc_html__( 'Enter custom widgets layout. ', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'The grid is divided in 12 parts, so the sum of entered digits must be 12. I.e (3+5+4) or (2+2+5+3)', 'infinito-theme-options' ),
                'default'  => '3+5+4',
            ),
			array(
                'id'       => 'footer-layout-rows2',
                'type'     => 'image_select',
				'required' =>array(
						array( 'footer-layout-rows', '>=', '2' ),
				),
				'options'  => $footer_layouts,
                'title'    => esc_html__( '2nd Footer Sidebar: Select your footer sidebar layout.', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'This will generate the number of widget areas according to layout selected. To see this in action go to Appearance > Widgets > 2nd Footer Sidebar', 'infinito-theme-options' ),
                'default'  => '1/1',
            ),
			array(
                'id'       => 'footer-custom-layout-rows2',
                'type'     => 'text',
				'required' =>array(
						array( 'footer-layout-rows2', '=' ,'custom'  ),
				),
                'title'    => esc_html__( 'Enter custom widgets layout. ', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'The grid is divided in 12 parts, so the sum of entered digits must be 12. I.e (3+5+4) or (2+2+5+3)', 'infinito-theme-options' ),
                'default'  => '3+5+4',
            ),
			array(
                'id'       => 'footer-layout-rows3',
                'type'     => 'image_select',
				'required' =>array(
						array( 'footer-layout-rows', '>=', '3' ),
				),
				'options'  => $footer_layouts,
                'title'    => esc_html__( '3rd Footer Sidebar: Select your footer sidebar layout.', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'This will generate the number of widget areas according to layout selected. To see this in action go to Appearance > Widgets > 3rd Footer Sidebar', 'infinito-theme-options' ),
                'default'  => '1/1',
            ),
			array(
                'id'       => 'footer-custom-layout-rows3',
                'type'     => 'text',
				'required' =>array(
						array( 'footer-layout-rows3', '=' ,'custom'  ),
				),
                'title'    => esc_html__( 'Enter custom widgets layout. ', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'The grid is divided in 12 parts, so the sum of entered digits must be 12. I.e (3+5+4) or (2+2+5+3)', 'infinito-theme-options' ),
                'default'  => '3+5+4',
            ),
			array(
                'id'       => 'footer-layout-rows4',
                'type'     => 'image_select',
				'required' =>array(
						array( 'footer-layout-rows', '>=', '4' ),
				),
				'options'  => $footer_layouts,
                'title'    => esc_html__( '4th Footer Sidebar: Select your footer sidebar layout.', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'This will generate the number of widget areas according to layout selected. To see this in action go to Appearance > Widgets > 4th Footer Sidebar', 'infinito-theme-options' ),
                'default'  => '1/1',
            ),
			array(
                'id'       => 'footer-custom-layout-rows4',
                'type'     => 'text',
				'required' =>array(
						array( 'footer-layout-rows4', '=' ,'custom'  ),
				),
                'title'    => esc_html__( 'Enter custom widgets layout. ', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'The grid is divided in 12 parts, so the sum of entered digits must be 12. I.e (3+5+4) or (2+2+5+3)', 'infinito-theme-options' ),
                'default'  => '3+5+4',
            ),
			 array(
                'id'       => 'footer-padding',
                'type'     => 'spacing',
                'output'   => array('footer'),
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => true,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => true,     // Disable the left
                'units' => array('px','em','%'),
                'display_units' => true,   // Set to false to hide the units if the units are specified
                'title'    => esc_html__( 'Footer Padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Footer padding', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'footer-bg-image',
                'type'     => 'background',
				'output'   => 'footer',
                'url'      => true,
                'title'    => esc_html__( 'Footer Background Image', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change footer background image', 'infinito-theme-options' ),
                'default'  => '',
				'background-color' => false,
            ),			
            array(
                'id'       => 'footer-bg',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Footer Background Color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change footer background color', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'footer-link-hover',
                'type'     => 'color',
                'validate' => 'color',
				'transparent' => false,
                'title'    => esc_html__( 'Footer Links Hover Color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change hover color for footer links', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'footer-widgets-border-color',
                'type'     => 'color',
				'transparent' => false,
                'title'    => esc_html__( 'Widgets Border Color', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'footer-widgets-border',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Add border to widgets?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'This will add a border right to all footer widgets ( except the last one(s) in the row(s) )', 'infinito-theme-options' ),
                'default'  => '0'
            ),           

        )
    ) );

    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Copyright', 'infinito-theme-options' ),
        'id'         => 'footer-copyright',
		'subsection' => true,
		'icon'		 => 'wow-webapplication-copyright',
        'fields'     => array(
            array(
                'id'       => 'copyright',
                'type'     => 'textarea',
                'title'    => esc_html__( 'Copyright text.', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Leave blank for no copyright. HTML Characters Allowed : a href, target, and title', 'infinito-theme-options' ),
				'default' => 'Copyright 2019 <a href="#">Infinito</a> - Add your copyright text here'
            ),
			array(
                'id'       => 'copyright_typography',
                'type'     => 'typography',
				'output'   => 'footer #copyright .copyright p',
                'title'    => esc_html__( 'Copyright typography', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change typography options for copyright', 'infinito-theme-options' ),
				'text-transform' => true,
				'text-align' => true,
				'letter-spacing' => true,
            ),
            array(
                'id'       => 'copyright-width',
                'type'     => 'button_set',
				'title'    => esc_html__( 'Copyright Width', 'infinito-theme-options' ),
                'options'  => array(
                    'full-width' => 'full width',
                    'container' => 'boxed',
                ),
                'default'  => 'container',
                'desc'  => 'Change copyright width'
            ),
			array(
                'id'       => 'copyright-social',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Show social?', 'infinito-theme-options' ),
                'desc'    => esc_html__( "If checked it will show the social icons near the copyright. Note:When this is checked, copyright alignment is always left. To add your social URL(s) go to Appearance > Theme Options > Social", 'infinito-theme-options' ),
                'default'  => '',
            ),
			array(
                'id'       => 'copyright-social-margin',
                'type'     => 'spacing',
				'output'   => 'footer .social ul',
                'mode'     => 'margin',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => false,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => false,     // Disable the left
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Social Margin', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add social margin', 'infinito-theme-options' ),
				'required' => array( 
					array('copyright-social', '=', '1' ),
				),				
            ),
			array(
                'id'       => 'social-bar-typography-copyright',
                'type'     => 'typography',
				'output'   => 'footer .social li a i',
                'title'    => esc_html__( 'Social Font', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Text options for social icons.', 'infinito-theme-options' ),
                'font-family'   => false,
                'font-style'   => false,
                'font-weight'   => false,
                'text-align'   => false,
                'line-height'   => false,
				'color'    => false,
				'required' => array( 
					array('copyright-social', '=', '1' ),
				),
				'letter-spacing' => true,
				
            ),			
			array(
                'id'       => 'copyright-social-color',
				'output'   => '',
                'type'     => 'color',
                'title'    => esc_html__( 'Social icons color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose social icons color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
				'required' => array( 
					array('copyright-social', '=', '1' ),
				),
            ),			
			array(
                'id'       => 'copyright-social-hover-color',
				'output'   => '',
                'type'     => 'color',
                'title'    => esc_html__( 'Social icons hover color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose social icons hover color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
				'required' => array( 
					array('copyright-social', '=', '1' ),
				),				
            ),
            array(
                'id'       => 'copyright-social-style',
                'type'     => 'select',
				'required' => array( 
					array('copyright-social', '=', '1' ),
				),
                'title'    => esc_html__( 'Social Style', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose social style', 'infinito-theme-options' ),
                'options'  => array( 'simple' => 'Simple', 'square' => 'Square', 'rounded' => 'Rounded', 'circle' => 'Circle' ),
                'default'  => 'rounded',
            ),	
			
            array(
                'id'       => 'copyright-bg',
                'type'     => 'background',
				'output'   => '#copyright',
                'url'      => true,
                'title'    => esc_html__( 'Copyright Background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose copyright background', 'infinito-theme-options' ),
                'default'  => '',
				'background-color' => false,
            ),            
			array(
                'id'       => 'copyright-bg-color',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Copyright Background Color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose copyright background color', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'copyright-padding',
                'type'     => 'spacing',
                'output'   => array('footer #copyright .copyright'),
                'mode'     => 'padding',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => true,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => true,     // Disable the left
                'units' => array('px','em','%'),
                'display_units' => true,   // Set to false to hide the units if the units are specified
                'title'    => esc_html__( 'Copyright Padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Copyright padding', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'copyright-margin',
                'type'     => 'spacing',
                'output'   => array('footer #copyright .copyright'),
                'mode'     => 'margin',
				'all'      => false,
                'top'           => true,     // Disable the top
                'right'         => true,     // Disable the right
                'bottom'        => true,     // Disable the bottom
                'left'          => true,     // Disable the left
                'units' => array('px','em','%'),
                'display_units' => true,   // Set to false to hide the units if the units are specified
                'title'    => esc_html__( 'Copyright margin', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Copyright margin', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'copyright-border',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Add top separator to copyright?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'If checked, it will add a border top to the copyright text. The color is the one from Footer -> General > Widgets Border Color', 'infinito-theme-options' ),
                'default'  => '0'
            ),  
        )
    ) );
	
    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Social', 'infinito-theme-options' ),
        'id'               => 'social',
		'icon'			   => 'el el-facebook',
        'fields'           => array(
            array(
                'id'       => 'facebook',
                'type'     => 'text',
                'title'    => esc_html__( 'Facebook URL', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
                'default'    => '#',
            ),
            array(
                'id'       => 'skype',
                'type'     => 'text',
                'title'    => esc_html__( 'Skype URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
            ),			
            array(
                'id'       => 'google-plus',
                'type'     => 'text',
                'title'    => esc_html__( 'Google + URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '',
            ),
            array(
                'id'       => 'twitter',
                'type'     => 'text',
                'title'    => esc_html__( 'Twitter URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				 'default'    => '#',
            ),
            array(
                'id'       => 'vimeo',
                'type'     => 'text',
                'title'    => esc_html__( 'Vimeo URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '',
            ),
            array(
                'id'       => 'youtube',
                'type'     => 'text',
                'title'    => esc_html__( 'YouTube URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '#',
            ),
            array(
                'id'       => 'flickr',
                'type'     => 'text',
                'title'    => esc_html__( 'Flickr URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '#',
            ),
            array(
                'id'       => 'linkedin',
                'type'     => 'text',
                'title'    => esc_html__( 'LinkedIn URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '#',
            ),
            array(
                'id'       => 'pinterest',
                'type'     => 'text',
                'title'    => esc_html__( 'Pinterest URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '',
            ),
            array(
                'id'       => 'dribbble',
                'type'     => 'text',
                'title'    => esc_html__( 'Dribbble URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '#',
            ),
            array(
                'id'       => 'instagram',
                'type'     => 'text',
                'title'    => esc_html__( 'Instagram URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '#',
            ),
            array(
                'id'       => 'behance',
                'type'     => 'text',
                'title'    => esc_html__( 'Behance URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '#',
            ),
            array(
                'id'       => 'tumblr',
                'type'     => 'text',
                'title'    => esc_html__( 'Tumblr URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '',
            ),
            array(
                'id'       => 'viadeo',
                'type'     => 'text',
                'title'    => esc_html__( 'Viadeo URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '',
            ),
            array(
                'id'       => 'xing',
                'type'     => 'text',
                'title'    => esc_html__( 'Xing URL', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Don\'t forget http:// trailing slash', 'infinito-theme-options' ),
				'default'    => '',
            ),			

			
        )
    ) );
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Pagination', 'infinito-theme-options' ),
		'desc'    => esc_html__( 'This applies to all paginations I.e : blog, portfolio. shop etc', 'infinito-theme-options' ),
        'id'               => 'pagination',
		'icon'			   => 'wow-directional-rounded-double-right',	
        'fields'           => array(
			array(
                'id'       => 'pagination_padding',
                'type'     => 'spacing',
				'output'   => '.pagination, .woocommerce-pagination',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Pagination padding', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add pagination padding', 'infinito-theme-options' ),
            ),				
			
            array(
                'id'       => 'pagination_align',
                'type'     => 'select',
                'title'    => esc_html__( 'Pagination alignment', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Select pagination alignment', 'infinito-theme-options' ),
                'options'  => array(
					'left' => 'Left', 
					'right' => 'Right',
					'center' => 'Center',					
				),
                'default'  => 'center',
            ),				
			array(
                'id'       => 'pagination_links_padding',
                'type'     => 'spacing',
				'output'   => '.pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Links padding', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add links padding', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'pagination_links_margin',
                'type'     => 'spacing',
				'output'   => '.pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a',	
                'mode'     => 'margin',
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Links margin', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add links margin', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'pagination_links_font_size',
                'type'     => 'typography',
				'output'   => '.pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a',
                'title'    => esc_html__( 'Links font size', 'infinito-theme-options' ),
                'google'   => false,
				'color'    => false,
				'font-family' => false,
				'text-align' => false,
				'font-size' => true,
				'line-height' => false,
				'subsets' => false,
				'font-weight' => false,
				'font-style' => false,
				'desc'     => esc_html__( 'Add links font size and weight', 'infinito-theme-options' ),
				'letter-spacing' => true,
            ),
            array(
                'id'       => 'pagination_links_bg',
                'type'     => 'background',
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'output'   => '.pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a',
                'title'    => esc_html__( 'Links background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Add links background', 'infinito-theme-options' ),
                'validate' => 'color',
            ),            
			array(
                'id'       => 'pagination_links_hover_bg',
                'type'     => 'background',
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'output'   => '.pagination ul li.active a, .pagination ul li:hover a, .pagination ul li:focus a, .woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current',
                'title'    => esc_html__( 'Links hover background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose links hover background', 'infinito-theme-options' ),
                'validate' => 'color',
            ),
            array(
                'id'       => 'pagination_links_color',
				'output'   => '.pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li a',
                'type'     => 'color',
                'title'    => esc_html__( 'Links color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose links color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),            
			array(
                'id'       => 'pagination_links_hover_color',
				'output'   => '.pagination ul li.active a, .pagination ul li:hover a, .pagination ul li:focus a, .woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current',
                'type'     => 'color',
                'title'    => esc_html__( 'Links hover color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose links hover color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),				
			array(
                'id'       => 'pagination_links_border_color',
                'type'     => 'color',
                'title'    => esc_html__( 'Border color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose border color of links', 'infinito-theme-options' ),
				'transparent' => true,
                'validate' => 'color',
            ),			
			array(
                'id'       => 'pagination_links_border_hover_color',
                'type'     => 'color',
                'title'    => esc_html__( 'Border hover color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose border hover color of links', 'infinito-theme-options' ),
				'transparent' => true,
                'validate' => 'color',
            ),
            array(
                'id'       => 'pagination_border_radius',
                'type'     => 'text',
                'title'    => esc_html__( 'Border radius of links', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Enter border radius. I.e 10px, 2em', 'infinito-theme-options' ),
                'default'  => '',
            ),			
        )
    ) );
	

	//only display woocommerce options if plugin is installed
	if ( class_exists('WooCommerce') ){

	Redux::setSection( $opt_name, array(
			'title' => esc_html__( 'WooCommerce', 'infinito-theme-options' ),
			'id'    => 'woocommerce',
			'icon'  => 'pe-7f-cart'
		) );

	Redux::setSection( $opt_name, array(
		'title'      => esc_html__( 'General', 'infinito-theme-options' ),
		'id'         => 'woocommerce-general',
		'icon'		 => 'el el-cog',
		'subsection' => true,
		'fields'     => array(
			array(
                'id'       => 'woo_per_page',
                'type'     => 'text',
                'title'    => esc_html__( 'Products per page', 'infinito-theme-options' ),
				'desc' => esc_html__( 'How many products per page should be displayed?', 'infinito-theme-options' ),
                'default'  => '8',
            ),	
			array(
                'id'       => 'woo_grid',
                'type'     => 'select',
				'options'  => array(
                    '12' => '1',
                    '6' => '2',
                    '4' => '3',
                    '3' => '4',
                    '2' => '6',
                ),
                'title'    => esc_html__( 'Products per row', 'infinito-theme-options' ),
				'desc' => esc_html__( 'How many products per row should be displayed?', 'infinito-theme-options' ),
                'default'  => '3',
            ),			
			array(
				'id'       => 'woo_container',
				'type'     => 'button_set',
				'title'    => esc_html__( 'Page width', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose shop page width', 'infinito-theme-options' ),
				'options'  => array(
					'full-width' => 'full width',
					'container' => 'boxed',
				),
				'default'  => 'full-width',

			),
			array(
				'id'       => 'woo_container_size',
				'required' => array(
					array('layout', '=', 'full'),
					array('woo_container', '=', 'container' ),
				),
				'type'     => 'text',
				'title'    => esc_html__( 'Grid width', 'infinito-theme-options' ),
				'desc' => sprintf( '%s<br/>%s<strong>%s</strong>%s<br/>%s<strong>%s</strong>%s<br>%s', 
					esc_html__( 'Grid width is calculated like this:' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ), 
					esc_html__( 'over 1200', 'infinito-theme-options' ), 
					esc_html__( ' - ( for example 1210 ) that width will apply only from 1280px resolution and above. ( 1210 + 70 ) > ( 70 is required for content padding )', 'infinito-theme-options' ), 
					esc_html__( 'If you enter a grid - ', 'infinito-theme-options' ),
					esc_html__( 'under 1200', 'infinito-theme-options' ),
					esc_html__( ' - that width will apply only from 1201px resolution and above. ( Under 1200 website falls under responsive breakpoints rules )', 'infinito-theme-options' ),
					esc_html__( 'Default grid width is 1090px.', 'infinito-theme-options' )
				), 
				'subtitle' => sprintf( '%s<br/>%s', 
					esc_html__( 'Enter grid width. Units are pixels I.e ( 1200px )', 'infinito-theme-options' ), 
					esc_html__( 'This field is optional - Enter any if you want it different than the main website grid with ( General > Grid Width ) ', 'infinito-theme-options' ) 
				),				
			),
            array(
                'id'       => 'woo_bg',
                'type'     => 'background',
				'output'   => '.woocommerce-shop-main #page-body',
                'title'    => esc_html__( 'Page background', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Add a background to your woocommerce shop page', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'woo_padding',
                'type'     => 'spacing',
				'output'   => '.woocommerce-shop-main #page-body, .woocommerce-shop-account #page-body, .woocommerce-account #page-body, .woocommerce-checkout #page-body, .woocommerce-cart #page-body',	
                'mode'     => 'padding',
				'units' => array('px','em','%'),
				'display_units' => true,
                'title'    => esc_html__( 'Padding', 'infinito-theme-options' ),
				'desc'     => esc_html__( 'Padding of woocommerce shop pages.', 'infinito-theme-options' ),
            ),
            array(
                'id'       => 'add_to_cart',
                'type'     => 'text',
                'title'    => esc_html__( 'Add to cart text', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Enter text that will be displayed on the add to cart button. Default: Add to cart', 'infinito-theme-options' ),
                'default'  => '',
            ),           
			array(
                'id'       => 'add_to_cart_variable',
                'type'     => 'text',
                'title'    => esc_html__( 'Add to cart text when product has variations', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Enter text that will be displayed on the add to cart button when the producy has variations. Default: Select options', 'infinito-theme-options' ),
                'default'  => '',
            ),
            array(
                'id'       => 'woo_breadcrumb_on_home',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Show breadcrumb navigation and page title on shop homepage?', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'If checked it will show breadcrumb navigation and page title on shop homepage also.', 'infinito-theme-options' ),
                'default'  => '0'// 1 = on | 0 = off
            ),           
			array(
                'id'       => 'woo_show_cart',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Show cart icon in menu?', 'infinito-theme-options' ),
                'default'  => '1',// 1 = on | 0 = off
				'desc'     => esc_html__( 'If checked it will display cart and contents in navigation menu', 'infinito-theme-options' ),
            ),			
			array(
                'id'       => 'wow-related-prod',
                'type'     => 'radio',
                'title'    => esc_html__( 'Display related products?', 'infinito-theme-options' ),
				'options'  => array(
					'0' => 'No', 
					'1' => 'Yes', 
				),
				'default' => '1',
				'desc' 		=> sprintf('%s<a href="%s" target="_blank">%s</a>',
					esc_html__('It will display related products on single product page, if any. Can be overridden on each product. More info ','infinito'),
					esc_url('https://docs.woocommerce.com/document/related-products-up-sells-and-cross-sells/#section-3','infinito'),
					esc_html__('here','infinito')
				),				
            ),			
			array(
                'id'       => 'wow-upsell-prod',
                'type'     => 'radio',
                'title'    => esc_html__( 'Display Up-Sells products?', 'infinito-theme-options' ),
				'options'  => array(
					'0' => 'No', 
					'1' => 'Yes', 
				),
				'default' => '1',
				'desc' 		=> sprintf('%s<a href="%s" target="_blank">%s</a>',
					esc_html__('It will display Up-Sells products on single product page, if any. Can be overridden on each product. More info ','infinito'),
					esc_url('https://docs.woocommerce.com/document/related-products-up-sells-and-cross-sells/','infinito'),
					esc_html__('here','infinito')
				),
            ),

		)
	) );	
	
	Redux::setSection( $opt_name, array(
		'title'      => esc_html__( 'Layout', 'infinito-theme-options' ),
		'id'         => 'woocommerce-template',
		'icon'		 => 'el el-lines',
		'subsection' => true,
		'fields'     => array(	
			array(
                'id'       => 'woo_layout',
                'type'     => 'image_select',
                'title'    => esc_html__( 'WooCommerce Layout', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Choose WooCommerce Layout. The sidebar is located in Appearance -> Widgets (WooCommerce Sidebar)', 'infinito-theme-options' ),
                'options'  => array(
                    'no-sidebar' => array( 'title' => 'No Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/full.gif' ),
                    'left-sidebar' => array( 'title' => 'Left Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/left-sidebar.gif' ),
                    'right-sidebar' => array( 'title' => 'Right Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/right-sidebar.gif' ),
                    ),
                'default'  => 'no-sidebar'
            ),
		)
	) );
	
    Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Typography', 'infinito-theme-options' ),
        'id'     => 'typography-woo-main',
        'icon'   => 'el el-font',
		'subsection' => true,
        'fields' => array(
               array(
                'id'       => 'woo-heading-typography',
                'type'     => 'typography',
				'output'   => 'h1.product_title,.product h2 a,.group_table h4 a, .woocommerce.woocommerce-single-product .woocommerce-tabs ul h4 a, .woocommerce.woocommerce-single-product section.related.products h2.related, .woocommerce-cart .cross-sells h3.related, .woocommerce-Tabs-panel h5, .woocommerce.woocommerce-single-product .woocommerce-tabs #respond h2.add_review, .woocommerce #reviews h3, .woocommerce .woocommerce-start .result-and-order h6, .woocommerce #reviews #comments h2, .woocommerce-account .addresses .title h3, #customer_login h2, .woocommerce-checkout h3, .checkout_coupon span, .wow_woocommerce_totals ul li:first-child, label[for="order_comments"], .attributes-holder.variations .label, .woocommerce ul.products li.product .price ins span,.woocommerce .price del span,.woocommerce .price span, .woocommerce .price-new span, .woocommerce span.quantity, .woocommerce span.quantity span, .woocommerce-big-info-wrap ul:first-child, .woocommerce ul.cart-product-list-headings, section.up-sell h2, .woocommerce-Tabs-panel--description h1,.woocommerce-Tabs-panel--description h2,.woocommerce-Tabs-panel--description h3,.woocommerce-Tabs-panel--description h4,.woocommerce-Tabs-panel--description h5,.woocommerce-Tabs-panel--description h6, .woocommerce-mini-cart .details-holder.cart span.product-title,.woocommerce-mini-cart__total.total span.woocommerce-Price-amount, a.skltbs-tab, .woocommerce-checkout label,.woocommerce-checkout span.title,.woocommerce-cart .responsive-heading,.woocommerce-checkout .responsive-heading, .woocommerce-edit-address h3,.woocommerce-view-order h3',
                'title'    => esc_html__( 'Headings font family', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change the font family for headings and price', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => false,
				'font-weight' => false,
				'font-style' => false,
				'subsets' => false,
				'font-size' => false,
				'line-height' => false,
				'text-align' => false,
				'all_styles' => true,
				'default'     => array(
					'font-family' => 'Oswald', 
					'google'      => true,
				),
				'letter-spacing' => true,
            ),	               
			array(
                'id'       => 'woo-body-typography',
                'type'     => 'typography',
				'output'   => 'body.woocommerce, body.woocommerce-page, .woocommerce li.product-unit .price-new span, .woocommerce li.product-unit .price span, .woocommerce-checkout .showregister',
                'title'    => esc_html__( 'Body font family', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => false,
				'font-weight' => false,
				'font-style' => false,
				'subsets' => false,
				'font-size' => false,
				'line-height' => false,
				'text-align' => false,
				'desc'     => esc_html__( 'Change the font family for body font. Note: This will change the font of header and footer also when viewing any woocommerce page', 'infinito-theme-options' ),
				'all_styles' => true,
				'default'     => array(
					'font-family' => 'Roboto', 
					'google'      => true,
				),
				'letter-spacing' => true,
            ),		
        )
    ) );

	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Styling', 'infinito-theme-options' ),
        'id'               => 'woo-styling-main',
		'icon'			   => 'wow-texteditor-color-bucket',
		'subsection'	   => true,
        'fields'           => array(		          
            array(
                'id'       => 'woo-styling-desc',
                'type'     => '',
                'title'    => '<p>'.esc_html__( 'Choose sub-options that you want to customize from the menu on the left', 'infinito-theme-options' ).'</p>',
            ),				
        )
    ) );    
	
	Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Buttons', 'infinito-theme-options' ),
        'id'     => 'styling-woo-buttons',
        'icon'   => 'el el-tint',
		'subsection' => true,
        'fields' => array(
               array(
                'id'       => 'woo-add-to-cart-typography',
                'type'     => 'typography',
				'output'   => '.woocommerce ul.products li.product .price-holder a.button,.woocommerce.woocommerce-single-product .product button.alt.single_add_to_cart_button',
                'title'    => esc_html__( 'Add to cart button font family', 'infinito-theme-options' ),
                'desc' => esc_html__( 'Change the font family for Add to cart button', 'infinito-theme-options' ),
                'google'   => true,
				'color'    => false,
				'font-weight' => true,
				'font-style' => false,
				'subsets' => false,
				'font-size' => false,
				'line-height' => false,
				'text-align' => false,
				'all_styles' => true,
				'letter-spacing' => true,
            ),
            array(
                'id'       => 'styling-woo-buttons-text',
                'type'     => 'color',
				'output'   => '.woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .menu ul ul.woocommerce-mini-cart li p.woocommerce-mini-cart__buttons a.button',
                'title'    => esc_html__( 'Buttons text color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose text color of buttons.', 'infinito-theme-options' ),				
				'transparent' => false,
                'validate' => 'color',
            ),
            array(
                'id'       => 'styling-woo-buttons-text-hover',
                'type'     => 'color',
				'output'   => '.woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .menu ul ul.woocommerce-mini-cart li p.woocommerce-mini-cart__buttons a.button:hover',
                'title'    => esc_html__( 'Buttons text hover color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose text hover color of buttons.', 'infinito-theme-options' ),				
				'transparent' => false,
                'validate' => 'color',
            ),
			array(
                'id'       => 'styling-woo-buttons-bg',
                'type'     => 'background',
                'output'     => '.woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.menu ul ul.woocommerce-mini-cart li p.woocommerce-mini-cart__buttons a.button',
				'background-attachment'   => 'false',
				'background-size'   => 'false',
				'transparent'   => false,
                'title'    => esc_html__( 'Buttons background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background of buttons.', 'infinito-theme-options' ),
            ), 				
			array(
                'id'       => 'styling-woo-buttons-bg-hover',
                'type'     => 'background',
                'output'     => '.woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .menu ul ul.woocommerce-mini-cart li p.woocommerce-mini-cart__buttons a.button:hover',
				'background-attachment'   => 'false',
				'background-size'   => 'false',
				'transparent'   => false,
                'title'    => esc_html__( 'Buttons hover background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background of hover buttons.', 'infinito-theme-options' ),
            ), 			
			array(
                'id'       => 'styling-woo-border-radius-buttons',
                'type'     => 'slider',
                'title'    => esc_html__( 'Border radius of buttons', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change the border radius of all buttons', 'infinito-theme-options' ),
				'min'     => '1',
				'max'     => '30',
				'steps'     => '1',
				'default'     => '6',
            ),		
        )
    ) ); 	
	
	
	Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Headings', 'infinito-theme-options' ),
        'id'     => 'styling-woo-headgins-section',
        'icon'   => 'el el-tint',
		'subsection' => true,
        'fields' => array(
            array(
                'id'       => 'styling-woo-headings',
                'type'     => 'color',
				'output'   => '.woocommerce-page #page-body h1,.woocommerce-page #page-body h2,.woocommerce-page #page-body h3,.woocommerce-page #page-body h4,.woocommerce-page #page-body h5,.woocommerce-page #page-body h6,.woocommerce-page #page-body h1 a,.woocommerce-page #page-body h2 a,.woocommerce-page #page-body h3 a,.woocommerce-page #page-body h4 a,.woocommerce-page #page-body h5 a,.woocommerce-page #page-body h6 a',
                'title'    => esc_html__( 'Headings color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change headings color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),
        )
    ) ); 	
	
	Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Product', 'infinito-theme-options' ),
        'id'     => 'styling-woo-product-section',
        'icon'   => 'el el-tint',
		'subsection' => true,
        'fields' => array(
			array(
                'id'       => 'styling-woo-prod-display-style',
                'type'     => 'select',
                'title'    => esc_html__( 'Display style', 'infinito-theme-options' ),
                'options'  => array(
                    'with_bg' => 'Product has background',
                    'no_bg' => 'Product with no background',
                ),
				'default' => 'with_bg',
				'desc' => esc_html__( 'Choose how the product will be displayed in shop page, archive page, category page etc.', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'styling-woo-prod-bg',
                'type'     => 'background',
				'required' => array( 'styling-woo-prod-display-style', '=', 'with_bg' ),
                'output'     => '.woocommerce ul.products li .product-inner',
				'background-attachment'   => 'false',
				'background-size'   => 'false',
				'transparent'   => false,
                'title'    => esc_html__( 'Product background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background of product', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'styling-woo-prod-bg-radius',
                'type'     => 'slider',
				'required' => array( 'styling-woo-prod-display-style', '=', 'with_bg' ),
                'title'    => esc_html__( 'Product background border radius', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Change the border radius of product background', 'infinito-theme-options' ),
				'min'     => '1',
				'max'     => '30',
				'steps'     => '1',
				'default'     => '6',
            ),	
            array(
                'id'       => 'styling-woo-prod-heading',
                'type'     => 'typography',
				'output'   => '.woocommerce ul.products li.product h2 a',
                'title'    => esc_html__( 'Product title', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose typography options for product list title. Note: When you select a text alignment this will move all the elements inside the product in that direction.', 'infinito-theme-options' ),
				'text-transform' => true,
				'letter-spacing' => true,
            ),           
			array(
                'id'       => 'styling-woo-prod-price',
                'type'     => 'typography',
				'output'   => '.woocommerce ul.products li.product .price-new ins span,.woocommerce ul.products li.product .price-new span',
                'title'    => esc_html__( 'Product price', 'infinito-theme-options' ),
                'text-align'    => false,
				'desc' => esc_html__( 'Choose typography options for product list price.','infinito-theme-options' ),
				'letter-spacing' => true,
            ),  			
			array(
                'id'       => 'styling-woo-prod-cat',
                'type'     => 'typography',
				'output'   => '.woocommerce ul.products li span.category a',
                'title'    => esc_html__( 'Product category', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose product category typography','infinito-theme-options' ),
				'text-align' => false,
				'text-transform' => true,
				'letter-spacing' => true,
            ), 			
			array(
                'id'       => 'styling-woo-prod-link',
                'type'     => 'color',
				'output'   => '.woocommerce ul.products li.product .price-holder a.rounded i',
                'title'    => esc_html__( 'Link to product color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose color of link to product. This is displayed near the Add to cart button.','infinito-theme-options'  ),
				'transparent' => false,
            ),  			
			array(
                'id'       => 'styling-woo-prod-link-hover',
                'type'     => 'color',
				'output'   => '.woocommerce ul.products li.product .price-holder a.rounded:hover i',
                'title'    => esc_html__( 'Link to product hover color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose hover color of link to product. This is displayed near the Add to cart button.','infinito-theme-options' ),
				'transparent' => false,
            ),
            array(
                'id'       => 'styling-woo-btn-h2',
                'type'     => '',
                'title'    => '<h3>'.esc_html__( 'Add to cart button', 'infinito-theme-options' ).'</h3>',
            ),
			array(
                'id'       => 'styling-woo-button-text',
                'type'     => 'color',
				'output'   => '.woocommerce ul.products li.product .price-holder a.button',
                'title'    => esc_html__( 'Button text color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose text color of button.', 'infinito-theme-options' ),				
				'transparent' => false,
                'validate' => 'color',
            ),
            array(
                'id'       => 'styling-woo-button-text-hover',
                'type'     => 'color',
				'output'   => '.woocommerce ul.products li.product .price-holder a.button:hover',
                'title'    => esc_html__( 'Button text hover color', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose text hover color of button.', 'infinito-theme-options' ),				
				'transparent' => false,
                'validate' => 'color',
            ),
			array(
                'id'       => 'styling-woo-button-bg',
                'type'     => 'background',
                'output'     => '.woocommerce ul.products li.product .price-holder a.button',
				'background-attachment'   => 'false',
				'background-size'   => 'false',
				'transparent'   => false,
                'title'    => esc_html__( 'Button background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background of button.', 'infinito-theme-options' ),
            ), 				
			array(
                'id'       => 'styling-woo-button-bg-hover',
                'type'     => 'background',
                'output'     => '.woocommerce ul.products li.product .price-holder a.button:hover',
				'background-attachment'   => 'false',
				'background-size'   => 'false',
				'transparent'   => false,
                'title'    => esc_html__( 'Button hover background', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose background of hover button.', 'infinito-theme-options' ),
            ), 				
        )
    ) );	
	
	
	Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Sale tag', 'infinito-theme-options' ),
        'id'     => 'styling-woo-sale-section',
        'icon'   => 'el el-tint',
		'subsection' => true,
        'fields' => array(
			array(
                'id'       => 'styling-woo-prod-sale',
                'type'     => 'typography',
				'output'   => '.woocommerce span.onsale',
                'title'    => esc_html__( 'Product sale tag', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose product sale tag typography','infinito-theme-options' ),
				'text-align' => false,
				'text-transform' => true,
				'line-height' => false,
				'letter-spacing' => true,
            ),			
			array(
                'id'       => 'styling-woo-prod-sale-bg1',
                'type'     => 'background',
				'output'   => '',
                'title'    => esc_html__( 'Product sale tag background 1', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose product sale tag background. This is the background for products with a discount up to 30%','infinito-theme-options' ),
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'transparent' => false,
            ),  			
			array(
                'id'       => 'styling-woo-prod-sale-bg2',
                'type'     => 'background',
				'output'   => '',
                'title'    => esc_html__( 'Product sale tag background 2', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose product sale tag background. This is the background for products with a discount up to 60%','infinito-theme-options' ),
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'transparent' => false,
            ), 			
			array(
                'id'       => 'styling-woo-prod-sale-bg3',
                'type'     => 'background',
				'output'   => '',
                'title'    => esc_html__( 'Product sale tag background 3', 'infinito-theme-options' ),
				'desc' => esc_html__( 'Choose product sale tag background. This is the background for products with a discount above 60%','infinito-theme-options' ),
				'background-repeat'   => 'false',
				'background-attachment'   => 'false',
				'background-position'   => 'false',
				'background-image'   => 'false',
				'background-size'   => 'false',
				'transparent' => false,
            ),   							
        )
    ) );
	Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Top info bar', 'infinito-theme-options' ),
        'desc'  => esc_html__( 'Adds a top bar with menu above header, in all shop pages. To populate the menu, go to Appearance > Menus > Woocommerce Top', 'infinito-theme-options' ),
        'id'     => 'woo-info-bar',
        'icon'   => 'el el-info-circle',
		'subsection' => true,
        'fields' => array(
            array(
                'id'       => 'woo-info-bar-width',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Width', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose bar width', 'infinito-theme-options' ),
                'options'  => array(
                    '' => 'full width',
                    'container' => 'boxed',
                ),
                'default'  => 'container'
            ),
            array(
                'id'       => 'woo-info-bar-bg',
                'type'     => 'color_rgba',
                'title'    => esc_html__( 'Background', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose bar background', 'infinito-theme-options' ),
            ),
			array(
                'id'       => 'woo-info-bar-text',
                'type'     => 'typography',
				'output'   => '.woocommerce_info_bar li a,.woocommerce_info_bar .go_right a,.woocommerce_info_bar li span',
                'title'    => esc_html__( 'Links', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose links typography', 'infinito-theme-options' ),
				'text-align' => false,
				'text-transform' => true,
				'line-height' => true,
				'letter-spacing' => true,
            ),
            array(
                'id'       => 'woo-info-bar-text-hover',
                'type'     => 'color',
                'output'   => '.woocommerce_info_bar li:hover a,.woocommerce_info_bar .go_right:hover a',
                'title'    => esc_html__( 'Hover links color', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'Choose links hover text color', 'infinito-theme-options' ),
				'transparent' => false,
                'validate' => 'color',
            ),			
        )
    ) );
	
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Responsive', 'infinito-theme-options' ),
       // 'desc'            => esc_html__( 'Customize how many shop products per row to be shown on different devices', 'infinito-theme-options' ),
        'id'               => 'woo-responsive',
		'icon'     => 'wow-device-windows-lumia',
		'subsection'	   => true,
        'fields'           => array(           
			array(
                'id'       => 'grid_480_w',
                'class'       => 'grid_480_w',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '480px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many shop products per row to be displayed up to 480px?', 'infinito-theme-options' ),
                'default'  => '',
            ),			
			array(
                'id'       => 'grid_768_w',
                'class'       => 'grid_768_w',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '768px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many shop products per row to be displayed up to 768px?', 'infinito-theme-options' ),
                'default'  => '',
            ),			
			array(
                'id'       => 'grid_992_w',
                'class'       => 'grid_992_w',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '992px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many shop products per row to be displayed up to 992px?', 'infinito-theme-options' ),
                'default'  => '',
            ),	
			array(
                'id'       => 'grid_1200_w',
                'class'       => 'grid_1200_w',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '1200px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many shop products per row to be displayed up to 1200px?', 'infinito-theme-options' ),
                'default'  => '',
            ),
			array(
                'id'       => 'grid_1600_w',
                'class'       => 'grid_1600_w',
                'type'     => 'select',
				'options'  => array(
                    '100' => '1',
                    '50' => '2',
                    '33.33333333' => '3',
                    '25' => '4',
                    '20' => '5',
                    '16.66666667' => '6',
                ),
                'title'    => esc_html__( '1600px', 'infinito-theme-options' ),
                'desc'    => esc_html__( 'How many shop products per row to be displayed up to 1600px?', 'infinito-theme-options' ),
                'default'  => '',
            ),
        )
    ) );	
	
	
} //end if woocommerce


	//only display bbpress options if plugin is installed
	if ( class_exists('bbpress') ){

	Redux::setSection( $opt_name, array(
			'title' => esc_html__( 'bbPress', 'infinito-theme-options' ),
			'id'    => 'bbpress',
			'icon'  => 'wow-webapplication-comment'
		) );

	Redux::setSection( $opt_name, array(
		'title'      => esc_html__( 'General', 'infinito-theme-options' ),
		'id'         => 'bbpress-general',
		'icon'		 => 'el el-cog',
		'subsection' => true,
		'fields'     => array(			
			array(
				'id'       => 'bbpress_container',
				'type'     => 'button_set',
				'title'    => esc_html__( 'Page width', 'infinito-theme-options' ),
				'desc'    => esc_html__( 'Choose bbPress page width', 'infinito-theme-options' ),
				'options'  => array(
					'full-width' => 'full width',
					'container' => 'boxed',
				),
				'default'  => 'full-width',
			),
			array(
                'id'       => 'bbpress_layout',
                'type'     => 'image_select',
                'title'    => esc_html__( 'bbPress Layout', 'infinito-theme-options' ),
                'desc'     => esc_html__( 'Choose bbPress Layout. The sidebar is located in Appearance -> Widgets ( bbPress Sidebar )', 'infinito-theme-options' ),
                'options'  => array(
                    'no-sidebar' => array( 'title' => 'No Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/full.gif' ),
                    'left-sidebar' => array( 'title' => 'Left Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/left-sidebar.gif' ),
                    'right-sidebar' => array( 'title' => 'Right Sidebar', 'img' => WOW_URI.'/images/admin/page-layout/right-sidebar.gif' ),
                    ),
                'default'  => 'no-sidebar'
            ),			
		)
	) );	
	
	
} //end if woocommerce